options pagesize=80 linesize=140 nocenter;
libname in "C:\users\econuser\Documents\Saving_and_Retirement\sipp\data";
%include 'C:\users\econuser\Documents\Saving_and_Retirement\sipp\savastata.mac';
run;

data yyy; set in.tm2004w3_feb2015;
keep ssuid numkids hushlth wifehlth ;
proc sort; by ssuid;

data zzz; merge yyy in.core04w3_feb2015 (in=in1); by ssuid; if in1; proc means;

Data one; set in.core04w1_feb2015 in.core04w2_feb2015 zzz;
if husage>=25 and husage<=65;
        if rhcalyr=2003 and rhcalmn=06  then cpi=183.7;
        if rhcalyr=2003 and rhcalmn=07  then cpi=183.9;
        if rhcalyr=2003 and rhcalmn=08  then cpi=184.6;
        if rhcalyr=2003 and rhcalmn=09  then cpi=185.2;
        if rhcalyr=2003 and rhcalmn=10  then cpi=185.0;
        if rhcalyr=2003 and rhcalmn=11  then cpi=184.5;
        if rhcalyr=2003 and rhcalmn=12  then cpi=184.3;
        if rhcalyr=2004 and rhcalmn=01  then cpi=185.2;
        if rhcalyr=2004 and rhcalmn=02  then cpi=186.2;
        if rhcalyr=2004 and rhcalmn=03  then cpi=187.4;
        if rhcalyr=2004 and rhcalmn=04  then cpi=188.0;
        if rhcalyr=2004 and rhcalmn=05  then cpi=189.1;
        if rhcalyr=2004 and rhcalmn=06  then cpi=189.7;
        if rhcalyr=2004 and rhcalmn=07  then cpi=189.4;
        if rhcalyr=2004 and rhcalmn=08  then cpi=189.5;
        if rhcalyr=2004 and rhcalmn=09  then cpi=189.9;
        if rhcalyr=2004 and rhcalmn=10  then cpi=190.9;
        if rhcalyr=2004 and rhcalmn=11  then cpi=191.0;
        if rhcalyr=2004 and rhcalmn=12  then cpi=190.3;
        if rhcalyr=2005 and rhcalmn=01  then cpi=190.7;
        if rhcalyr=2005 and rhcalmn=02  then cpi=191.8;
        if rhcalyr=2005 and rhcalmn=03  then cpi=193.3;

cpi = cpi/140.3;
array joe famearn capinc totinc husearn hustpmsum1 hustpmsum2 hustpyrate1 ;
do over joe; joe = joe/cpi; end;

proc sort; by ssuid swave srefmon;

data two; set one; by ssuid swave;

if first.ssuid then do;
   year=.; emplmon=0; laidoff=.; emplmonft=0; cumearn=0; cumwage=0; sameemp=0; calyear=0; mon=0; monearn=0; monwage=0; num=0; jobend=0; newjob=0; checkend=.;
   checkeduc = huseduc; checkage = husage; checkrace = husrace; checkhis = hushispanic; lastage = husage; cumhours=0; tenure=.; cumwifeearn=0;
   cumfamearn=0; cumcapinc=0; cumtotinc=0; cumhusearn=0; numkidsy=.; hushlthy=.; wifehlthy=.;
end;

if checkeduc = huseduc and husage>=checkage and husage<=checkage+2 and checkrace = husrace and checkhis = hushispanic;

retain cumfamearn cumcapinc cumtotinc cumhusearn emplmon laidoff emplmonft cumearn cumwage sameemp calyear mon monearn monwage num checkage checkeduc checkrace checkhis cumhours tenure cumwifeearn jobend newjob checkend numkidsy hushlthy wifehlthy;

keep tbyear cumfamearn cumcapinc cumtotinc cumhusearn ssuid year emplmon laidoff emplmonft cumearn cumwage sameemp huseduc husrace husage hushispanic  wifeeduc wiferace wifeage wifehispanic  calyear num mon monearn monwage cumhours tenure cumwifeearn jobend newjob checkend
 numkidsy hushlthy wifehlthy;

calyear = calyear + rhcalyr;
num = num + 1;

year=1;

if husrmhrswk>=0 then mon = mon + 1;

array mom famearn capinc totinc husearn wifeearn;
array dad cumfamearn cumcapinc cumtotinc cumhusearn cumwifeearn ;

do over dad; if mom>=0 then dad = dad + mom; end;

now = rhcalyr + rhcalmn/12;

if hushlthy=. and hushlth ne . then hushlthy = hushlth;
if wifehlthy=. and wifehlth ne . then wifehlthy = wifehlth;
if numkidsy=. and numkids ne . then numkidsy = numkids;

yrjbbg1 = int(hustsjdate1/10000); xxx = int(hustsjdate1/100); mnjbbg1 = mod(xxx, 100); dtjbbg1 = yrjbbg1 + mnjbbg1/12;
yrjben1 = int(hustejdate1/10000); xxx = int(hustejdate1/100); mnjben1 = mod(xxx, 100); dtjben1 = yrjben1 + mnjben1/12;
yrjbbg2 = int(hustsjdate2/10000); xxx = int(hustsjdate2/100); mnjbbg2 = mod(xxx, 100); dtjbbg2 = yrjbbg2 + mnjbbg2/12;
yrjben2 = int(hustejdate2/10000); xxx = int(hustejdate2/100); mnjben2 = mod(xxx, 100); dtjben2 = yrjben2 + mnjben2/12;

 * jobs are re-numbered across waves - this wave's job 1 is not = last wave's if a change occured;
 * trying a simpler approach to measuring job switches, hopefully not missing as many;

if dtjben1>dtjbbg1 and dtjbbg1>0 and dtjbbg2>=dtjben1-.33 and dtjbbg2<dtjben1+1 and husestlemp1 ne 1 then do; jobend=1; newjob=1; end;
if dtjben1>dtjbbg1 and dtjbbg1>0 and dtjbbg2=. and husestlemp1 ne 1 then do; jobend=1; checkend=dtjben1; end;
if checkend>0 and dtjbbg1>=checkend-.33 and dtjbbg1<checkend+1 then do; checkend=.; newjob=1; end;

if husrmhrswk>=1 and husrmhrswk<=3 then do;
   if tenure = . or (tenure>=0 and now - dtjbbg1 > tenure) then tenure = now - dtjbbg1;
   if (tenure = . or (tenure>=0 and now - dtjbbg2 > tenure)) and husejbhrs2>husejbhrs1 then tenure = now - dtjbbg1;
   emplmon = emplmon + 1; if husrmhrswk=1 then emplmonft = emplmonft + 1; if husestlEMP1=1 then sameemp = sameemp + 1; laidoff=0; if husestlemp1=2 and husersend1=1 then laidoff=1;
   if husrmhrswk=1 then do;
      if hustpmsum1>500 then do; monearn = monearn + 1; cumearn = cumearn + hustpmsum1; cumhours = cumhours + husehrsall; end;
      if hustpmsum2>500 then do; if hustpmsum1<=500 then do; monearn = monearn + 1; cumearn = cumearn + hustpmsum2; end; end;
      if husepayhr1=1 and hustpyrate1>3 then do; monwage = monwage + 1; cumwage = cumwage + hustpyrate1; end;
   end;
end;

if (last.ssuid and num<=12) or num=12 then do;
   if mon>0 then do;
      emplmon = emplmon/mon; emplmonft = emplmonft/mon; sameemp=sameemp/mon;
      cumfamearn=cumfamearn/mon; cumcapinc=cumcapinc/mon; cumtotinc=cumtotinc/mon; cumhusearn=cumhusearn/mon; cumwifeearn=cumwifeearn/mon;
   end;
   if monearn>0 then do; cumhours = cumhours/monearn; cumearn=cumearn/monearn; end; if monwage>0 then cumwage=cumwage/monwage;
   if cumwage=0 then cumwage=.; if cumearn=0 then cumearn=.; if cumhours=0 then cumhours=.;
   calyear = calyear/num;
   if tenure<0 and tenure ne . then tenure=0;
   output;
end;


run;

proc means; run;

proc freq; tables year emplmon emplmonft mon sameemp monearn monwage;

run;


data yyya; set in.tm2004w6_feb2015;
keep ssuid numkids hushlth wifehlth;
proc sort; by ssuid;

data zzza; merge yyya in.core04w6_feb2015 (in=in1); by ssuid; if in1; proc means;

Data three; set in.core04w4_feb2015 in.core04w5_feb2015 zzza;
if husage>=25 and husage<=65;
        if rhcalyr=2004 and rhcalmn=09  then cpi=189.9;
        if rhcalyr=2004 and rhcalmn=10  then cpi=190.9;
        if rhcalyr=2004 and rhcalmn=11  then cpi=191.0;
        if rhcalyr=2004 and rhcalmn=12  then cpi=190.3;
        if rhcalyr=2005 and rhcalmn=01  then cpi=190.7;
        if rhcalyr=2005 and rhcalmn=02  then cpi=191.8;
        if rhcalyr=2005 and rhcalmn=03  then cpi=193.3;
        if rhcalyr=2005 and rhcalmn=04  then cpi=194.6;
        if rhcalyr=2005 and rhcalmn=05  then cpi=194.4;
        if rhcalyr=2005 and rhcalmn=06  then cpi=194.5;
        if rhcalyr=2005 and rhcalmn=07  then cpi=195.4;
        if rhcalyr=2005 and rhcalmn=08  then cpi=196.4;
        if rhcalyr=2005 and rhcalmn=09  then cpi=198.8;
        if rhcalyr=2005 and rhcalmn=10  then cpi=199.2;
        if rhcalyr=2005 and rhcalmn=11  then cpi=197.6;
        if rhcalyr=2005 and rhcalmn=12  then cpi=196.8;
        if rhcalyr=2006 and rhcalmn=01  then cpi=198.3;
        if rhcalyr=2006 and rhcalmn=02  then cpi=198.7;
        if rhcalyr=2006 and rhcalmn=03  then cpi=199.8;
        if rhcalyr=2006 and rhcalmn=04  then cpi=201.5;

cpi = cpi/140.3;
array joe famearn capinc totinc husearn hustpmsum1 hustpmsum2 hustpyrate1 ;
do over joe; joe = joe/cpi; end;

proc sort; by ssuid swave srefmon;

data four; set three; by ssuid swave;


if first.ssuid then do;
   year=.; emplmon=0; laidoff=.; emplmonft=0; cumearn=0; cumwage=0; sameemp=0; calyear=0; mon=0; monearn=0; monwage=0; num=0; jobend=0; newjob=0; checkend=.;
   checkeduc = huseduc; checkage = husage; checkrace = husrace; checkhis = hushispanic; lastage = husage; cumhours=0; tenure=.; cumwifeearn=0;
   cumfamearn=0; cumcapinc=0; cumtotinc=0; cumhusearn=0; numkidsy=.; hushlthy=.; wifehlthy=.;
end;

if checkeduc = huseduc and husage>=checkage and husage<=checkage+2 and checkrace = husrace and checkhis = hushispanic;

retain cumfamearn cumcapinc cumtotinc cumhusearn emplmon laidoff emplmonft cumearn cumwage sameemp calyear mon monearn monwage num checkage checkeduc checkrace checkhis cumhours tenure cumwifeearn jobend newjob checkend numkidsy hushlthy wifehlthy;

keep tbyear cumfamearn cumcapinc cumtotinc cumhusearn ssuid year emplmon laidoff emplmonft cumearn cumwage sameemp huseduc husrace husage hushispanic  wifeeduc wiferace wifeage wifehispanic  calyear num mon monearn monwage cumhours tenure cumwifeearn jobend
 numkidsy hushlthy wifehlthy;

calyear = calyear + rhcalyr;
num = num + 1;

year=2;

if husrmhrswk>=0 then mon = mon + 1;

array mom famearn capinc totinc husearn wifeearn;
array dad cumfamearn cumcapinc cumtotinc cumhusearn cumwifeearn ;

do over dad; if mom>=0 then dad = dad + mom; end;

now = rhcalyr + rhcalmn/12;

if hushlthy=. and hushlth ne . then hushlthy = hushlth;
if wifehlthy=. and wifehlth ne . then wifehlthy = wifehlth;
if numkidsy=. and numkids ne . then numkidsy = numkids;

yrjbbg1 = int(hustsjdate1/10000); xxx = int(hustsjdate1/100); mnjbbg1 = mod(xxx, 100); dtjbbg1 = yrjbbg1 + mnjbbg1/12;
yrjben1 = int(hustejdate1/10000); xxx = int(hustejdate1/100); mnjben1 = mod(xxx, 100); dtjben1 = yrjben1 + mnjben1/12;
yrjbbg2 = int(hustsjdate2/10000); xxx = int(hustsjdate2/100); mnjbbg2 = mod(xxx, 100); dtjbbg2 = yrjbbg2 + mnjbbg2/12;
yrjben2 = int(hustejdate2/10000); xxx = int(hustejdate2/100); mnjben2 = mod(xxx, 100); dtjben2 = yrjben2 + mnjben2/12;

 * jobs are re-numbered across waves - this wave's job 1 is not = last wave's if a change occured;
 * trying a simpler approach to measuring job switches, hopefully not missing as many;

if dtjben1>dtjbbg1 and dtjbbg1>0 and dtjbbg2>=dtjben1-.33 and dtjbbg2<dtjben1+1 and husestlemp1 ne 1 then do; jobend=1; newjob=1; end;
if dtjben1>dtjbbg1 and dtjbbg1>0 and dtjbbg2=. and husestlemp1 ne 1 then do; jobend=1; checkend=dtjben1; end;
if checkend>0 and dtjbbg1>=checkend-.33 and dtjbbg1<checkend+1 then do; checkend=.; newjob=1; end;

if husrmhrswk>=1 and husrmhrswk<=3 then do;
   if tenure = . or (tenure>=0 and now - dtjbbg1 > tenure) then tenure = now - dtjbbg1;
   if (tenure = . or (tenure>=0 and now - dtjbbg2 > tenure)) and husejbhrs2>husejbhrs1 then tenure = now - dtjbbg1;
   emplmon = emplmon + 1; if husrmhrswk=1 then emplmonft = emplmonft + 1; if husestlEMP1=1 then sameemp = sameemp + 1; laidoff=0; if husestlemp1=2 and husersend1=1 then laidoff=1;
   if husrmhrswk=1 then do;
      if hustpmsum1>500 then do; monearn = monearn + 1; cumearn = cumearn + hustpmsum1; cumhours = cumhours + husehrsall; end;
      if hustpmsum2>500 then do; if hustpmsum1<=500 then  do; monearn = monearn + 1; cumearn = cumearn + hustpmsum2; end; end;
      if husepayhr1=1 and hustpyrate1>3 then do; monwage = monwage + 1; cumwage = cumwage + hustpyrate1; end;
   end;
end;

if (last.ssuid and num<=12) or num=12 then do;
   if mon>0 then do;
      emplmon = emplmon/mon; emplmonft = emplmonft/mon; sameemp=sameemp/mon;
      cumfamearn=cumfamearn/mon; cumcapinc=cumcapinc/mon; cumtotinc=cumtotinc/mon; cumhusearn=cumhusearn/mon; cumwifeearn=cumwifeearn/mon;
   end;
   if monearn>0 then do; cumhours = cumhours/monearn; cumearn=cumearn/monearn; end; if monwage>0 then cumwage=cumwage/monwage;
   if cumwage=0 then cumwage=.; if cumearn=0 then cumearn=.; if cumhours=0 then cumhours=.;
   calyear = calyear/num;
   if tenure<0 and tenure ne . then tenure=0;
   output;
end;

proc means;
proc freq; tables year emplmon emplmonft mon sameemp monearn monwage tenure;

run;

Data five; set in.core04w7_feb2015 in.core04w8_feb2015 in.core04w9_feb2015;
if husage>=25 and husage<=65;
        if rhcalyr=2005 and rhcalmn=09  then cpi=198.8;
        if rhcalyr=2005 and rhcalmn=10  then cpi=199.2;
        if rhcalyr=2005 and rhcalmn=11  then cpi=197.6;
        if rhcalyr=2005 and rhcalmn=12  then cpi=196.8;
        if rhcalyr=2006 and rhcalmn=01  then cpi=198.3;
        if rhcalyr=2006 and rhcalmn=02  then cpi=198.7;
        if rhcalyr=2006 and rhcalmn=03  then cpi=199.8;
        if rhcalyr=2006 and rhcalmn=04  then cpi=201.5;
        if rhcalyr=2006 and rhcalmn=05  then cpi=202.5;
        if rhcalyr=2006 and rhcalmn=06  then cpi=202.9;
        if rhcalyr=2006 and rhcalmn=07  then cpi=203.5;
        if rhcalyr=2006 and rhcalmn=08  then cpi=203.9;
        if rhcalyr=2006 and rhcalmn=09  then cpi=202.9;
        if rhcalyr=2006 and rhcalmn=10  then cpi=201.8;
        if rhcalyr=2006 and rhcalmn=11  then cpi=201.5;
        if rhcalyr=2006 and rhcalmn=12  then cpi=201.8;
        if rhcalyr=2007 and rhcalmn=01  then cpi=202.416;
        if rhcalyr=2007 and rhcalmn=02  then cpi=203.499;
        if rhcalyr=2007 and rhcalmn=03  then cpi=205.352;
        if rhcalyr=2007 and rhcalmn=04  then cpi=206.686;

cpi = cpi/140.3;
array joe famearn capinc totinc husearn hustpmsum1 hustpmsum2 hustpyrate1 ;
do over joe; joe = joe/cpi; end;

proc sort; by ssuid swave srefmon;

data six; set five; by ssuid swave;

if first.ssuid then do;
   year=.; emplmon=0; laidoff=.; emplmonft=0; cumearn=0; cumwage=0; sameemp=0; calyear=0; mon=0; monearn=0; monwage=0; num=0; jobend=0; newjob=0; checkend=.;
   checkeduc = huseduc; checkage = husage; checkrace = husrace; checkhis = hushispanic; lastage = husage; cumhours=0; tenure=.; cumwifeearn=0;
   cumfamearn=0; cumcapinc=0; cumtotinc=0; cumhusearn=0;
end;

if checkeduc = huseduc and husage>=checkage and husage<=checkage+2 and checkrace = husrace and checkhis = hushispanic;

retain cumfamearn cumcapinc cumtotinc cumhusearn  emplmon laidoff emplmonft cumearn cumwage sameemp calyear mon monearn monwage num checkage checkeduc checkrace checkhis cumhours tenure cumwifeearn jobend newjob checkend;

keep tbyear cumfamearn cumcapinc cumtotinc cumhusearn  ssuid year emplmon laidoff emplmonft cumearn cumwage sameemp huseduc husrace husage hushispanic  wifeeduc wiferace wifeage wifehispanic  calyear num mon monearn monwage cumhours tenure cumwifeearn jobend newjob checkend;

calyear = calyear + rhcalyr;
num = num + 1;

year=3;

if husrmhrswk>=0 then mon = mon + 1;

array mom famearn capinc totinc husearn wifeearn;
array dad cumfamearn cumcapinc cumtotinc cumhusearn cumwifeearn ;

do over dad; if mom>=0 then dad = dad + mom; end;

now = rhcalyr + rhcalmn/12;

yrjbbg1 = int(hustsjdate1/10000); xxx = int(hustsjdate1/100); mnjbbg1 = mod(xxx, 100); dtjbbg1 = yrjbbg1 + mnjbbg1/12;
yrjben1 = int(hustejdate1/10000); xxx = int(hustejdate1/100); mnjben1 = mod(xxx, 100); dtjben1 = yrjben1 + mnjben1/12;
yrjbbg2 = int(hustsjdate2/10000); xxx = int(hustsjdate2/100); mnjbbg2 = mod(xxx, 100); dtjbbg2 = yrjbbg2 + mnjbbg2/12;
yrjben2 = int(hustejdate2/10000); xxx = int(hustejdate2/100); mnjben2 = mod(xxx, 100); dtjben2 = yrjben2 + mnjben2/12;

 * jobs are re-numbered across waves - this wave's job 1 is not = last wave's if a change occured;
 * trying a simpler approach to measuring job switches, hopefully not missing as many;

if dtjben1>dtjbbg1 and dtjbbg1>0 and dtjbbg2>=dtjben1-.33 and dtjbbg2<dtjben1+1 and husestlemp1 ne 1 then do; jobend=1; newjob=1; end;
if dtjben1>dtjbbg1 and dtjbbg1>0 and dtjbbg2=. and husestlemp1 ne 1 then do; jobend=1; checkend=dtjben1; end;
if checkend>0 and dtjbbg1>=checkend-.33 and dtjbbg1<checkend+1 then do; checkend=.; newjob=1; end;

if husrmhrswk>=1 and husrmhrswk<=3 then do;
   if tenure = . or (tenure>=0 and now - dtjbbg1 > tenure) then tenure = now - dtjbbg1;
   if (tenure = . or (tenure>=0 and now - dtjbbg2 > tenure)) and husejbhrs2>husejbhrs1 then tenure = now - dtjbbg1;
   emplmon = emplmon + 1; if husrmhrswk=1 then emplmonft = emplmonft + 1; if husestlEMP1=1 then sameemp = sameemp + 1; laidoff=0; if husestlemp1=2 and husersend1=1 then laidoff=1;
   if husrmhrswk=1 then do;
      if hustpmsum1>500 then do; monearn = monearn + 1; cumearn = cumearn + hustpmsum1; cumhours = cumhours + husehrsall; end;
      if hustpmsum2>500 then do; if hustpmsum1<=500 then  do; monearn = monearn + 1; cumearn = cumearn + hustpmsum2; end; end;
      if husepayhr1=1 and hustpyrate1>3 then do; monwage = monwage + 1; cumwage = cumwage + hustpyrate1; end;
   end;
end;

if (last.ssuid and num<=12) or num=12 then do;
   if mon>0 then do;
      emplmon = emplmon/mon; emplmonft = emplmonft/mon; sameemp=sameemp/mon;
      cumfamearn=cumfamearn/mon; cumcapinc=cumcapinc/mon; cumtotinc=cumtotinc/mon; cumhusearn=cumhusearn/mon; cumwifeearn=cumwifeearn/mon;
   end;
   if monearn>0 then do; cumhours = cumhours/monearn; cumearn=cumearn/monearn; end; if monwage>0 then cumwage=cumwage/monwage;
   if cumwage=0 then cumwage=.; if cumearn=0 then cumearn=.; if cumhours=0 then cumhours=.;
   calyear = calyear/num;
   if tenure<0 and tenure ne . then tenure=0;
   output;
end;

proc means;
proc freq; tables year emplmon emplmonft mon sameemp monearn monwage tenure;

run;

Data seven; set in.core04w10_feb2015 in.core04w11_feb2015 in.core04w12_feb2015;
if husage>=25 and husage<=65;
        if rhcalyr=2006 and rhcalmn=09  then cpi=202.9;
        if rhcalyr=2006 and rhcalmn=10  then cpi=201.8;
        if rhcalyr=2006 and rhcalmn=11  then cpi=201.5;
        if rhcalyr=2006 and rhcalmn=12  then cpi=201.8;
        if rhcalyr=2007 and rhcalmn=01  then cpi=202.416;
        if rhcalyr=2007 and rhcalmn=02  then cpi=203.499;
        if rhcalyr=2007 and rhcalmn=03  then cpi=205.352;
        if rhcalyr=2007 and rhcalmn=04  then cpi=206.686;
        if rhcalyr=2007 and rhcalmn=05  then cpi=207.949;
        if rhcalyr=2007 and rhcalmn=06  then cpi=208.352;
        if rhcalyr=2007 and rhcalmn=07  then cpi=208.299;
        if rhcalyr=2007 and rhcalmn=08  then cpi=207.917;
        if rhcalyr=2007 and rhcalmn=09  then cpi=208.490;
        if rhcalyr=2007 and rhcalmn=10  then cpi=208.936;
        if rhcalyr=2007 and rhcalmn=11  then cpi=210.177;
        if rhcalyr=2007 and rhcalmn=12  then cpi=210.036;
        if rhcalyr=2008 and rhcalmn=01  then cpi=211.080;
        if rhcalyr=2008 and rhcalmn=02  then cpi=211.693;
        if rhcalyr=2008 and rhcalmn=03  then cpi=213.528;
        if rhcalyr=2008 and rhcalmn=04  then cpi=214.823;

cpi = cpi/140.3;
array joe famearn capinc totinc husearn hustpmsum1 hustpmsum2 hustpyrate1 ;
do over joe; joe = joe/cpi; end;

proc sort; by ssuid swave srefmon;

data eight; set seven; by ssuid swave;

if first.ssuid then do;
   year=.; emplmon=0; laidoff=.; emplmonft=0; cumearn=0; cumwage=0; sameemp=0; calyear=0; mon=0; monearn=0; monwage=0; num=0; jobend=0; newjob=0; checkend=.;
   checkeduc = huseduc; checkage = husage; checkrace = husrace; checkhis = hushispanic; lastage = husage; cumhours=0; tenure=.; cumwifeearn=0;
   cumfamearn=0; cumcapinc=0; cumtotinc=0; cumhusearn=0;
end;

if checkeduc = huseduc and husage>=checkage and husage<=checkage+2 and checkrace = husrace and checkhis = hushispanic;

retain cumfamearn cumcapinc cumtotinc cumhusearn  emplmon laidoff emplmonft cumearn cumwage sameemp calyear mon monearn monwage num checkage checkeduc checkrace checkhis cumhours tenure cumwifeearn jobend newjob checkend;

keep tbyear cumfamearn cumcapinc cumtotinc cumhusearn  ssuid year emplmon laidoff emplmonft cumearn cumwage sameemp huseduc husrace husage hushispanic  wifeeduc wiferace wifeage wifehispanic  calyear num mon monearn monwage cumhours tenure cumwifeearn jobend newjob checkend;

calyear = calyear + rhcalyr;
num = num + 1;

year=4;

if husrmhrswk>=0 then mon = mon + 1;

array mom famearn capinc totinc husearn wifeearn;
array dad cumfamearn cumcapinc cumtotinc cumhusearn cumwifeearn ;

do over dad; if mom>=0 then dad = dad + mom; end;

now = rhcalyr + rhcalmn/12;

yrjbbg1 = int(hustsjdate1/10000); xxx = int(hustsjdate1/100); mnjbbg1 = mod(xxx, 100); dtjbbg1 = yrjbbg1 + mnjbbg1/12;
yrjben1 = int(hustejdate1/10000); xxx = int(hustejdate1/100); mnjben1 = mod(xxx, 100); dtjben1 = yrjben1 + mnjben1/12;
yrjbbg2 = int(hustsjdate2/10000); xxx = int(hustsjdate2/100); mnjbbg2 = mod(xxx, 100); dtjbbg2 = yrjbbg2 + mnjbbg2/12;
yrjben2 = int(hustejdate2/10000); xxx = int(hustejdate2/100); mnjben2 = mod(xxx, 100); dtjben2 = yrjben2 + mnjben2/12;

 * jobs are re-numbered across waves - this wave's job 1 is not = last wave's if a change occured;
 * trying a simpler approach to measuring job switches, hopefully not missing as many;

if dtjben1>dtjbbg1 and dtjbbg1>0 and dtjbbg2>=dtjben1-.33 and dtjbbg2<dtjben1+1 and husestlemp1 ne 1 then do; jobend=1; newjob=1; end;
if dtjben1>dtjbbg1 and dtjbbg1>0 and dtjbbg2=. and husestlemp1 ne 1 then do; jobend=1; checkend=dtjben1; end;
if checkend>0 and dtjbbg1>=checkend-.33 and dtjbbg1<checkend+1 then do; checkend=.; newjob=1; end;

if husrmhrswk>=1 and husrmhrswk<=3 then do;
   if tenure = . or (tenure>=0 and now - dtjbbg1 > tenure) then tenure = now - dtjbbg1;
   if (tenure = . or (tenure>=0 and now - dtjbbg2 > tenure)) and husejbhrs2>husejbhrs1 then tenure = now - dtjbbg1;
   emplmon = emplmon + 1; if husrmhrswk=1 then emplmonft = emplmonft + 1; if husestlEMP1=1 then sameemp = sameemp + 1; laidoff=0; if husestlemp1=2 and husersend1=1 then laidoff=1;
   if husrmhrswk=1 then do;
      if hustpmsum1>500 then do; monearn = monearn + 1; cumearn = cumearn + hustpmsum1; cumhours = cumhours + husehrsall; end;
      if hustpmsum2>500 then do; if hustpmsum1<=500 then do; monearn = monearn + 1; cumearn = cumearn + hustpmsum2; end; end;
      if husepayhr1=1 and hustpyrate1>3 then do; monwage = monwage + 1; cumwage = cumwage + hustpyrate1; end;
   end;
end;

if (last.ssuid and num<=12) or num=12 then do;
   if mon>0 then do;
      emplmon = emplmon/mon; emplmonft = emplmonft/mon; sameemp=sameemp/mon;
      cumfamearn=cumfamearn/mon; cumcapinc=cumcapinc/mon; cumtotinc=cumtotinc/mon; cumhusearn=cumhusearn/mon; cumwifeearn=cumwifeearn/mon;
   end;
   if monearn>0 then do; cumhours = cumhours/monearn; cumearn=cumearn/monearn; end; if monwage>0 then cumwage=cumwage/monwage;
   if cumwage=0 then cumwage=.; if cumearn=0 then cumearn=.; if cumhours=0 then cumhours=.;
   calyear = calyear/num;
   if tenure<0 and tenure ne . then tenure=0;
   output;
end;

proc means;
proc freq; tables year emplmon emplmonft mon sameemp monearn monwage tenure;
run;

data nine; set two four six eight;
proc sort; by ssuid year;

data all; set nine;  by ssuid;

if first.ssuid then do;
   checkeduc = huseduc; checkage = husage; checkrace = husrace; checkhis = hushispanic;
end;

array mom famearn capinc totinc husearn wifeearn;
array dad cumfamearn cumcapinc cumtotinc cumhusearn cumwifeearn ;

do over mom; mom = dad*12; end;

if checkeduc = huseduc and husage>=checkage and husage<=checkage+4 and checkrace = husrace and checkhis = hushispanic;

retain checkage checkeduc checkrace checkhis ;

keep tbyear famearn capinc totinc husearn ssuid year emplmon laidoff emplmonft cumearn cumwage sameemp huseduc husrace husage wifeeduc wiferace wifeage wifehispanic
hushispanic calyear num mon monearn monwage cumhours tenure wifeearn newjob jobend hushlthy wifehlthy numkidsy;

proc means;
proc freq; tables year emplmon emplmonft mon sameemp monearn monwage tenure newjob;
run;

data pension; set in.tm2004w7_feb2015;

keep ssuid huseduc7 husrace7 husage7 hushispanic7 married7 covered typepen durinplan typepen2 durinplan2;
array old huseduc husrace husage hushispanic married;
array new huseduc7 husrace7 husage7 hushispanic7 married7;

do over new; new=old; end;

proc sort; by ssuid;

data pen; merge all (in=in1) pension; by ssuid; if in1;

array core huseduc husrace husage hushispanic;
array seven  huseduc7 husrace7 husage7 hushispanic7;
array diff huseducn husracen husagen hushispanicn ;

do over diff; diff = seven - core; end;

proc means;
proc freq; tables huseducn husracen husagen hushispanicn ;

data penny; set pen; if huseducn=0 and husracen=0 and husagen>=-3 and husagen<=3 and hushispanicn=0;
drop huseduc7   husrace7   husage7  hushispanic7 married7  huseducn husracen  husagen   hushispanicn;

proc means;
proc sort; by ssuid year;
run;

data sippemplearn_feb2015; set penny;
rename husage = age;

id = ssuid*10 + year;
id = id - year;
id = id/10;

%savastata(C:\users\econuser\Documents\Saving_and_Retirement\sipp\data\,-replace);
run;
