options pagesize=59 linesize=150 nocenter;

libname EXTRACT 'C:\Documents and Settings\David Blau\My Documents\Luc new\HRS\emplwave data' ;
libname in 'C:\Documents and Settings\David Blau\My Documents\Luc new\HRS\employment data' ;

data one; set EXTRACT.emplwave92;

* wave 1 survey date in months since Jan 1992;

if v28>0 and v28<1996 and v26>0 and v26<13 then sdw1 = (v28-1992)*12 + v26;
if v28<0 and v25>0 and v25<1996 and v23<13 then sdw1 = (v25-1992)*12 + v23;

* put date of birth on the same scale as the interview dates and other dates, so that age in months in a given month can be created by (date of interest - dob);

if birthyear<1992 and birthmonth>0 and birthmonth<13 then dob = (birthyear-1992)*12 + birthmonth;

agemon = sdw1 - dob;

* get duration of old jobs, to be used in setting experience. new: I forgot to account for multiple jobs held at the same time, so I changed this to avoid double counting;

yrendlongjoba = yrendlongjob;
yrbglongjoba = yrbglongjob;
yrendothjoba = yrendothjob;
yrbgothjoba = yrbgothjob;

* new: fixing a few cases in which end and begin dates were apparently reversed;

if yrendlongjoba<yrbglongjoba and yrendlongjoba>0 then do; temp=yrbglongjoba; yrbglongjoba=yrendlongjoba; yrendlongjoba=temp; end;
if yrendothjoba<yrbgothjoba and yrendothjoba>0 then do; temp=yrbgothjoba; yrbgothjoba=yrendothjoba; yrendothjoba=temp; end;
if yrlwrk1<yrbeglj1 and yrlwrk1>0 then do; temp=yrbeglj1; yrbeglj1=yrlwrk1; yrlwrk1=temp; end;

* new: eliminate overlap between long job and other job;

if yrendothjoba>yrbglongjoba and yrbgothjoba<yrbglongjoba and yrbgothjoba>0 and yrbglongjoba>0 then do; yrendothjoba = yrbglongjoba; if yrendothjoba<yrbgothjoba then yrendothjoba=yrbgothjoba; flagothjob=1; go to a1; end;

if yrbgothjoba<yrendlongjoba and yrendothjoba>yrendlongjoba and yrbgothjoba>0 then do; yrbgothjoba = yrendlongjoba; flagothjob=1; go to a1; end;

if yrbglongjoba>=yrbgothjoba and yrendlongjoba<=yrendothjoba and yrbgothjoba>0 then do; yrendlongjoba=.; yrbglongjoba=.; flaglongjob=1; end;

if yrbgothjoba>=yrbglongjoba and yrendothjoba<=yrendlongjoba and yrbglongjoba>0 then do; yrendothjoba=.; yrbgothjoba=.; flagothjob=1; end;

* new: eliminate overlap between current or last job and long job;

a1:
if yrendlongjoba>yrbegcj1 and yrbglongjoba<yrbegcj1 and yrbegcj1>0 then do; yrendlongjoba = yrbegcj1; if yrendlongjoba<yrbglongjoba then yrendlongjoba = yrbglongjoba; flaglongjob=1; go to a2; end;
if yrendlongjoba>yrbegcj1 and yrbglongjoba>=yrbegcj1 and yrbegcj1>0 then do; yrendlongjoba = .; yrbglongjoba=.; flaglongjob=1; go to a2; end;

if yrendlongjoba>yrbgsec1 and yrbglongjoba<yrbgsec1 and yrbgsec1>0 then do; yrendlongjoba = yrbgsec1; if yrendlongjoba<yrbglongjoba then yrendlongjoba = yrbglongjoba; flaglongjob=1; go to a2; end;
if yrendlongjoba>yrbgsec1 and yrbglongjoba>=yrbgsec1 and yrbgsec1>0 then do; yrendlongjoba = .; yrbglongjoba=.; flaglongjob=1; go to a2; end;

if yrbglongjoba<yrbeglj1 and yrendlongjoba>yrbeglj1 and yrlwrk1>yrendlongjoba and yrbeglj1>0 then do; yrendlongjoba = yrbeglj1; if yrendlongjoba<yrbglongjoba then yrendlongjoba = yrbglongjoba; flaglongjob=1; go to a2; end;
if yrendlongjoba<=yrlwrk1 and yrbglongjoba>=yrbeglj1 and yrbeglj1>0 then do; yrendlongjoba = .; yrbglongjoba=.; flaglongjob=1; go to a2; end;
if yrbeglj1>=yrbglongjoba and yrlwrk1<=yrendlongjoba and yrlwrk1>0 then do; yrlwrk1 = yrendlongjoba; yrbeglj1=yrbglongjoba; yrbglongjoba=.; yrendlongjoba=.; flaglj=1; go to a2; end;
if yrbeglj1<yrbglongjoba and yrlwrk1<=yrendlongjoba and yrbeglj1>0 and yrlwrk1>0 then do; yrlwrk1 = yrendlongjoba; yrbglongjoba=.; yrendlongjoba=.; flaglj=1; go to a2; end;

if yrbglongjoba<yrbegljse1 and yrendlongjoba>yrbegljse1 and yrlwrk1>yrendlongjoba and yrbegljse1>0 then do; yrendlongjoba = yrbegljse1; if yrendlongjoba<yrbglongjoba then yrendlongjoba = yrbglongjoba; flaglongjob=1; go to a2; end;
if yrendlongjoba<=yrlwrk1 and yrbglongjoba>=yrbegljse1 and yrbegljse1>0 then do; yrendlongjoba = .; yrbglongjoba=.; flaglongjob=1; go to a2; end;
if yrbegljse1>=yrbglongjoba and yrlwrk1<=yrendlongjoba and yrlwrk1>0 then do; yrlwrk1 = yrendlongjoba; yrbegljse1=yrbglongjoba; yrbglongjoba=.; yrendlongjoba=.; flaglj=1; go to a2; end;
if yrbegljse1<yrbglongjoba and yrlwrk1<=yrendlongjoba and yrbegljse1>0 and yrlwrk1>0 then do; yrlrwk1 = yrendlongjoba; yrbglongjoba=.; yrendlongjoba=.; flaglj=1; go to a2; end;

if yrlwrk1<yrendlongjoba and yrlwrk1>0 then dumblj=1;

* new: eliminate overlap between current or last job and other job;

a2:
if yrendothjoba>yrbegcj1 and yrbgothjoba<yrbegcj1 and yrbegcj1>0 then do; yrendothjoba = yrbegcj1; if yrendothjoba<yrbgothjoba then yrendothjoba = yrbgothjoba; flagothjob=1; go to a3; end;
if yrendothjoba>yrbegcj1 and yrbgothjoba>=yrbegcj1 and yrbegcj1>0 then do; yrendothjoba = .; yrbgothjoba=.; flagothjob=1; go to a3; end;

if yrendothjoba>yrbgsec1 and yrbgothjoba<yrbgsec1 and yrbgsec1>0 then do; yrendothjoba = yrbgsec1; if yrendothjoba<yrbgothjoba then yrendothjoba = yrbgothjoba; flagothjob=1; go to a3; end;
if yrendothjoba>yrbgsec1 and yrbgothjoba>=yrbgsec1 and yrbgsec1>0 then do; yrendothjoba = .; yrbgothjoba=.; flagothjob=1; go to a3; end;

if yrbgothjoba<yrbeglj1 and yrendothjoba>yrbeglj1 and yrlwrk1>yrendothjoba and yrbeglj1>0 then do; yrendothjoba = yrbeglj1; if yrendothjoba<yrbgothjoba then yrendothjoba = yrbgothjoba; flagothjob=1; go to a3; end;
if yrendothjoba<=yrlwrk1 and yrbgothjoba>=yrbeglj1 and yrbeglj1>0 then do; yrendothjoba = .; yrbgothjoba=.; flagothjob=1; go to a3; end;
if yrbeglj1>=yrbgothjoba and yrlwrk1<=yrendothjoba and yrlwrk1>0 then do; yrlwrk1 = yrendothjoba; yrbeglj1=yrbgothjoba; yrbgothjoba=.; yrendothjoba=.; flaglj=1; go to a3; end;
if yrbeglj1<yrbgothjoba and yrlwrk1<=yrendothjoba and yrbeglj1>0 and yrlwrk1>0 then do; yrlwrk1 = yrendothjoba; yrbgothjoba=.; yrendothjoba=.; flaglj=1; go to a3; end;

if yrbgothjoba<yrbegljse1 and yrendothjoba>yrbegljse1 and yrlwrk1>yrendothjoba and yrbegljse1>0 then do; yrendothjoba = yrbegljse1; if yrendothjoba<yrbgothjoba then yrendothjoba = yrbgothjoba; flagothjob=1; go to a3; end;
if yrendothjoba<=yrlwrk1 and yrbgothjoba>=yrbegljse1 and yrbegljse1>0 then do; yrendothjoba = .; yrbgothjoba=.; flagothjob=1; go to a3; end;
if yrbegljse1>=yrbgothjoba and yrlwrk1<=yrendothjoba and yrlwrk1>0 then do; yrlwrk1 = yrendothjoba; yrbegljse1=yrbgothjoba; yrbgothjoba=.; yrendothjoba=.; flaglj=1; go to a3; end;
if yrbegljse1<yrbgothjoba and yrlwrk1<=yrendothjoba and yrbegljse1>0 and yrlwrk1>0 then do; yrlwrk1 = yrendothjoba; yrbgothjoba=.; yrendothjoba=.; flaglj=1; go to a3; end;

a3:
oldjobdur = 0;

longjobdur = (yrendlongjoba - yrbglongjoba); if longjobdur>0 then oldjobdur = oldjobdur + longjobdur*12;
othjobdur = yrendothjoba - yrbgothjoba; if othjobdur>0 then oldjobdur = oldjobdur + othjobdur*12; * new: I forgot *12 here!;

* array the monthly variables. allowing for the wave 1 interview to be as late as March 1993 (15). 
  There were no interviews in Jan-March 1992, so j1-j3 etc are not kept in the keep statement below;

array j (i) j1-j15;
array tenure (i) tenure1-tenure15;
array lw (i) lw1-lw15;
array ex (i) ex1-ex15;
array se (i) se1-se15;
array laidoff (i) laidoff1-laidoff15;

* from wave 1 data, we need the following variables defined as of the wave one interview month: 
  new: don't need jl because by construction jl = j in the wave 1 interview month. All references to jl are deleted.
  employment choice (j), when last worked (lw1), tenure, experience (ex), self-employment status (se), and lay off status;

* employment status at wave 1 interview date;
* cases on layoff or other leave at the interview date, and expecting to return to the job, and last worked on the job < 6 months ago are treated as employed;

if LASWJMO1>0 and LASWJMO1<13 then ejob1 = (LASWJYR1-1992)*12 + LASWJMO1;
if laswjmo1<0 and laswjyr1>0 and laswjyr1<=1993 then ejob1 = (LASWJYR1-1992)*12 + 6;

anywork1=0;
if working1=1 or anywrkp1=1 or (sickoth1=1 and EXJOBBA1=1 and sdw1-ejob1<6 and ejob1 ne .) Then anywork1=1;
if working1=. and anywrkp1=. and sickoth1=. and EXJOBBA1=. Then anywork1=.;

* newnew to deal with a few cases in which anywork1=0 but other variables suggest it should be 1;
if anywork1=0 and (hrswkcj1>0 or yrbegcj1>0 or hrssecj1>0 or yrbgsec1>0) then do; anywork1=1; chump=1; end;

* month began wave 1 job was not asked. Assume it began in June;

if anywork1=1 then do; * working;
   If selfemp1=0 then do; * not Self Employed;
      do i=1 to 15;
	     if sdw1 = i then do; * find the month of the wave 1 interview;
            If hrswkcj1>0 and hrswkcj1<35 then j=3; If hrswkcj1 ge 35 and hrswkcj1<=95 then j=4; if hrswkcj1<=0 or hrswkcj1>=95 then do; j=4; flaghours1=1; end; * newnew;
            se = 0; laidoff = 0; 
            If yrbegcj1>0 then do; tenure = sdw1 - ((yrbegcj1-1992)*12 + 6); if tenure<0 and tenure ne . then tenure=0; ex = oldjobdur + tenure; end;
			jwave1 = j; laidoffwave1 = laidoff; sewave1 = se; tenurewave1 = tenure; exwave1 = ex; * these are used in the wave 2 program;
         end;
      End;
   end;

   If selfemp1=1 then do; * Self Employed;
      do i=1 to 15;
	     if sdw1 = i then do; * find the month of the wave 1 interview;
            If hrssecj1>0 and hrssecj1<35 then j=3; If hrssecj1 ge 35 and hrssecj1<=95 then j=4; If hrssecj1 le 0 or hrssecj1>95 then do; j=4; flaghours1=1; end; * newnew;
            se = 1; laidoff = 0;
            If yrbgsec1>0 then do; tenure = sdw1 - ((yrbgsec1-1992)*12 + 6); if tenure<0 and tenure ne . then tenure=0; ex = oldjobdur + tenure; end;
			jwave1 = j; laidoffwave1 = laidoff; sewave1 = se; tenurewave1 = tenure; exwave1 = ex; * these are used in the wave 2 program;
         end;
      End;
   end;
end;

if anywork1=0 then do; * not working;
   do i=1 to 15;
      if sdw1 = i then do; * find the month of the wave 1 interview;
		 j=0; 

         If evwork1=0 then do; ex = 0; lw = sdw1 - (dob + 21*12); end; * if never worked, set the duration of non-employment = months since age 21, arbitrarily;

         If evwork1=1 then do;
            if monlwrk1>0 and monlwrk1<13 and yrlwrk1<=1993 then Lw = sdw1 - ((Yrlwrk1-1992)*12 + monlwrk1);
            if monlwrk1<0 and yrlwrk1>0 and yrlwrk1<=1993 then Lw = sdw1 - ((Yrlwrk1-1992)*12 + 6);
 	        if lw<0 and lw ne . then lw=0;

 	        if yrbeglj1>0 then beg = yrbeglj1; if beg=. and yrbegljse1>0 then beg = yrbegljse1;
	        if yrlwrk1>=beg then ex = oldjobdur + (yrlwrk1 - beg)*12; 
		 end;

	 	 jwave1 = j; exwave1 = ex; lwwave1 = lw; * these are used in the wave 2 program;
      end;
   End; 
end;

* new: here I set experience and tenure to missing if they are obviously incorrect, in practice I assume you can't start work before age 16;

if anywork1=1 and ((yrbegcj1-birthyear<16 and yrbegcj1>0) or (yrbgsec1-birthyear<16 and yrbgsec1>0)) then do; 
   tenurewave1=.; exwave1=.; do i = 1 to 15; tenure=.; ex=.; end; flagtena=1; flagexa=1; 
end;
if exwave1 > agemon-192 then do; 
   if tenurewave1>0 then flagtenb=1; tenurewave1=.; exwave1=.; do i = 1 to 15; tenure=.; ex=.; end; flagexb=1; 
end;

keep caseid hhid pn sdw1 birthmonth birthyear dob v28 v26 v25 v23
j4-j15 lw4-lw15 tenure4-tenure15 ex4-ex15 laidoff4-laidoff15 se4-se15
jwave1 sewave1 laidoffwave1 tenurewave1 exwave1 lwwave1 
selfemp1 anywork1 hrswkcj1 hrssecj1 yrbegcj1 yrbgsec1 ejob1 
chump
yrendlongjob yrbglongjob yrendothjob yrbgothjob laswjyr1 yrbeglj1 yrbegljse1
oldjobdur longjobdur othjobdur evwork1 yrlwrk1 monlwrk1 yrbegljse1 evwork1 yrlwrk1 monlwrk1 yrbegljse1
yrendlongjoba yrbglongjoba yrendothjoba yrbgothjoba 
flaglongjob flagothjob flaglj flagtena flagexa flagtenb flagexb flaghours1;

proc sort; by hhid pn;

data in.empl1_months; set one;

proc means;

run;

