options pagesize=59 linesize=150 nocenter;

libname EXTRACT 'C:\Documents and Settings\David Blau\My Documents\Luc new\HRS\emplwave data' ;
libname in 'C:\Documents and Settings\David Blau\My Documents\Luc new\HRS\employment data' ;

data w2; set EXTRACT.emplwave94;
if w3319>=1997 then w3319=.;
if w4898>=1997 then w4898=.; 
if w4801>=1997 then w4801=.;
if w4201>=1997 or w4201 le 0 then w4201=.;

proc sort; by hhid pn;

data wawa; merge in.empl1_months (in=in1) w2 ; by hhid pn; if in1;

* convert dates to begin at Jan. 1992;

sdw2 = (w61-1992)*12 + w59;			* wave 2 survey month. all wave 2 surveys were in months 29-39 [May 1994 - March 1995];

dura = int((sdw2 - sdw1)/2); mep = sdw1 + dura - 1; * mep = last month for oldhours, if hours of work have changed between wave1 and wave2 on the same job;

* convert dates of "month" variables into origin Jan. 1992. Account for "all of year" cases: 37, 38, 39;

array famonths w4001-w4036;
do over famonths;
   If famonths=37 then jojo92=1; If famonths=38 then jojo93=1;  If famonths=39 then jojo94=1;
end;
if jojo92=1 then do;
   W4001 = 1; w4002 = 2; w4003 = 3; w4004 = 4;
   W4005 = 5; w4006 = 6; w4007 = 7; w4008 = 8;
   W4009 = 9; w4010 = 10; w4011 = 11; w4012 = 12;
end;
if jojo93=1 then do;
   W4013 = 12 + 1; w4014 = 12 + 2; w4015 = 12 + 3; w4016 = 12 + 4;
   W4017 = 12 + 5; w4018 = 12 + 6; w4019 = 12 + 7; w4020 = 12 + 8;
   W4021 = 12 + 9; w4022 = 12 +10; w4023 = 12 +11; w4024 = 12 + 12;
end;
if jojo94=1 then do;
   W4025 = 24 + 1; w4026 = 24 + 2; w4027 = 24 + 3; w4028 = 24 + 4;
   W4029 = 24 + 5; w4030 = 24 + 6; w4031 = 24 + 7; w4032 = 24 + 8;
   W4033 = 24 + 9; w4034 = 24 +10; w4035 = 24 +11;  w4036 = 24 + 12;
end;

array fbmonths w4656-w4691;
do over fbmonths;
   If fbmonths=37 then jbjo92=1; If fbmonths=38 then jbjo93=1; If fbmonths=39 then jbjo94=1;
end;
if jbjo92=1 then do;
   W4656 =  + 1; w4657 =  + 2; w4658 =  + 3; w4659 =  + 4;
   W4660 =  + 5; w4661 =  + 6; w4662 =  + 7; w4663 =  + 8;
   W4664 =  + 9; w4665 =  +10; w4666 =  +11; w4667 =  +12;
end;
if jbjo93=1 then do;
   W4668 = 12 + 1; w4669 = 12 + 2; w4670 = 12 + 3; w4671 = 12 + 4;
   W4672 = 12 + 5; w4673 = 12 + 6; w4674 = 12 + 7; w4675 = 12 + 8;
   W4676 = 12 + 9; w4677 = 12 +10; w4678 = 12 +11; w4679 = 12 +12;
end;
if jbjo94=1 then do;
   W4680 = 24 + 1; w4681 = 24 + 2; w4682 = 24 + 3; w4683 = 24 + 4;
   W4684 = 24 + 5; w4685 = 24 + 6; w4686 = 24 + 7; w4687 = 24 + 8;
   W4688 = 24 + 9; w4689 = 24 +10; w4690 = 24 +11; w4691= 24 +12;
end;

array fcmonths w5040-w5075;
do over fcmonths;
   If fcmonths=37 then jcjo92=1; If fcmonths=38 then jcjo93=1; If fcmonths=39 then jcjo94=1;
end;
if jcjo92=1 then do;
   W5040 =  + 1; w5041 =  + 2; w5042 =  + 3; w5043 =  + 4;
   W5044 =  + 5; w5045 =  + 6; w5046 =  + 7; w5047 =  + 8;
   W5048 =  + 9; w5049 =  +10; w5050 =  +11; w5051 =  +12;
end;
if jcjo93=1 then do;
   W5052 = 12 + 1; w5053 = 12 + 2; w5054 = 12 + 3; w5055 = 12 + 4;
   W5056 = 12 + 5; w5057 = 12 + 6; w5058 = 12 + 7; w5059 = 12 + 8;
   W5060 = 12 + 9; w5061 = 12 +10; w5062 = 12 +11; w5063 = 12 +12;
end;
if jcjo94=1 then do;
   W5064 = 24 + 1; w5065 = 24 + 2; w5066 = 24 + 3; w5067 = 24 + 4;
   W5068 = 24 + 5; w5069 = 24 + 6; w5070 = 24 + 7; w5071 = 24 + 8;
   W5072 = 24 + 9; w5073 = 24 +10; w5074 = 24 +11; w5075 = 24 +12;
end;

* Put the month variables from the appropriate section (FA, FB, or FC) into fmonths, and the associated hours into fhours;

array fmonths fmonths1-fmonths36;

if w3999=1 then do; do over fmonths; fmonths = famonths; end; fhours = w4043; fany = w3999; end;
if w4654=1 then do; do over fmonths; fmonths = fbmonths; end; fhours = w4698; fany = w4654; end;
if w5038=1 then do; do over fmonths; fmonths = fcmonths; end; fhours = w5082; fany = w5038; end;

* array the employment and other variables for the first 39 months, up to March 1995, which was the month in which wave 2 interviews were done;

array j (i) j1-j39;
array jl (i) jl1-jl39;
array tenure (i) tenure1-tenure39;
array lw (i) lw1-lw39;
array ex (i) ex1-ex39;
array laidoff (i) laidoff1-laidoff39;
array se (i) se1-se39;
array extra (i) extra1-extra39;

* when last worked, if on temporary layoff, sick leave, or other leave and you expect to return to the job. If < 6 months, treat as employed;
if w3310>0 and w3310<13 then wlw = (w3311-1992)*12 + w3310; 

if sdw2>0 then anywork2=0;

if w3300=1 or w3301=1 or w3302=1 or w3316=1 or ((w3300=3 or w3301=3 or w3302=3) and w3309=1 and sdw2-wlw<6 and wlw ne .) Then anywork2=1;
if w3300=. and w3301=. and w3302=. and w3316=. and w3309=. Then anywork2=.;

* ejob2: end date of wave 1 employment, if any. flag cases with month missing: ejobmon2;
* there are five different sections of the survey instrument that ask about the end date of the wave 1 job, but only one (at most) will be applicable to any given individual;

If w3318>0 and w3318<13 and w3319>0 and w3319<2006 then ejob2 = (w3319-1992)*12 + w3318; * : 2006;
if w3319>0 and w3319<2006 and (w3318<=0 or w3318>12) then do; ejob2=(w3319-1992)*12 + 6; ejobmon2=1; end;  * : 2006 plus ( );

If w3504>0 and w3504<2006 and w3503>0 and w3503<13 then ejob2 = (w3504-1992)*12 + w3503;  * : 2006;
if w3504>0 and w3504<2006 and (w3503<=0 or w3503>12) then do; ejob2 = (w3504-1992)*12 + 6; ejobmon2=1; end; * : 2006;

if w4201>1991 and w4201<1996 and w4200>0 and w4200<13 then ejob2 = (w4201-1992)*12 + w4200; *: >0 & <13 instead of ne 96;
if w4201>1991 and w4201<1996 and (w4200<=0 or w4200>12) then do; ejob2 = (w4201-1992)*12 + 6; ejobmon2=1; end;

If w4801>0 and w4801<2006 and w4800>0 and w4800<13 then ejob2 = (w4801-1992)*12 + w4800;
If w4801>0 and w4801<2006 and (w4800<=0 or w4800>=13) then do; ejob2 = (w4801-1992)*12 + 6; ejobmon2=1; end;

If w4898>0 and w4898<2006 and w4897>0 and w4897<13 then ejob2 = (w4898-1992)*12 + w4897;
If w4898>0 and w4898<2006 and (w4897<=0 or w4897>=13) then do; ejob2 = (w4898-1992)*12 + 6; ejobmon2=1; end;


* bjob2: beginning date of wave 2 employment, if any. flag cases with month missing: bjobmon2. Two places in which it can be reported, at most one is applicable;

if w3663>0 then bjob2 = (w3663-1992)*12 + w3662; if w3662<0 and w3663>0 then do; bjob2 = (w3663-1992)*12 + 6; bjobmon2=1; end;

if w4328>0 then bjob2 = (w4328-1992)*12 + w4327; if w4328>0 and w4328<=1995 and w4327<0 then do; bjob2 = (w4328-1992)*12 + 6; bjobmon2=1; end; 


* hours of work at wave 2, 2 possible sources;

If w3617>0 and w3617<35 then hours=1; if w3617>=35 and w3617<=95 then hours=2; * new: added <=95 restriction here;
if w4313>0 and w4313<35 then hours=1; if w4313>=35 and w4313<=95 then hours=2; 

* hours of work at wave 1, 2 possible sources;

if hrssecj1>0 and hrssecj1<35 then oldhours=1; if hrssecj1>=35 and hrssecj1<=95 then oldhours=2; * : added <= 95;
if hrswkcj1>0 and hrswkcj1<35 then oldhours=1; if hrswkcj1>=35 and hrswkcj1<=95 then oldhours=2;

* laidoff from wave 1 job, 3 possible sources;

if (w3369=1 or w3369=2 or w3370=1 or w3370=2 or w3371=1 or w3371=2) then layoff=1;
If w3507=1 or w3508=2 or w3507=1 or w3508=2 then layoff=1;
If w4808=1 or w4808=2 or w4809=1 or w4809=2 or  w4810=1 or w4810=2 or w4901=1 or w4901=2 or w4902=1 or w4902=2 or w4903=1 or w4903=2 then layoff=1;

*  to deal with a few cases in which anywork1=0 but other variables suggest it should be 1;
if anywork2=0 and (w3617>0 or w4313>0 or w3663>0 or w4328>0) then do; anywork2=1; champ=1; end;



* initialize new and old wave variables;

selfemp2 = w3317;
sameemp2 = w3458;


sdwnew = sdw2;
selfempnew = selfemp2;
anyworknew = anywork2;
sameempnew = sameemp2;
bjobnew = bjob2;
ejobnew = ejob2;

sdwold = sdw1;
selfempold = selfemp1;
anyworkold = anywork1;
tenurewaveold = tenurewave1;
exwaveold = exwave1;
lwwaveold = lwwave1;
jwaveold = jwave1;
laidoffwaveold = laidoffwave1;
sewaveold = sewave1;

* begin common section;

if anyworkold=0 then do;
   if anyworknew=0 then do;
      if bjobnew ne . then do; oldbjobnew=bjobnew; flagbjobnew=1; bjobnew=.; end;
      if ejobnew ne . then do; oldejobnew=ejobnew; flagejobnew=1; ejobnew=.; end;
   end;
   if anyworknew=1 then do;
      if ejobnew ne . then do; oldejobnew=ejobnew; flagejobnew=2; ejobnew=.; end;
	  if bjobnew ne . and bjobnew<sdwold then do; oldbjobnew=bjobnew; flagbjobnew=2; bjobnew=sdwold; end;
	  if bjobnew = . then flagbjobnew=3;
   end;
end;
if anyworkold=1 then do;
   if anyworknew=0 then do;
      if bjobnew ne . then do; oldbjobnew=bjobnew; flagbjobnew=4; bjobnew=.; end;
	  if ejobnew ne . and ejobnew<sdwold then do; oldejobnew=ejobnew; flagejobnew=3; ejobnew=sdwold; end;
	  if ejobnew = . then flagejobnew=4;
   end;
   if anyworknew=1 then do;
      if sameempnew=1 or sameempnew=7 then do;
         if bjobnew ne . then do; oldbjobnew=bjobnew; flagbjobnew=5; bjobnew=.; end;
         if ejobnew ne . then do; oldejobnew=ejobnew; flagejobnew=5; ejobnew=.; end;
      end;
      if sameempnew ne 1 and sameempnew ne 7 then do;
		  if ejobnew=. then do;
      	     if selfempold=1 and selfempnew=1 then do;
		        if bjobnew>=sdwold then flagejobnew=6; * could really be a different job since bjobnew date is legit. don't set bjobnew=., leave months sdwold to bjobnew-1 missing;
			    if bjobnew<sdwold and bjobnew ne . then do; * less likely to be a new job, since bjobnew is before sdwold;
			       if tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=7; end; * tenure matches closely. very likely the same job;
			       if tenurewaveold=. or abs(sdwold-bjobnew - tenurewaveold)>12      then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=8; end; * tenure does not match closely, less likely;
			    end;
	         end;
      	     if selfempold=0 and selfempnew=0 then do;
		        if bjobnew>=sdwold then flagejobnew=7; * could really be a different job since bjobnew date is legit. don't set bjobnew=., leave months sdwold to bjobnew-1 missing;
			    if bjobnew<sdwold and bjobnew ne . then do; * less likely to be a new job, since bjobnew is before sdwold;
			       if tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=9; end; * tenure matches closely. very likely the same job;
			       if tenurewaveold=. or abs(sdwold-bjobnew - tenurewaveold)>12      then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=10; end; * tenure does not match closely, less likely;
			    end;
	         end;
      	     if selfempold ne selfempnew and selfempold ne . and selfempnew ne . then do;
		        if bjobnew>=sdwold then flagejobnew=8; * could really be a different job since bjobnew date is legit. don't set bjobnew=., leave months sdwold to bjobnew-1 missing;
			    if bjobnew<sdwold and bjobnew ne . then do; * less likely to be a new job, since bjobnew is before sdwold;
			       if tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=11; end; * tenure matches closely. very likely the same job;
			       if tenurewaveold=. or abs(sdwold-bjobnew - tenurewaveold)>12      then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=12; end; * tenure does not match closely, less likely;
			    end;
	         end;
         end;
         if ejobnew ne . then do;
		    if ejobnew<sdwold then do; 
               oldejobnew=ejobnew; flagejobnew=9; ejobnew=sdwold; * creates a seam problem;
               if bjobnew ne . and bjobnew<sdwold then do; oldbjobnew=bjobnew; bjobnew=sdwold+1; flagbjobnew=13; end;
            end;
			if ejobnew>=sdwold then do;
			   if bjobnew<ejobnew then do; oldbjobnew=bjobnew; bjobnew=ejobnew+1; flagbjobnew=14; end;
		    end;
         end;
	  end;
   end;
end;

if flagbjobnew<0 and sdwnew>0 then flagbjobnew=0;
if flagejobnew<0 and sdwnew>0 then flagejobnew=0;





* If employed at wave 1, assign months in which the individual remained at the wave 1 job, 
  beginning with sdwold+1 and ending with ejobnew or sdwnew, depending on whether still on the wave 1 job at the time of the wave 2 interview;

if anyworkold=1 and ejobnew>0 then do; casee=1; last = ejobnew; end;

if anyworkold=1 and ejobnew=. then do;

   if anyworknew=1 then do; 

      last = sdwnew; 

      If sameempnew=1 or sameempnew=7 then do; casec=1; go to aaa; end; * still working for wave 1 employer at wavenew; *;

      if selfempnew=1 and selfempold=1 and bjobnew ne . and bjobnew<= sdwold then do; casej=1; go to aaa; end; * self-employed at wave 1 and wave 2 and same business at both waves; 

      if selfempnew=1 and selfempold=1 and bjobnew ne . and bjobnew>sdwold then do; casek=1; go to aaa; end; * : 6;
	  *self-employed at wave 1 and wave 2 but claims to have started the w2 business after w1. treat as if same business but flag it; 

      if sameempnew=. and selfempnew=0 and selfempold=0 and bjobnew ne . and tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; casel=1; go to aaa; end;
      * New: Not self-empl, indicator for whether same job missing, but start date reported at w1 and w2 are consistent with same job; * : 10;

      if selfempnew ne selfempold and selfempold ne . and selfempnew ne . and sdwold ne . and bjobnew ne . and tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; 
         casem=1; go to aaa;
	  end; * New: if respondent changes his mind about self-empl, but reports bjobnew consistent with start date of current job reported at wave 1, assume its the same job;

      if bjobnew>0 then last=.;  
	  * : claims wave 1 job never ended (ejobnew=.) but reports a bjobnew and does not satisfy any of the above criteria: set last=. all months up to bjobnew will be missing. ;
   aaa: end;

   if anyworknew=0 then do; casef=1; jwavenew=0; exwavenew=exwaveold; end;
   * , do not set any months, but pass on the fact that j=0 at w2 interview date (assume exwavenew=exwaveold), and re-set bjobnew values that should not be set;

   if last = sdwnew then do; * If hours of work have changed, arbitrarily assign the date of change to the midpoint between interview dates;
      newhours = hours; if newhours=. then newhours = oldhours;
   end;
end;

* fill in months up to end of old wave job (if there was an old wave job and it ended, otherwise last=.) or new wave interview date if still on old wave job;

if last>sdwold then do;
   caseg=1;
   do i = sdwold+1 to last;

      j = jwaveold; *: don't need lw; tenure = tenurewaveold + (i-sdwold); ex = exwaveold + (i-sdwold); se = sewaveold; laidoff=laidoffwaveold; if j>=3 then jl = j - 2; 

      if last=sdwnew and oldhours ne newhours and oldhours ne . and newhours ne . then do; * change in hours on same job; 
	     if newhours>0 then j = newhours + 2; if j>=3 then jl = j - 2;
      end;

      if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end; * these are used in the next program;

      If i=last then do; jllast1 = jl; exlast1 = ex; tenurelast1 = tenure; selast1 = se; end; * save these for later use in case there is a period of non-employment;
   end;
end;

if last>0 and last<sdwnew then do; * old wave job ended before the new wave interview, otherwise last=. or last=sdwnew;

   if bjobnew>0 and anyworknew=1 then start = bjobnew-1; * there is a new wave job, different from the old wave job;

   if bjobnew=. then start=sdwnew; * no new wave begin job date, so fill in non-empl up to sdwnew; 

   if start>=ejobnew+1 and ejobnew>0 then do; * there is a non-employment period of at least one month; 
      caseh=1;
      * Check fmonth variables for any months worked between ejobnew+1 and bjobnew-1 or sdwnew. These are "extra", for now we just record them, but do not change j, jl, exper, etc.;
      if fany=1 then do;
         do i = ejobnew+1 to start;
	        *extra = 0; * ;
            do over fmonths;
               If fmonths = i then do; 
                   if fhours>0 and fhours<35 then extra=1; if fhours>=35 and fhours<=95 then extra=2; if fhours<=0 or fhours>95 then do; extra=2; flagfhoursnew=1; end;
               end;
            End;
         End;
      End;

	  * assign non-employment months;
	  do i = ejobnew+1 to start;
	 	 if i=ejobnew+1 then do; jl = jllast1; If layoff=1 then laidoff=1; tenure = tenurelast1 + 1; se = selast1; end;
         if i>ejobnew+1 then jl=0; 
         j = 0; ex = exlast1; lw = i - (ejobnew+1);
		 if i=sdwnew then do; jwavenew = 0; exwavenew = ex; lwwavenew = lw; end;
         If i=last then do; jllast1 = jl; exlast1 = ex; end; * save these for later use in case there is a subsequent period of employment;
 	  end;
   end;

  * If there is a new wave job, then assign months for new wave job; 
   if bjobnew>0 then do;
      casei=1;
 	  do i = bjobnew to sdwnew;
	     if i = bjobnew then do; jl = jllast1; j=hours; if hours=. then do; j=2; flaghoursnew=1; end; end; 
		 * new: changed jl=0 to jl=jllast1, since jl is not = zero if there is no gap between end of last job and start of new job;
	 	 if i > bjobnew then do; jl=hours; j = hours + 2; if hours=. then do; j=4; jl=2; flaghoursnew=1; end; end; 
		 se = selfempnew; laidoff = 0; tenure = i - bjobnew; ex = exlast1 + i - bjobnew;
         if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end;
      end;
   end;
end;

if anyworkold=0 and anyworknew=0 and sdwold>0 and sdwnew>0 then do;
   casea=1;
   if fany=1 then do;
      do i = sdwold+1 to sdwnew;
         do over fmonths;
            If fmonths = i then do; 
                if fhours>0 and fhours<35 then extra=1; if fhours>=35 and fhours<=95 then extra=2; if fhours<=0 or fhours>95 then do; extra=2; flagfhoursnew=1; end;
            end;
         End;
      End;
   end;

	* assign non-employment months;
   do i = sdwold+1 to sdwnew;
  	  jl=0; j = 0; ex = exwaveold; lw = lwwaveold + i - (sdwold+1); * new: eliminated reference to jlwaveold;
	  if i=sdwnew then do; jwavenew = 0; exwavenew = ex; lwwavenew = lw; end;
   end;
end;

if anyworkold=0 and anyworknew=1 and sdwold>0 and sdwnew>0 and bjobnew=. then do; 
   caseo=1; if hours>0 then jwavenew=hours+2; if hours=. then jwavenew=4;
end; * ;

if anyworkold=0 and anyworknew=1 and sdwold>0 and sdwnew>0 and bjobnew>0 then do;
   cased=1;
   if fany=1 then do;
      do i = sdwold+1 to bjobnew;
         do over fmonths;
            If fmonths = i then do; 
               if fhours>0 and fhours<35 then extra=1; if fhours>=35 and fhours<=95 then extra=2; if fhours<=0 or fhours>95 then do; extra=2; flagfhoursnew=1; end;
            end;
         End;
      End;
   end;

	* assign non-employment months;

   start = bjobnew-1; if start< sdwold+1 then start=sdwold+1; * new: changed from start = bjobnew;
   do i = sdwold+1 to start;
  	  jl=0; j = 0; ex = exwaveold; lw = lwwaveold + i - (sdwold+1); 
   end;

   * assign employment months;

   do i = bjobnew to sdwnew; 
      if i = bjobnew then do; jl = 0; j=hours; if hours=. then do; j=2; flaghoursnew=1; end; end;
 	  if i > bjobnew then do; jl=hours; if hours=. then do; jl=2; flaghoursnew=1; end; j = jl + 2; end; 
	  se = selfempnew; laidoff = 0; tenure = i - bjobnew; ex = exwaveold + i - bjobnew; 
      if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end;
   end;

end;

* new section to deal with cases in which ejobnew is missing and the job actually appears to have ended, and there is a new job. The months from sdwold to bjobnew will be missing,
since we do not know when the wave 1 job ended, but we will be able to fill in data for the months in which the new job was held. work experience will be incorrect, so flag it;

if anyworkold=1 and anyworknew=1 and ejobnew=. and last=. and sdwnew>0 and bjobnew>0 then do;
   casen=1;
   do i = bjobnew to sdwnew;
      if i=bjobnew then do; tenure=0; jl=0; j=hours; if hours=. then do; j=2; flaghoursnew=1; end; end; 
      if i>bjobnew then do; tenure=i - bjobnew; jl=hours; if hours=. then do; jl=2; flaghoursnew=1; end; j = jl + 2; end;
	  ex = exwaveold + i - bjobnew; flagexnew=1; * : ex=exwaveold was wrong. also, flag ex and do not set lw; se = selfempnew; laidoff=0;
      if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end; 
   end;
end;      

* new section to change information passed to next wave if job ended in wave 2 interview month;

if ejobnew=sdwnew and sdwnew>0 then do;
   if bjobnew=. or bjobnew<=sdwold then jwavenew=0;
   if bjobnew=ejobnew then do; if hours>0 then jwavenew=hours; if hours<0 then do; jwavenew=2; flaghoursnew=1; end; end;
end;



bjob2 = bjobnew;
oldbjob2 = oldbjobnew;
flagbjob2 = flagbjobnew;

ejob2 = ejobnew;
oldejob2 = oldejobnew;
flagejob2 = flagejobnew;

tenurewave2 = tenurewavenew;
exwave2 = exwavenew;
lwwave2 = lwwavenew;
jwave2 = jwavenew;
laidoffwave2 = laidoffwavenew;
sewave2 = sewavenew;

flaghours2 = flaghoursnew;
flagfhours2 = flagfhoursnew;
flagex2 = flagexnew;



if sdwnew=. then case=0;
if sdwnew>0 then case=1;
if sdwnew>0 and casea=. and casec=. and cased=. and casee=. and casef=. and caseg=. and caseh=. and casei=. and casej=. and casek=. and casel=. and casem=. and casen=. and caseo=. 
then case=2;

keep caseid hhid pn sdw1-sdw2 birthmonth birthyear dob
jl4-jl39 lw4-lw39 laidoff4-laidoff39 tenure4-tenure39 se4-se39 j4-j39 ex4-ex39 extra4-extra39 
bjob2 ejob2 sameemp2 w5038 w5082 w4043 w4698 anywork2 selfemp2 w3617 w4313 w3662 w3663 w4328
jwave2 sewave2 laidoffwave2 tenurewave2 exwave2 lwwave2 
        jwave1 sewave1              tenurewave1 exwave1 lwwave1 
flaglongjob flagothjob flaglj flagtena flagexa flagtenb flagexb  
flagejob2 flagbjob2 flaghours1 flaghours2 flagfhours2 flagex2
bjobmon2 ejobmon2 champ
anywork1 selfemp1 last start hours jllast1 oldbjob2 oldejob2 hrswkcj1 hrssecj1 yrbegcj1 yrbgsec1
case case casea casec cased casee casef caseg caseh casei casej casek casel casem casen caseo;


proc means; 

proc freq; tables case flagbjob2 flagejob2 flagbjob2*flagejob2;

*proc freq; *tables j4-j39 jl4*j4 jl5*j5 jl6*j6 jl7*j7 jl8*j8 jl9*j9 jl10*j10 jl11*j11 jl12*j12 jl13*j13 jl14*j14 jl15*j15 jl16*j16 jl17*j17 jl18*j18 jl19*j19 jl20*j20 
 jl21*j21 jl22*j22 jl23*j23 jl24*j24 jl25*j25 jl26*j26 jl27*j27 jl28*j28 jl29*j29 jl30*j30 jl31*j31 jl32*j32 jl33*j33 jl34*j34 jl35*j35 jl36*j36 jl37*j37 jl38*j38 jl39*j39;

data new; set wawa; 

if normal(0)>2.3 or flagbjob2>0 or flagejob2>0;

*proc print; *var hhid pn anywork1 anywork2 sameemp2 hrswkcj1 hrssecj1 yrbegcj1 yrbgsec1 selfemp2 selfemp1 jwave1 lwwave1 oldbjob2 bjob2 flagbjob2 
ejob2 oldejob2 flagejob2 sdw1 sdw2 last start hours j4-j39 jwave2 
case casea casec cased casee casef caseg caseh casei casej casek casel casem casen caseo;

data in.empl2_months; set wawa;

keep caseid hhid pn birthmonth birthyear dob
flaglongjob flagothjob flaglj flagtena flagexa flagtenb flagexb 
sdw1-sdw2
jl4-jl39 lw4-lw39 laidoff4-laidoff39 tenure4-tenure39 se4-se39 j4-j39 ex4-ex39 extra4-extra39 
bjob2 ejob2 sameemp2 w5038 w5082 w4043 w4698 anywork2 selfemp2 w3617 w4313 w3662 w3663 w4328
jwave2 sewave2 laidoffwave2 tenurewave2 exwave2 lwwave2 
exwave1
flagejob2 oldejob2 flagbjob2 oldbjob2 flaghours1 flaghours2 flagfhours2 flagex2 bjobmon2 ejobmon2
;



run;
