options pagesize=59 linesize=150 nocenter;

libname EXTRACT 'C:\Documents and Settings\David Blau\My Documents\Luc new\HRS\emplwave data' ;
libname in 'C:\Documents and Settings\David Blau\My Documents\Luc new\HRS\employment data' ;

data w3; set EXTRACT.emplwave96;

data jojo; set in.empl2_months;

data threea; merge jojo (in = in1) w3; by hhid pn; if in1;

sdw3=(intyear3-1992)*12 + intmont3; *wave 3 survey month;

dura = int((sdw3 - sdw2)/2); mep = sdw2 + dura - 1; * mep = last month for oldhours, if hours of work have changed between wave1 and wave2 on the same job;

* convert dates of "month" variables into origin Jan. 1992. Account for "all of year" cases: 37, 38, 39;

array famonths e3058m1-e3058m36;
do over famonths;
	If famonths=37 then jojo94=1; If famonths=38 then jojo95=1;  If famonths=39 then jojo96=1;
 end;
if jojo94=1 then do;
   E3058m1 = 24 + 1; e3058m2 = 24 + 2; e3058m3 = 24 + 3; e3058m4 = 24 + 4;
   E3058m5 = 24 + 5; e3058m6 = 24 + 6; e3058m7 = 24 + 7; e3058m8 = 24 + 8;
   E3058m9 = 24 + 9; e3058m10 = 24 +10; e3058m11 = 24 +11; e3058m12 = 24 +12;
end;
if jojo95=1 then do;
   E3058m13 = 36 + 1; e3058m14 = 36 + 2; e3058m15 = 36 + 3; e3058m16 = 36 + 4;
   E3058m17 = 36 + 5; e3058m18 = 36 + 6; e3058m19 = 36 + 7; e3058m20 = 36 + 8;
   E3058m21 = 36 + 9; e3058m22 = 36 +10; e3058m23 = 36 +11; e3058m24 = 36 + 12;
end;
if jojo96=1 then do;
   E3058m25 = 48 + 1; e3058m26 = 48 + 2; e3058m27 = 48 + 3; e3058m28 = 48 + 4;
   E3058m29 = 48 + 5; e3058m30 = 48 + 6; e3058m31 = 48 + 7; e3058m32 = 48 + 8;
   E3058m33 = 48 + 9; e3058m34 = 48 +10; e3058m35 = 48 +11;  e3058m36 = 48 + 12;
end;

* Put the month variables from the appropriate section (FA, FB, or FC) into fmonths, and the associated hours into fhours;

array fmonths fmonths1-fmonths36;

if othwork3=1 then do;do over fmonths; fmonths=famonths;end; fhours = hrswrk3; fany=othwork3;end;

* array the employment and other variables for the first 62 months, up to Feb 1997, which was the last month of wave 3 interviews;

array j (i) j1-j62;
array jl (i) jl1-jl62;
array tenure (i) tenure1-tenure62;
array lw (i) lw1-lw62;
array ex (i) ex1-ex62;
array laidoff (i) laidoff1-laidoff62;
array se (i) se1-se62;
array extra (i) extra1-extra62;

* when last worked, if on temporary layoff, sick leave, or other leave and you expect to return to the job. If < 6 months, treat as employed;

if e2616>0 and e2616<13 then wlw = (e2617-1992)*12 + e2616;

if sdw3>0 then anywork3=0;

if working3=1 or e2611m2=1 or e2611m3=1 or anywrkp3=1 or ((working3=3 or e2611m2=3 or e2611m3=3) and e2615=1 and sdw3-wlw<6 and wlw ne .) then anywork3=1; 
if working3=. and e2611m2=. and e2611m3=. and anywrkp3=. and e2615=. then anywork3=.; 

* ejob3: end date of wave 2 employment, if any. flag cases with month missing: ejobmon3;

If moenw3js>0 and moenw3js<13 then ejob3 = (yrenw3js-1992)*12 + moenw3js; if moenw3js<0 and yrenw3js>0 then do; ejob3 = (yrenw3js-1992)*12 + 6; ejobmon3=1; end; if ejob3>sdw3 then ejob3=sdw3; * end date of w2 SE;
If mostwem3>0 and mostwem3<13 then ejob3 = (yrstwem3-1992)*12 + mostwem3; if mostwem3<0 and yrstwem3>0 then do; ejob3 = (yrstwem3-1992)*12 + 6; ejobmon3=1; end; if ejob3>sdw3 then ejob3=sdw3; * end date of w2 job;


* bjob3: beginning date of wave 3 employment, if any. flag cases with month missing: bjobmon3;

if yrbgcj3>0 and mobgcj3>0 then bjob3 = (yrbgcj3-1992)*12 + mobgcj3; if mobgcj3<0 and yrbgcj3>0 then do; bjob3 = (yrbgcj3-1992)*12 + 6; bjobmon3=1; end;

* hours of work at wave 3;

if hrswkcs3>0 and hrswkcs3<35 then hours=1; if hrswkcs3>= 35 and hrswkcs3<=95 then hours=2;

* retain whatever info s possible for cases that missed an interview and now are back in the survey;

if sdw2=. and sdw3>0 and sameemp3=1 then do; miss2=1; sdw2=sdw1; anywork2=1; end;
if sdw2=. and sdw3>0 then do;
   if anywork3=1 then do; miss2=2; jwave3=hours+2; if hours=. then do; jwave3=4; flaghours3=1; end; sewave3=selfemp3; go to bbb; end;
   if anywork3=0 then do; miss2=3; jwave3=0; go to bbb; end;
end;

*hours of work at wave 2;

If w3617>0 and w3617<35 then oldhours=1; if w3617>=35 then oldhours=2;
if w4313>0 and w4313<35 then oldhours=1; if w4313>=35 then oldhours=2; 

* laid off from wave 2 job,2 possible sources;

if (e2673m1=1 or e2673m1=2)then layoff=1; *why left own business;
if (e3153m1=1 or e3153m1=2)then layoff=1; *why left employer;

* newnew to deal with a few cases in which anywork2=0 but other variables suggest it should be 1;
if anywork3=0 and (hrswkcs3>0 or yrbgcj3>0) then do; anywork3=1; chump=1; end;

* If employed at wave 2, assign months in which the individual remained at the wave 2 job, 
  beginning with sdw2+1 and ending with ejob3 or sdw3, depending on whether still on the wave 2 job at the time of the wave 3 interview;




* initialize new and old wave variables;

sdwnew = sdw3;
selfempnew = selfemp3;
anyworknew = anywork3;
sameempnew = sameemp3;
bjobnew = bjob3;
ejobnew = ejob3;

sdwold = sdw2;
selfempold = selfemp2;
anyworkold = anywork2;
tenurewaveold = tenurewave2;
exwaveold = exwave2;
lwwaveold = lwwave2;
jwaveold = jwave2;
laidoffwaveold = laidoffwave2;
sewaveold = sewave2;

* begin common section;

if anyworkold=0 then do;
   if anyworknew=0 then do;
      if bjobnew ne . then do; oldbjobnew=bjobnew; flagbjobnew=1; bjobnew=.; end;
      if ejobnew ne . then do; oldejobnew=ejobnew; flagejobnew=1; ejobnew=.; end;
   end;
   if anyworknew=1 then do;
      if ejobnew ne . then do; oldejobnew=ejobnew; flagejobnew=2; ejobnew=.; end;
	  if bjobnew ne . and bjobnew<sdwold then do; oldbjobnew=bjobnew; flagbjobnew=2; bjobnew=sdwold; end;
	  if bjobnew = . then flagbjobnew=3;
   end;
end;
if anyworkold=1 then do;
   if anyworknew=0 then do;
      if bjobnew ne . then do; oldbjobnew=bjobnew; flagbjobnew=4; bjobnew=.; end;
	  if ejobnew ne . and ejobnew<sdwold then do; oldejobnew=ejobnew; flagejobnew=3; ejobnew=sdwold; end;
	  if ejobnew = . then flagejobnew=4;
   end;
   if anyworknew=1 then do;
      if sameempnew=1 or sameempnew=7 then do;
         if bjobnew ne . then do; oldbjobnew=bjobnew; flagbjobnew=5; bjobnew=.; end;
         if ejobnew ne . then do; oldejobnew=ejobnew; flagejobnew=5; ejobnew=.; end;
      end;
      if sameempnew ne 1 and sameempnew ne 7 then do;
		  if ejobnew=. then do;
      	     if selfempold=1 and selfempnew=1 then do;
		        if bjobnew>=sdwold then flagejobnew=6; * could really be a different job since bjobnew date is legit. don't set bjobnew=., leave months sdwold to bjobnew-1 missing;
			    if bjobnew<sdwold and bjobnew ne . then do; * less likely to be a new job, since bjobnew is before sdwold;
			       if tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=7; end; * tenure matches closely. very likely the same job;
			       if tenurewaveold=. or abs(sdwold-bjobnew - tenurewaveold)>12      then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=8; end; * tenure does not match closely, less likely;
			    end;
	         end;
      	     if selfempold=0 and selfempnew=0 then do;
		        if bjobnew>=sdwold then flagejobnew=7; * could really be a different job since bjobnew date is legit. don't set bjobnew=., leave months sdwold to bjobnew-1 missing;
			    if bjobnew<sdwold and bjobnew ne . then do; * less likely to be a new job, since bjobnew is before sdwold;
			       if tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=9; end; * tenure matches closely. very likely the same job;
			       if tenurewaveold=. or abs(sdwold-bjobnew - tenurewaveold)>12      then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=10; end; * tenure does not match closely, less likely;
			    end;
	         end;
      	     if selfempold ne selfempnew and selfempold ne . and selfempnew ne . then do;
		        if bjobnew>=sdwold then flagejobnew=8; * could really be a different job since bjobnew date is legit. don't set bjobnew=., leave months sdwold to bjobnew-1 missing;
			    if bjobnew<sdwold and bjobnew ne . then do; * less likely to be a new job, since bjobnew is before sdwold;
			       if tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=11; end; * tenure matches closely. very likely the same job;
			       if tenurewaveold=. or abs(sdwold-bjobnew - tenurewaveold)>12      then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=12; end; * tenure does not match closely, less likely;
			    end;
	         end;
         end;
         if ejobnew ne . then do;
		    if ejobnew<sdwold then do; 
               oldejobnew=ejobnew; flagejobnew=9; ejobnew=sdwold; * creates a seam problem;
               if bjobnew ne . and bjobnew<sdwold then do; oldbjobnew=bjobnew; bjobnew=sdwold+1; flagbjobnew=13; end;
            end;
			if ejobnew>=sdwold then do;
			   if bjobnew<ejobnew then do; oldbjobnew=bjobnew; bjobnew=ejobnew+1; flagbjobnew=14; end;
		    end;
         end;
	  end;
   end;
end;

if flagbjobnew<0 and sdwnew>0 then flagbjobnew=0;
if flagejobnew<0 and sdwnew>0 then flagejobnew=0;


* If employed at previous wave, assign months in which the individual remained at the previous wave job, 
  beginning with sdwold+1 and ending with ejobnew or sdwnew, depending on whether still on the previous wave job at the time of the current wave interview;

if anyworkold=1 and ejobnew>0 then do; casee=1; last = ejobnew; end;

if anyworkold=1 and ejobnew=. then do;

   if anyworknew=1 then do; 

      last = sdwnew; 

      If sameempnew=1 or sameempnew=7 then do; casec=1; go to aaa; end; * still working for previous wave employer;

      if selfempnew=1 and selfempold=1 and bjobnew ne . and bjobnew<= sdwold then do; casej=1; go to aaa; end; * self-employed at prev wave 1 and current waveand same business at both waves; 

      if selfempnew=1 and selfempold=1 and bjobnew ne . and bjobnew>sdwold then do; casek=1; go to aaa; end; * : 6;
	  *self-employed at previous wave 1 and current wave but claims to have started the curr wave business after prev wave. treat as if same business but flag it; 

      if sameempnew=. and selfempnew=0 and selfempold=0 and bjobnew ne . and tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; casel=1; go to aaa; end;
      * New: Not self-empl, indicator for whether same job missing, but start date reported at prev and curr waves are consistent with same job;

      if selfempnew ne selfempold and selfempold ne . and selfempnew ne . and sdwold ne . and bjobnew ne . and tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; 
         casem=1; go to aaa;
	  end; * New: if respondent changes his mind about self-empl, but reports bjobnew consistent with start date of current job reported at prev wave, assume its the same job;

      if bjobnew>0 then last=.;  
	  * : claims prev wave job never ended (ejobnew=.) but reports a bjobnew and does not satisfy any of the above criteria: set last=. all months up to bjobnew will be missing. ;
   aaa: end;

   if anyworknew=0 then do; casef=1; jwavenew=0; exwavenew=exwaveold; end;
   * , do not set any months, but pass on the fact that j=0 at curr wave interview date (assume exwavenew=exwaveold), and re-set bjobnew values that should not be set;

   if last = sdwnew then do; * If hours of work have changed, arbitrarily assign the date of change to the midpoint between interview dates;
      newhours = hours; if newhours=. then newhours = oldhours;
   end;
end;

* fill in months up to end of old wave job (if there was an old wave job and it ended, otherwise last=.) or new wave interview date if still on old wave job;

if last>sdwold then do;
   caseg=1;
   do i = sdwold+1 to last;

      j = jwaveold; *: don't need lw; tenure = tenurewaveold + (i-sdwold); ex = exwaveold + (i-sdwold); se = sewaveold; laidoff=laidoffwaveold; if j>=3 then jl = j - 2; 

      if last=sdwnew and oldhours ne newhours and oldhours ne . and newhours ne . then do; * change in hours on same job; 
	     if newhours>0 then j = newhours + 2; if j>=3 then jl = j - 2;
      end;

      if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end; * these are used in the next program;

      If i=last then do; jllast1 = jl; exlast1 = ex; tenurelast1 = tenure; selast1 = se; end; * save these for later use in case there is a period of non-employment;
   end;
end;

if last>0 and last<sdwnew then do; * old wave job ended before the new wave interview, otherwise last=. or last=sdwnew;

   if bjobnew>0 and anyworknew=1 then start = bjobnew-1; * there is a new wave job, different from the old wave job;

   if bjobnew=. then start=sdwnew; * no new wave begin job date, so fill in non-empl up to sdwnew; 

   if start>=ejobnew+1 and ejobnew>0 then do; * there is a non-employment period of at least one month; 
      caseh=1;
      * Check fmonth variables for any months worked between ejobnew+1 and bjobnew-1 or sdwnew. These are "extra", for now we just record them, but do not change j, jl, exper, etc.;
      if fany=1 then do;
         do i = ejobnew+1 to start;
	        *extra = 0; * ;
            do over fmonths;
               If fmonths = i then do; 
                   if fhours>0 and fhours<35 then extra=1; if fhours>=35 and fhours<=95 then extra=2; if fhours<=0 or fhours>95 then do; extra=2; flagfhoursnew=1; end;
               end;
            End;
         End;
      End;

	  * assign non-employment months;
	  do i = ejobnew+1 to start;
	 	 if i=ejobnew+1 then do; jl = jllast1; If layoff=1 then laidoff=1; tenure = tenurelast1 + 1; se = selast1; end;
         if i>ejobnew+1 then jl=0; 
         j = 0; ex = exlast1; lw = i - (ejobnew+1);
		 if i=sdwnew then do; jwavenew = 0; exwavenew = ex; lwwavenew = lw; end;
         If i=last then do; jllast1 = jl; exlast1 = ex; end; * save these for later use in case there is a subsequent period of employment;
 	  end;
   end;

  * If there is a new wave job, then assign months for new wave job; 
   if bjobnew>0 then do;
      casei=1;
 	  do i = bjobnew to sdwnew;
	     if i = bjobnew then do; jl = jllast1; j=hours; if hours=. then do; j=2; flaghoursnew=1; end; end; 
		 * new: changed jl=0 to jl=jllast1, since jl is not = zero if there is no gap between end of last job and start of new job;
	 	 if i > bjobnew then do; jl=hours; j = hours + 2; if hours=. then do; j=4; jl=2; flaghoursnew=1; end; end; 
		 se = selfempnew; laidoff = 0; tenure = i - bjobnew; ex = exlast1 + i - bjobnew;
         if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end;
      end;
   end;
end;

if anyworkold=0 and anyworknew=0 and sdwold>0 and sdwnew>0 then do;
   casea=1;
   if fany=1 then do;
      do i = sdwold+1 to sdwnew;
         do over fmonths;
            If fmonths = i then do; 
                if fhours>0 and fhours<35 then extra=1; if fhours>=35 and fhours<=95 then extra=2; if fhours<=0 or fhours>95 then do; extra=2; flagfhoursnew=1; end;
            end;
         End;
      End;
   end;

	* assign non-employment months;
   do i = sdwold+1 to sdwnew;
  	  jl=0; j = 0; ex = exwaveold; lw = lwwaveold + i - (sdwold+1); * new: eliminated reference to jlwaveold;
	  if i=sdwnew then do; jwavenew = 0; exwavenew = ex; lwwavenew = lw; end;
   end;
end;

if anyworkold=0 and anyworknew=1 and sdwold>0 and sdwnew>0 and bjobnew=. then do; 
   caseo=1; if hours>0 then jwavenew=hours+2; if hours=. then jwavenew=4;
end;

if anyworkold=0 and anyworknew=1 and sdwold>0 and sdwnew>0 and bjobnew>0 then do;
   cased=1;
   if fany=1 then do;
      do i = sdwold+1 to bjobnew;
         do over fmonths;
            If fmonths = i then do; 
               if fhours>0 and fhours<35 then extra=1; if fhours>=35 and fhours<=95 then extra=2; if fhours<=0 or fhours>95 then do; extra=2; flagfhoursnew=1; end;
            end;
         End;
      End;
   end;

	* assign non-employment months;

   start = bjobnew-1; if start< sdwold+1 then start=sdwold+1; * new: changed from start = bjobnew;
   do i = sdwold+1 to start;
  	  jl=0; j = 0; ex = exwaveold; lw = lwwaveold + i - (sdwold+1); 
   end;

   * assign employment months;

   do i = bjobnew to sdwnew; 
      if i = bjobnew then do; jl = 0; j=hours; if hours=. then do; j=2; flaghoursnew=1; end; end;
 	  if i > bjobnew then do; jl=hours; if hours=. then do; jl=2; flaghoursnew=1; end; j = jl + 2; end; 
	  se = selfempnew; laidoff = 0; tenure = i - bjobnew; ex = exwaveold + i - bjobnew; 
      if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end;
   end;

end;

* new section to deal with cases in which ejobnew is missing and the job actually appears to have ended, and there is a new job. The months from sdwold to bjobnew will be missing,
since we do not know when the wave 1 job ended, but we will be able to fill in data for the months in which the new job was held. work experience will be incorrect, so flag it;

if anyworkold=1 and anyworknew=1 and ejobnew=. and last=. and sdwnew>0 and bjobnew>0 then do;
   casen=1;
   do i = bjobnew to sdwnew;
      if i=bjobnew then do; tenure=0; jl=0; j=hours; if hours=. then do; j=2; flaghoursnew=1; end; end; 
      if i>bjobnew then do; tenure=i - bjobnew; jl=hours; if hours=. then do; jl=2; flaghoursnew=1; end; j = jl + 2; end;
	  ex = exwaveold + i - bjobnew; flagexnew=1; * : ex=exwaveold was wrong. also, flag ex and do not set lw; se = selfempnew; laidoff=0;
      if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end; 
   end;
end;      

* new section to change information passed to next wave if job ended in curr wave interview month;

if ejobnew=sdwnew and sdwnew>0 then do;
   if bjobnew=. or bjobnew<=sdwold then jwavenew=0;
   if bjobnew=ejobnew then do; if hours>0 then jwavenew=hours; if hours<0 then do; jwavenew=2; flaghoursnew=1; end; end;
end;



bjob3 = bjobnew;
oldbjob3 = oldbjobnew;
flagbjob3 = flagbjobnew;

ejob3 = ejobnew;
oldejob3 = oldejobnew;
flagejob3 = flagejobnew;

tenurewave3 = tenurewavenew;
exwave3 = exwavenew;
lwwave3 = lwwavenew;
jwave3 = jwavenew;
laidoffwave3 = laidoffwavenew;
sewave3 = sewavenew;

flaghours3 = flaghoursnew;
flagfhours3 = flagfhoursnew;
flagex3 = flagexnew;


if sdw3=. or sdw2=. then case=0;
if sdw3>0 and sdw2>0 then case=1;
if sdw3>0 and sdw2>0 and casea=. and casec=. and cased=. and casee=. and casef=. and caseg=. and caseh=. and casei=. and casej=. and casek=. and casel=. and casem=. 
and casen=. and caseo=. then case=2;

bbb: s=1;

keep caseid hhid pn jl4-jl62 lw4-lw62 laidoff4-laidoff62 tenure4-tenure62 se4-se62 j4-j62 ex4-ex62 extra4-extra62 
bjob2 bjob3 ejob2 ejob3 sameemp3 othwork3 hrswrk3 miss2
sdw1-sdw3 anywork2 selfemp3 hrswkcs3 yrbgcj3 mobgcj3 anywork3 w3617 w4313 anywork3 sewave2 e3153m1  
bjobmon3 ejobmon3 birthmonth birthyear dob 
jwave3 sewave3 laidoffwave3 tenurewave3 exwave3 lwwave3 jwave2 sewave2 tenurewave2 exwave2 lwwave2
w3662 w3663  intyear3 intmont3 ejob2 last start jllast1 hours
flaglongjob flagothjob flaglj flagtena flagexa flagtenb flagexb  chump
flagejob2 flagbjob2 flaghours1 flaghours2 flagfhours2 flagex2 oldbjob2 oldejob2 bjobmon2 ejobmon2
flagejob3 flagbjob3            flaghours3 flagfhours3 flagex3 oldbjob3 oldejob3 bjobmon3 ejobmon3
case case casea casec cased casee casef caseg caseh casei casej casek casel casem casen caseo;


proc means; 
proc freq; tables case flagbjob3 flagejob3 miss2;

*proc freq; *tables j4-j62 jl4*j4 jl5*j5 jl6*j6 jl7*j7 jl8*j8 jl9*j9 jl10*j10 jl11*j11 jl12*j12 jl13*j13 jl14*j14 jl15*j15 jl16*j16 jl17*j17 jl18*j18 jl19*j19 jl20*j20 
 jl21*j21 jl22*j22 jl23*j23 jl24*j24 jl25*j25 jl26*j26 jl27*j27 jl28*j28 jl29*j29 jl30*j30 jl31*j31 jl32*j32 jl33*j33 jl34*j34 jl35*j35 jl36*j36 jl37*j37 jl38*j38 jl39*j39
 jl40*j40 jl41*j41 jl42*j42 jl43*j43 jl44*j44 jl45*j45 jl46*j46 jl47*j47 jl48*j48 jl49*j49
 jl51*j51 jl52*j52 jl53*j53 jl54*j54 jl55*j55 jl56*j56 jl57*j57 jl58*j58 jl59*j59 jl60*j60 jl61*j61 jl62*j62 ;
 
data new; set threea; 

if normal(0)>2.3 or flagbjob3>0 or flagejob3>0;

*proc print; *var hhid pn anywork2 anywork3 sameemp3 selfemp3 jwave2 sewave2 tenurewave2 exwave2 lwwave2 oldbjob3 bjob3 flagbjob3 
ejob3 oldejob3 flagejob3 sdw2 sdw3 last start jllast1 hours flaghours3 j4-j62 jwave3 sewave3 tenurewave3 exwave3 lwwave3 
case casea casec cased casee casef caseg caseh casei casej casek casel casem casen caseo;

data in.empl3_months; set threea;

keep caseid hhid pn birthmonth birthyear dob
flaglongjob flagothjob flaglj flagtena flagexa flagtenb flagexb 
sdw1-sdw3 miss2
jl4-jl62 lw4-lw62 laidoff4-laidoff62 tenure4-tenure62 se4-se62 j4-j62 ex4-ex62 extra4-extra62 
hrswkcs3 yrbgcj3
bjob2-bjob3 ejob2-ejob3 anywork3 selfemp3 
jwave3 sewave3 laidoffwave3 tenurewave3 exwave3 lwwave3 
flagejob2-flagejob3 oldejob2-oldejob3 flagbjob2-flagbjob3 oldbjob2-oldbjob3 flaghours1-flaghours3 flagfhours2-flagfhours3 flagex2-flagex3 bjobmon2-bjobmon3 ejobmon2-ejobmon3
;
run;
