options pagesize=59 linesize=150 nocenter;

libname EXTRACT 'C:\Documents and Settings\David Blau\My Documents\Luc new\HRS\emplwave data' ;
libname in 'C:\Documents and Settings\David Blau\My Documents\Luc new\HRS\employment data' ;

data w4; set EXTRACT.emplwave98;

data jojo; set in.empl3_months; 

data threeb; merge jojo w4; by hhid pn;

* array the employment and other variables for the first 87 months, up to March 1999, which was the last month of wave 4 interviews;

array j (i) j1-j87;
array jl (i) jl1-jl87;
array tenure (i) tenure1-tenure87;
array lw (i) lw1-lw87;
array ex (i) ex1-ex87;
array laidoff (i) laidoff1-laidoff87;
array se (i) se1-se87;
array extra (i) extra1-extra87;

sdw4=(f699-1992)*12 + f697; *wave 4 survey month;

if f25_1=1 or f25_1=2 then delete;* deleting the AHEAD and CODA cohort members;
 
if f25_1=3 then do; *wave 4 create_empl data for original HRS cohort;


dura = int((sdw4 - sdw3)/2); mep = sdw3 + dura - 1; * mep = last month for oldhours, if hours of work have changed between wave3 and wave4 on the same job;

* convert dates of "month" variables into origin Jan. 1992. Account for "all of year" cases: 37, 38, 39;

array famonths f3590m1-f3590m36;
do over famonths; If famonths=37 then jojo96=1; If famonths=38 then jojo97=1;  If famonths=39 then jojo98=1; end;

if jojo96=1 then do;
   F3590m1 = 48 + 1; f3590m2 = 48 + 2; f3590m3 = 48 + 3; f3590m4 = 48 + 4;
   F3590m5 = 48 + 5; f3590m6 = 48 + 6; f3590m7 = 48 + 7; f3590m8 = 48 + 8;
   F3590m9 = 48 + 9; f3590m10 = 48 +10; f3590m11 = 48 +11; f3590m12 = 48 +12;
end;

if jojo97=1 then do;
   F3590m13 = 60 + 1; f3590m14 = 60 + 2; f3590m15 = 60 + 3; f3590m16 = 60 + 4;
   F3590m17 = 60 + 5; f3590m18 = 60 + 6; f3590m19 = 60 + 7; f3590m20 = 60 + 8;
   F3590m21 = 60 + 9; f3590m22 = 60 +10; f3590m23 = 60 +11; f3590m24 = 60 + 12;
end;

if jojo98=1 then do;
   F3590m25 = 72 + 1; f3590m26 = 72 + 2; f3590m27 = 72 + 3; f3590m28 = 72 + 4;
   F3590m29 = 72 + 5; f3590m30 = 72 + 6; f3590m31 = 72 + 7; f3590m32 = 72 + 8;
   F3590m33 = 72 + 9; f3590m34 = 72 +10; f3590m35 = 72 +11;  f3590m36 = 72 + 12;
end;

array fmonths fmonths1-fmonths36;

if f3589=1 then do; do over fmonths; fmonths=famonths; end; fhours = f3591; fany=f3589; end;


sameemp4 = f3166;
selfemp4 = f3132;
hrswkcs4 = f3259;
yrbgcj4 = f3135;
mobgcj4 = f3134;


* when last worked, if on temporary layoff, sick leave, or other leave and you expect to return to the job. If < 6 months, treat as employed;

if f3120>0 and f3120<13 then wlw = (f3121-1992)*12 + f3120;

if sdw4>0 then anywork4=0;

if f3115m1=1 or f3115m2=1 or f3115m3=1 or f3131=1 or ((f3115m1=3 or f3115m2=3 or f3115m3=3) and f3119=1 and sdw4-wlw<6 and wlw ne .) then anywork4=1;
if f3115m1=. and f3115m2=. and f3115m3=. and f3131=. and f3119=. then anywork4=.; 

* ejob4: end date of wave 3 employment, if any. flag cases with month missing: ejobmon4;
if f3135>0 and f3135<2000 then do;
   If f3134>0 and f3134<13 then ejob4 = (f3135-1992)*12 + f3134; if f3134<0 and f3135>0 then do; ejob4 = (f3135-1992)*12 + 6; ejobmon4=1; end; 
   if ejob4>sdw4 then ejob4=sdw4;
end;* end date of w3 SE;

if f3189>0 and f3189<2000 then do;
   If f3188>0 and f3188<13 then ejob4 = (f3189-1992)*12 + f3188; 
   if f3188<0 and f3189>0 then do; ejob4 = (f3189-1992)*12 + 6; ejobmon4=1; end;
   if ejob4>sdw4 then ejob4=sdw4; * end date of w3 job;
end;


* bjob4: beginning date of wave 4 employment, if any. flag cases with month missing: bjobmon4;
if f3349>0 and f3349<2000 then do;* to get rid of missing value codes;
   if f3348>0 and f3348<13 then bjob4 = (f3349-1992)*12 + f3348; if f3348<0 and f3349>0 then do; bjob4 = (f3349-1992)*12 + 6; bjobmon4=1; end;
end;

* hours of work at wave 4; 

if f3259>0 and f3259<35 then hours=1;if f3259>= 35 and f3259<=95 then hours=2;


* back in survey after a missed interview;

if sdw1>0 and sdw3=. and sdw4>0 and sameemp4=1 then do; miss3=1; sdw3=sdw2; anywork3=1; end;
if sdw1>0 and sdw3=. and sdw4>0 then do;
   if anywork4=1 then do; miss3=2; jwave4=hours+2; if hours=. then do; jwave4=4; flaghours4=1; end; sewave4=selfemp4; go to bbb; end;
   if anywork4=0 then do; miss3=3; jwave4=0; go to bbb; end;
end;

*hours of work at wave 3;

if hrswkcs3>0 and hrswkcs3<35 then oldhours=1; if hrswkcs3>= 35 and hrswkcs3<=95 then oldhours=2;

* laid off from wave 3 job;

if (f3671m1=1 or f3671m1=2)then layoff=1; *why left own business/employer;


* initialize new and old wave variables;

sdwnew = sdw4;
selfempnew = selfemp4;
anyworknew = anywork4;
sameempnew = sameemp4;
bjobnew = bjob4;
ejobnew = ejob4;

sdwold = sdw3;
selfempold = selfemp3;
anyworkold = anywork3;
tenurewaveold = tenurewave3;
exwaveold = exwave3;
lwwaveold = lwwave3;
jwaveold = jwave3;
laidoffwaveold = laidoffwave3;
sewaveold = sewave3;

* begin common section;

if anyworkold=0 then do;
   if anyworknew=0 then do;
      if bjobnew ne . then do; oldbjobnew=bjobnew; flagbjobnew=1; bjobnew=.; end;
      if ejobnew ne . then do; oldejobnew=ejobnew; flagejobnew=1; ejobnew=.; end;
   end;
   if anyworknew=1 then do;
      if ejobnew ne . then do; oldejobnew=ejobnew; flagejobnew=2; ejobnew=.; end;
	  if bjobnew ne . and bjobnew<sdwold then do; oldbjobnew=bjobnew; flagbjobnew=2; bjobnew=sdwold; end;
	  if bjobnew = . then flagbjobnew=3;
   end;
end;
if anyworkold=1 then do;
   if anyworknew=0 then do;
      if bjobnew ne . then do; oldbjobnew=bjobnew; flagbjobnew=4; bjobnew=.; end;
	  if ejobnew ne . and ejobnew<sdwold then do; oldejobnew=ejobnew; flagejobnew=3; ejobnew=sdwold; end;
	  if ejobnew = . then flagejobnew=4;
   end;
   if anyworknew=1 then do;
      if sameempnew=1 or sameempnew=7 then do;
         if bjobnew ne . then do; oldbjobnew=bjobnew; flagbjobnew=5; bjobnew=.; end;
         if ejobnew ne . then do; oldejobnew=ejobnew; flagejobnew=5; ejobnew=.; end;
      end;
      if sameempnew ne 1 and sameempnew ne 7 then do;
		  if ejobnew=. then do;
      	     if selfempold=1 and selfempnew=1 then do;
		        if bjobnew>=sdwold then flagejobnew=6; * could really be a different job since bjobnew date is legit. don't set bjobnew=., leave months sdwold to bjobnew-1 missing;
			    if bjobnew<sdwold and bjobnew ne . then do; * less likely to be a new job, since bjobnew is before sdwold;
			       if tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=7; end; * tenure matches closely. very likely the same job;
			       if tenurewaveold=. or abs(sdwold-bjobnew - tenurewaveold)>12      then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=8; end; * tenure does not match closely, less likely;
			    end;
	         end;
      	     if selfempold=0 and selfempnew=0 then do;
		        if bjobnew>=sdwold then flagejobnew=7; * could really be a different job since bjobnew date is legit. don't set bjobnew=., leave months sdwold to bjobnew-1 missing;
			    if bjobnew<sdwold and bjobnew ne . then do; * less likely to be a new job, since bjobnew is before sdwold;
			       if tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=9; end; * tenure matches closely. very likely the same job;
			       if tenurewaveold=. or abs(sdwold-bjobnew - tenurewaveold)>12      then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=10; end; * tenure does not match closely, less likely;
			    end;
	         end;
      	     if selfempold ne selfempnew and selfempold ne . and selfempnew ne . then do;
		        if bjobnew>=sdwold then flagejobnew=8; * could really be a different job since bjobnew date is legit. don't set bjobnew=., leave months sdwold to bjobnew-1 missing;
			    if bjobnew<sdwold and bjobnew ne . then do; * less likely to be a new job, since bjobnew is before sdwold;
			       if tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=11; end; * tenure matches closely. very likely the same job;
			       if tenurewaveold=. or abs(sdwold-bjobnew - tenurewaveold)>12      then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=12; end; * tenure does not match closely, less likely;
			    end;
	         end;
         end;
         if ejobnew ne . then do;
		    if ejobnew<sdwold then do; 
               oldejobnew=ejobnew; flagejobnew=9; ejobnew=sdwold; * creates a seam problem;
               if bjobnew ne . and bjobnew<sdwold then do; oldbjobnew=bjobnew; bjobnew=sdwold+1; flagbjobnew=13; end;
            end;
			if ejobnew>=sdwold then do;
			   if bjobnew<ejobnew then do; oldbjobnew=bjobnew; bjobnew=ejobnew+1; flagbjobnew=14; end;
		    end;
         end;
	  end;
   end;
end;

if flagbjobnew<0 and sdwnew>0 then flagbjobnew=0;
if flagejobnew<0 and sdwnew>0 then flagejobnew=0;


* If employed at previous wave, assign months in which the individual remained at the previous wave job, 
  beginning with sdwold+1 and ending with ejobnew or sdwnew, depending on whether still on the previous wave job at the time of the current wave interview;

if anyworkold=1 and ejobnew>0 then do; casee=1; last = ejobnew; end;

if anyworkold=1 and ejobnew=. then do;

   if anyworknew=1 then do; 

      last = sdwnew; 

      If sameempnew=1 or sameempnew=7 then do; casec=1; go to aaa; end; * still working for previous wave employer;

      if selfempnew=1 and selfempold=1 and bjobnew ne . and bjobnew<= sdwold then do; casej=1; go to aaa; end; * self-employed at prev wave 1 and current waveand same business at both waves; 

      if selfempnew=1 and selfempold=1 and bjobnew ne . and bjobnew>sdwold then do; casek=1; go to aaa; end; * : 6;
	  *self-employed at previous wave 1 and current wave but claims to have started the curr wave business after prev wave. treat as if same business but flag it; 

      if sameempnew=. and selfempnew=0 and selfempold=0 and bjobnew ne . and tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; casel=1; go to aaa; end;
      * New: Not self-empl, indicator for whether same job missing, but start date reported at prev and curr waves are consistent with same job;

      if selfempnew ne selfempold and selfempold ne . and selfempnew ne . and sdwold ne . and bjobnew ne . and tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; 
         casem=1; go to aaa;
	  end; * New: if respondent changes his mind about self-empl, but reports bjobnew consistent with start date of current job reported at prev wave, assume its the same job;

      if bjobnew>0 then last=.;  
	  * : claims prev wave job never ended (ejobnew=.) but reports a bjobnew and does not satisfy any of the above criteria: set last=. all months up to bjobnew will be missing. ;
   aaa: end;

   if anyworknew=0 then do; casef=1; jwavenew=0; exwavenew=exwaveold; end;
   * , do not set any months, but pass on the fact that j=0 at curr wave interview date (assume exwavenew=exwaveold), and re-set bjobnew values that should not be set;

   if last = sdwnew then do; * If hours of work have changed, arbitrarily assign the date of change to the midpoint between interview dates;
      newhours = hours; if newhours=. then newhours = oldhours;
   end;
end;

* fill in months up to end of old wave job (if there was an old wave job and it ended, otherwise last=.) or new wave interview date if still on old wave job;

if last>sdwold then do;
   caseg=1;
   do i = sdwold+1 to last;

      j = jwaveold; *: don't need lw; tenure = tenurewaveold + (i-sdwold); ex = exwaveold + (i-sdwold); se = sewaveold; laidoff=laidoffwaveold; if j>=3 then jl = j - 2; 

      if last=sdwnew and oldhours ne newhours and oldhours ne . and newhours ne . then do; * change in hours on same job; 
	     if newhours>0 then j = newhours + 2; if j>=3 then jl = j - 2;
      end;

      if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end; * these are used in the next program;

      If i=last then do; jllast1 = jl; exlast1 = ex; tenurelast1 = tenure; selast1 = se; end; * save these for later use in case there is a period of non-employment;
   end;
end;

if last>0 and last<sdwnew then do; * old wave job ended before the new wave interview, otherwise last=. or last=sdwnew;

   if bjobnew>0 and anyworknew=1 then start = bjobnew-1; * there is a new wave job, different from the old wave job;

   if bjobnew=. then start=sdwnew; * no new wave begin job date, so fill in non-empl up to sdwnew; 

   if start>=ejobnew+1 and ejobnew>0 then do; * there is a non-employment period of at least one month; 
      caseh=1;
      * Check fmonth variables for any months worked between ejobnew+1 and bjobnew-1 or sdwnew. These are "extra", for now we just record them, but do not change j, jl, exper, etc.;
      if fany=1 then do;
         do i = ejobnew+1 to start;
	        *extra = 0; * ;
            do over fmonths;
               If fmonths = i then do; 
                   if fhours>0 and fhours<35 then extra=1; if fhours>=35 and fhours<=95 then extra=2; if fhours<=0 or fhours>95 then do; extra=2; flagfhoursnew=1; end;
               end;
            End;
         End;
      End;

	  * assign non-employment months;
	  do i = ejobnew+1 to start;
	 	 if i=ejobnew+1 then do; jl = jllast1; If layoff=1 then laidoff=1; tenure = tenurelast1 + 1; se = selast1; end;
         if i>ejobnew+1 then jl=0; 
         j = 0; ex = exlast1; lw = i - (ejobnew+1);
		 if i=sdwnew then do; jwavenew = 0; exwavenew = ex; lwwavenew = lw; end;
         If i=last then do; jllast1 = jl; exlast1 = ex; end; * save these for later use in case there is a subsequent period of employment;
 	  end;
   end;

  * If there is a new wave job, then assign months for new wave job; 
   if bjobnew>0 then do;
      casei=1;
 	  do i = bjobnew to sdwnew;
	     if i = bjobnew then do; jl = jllast1; j=hours; if hours=. then do; j=2; flaghoursnew=1; end; end; 
		 * new: changed jl=0 to jl=jllast1, since jl is not = zero if there is no gap between end of last job and start of new job;
	 	 if i > bjobnew then do; jl=hours; j = hours + 2; if hours=. then do; j=4; jl=2; flaghoursnew=1; end; end; 
		 se = selfempnew; laidoff = 0; tenure = i - bjobnew; ex = exlast1 + i - bjobnew;
         if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end;
      end;
   end;
end;

if anyworkold=0 and anyworknew=0 and sdwold>0 and sdwnew>0 then do;
   casea=1;
   if fany=1 then do;
      do i = sdwold+1 to sdwnew;
         do over fmonths;
            If fmonths = i then do; 
                if fhours>0 and fhours<35 then extra=1; if fhours>=35 and fhours<=95 then extra=2; if fhours<=0 or fhours>95 then do; extra=2; flagfhoursnew=1; end;
            end;
         End;
      End;
   end;

	* assign non-employment months;
   do i = sdwold+1 to sdwnew;
  	  jl=0; j = 0; ex = exwaveold; lw = lwwaveold + i - (sdwold+1); * new: eliminated reference to jlwaveold;
	  if i=sdwnew then do; jwavenew = 0; exwavenew = ex; lwwavenew = lw; end;
   end;
end;

if anyworkold=0 and anyworknew=1 and sdwold>0 and sdwnew>0 and bjobnew=. then do; 
   caseo=1; if hours>0 then jwavenew=hours+2; if hours=. then jwavenew=4;
end;

if anyworkold=0 and anyworknew=1 and sdwold>0 and sdwnew>0 and bjobnew>0 then do;
   cased=1;
   if fany=1 then do;
      do i = sdwold+1 to bjobnew;
         do over fmonths;
            If fmonths = i then do; 
               if fhours>0 and fhours<35 then extra=1; if fhours>=35 and fhours<=95 then extra=2; if fhours<=0 or fhours>95 then do; extra=2; flagfhoursnew=1; end;
            end;
         End;
      End;
   end;

	* assign non-employment months;

   start = bjobnew-1; if start< sdwold+1 then start=sdwold+1; * new: changed from start = bjobnew;
   do i = sdwold+1 to start;
  	  jl=0; j = 0; ex = exwaveold; lw = lwwaveold + i - (sdwold+1); 
   end;

   * assign employment months;

   do i = bjobnew to sdwnew; 
      if i = bjobnew then do; jl = 0; j=hours; if hours=. then do; j=2; flaghoursnew=1; end; end;
 	  if i > bjobnew then do; jl=hours; if hours=. then do; jl=2; flaghoursnew=1; end; j = jl + 2; end; 
	  se = selfempnew; laidoff = 0; tenure = i - bjobnew; ex = exwaveold + i - bjobnew; 
      if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end;
   end;

end;

* new section to deal with cases in which ejobnew is missing and the job actually appears to have ended, and there is a new job. The months from sdwold to bjobnew will be missing,
since we do not know when the wave 1 job ended, but we will be able to fill in data for the months in which the new job was held. work experience will be incorrect, so flag it;

if anyworkold=1 and anyworknew=1 and ejobnew=. and last=. and sdwnew>0 and bjobnew>0 then do;
   casen=1;
   do i = bjobnew to sdwnew;
      if i=bjobnew then do; tenure=0; jl=0; j=hours; if hours=. then do; j=2; flaghoursnew=1; end; end; 
      if i>bjobnew then do; tenure=i - bjobnew; jl=hours; if hours=. then do; jl=2; flaghoursnew=1; end; j = jl + 2; end;
	  ex = exwaveold + i - bjobnew; flagexnew=1; * : ex=exwaveold was wrong. also, flag ex and do not set lw; se = selfempnew; laidoff=0;
      if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end; 
   end;
end;      

* new section to change information passed to next wave if job ended in curr wave interview month;

if ejobnew=sdwnew and sdwnew>0 then do;
   if bjobnew=. or bjobnew<=sdwold then jwavenew=0;
   if bjobnew=ejobnew then do; if hours>0 then jwavenew=hours; if hours<0 then do; jwavenew=2; flaghoursnew=1; end; end;
end;



bjob4 = bjobnew;
oldbjob4 = oldbjobnew;
flagbjob4 = flagbjobnew;

ejob4 = ejobnew;
oldejob4 = oldejobnew;
flagejob4 = flagejobnew;

tenurewave4 = tenurewavenew;
exwave4 = exwavenew;
lwwave4 = lwwavenew;
jwave4 = jwavenew;
laidoffwave4 = laidoffwavenew;
sewave4 = sewavenew;

flaghours4 = flaghoursnew;
flagfhours4 = flagfhoursnew;
flagex4 = flagexnew;

if sdw4=. or sdw3=. or sdw2=. then case=0;
if sdw4>0 and sdw3>0 and sdw2>0 then case=1;
if sdw4>0 and sdw3>0 and sdw2>0 and casea=. and casec=. and cased=. and casee=. and casef=. and caseg=. and caseh=. and casei=. and casej=. and casek=. and casel=. and casem=. 
and casen=. and caseo=. then case=2;

bbb: s=1;

end;*end of HRS cohort program;



if f25_1=4 then do; *wave 4 create_empl data for War babies' cohort;

* put date of birth on the same scale as the interview dates and other dates, so that age in months in a given month can be created by (date of interest - dob);

if f970a>0 and f970a<1992 and f968a>0 and f968a<13 then dob = (f970a-1992)*12 + f968a;


* get duration of old jobs, to be used in setting experience. new: I forgot to account for multiple jobs held at the same time, so I changed this to avoid double counting;

yrendlongjob = f3842;
yrbglongjob = f3834;
yrendothjob = f3904_1;  * are there others?;
yrbgothjob = f3903_1;

yrendlongjoba = yrendlongjob;
yrbglongjoba = yrbglongjob;
yrendothjoba = yrendothjob;
yrbgothjoba = yrbgothjob;

* new: fixing a few cases in which end and begin dates were apparently reversed;

if yrendlongjoba<yrbglongjoba and yrendlongjoba>0 then do; temp=yrbglongjoba; yrbglongjoba=yrendlongjoba; yrendlongjoba=temp; end;
if yrendothjoba<yrbgothjoba and yrendothjoba>0 then do; temp=yrbgothjoba; yrbgothjoba=yrendothjoba; yrendothjoba=temp; end;
if f3644<f3664 and f3644>0 then do; temp=f3664; f3664=f3644; f3644=temp; end;

* new: eliminate overlap between long job and other job;

if yrendothjoba>yrbglongjoba and yrbgothjoba<yrbglongjoba and yrbgothjoba>0 and yrbglongjoba>0 then do; yrendothjoba = yrbglongjoba; if yrendothjoba<yrbgothjoba then yrendothjoba=yrbgothjoba; flagothjob=1; go to a1; end;

if yrbgothjoba<yrendlongjoba and yrendothjoba>yrendlongjoba and yrbgothjoba>0 then do; yrbgothjoba = yrendlongjoba; flagothjob=1; go to a1; end;

if yrbglongjoba>=yrbgothjoba and yrendlongjoba<=yrendothjoba and yrbgothjoba>0 then do; yrendlongjoba=.; yrbglongjoba=.; flaglongjob=1; end;

if yrbgothjoba>=yrbglongjoba and yrendothjoba<=yrendlongjoba and yrbglongjoba>0 then do; yrendothjoba=.; yrbgothjoba=.; flagothjob=1; end;

* new: eliminate overlap between current or last job and long job;

a1:
if yrendlongjoba>f3349 and yrbglongjoba<f3349 and f3349>0 then do; yrendlongjoba = f3349; if yrendlongjoba<yrbglongjoba then yrendlongjoba = yrbglongjoba; flaglongjob=1; go to a2; end;
if yrendlongjoba>f3349 and yrbglongjoba>=f3349 and f3349>0 then do; yrendlongjoba = .; yrbglongjoba=.; flaglongjob=1; go to a2; end;

if yrbglongjoba<f3664 and yrendlongjoba>f3664 and f3644>yrendlongjoba and f3664>0 then do; yrendlongjoba = f3664; if yrendlongjoba<yrbglongjoba then yrendlongjoba = yrbglongjoba; flaglongjob=1; go to a2; end;
if yrendlongjoba<=f3644 and yrbglongjoba>=f3664 and f3664>0 then do; yrendlongjoba = .; yrbglongjoba=.; flaglongjob=1; go to a2; end;
if f3664>=yrbglongjoba and f3644<=yrendlongjoba and f3644>0 then do; f3644 = yrendlongjoba; f3664=yrbglongjoba; yrbglongjoba=.; yrendlongjoba=.; flaglj=1; go to a2; end;
if f3664<yrbglongjoba and f3644<=yrendlongjoba and f3664>0 and f3644>0 then do; f3644 = yrendlongjoba; yrbglongjoba=.; yrendlongjoba=.; flaglj=1; go to a2; end;

if f3644<yrendlongjoba and f3644>0 then dumblj=1;

* new: eliminate overlap between current or last job and other job;

a2:
if yrendothjoba>f3349 and yrbgothjoba<f3349 and f3349>0 then do; yrendothjoba = f3349; if yrendothjoba<yrbgothjoba then yrendothjoba = yrbgothjoba; flagothjob=1; go to a3; end;
if yrendothjoba>f3349 and yrbgothjoba>=f3349 and f3349>0 then do; yrendothjoba = .; yrbgothjoba=.; flagothjob=1; go to a3; end;

if yrbgothjoba<f3664 and yrendothjoba>f3664 and f3644>yrendothjoba and f3664>0 then do; yrendothjoba = f3664; if yrendothjoba<yrbgothjoba then yrendothjoba = yrbgothjoba; flagothjob=1; go to a3; end;
if yrendothjoba<=f3644 and yrbgothjoba>=f3664 and f3664>0 then do; yrendothjoba = .; yrbgothjoba=.; flagothjob=1; go to a3; end;
if f3664>=yrbgothjoba and f3644<=yrendothjoba and f3644>0 then do; f3644 = yrendothjoba; f3664=yrbgothjoba; yrbgothjoba=.; yrendothjoba=.; flaglj=1; go to a3; end;
if f3664<yrbgothjoba and f3644<=yrendothjoba and f3664>0 and f3644>0 then do; f3644 = yrendothjoba; yrbgothjoba=.; yrendothjoba=.; flaglj=1; go to a3; end;

a3:
oldjobdur = 0;

longjobdur = (yrendlongjoba - yrbglongjoba); if longjobdur>0 then oldjobdur = oldjobdur + longjobdur*12;
othjobdur = yrendothjoba - yrbgothjoba; if othjobdur>0 then oldjobdur = oldjobdur + othjobdur*12; * new: I forgot *12 here!;


* from this wave (1st wave for this cohort) data, we need the following variables defined as of the wave 4 interview month: 
  employment choice (j), when last worked (lw1), tenure, experience (ex), self-employment status (se), and lay off status;

* employment status at wave 4 interview date;
* cases on layoff or other leave at the interview date, and expecting to return to the job, and last worked on the job < 6 months ago are treated as employed;

if f3120>0 and f3120<13 then ejob4 = (f3121-1992)*12 + f3120;
if f3120<0 and f3121>0 and f3121<=1999 then ejob4 = (f3121-1992)*12 + 6;

anywork4=0;
if f3115m1=1 or f3131=1 or (f3115m1=3 and f3119=1 and sdw4-ejob4<6 and ejob4 ne .) Then anywork4=1;
if f3115m1=. and f3131=. and f3119=. Then anywork4=.;

if anywork4=0 and (f3259>0 or f3349>0) then do; anywork4=1; chump=1; end;

if anywork4=1 then do; * working;
   do i=1 to 87;
	  if sdw4 = i then do; * find the month of the wave 4 interview;
         If f3259>0 and f3259<35 then j=3; If f3259 ge 35 and f3259<=95 then j=4; if f3259<0 or f3259>95 then do; j=4; flaghours4=1; end; se = 0; laidoff = 0; 
         If f3349>0 and f3349<2000 and f3348<13 then do; tenure = sdw4 - ((f3349-1992)*12 + f3348); if tenure<0 and tenure ne . then tenure=0; ex = oldjobdur + tenure; end;
	     jwave4 = j; laidoffwave4 = laidoff; sewave4 = se; tenurewave4 = tenure; exwave4 = ex; * these are used in the wave 5 program;
      end;
   End;
end;

if anywork4=0 then do; * not working;
   do i=1 to 87;
      if sdw4 = i then do; * find the month of the wave 4 interview;
		 j=0; 

		 If f3643=5 then do; ex = 0; lw = sdw4 - (dob + 21*12); end; * if never worked, set the duration of non-employment = months since age 21, arbitrarily;

         If f3643=1 then do;
            if f3647>0 and f3647<13 and f3644<=1999 then Lw = sdw4 - ((f3644-1992)*12 + f3647);
            if f3647<0 and f3644>0 and f3644<=1999 then Lw = sdw4 - ((f3644-1992)*12 + 6);
 	        if lw<0 and lw ne . then lw=0;

 	        if f3664>0 then beg = f3664; 
	        if f3644>=beg then ex = oldjobdur + (f3644 - beg)*12; 
		 end;

	 	 jwave4 = j; exwave4 = ex; lwwave4 = lw; * these are used in the wave 5 program;
      end;
   End; 
end;
end;



* new: here I set experience and tenure to missing if they are obviously incorrect, in practice I assume you can't start work before age 16;

agemon = sdw4 - dob;
birthyear = f970a;

if anywork4=1 and f3349-birthyear<16 and f3349>0 then do; 
   tenurewave4=.; exwave4=.; do i = 74 to 87; if i=sdw4 then do; tenure=.; ex=.; end; end; flagtena=1; flagexa=1; 
end;
if exwave4 > agemon-192 then do; 
   if tenurewave4>0 then flagtenb=1; tenurewave4=.; exwave4=.; do i = 74 to 87; if i=sdw4 then do; tenure=.; ex=.; end; end; flagexb=1; 
end;

keep f25_1 caseid hhid pn jl4-jl87 lw4-lw87 laidoff4-laidoff87 tenure4-tenure87 se4-se87 j4-j87 ex4-ex87 extra4-extra87 
bjob2 bjob3 ejob2 ejob3 sameemp4  f3189 f3132 miss2-miss3
sdw1-sdw4 anywork3 selfemp3 hrswkcs4 yrbgcj4 mobgcj4 anywork4 selfemp4  
bjobmon4 ejobmon4 birthmonth birthyear dob 
jwave4 sewave4 laidoffwave4 tenurewave4 exwave4 lwwave4 jwave3 sewave3 tenurewave3 exwave3 lwwave3
ejob4 last start jllast1 hours bjob4
flaglongjob flagothjob flaglj flagtena flagexa flagtenb flagexb  chump
flagejob2 flagbjob2 flaghours1 flaghours2 flagfhours2 flagex2 oldbjob2 oldejob2 bjobmon2 ejobmon2
flagejob3 flagbjob3            flaghours3 flagfhours3 flagex3 oldbjob3 oldejob3 bjobmon3 ejobmon3
flagejob4 flagbjob4            flaghours4 flagfhours4 flagex4 oldbjob4 oldejob4 bjobmon4 ejobmon4
case case casea casec cased casee casef caseg caseh casei casej casek casel casem casen caseo;

*proc means; 

*proc freq; *tables j4-j87 jl4*j4 jl5*j5 jl6*j6 jl7*j7 jl8*j8 jl9*j9 jl10*j10 jl11*j11 jl12*j12 jl13*j13 jl14*j14 jl15*j15 jl16*j16 jl17*j17 jl18*j18 jl19*j19 jl20*j20 
 jl21*j21 jl22*j22 jl23*j23 jl24*j24 jl25*j25 jl26*j26 jl27*j27 jl28*j28 jl29*j29 jl30*j30 jl31*j31 jl32*j32 jl33*j33 jl34*j34 jl35*j35 jl36*j36 jl37*j37 jl38*j38 jl39*j39
 jl40*j40 jl41*j41 jl42*j42 jl43*j43 jl44*j44 jl45*j45 jl46*j46 jl47*j47 jl48*j48 jl49*j49
 jl51*j51 jl52*j52 jl53*j53 jl54*j54 jl55*j55 jl56*j56 jl57*j57 jl58*j58 jl59*j59 jl60*j60 jl61*j61 jl62*j62 
 jl63*j63 jl64*j64 jl65*j65 jl66*j66 jl67*j67 jl68*j68 jl69*j69 jl70*j70 jl71*j71 jl72*j72 jl73*j73 jl74*j74 jl75*j75 jl76*j76 jl77*j77 jl78*j78 jl79*j79 
 jl80*j80 jl81*j81 jl82*j82 jl83*j83 jl84*j84 jl85*j85 jl86*j86 jl87*j87;

proc freq; tables case flagbjob4 flagejob4 miss3 f25_1;

data new; set threeb; 

if normal(0)>2.4 or miss3>0;

*proc print; *var hhid pn f25_1 anywork3 anywork4 sameemp4 selfemp4 selfemp3 jwave3 sewave3 tenurewave3 exwave3 lwwave3 oldbjob4 bjob4 flagbjob4 
ejob4 oldejob4 flagejob4 miss3 sdw3 sdw4 last start jllast1 hours flaghours4 j4-j87 jwave4 sewave4 tenurewave4 exwave4 lwwave4 
case casea casec cased casee casef caseg caseh casei casej casek casel casem casen caseo;

data in.empl4_months; set threeb;

keep f25_1 caseid hhid pn birthmonth birthyear dob
flaglongjob flagothjob flaglj flagtena flagexa flagtenb flagexb 
sdw1-sdw4 miss2-miss3
jl4-jl87 lw4-lw87 laidoff4-laidoff87 tenure4-tenure87 se4-se87 j4-j87 ex4-ex87 extra4-extra87 
hrswkcs4 yrbgcj4
bjob2-bjob4 ejob2-ejob4 anywork4 selfemp4 
jwave4 sewave4 laidoffwave4 tenurewave4 exwave4 lwwave4 
flagejob2-flagejob4 oldejob2-oldejob4 flagbjob2-flagbjob4 oldbjob2-oldbjob4 flaghours1-flaghours4 flagfhours2-flagfhours4 flagex2-flagex4 bjobmon2-bjobmon4 ejobmon2-ejobmon4
;
run;
