options pagesize=59 linesize=150 nocenter;

libname EXTRACT 'C:\Documents and Settings\David Blau\My Documents\Luc new\HRS\emplwave data' ;
libname in 'C:\Documents and Settings\David Blau\My Documents\Luc new\HRS\employment data' ;

data w5; set EXTRACT.emplwave00;

data jojo; set in.empl4_months; 

data threec; merge jojo(in=in1) w5; by hhid pn; if in1;

sdw5=(g770-1992)*12 + g768; *wave 5 survey month;

dura = int((sdw5 - sdw4)/2); mep = sdw4 + dura - 1; * mep = last month for oldhours, if hours of work have changed between wave4 and wave5 on the same job;

if g3382>1 then g3382=.; * self-empl;

* convert dates of "month" variables into origin Jan. 1992. Account for "all of year" cases: 40-44 55;

array famonths g3878m1-g3878m39;
do over famonths;
If famonths=40 or famonths=55 then jojo98=1; If famonths=41 or famonths=42 then jojo99=1;  
   If famonths=43 or famonths=44 then jojo00=1;
 end;

 if jojo98=1 then do;
   g3878m1 = 72 + 1; g3878m2 = 72 + 2; g3878m3 = 72 + 3; g3878m4 = 72 + 4;
   g3878m5 = 72 + 5; g3878m6 = 72 + 6; g3878m7 = 72 + 7; g3878m8 = 72 + 8;
   g3878m9 = 72 + 9; g3878m10 = 72 +10; g3878m11 = 72 +11; g3878m12 = 72 +12;
end;
if jojo99=1 then do;
   g3878m13 = 84 + 1; g3878m14 = 84 + 2; g3878m15 = 84 + 3; g3878m16 = 84 + 4;
   g3878m17 = 84 + 5; g3878m18 = 84 + 6; g3878m19 = 84 + 7; g3878m20 = 84 + 8;
   g3878m21 = 84 + 9; g3878m22 = 84 +10; g3878m23 = 84 +11; g3878m24 = 84 + 12;
end;
if jojo00=1 then do;
   g3878m25 = 96 + 1; g3878m26 = 96 + 2; g3878m27 = 96 + 3; g3878m28 = 96 + 4;
   g3878m29 = 96 + 5; g3878m30 = 96 + 6; g3878m31 = 96 + 7; g3878m32 = 96 + 8;
   g3878m33 = 96 + 9; g3878m34 = 96 +10; g3878m35 = 96 +11; g3878m36 = 96 + 12;
   g3878m37 = 96 +13; g3878m38 = 96 +14; g3878m39 = 96 +15; 
end;

array fmonths fmonths1-fmonths39;

if g3877=1 then do; do over fmonths; fmonths=famonths; end; fhours = g3879; fany=g3877; end;


sameemp5 = g3416;
selfemp5 = g3382;
hrswkcs5 = g3509;
yrbgcj5 = g3608;
mobgcj5 = g3607;


* array the employment and other variables for the first 108 months, up to December 2000, which was the last month of wave 5 interviews;

array j (i) j1-j108;
array jl (i) jl1-jl108;
array tenure (i) tenure1-tenure108;
array lw (i) lw1-lw108;
array ex (i) ex1-ex108;
array laidoff (i) laidoff1-laidoff108;
array se (i) se1-se108;
array extra (i) extra1-extra108;

* when last worked, if on temporary layoff, sick leave, or other leave and you expect to return to the job. If < 6 months, treat as employed;

if g3370>0 and g3370<13 then wlw = (g3371-1992)*12 + g3370;

if sdw5>0 then anywork5=0;

if g3365m1=1 or g3365m2=1 or g3365m3=1 or g3381=1 or ((g3365m1=3 or g3365m2=3 or g3365m3=3) and g3369=1 and sdw5-wlw<6 and wlw ne .) then anywork5=1;
if g3365m1=. and g3365m2=. and g3365m3=. and g3381=. and g3369=. then anywork5=.;

* ejob5: end date of wave 4 employment, if any. flag cases with month missing: ejobmon5;
if g3385>0 and g3385<2002 then do;
If g3384>0 and g3384<13 then ejob5 = (g3385-1992)*12 + g3384; if g3384<0 and g3385>0 then do; ejob5 = (g3385-1992)*12 + 6; ejobmon5=1; end; if ejob5>sdw5 then ejob5=sdw5;end;* end date of w4 SE;

if g3438>0 and g3438<2002 then do;
   If g3437>0 and g3437<13 then ejob5 = (g3438-1992)*12 + g3437; if g3437<0 and g3438>0 then do; ejob5 = (g3438-1992)*12 + 6; ejobmon5=1; end; if ejob5>sdw5 then ejob5=sdw5; * end date of w4 job;
end;

* bjob5: beginning date of wave 5 employment, if any. flag cases with month missing: bjobmon5;
if g3608>0 and g3608<2002 then do;* to get rid of missing value codes;
   if g3607>0 and g3607<13 then bjob5 = (g3608-1992)*12 + g3607; if g3607<0 and g3608>0 then do; bjob5 = (g3608-1992)*12 + 6; bjobmon5=1; end;
end;

* hours of work at wave 5; 

if g3509>0 and g3509<35 then hours=1; if g3509>=35 and g3509<=95 then hours=2;

* back in survey after a missed interview;

if sdw1>0 and sdw4=. and sdw5>0 and sameemp5=1 then do; miss4=1; sdw4=sdw3; anywork4=1; end;
if sdw1>0 and sdw4=. and sdw5>0 then do;
   if anywork5=1 then do; miss4=2; jwave5=hours+2; if hours=. then do; jwave5=4; flaghours5=1; end; sewave5=selfemp5; go to bbb; end;
   if anywork5=0 then do; miss4=3; jwave5=0; go to bbb; end;
end;

* new in wave 5: everyone employed at survey date is asked bjob5. set = . if anywork4=1. If empl at both waves and samejob or SE at both, set=.;

* hours of work at wave 4; 

if hrswkcs4>0 and hrswkcs4<35 then oldhours=1;if hrswkcs4>=35 and hrswkcs4<=95 then oldhours=2;

* laid off from wave 4 job;

if (g3444m1=1 or g3444m1=2)then layoff=1; *why left own business/employer;

* If employed at wave 4, assign months in which the individual remained at the wave 4 job, 
  beginning with sdw4+1 and ending with ejob5 or sdw5, depending on whether still on the wave 4 job at the time of the wave 5 interview;


* initialize new and old wave variables;

sdwnew = sdw5;
selfempnew = selfemp5;
anyworknew = anywork5;
sameempnew = sameemp5;
bjobnew = bjob5;
ejobnew = ejob5;

sdwold = sdw4;
selfempold = selfemp4;
anyworkold = anywork4;
tenurewaveold = tenurewave4;
exwaveold = exwave4;
lwwaveold = lwwave4;
jwaveold = jwave4;
laidoffwaveold = laidoffwave4;
sewaveold = sewave4;

* begin common section;

if anyworkold=0 then do;
   if anyworknew=0 then do;
      if bjobnew ne . then do; oldbjobnew=bjobnew; flagbjobnew=1; bjobnew=.; end;
      if ejobnew ne . then do; oldejobnew=ejobnew; flagejobnew=1; ejobnew=.; end;
   end;
   if anyworknew=1 then do;
      if ejobnew ne . then do; oldejobnew=ejobnew; flagejobnew=2; ejobnew=.; end;
	  if bjobnew ne . and bjobnew<sdwold then do; oldbjobnew=bjobnew; flagbjobnew=2; bjobnew=sdwold; end;
	  if bjobnew = . then flagbjobnew=3;
   end;
end;
if anyworkold=1 then do;
   if anyworknew=0 then do;
      if bjobnew ne . then do; oldbjobnew=bjobnew; flagbjobnew=4; bjobnew=.; end;
	  if ejobnew ne . and ejobnew<sdwold then do; oldejobnew=ejobnew; flagejobnew=3; ejobnew=sdwold; end;
	  if ejobnew = . then flagejobnew=4;
   end;
   if anyworknew=1 then do;
      if sameempnew=1 or sameempnew=7 then do;
         if bjobnew ne . then do; oldbjobnew=bjobnew; flagbjobnew=5; bjobnew=.; end;
         if ejobnew ne . then do; oldejobnew=ejobnew; flagejobnew=5; ejobnew=.; end;
      end;
      if sameempnew ne 1 and sameempnew ne 7 then do;
		  if ejobnew=. then do;
      	     if selfempold=1 and selfempnew=1 then do;
		        if bjobnew>=sdwold then flagejobnew=6; * could really be a different job since bjobnew date is legit. don't set bjobnew=., leave months sdwold to bjobnew-1 missing;
			    if bjobnew<sdwold and bjobnew ne . then do; * less likely to be a new job, since bjobnew is before sdwold;
			       if tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=7; end; * tenure matches closely. very likely the same job;
			       if tenurewaveold=. or abs(sdwold-bjobnew - tenurewaveold)>12      then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=8; end; * tenure does not match closely, less likely;
			    end;
	         end;
      	     if selfempold=0 and selfempnew=0 then do;
		        if bjobnew>=sdwold then flagejobnew=7; * could really be a different job since bjobnew date is legit. don't set bjobnew=., leave months sdwold to bjobnew-1 missing;
			    if bjobnew<sdwold and bjobnew ne . then do; * less likely to be a new job, since bjobnew is before sdwold;
			       if tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=9; end; * tenure matches closely. very likely the same job;
			       if tenurewaveold=. or abs(sdwold-bjobnew - tenurewaveold)>12      then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=10; end; * tenure does not match closely, less likely;
			    end;
	         end;
      	     if selfempold ne selfempnew and selfempold ne . and selfempnew ne . then do;
		        if bjobnew>=sdwold then flagejobnew=8; * could really be a different job since bjobnew date is legit. don't set bjobnew=., leave months sdwold to bjobnew-1 missing;
			    if bjobnew<sdwold and bjobnew ne . then do; * less likely to be a new job, since bjobnew is before sdwold;
			       if tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=11; end; * tenure matches closely. very likely the same job;
			       if tenurewaveold=. or abs(sdwold-bjobnew - tenurewaveold)>12      then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=12; end; * tenure does not match closely, less likely;
			    end;
	         end;
         end;
         if ejobnew ne . then do;
		    if ejobnew<sdwold then do; 
               oldejobnew=ejobnew; flagejobnew=9; ejobnew=sdwold; * creates a seam problem;
               if bjobnew ne . and bjobnew<sdwold then do; oldbjobnew=bjobnew; bjobnew=sdwold+1; flagbjobnew=13; end;
            end;
			if ejobnew>=sdwold then do;
			   if bjobnew<ejobnew then do; oldbjobnew=bjobnew; bjobnew=ejobnew+1; flagbjobnew=14; end;
		    end;
         end;
	  end;
   end;
end;

if flagbjobnew<0 and sdwnew>0 then flagbjobnew=0;
if flagejobnew<0 and sdwnew>0 then flagejobnew=0;


* If employed at previous wave, assign months in which the individual remained at the previous wave job, 
  beginning with sdwold+1 and ending with ejobnew or sdwnew, depending on whether still on the previous wave job at the time of the current wave interview;

if anyworkold=1 and ejobnew>0 then do; casee=1; last = ejobnew; end;

if anyworkold=1 and ejobnew=. then do;

   if anyworknew=1 then do; 

      last = sdwnew; 

      If sameempnew=1 or sameempnew=7 then do; casec=1; go to aaa; end; * still working for previous wave employer;

      if selfempnew=1 and selfempold=1 and bjobnew ne . and bjobnew<= sdwold then do; casej=1; go to aaa; end; * self-employed at prev wave 1 and current waveand same business at both waves; 

      if selfempnew=1 and selfempold=1 and bjobnew ne . and bjobnew>sdwold then do; casek=1; go to aaa; end; * : 6;
	  *self-employed at previous wave 1 and current wave but claims to have started the curr wave business after prev wave. treat as if same business but flag it; 

      if sameempnew=. and selfempnew=0 and selfempold=0 and bjobnew ne . and tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; casel=1; go to aaa; end;
      * New: Not self-empl, indicator for whether same job missing, but start date reported at prev and curr waves are consistent with same job;

      if selfempnew ne selfempold and selfempold ne . and selfempnew ne . and sdwold ne . and bjobnew ne . and tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; 
         casem=1; go to aaa;
	  end; * New: if respondent changes his mind about self-empl, but reports bjobnew consistent with start date of current job reported at prev wave, assume its the same job;

      if bjobnew>0 then last=.;  
	  * : claims prev wave job never ended (ejobnew=.) but reports a bjobnew and does not satisfy any of the above criteria: set last=. all months up to bjobnew will be missing. ;
   aaa: end;

   if anyworknew=0 then do; casef=1; jwavenew=0; exwavenew=exwaveold; end;
   * , do not set any months, but pass on the fact that j=0 at curr wave interview date (assume exwavenew=exwaveold), and re-set bjobnew values that should not be set;

   if last = sdwnew then do; * If hours of work have changed, arbitrarily assign the date of change to the midpoint between interview dates;
      newhours = hours; if newhours=. then newhours = oldhours;
   end;
end;

* fill in months up to end of old wave job (if there was an old wave job and it ended, otherwise last=.) or new wave interview date if still on old wave job;

if last>sdwold then do;
   caseg=1;
   do i = sdwold+1 to last;

      j = jwaveold; *: don't need lw; tenure = tenurewaveold + (i-sdwold); ex = exwaveold + (i-sdwold); se = sewaveold; laidoff=laidoffwaveold; if j>=3 then jl = j - 2; 

      if last=sdwnew and oldhours ne newhours and oldhours ne . and newhours ne . then do; * change in hours on same job; 
	     if newhours>0 then j = newhours + 2; if j>=3 then jl = j - 2;
      end;

      if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end; * these are used in the next program;

      If i=last then do; jllast1 = jl; exlast1 = ex; tenurelast1 = tenure; selast1 = se; end; * save these for later use in case there is a period of non-employment;
   end;
end;

if last>0 and last<sdwnew then do; * old wave job ended before the new wave interview, otherwise last=. or last=sdwnew;

   if bjobnew>0 and anyworknew=1 then start = bjobnew-1; * there is a new wave job, different from the old wave job;

   if bjobnew=. then start=sdwnew; * no new wave begin job date, so fill in non-empl up to sdwnew; 

   if start>=ejobnew+1 and ejobnew>0 then do; * there is a non-employment period of at least one month; 
      caseh=1;
      * Check fmonth variables for any months worked between ejobnew+1 and bjobnew-1 or sdwnew. These are "extra", for now we just record them, but do not change j, jl, exper, etc.;
      if fany=1 then do;
         do i = ejobnew+1 to start;
	        *extra = 0; * ;
            do over fmonths;
               If fmonths = i then do; 
                   if fhours>0 and fhours<35 then extra=1; if fhours>=35 and fhours<=95 then extra=2; if fhours<=0 or fhours>95 then do; extra=2; flagfhoursnew=1; end;
               end;
            End;
         End;
      End;

	  * assign non-employment months;
	  do i = ejobnew+1 to start;
	 	 if i=ejobnew+1 then do; jl = jllast1; If layoff=1 then laidoff=1; tenure = tenurelast1 + 1; se = selast1; end;
         if i>ejobnew+1 then jl=0; 
         j = 0; ex = exlast1; lw = i - (ejobnew+1);
		 if i=sdwnew then do; jwavenew = 0; exwavenew = ex; lwwavenew = lw; end;
         If i=last then do; jllast1 = jl; exlast1 = ex; end; * save these for later use in case there is a subsequent period of employment;
 	  end;
   end;

  * If there is a new wave job, then assign months for new wave job; 
   if bjobnew>0 then do;
      casei=1;
 	  do i = bjobnew to sdwnew;
	     if i = bjobnew then do; jl = jllast1; j=hours; if hours=. then do; j=2; flaghoursnew=1; end; end; 
		 * new: changed jl=0 to jl=jllast1, since jl is not = zero if there is no gap between end of last job and start of new job;
	 	 if i > bjobnew then do; jl=hours; j = hours + 2; if hours=. then do; j=4; jl=2; flaghoursnew=1; end; end; 
		 se = selfempnew; laidoff = 0; tenure = i - bjobnew; ex = exlast1 + i - bjobnew;
         if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end;
      end;
   end;
end;

if anyworkold=0 and anyworknew=0 and sdwold>0 and sdwnew>0 then do;
   casea=1;
   if fany=1 then do;
      do i = sdwold+1 to sdwnew;
         do over fmonths;
            If fmonths = i then do; 
                if fhours>0 and fhours<35 then extra=1; if fhours>=35 and fhours<=95 then extra=2; if fhours<=0 or fhours>95 then do; extra=2; flagfhoursnew=1; end;
            end;
         End;
      End;
   end;

	* assign non-employment months;
   do i = sdwold+1 to sdwnew;
  	  jl=0; j = 0; ex = exwaveold; lw = lwwaveold + i - (sdwold+1); * new: eliminated reference to jlwaveold;
	  if i=sdwnew then do; jwavenew = 0; exwavenew = ex; lwwavenew = lw; end;
   end;
end;

if anyworkold=0 and anyworknew=1 and sdwold>0 and sdwnew>0 and bjobnew=. then do; 
   caseo=1; if hours>0 then jwavenew=hours+2; if hours=. then jwavenew=4;
end;

if anyworkold=0 and anyworknew=1 and sdwold>0 and sdwnew>0 and bjobnew>0 then do;
   cased=1;
   if fany=1 then do;
      do i = sdwold+1 to bjobnew;
         do over fmonths;
            If fmonths = i then do; 
               if fhours>0 and fhours<35 then extra=1; if fhours>=35 and fhours<=95 then extra=2; if fhours<=0 or fhours>95 then do; extra=2; flagfhoursnew=1; end;
            end;
         End;
      End;
   end;

	* assign non-employment months;

   start = bjobnew-1; if start< sdwold+1 then start=sdwold+1; * new: changed from start = bjobnew;
   do i = sdwold+1 to start;
  	  jl=0; j = 0; ex = exwaveold; lw = lwwaveold + i - (sdwold+1); 
   end;

   * assign employment months;

   do i = bjobnew to sdwnew; 
      if i = bjobnew then do; jl = 0; j=hours; if hours=. then do; j=2; flaghoursnew=1; end; end;
 	  if i > bjobnew then do; jl=hours; if hours=. then do; jl=2; flaghoursnew=1; end; j = jl + 2; end; 
	  se = selfempnew; laidoff = 0; tenure = i - bjobnew; ex = exwaveold + i - bjobnew; 
      if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end;
   end;

end;

* new section to deal with cases in which ejobnew is missing and the job actually appears to have ended, and there is a new job. The months from sdwold to bjobnew will be missing,
since we do not know when the wave 1 job ended, but we will be able to fill in data for the months in which the new job was held. work experience will be incorrect, so flag it;

if anyworkold=1 and anyworknew=1 and ejobnew=. and last=. and sdwnew>0 and bjobnew>0 then do;
   casen=1;
   do i = bjobnew to sdwnew;
      if i=bjobnew then do; tenure=0; jl=0; j=hours; if hours=. then do; j=2; flaghoursnew=1; end; end; 
      if i>bjobnew then do; tenure=i - bjobnew; jl=hours; if hours=. then do; jl=2; flaghoursnew=1; end; j = jl + 2; end;
	  ex = exwaveold + i - bjobnew; flagexnew=1; * : ex=exwaveold was wrong. also, flag ex and do not set lw; se = selfempnew; laidoff=0;
      if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end; 
   end;
end;      

* new section to change information passed to next wave if job ended in curr wave interview month;

if ejobnew=sdwnew and sdwnew>0 then do;
   if bjobnew=. or bjobnew<=sdwold then jwavenew=0;
   if bjobnew=ejobnew then do; if hours>0 then jwavenew=hours; if hours<0 then do; jwavenew=2; flaghoursnew=1; end; end;
end;



bjob5 = bjobnew;
oldbjob5 = oldbjobnew;
flagbjob5 = flagbjobnew;

ejob5 = ejobnew;
oldejob5 = oldejobnew;
flagejob5 = flagejobnew;

tenurewave5 = tenurewavenew;
exwave5 = exwavenew;
lwwave5 = lwwavenew;
jwave5 = jwavenew;
laidoffwave5 = laidoffwavenew;
sewave5 = sewavenew;

flaghours5 = flaghoursnew;
flagfhours5 = flagfhoursnew;
flagex5 = flagexnew;

if sdw5=. or sdw4=. or sdw3=. or sdw2=. then case=0;
if sdw4>0 and sdw4>0 and sdw3>0 and sdw2>0 then case=1;
if sdw5>0 and sdw4>0 and sdw3>0 and sdw2>0 and casea=. and casec=. and cased=. and casee=. and casef=. and caseg=. and caseh=. and casei=. and casej=. and casek=. and casel=. and casem=. 
and casen=. and caseo=. then case=2;

bbb: s=1;

keep f25_1 caseid hhid pn jl4-jl108 lw4-lw108 laidoff4-laidoff108 tenure4-tenure108 se4-se108 j4-j108 ex4-ex108 extra4-extra108
bjob2-bjob5 ejob2-ejob5 sameemp5 miss2-miss4
sdw1-sdw5 anywork4 selfemp4 hrswkcs5 yrbgcj5 mobgcj5 anywork5 selfemp5  
bjobmon5 ejobmon5 birthmonth birthyear dob 
jwave5 sewave5 laidoffwave5 tenurewave5 exwave5 lwwave5 jwave4 sewave4 tenurewave4 exwave4 lwwave4
last start jllast1 hours 
flaglongjob flagothjob flaglj flagtena flagexa flagtenb flagexb 
flagejob2-flagejob5 oldejob2-oldejob5 flagbjob2-flagbjob5 oldbjob2-oldbjob5 flaghours1-flaghours5 flagfhours2-flagfhours5 flagex2-flagex5 bjobmon2-bjobmon5 ejobmon2-ejobmon5
case case casea casec cased casee casef caseg caseh casei casej casek casel casem casen caseo
hrswkcs5 yrbgcj5;

proc means; 

*proc freq; *tables j4-j108 jl69*j69 jl70*j70 jl71*j71 jl72*j72 jl73*j73 jl74*j74 jl75*j75 jl76*j76 jl77*j77 jl78*j78 jl79*j79 
 jl80*j80 jl81*j81 jl82*j82 jl83*j83 jl84*j84 jl85*j85 jl86*j86 jl87*j87
jl88*j88 jl89*j89 jl90*j90 jl91*j91 jl92*j92 jl93*j93 jl94*j94 jl95*j95 jl96*j96 jl97*j97 jl98*j98 jl99*j99 
 jl100*j100 jl101*j101 jl102*j102 jl103*j103 jl104*j104 jl105*j105 jl106*j106 jl107*j107  jl108*j108;

proc freq; tables case flagbjob5 flagejob5 miss4;

data new; set threec; 

if normal(0)>2.3;

proc print; var hhid pn f25_1 anywork4 anywork5 sameemp5 selfemp5 selfemp4 jwave4 sewave4 tenurewave4 exwave4 lwwave4 oldbjob5 bjob5 flagbjob5 
ejob5 oldejob5 flagejob5 miss4 sdw4 sdw5 last start jllast1 hours flaghours5 j4-j87 jwave5 sewave5 tenurewave5 exwave5 lwwave5 
case casea casec cased casee casef caseg caseh casei casej casek casel casem casen caseo;

data in.empl5_months; set threec;

keep f25_1 caseid hhid pn birthmonth birthyear dob
flaglongjob flagothjob flaglj flagtena flagexa flagtenb flagexb 
sdw1-sdw5 miss2-miss4
jl4-jl108 lw4-lw108 laidoff4-laidoff108 tenure4-tenure108 se4-se108 j4-j108 ex4-ex108 extra4-extra108
hrswkcs5 yrbgcj5
bjob2-bjob5 ejob2-ejob5 anywork5 selfemp5 
jwave5 sewave5 laidoffwave5 tenurewave5 exwave5 lwwave5 
flagejob2-flagejob5 oldejob2-oldejob5 flagbjob2-flagbjob5 oldbjob2-oldbjob5 flaghours1-flaghours5 flagfhours2-flagfhours5 flagex2-flagex5 bjobmon2-bjobmon5 ejobmon2-ejobmon5
;
run;




