options pagesize=59 linesize=150 nocenter;

libname EXTRACT 'C:\Documents and Settings\David Blau\My Documents\Luc new\HRS\emplwave data' ;
libname in 'C:\Documents and Settings\David Blau\My Documents\Luc new\HRS\employment data' ;

data w6; set EXTRACT.emplwave02;

data jojo; set in.empl5_months;

data threed; merge jojo(in=in1) w6; by hhid pn; if in1;

sdw6=(ha501-1992)*12 + ha500; *wave 6 survey month;

dura = int((sdw6 - sdw5)/2); mep = sdw5 + dura - 1; * mep = last month for oldhours, if hours of work have changed between wave5 and wave6 on the same job;

* convert dates of "month" variables into origin Jan. 1992. Account for "all of year" cases;

if hj021>1 then hj021=.; * self-empl;

* NEW SYSTEM THIS WAVE;

array famonths hj597m1-hj597m39;
do over famonths;

If famonths=13 or famonths=41 then jojo00=1; If famonths=26 then jojo01=1;  
   If famonths=39 or famonths=40 then jojo02=1;
end;

if jojo00=1 then do;
   hj597m1 = 96 + 1; hj597m2 = 96 + 2; hj597m3 = 96 + 3; hj597m4 = 96 + 4;
   hj597m5 = 96 + 5; hj597m6 = 96 + 6; hj597m7= 96 + 7; hj597m8= 96 + 8;
   hj597m9 = 96 + 9; hj597m10 = 96 +10; hj597m11 = 96 +11; hj597m12 = 96 +12;
end;
if jojo01=1 then do;
   hj597m13 = 108 + 1; hj597m14 = 108 + 2; hj597m15 = 108 + 3; hj597m16 = 108 + 4;
   hj597m17= 108 + 5; hj597m18= 108 + 6; hj597m19 = 108 + 7; hj597m20 = 108 + 8;
   hj597m21 = 108 + 9; hj597m22 = 108 +10; hj597m23 = 108 +11; hj597m24 = 108 + 12;
end;
if jojo02=1 then do;
   hj597m25 = 120 + 1; hj597m26 = 120 + 2; hj597m27= 120 + 3; hj597m28= 120 + 4;
   hj597m29 = 120 + 5; hj597m30 = 120 + 6; hj597m31 = 120 + 7; hj597m32 = 120 + 8;
   hj597m33 = 120 + 9; hj597m34 = 120 +10; hj597m35 = 120 +11; hj597m36 = 120 + 12;
end;

array fmonths fmonths1-fmonths36;

if hj596=1 then do;do over fmonths; fmonths=famonths;end; fhours = hj599; fany=hj596;end;

sameemp6 = hj045;
selfemp6 = hj021;
hrswkcs6 = hj172;
yrbgcj6 = hj249;
mobgcj6 = hj248;


* array the employment and other variables for the first 135 months, up to March 2003, which was the last month of wave 6 interviews;

array j (i) j1-j135;
array jl (i) jl1-jl135;
array tenure (i) tenure1-tenure135;
array lw (i) lw1-lw135;
array ex (i) ex1-ex135;
array laidoff (i) laidoff1-laidoff135;
array se (i) se1-se135;
array extra (i) extra1-extra135;

* when last worked, if on temporary layoff, sick leave, or other leave and you expect to return to the job. If < 6 months, treat as employed;

if hj011>0 and hj011<13 then wlw = (hj012-1992)*12 + hj011;

if sdw6>0 then anywork6=0;

if hj005m1=1 or hj005m2=1 or hj005m3=1 or hj005m4=1 or hj005m5=1 or hj020=1 or ((hj005m1=3 or hj005m2=3 or hj005m3=3 or hj005m4=3 or hj005m5=3) and hj010=1 and sdw6-wlw<6 and wlw ne .) then anywork6=1;
if hj005m1=. and hj005m2=. and hj005m3=. and hj005m4=. and hj005m5=. and hj020=. and hj010=. then anywork6=.;

* ejob6: end date of wave 5 employment, if any. flag cases with month missing: ejobmon6;
if hj024>0 and hj024<2004 then do;
If hj023>0 and hj023<13 then ejob6 = (hj024-1992)*12 + hj023; if hj023<0 and hj024>0 then do; ejob6 = (hj024-1992)*12 + 6; ejobmon6=1; end; if ejob6>sdw6 then ejob6=sdw6;end;* end date of w5 SE;

if hj064>0 and hj064<2004 then do;
If hj063>0 and hj063<13 then ejob6 = (hj064-1992)*12 + hj063; if hj063<0 and hj064>0 then do; ejob6 = (hj064-1992)*12 + 6; ejobmon6=1; end; if ejob6>sdw6 then ejob6=sdw6; * end date of w5 job;
end;

* bjob6: beginning date of wave 6 employment, if any. flag cases with month missing: bjobmon6;
if hj249>0 and hj249<2004 then do;* to get rid of missing value codes;
   if hj248>0 and hj248<13 then bjob6 = (hj249-1992)*12 + hj248; if hj248<0 and hj249>0 then do; bjob6 = (hj249-1992)*12 + 6; bjobmon6=1; end;
end;

* hours of work at wave 6; 

if hj172>0 and hj172<35 then hours=1; if hj172>= 35 and hj172<=95 then hours=2;

* hours of work at wave 5; 

if hrswkcs5>0 and hrswkcs5<35 then oldhours=1;if hrswkcs5>=35 and hrswkcs5<=95 then oldhours=2;

* laid off from wave 5 job;

if (hk024m1=1 or hk024m1=2)then layoff=1; *why left own business/employer;

* back in survey after a missed interview;

if (sdw1>0 or (f25_1=4 and sdw4>0)) and sdw5=. and sdw6>0 and sameemp6=1 then do; miss5=1; sdw5=sdw4; anywork5=1; end;
if (sdw1>0 or (f25_1=4 and sdw4>0)) and sdw5=. and sdw6>0 then do;
   if anywork6=1 then do; miss5=2; jwave6=hours+2; if hours=. then do; jwave6=4; flaghours6=1; end; sewave6=selfemp6; go to bbb; end;
   if anywork6=0 then do; miss5=3; jwave6=0; go to bbb; end;
end;

* new in wave 6: everyone employed at survey date is asked bjob6. set = . if anywork5=1. If empl at both waves and samejob or SE at both, set=.;



* initialize new and old wave variables;

sdwnew = sdw6;
selfempnew = selfemp6;
anyworknew = anywork6;
sameempnew = sameemp6;
bjobnew = bjob6;
ejobnew = ejob6;

sdwold = sdw5;
selfempold = selfemp5;
anyworkold = anywork5;
tenurewaveold = tenurewave5;
exwaveold = exwave5;
lwwaveold = lwwave5;
jwaveold = jwave5;
laidoffwaveold = laidoffwave5;
sewaveold = sewave5;

* begin common section;

if anyworkold=0 then do;
   if anyworknew=0 then do;
      if bjobnew ne . then do; oldbjobnew=bjobnew; flagbjobnew=1; bjobnew=.; end;
      if ejobnew ne . then do; oldejobnew=ejobnew; flagejobnew=1; ejobnew=.; end;
   end;
   if anyworknew=1 then do;
      if ejobnew ne . then do; oldejobnew=ejobnew; flagejobnew=2; ejobnew=.; end;
	  if bjobnew ne . and bjobnew<sdwold then do; oldbjobnew=bjobnew; flagbjobnew=2; bjobnew=sdwold; end;
	  if bjobnew = . then flagbjobnew=3;
   end;
end;
if anyworkold=1 then do;
   if anyworknew=0 then do;
      if bjobnew ne . then do; oldbjobnew=bjobnew; flagbjobnew=4; bjobnew=.; end;
	  if ejobnew ne . and ejobnew<sdwold then do; oldejobnew=ejobnew; flagejobnew=3; ejobnew=sdwold; end;
	  if ejobnew = . then flagejobnew=4;
   end;
   if anyworknew=1 then do;
      if sameempnew=1 or sameempnew=7 then do;
         if bjobnew ne . then do; oldbjobnew=bjobnew; flagbjobnew=5; bjobnew=.; end;
         if ejobnew ne . then do; oldejobnew=ejobnew; flagejobnew=5; ejobnew=.; end;
      end;
      if sameempnew ne 1 and sameempnew ne 7 then do;
		  if ejobnew=. then do;
      	     if selfempold=1 and selfempnew=1 then do;
		        if bjobnew>=sdwold then flagejobnew=6; * could really be a different job since bjobnew date is legit. don't set bjobnew=., leave months sdwold to bjobnew-1 missing;
			    if bjobnew<sdwold and bjobnew ne . then do; * less likely to be a new job, since bjobnew is before sdwold;
			       if tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=7; end; * tenure matches closely. very likely the same job;
			       if tenurewaveold=. or abs(sdwold-bjobnew - tenurewaveold)>12      then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=8; end; * tenure does not match closely, less likely;
			    end;
	         end;
      	     if selfempold=0 and selfempnew=0 then do;
		        if bjobnew>=sdwold then flagejobnew=7; * could really be a different job since bjobnew date is legit. don't set bjobnew=., leave months sdwold to bjobnew-1 missing;
			    if bjobnew<sdwold and bjobnew ne . then do; * less likely to be a new job, since bjobnew is before sdwold;
			       if tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=9; end; * tenure matches closely. very likely the same job;
			       if tenurewaveold=. or abs(sdwold-bjobnew - tenurewaveold)>12      then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=10; end; * tenure does not match closely, less likely;
			    end;
	         end;
      	     if selfempold ne selfempnew and selfempold ne . and selfempnew ne . then do;
		        if bjobnew>=sdwold then flagejobnew=8; * could really be a different job since bjobnew date is legit. don't set bjobnew=., leave months sdwold to bjobnew-1 missing;
			    if bjobnew<sdwold and bjobnew ne . then do; * less likely to be a new job, since bjobnew is before sdwold;
			       if tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=11; end; * tenure matches closely. very likely the same job;
			       if tenurewaveold=. or abs(sdwold-bjobnew - tenurewaveold)>12      then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=12; end; * tenure does not match closely, less likely;
			    end;
	         end;
         end;
         if ejobnew ne . then do;
		    if ejobnew<sdwold then do; 
               oldejobnew=ejobnew; flagejobnew=9; ejobnew=sdwold; * creates a seam problem;
               if bjobnew ne . and bjobnew<sdwold then do; oldbjobnew=bjobnew; bjobnew=sdwold+1; flagbjobnew=13; end;
            end;
			if ejobnew>=sdwold then do;
			   if bjobnew<ejobnew then do; oldbjobnew=bjobnew; bjobnew=ejobnew+1; flagbjobnew=14; end;
		    end;
         end;
	  end;
   end;
end;

if flagbjobnew<0 and sdwnew>0 then flagbjobnew=0;
if flagejobnew<0 and sdwnew>0 then flagejobnew=0;


* If employed at previous wave, assign months in which the individual remained at the previous wave job, 
  beginning with sdwold+1 and ending with ejobnew or sdwnew, depending on whether still on the previous wave job at the time of the current wave interview;

if anyworkold=1 and ejobnew>0 then do; casee=1; last = ejobnew; end;

if anyworkold=1 and ejobnew=. then do;

   if anyworknew=1 then do; 

      last = sdwnew; 

      If sameempnew=1 or sameempnew=7 then do; casec=1; go to aaa; end; * still working for previous wave employer;

      if selfempnew=1 and selfempold=1 and bjobnew ne . and bjobnew<= sdwold then do; casej=1; go to aaa; end; * self-employed at prev wave 1 and current waveand same business at both waves; 

      if selfempnew=1 and selfempold=1 and bjobnew ne . and bjobnew>sdwold then do; casek=1; go to aaa; end; * : 6;
	  *self-employed at previous wave 1 and current wave but claims to have started the curr wave business after prev wave. treat as if same business but flag it; 

      if sameempnew=. and selfempnew=0 and selfempold=0 and bjobnew ne . and tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; casel=1; go to aaa; end;
      * New: Not self-empl, indicator for whether same job missing, but start date reported at prev and curr waves are consistent with same job;

      if selfempnew ne selfempold and selfempold ne . and selfempnew ne . and sdwold ne . and bjobnew ne . and tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; 
         casem=1; go to aaa;
	  end; * New: if respondent changes his mind about self-empl, but reports bjobnew consistent with start date of current job reported at prev wave, assume its the same job;

      if bjobnew>0 then last=.;  
	  * : claims prev wave job never ended (ejobnew=.) but reports a bjobnew and does not satisfy any of the above criteria: set last=. all months up to bjobnew will be missing. ;
   aaa: end;

   if anyworknew=0 then do; casef=1; jwavenew=0; exwavenew=exwaveold; end;
   * , do not set any months, but pass on the fact that j=0 at curr wave interview date (assume exwavenew=exwaveold), and re-set bjobnew values that should not be set;

   if last = sdwnew then do; * If hours of work have changed, arbitrarily assign the date of change to the midpoint between interview dates;
      newhours = hours; if newhours=. then newhours = oldhours;
   end;
end;

* fill in months up to end of old wave job (if there was an old wave job and it ended, otherwise last=.) or new wave interview date if still on old wave job;

if last>sdwold then do;
   caseg=1;
   do i = sdwold+1 to last;

      j = jwaveold; *: don't need lw; tenure = tenurewaveold + (i-sdwold); ex = exwaveold + (i-sdwold); se = sewaveold; laidoff=laidoffwaveold; if j>=3 then jl = j - 2; 

      if last=sdwnew and oldhours ne newhours and oldhours ne . and newhours ne . then do; * change in hours on same job; 
	     if newhours>0 then j = newhours + 2; if j>=3 then jl = j - 2;
      end;

      if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end; * these are used in the next program;

      If i=last then do; jllast1 = jl; exlast1 = ex; tenurelast1 = tenure; selast1 = se; end; * save these for later use in case there is a period of non-employment;
   end;
end;

if last>0 and last<sdwnew then do; * old wave job ended before the new wave interview, otherwise last=. or last=sdwnew;

   if bjobnew>0 and anyworknew=1 then start = bjobnew-1; * there is a new wave job, different from the old wave job;

   if bjobnew=. then start=sdwnew; * no new wave begin job date, so fill in non-empl up to sdwnew; 

   if start>=ejobnew+1 and ejobnew>0 then do; * there is a non-employment period of at least one month; 
      caseh=1;
      * Check fmonth variables for any months worked between ejobnew+1 and bjobnew-1 or sdwnew. These are "extra", for now we just record them, but do not change j, jl, exper, etc.;
      if fany=1 then do;
         do i = ejobnew+1 to start;
	        *extra = 0; * ;
            do over fmonths;
               If fmonths = i then do; 
                   if fhours>0 and fhours<35 then extra=1; if fhours>=35 and fhours<=95 then extra=2; if fhours<=0 or fhours>95 then do; extra=2; flagfhoursnew=1; end;
               end;
            End;
         End;
      End;

	  * assign non-employment months;
	  do i = ejobnew+1 to start;
	 	 if i=ejobnew+1 then do; jl = jllast1; If layoff=1 then laidoff=1; tenure = tenurelast1 + 1; se = selast1; end;
         if i>ejobnew+1 then jl=0; 
         j = 0; ex = exlast1; lw = i - (ejobnew+1);
		 if i=sdwnew then do; jwavenew = 0; exwavenew = ex; lwwavenew = lw; end;
         If i=last then do; jllast1 = jl; exlast1 = ex; end; * save these for later use in case there is a subsequent period of employment;
 	  end;
   end;

  * If there is a new wave job, then assign months for new wave job; 
   if bjobnew>0 then do;
      casei=1;
 	  do i = bjobnew to sdwnew;
	     if i = bjobnew then do; jl = jllast1; j=hours; if hours=. then do; j=2; flaghoursnew=1; end; end; 
		 * new: changed jl=0 to jl=jllast1, since jl is not = zero if there is no gap between end of last job and start of new job;
	 	 if i > bjobnew then do; jl=hours; j = hours + 2; if hours=. then do; j=4; jl=2; flaghoursnew=1; end; end; 
		 se = selfempnew; laidoff = 0; tenure = i - bjobnew; ex = exlast1 + i - bjobnew;
         if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end;
      end;
   end;
end;

if anyworkold=0 and anyworknew=0 and sdwold>0 and sdwnew>0 then do;
   casea=1;
   if fany=1 then do;
      do i = sdwold+1 to sdwnew;
         do over fmonths;
            If fmonths = i then do; 
                if fhours>0 and fhours<35 then extra=1; if fhours>=35 and fhours<=95 then extra=2; if fhours<=0 or fhours>95 then do; extra=2; flagfhoursnew=1; end;
            end;
         End;
      End;
   end;

	* assign non-employment months;
   do i = sdwold+1 to sdwnew;
  	  jl=0; j = 0; ex = exwaveold; lw = lwwaveold + i - (sdwold+1); * new: eliminated reference to jlwaveold;
	  if i=sdwnew then do; jwavenew = 0; exwavenew = ex; lwwavenew = lw; end;
   end;
end;

if anyworkold=0 and anyworknew=1 and sdwold>0 and sdwnew>0 and bjobnew=. then do; 
   caseo=1; if hours>0 then jwavenew=hours+2; if hours=. then jwavenew=4;
end;

if anyworkold=0 and anyworknew=1 and sdwold>0 and sdwnew>0 and bjobnew>0 then do;
   cased=1;
   if fany=1 then do;
      do i = sdwold+1 to bjobnew;
         do over fmonths;
            If fmonths = i then do; 
               if fhours>0 and fhours<35 then extra=1; if fhours>=35 and fhours<=95 then extra=2; if fhours<=0 or fhours>95 then do; extra=2; flagfhoursnew=1; end;
            end;
         End;
      End;
   end;

	* assign non-employment months;

   start = bjobnew-1; if start< sdwold+1 then start=sdwold+1; * new: changed from start = bjobnew;
   do i = sdwold+1 to start;
  	  jl=0; j = 0; ex = exwaveold; lw = lwwaveold + i - (sdwold+1); 
   end;

   * assign employment months;

   do i = bjobnew to sdwnew; 
      if i = bjobnew then do; jl = 0; j=hours; if hours=. then do; j=2; flaghoursnew=1; end; end;
 	  if i > bjobnew then do; jl=hours; if hours=. then do; jl=2; flaghoursnew=1; end; j = jl + 2; end; 
	  se = selfempnew; laidoff = 0; tenure = i - bjobnew; ex = exwaveold + i - bjobnew; 
      if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end;
   end;

end;

* new section to deal with cases in which ejobnew is missing and the job actually appears to have ended, and there is a new job. The months from sdwold to bjobnew will be missing,
since we do not know when the wave 1 job ended, but we will be able to fill in data for the months in which the new job was held. work experience will be incorrect, so flag it;

if anyworkold=1 and anyworknew=1 and ejobnew=. and last=. and sdwnew>0 and bjobnew>0 then do;
   casen=1;
   do i = bjobnew to sdwnew;
      if i=bjobnew then do; tenure=0; jl=0; j=hours; if hours=. then do; j=2; flaghoursnew=1; end; end; 
      if i>bjobnew then do; tenure=i - bjobnew; jl=hours; if hours=. then do; jl=2; flaghoursnew=1; end; j = jl + 2; end;
	  ex = exwaveold + i - bjobnew; flagexnew=1; * : ex=exwaveold was wrong. also, flag ex and do not set lw; se = selfempnew; laidoff=0;
      if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end; 
   end;
end;      

* new section to change information passed to next wave if job ended in curr wave interview month;

if ejobnew=sdwnew and sdwnew>0 then do;
   if bjobnew=. or bjobnew<=sdwold then jwavenew=0;
   if bjobnew=ejobnew then do; if hours>0 then jwavenew=hours; if hours<0 then do; jwavenew=2; flaghoursnew=1; end; end;
end;



bjob6 = bjobnew;
oldbjob6 = oldbjobnew;
flagbjob6 = flagbjobnew;

ejob6 = ejobnew;
oldejob6 = oldejobnew;
flagejob6 = flagejobnew;

tenurewave6 = tenurewavenew;
exwave6 = exwavenew;
lwwave6 = lwwavenew;
jwave6 = jwavenew;
laidoffwave6 = laidoffwavenew;
sewave6 = sewavenew;

flaghours6 = flaghoursnew;
flagfhours6 = flagfhoursnew;
flagex6 = flagexnew;


if sdw6=. or sdw5=. or sdw4=. or sdw3=. or sdw2=. then case=0;
if sdw6>0 and sdw5=>0 and sdw4>0 and sdw4>0 and sdw3>0 and sdw2>0 then case=1;
if sdw6>0 and sdw5>0 and sdw4>0 and sdw3>0 and sdw2>0 and casea=. and casec=. and cased=. and casee=. and casef=. and caseg=. and caseh=. and casei=. and casej=. and casek=. and casel=. and casem=. 
and casen=. and caseo=. then case=2;

bbb: s=1;


keep caseid hhid pn f25_1 jl4-jl135 lw4-lw135 laidoff4-laidoff135 tenure4-tenure135 se4-se135 j4-j135 ex4-ex135 extra4-extra135 bjob5 bjob6 ejob5 ejob6 hj045 hj596 hj599 
bjob2-bjob6 ejob2-ejob6 sameemp6 miss2-miss5
sdw1-sdw6 anywork5 selfemp5 hrswkcs6 yrbgcj6 mobgcj6 anywork6 selfemp6  
bjobmon6 ejobmon6 birthmonth birthyear dob 
jwave6 sewave6 laidoffwave6 tenurewave6 exwave6 lwwave6 jwave5 sewave5 tenurewave5 exwave5 lwwave5
last start jllast1 hours 
flaglongjob flagothjob flaglj flagtena flagexa flagtenb flagexb 
flagejob2-flagejob6 oldejob2-oldejob6 flagbjob2-flagbjob6 oldbjob2-oldbjob6 flaghours1-flaghours6 flagfhours2-flagfhours6 flagex2-flagex6 bjobmon2-bjobmon6 ejobmon2-ejobmon6
case case casea casec cased casee casef caseg caseh casei casej casek casel casem casen caseo
hrswkcs6 yrbgcj6;

*proc freq; *tables j4-j135 
jl88*j88 jl89*j89 jl90*j90 jl91*j91 jl92*j92 jl93*j93 jl94*j94 jl95*j95 jl96*j96 jl97*j97 jl98*j98 jl99*j99 
 jl100*j100 jl101*j101 jl102*j102 jl103*j103 jl104*j104 jl105*j105 jl106*j106 jl107*j107 jl108*j108
jl109*j109 jl110*j110 jl111*j111 jl112*j112 jl113*j113 jl114*j114 jl115*j115 jl116*j116 jl117*j117 jl118*j118 jl119*j119 
 jl120*j120 jl121*j121 jl122*j122 jl123*j123 jl124*j124 jl125*j125 jl126*j126 jl127*j127
jl128*j128 jl129*j129 jl130*j130 jl131*j131 jl132*j132 jl133*j133 jl134*j134 jl135*j135 ;

proc means;

proc freq; tables case flagbjob6 flagejob6 miss5;

data new; set threed;
if uniform(0)<.015;

*proc print; *var hhid pn f25_1 anywork5 anywork6 sameemp6 selfemp6 selfemp5 jwave5 sewave5 tenurewave5 exwave5 lwwave5 oldbjob6 bjob6 flagbjob6 
ejob6 oldejob6 flagejob6 miss5 sdw5 sdw6 last start jllast1 hours flaghours6 j4-j135 jwave6 sewave6 tenurewave6 exwave6 lwwave6 
case casea casec cased casee casef caseg caseh casei casej casek casel casem casen caseo;


data in.empl6_months; set threed;

keep f25_1 caseid hhid pn birthmonth birthyear dob
flaglongjob flagothjob flaglj flagtena flagexa flagtenb flagexb 
sdw1-sdw6 miss2-miss5
jl4-jl135 lw4-lw135 laidoff4-laidoff135 tenure4-tenure135 se4-se135 j4-j135 ex4-ex135 extra4-extra135
hrswkcs6 yrbgcj6
bjob2-bjob6 ejob2-ejob6 anywork6 selfemp6 
jwave6 sewave6 laidoffwave6 tenurewave6 exwave6 lwwave6 
flagejob2-flagejob6 oldejob2-oldejob6 flagbjob2-flagbjob6 oldbjob2-oldbjob6 flaghours1-flaghours6 flagfhours2-flagfhours6 flagex2-flagex6 bjobmon2-bjobmon6 ejobmon2-ejobmon6
;

run;
