options pagesize=59 linesize=150 nocenter;

libname EXTRACT 'C:\Documents and Settings\David Blau\My Documents\Luc new\HRS\emplwave data' ;
libname in 'C:\Documents and Settings\David Blau\My Documents\Luc new\HRS\employment data' ;

data w7; set EXTRACT.emplwave04;

data w7a; set extract.emplwave04_add_hsubhh;

data new; merge w7 w7a; by hhid pn;

data jojo; set in.empl6_months; 

data threee; merge jojo (in=in1) new (in=in2); by hhid pn;

sdw7=(ja501-1992)*12 + ja500;*wave 7 survey month;

* array the employment and other variables for the first 158 months, up to Feb 2005, which was the last month of wave 7 interviews;

array j (i) j1-j158;
array jl (i) jl1-jl158;
array tenure (i) tenure1-tenure158;
array lw (i) lw1-lw158;
array ex (i) ex1-ex158;
array laidoff (i) laidoff1-laidoff158;
array se (i) se1-se158;
array extra (i) extra1-extra158;

if jj021>1 then jj021=.; * self empl;

checkcohort=0;

if in1=1 then do;

checkcohort=1;

dura = int((sdw7 - sdw6)/2); mep = sdw6 + dura - 1; * mep = last month for oldhours, if hours of work have changed between wave6 and wave7 on the same job;

* convert dates of "month" variables into origin Jan. 1992. Account for "all of year" cases;

array famonths jj597m1-jj597m37;
do over famonths;
   if famonths>=42 and famonths le 61 then famonths=.;

   If famonths=13 or famonths=41 then jojo02=1; If famonths=26 then jojo03=1;  
   If famonths=39 or famonths=40 then jojo04=1; If famonths=66 then jojo05=1;
end; 

if jojo02=1 then do;
   jj597m1 = 120 + 1; jj597m2 = 120 + 2; jj597m3 = 120 + 3; jj597m4 = 120 + 4;
   jj597m5 = 120 + 5; jj597m6 = 120 + 6; jj597m7= 120 + 7; jj597m8= 120 + 8;
   jj597m9 = 120 + 9; jj597m10 = 120 +10; jj597m11 = 120 +11; jj597m12 = 120 +12;
end;
if jojo03=1 then do;
   jj597m13 = 132 + 1; jj597m14 = 132 + 2; jj597m15 = 132 + 3; jj597m16 = 132 + 4;
   jj597m17 = 132 + 5; jj597m18= 132 + 6; jj597m19 = 132 + 7; jj597m20 = 132 + 8;
   jj597m21 = 132 + 9; jj597m22 = 132 +10; jj597m23 = 132 +11; jj597m24 = 132 + 12;
end;
if jojo04=1 then do;
   jj597m25 = 144 + 1; jj597m26 = 144 + 2; jj597m27= 144 + 3; jj597m28= 144 + 4;
   jj597m29 = 144 + 5; jj597m30 = 144 + 6; jj597m31 = 144 + 7; jj597m32 = 144 + 8;
   jj597m33 = 144 + 9; jj597m34 = 144 +10; jj597m35 = 144 +11; jj597m36 = 144 + 12;
end;
if jojo05=1 then do;
   jj597m37 = 156 + 1; jj597m38 = 156 + 2; jj597m39= 156 + 3; jj597m40= 156 + 4;
end;


array fmonths fmonths1-fmonths36;

if jj596=1 then do; do over fmonths; fmonths=famonths; end; fhours = jj599; fany=jj596;end;


sameemp7 = jj045;
selfemp7 = jj021;
hrswkcs7 = jj172;
yrbgcj7 = jj249;
mobgcj7 = jj248;

* when last worked, if on temporary layoff, sick leave, or other leave and you expect to return to the job. If < 6 months, treat as employed;

if jj011>0 and jj011<13 then wlw = (jj012-1992)*12 + jj011;

if sdw7>0 then anywork7=0;

if jj005m1=1 or jj005m2=1 or jj005m3=1 or jj005m4=1 or jj005m5=1 or jj020=1 or ((jj005m1=3 or jj005m2=3 or jj005m3=3 or jj005m4=3 or jj005m5=3) and jj010=1 and sdw7-wlw<6 and wlw ne .) then anywork7=1;
if jj005m1=. and jj005m2=. and jj005m3=. and jj005m4=. and jj005m5=. and jj020=. and jj010=. then anywork7=.;

* ejob7: end date of wave 6 employment, if any. flag cases with month missing: ejobmon7;
if jj024>0 and jj024<2006 then do;
   If jj023>0 and jj023<13 then ejob7 = (jj024-1992)*12 + jj023; if jj023<0 and jj024>0 then do; ejob7 = (jj024-1992)*12 + 6; ejobmon7=1; end; if ejob7>sdw7 then ejob7=sdw7;
end;* end date of w6 SE;

if jj064>0 and jj064<2006 then do;
   If jj063>0 and jj063<13 then ejob7 = (jj064-1992)*12 + jj063; if jj063<0 and jj064>0 then do; ejob7 = (jj064-1992)*12 + 6; ejobmon7=1; end; if ejob7>sdw7 then ejob7=sdw7;
end; * end date of w6 job;

* bjob7: beginning date of wave 7 employment, if any. flag cases with month missing: bjobmon7;
if jj249>0 and jj249<2006 then do;* to get rid of missing value codes;
   if jj248>0 and jj248<13 then bjob7 = (jj249-1992)*12 + jj248; if jj248<0 and jj249>0 then do; bjob7 = (jj249-1992)*12 + 6; bjobmon7=1; end;
end;

* hours of work at wave 7; 

if jj172>0 and jj172<35 then hours=1;if jj172>=35 and jj172<=95 then hours=2;

* hours of work at wave 6; 

if hrswkcs6>0 and hrswkcs6<35 then oldhours=1;if hrswkcs6>= 35 and hrswkcs6<=95 then oldhours=2;

* laid off from wave 6 job;

if (jj073m1=1 or jj073m1=2 or jj073m2=1 or jj073m2=2 or jj073m3=1 or jj073m3=2 or jj073m4=1 or jj073m4=2)then layoff=1; *why left own business/employer;

* back in survey after a missed interview;

if (sdw1>0 or (f25_1=4 and sdw4>0)) and sdw6=. and sdw7>0 and sameemp7=1 then do; miss6=1; sdw6=sdw5; anywork6=1; end;
if (sdw1>0 or (f25_1=4 and sdw4>0)) and sdw6=. and sdw7>0 then do;
   if anywork7=1 then do; miss6=2; jwave7=hours+2; if hours=. then do; jwave7=4; flaghours7=1; end; sewave7=selfemp7; go to bbb; end;
   if anywork7=0 then do; miss6=3; jwave7=0; go to bbb; end;
end;



* initialize new and old wave variables;

sdwnew = sdw7;
selfempnew = selfemp7;
anyworknew = anywork7;
sameempnew = sameemp7;
bjobnew = bjob7;
ejobnew = ejob7;

sdwold = sdw6;
selfempold = selfemp6;
anyworkold = anywork6;
tenurewaveold = tenurewave6;
exwaveold = exwave6;
lwwaveold = lwwave6;
jwaveold = jwave6;
laidoffwaveold = laidoffwave6;
sewaveold = sewave6;

* begin common section;

if anyworkold=0 then do;
   if anyworknew=0 then do;
      if bjobnew ne . then do; oldbjobnew=bjobnew; flagbjobnew=1; bjobnew=.; end;
      if ejobnew ne . then do; oldejobnew=ejobnew; flagejobnew=1; ejobnew=.; end;
   end;
   if anyworknew=1 then do;
      if ejobnew ne . then do; oldejobnew=ejobnew; flagejobnew=2; ejobnew=.; end;
	  if bjobnew ne . and bjobnew<sdwold then do; oldbjobnew=bjobnew; flagbjobnew=2; bjobnew=sdwold; end;
	  if bjobnew = . then flagbjobnew=3;
   end;
end;
if anyworkold=1 then do;
   if anyworknew=0 then do;
      if bjobnew ne . then do; oldbjobnew=bjobnew; flagbjobnew=4; bjobnew=.; end;
	  if ejobnew ne . and ejobnew<sdwold then do; oldejobnew=ejobnew; flagejobnew=3; ejobnew=sdwold; end;
	  if ejobnew = . then flagejobnew=4;
   end;
   if anyworknew=1 then do;
      if sameempnew=1 or sameempnew=7 then do;
         if bjobnew ne . then do; oldbjobnew=bjobnew; flagbjobnew=5; bjobnew=.; end;
         if ejobnew ne . then do; oldejobnew=ejobnew; flagejobnew=5; ejobnew=.; end;
      end;
      if sameempnew ne 1 and sameempnew ne 7 then do;
		  if ejobnew=. then do;
      	     if selfempold=1 and selfempnew=1 then do;
		        if bjobnew>=sdwold then flagejobnew=6; * could really be a different job since bjobnew date is legit. don't set bjobnew=., leave months sdwold to bjobnew-1 missing;
			    if bjobnew<sdwold and bjobnew ne . then do; * less likely to be a new job, since bjobnew is before sdwold;
			       if tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=7; end; * tenure matches closely. very likely the same job;
			       if tenurewaveold=. or abs(sdwold-bjobnew - tenurewaveold)>12      then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=8; end; * tenure does not match closely, less likely;
			    end;
	         end;
      	     if selfempold=0 and selfempnew=0 then do;
		        if bjobnew>=sdwold then flagejobnew=7; * could really be a different job since bjobnew date is legit. don't set bjobnew=., leave months sdwold to bjobnew-1 missing;
			    if bjobnew<sdwold and bjobnew ne . then do; * less likely to be a new job, since bjobnew is before sdwold;
			       if tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=9; end; * tenure matches closely. very likely the same job;
			       if tenurewaveold=. or abs(sdwold-bjobnew - tenurewaveold)>12      then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=10; end; * tenure does not match closely, less likely;
			    end;
	         end;
      	     if selfempold ne selfempnew and selfempold ne . and selfempnew ne . then do;
		        if bjobnew>=sdwold then flagejobnew=8; * could really be a different job since bjobnew date is legit. don't set bjobnew=., leave months sdwold to bjobnew-1 missing;
			    if bjobnew<sdwold and bjobnew ne . then do; * less likely to be a new job, since bjobnew is before sdwold;
			       if tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=11; end; * tenure matches closely. very likely the same job;
			       if tenurewaveold=. or abs(sdwold-bjobnew - tenurewaveold)>12      then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=12; end; * tenure does not match closely, less likely;
			    end;
	         end;
         end;
         if ejobnew ne . then do;
		    if ejobnew<sdwold then do; 
               oldejobnew=ejobnew; flagejobnew=9; ejobnew=sdwold; * creates a seam problem;
               if bjobnew ne . and bjobnew<sdwold then do; oldbjobnew=bjobnew; bjobnew=sdwold+1; flagbjobnew=13; end;
            end;
			if ejobnew>=sdwold then do;
			   if bjobnew<ejobnew then do; oldbjobnew=bjobnew; bjobnew=ejobnew+1; flagbjobnew=14; end;
		    end;
         end;
	  end;
   end;
end;

if flagbjobnew<0 and sdwnew>0 then flagbjobnew=0;
if flagejobnew<0 and sdwnew>0 then flagejobnew=0;


* If employed at previous wave, assign months in which the individual remained at the previous wave job, 
  beginning with sdwold+1 and ending with ejobnew or sdwnew, depending on whether still on the previous wave job at the time of the current wave interview;

if anyworkold=1 and ejobnew>0 then do; casee=1; last = ejobnew; end;

if anyworkold=1 and ejobnew=. then do;

   if anyworknew=1 then do; 

      last = sdwnew; 

      If sameempnew=1 or sameempnew=7 then do; casec=1; go to aaa; end; * still working for previous wave employer;

      if selfempnew=1 and selfempold=1 and bjobnew ne . and bjobnew<= sdwold then do; casej=1; go to aaa; end; * self-employed at prev wave 1 and current waveand same business at both waves; 

      if selfempnew=1 and selfempold=1 and bjobnew ne . and bjobnew>sdwold then do; casek=1; go to aaa; end; * : 6;
	  *self-employed at previous wave 1 and current wave but claims to have started the curr wave business after prev wave. treat as if same business but flag it; 

      if sameempnew=. and selfempnew=0 and selfempold=0 and bjobnew ne . and tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; casel=1; go to aaa; end;
      * New: Not self-empl, indicator for whether same job missing, but start date reported at prev and curr waves are consistent with same job;

      if selfempnew ne selfempold and selfempold ne . and selfempnew ne . and sdwold ne . and bjobnew ne . and tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; 
         casem=1; go to aaa;
	  end; * New: if respondent changes his mind about self-empl, but reports bjobnew consistent with start date of current job reported at prev wave, assume its the same job;

      if bjobnew>0 then last=.;  
	  * : claims prev wave job never ended (ejobnew=.) but reports a bjobnew and does not satisfy any of the above criteria: set last=. all months up to bjobnew will be missing. ;
   aaa: end;

   if anyworknew=0 then do; casef=1; jwavenew=0; exwavenew=exwaveold; end;
   * , do not set any months, but pass on the fact that j=0 at curr wave interview date (assume exwavenew=exwaveold), and re-set bjobnew values that should not be set;

   if last = sdwnew then do; * If hours of work have changed, arbitrarily assign the date of change to the midpoint between interview dates;
      newhours = hours; if newhours=. then newhours = oldhours;
   end;
end;

* fill in months up to end of old wave job (if there was an old wave job and it ended, otherwise last=.) or new wave interview date if still on old wave job;

if last>sdwold then do;
   caseg=1;
   do i = sdwold+1 to last;

      j = jwaveold; *: don't need lw; tenure = tenurewaveold + (i-sdwold); ex = exwaveold + (i-sdwold); se = sewaveold; laidoff=laidoffwaveold; if j>=3 then jl = j - 2; 

      if last=sdwnew and oldhours ne newhours and oldhours ne . and newhours ne . then do; * change in hours on same job; 
	     if newhours>0 then j = newhours + 2; if j>=3 then jl = j - 2;
      end;

      if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end; * these are used in the next program;

      If i=last then do; jllast1 = jl; exlast1 = ex; tenurelast1 = tenure; selast1 = se; end; * save these for later use in case there is a period of non-employment;
   end;
end;

if last>0 and last<sdwnew then do; * old wave job ended before the new wave interview, otherwise last=. or last=sdwnew;

   if bjobnew>0 and anyworknew=1 then start = bjobnew-1; * there is a new wave job, different from the old wave job;

   if bjobnew=. then start=sdwnew; * no new wave begin job date, so fill in non-empl up to sdwnew; 

   if start>=ejobnew+1 and ejobnew>0 then do; * there is a non-employment period of at least one month; 
      caseh=1;
      * Check fmonth variables for any months worked between ejobnew+1 and bjobnew-1 or sdwnew. These are "extra", for now we just record them, but do not change j, jl, exper, etc.;
      if fany=1 then do;
         do i = ejobnew+1 to start;
	        *extra = 0; * ;
            do over fmonths;
               If fmonths = i then do; 
                   if fhours>0 and fhours<35 then extra=1; if fhours>=35 and fhours<=95 then extra=2; if fhours<=0 or fhours>95 then do; extra=2; flagfhoursnew=1; end;
               end;
            End;
         End;
      End;

	  * assign non-employment months;
	  do i = ejobnew+1 to start;
	 	 if i=ejobnew+1 then do; jl = jllast1; If layoff=1 then laidoff=1; tenure = tenurelast1 + 1; se = selast1; end;
         if i>ejobnew+1 then jl=0; 
         j = 0; ex = exlast1; lw = i - (ejobnew+1);
		 if i=sdwnew then do; jwavenew = 0; exwavenew = ex; lwwavenew = lw; end;
         If i=last then do; jllast1 = jl; exlast1 = ex; end; * save these for later use in case there is a subsequent period of employment;
 	  end;
   end;

  * If there is a new wave job, then assign months for new wave job; 
   if bjobnew>0 then do;
      casei=1;
 	  do i = bjobnew to sdwnew;
	     if i = bjobnew then do; jl = jllast1; j=hours; if hours=. then do; j=2; flaghoursnew=1; end; end; 
		 * new: changed jl=0 to jl=jllast1, since jl is not = zero if there is no gap between end of last job and start of new job;
	 	 if i > bjobnew then do; jl=hours; j = hours + 2; if hours=. then do; j=4; jl=2; flaghoursnew=1; end; end; 
		 se = selfempnew; laidoff = 0; tenure = i - bjobnew; ex = exlast1 + i - bjobnew;
         if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end;
      end;
   end;
end;

if anyworkold=0 and anyworknew=0 and sdwold>0 and sdwnew>0 then do;
   casea=1;
   if fany=1 then do;
      do i = sdwold+1 to sdwnew;
         do over fmonths;
            If fmonths = i then do; 
                if fhours>0 and fhours<35 then extra=1; if fhours>=35 and fhours<=95 then extra=2; if fhours<=0 or fhours>95 then do; extra=2; flagfhoursnew=1; end;
            end;
         End;
      End;
   end;

	* assign non-employment months;
   do i = sdwold+1 to sdwnew;
  	  jl=0; j = 0; ex = exwaveold; lw = lwwaveold + i - (sdwold+1); * new: eliminated reference to jlwaveold;
	  if i=sdwnew then do; jwavenew = 0; exwavenew = ex; lwwavenew = lw; end;
   end;
end;

if anyworkold=0 and anyworknew=1 and sdwold>0 and sdwnew>0 and bjobnew=. then do; 
   caseo=1; if hours>0 then jwavenew=hours+2; if hours=. then jwavenew=4;
end;

if anyworkold=0 and anyworknew=1 and sdwold>0 and sdwnew>0 and bjobnew>0 then do;
   cased=1;
   if fany=1 then do;
      do i = sdwold+1 to bjobnew;
         do over fmonths;
            If fmonths = i then do; 
               if fhours>0 and fhours<35 then extra=1; if fhours>=35 and fhours<=95 then extra=2; if fhours<=0 or fhours>95 then do; extra=2; flagfhoursnew=1; end;
            end;
         End;
      End;
   end;

	* assign non-employment months;

   start = bjobnew-1; if start< sdwold+1 then start=sdwold+1; * new: changed from start = bjobnew;
   do i = sdwold+1 to start;
  	  jl=0; j = 0; ex = exwaveold; lw = lwwaveold + i - (sdwold+1); 
   end;

   * assign employment months;

   do i = bjobnew to sdwnew; 
      if i = bjobnew then do; jl = 0; j=hours; if hours=. then do; j=2; flaghoursnew=1; end; end;
 	  if i > bjobnew then do; jl=hours; if hours=. then do; jl=2; flaghoursnew=1; end; j = jl + 2; end; 
	  se = selfempnew; laidoff = 0; tenure = i - bjobnew; ex = exwaveold + i - bjobnew; 
      if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end;
   end;

end;

* new section to deal with cases in which ejobnew is missing and the job actually appears to have ended, and there is a new job. The months from sdwold to bjobnew will be missing,
since we do not know when the wave 1 job ended, but we will be able to fill in data for the months in which the new job was held. work experience will be incorrect, so flag it;

if anyworkold=1 and anyworknew=1 and ejobnew=. and last=. and sdwnew>0 and bjobnew>0 then do;
   casen=1;
   do i = bjobnew to sdwnew;
      if i=bjobnew then do; tenure=0; jl=0; j=hours; if hours=. then do; j=2; flaghoursnew=1; end; end; 
      if i>bjobnew then do; tenure=i - bjobnew; jl=hours; if hours=. then do; jl=2; flaghoursnew=1; end; j = jl + 2; end;
	  ex = exwaveold + i - bjobnew; flagexnew=1; * : ex=exwaveold was wrong. also, flag ex and do not set lw; se = selfempnew; laidoff=0;
      if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end; 
   end;
end;      

* new section to change information passed to next wave if job ended in curr wave interview month;

if ejobnew=sdwnew and sdwnew>0 then do;
   if bjobnew=. or bjobnew<=sdwold then jwavenew=0;
   if bjobnew=ejobnew then do; if hours>0 then jwavenew=hours; if hours<0 then do; jwavenew=2; flaghoursnew=1; end; end;
end;



bjob7 = bjobnew;
oldbjob7 = oldbjobnew;
flagbjob7 = flagbjobnew;

ejob7 = ejobnew;
oldejob7 = oldejobnew;
flagejob7 = flagejobnew;

tenurewave7 = tenurewavenew;
exwave7 = exwavenew;
lwwave7 = lwwavenew;
jwave7 = jwavenew;
laidoffwave7 = laidoffwavenew;
sewave7 = sewavenew;

flaghours7 = flaghoursnew;
flagfhours7 = flagfhoursnew;
flagex7 = flagexnew;



if sdw7=. or sdw6=. or sdw4=. or sdw3=. or sdw2=. then case=0;
if sdw7>0 and sdw6=>0 and sdw4>0 and sdw4>0 and sdw3>0 and sdw2>0 then case=1;
if sdw7>0 and sdw5>0 and sdw4>0 and sdw3>0 and sdw2>0 and casea=. and casec=. and cased=. and casee=. and casef=. and caseg=. and caseh=. and casei=. and casej=. and casek=. and casel=. and casem=. 
and casen=. and caseo=. then case=2;

bbb: s=1;




end;*end of create empl for original HRS cohort and War babies;



if in1=0 and in2=1 and hsubhh=. then do;

checkcohort=2;

* put date of birth on the same scale as the interview dates and other dates, so that age in months in a given month can be created by (date of interest - dob);

if jx067_r>0 and jx067_r<1992 and jx004_r>0 and jx004_r<13 then dob = (jx067_r-1992)*12 + jx004_r;

* get duration of old jobs, to be used in setting experience. new: I forgot to account for multiple jobs held at the same time, so I changed this to avoid double counting;

yrendlongjob = jl016;
yrbglongjob = jl009;
yrendothjob = jl035a; 
yrbgothjob = jl034a;
yrendothjob2 = jl035a; 
yrbgothjob2 = jl034a;

yrendlongjoba = yrendlongjob;
yrbglongjoba = yrbglongjob;
yrendothjoba = yrendothjob;
yrbgothjoba = yrbgothjob;
yrendothjob2a = yrendothjob2;
yrbgothjob2a = yrbgothjob2;

* new: fixing a few cases in which end and begin dates were apparently reversed;

if yrendlongjoba<yrbglongjoba and yrendlongjoba>0 then do; temp=yrbglongjoba; yrbglongjoba=yrendlongjoba; yrendlongjoba=temp; end;
if yrendothjoba<yrbgothjoba and yrendothjoba>0 then do; temp=yrbgothjoba; yrbgothjoba=yrendothjoba; yrendothjoba=temp; end;
if yrendothjob2a<yrbgothjob2a and yrendothjob2a>0 then do; temp=yrbgothjob2a; yrbgothjob2a=yrendothjob2a; yrendothjob2a=temp; end;
if jk004<jk022 and jk004>0 then do; temp=jk022; jk022=jk004; jk004=temp; end;

* eliminate overlap between other jobs;

if yrendothjob2a>yrbgothjoba and yrbgothjob2a<yrbgothjoba and yrbgothjob2a>0 and yrbgothjoba>0 then do; yrendothjob2a = yrbgothjoba; if yrendothjob2a<yrbgothjob2a then yrendothjob2a=yrbgothjob2a; flagothjob2=1; go to a0; end;
if yrbgothjob2a<yrendothjoba and yrendothjob2a>yrendothjoba and yrbgothjob2a>0 then do; yrbgothjob2a = yrendothjoba; flagothjob2=1; go to a0; end;
if yrbgothjoba>=yrbgothjob2a and yrendothjoba<=yrendothjob2a and yrbgothjob2a>0 then do; yrendothjoba=.; yrbgothjoba=.; flaglongjob=1; end;
if yrbgothjob2a>=yrbgothjoba and yrendothjob2a<=yrendothjoba and yrbgothjoba>0 then do; yrendothjob2a=.; yrbgothjob2a=.; flagothjob2=1; end;


* new: eliminate overlap between long job and first other job;
a0:
if yrendothjoba>yrbglongjoba and yrbgothjoba<yrbglongjoba and yrbgothjoba>0 and yrbglongjoba>0 then do; yrendothjoba = yrbglongjoba; if yrendothjoba<yrbgothjoba then yrendothjoba=yrbgothjoba; flagothjob=1; go to ax; end;

if yrbgothjoba<yrendlongjoba and yrendothjoba>yrendlongjoba and yrbgothjoba>0 then do; yrbgothjoba = yrendlongjoba; flagothjob=1; go to ax; end;

if yrbglongjoba>=yrbgothjoba and yrendlongjoba<=yrendothjoba and yrbgothjoba>0 then do; yrendlongjoba=.; yrbglongjoba=.; flaglongjob=1; end;

if yrbgothjoba>=yrbglongjoba and yrendothjoba<=yrendlongjoba and yrbglongjoba>0 then do; yrendothjoba=.; yrbgothjoba=.; flagothjob=1; end;

* new: eliminate overlap between long job and second other job;
ax:
if yrendothjob2a>yrbglongjoba and yrbgothjob2a<yrbglongjoba and yrbgothjob2a>0 and yrbglongjoba>0 then do; yrendothjob2a = yrbglongjoba; if yrendothjob2a<yrbgothjob2a then yrendothjob2a=yrbgothjob2a; flagothjob2=1; go to a1; end;

if yrbgothjob2a<yrendlongjoba and yrendothjob2a>yrendlongjoba and yrbgothjob2a>0 then do; yrbgothjob2a = yrendlongjoba; flagothjob2=1; go to a1; end;

if yrbglongjoba>=yrbgothjob2a and yrendlongjoba<=yrendothjob2a and yrbgothjob2a>0 then do; yrendlongjoba=.; yrbglongjoba=.; flaglongjob=1; end;

if yrbgothjob2a>=yrbglongjoba and yrendothjob2a<=yrendlongjoba and yrbglongjoba>0 then do; yrendothjob2a=.; yrbgothjob2a=.; flagothjob2=1; end;

* new: eliminate overlap between current or last job and long job;

a1:
if yrendlongjoba>jj249 and yrbglongjoba<jj249 and jj249>0 then do; yrendlongjoba = jj249; if yrendlongjoba<yrbglongjoba then yrendlongjoba = yrbglongjoba; flaglongjob=1; go to a2; end;
if yrendlongjoba>jj249 and yrbglongjoba>=jj249 and jj249>0 then do; yrendlongjoba = .; yrbglongjoba=.; flaglongjob=1; go to a2; end;

if yrbglongjoba<jk022 and yrendlongjoba>jk022 and jk004>yrendlongjoba and jk022>0 then do; yrendlongjoba = jk022; if yrendlongjoba<yrbglongjoba then yrendlongjoba = yrbglongjoba; flaglongjob=1; go to a2; end;
if yrendlongjoba<=jk004 and yrbglongjoba>=jk022 and jk022>0 then do; yrendlongjoba = .; yrbglongjoba=.; flaglongjob=1; go to a2; end;
if jk022>=yrbglongjoba and jk004<=yrendlongjoba and jk004>0 then do; jk004 = yrendlongjoba; jk022=yrbglongjoba; yrbglongjoba=.; yrendlongjoba=.; flaglj=1; go to a2; end;
if jk022<yrbglongjoba and jk004<=yrendlongjoba and jk022>0 and jk004>0 then do; jk004 = yrendlongjoba; yrbglongjoba=.; yrendlongjoba=.; flaglj=1; go to a2; end;

if jk004<yrendlongjoba and jk004>0 then dumblj=1;

* new: eliminate overlap between current or last job and first other job;

a2:
if yrendothjoba>jj249 and yrbgothjoba<jj249 and jj249>0 then do; yrendothjoba = jj249; if yrendothjoba<yrbgothjoba then yrendothjoba = yrbgothjoba; flagothjob=1; go to ay; end;
if yrendothjoba>jj249 and yrbgothjoba>=jj249 and jj249>0 then do; yrendothjoba = .; yrbgothjoba=.; flagothjob=1; go to ay; end;

if yrbgothjoba<jk022 and yrendothjoba>jk022 and jk004>yrendothjoba and jk022>0 then do; yrendothjoba = jk022; if yrendothjoba<yrbgothjoba then yrendothjoba = yrbgothjoba; flagothjob=1; go to ay; end;
if yrendothjoba<=jk004 and yrbgothjoba>=jk022 and jk022>0 then do; yrendothjoba = .; yrbgothjoba=.; flagothjob=1; go to ay; end;
if jk022>=yrbgothjoba and jk004<=yrendothjoba and jk004>0 then do; jk004 = yrendothjoba; jk022=yrbgothjoba; yrbgothjoba=.; yrendothjoba=.; flaglj=1; go to ay; end;
if jk022<yrbgothjoba and jk004<=yrendothjoba and jk022>0 and jk004>0 then do; jk004 = yrendothjoba; yrbgothjoba=.; yrendothjoba=.; flaglj=1; go to ay; end;

* new: eliminate overlap between current or last job and first other job;

ay:
if yrendothjob2a>jj249 and yrbgothjob2a<jj249 and jj249>0 then do; yrendothjob2a = jj249; if yrendothjob2a<yrbgothjob2a then yrendothjob2a = yrbgothjob2a; flagothjob2=1; go to a3; end;
if yrendothjob2a>jj249 and yrbgothjob2a>=jj249 and jj249>0 then do; yrendothjob2a = .; yrbgothjob2a=.; flagothjob2=1; go to a3; end;

if yrbgothjob2a<jk022 and yrendothjob2a>jk022 and jk004>yrendothjob2a and jk022>0 then do; yrendothjob2a = jk022; if yrendothjob2a<yrbgothjob2a then yrendothjob2a = yrbgothjob2a; flagothjob2=1; go to a3; end;
if yrendothjob2a<=jk004 and yrbgothjob2a>=jk022 and jk022>0 then do; yrendothjob2a = .; yrbgothjob2a=.; flagothjob2=1; go to a3; end;
if jk022>=yrbgothjob2a and jk004<=yrendothjob2a and jk004>0 then do; jk004 = yrendothjob2a; jk022=yrbgothjob2a; yrbgothjob2a=.; yrendothjob2a=.; flaglj=1; go to a3; end;
if jk022<yrbgothjob2a and jk004<=yrendothjob2a and jk022>0 and jk004>0 then do; jk004 = yrendothjob2a; yrbgothjob2a=.; yrendothjob2a=.; flaglj=1; go to a3; end;

a3:
oldjobdur = 0;

longjobdur = (yrendlongjoba - yrbglongjoba); if longjobdur>0 then oldjobdur = oldjobdur + longjobdur*12;
othjobdur = yrendothjoba - yrbgothjoba; if othjobdur>0 then oldjobdur = oldjobdur + othjobdur*12; * new: I forgot *12 here!;


* from this wave (1st wave for this cohort) data, we need the following variables defined as of the wave 7 interview month: 
  employment status (jl), employment choice (j), when last worked (lw1), tenure, experience (ex), self-employment status (se), and lay off status;

* employment status at wave 7 interview date;
* cases on layoff or other leave at the interview date, and expecting to return to the job, and last worked on the job < 6 months ago are treated as employed;

if jj011>0 and jj011<13 then ejob7 = (jj012-1992)*12 + jj011;
if jj011<0 and jj012>0 and jj012<=2006 then ejob7 = (jj012-1992)*12 + 6;

anywork7=0;
if jj005m1=1 or jj020=1 or (jj005m1=3 and jj010=1 and sdw7-ejob7<6 and ejob7 ne .) Then anywork7=1;
if jj005m1=. and jj020=. and jj010=. Then anywork7=.;

if anywork7=1 then do; * working;
   do i=146 to 158;
      if sdw7 = i then do; * find the month of the wave 7 interview;
         If jj172>0 and jj172<35 then jl=1; If jj172 ge 35 then jl=2; j = jl + 2; se = 0; laidoff = 0; 
         If jj249>0 and jj249<2006 and jj248<13 then do; tenure = sdw7 - ((jj249-1992)*12 + jj248); if tenure<0 and tenure ne . then tenure=0; ex = oldjobdur + tenure; end;
 	 	 jwave7 = j; laidoffwave7 = laidoff; sewave7 = se; tenurewave7 = tenure; exwave7 = ex; * these are used in the wave 8 program;
      end;
   end;
end;

if anywork7=0 then do; * not working;
   do i=146 to 158;
      if sdw7 = i then do; * find the month of the wave 7 interview;
		 jl=0; j=0; 

		 If jk003=5 then do; ex = 0; lw = sdw7 - (dob + 21*12); end; * if never worked, set the duration of non-employment = months since age 21, arbitrarily;

         If jk003=1 then do;
            if jk006>0 and jk006<13 and jk004<=2006 then Lw = sdw7 - ((jk004-1992)*12 + jk006);
            if jk006<0 and jk004>0 and jk004<=2006 then Lw = sdw7 - ((jk004-1992)*12 + 6);
 	        if lw<0 and lw ne . then lw=0;

 	        if jk022>0 then beg = jk022; 
	        if jk004>=beg then ex = oldjobdur + (jk004 - beg)*12; 
		 end;

         jwave7 = j; exwave7 = ex; lwwave7 = lw; * these are used in the wave 8 program;
      end;
   End; 
end;

* new: here I set experience and tenure to missing if they are obviously incorrect, in practice I assume you can't start work before age 16;

agemon = sdw7 - dob;
birthyear = jx067_r;

if anywork7=1 and jj249-birthyear<16 and jj249>0 then do; 
   tenurewave7=.; exwave7=.; do i =146 to 158; if i=sdw7 then do; tenure=.; ex=.; end; end; flagtena=1; flagexa=1; 
end;
if exwave7 > agemon-192 then do; 
   if tenurewave7>0 then flagtenb=1; tenurewave7=.; exwave7=.; do i =146 to 158; if i=sdw7 then do; tenure=.; ex=.; end; end; flagexb=1; 
end;

end;


keep caseid hhid pn f25_1 checkcohort jl4-jl158 lw4-lw158 laidoff4-laidoff158 tenure4-tenure158 se4-se158 j4-j158 ex4-ex158 extra4-extra158  
bjob2-bjob7 ejob2-ejob7 sameemp7 miss2-miss6
sdw1-sdw7 anywork6 selfemp6 hrswkcs7 yrbgcj7 mobgcj7 anywork7 selfemp7  
bjobmon7 ejobmon7 birthmonth birthyear dob 
jwave7 sewave7 laidoffwave7 tenurewave7 exwave7 lwwave7 jwave6 sewave6 tenurewave6 exwave6 lwwave6
last start jllast1 hours 
flaglongjob flagothjob flaglj flagtena flagexa flagtenb flagexb 
flagejob2-flagejob7 oldejob2-oldejob7 flagbjob2-flagbjob7 oldbjob2-oldbjob7 flaghours1-flaghours7 flagfhours2-flagfhours7 flagex2-flagex7 bjobmon2-bjobmon7 ejobmon2-ejobmon7
case case casea casec cased casee casef caseg caseh casei casej casek casel casem casen caseo
hrswkcs7 yrbgcj7;



proc freq; tables checkcohort;

data xap; set threee; if checkcohort=1 or checkcohort=2;

proc means; 

*proc freq; *tables j4-j158 
 jl109*j109 jl110*j110 jl111*j111 jl112*j112 jl113*j113 jl114*j114 jl115*j115 jl116*j116 jl117*j117 jl118*j118 jl119*j119 
 jl120*j120 jl121*j121 jl122*j122 jl123*j123 jl124*j124 jl125*j125 jl126*j126 jl127*j127
jl128*j128 jl129*j129 jl130*j130 jl131*j131 jl132*j132 jl133*j133 jl134*j134 jl135*j135 
jl136*j136 jl137*j137 jl138*j138 jl139*j139 
 jl140*j140 jl141*j141 jl142*j142 jl143*j143 jl144*j144 jl145*j145 jl146*j146 jl147*j147 jl148*j148
jl149*j149 jl150*j150 jl151*j151 jl152*j152 jl153*j153 jl154*j154 jl155*j155 jl156*j156 jl157*j157 jl158*j158 ;

proc freq data=xap; tables case flagbjob7 flagejob7 miss6;

data new; set xap; if uniform(0)<.0125;

*proc print; *var hhid pn f25_1 checkcohort anywork6 anywork7 sameemp7 selfemp7 selfemp6 jwave6 sewave6 tenurewave6 exwave6 lwwave6 oldbjob7 bjob7 flagbjob7 
ejob7 oldejob7 flagejob7 miss6 sdw6 sdw7 last start jllast1 hours flaghours7 j90-j158 jwave7 sewave7 tenurewave7 exwave7 lwwave7 
case casea casec cased casee casef caseg caseh casei casej casek casel casem casen caseo;

data in.empl7_months; set xap;

keep f25_1 checkcohort caseid hhid pn birthmonth birthyear dob jwave6
flaglongjob flagothjob flaglj flagtena flagexa flagtenb flagexb 
sdw1-sdw7 miss2-miss6
jl4-jl158 lw4-lw158 laidoff4-laidoff158 tenure4-tenure158 se4-se158 j4-j158 ex4-ex158 extra4-extra158
hrswkcs7 yrbgcj7
bjob2-bjob7 ejob2-ejob7 anywork7 selfemp7 
jwave7 sewave7 laidoffwave7 tenurewave7 exwave7 lwwave7 
flagejob2-flagejob7 oldejob2-oldejob7 flagbjob2-flagbjob7 oldbjob2-oldbjob7 flaghours1-flaghours7 
flagfhours2-flagfhours7 flagex2-flagex7 bjobmon2-bjobmon7 ejobmon2-ejobmon7
;

run;

