options pagesize=59 linesize=150 nocenter;

libname EXTRACT 'C:\Documents and Settings\David Blau\My Documents\Luc new\HRS\emplwave data' ;
libname in 'C:\Documents and Settings\David Blau\My Documents\Luc new\HRS\employment data' ;

data w8; set EXTRACT.emplwave06;

data jojo; set in.empl7_months;

data threef; merge jojo(in=in1) w8; by hhid pn; if in1;

sdw8=(ka501-1992)*12 + ka500;*wave 8 survey month;

dura = int((sdw8 - sdw7)/2); mep = sdw7 + dura - 1; * mep = last month for oldhours, if hours of work have changed between wave7 and wave8 on the same job;

if kj021>1 then kj021=.;

* convert dates of "month" variables into origin Jan. 1992. Account for "all of year" cases;

array famonths kj597m1-kj597m37;
do over famonths;
   if famonths>=42 and famonths le 65 then famonths=.;
   If famonths=13 or famonths=41 then jojo04=1; If famonths=26 then jojo05=1;  
   If famonths=39 or famonths=40 then jojo06=1; 
end;
if jojo04=1 then do;
   kj597m1 = 144 + 1; kj597m2 = 144 + 2; kj597m3 = 144 + 3; kj597m4 = 144 + 4;
   kj597m5 = 144 + 5; kj597m6 = 144 + 6; kj597m7= 144 + 7; kj597m8= 144 + 8;
   kj597m9 = 144 + 9; kj597m10 = 144 +10; kj597m11 = 144 +11; kj597m12 = 144 +12;
end;
if jojo05=1 then do;
   kj597m13 = 156 + 1; kj597m14 = 156 + 2; kj597m15 = 156 + 3; kj597m16 = 156 + 4;
   kj597m17 = 156 + 5; kj597m18= 156 + 6; kj597m19 = 156 + 7; kj597m20 = 156 + 8;
   kj597m21 = 156 + 9; kj597m22 = 156 +10; kj597m23 = 156 +11; kj597m24 = 156 + 12;
end;
if jojo06=1 then do;
   kj597m25 = 168 + 1; kj597m26 = 168 + 2; kj597m27= 168 + 3; kj597m28= 168 + 4;
   kj597m29 = 168 + 5; kj597m30 = 168 + 6; kj597m31 = 168 + 7; kj597m32 = 168 + 8;
   kj597m33 = 168 + 9; kj597m34 = 168 +10; kj597m35 = 168 +11; kj597m36 = 168 + 12;
end; 

array fmonths fmonths1-fmonths36;

if kj596=1 then do;do over fmonths; fmonths=famonths;end; fhours = kj599; fany=kj596;end;

* array the employment and other variables for the first 182 months, up to Feb 2007, which was the last month of wave 8 interviews;

array j (i) j1-j182;
array jl (i) jl1-jl182;
array tenure (i) tenure1-tenure182;
array lw (i) lw1-lw182;
array ex (i) ex1-ex182;
array laidoff (i) laidoff1-laidoff182;
array se (i) se1-se182;
array extra (i) extra1-extra182;

* when last worked, if on temporary layoff, sick leave, or other leave and you expect to return to the job. If < 6 months, treat as employed;

if kj011>0 and kj011<13 then wlw = (kj012-1992)*12 + kj011;

if sdw8>0 then anywork8=0;

if kj005m1=1 or kj005m2=1 or kj005m3=1 or kj005m4=1 or kj005m5=1 or kj020=1 or ((kj005m1=3 or kj005m2=3 or kj005m3=3 or kj005m4=3 or kj005m5=3) and kj010=1 and sdw8-wlw<6 and wlw ne .) then anywork8=1;
if kj005m1=. and kj005m2=. and kj005m3=. and kj005m4=. and kj005m5=. and kj020=. and kj010=. then anywork8=.;


* ejob8: end date of wave 7 employment, if any. flag cases with month missing: ejobmon8;
if kj024>0 and kj024<2008 then do;
   If kj023>0 and kj023<13 then ejob8 = (kj024-1992)*12 + kj023; if kj023<0 and kj024>0 then do; ejob8 = (kj024-1992)*12 + 6; ejobmon8=1; end; if ejob8>sdw8 then ejob8=sdw8;
end;* end date of w7 SE;

if kj064>0 and kj064<2008 then do;
   If kj063>0 and kj063<13 then ejob8 = (kj064-1992)*12 + kj063; if kj063<0 and kj064>0 then do; ejob8 = (kj064-1992)*12 + 6; ejobmon8=1; end; if ejob8>sdw8 then ejob8=sdw8; * end date of w7 job;
end;

* bjob8: beginning date of wave 8 employment, if any. flag cases with month missing: bjobmon8;
if kj249>0 and kj249<2008 then do;* to get rid of missing value codes;
   if kj248>0 and kj248<13 then bjob8 = (kj249-1992)*12 + kj248; if kj248<0 and kj249>0 then do; bjob8 = (kj249-1992)*12 + 6; bjobmon8=1; end;
end;

* hours of work at wave 8; 

if kj172>0 and kj172<35 then hours=1; if kj172>=35 and kj172<=95 then hours=2;

* hours of work at wave 7; 

if hrswkcs7>0 and hrswkcs7<35 then oldhours=1; if hrswkcs7>= 35 and hrswkcs7<=95 then oldhours=2;

* laid off from wave 7 job;

if (kj073m1=1 or kj073m1=2 or kj073m2=1 or kj073m2=2 or kj073m3=1 or kj073m3=2 or kj073m4=1 or kj073m4=2)then layoff=1; *why left own business/employer;


sameemp8 = kj045;
selfemp8 = kj021;
hrswkcs8 = kj172;
yrbgcj8 = kj249;
mobgcj8 = kj248;

* back in survey after a missed interview;

if (sdw1>0 or (f25_1=4 and sdw4>0)) and sdw7=. and sdw8>0 and sameemp8=1 then do; miss7=1; sdw7=sdw6; anywork7=1; end;
if (sdw1>0 or (f25_1=4 and sdw4>0)) and sdw7=. and sdw8>0 then do;
   if anywork8=1 then do; miss7=2; jwave8=hours+2; if hours=. then do; jwave8=4; flaghours8=1; end; sewave8=selfemp8; go to bbb; end;
   if anywork8=0 then do; miss7=3; jwave8=0; go to bbb; end;
end;


* initialize new and old wave variables;

sdwnew = sdw8;
selfempnew = selfemp8;
anyworknew = anywork8;
sameempnew = sameemp8;
bjobnew = bjob8;
ejobnew = ejob8;

sdwold = sdw7;
selfempold = selfemp7;
anyworkold = anywork7;
tenurewaveold = tenurewave7;
exwaveold = exwave7;
lwwaveold = lwwave7;
jwaveold = jwave7;
laidoffwaveold = laidoffwave7;
sewaveold = sewave7;

* begin common section;

if anyworkold=0 then do;
   if anyworknew=0 then do;
      if bjobnew ne . then do; oldbjobnew=bjobnew; flagbjobnew=1; bjobnew=.; end;
      if ejobnew ne . then do; oldejobnew=ejobnew; flagejobnew=1; ejobnew=.; end;
   end;
   if anyworknew=1 then do;
      if ejobnew ne . then do; oldejobnew=ejobnew; flagejobnew=2; ejobnew=.; end;
	  if bjobnew ne . and bjobnew<sdwold then do; oldbjobnew=bjobnew; flagbjobnew=2; bjobnew=sdwold; end;
	  if bjobnew = . then flagbjobnew=3;
   end;
end;
if anyworkold=1 then do;
   if anyworknew=0 then do;
      if bjobnew ne . then do; oldbjobnew=bjobnew; flagbjobnew=4; bjobnew=.; end;
	  if ejobnew ne . and ejobnew<sdwold then do; oldejobnew=ejobnew; flagejobnew=3; ejobnew=sdwold; end;
	  if ejobnew = . then flagejobnew=4;
   end;
   if anyworknew=1 then do;
      if sameempnew=1 or sameempnew=7 then do;
         if bjobnew ne . then do; oldbjobnew=bjobnew; flagbjobnew=5; bjobnew=.; end;
         if ejobnew ne . then do; oldejobnew=ejobnew; flagejobnew=5; ejobnew=.; end;
      end;
      if sameempnew ne 1 and sameempnew ne 7 then do;
		  if ejobnew=. then do;
      	     if selfempold=1 and selfempnew=1 then do;
		        if bjobnew>=sdwold then flagejobnew=6; * could really be a different job since bjobnew date is legit. don't set bjobnew=., leave months sdwold to bjobnew-1 missing;
			    if bjobnew<sdwold and bjobnew ne . then do; * less likely to be a new job, since bjobnew is before sdwold;
			       if tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=7; end; * tenure matches closely. very likely the same job;
			       if tenurewaveold=. or abs(sdwold-bjobnew - tenurewaveold)>12      then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=8; end; * tenure does not match closely, less likely;
			    end;
	         end;
      	     if selfempold=0 and selfempnew=0 then do;
		        if bjobnew>=sdwold then flagejobnew=7; * could really be a different job since bjobnew date is legit. don't set bjobnew=., leave months sdwold to bjobnew-1 missing;
			    if bjobnew<sdwold and bjobnew ne . then do; * less likely to be a new job, since bjobnew is before sdwold;
			       if tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=9; end; * tenure matches closely. very likely the same job;
			       if tenurewaveold=. or abs(sdwold-bjobnew - tenurewaveold)>12      then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=10; end; * tenure does not match closely, less likely;
			    end;
	         end;
      	     if selfempold ne selfempnew and selfempold ne . and selfempnew ne . then do;
		        if bjobnew>=sdwold then flagejobnew=8; * could really be a different job since bjobnew date is legit. don't set bjobnew=., leave months sdwold to bjobnew-1 missing;
			    if bjobnew<sdwold and bjobnew ne . then do; * less likely to be a new job, since bjobnew is before sdwold;
			       if tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=11; end; * tenure matches closely. very likely the same job;
			       if tenurewaveold=. or abs(sdwold-bjobnew - tenurewaveold)>12      then do; oldbjobnew=bjobnew; bjobnew=.; flagbjobnew=12; end; * tenure does not match closely, less likely;
			    end;
	         end;
         end;
         if ejobnew ne . then do;
		    if ejobnew<sdwold then do; 
               oldejobnew=ejobnew; flagejobnew=9; ejobnew=sdwold; * creates a seam problem;
               if bjobnew ne . and bjobnew<sdwold then do; oldbjobnew=bjobnew; bjobnew=sdwold+1; flagbjobnew=13; end;
            end;
			if ejobnew>=sdwold then do;
			   if bjobnew<ejobnew then do; oldbjobnew=bjobnew; bjobnew=ejobnew+1; flagbjobnew=14; end;
		    end;
         end;
	  end;
   end;
end;

if flagbjobnew<0 and sdwnew>0 then flagbjobnew=0;
if flagejobnew<0 and sdwnew>0 then flagejobnew=0;


* If employed at previous wave, assign months in which the individual remained at the previous wave job, 
  beginning with sdwold+1 and ending with ejobnew or sdwnew, depending on whether still on the previous wave job at the time of the current wave interview;

if anyworkold=1 and ejobnew>0 then do; casee=1; last = ejobnew; end;

if anyworkold=1 and ejobnew=. then do;

   if anyworknew=1 then do; 

      last = sdwnew; 

      If sameempnew=1 or sameempnew=7 then do; casec=1; go to aaa; end; * still working for previous wave employer;

      if selfempnew=1 and selfempold=1 and bjobnew ne . and bjobnew<= sdwold then do; casej=1; go to aaa; end; * self-employed at prev wave 1 and current waveand same business at both waves; 

      if selfempnew=1 and selfempold=1 and bjobnew ne . and bjobnew>sdwold then do; casek=1; go to aaa; end; * : 6;
	  *self-employed at previous wave 1 and current wave but claims to have started the curr wave business after prev wave. treat as if same business but flag it; 

      if sameempnew=. and selfempnew=0 and selfempold=0 and bjobnew ne . and tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; casel=1; go to aaa; end;
      * New: Not self-empl, indicator for whether same job missing, but start date reported at prev and curr waves are consistent with same job;

      if selfempnew ne selfempold and selfempold ne . and selfempnew ne . and sdwold ne . and bjobnew ne . and tenurewaveold ne . and abs(sdwold-bjobnew - tenurewaveold)<=12 then do; 
         casem=1; go to aaa;
	  end; * New: if respondent changes his mind about self-empl, but reports bjobnew consistent with start date of current job reported at prev wave, assume its the same job;

      if bjobnew>0 then last=.;  
	  * : claims prev wave job never ended (ejobnew=.) but reports a bjobnew and does not satisfy any of the above criteria: set last=. all months up to bjobnew will be missing. ;
   aaa: end;

   if anyworknew=0 then do; casef=1; jwavenew=0; exwavenew=exwaveold; end;
   * , do not set any months, but pass on the fact that j=0 at curr wave interview date (assume exwavenew=exwaveold), and re-set bjobnew values that should not be set;

   if last = sdwnew then do; * If hours of work have changed, arbitrarily assign the date of change to the midpoint between interview dates;
      newhours = hours; if newhours=. then newhours = oldhours;
   end;
end;

* fill in months up to end of old wave job (if there was an old wave job and it ended, otherwise last=.) or new wave interview date if still on old wave job;

if last>sdwold then do;
   caseg=1;
   do i = sdwold+1 to last;

      j = jwaveold; *: don't need lw; tenure = tenurewaveold + (i-sdwold); ex = exwaveold + (i-sdwold); se = sewaveold; laidoff=laidoffwaveold; if j>=3 then jl = j - 2; 

      if last=sdwnew and oldhours ne newhours and oldhours ne . and newhours ne . then do; * change in hours on same job; 
	     if newhours>0 then j = newhours + 2; if j>=3 then jl = j - 2;
      end;

      if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end; * these are used in the next program;

      If i=last then do; jllast1 = jl; exlast1 = ex; tenurelast1 = tenure; selast1 = se; end; * save these for later use in case there is a period of non-employment;
   end;
end;

if last>0 and last<sdwnew then do; * old wave job ended before the new wave interview, otherwise last=. or last=sdwnew;

   if bjobnew>0 and anyworknew=1 then start = bjobnew-1; * there is a new wave job, different from the old wave job;

   if bjobnew=. then start=sdwnew; * no new wave begin job date, so fill in non-empl up to sdwnew; 

   if start>=ejobnew+1 and ejobnew>0 then do; * there is a non-employment period of at least one month; 
      caseh=1;
      * Check fmonth variables for any months worked between ejobnew+1 and bjobnew-1 or sdwnew. These are "extra", for now we just record them, but do not change j, jl, exper, etc.;
      if fany=1 then do;
         do i = ejobnew+1 to start;
	        *extra = 0; * ;
            do over fmonths;
               If fmonths = i then do; 
                   if fhours>0 and fhours<35 then extra=1; if fhours>=35 and fhours<=95 then extra=2; if fhours<=0 or fhours>95 then do; extra=2; flagfhoursnew=1; end;
               end;
            End;
         End;
      End;

	  * assign non-employment months;
	  do i = ejobnew+1 to start;
	 	 if i=ejobnew+1 then do; jl = jllast1; If layoff=1 then laidoff=1; tenure = tenurelast1 + 1; se = selast1; end;
         if i>ejobnew+1 then jl=0; 
         j = 0; ex = exlast1; lw = i - (ejobnew+1);
		 if i=sdwnew then do; jwavenew = 0; exwavenew = ex; lwwavenew = lw; end;
         If i=last then do; jllast1 = jl; exlast1 = ex; end; * save these for later use in case there is a subsequent period of employment;
 	  end;
   end;

  * If there is a new wave job, then assign months for new wave job; 
   if bjobnew>0 then do;
      casei=1;
 	  do i = bjobnew to sdwnew;
	     if i = bjobnew then do; jl = jllast1; j=hours; if hours=. then do; j=2; flaghoursnew=1; end; end; 
		 * new: changed jl=0 to jl=jllast1, since jl is not = zero if there is no gap between end of last job and start of new job;
	 	 if i > bjobnew then do; jl=hours; j = hours + 2; if hours=. then do; j=4; jl=2; flaghoursnew=1; end; end; 
		 se = selfempnew; laidoff = 0; tenure = i - bjobnew; ex = exlast1 + i - bjobnew;
         if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end;
      end;
   end;
end;

if anyworkold=0 and anyworknew=0 and sdwold>0 and sdwnew>0 then do;
   casea=1;
   if fany=1 then do;
      do i = sdwold+1 to sdwnew;
         do over fmonths;
            If fmonths = i then do; 
                if fhours>0 and fhours<35 then extra=1; if fhours>=35 and fhours<=95 then extra=2; if fhours<=0 or fhours>95 then do; extra=2; flagfhoursnew=1; end;
            end;
         End;
      End;
   end;

	* assign non-employment months;
   do i = sdwold+1 to sdwnew;
  	  jl=0; j = 0; ex = exwaveold; lw = lwwaveold + i - (sdwold+1); * new: eliminated reference to jlwaveold;
	  if i=sdwnew then do; jwavenew = 0; exwavenew = ex; lwwavenew = lw; end;
   end;
end;

if anyworkold=0 and anyworknew=1 and sdwold>0 and sdwnew>0 and bjobnew=. then do; 
   caseo=1; if hours>0 then jwavenew=hours+2; if hours=. then jwavenew=4;
end;

if anyworkold=0 and anyworknew=1 and sdwold>0 and sdwnew>0 and bjobnew>0 then do;
   cased=1;
   if fany=1 then do;
      do i = sdwold+1 to bjobnew;
         do over fmonths;
            If fmonths = i then do; 
               if fhours>0 and fhours<35 then extra=1; if fhours>=35 and fhours<=95 then extra=2; if fhours<=0 or fhours>95 then do; extra=2; flagfhoursnew=1; end;
            end;
         End;
      End;
   end;

	* assign non-employment months;

   start = bjobnew-1; if start< sdwold+1 then start=sdwold+1; * new: changed from start = bjobnew;
   do i = sdwold+1 to start;
  	  jl=0; j = 0; ex = exwaveold; lw = lwwaveold + i - (sdwold+1); 
   end;

   * assign employment months;

   do i = bjobnew to sdwnew; 
      if i = bjobnew then do; jl = 0; j=hours; if hours=. then do; j=2; flaghoursnew=1; end; end;
 	  if i > bjobnew then do; jl=hours; if hours=. then do; jl=2; flaghoursnew=1; end; j = jl + 2; end; 
	  se = selfempnew; laidoff = 0; tenure = i - bjobnew; ex = exwaveold + i - bjobnew; 
      if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end;
   end;

end;

* new section to deal with cases in which ejobnew is missing and the job actually appears to have ended, and there is a new job. The months from sdwold to bjobnew will be missing,
since we do not know when the wave 1 job ended, but we will be able to fill in data for the months in which the new job was held. work experience will be incorrect, so flag it;

if anyworkold=1 and anyworknew=1 and ejobnew=. and last=. and sdwnew>0 and bjobnew>0 then do;
   casen=1;
   do i = bjobnew to sdwnew;
      if i=bjobnew then do; tenure=0; jl=0; j=hours; if hours=. then do; j=2; flaghoursnew=1; end; end; 
      if i>bjobnew then do; tenure=i - bjobnew; jl=hours; if hours=. then do; jl=2; flaghoursnew=1; end; j = jl + 2; end;
	  ex = exwaveold + i - bjobnew; flagexnew=1; * : ex=exwaveold was wrong. also, flag ex and do not set lw; se = selfempnew; laidoff=0;
      if i=sdwnew then do; jwavenew = j; laidoffwavenew = laidoff; sewavenew = se; tenurewavenew = tenure; exwavenew = ex; end; 
   end;
end;      

* new section to change information passed to next wave if job ended in curr wave interview month;

if ejobnew=sdwnew and sdwnew>0 then do;
   if bjobnew=. or bjobnew<=sdwold then jwavenew=0;
   if bjobnew=ejobnew then do; if hours>0 then jwavenew=hours; if hours<0 then do; jwavenew=2; flaghoursnew=1; end; end;
end;


bjob8 = bjobnew;
oldbjob8 = oldbjobnew;
flagbjob8 = flagbjobnew;

ejob8 = ejobnew;
oldejob8 = oldejobnew;
flagejob8 = flagejobnew;

tenurewave8 = tenurewavenew;
exwave8 = exwavenew;
lwwave8 = lwwavenew;
jwave8 = jwavenew;
laidoffwave8 = laidoffwavenew;
sewave8 = sewavenew;

flaghours8 = flaghoursnew;
flagfhours8 = flagfhoursnew;
flagex8 = flagexnew;

if sdw8=. or sdw7=. or sdw6=. or sdw4=. or sdw3=. or sdw2=. then case=0;
if sdw8>0 and sdw7>0 and sdw6=>0 and sdw4>0 and sdw4>0 and sdw3>0 and sdw2>0 then case=1;
if sdw8>0 and sdw7>0 and sdw5>0 and sdw4>0 and sdw3>0 and sdw2>0 and casea=. and casec=. and cased=. and casee=. and casef=. and caseg=. and caseh=. and casei=. and casej=. and casek=. and casel=. and casem=. 
and casen=. and caseo=. then case=2;

bbb: s=1;

keep caseid hhid pn f25_1 jl4-jl182 lw4-lw182 laidoff4-laidoff182 tenure4-tenure182 se4-se182 j4-j182 ex4-ex182 extra4-extra182
bjob2-bjob8 ejob2-ejob8 sameemp8 miss2-miss7
sdw1-sdw8 anywork7 selfemp7 hrswkcs8 yrbgcj8 mobgcj8 anywork8 selfemp8  
bjobmon8 ejobmon8 birthmonth birthyear dob 
jwave8 sewave8 laidoffwave8 tenurewave8 exwave8 lwwave8 jwave7 sewave7 tenurewave7 exwave7 lwwave7
last start jllast1 hours 
flaglongjob flagothjob flaglj flagtena flagexa flagtenb flagexb 
flagejob2-flagejob8 oldejob2-oldejob8 flagbjob2-flagbjob8 oldbjob2-oldbjob8 flaghours1-flaghours8 flagfhours2-flagfhours8 flagex2-flagex8 bjobmon2-bjobmon8 ejobmon2-ejobmon8
case case casea casec cased casee casef caseg caseh casei casej casek casel casem casen caseo
hrswkcs8 yrbgcj8;


proc means; 

proc freq; tables j130-j182 
jl149*j149 jl150*j150 jl151*j151 jl152*j152 jl153*j153 jl154*j154 jl155*j155 jl156*j156 jl157*j157 jl158*j158 
jl159*j159 jl160*j160 jl161*j161 jl162*j162 jl163*j163 jl164*j164 jl165*j165 jl166*j166 jl167*j167 jl168*j168 jl169*j169 
 jl170*j170 jl171*j171 jl172*j172 jl173*j173 jl174*j174 jl175*j175 jl176*j176 jl177*j177
jl178*j178 jl179*j179 jl180*j180 jl181*j181 jl182*j182 ;


proc freq data=threef; tables case flagbjob8 flagejob8 miss7;

data new; set threef; if normal(0)>2.25;

proc print; var hhid pn f25_1 anywork7 anywork8 sameemp8 selfemp8 selfemp7 jwave7 sewave7 tenurewave7 exwave7 lwwave7 oldbjob8 bjob8 flagbjob8 
ejob8 oldejob8 flagejob8 miss7 sdw7 sdw8 last start jllast1 hours flaghours8 j90-j182 jwave8 sewave8 tenurewave8 exwave8 lwwave8 
case casea casec cased casee casef caseg caseh casei casej casek casel casem casen caseo;

data in.empl8_months; set threef;
keep f25_1 caseid hhid pn birthmonth birthyear dob jwave7
flaglongjob flagothjob flaglj flagtena flagexa flagtenb flagexb 
sdw1-sdw8 miss2-miss7
jl4-jl182 lw4-lw182 laidoff4-laidoff182 tenure4-tenure182 se4-se182 j4-j182 ex4-ex182 extra4-extra182
hrswkcs8 yrbgcj8
bjob2-bjob8 ejob2-ejob8 anywork8 selfemp8 
jwave8 sewave8 laidoffwave8 tenurewave8 exwave8 lwwave8 
flagejob2-flagejob8 oldejob2-oldejob8 flagbjob2-flagbjob8 oldbjob2-oldbjob8 flaghours1-flaghours8 
flagfhours2-flagfhours8 flagex2-flagex8 bjobmon2-bjobmon8 ejobmon2-ejobmon8
;
run;

