options pagesize=80 linesize=140 nocenter;
libname in "C:\Documents and Settings\David Blau\My Documents\Saving_and_Retirement\sipp\data";

* 
	1992	M13	140.3;

proc format cntlin=in.fsp01t7;

data one; set in.tm2001w3;
*	2001	09	178.3
	2001	10	177.7
	2001	11	177.4
	2001	12	176.7;

array dork husmed wifemed kidmed othmed totfammed networth;
if srotaton=1 then cpi = 178.3;
if srotaton=2 then cpi = 177.7;
if srotaton=3 then cpi = 177.4;
if srotaton=4 then cpi = 176.7;
cpi = cpi/140.3;

do over dork; dork=dork/cpi; end;

keep birthyear ssuid hhsize3 huseduc3 wifeeduc3 husrace3 wiferace3 husage3 wifeage3 numadults3 numkids3 numkids053 numkids6113 numkids12173 numkids18243 numothrelkid3
numothreladult3 numothnonrelkid3 numothnonreladult3 hushispanic3 wifehispanic3 married3 numkids18243 husmed3 wifemed3 kidmed3 othmed3 totfammed3 networth3 WPFINWGT3 premium3;

array old hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth WPFINWGT premium;

array new hhsize3 huseduc3 wifeeduc3 husrace3 wiferace3 husage3 wifeage3 numadults3 numkids3 numkids053 numkids6113 numkids12173 numkids18243 numothrelkid3
numothreladult3 numothnonrelkid3 numothnonreladult3 hushispanic3 wifehispanic3 married3 numkids18243 husmed3 wifemed3 kidmed3 othmed3 totfammed3 networth3 WPFINWGT3 premium3;

do over new; new=old; end;

birthyear = 2001 - husage;

proc sort; by ssuid;

data two; set in.tm2001w6;
*	2002	09	181.0
	2002	10	181.3
	2002	11	181.3
	2002	12	180.9;

array dork husmed wifemed kidmed othmed totfammed networth;
if srotaton=1 then cpi = 181.0;
if srotaton=2 then cpi = 181.3;
if srotaton=3 then cpi = 181.3;
if srotaton=4 then cpi = 180.9;
cpi = cpi/140.3;

do over dork; dork=dork/cpi; end;

keep birthyear ssuid hhsize6 huseduc6 wifeeduc6 husrace6 wiferace6 husage6 wifeage6 numadults6 numkids6 numkids056 numkids6116 numkids12176 numkids18246 numothrelkid6
numothreladult6 numothnonrelkid6 numothnonreladult6 hushispanic6 wifehispanic6 married6 numkids18246 husmed6 wifemed6 kidmed6 othmed6 totfammed6 networth6 WPFINWGT6 premium6;

array old hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth WPFINWGT premium;

array new hhsize6 huseduc6 wifeeduc6 husrace6 wiferace6 husage6 wifeage6 numadults6 numkids6 numkids056 numkids6116 numkids12176 numkids18246 numothrelkid6
numothreladult6 numothnonrelkid6 numothnonreladult6 hushispanic6 wifehispanic6 married6 numkids18246 husmed6 wifemed6 kidmed6 othmed6 totfammed6 networth6 WPFINWGT6 premium6;

do over new; new=old; end;

birthyear = 2002 - husage;

proc sort; by ssuid;

data nine; set in.tm2001w9;
*	2003	09	185.2
	2003	10	185.0
	2003	11	184.5
	2003	12	184.3;

array dork husmed wifemed kidmed othmed totfammed networth;
if srotaton=1 then cpi = 185.2;
if srotaton=2 then cpi = 185.0;
if srotaton=3 then cpi = 184.5;
if srotaton=4 then cpi = 184.3;
cpi = cpi/140.3;

do over dork; dork=dork/cpi; end;

keep birthyear ssuid hhsize9 huseduc9 wifeeduc9 husrace9 wiferace9 husage9 wifeage9 numadults9 numkids9 numkids059 numkids6119 numkids12179 numkids18249 numothrelkid9
numothreladult9 numothnonrelkid9 numothnonreladult9 hushispanic9 wifehispanic9 married9 numkids18249 husmed9 wifemed9 kidmed9 othmed9 totfammed9 networth9 WPFINWGT9 premium9;

array old hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth WPFINWGT premium;

array new hhsize9 huseduc9 wifeeduc9 husrace9 wiferace9 husage9 wifeage9 numadults9 numkids9 numkids059 numkids6119 numkids12179 numkids18249 numothrelkid9
numothreladult9 numothnonrelkid9 numothnonreladult9 hushispanic9 wifehispanic9 married9 numkids18249 husmed9 wifemed9 kidmed9 othmed9 totfammed9 networth9 WPFINWGT9 premium9;

do over new; new=old; end;

birthyear = 2003 - husage;

proc sort; by ssuid;

data seven; set in.tm2001w7;

keep ssuid huseduc7 wifeeduc7 husrace7 wiferace7 husage7 wifeage7 hushispanic7 wifehispanic7 married7 WPFINWGT7 covered typepen durinplan typepen2 durinplan2;

array old huseduc wifeeduc husrace wiferace husage wifeage hushispanic wifehispanic married WPFINWGT;

array new huseduc7 wifeeduc7 husrace7 wiferace7 husage7 wifeage7 hushispanic7 wifehispanic7 married7 WPFINWGT7;

do over new; new=old; end;

proc means data=seven;
run;

proc sort; by ssuid;

data three; merge one two seven nine; by ssuid;

array nine hhsize9 huseduc9 wifeeduc9 husrace9 wiferace9 husage9 wifeage9 numadults9 numkids9 numkids059 numkids6119 numkids12179 numkids18249 numothrelkid9
numothreladult9 numothnonrelkid9 numothnonreladult9 hushispanic9 wifehispanic9 married9 numkids18249 husmed9 wifemed9 kidmed9 othmed9 totfammed9 networth9 WPFINWGT9 premium9;

array six hhsize6 huseduc6 wifeeduc6 husrace6 wiferace6 husage6 wifeage6 numadults6 numkids6 numkids056 numkids6116 numkids12176 numkids18246 numothrelkid6
numothreladult6 numothnonrelkid6 numothnonreladult6 hushispanic6 wifehispanic6 married6 numkids18246 husmed6 wifemed6 kidmed6 othmed6 totfammed6 networth6 WPFINWGT6 premium6;

array three hhsize3 huseduc3 wifeeduc3 husrace3 wiferace3 husage3 wifeage3 numadults3 numkids3 numkids053 numkids6113 numkids12173 numkids18243 numothrelkid3
numothreladult3 numothnonrelkid3 numothnonreladult3 hushispanic3 wifehispanic3 married3 numkids18243 husmed3 wifemed3 kidmed3 othmed3 totfammed3 networth3 WPFINWGT3 premium3;

array diff_a hhsize_a huseduc_a wifeeduc_a husrace_a wiferace_a husage_a wifeage_a numadults_a numkids_a numkids05_a numkids611_a numkids1217_a numkids1824_a numothrelkid_a 
numothreladult_a numothnonrelkid_a numothnonreladult_a hushispanic_a wifehispanic_a married_a numkids1824_a husmed_a wifemed_a kidmed_a othmed_a totfammed_a networth_a WPFINWGT_a  premium_a;

array diff_b hhsize_b huseduc_b wifeeduc_b husrace_b wiferace_b husage_b wifeage_b numadults_b numkids_b numkids05_b numkids611_b numkids1217_b numkids1824_b numothrelkid_b 
numothreladult_b numothnonrelkid_b numothnonreladult_b hushispanic_b wifehispanic_b married_b numkids1824_b husmed_b wifemed_b kidmed_b othmed_b totfammed_b networth_b WPFINWGT_b  premium_b;

do over diff_a; diff_a = six - three; end;

do over diff_b; diff_b = nine - six; end;

array sixnew huseduc6 wifeeduc6 husrace6 wiferace6 husage6 wifeage6 hushispanic6 wifehispanic6 married6 WPFINWGT6;
array ninenew huseduc9 wifeeduc9 husrace9 wiferace9 husage9 wifeage9 hushispanic9 wifehispanic9 married9 WPFINWGT9;
array seven  huseduc7 wifeeduc7 husrace7 wiferace7 husage7 wifeage7 hushispanic7 wifehispanic7 married7 WPFINWGT7;
array diffnew huseducn wifeeducn husracen wiferacen husagen wifeagen hushispanicn wifehispanicn marriedn WPFINWGTn;
array diffnewa huseducm wifeeducm husracem wiferacem husagem wifeagem hushispanicm wifehispanicm marriedm WPFINWGTm ;

do over diffnew; diffnew = seven - sixnew; end;
do over diffnewa; diffnewa = ninenew - seven; end;

data chewey; set three; if _n_<100;
proc print; var ssuid 
huseduc9 wifeeduc9 husrace9 wiferace9 husage9 wifeage9 hushispanic9 wifehispanic9 married9 
huseduc6 wifeeduc6 husrace6 wiferace6 husage6 wifeage6 hushispanic6 wifehispanic6 married6 
huseduc3 wifeeduc3 husrace3 wiferace3 husage3 wifeage3 hushispanic3 wifehispanic3 married3 
huseduc7 wifeeduc7 husrace7 wiferace7 husage7 wifeage7 hushispanic7 wifehispanic7 married7 ;
run;

proc means; 

data four; set three; 
if (huseduc_a=0 and wifeeduc_a=0 and husrace_a=0 and wiferace_a=0 and (husage_a>=0 or husage_a=1) and (wifeage_a=0 or wifeage_a=1) and hushispanic_a=0 and wifehispanic_a=0
and married_a=0 and huseducn=0 and wifeeducn=0 and husracen=0 and wiferacen=0 and (husagen>=-1 and husagen<=1) and (wifeagen>=-1 and wifeagen<=1) and hushispanicn=0 and wifehispanicn=0
and married3=1 and marriedn=0) then buga=1;

if (huseduc_b=0 and wifeeduc_b=0 and husrace_b=0 and wiferace_b=0 and (husage_b=0 or husage_b=1) and (wifeage_b=0 or wifeage_b=1) and hushispanic_b=0 and wifehispanic_b=0
and married_b=0 and huseducm=0 and wifeeducm=0 and husracem=0 and wiferacem=0 and (husagem>=-1 and husagem<=2) and (wifeagem>=-1 and wifeagem<=2) and hushispanicm=0 and wifehispanicm=0
and married6=1 and marriedm=0) then bugb=1;

if buga or bugb;

proc means;

proc univariate; var networth_a networth_b;
run;

data woop; set four; if _n_<100;
*proc print; *var ssuid huseduc3 wifeeduc3 husrace3 wiferace3 husage3 wifeage3 numadults3 numkids3 husmed3 wifemed3 husmed6 wifemed6 networth3 networth6;

data five; set four;
if buga=1 then do;
   assets = networth3; age=husage3; husmed=husmed3; wifemed=wifemed3; totfammed=totfammed3; huseduc=huseduc3; husrace=husrace3; hushisp=hushispanic3; premium=premium3; output;
   assets = networth6; age=husage3 + 1; husmed=husmed6; wifemed=wifemed6; totfammed=totfammed6; huseduc=huseduc6; husrace=husrace6; hushisp=hushispanic6; premium = premium6; output;
end;
if bugb=1 then do;
   if buga ne 1 then do; assets = networth6; age=husage6; husmed=husmed6; wifemed=wifemed6; totfammed=totfammed6; huseduc=huseduc6; husrace=husrace6; hushisp=hushispanic6; premium = premium6; output; end;
   assets = networth9; age=husage6 + 1; husmed=husmed9; wifemed=wifemed9; totfammed=totfammed9; huseduc=huseduc9; husrace=husrace9; hushisp=hushispanic9;  premium = premium9; output;
end;
keep assets age covered typepen husmed wifemed totfammed ssuid huseduc husrace hushisp birthyear ssuid premium;

data in.assmed_01; set five;

run;
