options pagesize=80 linesize=140 nocenter;
libname in "C:\Documents and Settings\David Blau\My Documents\Saving_and_Retirement\sipp\data";

data one; set in.tm2004w3;

keep ssuid hhsize3 huseduc3 wifeeduc3 husrace3 wiferace3 husage3 wifeage3 numadults3 numkids3 numkids053 numkids6113 numkids12173 numkids18243 numothrelkid3
numothreladult3 numothnonrelkid3 numothnonreladult3 hushispanic3 wifehispanic3 married3 numkids18243 husmed3 wifemed3 kidmed3 othmed3 totfammed3 networth3 WPFINWGT3;

array old hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth WPFINWGT;

array new hhsize3 huseduc3 wifeeduc3 husrace3 wiferace3 husage3 wifeage3 numadults3 numkids3 numkids053 numkids6113 numkids12173 numkids18243 numothrelkid3
numothreladult3 numothnonrelkid3 numothnonreladult3 hushispanic3 wifehispanic3 married3 numkids18243 husmed3 wifemed3 kidmed3 othmed3 totfammed3 networth3 WPFINWGT3;

do over new; new=old; end;

proc sort; by ssuid;

data two; set in.tm2004w6;

keep ssuid hhsize6 huseduc6 wifeeduc6 husrace6 wiferace6 husage6 wifeage6 numadults6 numkids6 numkids056 numkids6116 numkids12176 numkids18246 numothrelkid6
numothreladult6 numothnonrelkid6 numothnonreladult6 hushispanic6 wifehispanic6 married6 numkids18246 husmed6 wifemed6 kidmed6 othmed6 totfammed6 networth6 WPFINWGT6;

array old hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth WPFINWGT;

array new hhsize6 huseduc6 wifeeduc6 husrace6 wiferace6 husage6 wifeage6 numadults6 numkids6 numkids056 numkids6116 numkids12176 numkids18246 numothrelkid6
numothreladult6 numothnonrelkid6 numothnonreladult6 hushispanic6 wifehispanic6 married6 numkids18246 husmed6 wifemed6 kidmed6 othmed6 totfammed6 networth6 WPFINWGT6;

do over new; new=old; end;

proc sort; by ssuid;

data three; merge one two; by ssuid;

array six hhsize6 huseduc6 wifeeduc6 husrace6 wiferace6 husage6 wifeage6 numadults6 numkids6 numkids056 numkids6116 numkids12176 numkids18246 numothrelkid6
numothreladult6 numothnonrelkid6 numothnonreladult6 hushispanic6 wifehispanic6 married6 numkids18246 husmed6 wifemed6 kidmed6 othmed6 totfammed6 networth6 WPFINWGT6;

array three hhsize3 huseduc3 wifeeduc3 husrace3 wiferace3 husage3 wifeage3 numadults3 numkids3 numkids053 numkids6113 numkids12173 numkids18243 numothrelkid3
numothreladult3 numothnonrelkid3 numothnonreladult3 hushispanic3 wifehispanic3 married3 numkids18243 husmed3 wifemed3 kidmed3 othmed3 totfammed3 networth3 WPFINWGT3;

array diff hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth WPFINWGT;

do over diff; diff = six - three; end;

proc means; var hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth WPFINWGT;

proc freq; tables huseduc wifeeduc husrace wiferace husage wifeage hushispanic wifehispanic married;

proc univariate; var networth;

data four; set three; if huseduc=0 and wifeeduc=0 and husrace=0 and wiferace=0 and (husage=0 or husage=1) and (wifeage=0 or wifeage=1) and hushispanic=0 and wifehispanic=0
and married=0 and married3=1;

if networth ne . then oddwealth=0;
if networth ne . and (networth<-200000 or networth>200000) then oddwealth=1;

if totfammed ne . then oddmed=0;
if totfammed ne . and (totfammed<-10000 or totfammed>10000) then oddwealth=1;

data five; set four;
if huseduc3=39 and husrace3=1 and hushispanic3=0;
assets = networth3; age=husage3; output;
assets = networth6; age=husage3 + 1; output;
keep assets age;

data six; set five;
file "C:\Documents and Settings\David Blau\My Documents\Saving_and_Retirement\sipp\test.raw";
put age assets;

run;

proc means; var oddmed oddwealth hhsize3 huseduc3 wifeeduc3 husrace3 wiferace3 husage3 wifeage3 numadults3 numkids3 numkids053 numkids6113 numkids12173 numkids18243 numothrelkid3
numothreladult3 numothnonrelkid3 numothnonreladult3 hushispanic3 wifehispanic3 numkids18243 husmed3 wifemed3 kidmed3 othmed3 totfammed3 networth3
husmed6 wifemed6 kidmed6 othmed6 totfammed6 networth6  husmed wifemed kidmed othmed totfammed networth;

proc univariate; var networth;

data woop; set four; if _n_<100;
proc print; var ssuid huseduc3 wifeeduc3 husrace3 wiferace3 husage3 wifeage3 numadults3 numkids3 husmed3 wifemed3 husmed6 wifemed6 networth3 networth6;


data 
run;
