options pagesize=80 linesize=140 nocenter;
libname in "C:\Documents and Settings\David Blau\My Documents\Saving_and_Retirement\sipp\data";

FILENAME datafile "C:\Documents and Settings\David Blau\My Documents\Saving_and_Retirement\sipp\data\sipp01t9.dat ";

DATA s01tm9;

INFILE datafile LRECL = 20000 ;

attrib  ssuseq       length=4     label="SU: Sequence Number of Sample Unit - Primary";
attrib  ssuid        length=$12   label="SU: Sample Unit Identifier";           
attrib  spanel       length=4     label="SU: Sample Code - Indicates Panel Year";
attrib  swave        length=3     label="SU: Wave of data collection";          
attrib  srotaton     length=3     label="SU: Rotation of data collection";      
attrib  tfipsst      length=3     label="SU: FIPS State Code for fifth month";  
attrib  shhadid      length=3     label="SU: Hhld Address ID in fourth reference";
attrib  sinthhid     length=3     label="SU: Hhld Address ID of person in interview";
attrib  eoutcome     length=3     label="HH: Interview Status code for fifth month";
attrib  eentaid      length=$3    label="PE: Address ID of hhld where person entered";
attrib  epppnum      length=$4    label="PE: Person number";                    
attrib  epopstat     length=3     label="PE: Population status based on age in fourth";
attrib  eppintvw     length=3     label="PE: Person's interview status at time of";
attrib  eppmis4      length=3     label="PE: Person's 4th month interview status";
attrib  esex         length=3     label="PE: Sex of this person";               
attrib  erace        length=3     label="PE: Race of this person";              
attrib  eorigin      length=3     label="PE: Origin of this person";            
attrib  wpfinwgt     length=8     label="WW: Person weight";                    
attrib  errp         length=3     label="PE: Household relationship";           
attrib  tage         length=3     label="PE: Age as of last birthday";          
attrib  ems          length=3     label="PE: Marital status";                   

attrib  thipay       length=4     label="ME: Amount paid for health insurance in past";
attrib  ahipay       length=3     label="ME: Allocation flag for THIPAY";       
attrib  tmdpay       length=4     label="ME: Cost of respondent medical care in past";
attrib  amdpay       length=3     label="ME: Allocation flag for TMDPAY";       
attrib  ereimb       length=3     label="ME: Was HH reimbursed for health ins and";
attrib  areimb       length=3     label="ME: Allocation flag for EREIMB";       
attrib  treimbur     length=4     label="ME: Edited variable for reimbursed medical";
attrib  areimbur     length=3     label="ME: Allocation flag for TREIMBUR";     
attrib  eeducate     length=3     label="ED: Highest Degree received or grade"; 

attrib  thhtnw       length=6     label="RE: Total Net Worth Recode";           
attrib  ealunv       length=3     label="AL: Universe Indicator for Assets and";
attrib  emdunv       length=3     label="ME: Universe Indicator for Medical Expenses";
 

INPUT

@1    ssuseq       5. 
@6    ssuid      $12. 
@18   spanel       4. 
@22   swave        2. 
@24   srotaton     1. 
@25   tfipsst      2. 
@27   shhadid      3. 
@30   sinthhid     3. 
@33   eoutcome     3. 
@45   eentaid     $3. 
@48   epppnum     $4. 
@52   epopstat     1. 
@53   eppintvw     2. 
@55   eppmis4      1. 
@56   esex         1. 
@57   erace        1. 
@58   eorigin      2. 
@60   wpfinwgt   10.4 
@70   errp         2. 
@72   tage         2. 
@74   ems          1. 
@93   eeducate     2. 
@103  emdunv       2. 

@271  thipay       4. 
@275  ahipay       1. 
@276  epresdrg     2. 
@278  apresdrg     1. 
@279  edalydrg     2. 
@281  adalydrg     1. 
@282  eflshyn      2. 
@284  evisdent     3. 
@287  avisdent     1. 
@288  edenseal     2. 
@290  adenseal     1. 
@291  elostth      2. 
@293  alostth      1. 
@294  eallth       2. 
@296  aallth       1. 
@297  evisdoc      3. 
@300  avisdoc      1. 
@301  emdspnd      2. 
@303  amdspnd      1. 
@304  emdspnds     2. 
@306  amdspnds     1. 
@307  edaysick     3. 
@310  adaysick     1. 
@311  tmdpay       5. 
@316  amdpay       1. 
@317  ereimb       2. 
@319  areimb       1. 
@320  treimbur     5. 
@325  areimbur     1. 
@1066 thhtnw      10. 
@788  ealunv       2. 

;
*@1362 thhtnw      10.  waves 3 and 6; 
*@1066 thhtnw      10. wave 9;

data check; set s01tm9;
if ealunv=-1 then thhtnw=.;
if eeducate=-1 then eeducate=.;
if ereimb=-1 then ereimb=.;

keep thhtnw ealunv emdunv tmdpay treimbur ereimb areimb areimbur thipay
spanel swave srotaton ssuid  swave shhadid eoutcome eentaid epppnum epopstat eppintvw eppmis4 esex erace eorigin wpfinwgt errp tage ems eeducate;
run;

proc means; 
proc freq; tables ealunv emdunv eoutcome epopstat eppintvw esex erace eorigin errp tage ems eeducate; 
proc univariate; var thhtnw tmdpay; 
run;

proc sort data = check; by ssuid eentaid epppnum;

data in.tm2001w9; set check; by ssuid eentaid epppnum;
if first.ssuid then do;
   hhsize=0; huseduc=.; wifeeduc=.; husrace=.; wiferace=.; husage=.; wifeage=.; numadults=0; numkids=0; numkids05=0; numkids611=0; numkids1217=0; 
   numkids1824=0; numothrelkid=0; numothreladult=0; numothnonrelkid=0; numothnonreladult=0; hushispanic=.; wifehispanic=.; married=0; numkids1824=0;
   husmed=.; wifemed=.; kidmed=0; othmed=0; totfammed=0; networth=.; premium=.;
end;

keep ssuid spanel swave srotaton hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth WPFINWGT premium;

retain hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth premium;

hhsize = hhsize + 1;
if errp=1 or errp=2 or errp=3 then do; 
   if errp=1 or errp=2 then networth = thhtnw;
   if ems=1 then married=1;
   numadults = numadults + 1;
   if esex=1 then do; 
      huseduc=eeducate; husrace=erace; husage=tage; hushispanic= 0; if eorigin>=20 and eorigin<=28 then hushispanic=1; husmed = tmdpay; premium =thipay; totfammed = totfammed + tmdpay; 
   end;
   if esex=2 then do; 
      wifeeduc=eeducate; wiferace=erace; wifeage=tage; wifehispanic= 0; if eorigin>=20 and eorigin<=28 then wifehispanic=1; wifemed = tmdpay; 
      if premium=. or thipay>premium then premium=thipay; totfammed = totfammed + tmdpay;  
   end;
end;
if errp=4 then do;
   kidmed = kidmed + tmdpay; totfammed = totfammed + tmdpay; 
   numkids = numkids + 1;
   if tage<=5 then numkids05 = numkids05 + 1;
   if tage>=6 and tage<=11 then numkids611 = numkids611 + 1;
   if tage>=12 and tage<=17 then numkids1217 = numkids1217 + 1;
   if tage>=18 and tage<=24 then numkids1824 = numkids1824 + 1;
end;
if errp>=5 and errp<=8 then do; 
   if tage<18 then numothrelkid=numothrelkid+1; if tage>=18 then numothreladult = numothreladult + 1; othmed = othmed + tmdpay;  
end;
if errp>=9 then do; 
   if tage<18 then numothnonrelkid=numothnonrelkid+1; if tage>=18 then numothnonreladult = numothnonreladult + 1;othmed = othmed + tmdpay; 
end; 

if last.ssuid then output;

proc means; 
proc freq; tables hhsize huseduc wifeeduc husrace wiferace husrace*wiferace numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic*wifehispanic numkids1824; 
proc univariate; var networth husmed wifemed kidmed othmed totfammed; 
run;
