options pagesize=80 linesize=140 nocenter;
libname in "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data";
run;

FILENAME datafile "c:\users\econuser\documents\Saving_and_Retirement\sipp\data\l04puw1.dat ";

DATA s04;

INFILE datafile LRECL = 20000 ;

INPUT

@6    ssuid      12.
@22   swave        2.
@25   srefmon      1.
@26   rhcalmn      2.
@28   rhcalyr      4.
@46   eoutcome     3.
@807  ejobcntr     2.
@843  ehrsall      2.
@859  rmesr        2.
@879  rmhrswk      2.
@885  estlemp1     2.
@888  tsjdate1     8.
@897  tejdate1     8.
@909  ejbhrs1      2.
@906  ersend1      2.
@934  tpmsum1      5.
@940  epayhr1      2.
@943  tpyrate1    4.2
@962  estlemp2     2.
@965  tsjdate2     8.
@974  tejdate2     8.
@983  ersend2      2.
@986  ejbhrs2      2.
@1011 tpmsum2      5.
@1017 epayhr2      2.
@1020 tpyrate2    4.2
@1025 rpyper2      2.
@579  tage         2.
@582  errp         2.
@585  ems          1.
@786  eeducate     2.
@518  esex         1.
@520  erace        1.
@522  eorigin      2.
@798  epdjbthn     2.
@500  eentaid     3.
@503  epppnum     4.
@281  tfearn       7.
@288  tfprpinc     8.
@296  tftrninc     7.
@303  tfothinc     7.
@310  tftotinc     8.
@338  tfsocsec     6.
@619  tpearn       7.
@513  tbyear       4.
@137  thearn       7.
@144  thprpinc     8.
@152  thtrninc     7.
@159  thothinc     7.
@166  thtotinc     8.
@254  efspouse     4.
;

if tage>=16 and tage<=75;

proc sort data=s04; by ssuid srefmon epppnum eentaid;

data core; set s04; by ssuid srefmon;

keep hustpmsum1 hustpmsum2 srefmon rhcalmn rhcalyr ssuid swave epppnum eentaid huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2
husersend2 husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeeduc wiferace wifeage wifehispanic wifeearn hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
tbyear famearn capinc welfareinc otherinc totinc socsec husearn nummonth hhearn hhcapinc hhtotinc;

retain hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeearn wifeeduc wiferace wifeage wifehispanic hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
famearn capinc welfareinc otherinc totinc socsec husearn nummonth hhearn hhcapinc hhtotinc;

if first.srefmon then do;
   huseoutcome=.; husehrsall=.; husrmhrswk=.; husESTLEMP1=.; husersend1=.; husejbhrs1=.; husepayhr1=.; hustpyrate1=.;
   husESTLEMP2=.; husersend2=.; husejbhrs2=.; husepayhr2=.; hustpyrate2=.; husejobcntr=.; huseduc=.; husrace=.; husage=.; wifeearn=0; hustsjdate1=.; hustsjdate2=.;
   hustejdate1=.; hustpmsum1=.; hustpmsum2=.;  hustejdate2=.; husearn=0; famearn=0; capinc=0; welfareinc=0; otherinc=0; totinc=0; socsec=0; nummonth=0; hushispanic=.; wifeeduc=.; wiferace=.; wifeage=.; wifehispanic=.;
   hhearn=0; hhcapinc=0; hhtotinc=0; hushispanic=.; wifeeduc=.; wiferace=.; wifeage=.; wifehispanic=.;
end;

array stuff tpmsum1 tpmsum2 eoutcome ehrsall rmhrswk ESTLEMP1 ersend1 ejbhrs1 epayhr1 tpyrate1 ESTLEMP2 ersend2 ejbhrs2 epayhr2 tpyrate2 ejobcntr eeducate erace tage
tsjdate1 tsjdate2 tejdate1 tejdate2 ;

array husstuff hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hustsjdate1 hustsjdate2 hustejdate1 hustejdate2;

array joe ejobcntr edisabl eawop elayoff ehrsall eeno1 eeno2 ESTLEMP1 tsjdate1 tejdate1 ersend1 EPAYHR1 RPYPER1 ESTLEMP2 tsjdate2 tejdate2 ersend2  EPAYHR2 RPYPER2
eeducate erace tage eorigin ejbhrs1 ejbhrs2 tsjdate1 tsjdate2 tejdate1 tejdate2;

do over joe; if joe=-1 or joe=-8 then joe=.; end;

array jolly tfearn tfprpinc tftrninc tfothinc tftotinc tfsocsec thearn thprpinc thtotinc;
array holly famearn capinc welfareinc otherinc totinc socsec hhearn hhcapinc hhtotinc;

if (errp=1 or errp=3) and ems=1 and esex=1 and tage>=25 and tage<=65 and eorigin>=0 and eeducate>=0 and erace>=0 then do;
   do over husstuff; husstuff=stuff; end; hushispanic= 0; if eorigin=1 then hushispanic=1; if tpearn>=0 then husearn = husearn + tpearn;
   do over holly; if jolly>=0 then holly = holly + jolly; end; nummonth = nummonth + 1;
end;

if (errp=1 or errp=3) and ems=1 and esex=2 and epppnum=efspouse then do; wifeeduc = eeducate; wiferace = erace; wifeage = tage; if eorigin ge 0 then do; wifehispanic = 0; if eorigin=1 then wifehispanic=1; end; if tpearn>=0 then wifeearn = wifeearn + tpearn; end;

if last.srefmon and hushispanic>=0 and huseduc>=0 and husrace>=0 and husage>=25 & husage<=65 and wifeage ne . and wifeeduc ne . then output;

data in.core04w1_feb2015; set core;

proc means;
*proc freq ; *tables srefmon nummonth; *eoutcome ejobcntr ejbhrs1 ejbhrs2 ehrsall RMHRSWK ESTLEMP1 ersend1;

run;



FILENAME datafile "c:\users\econuser\documents\Saving_and_Retirement\sipp\data\l04puw2.dat ";

DATA s04;

INFILE datafile LRECL = 20000 ;

INPUT

@6    ssuid      12.
@22   swave        2.
@25   srefmon      1.
@26   rhcalmn      2.
@28   rhcalyr      4.
@46   eoutcome     3.
@807  ejobcntr     2.
@843  ehrsall      2.
@859  rmesr        2.
@879  rmhrswk      2.
@885  estlemp1     2.
@888  tsjdate1     8.
@897  tejdate1     8.
@909  ejbhrs1      2.
@906  ersend1      2.
@934  tpmsum1      5.
@940  epayhr1      2.
@943  tpyrate1    4.2
@962  estlemp2     2.
@965  tsjdate2     8.
@974  tejdate2     8.
@983  ersend2      2.
@986  ejbhrs2      2.
@1011 tpmsum2      5.
@1017 epayhr2      2.
@1020 tpyrate2    4.2
@1025 rpyper2      2.
@579  tage         2.
@582  errp         2.
@585  ems          1.
@786  eeducate     2.
@518  esex         1.
@520  erace        1.
@522  eorigin      2.
@798  epdjbthn     2.
@500  eentaid     3.
@503  epppnum     4.
@281  tfearn       7.
@288  tfprpinc     8.
@296  tftrninc     7.
@303  tfothinc     7.
@310  tftotinc     8.
@338  tfsocsec     6.
@619  tpearn       7.
@513  tbyear       4.
@137  thearn       7.
@144  thprpinc     8.
@152  thtrninc     7.
@159  thothinc     7.
@166  thtotinc     8.
@254  efspouse     4.
;

if tage>=16 and tage<=75;

if tpmsum1<=0 then tpmsum1=.;
if tpmsum2<=0 then tpmsum2=.;
if ehrsall<=0 then ehrsall=.;


proc sort data=s04; by ssuid srefmon epppnum eentaid;

proc means;


data core; set s04; by ssuid srefmon;

keep hustpmsum1 hustpmsum2 srefmon rhcalmn rhcalyr ssuid swave epppnum eentaid huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2
husersend2 husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeeduc wiferace wifeage wifehispanic wifeearn hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
tbyear famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

retain hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeearn wifeeduc wiferace wifeage wifehispanic hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

if first.srefmon then do;
   huseoutcome=.; husehrsall=.; husrmhrswk=.; husESTLEMP1=.; husersend1=.; husejbhrs1=.; husepayhr1=.; hustpyrate1=.;
   husESTLEMP2=.; husersend2=.; husejbhrs2=.; husepayhr2=.; hustpyrate2=.; husejobcntr=.; huseduc=.; husrace=.; husage=.; wifeearn=0; hustsjdate1=.; hustsjdate2=.;
   hustejdate1=.; hustpmsum1=.; hustpmsum2=.;  hustejdate2=.; husearn=0; famearn=0; capinc=0; welfareinc=0; otherinc=0; totinc=0; socsec=0; nummonth=0; hushispanic=.; wifeeduc=.; wiferace=.; wifeage=.; wifehispanic=.;
   hhearn=0; hhcapinc=0; hhtotinc=0; hushispanic=.; wifeeduc=.; wiferace=.; wifeage=.; wifehispanic=.;
end;

array stuff tpmsum1 tpmsum2 eoutcome ehrsall rmhrswk ESTLEMP1 ersend1 ejbhrs1 epayhr1 tpyrate1 ESTLEMP2 ersend2 ejbhrs2 epayhr2 tpyrate2 ejobcntr eeducate erace tage
tsjdate1 tsjdate2 tejdate1 tejdate2 ;

array husstuff hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hustsjdate1 hustsjdate2 hustejdate1 hustejdate2;

array joe ejobcntr edisabl eawop elayoff ehrsall eeno1 eeno2 ESTLEMP1 tsjdate1 tejdate1 ersend1 EPAYHR1 RPYPER1 ESTLEMP2 tsjdate2 tejdate2 ersend2  EPAYHR2 RPYPER2
eeducate erace tage eorigin ejbhrs1 ejbhrs2 tsjdate1 tsjdate2 tejdate1 tejdate2;

do over joe; if joe=-1 or joe=-8 then joe=.; end;

array jolly tfearn tfprpinc tftrninc tfothinc tftotinc tfsocsec;
array holly famearn capinc welfareinc otherinc totinc socsec;

if (errp=1 or errp=3) and ems=1 and esex=1 and tage>=25 and tage<=65 and eorigin>=0 and eeducate>=0 and erace>=0 then do;
   do over husstuff; husstuff=stuff; end; hushispanic= 0; if eorigin=1 then hushispanic=1; if tpearn>=0 then husearn = husearn + tpearn;
   do over holly; if jolly>=0 then holly = holly + jolly; end; nummonth = nummonth + 1;
end;

if (errp=1 or errp=3) and ems=1 and esex=2 and epppnum=efspouse then do; wifeeduc = eeducate; wiferace = erace; wifeage = tage; if eorigin ge 0 then do; wifehispanic = 0; if eorigin=1 then wifehispanic=1; end; if tpearn>=0 then wifeearn = wifeearn + tpearn; end;

if last.srefmon and hushispanic>=0 and huseduc>=0 and husrace>=0 and husage>=25 & husage<=65 and wifeage ne . and wifeeduc ne . then output;

data in.core04w2_feb2015; set core;

proc means;
*proc freq ; *tables srefmon nummonth; *eoutcome ejobcntr ejbhrs1 ejbhrs2 ehrsall RMHRSWK ESTLEMP1 ersend1;

run;



FILENAME datafile "c:\users\econuser\documents\Saving_and_Retirement\sipp\data\l04puw3.dat ";

DATA s04;

INFILE datafile LRECL = 20000 ;

INPUT

@6    ssuid      12.
@22   swave        2.
@25   srefmon      1.
@26   rhcalmn      2.
@28   rhcalyr      4.
@46   eoutcome     3.
@807  ejobcntr     2.
@843  ehrsall      2.
@859  rmesr        2.
@879  rmhrswk      2.
@885  estlemp1     2.
@888  tsjdate1     8.
@897  tejdate1     8.
@909  ejbhrs1      2.
@906  ersend1      2.
@934  tpmsum1      5.
@940  epayhr1      2.
@943  tpyrate1    4.2
@962  estlemp2     2.
@965  tsjdate2     8.
@974  tejdate2     8.
@983  ersend2      2.
@986  ejbhrs2      2.
@1011 tpmsum2      5.
@1017 epayhr2      2.
@1020 tpyrate2    4.2
@1025 rpyper2      2.
@579  tage         2.
@582  errp         2.
@585  ems          1.
@786  eeducate     2.
@518  esex         1.
@520  erace        1.
@522  eorigin      2.
@798  epdjbthn     2.
@500  eentaid     3.
@503  epppnum     4.
@281  tfearn       7.
@288  tfprpinc     8.
@296  tftrninc     7.
@303  tfothinc     7.
@310  tftotinc     8.
@338  tfsocsec     6.
@619  tpearn       7.
@513  tbyear       4.
@137  thearn       7.
@144  thprpinc     8.
@152  thtrninc     7.
@159  thothinc     7.
@166  thtotinc     8.
@254  efspouse     4.
;

if tage>=16 and tage<=75;

proc sort data=s04; by ssuid srefmon epppnum eentaid;

data core; set s04; by ssuid srefmon;

keep hustpmsum1 hustpmsum2 srefmon rhcalmn rhcalyr ssuid swave epppnum eentaid huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2
husersend2 husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeeduc wiferace wifeage wifehispanic wifeearn hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
tbyear famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

retain hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeearn wifeeduc wiferace wifeage wifehispanic hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

if first.srefmon then do;
   huseoutcome=.; husehrsall=.; husrmhrswk=.; husESTLEMP1=.; husersend1=.; husejbhrs1=.; husepayhr1=.; hustpyrate1=.;
   husESTLEMP2=.; husersend2=.; husejbhrs2=.; husepayhr2=.; hustpyrate2=.; husejobcntr=.; huseduc=.; husrace=.; husage=.; wifeearn=0; hustsjdate1=.; hustsjdate2=.;
   hustejdate1=.; hustpmsum1=.; hustpmsum2=.;  hustejdate2=.; husearn=0; famearn=0; capinc=0; welfareinc=0; otherinc=0; totinc=0; socsec=0; nummonth=0; hushispanic=.;
   wifeeduc=.; wiferace=.; wifeage=.; wifehispanic=.;
   hhearn=0; hhcapinc=0; hhtotinc=0; hushispanic=.; wifeeduc=.; wiferace=.; wifeage=.; wifehispanic=.;
end;

array stuff tpmsum1 tpmsum2 eoutcome ehrsall rmhrswk ESTLEMP1 ersend1 ejbhrs1 epayhr1 tpyrate1 ESTLEMP2 ersend2 ejbhrs2 epayhr2 tpyrate2 ejobcntr eeducate erace tage
tsjdate1 tsjdate2 tejdate1 tejdate2 ;

array husstuff hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hustsjdate1 hustsjdate2 hustejdate1 hustejdate2;

array joe ejobcntr edisabl eawop elayoff ehrsall eeno1 eeno2 ESTLEMP1 tsjdate1 tejdate1 ersend1 EPAYHR1 RPYPER1 ESTLEMP2 tsjdate2 tejdate2 ersend2  EPAYHR2 RPYPER2
eeducate erace tage eorigin ejbhrs1 ejbhrs2 tsjdate1 tsjdate2 tejdate1 tejdate2;

do over joe; if joe=-1 or joe=-8 then joe=.; end;

array jolly tfearn tfprpinc tftrninc tfothinc tftotinc tfsocsec;
array holly famearn capinc welfareinc otherinc totinc socsec;

if (errp=1 or errp=3) and ems=1 and esex=1 and tage>=25 and tage<=65 and eorigin>=0 and eeducate>=0 and erace>=0 then do;
   do over husstuff; husstuff=stuff; end; hushispanic= 0; if eorigin=1 then hushispanic=1; if tpearn>=0 then husearn = husearn + tpearn;
   do over holly; if jolly>=0 then holly = holly + jolly; end; nummonth = nummonth + 1;
end;

if (errp=1 or errp=3) and ems=1 and esex=2 and epppnum=efspouse then do; wifeeduc = eeducate; wiferace = erace; wifeage = tage; if eorigin ge 0 then do; wifehispanic = 0; if eorigin=1 then wifehispanic=1; end; if tpearn>=0 then wifeearn = wifeearn + tpearn; end;

if last.srefmon and hushispanic>=0 and huseduc>=0 and husrace>=0 and husage>=25 & husage<=65 and wifeage ne . and wifeeduc ne . then output;

data in.core04w3_feb2015; set core;

proc means;
*proc freq ; *tables srefmon nummonth; *eoutcome ejobcntr ejbhrs1 ejbhrs2 ehrsall RMHRSWK ESTLEMP1 ersend1;

run;



FILENAME datafile "c:\users\econuser\documents\Saving_and_Retirement\sipp\data\l04puw4.dat ";

DATA s04;

INFILE datafile LRECL = 20000 ;

INPUT

@6    ssuid      12.
@22   swave        2.
@25   srefmon      1.
@26   rhcalmn      2.
@28   rhcalyr      4.
@46   eoutcome     3.
@807  ejobcntr     2.
@843  ehrsall      2.
@859  rmesr        2.
@879  rmhrswk      2.
@885  estlemp1     2.
@888  tsjdate1     8.
@897  tejdate1     8.
@909  ejbhrs1      2.
@906  ersend1      2.
@934  tpmsum1      5.
@940  epayhr1      2.
@943  tpyrate1    4.2
@962  estlemp2     2.
@965  tsjdate2     8.
@974  tejdate2     8.
@983  ersend2      2.
@986  ejbhrs2      2.
@1011 tpmsum2      5.
@1017 epayhr2      2.
@1020 tpyrate2    4.2
@1025 rpyper2      2.
@579  tage         2.
@582  errp         2.
@585  ems          1.
@786  eeducate     2.
@518  esex         1.
@520  erace        1.
@522  eorigin      2.
@798  epdjbthn     2.
@500  eentaid     3.
@503  epppnum     4.
@281  tfearn       7.
@288  tfprpinc     8.
@296  tftrninc     7.
@303  tfothinc     7.
@310  tftotinc     8.
@338  tfsocsec     6.
@619  tpearn       7.
@513  tbyear       4.
@137  thearn       7.
@144  thprpinc     8.
@152  thtrninc     7.
@159  thothinc     7.
@166  thtotinc     8.
@254  efspouse     4.
;

if tage>=16 and tage<=75;

proc sort data=s04; by ssuid srefmon epppnum eentaid;

data core; set s04; by ssuid srefmon;

keep hustpmsum1 hustpmsum2 srefmon rhcalmn rhcalyr ssuid swave epppnum eentaid huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2
husersend2 husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeeduc wiferace wifeage wifehispanic wifeearn hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
tbyear famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

retain hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeearn wifeeduc wiferace wifeage wifehispanic hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

if first.srefmon then do;
   huseoutcome=.; husehrsall=.; husrmhrswk=.; husESTLEMP1=.; husersend1=.; husejbhrs1=.; husepayhr1=.; hustpyrate1=.;
   husESTLEMP2=.; husersend2=.; husejbhrs2=.; husepayhr2=.; hustpyrate2=.; husejobcntr=.; huseduc=.; husrace=.; husage=.; wifeearn=0; hustsjdate1=.; hustsjdate2=.;
   hustejdate1=.; hustpmsum1=.; hustpmsum2=.;  hustejdate2=.; husearn=0; famearn=0; capinc=0; welfareinc=0; otherinc=0; totinc=0; socsec=0; nummonth=0; hushispanic=.; wifeeduc=.; wiferace=.; wifeage=.; wifehispanic=.;
end;

array stuff tpmsum1 tpmsum2 eoutcome ehrsall rmhrswk ESTLEMP1 ersend1 ejbhrs1 epayhr1 tpyrate1 ESTLEMP2 ersend2 ejbhrs2 epayhr2 tpyrate2 ejobcntr eeducate erace tage
tsjdate1 tsjdate2 tejdate1 tejdate2 ;

array husstuff hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hustsjdate1 hustsjdate2 hustejdate1 hustejdate2;


array joe ejobcntr edisabl eawop elayoff ehrsall eeno1 eeno2 ESTLEMP1 tsjdate1 tejdate1 ersend1 EPAYHR1 RPYPER1 ESTLEMP2 tsjdate2 tejdate2 ersend2  EPAYHR2 RPYPER2
eeducate erace tage eorigin ejbhrs1 ejbhrs2 tsjdate1 tsjdate2 tejdate1 tejdate2;

do over joe; if joe=-1 or joe=-8 then joe=.; end;

array jolly tfearn tfprpinc tftrninc tfothinc tftotinc tfsocsec;
array holly famearn capinc welfareinc otherinc totinc socsec;

if (errp=1 or errp=3) and ems=1 and esex=1 and tage>=25 and tage<=65 and eorigin>=0 and eeducate>=0 and erace>=0 then do;
   do over husstuff; husstuff=stuff; end; hushispanic= 0; if eorigin=1 then hushispanic=1; if tpearn>=0 then husearn = husearn + tpearn;
   do over holly; if jolly>=0 then holly = holly + jolly; end; nummonth = nummonth + 1;
end;

if (errp=1 or errp=3) and ems=1 and esex=2 and epppnum=efspouse then do; wifeeduc = eeducate; wiferace = erace; wifeage = tage; if eorigin ge 0 then do; wifehispanic = 0; if eorigin=1 then wifehispanic=1; end; if tpearn>=0 then wifeearn = wifeearn + tpearn; end;

if last.srefmon and hushispanic>=0 and huseduc>=0 and husrace>=0 and husage>=25 & husage<=65 and wifeage ne . and wifeeduc ne . then output;

data in.core04w4_feb2015; set core;

proc means;
*proc freq ; *tables srefmon nummonth; *eoutcome ejobcntr ejbhrs1 ejbhrs2 ehrsall RMHRSWK ESTLEMP1 ersend1;

run;



FILENAME datafile "c:\users\econuser\documents\Saving_and_Retirement\sipp\data\l04puw5.dat ";

DATA s04;

INFILE datafile LRECL = 20000 ;

INPUT

@6    ssuid      12.
@22   swave        2.
@25   srefmon      1.
@26   rhcalmn      2.
@28   rhcalyr      4.
@46   eoutcome     3.
@807  ejobcntr     2.
@843  ehrsall      2.
@859  rmesr        2.
@879  rmhrswk      2.
@885  estlemp1     2.
@888  tsjdate1     8.
@897  tejdate1     8.
@909  ejbhrs1      2.
@906  ersend1      2.
@934  tpmsum1      5.
@940  epayhr1      2.
@943  tpyrate1    4.2
@962  estlemp2     2.
@965  tsjdate2     8.
@974  tejdate2     8.
@983  ersend2      2.
@986  ejbhrs2      2.
@1011 tpmsum2      5.
@1017 epayhr2      2.
@1020 tpyrate2    4.2
@1025 rpyper2      2.
@579  tage         2.
@582  errp         2.
@585  ems          1.
@786  eeducate     2.
@518  esex         1.
@520  erace        1.
@522  eorigin      2.
@798  epdjbthn     2.
@500  eentaid     3.
@503  epppnum     4.
@281  tfearn       7.
@288  tfprpinc     8.
@296  tftrninc     7.
@303  tfothinc     7.
@310  tftotinc     8.
@338  tfsocsec     6.
@619  tpearn       7.
@513  tbyear       4.
@137  thearn       7.
@144  thprpinc     8.
@152  thtrninc     7.
@159  thothinc     7.
@166  thtotinc     8.
@254  efspouse     4.
;

if tage>=16 and tage<=75;

proc sort data=s04; by ssuid srefmon epppnum eentaid;

data core; set s04; by ssuid srefmon;

keep hustpmsum1 hustpmsum2 srefmon rhcalmn rhcalyr ssuid swave epppnum eentaid huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2
husersend2 husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeeduc wiferace wifeage wifehispanic wifeearn hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
tbyear famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

retain hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeearn wifeeduc wiferace wifeage wifehispanic hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

if first.srefmon then do;
   huseoutcome=.; husehrsall=.; husrmhrswk=.; husESTLEMP1=.; husersend1=.; husejbhrs1=.; husepayhr1=.; hustpyrate1=.;
   husESTLEMP2=.; husersend2=.; husejbhrs2=.; husepayhr2=.; hustpyrate2=.; husejobcntr=.; huseduc=.; husrace=.; husage=.; wifeearn=0; hustsjdate1=.; hustsjdate2=.;
   hustejdate1=.; hustpmsum1.0; hustpmsum2=.;  hustejdate2=.; husearn=0; famearn=0; capinc=0; welfareinc=0; otherinc=0; totinc=0; socsec=0; nummonth=0; hushispanic=.; wifeeduc=.; wiferace=.; wifeage=.; wifehispanic=.;
end;

array stuff tpmsum1 tpmsum2 eoutcome ehrsall rmhrswk ESTLEMP1 ersend1 ejbhrs1 epayhr1 tpyrate1 ESTLEMP2 ersend2 ejbhrs2 epayhr2 tpyrate2 ejobcntr eeducate erace tage
tsjdate1 tsjdate2 tejdate1 tejdate2 ;

array husstuff hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hustsjdate1 hustsjdate2 hustejdate1 hustejdate2;


array joe ejobcntr edisabl eawop elayoff ehrsall eeno1 eeno2 ESTLEMP1 tsjdate1 tejdate1 ersend1 EPAYHR1 RPYPER1 ESTLEMP2 tsjdate2 tejdate2 ersend2  EPAYHR2 RPYPER2
eeducate erace tage eorigin ejbhrs1 ejbhrs2 tsjdate1 tsjdate2 tejdate1 tejdate2;

do over joe; if joe=-1 or joe=-8 then joe=.; end;

array jolly tfearn tfprpinc tftrninc tfothinc tftotinc tfsocsec;
array holly famearn capinc welfareinc otherinc totinc socsec;

if (errp=1 or errp=3) and ems=1 and esex=1 and tage>=25 and tage<=65 and eorigin>=0 and eeducate>=0 and erace>=0 then do;
   do over husstuff; husstuff=stuff; end; hushispanic= 0; if eorigin=1 then hushispanic=1; if tpearn>=0 then husearn = husearn + tpearn;
   do over holly; if jolly>=0 then holly = holly + jolly; end; nummonth = nummonth + 1;
end;

if (errp=1 or errp=3) and ems=1 and esex=2 and epppnum=efspouse then do; wifeeduc = eeducate; wiferace = erace; wifeage = tage; if eorigin ge 0 then do; wifehispanic = 0; if eorigin=1 then wifehispanic=1; end; if tpearn>=0 then wifeearn = wifeearn + tpearn; end;

if last.srefmon and hushispanic>=0 and huseduc>=0 and husrace>=0 and husage>=25 & husage<=65 and wifeage ne . and wifeeduc ne . then output;

data in.core04w5_feb2015; set core;

proc means;
*proc freq ; *tables srefmon nummonth; *eoutcome ejobcntr ejbhrs1 ejbhrs2 ehrsall RMHRSWK ESTLEMP1 ersend1;

run;



FILENAME datafile "c:\users\econuser\documents\Saving_and_Retirement\sipp\data\l04puw6.dat ";

DATA s04;

INFILE datafile LRECL = 20000 ;

INPUT

@6    ssuid      12.
@22   swave        2.
@25   srefmon      1.
@26   rhcalmn      2.
@28   rhcalyr      4.
@46   eoutcome     3.
@807  ejobcntr     2.
@843  ehrsall      2.
@859  rmesr        2.
@879  rmhrswk      2.
@885  estlemp1     2.
@888  tsjdate1     8.
@897  tejdate1     8.
@909  ejbhrs1      2.
@906  ersend1      2.
@934  tpmsum1      5.
@940  epayhr1      2.
@943  tpyrate1    4.2
@962  estlemp2     2.
@965  tsjdate2     8.
@974  tejdate2     8.
@983  ersend2      2.
@986  ejbhrs2      2.
@1011 tpmsum2      5.
@1017 epayhr2      2.
@1020 tpyrate2    4.2
@1025 rpyper2      2.
@579  tage         2.
@582  errp         2.
@585  ems          1.
@786  eeducate     2.
@518  esex         1.
@520  erace        1.
@522  eorigin      2.
@798  epdjbthn     2.
@500  eentaid     3.
@503  epppnum     4.
@281  tfearn       7.
@288  tfprpinc     8.
@296  tftrninc     7.
@303  tfothinc     7.
@310  tftotinc     8.
@338  tfsocsec     6.
@619  tpearn       7.
@513  tbyear       4.
@137  thearn       7.
@144  thprpinc     8.
@152  thtrninc     7.
@159  thothinc     7.
@166  thtotinc     8.
@254  efspouse     4.
;

if tage>=16 and tage<=75;

proc sort data=s04; by ssuid srefmon epppnum eentaid;

data core; set s04; by ssuid srefmon;

keep hustpmsum1 hustpmsum2 srefmon rhcalmn rhcalyr ssuid swave epppnum eentaid huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2
husersend2 husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeeduc wiferace wifeage wifehispanic wifeearn hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
tbyear famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

retain hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeearn wifeeduc wiferace wifeage wifehispanic hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

if first.srefmon then do;
   huseoutcome=.; husehrsall=.; husrmhrswk=.; husESTLEMP1=.; husersend1=.; husejbhrs1=.; husepayhr1=.; hustpyrate1=.;
   husESTLEMP2=.; husersend2=.; husejbhrs2=.; husepayhr2=.; hustpyrate2=.; husejobcntr=.; huseduc=.; husrace=.; husage=.; wifeearn=0; hustsjdate1=.; hustsjdate2=.;
   hustejdate1=.; hustpmsum1=; hustpmsum2=.;  hustejdate2=.; husearn=0; famearn=0; capinc=0; welfareinc=0; otherinc=0; totinc=0; socsec=0; nummonth=0; hushispanic=.; wifeeduc=.; wiferace=.; wifeage=.; wifehispanic=.;
end;

array stuff tpmsum1 tpmsum2 eoutcome ehrsall rmhrswk ESTLEMP1 ersend1 ejbhrs1 epayhr1 tpyrate1 ESTLEMP2 ersend2 ejbhrs2 epayhr2 tpyrate2 ejobcntr eeducate erace tage
tsjdate1 tsjdate2 tejdate1 tejdate2 ;

array husstuff hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hustsjdate1 hustsjdate2 hustejdate1 hustejdate2;


array joe ejobcntr edisabl eawop elayoff ehrsall eeno1 eeno2 ESTLEMP1 tsjdate1 tejdate1 ersend1 EPAYHR1 RPYPER1 ESTLEMP2 tsjdate2 tejdate2 ersend2  EPAYHR2 RPYPER2
eeducate erace tage eorigin ejbhrs1 ejbhrs2 tsjdate1 tsjdate2 tejdate1 tejdate2;

do over joe; if joe=-1 or joe=-8 then joe=.; end;

array jolly tfearn tfprpinc tftrninc tfothinc tftotinc tfsocsec;
array holly famearn capinc welfareinc otherinc totinc socsec;

if (errp=1 or errp=3) and ems=1 and esex=1 and tage>=25 and tage<=65 and eorigin>=0 and eeducate>=0 and erace>=0 then do;
   do over husstuff; husstuff=stuff; end; hushispanic= 0; if eorigin=1 then hushispanic=1; if tpearn>=0 then husearn = husearn + tpearn;
   do over holly; if jolly>=0 then holly = holly + jolly; end; nummonth = nummonth + 1;
end;

if (errp=1 or errp=3) and ems=1 and esex=2 and epppnum=efspouse then do; wifeeduc = eeducate; wiferace = erace; wifeage = tage; if eorigin ge 0 then do; wifehispanic = 0; if eorigin=1 then wifehispanic=1; end; if tpearn>=0 then wifeearn = wifeearn + tpearn; end;

if last.srefmon and hushispanic>=0 and huseduc>=0 and husrace>=0 and husage>=25 & husage<=65 and wifeage ne . and wifeeduc ne . then output;

data in.core04w6_feb2015; set core;

proc means;
*proc freq ; *tables srefmon nummonth; *eoutcome ejobcntr ejbhrs1 ejbhrs2 ehrsall RMHRSWK ESTLEMP1 ersend1;

run;



FILENAME datafile "c:\users\econuser\documents\Saving_and_Retirement\sipp\data\l04puw7.dat ";

DATA s04;

INFILE datafile LRECL = 20000 ;

INPUT

@6    ssuid      12.
@22   swave        2.
@25   srefmon      1.
@26   rhcalmn      2.
@28   rhcalyr      4.
@46   eoutcome     3.
@807  ejobcntr     2.
@843  ehrsall      2.
@859  rmesr        2.
@879  rmhrswk      2.
@885  estlemp1     2.
@888  tsjdate1     8.
@897  tejdate1     8.
@909  ejbhrs1      2.
@906  ersend1      2.
@934  tpmsum1      5.
@940  epayhr1      2.
@943  tpyrate1    4.2
@962  estlemp2     2.
@965  tsjdate2     8.
@974  tejdate2     8.
@983  ersend2      2.
@986  ejbhrs2      2.
@1011 tpmsum2      5.
@1017 epayhr2      2.
@1020 tpyrate2    4.2
@1025 rpyper2      2.
@579  tage         2.
@582  errp         2.
@585  ems          1.
@786  eeducate     2.
@518  esex         1.
@520  erace        1.
@522  eorigin      2.
@798  epdjbthn     2.
@500  eentaid     3.
@503  epppnum     4.
@281  tfearn       7.
@288  tfprpinc     8.
@296  tftrninc     7.
@303  tfothinc     7.
@310  tftotinc     8.
@338  tfsocsec     6.
@619  tpearn       7.
@513  tbyear       4.
@137  thearn       7.
@144  thprpinc     8.
@152  thtrninc     7.
@159  thothinc     7.
@166  thtotinc     8.
@254  efspouse     4.
;

if tage>=16 and tage<=75;

proc sort data=s04; by ssuid srefmon epppnum eentaid;

data core; set s04; by ssuid srefmon;

keep hustpmsum1 hustpmsum2 srefmon rhcalmn rhcalyr ssuid swave epppnum eentaid huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2
husersend2 husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeeduc wiferace wifeage wifehispanic wifeearn hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
tbyear famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

retain hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeearn wifeeduc wiferace wifeage wifehispanic hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

if first.srefmon then do;
   huseoutcome=.; husehrsall=.; husrmhrswk=.; husESTLEMP1=.; husersend1=.; husejbhrs1=.; husepayhr1=.; hustpyrate1=.;
   husESTLEMP2=.; husersend2=.; husejbhrs2=.; husepayhr2=.; hustpyrate2=.; husejobcntr=.; huseduc=.; husrace=.; husage=.; wifeearn=0; hustsjdate1=.; hustsjdate2=.;
   hustejdate1=.; hustpmsum1=.; hustpmsum2=.;  hustejdate2=.; husearn=0; famearn=0; capinc=0; welfareinc=0; otherinc=0; totinc=0; socsec=0; nummonth=0; hushispanic=.; wifeeduc=.; wiferace=.; wifeage=.; wifehispanic=.;
end;

array stuff tpmsum1 tpmsum2 eoutcome ehrsall rmhrswk ESTLEMP1 ersend1 ejbhrs1 epayhr1 tpyrate1 ESTLEMP2 ersend2 ejbhrs2 epayhr2 tpyrate2 ejobcntr eeducate erace tage
tsjdate1 tsjdate2 tejdate1 tejdate2 ;

array husstuff hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hustsjdate1 hustsjdate2 hustejdate1 hustejdate2;

array joe ejobcntr edisabl eawop elayoff ehrsall eeno1 eeno2 ESTLEMP1 tsjdate1 tejdate1 ersend1 EPAYHR1 RPYPER1 ESTLEMP2 tsjdate2 tejdate2 ersend2  EPAYHR2 RPYPER2
eeducate erace tage eorigin ejbhrs1 ejbhrs2 tsjdate1 tsjdate2 tejdate1 tejdate2;

do over joe; if joe=-1 or joe=-8 then joe=.; end;

array jolly tfearn tfprpinc tftrninc tfothinc tftotinc tfsocsec;
array holly famearn capinc welfareinc otherinc totinc socsec;

if (errp=1 or errp=3) and ems=1 and esex=1 and tage>=25 and tage<=65 and eorigin>=0 and eeducate>=0 and erace>=0 then do;
   do over husstuff; husstuff=stuff; end; hushispanic= 0; if eorigin=1 then hushispanic=1; if tpearn>=0 then husearn = husearn + tpearn;
   do over holly; if jolly>=0 then holly = holly + jolly; end; nummonth = nummonth + 1;
end;

if (errp=1 or errp=3) and ems=1 and esex=2 and epppnum=efspouse then do; wifeeduc = eeducate; wiferace = erace; wifeage = tage; if eorigin ge 0 then do; wifehispanic = 0; if eorigin=1 then wifehispanic=1; end; if tpearn>=0 then wifeearn = wifeearn + tpearn; end;

if last.srefmon and hushispanic>=0 and huseduc>=0 and husrace>=0 and husage>=25 & husage<=65 and wifeage ne . and wifeeduc ne . then output;

data in.core04w7_feb2015; set core;

proc means;
*proc freq ; *tables srefmon nummonth; *eoutcome ejobcntr ejbhrs1 ejbhrs2 ehrsall RMHRSWK ESTLEMP1 ersend1;

run;



FILENAME datafile "c:\users\econuser\documents\Saving_and_Retirement\sipp\data\l04puw8.dat ";

DATA s04;

INFILE datafile LRECL = 20000 ;

INPUT

@6    ssuid      12.
@22   swave        2.
@25   srefmon      1.
@26   rhcalmn      2.
@28   rhcalyr      4.
@46   eoutcome     3.
@807  ejobcntr     2.
@843  ehrsall      2.
@859  rmesr        2.
@879  rmhrswk      2.
@885  estlemp1     2.
@888  tsjdate1     8.
@897  tejdate1     8.
@909  ejbhrs1      2.
@906  ersend1      2.
@934  tpmsum1      5.
@940  epayhr1      2.
@943  tpyrate1    4.2
@962  estlemp2     2.
@965  tsjdate2     8.
@974  tejdate2     8.
@983  ersend2      2.
@986  ejbhrs2      2.
@1011 tpmsum2      5.
@1017 epayhr2      2.
@1020 tpyrate2    4.2
@1025 rpyper2      2.
@579  tage         2.
@582  errp         2.
@585  ems          1.
@786  eeducate     2.
@518  esex         1.
@520  erace        1.
@522  eorigin      2.
@798  epdjbthn     2.
@500  eentaid     3.
@503  epppnum     4.
@281  tfearn       7.
@288  tfprpinc     8.
@296  tftrninc     7.
@303  tfothinc     7.
@310  tftotinc     8.
@338  tfsocsec     6.
@619  tpearn       7.
@513  tbyear       4.
@137  thearn       7.
@144  thprpinc     8.
@152  thtrninc     7.
@159  thothinc     7.
@166  thtotinc     8.
@254  efspouse     4.
;

if tage>=16 and tage<=75;

proc sort data=s04; by ssuid srefmon epppnum eentaid;

data core; set s04; by ssuid srefmon;

keep hustpmsum1 hustpmsum2 srefmon rhcalmn rhcalyr ssuid swave epppnum eentaid huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2
husersend2 husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeeduc wiferace wifeage wifehispanic wifeearn hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
tbyear famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

retain hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeearn wifeeduc wiferace wifeage wifehispanic hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

if first.srefmon then do;
   huseoutcome=.; husehrsall=.; husrmhrswk=.; husESTLEMP1=.; husersend1=.; husejbhrs1=.; husepayhr1=.; hustpyrate1=.;
   husESTLEMP2=.; husersend2=.; husejbhrs2=.; husepayhr2=.; hustpyrate2=.; husejobcntr=.; huseduc=.; husrace=.; husage=.; wifeearn=0; hustsjdate1=.; hustsjdate2=.;
   hustejdate1=.; hustpmsum1=.; hustpmsum2=.;  hustejdate2=.; husearn=0; famearn=0; capinc=0; welfareinc=0; otherinc=0; totinc=0; socsec=0; nummonth=0; hushispanic=.; wifeeduc=.; wiferace=.; wifeage=.; wifehispanic=.;
end;

array stuff tpmsum1 tpmsum2 eoutcome ehrsall rmhrswk ESTLEMP1 ersend1 ejbhrs1 epayhr1 tpyrate1 ESTLEMP2 ersend2 ejbhrs2 epayhr2 tpyrate2 ejobcntr eeducate erace tage
tsjdate1 tsjdate2 tejdate1 tejdate2 ;

array husstuff hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hustsjdate1 hustsjdate2 hustejdate1 hustejdate2;

array joe ejobcntr edisabl eawop elayoff ehrsall eeno1 eeno2 ESTLEMP1 tsjdate1 tejdate1 ersend1 EPAYHR1 RPYPER1 ESTLEMP2 tsjdate2 tejdate2 ersend2  EPAYHR2 RPYPER2
eeducate erace tage eorigin ejbhrs1 ejbhrs2 tsjdate1 tsjdate2 tejdate1 tejdate2;

do over joe; if joe=-1 or joe=-8 then joe=.; end;

array jolly tfearn tfprpinc tftrninc tfothinc tftotinc tfsocsec;
array holly famearn capinc welfareinc otherinc totinc socsec;

if (errp=1 or errp=3) and ems=1 and esex=1 and tage>=25 and tage<=65 and eorigin>=0 and eeducate>=0 and erace>=0 then do;
   do over husstuff; husstuff=stuff; end; hushispanic= 0; if eorigin=1 then hushispanic=1; if tpearn>=0 then husearn = husearn + tpearn;
   do over holly; if jolly>=0 then holly = holly + jolly; end; nummonth = nummonth + 1;
end;

if (errp=1 or errp=3) and ems=1 and esex=2 and epppnum=efspouse then do; wifeeduc = eeducate; wiferace = erace; wifeage = tage; if eorigin ge 0 then do; wifehispanic = 0; if eorigin=1 then wifehispanic=1; end; if tpearn>=0 then wifeearn = wifeearn + tpearn; end;

if last.srefmon and hushispanic>=0 and huseduc>=0 and husrace>=0 and husage>=25 & husage<=65 and wifeage ne . and wifeeduc ne . then output;

data in.core04w8_feb2015; set core;

proc means;
*proc freq ; *tables srefmon nummonth; *eoutcome ejobcntr ejbhrs1 ejbhrs2 ehrsall RMHRSWK ESTLEMP1 ersend1;

run;



FILENAME datafile "c:\users\econuser\documents\Saving_and_Retirement\sipp\data\l04puw9.dat ";

DATA s04;

INFILE datafile LRECL = 20000 ;

INPUT

@6    ssuid      12.
@22   swave        2.
@25   srefmon      1.
@26   rhcalmn      2.
@28   rhcalyr      4.
@46   eoutcome     3.
@807  ejobcntr     2.
@843  ehrsall      2.
@859  rmesr        2.
@879  rmhrswk      2.
@885  estlemp1     2.
@888  tsjdate1     8.
@897  tejdate1     8.
@909  ejbhrs1      2.
@906  ersend1      2.
@934  tpmsum1      5.
@940  epayhr1      2.
@943  tpyrate1    4.2
@962  estlemp2     2.
@965  tsjdate2     8.
@974  tejdate2     8.
@983  ersend2      2.
@986  ejbhrs2      2.
@1011 tpmsum2      5.
@1017 epayhr2      2.
@1020 tpyrate2    4.2
@1025 rpyper2      2.
@579  tage         2.
@582  errp         2.
@585  ems          1.
@786  eeducate     2.
@518  esex         1.
@520  erace        1.
@522  eorigin      2.
@798  epdjbthn     2.
@500  eentaid     3.
@503  epppnum     4.
@281  tfearn       7.
@288  tfprpinc     8.
@296  tftrninc     7.
@303  tfothinc     7.
@310  tftotinc     8.
@338  tfsocsec     6.
@619  tpearn       7.
@513  tbyear       4.
@137  thearn       7.
@144  thprpinc     8.
@152  thtrninc     7.
@159  thothinc     7.
@166  thtotinc     8.
@254  efspouse     4.
;

if tage>=16 and tage<=75;

proc sort data=s04; by ssuid srefmon epppnum eentaid;

data core; set s04; by ssuid srefmon;

keep hustpmsum1 hustpmsum2 srefmon rhcalmn rhcalyr ssuid swave epppnum eentaid huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2
husersend2 husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeeduc wiferace wifeage wifehispanic wifeearn hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
tbyear famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

retain hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeearn wifeeduc wiferace wifeage wifehispanic hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

if first.srefmon then do;
   huseoutcome=.; husehrsall=.; husrmhrswk=.; husESTLEMP1=.; husersend1=.; husejbhrs1=.; husepayhr1=.; hustpyrate1=.;
   husESTLEMP2=.; husersend2=.; husejbhrs2=.; husepayhr2=.; hustpyrate2=.; husejobcntr=.; huseduc=.; husrace=.; husage=.; wifeearn=0; hustsjdate1=.; hustsjdate2=.;
   hustejdate1=.; hustpmsum1=.; hustpmsum2=.;  hustejdate2=.; husearn=0; famearn=0; capinc=0; welfareinc=0; otherinc=0; totinc=0; socsec=0; nummonth=0; hushispanic=.; wifeeduc=.; wiferace=.; wifeage=.; wifehispanic=.;
end;

array stuff tpmsum1 tpmsum2 eoutcome ehrsall rmhrswk ESTLEMP1 ersend1 ejbhrs1 epayhr1 tpyrate1 ESTLEMP2 ersend2 ejbhrs2 epayhr2 tpyrate2 ejobcntr eeducate erace tage
tsjdate1 tsjdate2 tejdate1 tejdate2 ;

array husstuff hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hustsjdate1 hustsjdate2 hustejdate1 hustejdate2;


array joe ejobcntr edisabl eawop elayoff ehrsall eeno1 eeno2 ESTLEMP1 tsjdate1 tejdate1 ersend1 EPAYHR1 RPYPER1 ESTLEMP2 tsjdate2 tejdate2 ersend2  EPAYHR2 RPYPER2
eeducate erace tage eorigin ejbhrs1 ejbhrs2 tsjdate1 tsjdate2 tejdate1 tejdate2;

array joe ejobcntr edisabl eawop elayoff ehrsall eeno1 eeno2 ESTLEMP1 tsjdate1 tejdate1 ersend1 EPAYHR1 RPYPER1 ESTLEMP2 tsjdate2 tejdate2 ersend2  EPAYHR2 RPYPER2
eeducate erace tage eorigin ejbhrs1 ejbhrs2 tsjdate1 tsjdate2 tejdate1 tejdate2;
do over joe; if joe=-1 or joe=-8 then joe=.; end;

array jolly tfearn tfprpinc tftrninc tfothinc tftotinc tfsocsec;
array holly famearn capinc welfareinc otherinc totinc socsec;

if (errp=1 or errp=3) and ems=1 and esex=1 and tage>=25 and tage<=65 and eorigin>=0 and eeducate>=0 and erace>=0 then do;
   do over husstuff; husstuff=stuff; end; hushispanic= 0; if eorigin=1 then hushispanic=1; if tpearn>=0 then husearn = husearn + tpearn;
   do over holly; if jolly>=0 then holly = holly + jolly; end; nummonth = nummonth + 1;
end;

if (errp=1 or errp=3) and ems=1 and esex=2 and epppnum=efspouse then do; wifeeduc = eeducate; wiferace = erace; wifeage = tage; if eorigin ge 0 then do; wifehispanic = 0; if eorigin=1 then wifehispanic=1; end; if tpearn>=0 then wifeearn = wifeearn + tpearn; end;

if last.srefmon and hushispanic>=0 and huseduc>=0 and husrace>=0 and husage>=25 & husage<=65 and wifeage ne . and wifeeduc ne . then output;

data in.core04w9_feb2015; set core;

proc means;
*proc freq ; *tables srefmon nummonth; *eoutcome ejobcntr ejbhrs1 ejbhrs2 ehrsall RMHRSWK ESTLEMP1 ersend1;

run;



FILENAME datafile "c:\users\econuser\documents\Saving_and_Retirement\sipp\data\l04puw10.dat ";

DATA s04;

INFILE datafile LRECL = 20000 ;

INPUT

@6    ssuid      12.
@22   swave        2.
@25   srefmon      1.
@26   rhcalmn      2.
@28   rhcalyr      4.
@46   eoutcome     3.
@807  ejobcntr     2.
@843  ehrsall      2.
@859  rmesr        2.
@879  rmhrswk      2.
@885  estlemp1     2.
@888  tsjdate1     8.
@897  tejdate1     8.
@909  ejbhrs1      2.
@906  ersend1      2.
@934  tpmsum1      5.
@940  epayhr1      2.
@943  tpyrate1    4.2
@962  estlemp2     2.
@965  tsjdate2     8.
@974  tejdate2     8.
@983  ersend2      2.
@986  ejbhrs2      2.
@1011 tpmsum2      5.
@1017 epayhr2      2.
@1020 tpyrate2    4.2
@1025 rpyper2      2.
@579  tage         2.
@582  errp         2.
@585  ems          1.
@786  eeducate     2.
@518  esex         1.
@520  erace        1.
@522  eorigin      2.
@798  epdjbthn     2.
@500  eentaid     3.
@503  epppnum     4.
@281  tfearn       7.
@288  tfprpinc     8.
@296  tftrninc     7.
@303  tfothinc     7.
@310  tftotinc     8.
@338  tfsocsec     6.
@619  tpearn       7.
@513  tbyear       4.
@137  thearn       7.
@144  thprpinc     8.
@152  thtrninc     7.
@159  thothinc     7.
@166  thtotinc     8.
@254  efspouse     4.
;

if tage>=16 and tage<=75;

proc sort data=s04; by ssuid srefmon epppnum eentaid;

data core; set s04; by ssuid srefmon;

keep hustpmsum1 hustpmsum2 srefmon rhcalmn rhcalyr ssuid swave epppnum eentaid huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2
husersend2 husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeeduc wiferace wifeage wifehispanic wifeearn hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
tbyear famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

retain hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeearn wifeeduc wiferace wifeage wifehispanic hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

if first.srefmon then do;
   huseoutcome=.; husehrsall=.; husrmhrswk=.; husESTLEMP1=.; husersend1=.; husejbhrs1=.; husepayhr1=.; hustpyrate1=.;
   husESTLEMP2=.; husersend2=.; husejbhrs2=.; husepayhr2=.; hustpyrate2=.; husejobcntr=.; huseduc=.; husrace=.; husage=.; wifeearn=0; hustsjdate1=.; hustsjdate2=.;
   hustejdate1=.; hustpmsum1=.; hustpmsum2=.;  hustejdate2=.; husearn=0; famearn=0; capinc=0; welfareinc=0; otherinc=0; totinc=0; socsec=0; nummonth=0; hushispanic=.; wifeeduc=.; wiferace=.; wifeage=.; wifehispanic=.;
end;

array stuff tpmsum1 tpmsum2 eoutcome ehrsall rmhrswk ESTLEMP1 ersend1 ejbhrs1 epayhr1 tpyrate1 ESTLEMP2 ersend2 ejbhrs2 epayhr2 tpyrate2 ejobcntr eeducate erace tage
tsjdate1 tsjdate2 tejdate1 tejdate2 ;

array husstuff hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hustsjdate1 hustsjdate2 hustejdate1 hustejdate2;

array joe ejobcntr edisabl eawop elayoff ehrsall eeno1 eeno2 ESTLEMP1 tsjdate1 tejdate1 ersend1 EPAYHR1 RPYPER1 ESTLEMP2 tsjdate2 tejdate2 ersend2  EPAYHR2 RPYPER2
eeducate erace tage eorigin ejbhrs1 ejbhrs2 tsjdate1 tsjdate2 tejdate1 tejdate2;

do over joe; if joe=-1 or joe=-8 then joe=.; end;

array jolly tfearn tfprpinc tftrninc tfothinc tftotinc tfsocsec;
array holly famearn capinc welfareinc otherinc totinc socsec;

if (errp=1 or errp=3) and ems=1 and esex=1 and tage>=25 and tage<=65 and eorigin>=0 and eeducate>=0 and erace>=0 then do;
   do over husstuff; husstuff=stuff; end; hushispanic= 0; if eorigin=1 then hushispanic=1; if tpearn>=0 then husearn = husearn + tpearn;
   do over holly; if jolly>=0 then holly = holly + jolly; end; nummonth = nummonth + 1;
end;

if (errp=1 or errp=3) and ems=1 and esex=2 and epppnum=efspouse then do; wifeeduc = eeducate; wiferace = erace; wifeage = tage; if eorigin ge 0 then do; wifehispanic = 0; if eorigin=1 then wifehispanic=1; end; if tpearn>=0 then wifeearn = wifeearn + tpearn; end;

if last.srefmon and hushispanic>=0 and huseduc>=0 and husrace>=0 and husage>=25 & husage<=65 and wifeage ne . and wifeeduc ne . then output;

data in.core04w10_feb2015; set core;

proc means;
*proc freq ; *tables srefmon nummonth; *eoutcome ejobcntr ejbhrs1 ejbhrs2 ehrsall RMHRSWK ESTLEMP1 ersend1;

run;



FILENAME datafile "c:\users\econuser\documents\Saving_and_Retirement\sipp\data\l04puw11.dat ";

DATA s04;

INFILE datafile LRECL = 20000 ;

INPUT

@6    ssuid      12.
@22   swave        2.
@25   srefmon      1.
@26   rhcalmn      2.
@28   rhcalyr      4.
@46   eoutcome     3.
@807  ejobcntr     2.
@843  ehrsall      2.
@859  rmesr        2.
@879  rmhrswk      2.
@885  estlemp1     2.
@888  tsjdate1     8.
@897  tejdate1     8.
@909  ejbhrs1      2.
@906  ersend1      2.
@934  tpmsum1      5.
@940  epayhr1      2.
@943  tpyrate1    4.2
@962  estlemp2     2.
@965  tsjdate2     8.
@974  tejdate2     8.
@983  ersend2      2.
@986  ejbhrs2      2.
@1011 tpmsum2      5.
@1017 epayhr2      2.
@1020 tpyrate2    4.2
@1025 rpyper2      2.
@579  tage         2.
@582  errp         2.
@585  ems          1.
@786  eeducate     2.
@518  esex         1.
@520  erace        1.
@522  eorigin      2.
@798  epdjbthn     2.
@500  eentaid     3.
@503  epppnum     4.
@281  tfearn       7.
@288  tfprpinc     8.
@296  tftrninc     7.
@303  tfothinc     7.
@310  tftotinc     8.
@338  tfsocsec     6.
@619  tpearn       7.
@513  tbyear       4.
@137  thearn       7.
@144  thprpinc     8.
@152  thtrninc     7.
@159  thothinc     7.
@166  thtotinc     8.
@254  efspouse     4.
;

if tage>=16 and tage<=75;

proc sort data=s04; by ssuid srefmon epppnum eentaid;

data core; set s04; by ssuid srefmon;

keep hustpmsum1 hustpmsum2 srefmon rhcalmn rhcalyr ssuid swave epppnum eentaid huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2
husersend2 husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeeduc wiferace wifeage wifehispanic wifeearn hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
tbyear famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

retain hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeearn wifeeduc wiferace wifeage wifehispanic hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

if first.srefmon then do;
   huseoutcome=.; husehrsall=.; husrmhrswk=.; husESTLEMP1=.; husersend1=.; husejbhrs1=.; husepayhr1=.; hustpyrate1=.;
   husESTLEMP2=.; husersend2=.; husejbhrs2=.; husepayhr2=.; hustpyrate2=.; husejobcntr=.; huseduc=.; husrace=.; husage=.; wifeearn=0; hustsjdate1=.; hustsjdate2=.;
   hustejdate1=.; hustpmsum1=.; hustpmsum2=.;  hustejdate2=.; husearn=0; famearn=0; capinc=0; welfareinc=0; otherinc=0; totinc=0; socsec=0; nummonth=0; hushispanic=.; wifeeduc=.; wiferace=.; wifeage=.; wifehispanic=.;
end;

array stuff tpmsum1 tpmsum2 eoutcome ehrsall rmhrswk ESTLEMP1 ersend1 ejbhrs1 epayhr1 tpyrate1 ESTLEMP2 ersend2 ejbhrs2 epayhr2 tpyrate2 ejobcntr eeducate erace tage
tsjdate1 tsjdate2 tejdate1 tejdate2 ;

array husstuff hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hustsjdate1 hustsjdate2 hustejdate1 hustejdate2;

array joe ejobcntr edisabl eawop elayoff ehrsall eeno1 eeno2 ESTLEMP1 tsjdate1 tejdate1 ersend1 EPAYHR1 RPYPER1 ESTLEMP2 tsjdate2 tejdate2 ersend2  EPAYHR2 RPYPER2
eeducate erace tage eorigin ejbhrs1 ejbhrs2 tsjdate1 tsjdate2 tejdate1 tejdate2;

do over joe; if joe=-1 or joe=-8 then joe=.; end;

array jolly tfearn tfprpinc tftrninc tfothinc tftotinc tfsocsec;
array holly famearn capinc welfareinc otherinc totinc socsec;

if (errp=1 or errp=3) and ems=1 and esex=1 and tage>=25 and tage<=65 and eorigin>=0 and eeducate>=0 and erace>=0 then do;
   do over husstuff; husstuff=stuff; end; hushispanic= 0; if eorigin=1 then hushispanic=1; if tpearn>=0 then husearn = husearn + tpearn;
   do over holly; if jolly>=0 then holly = holly + jolly; end; nummonth = nummonth + 1;
end;

if (errp=1 or errp=3) and ems=1 and esex=2 and epppnum=efspouse then do; wifeeduc = eeducate; wiferace = erace; wifeage = tage; if eorigin ge 0 then do; wifehispanic = 0; if eorigin=1 then wifehispanic=1; end; if tpearn>=0 then wifeearn = wifeearn + tpearn; end;

if last.srefmon and hushispanic>=0 and huseduc>=0 and husrace>=0 and husage>=25 & husage<=65 and wifeage ne . and wifeeduc ne . then output;

data in.core04w11_feb2015; set core;

proc means;
*proc freq ; *tables srefmon nummonth; *eoutcome ejobcntr ejbhrs1 ejbhrs2 ehrsall RMHRSWK ESTLEMP1 ersend1;

run;



FILENAME datafile "c:\users\econuser\documents\Saving_and_Retirement\sipp\data\l04puw12.dat ";

DATA s04;

INFILE datafile LRECL = 20000 ;

INPUT

@6    ssuid      12.
@22   swave        2.
@25   srefmon      1.
@26   rhcalmn      2.
@28   rhcalyr      4.
@46   eoutcome     3.
@807  ejobcntr     2.
@843  ehrsall      2.
@859  rmesr        2.
@879  rmhrswk      2.
@885  estlemp1     2.
@888  tsjdate1     8.
@897  tejdate1     8.
@909  ejbhrs1      2.
@906  ersend1      2.
@934  tpmsum1      5.
@940  epayhr1      2.
@943  tpyrate1    4.2
@962  estlemp2     2.
@965  tsjdate2     8.
@974  tejdate2     8.
@983  ersend2      2.
@986  ejbhrs2      2.
@1011 tpmsum2      5.
@1017 epayhr2      2.
@1020 tpyrate2    4.2
@1025 rpyper2      2.
@579  tage         2.
@582  errp         2.
@585  ems          1.
@786  eeducate     2.
@518  esex         1.
@520  erace        1.
@522  eorigin      2.
@798  epdjbthn     2.
@500  eentaid     3.
@503  epppnum     4.
@281  tfearn       7.
@288  tfprpinc     8.
@296  tftrninc     7.
@303  tfothinc     7.
@310  tftotinc     8.
@338  tfsocsec     6.
@619  tpearn       7.
@513  tbyear       4.
@137  thearn       7.
@144  thprpinc     8.
@152  thtrninc     7.
@159  thothinc     7.
@166  thtotinc     8.
@254  efspouse     4.
;

if tage>=16 and tage<=75;

proc sort data=s04; by ssuid srefmon epppnum eentaid;

data core; set s04; by ssuid srefmon;

keep hustpmsum1 hustpmsum2 srefmon rhcalmn rhcalyr ssuid swave epppnum eentaid huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2
husersend2 husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeeduc wiferace wifeage wifehispanic wifeearn hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
tbyear famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

retain hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hushispanic wifeearn wifeeduc wiferace wifeage wifehispanic hustsjdate1 hustsjdate2 hustejdate1 hustejdate2
famearn capinc welfareinc otherinc totinc socsec husearn nummonth;

if first.srefmon then do;
   huseoutcome=.; husehrsall=.; husrmhrswk=.; husESTLEMP1=.; husersend1=.; husejbhrs1=.; husepayhr1=.; hustpyrate1=.;
   husESTLEMP2=.; husersend2=.; husejbhrs2=.; husepayhr2=.; hustpyrate2=.; husejobcntr=.; huseduc=.; husrace=.; husage=.; wifeearn=0; hustsjdate1=.; hustsjdate2=.;
   hustejdate1=.; hustpmsum1=.; hustpmsum2=.;  hustejdate2=.; husearn=0; famearn=0; capinc=0; welfareinc=0; otherinc=0; totinc=0; socsec=0; nummonth=0; hushispanic=.; wifeeduc=.; wiferace=.; wifeage=.; wifehispanic=.;
end;

array stuff tpmsum1 tpmsum2 eoutcome ehrsall rmhrswk ESTLEMP1 ersend1 ejbhrs1 epayhr1 tpyrate1 ESTLEMP2 ersend2 ejbhrs2 epayhr2 tpyrate2 ejobcntr eeducate erace tage
tsjdate1 tsjdate2 tejdate1 tejdate2 ;

array husstuff hustpmsum1 hustpmsum2 huseoutcome husehrsall husrmhrswk husESTLEMP1 husersend1 husejbhrs1 husepayhr1 hustpyrate1 husESTLEMP2 husersend2
husejbhrs2 husepayhr2 hustpyrate2 husejobcntr huseduc husrace husage hustsjdate1 hustsjdate2 hustejdate1 hustejdate2;


array joe ejobcntr edisabl eawop elayoff ehrsall eeno1 eeno2 ESTLEMP1 tsjdate1 tejdate1 ersend1 EPAYHR1 RPYPER1 ESTLEMP2 tsjdate2 tejdate2 ersend2  EPAYHR2 RPYPER2
eeducate erace tage eorigin ejbhrs1 ejbhrs2 tsjdate1 tsjdate2 tejdate1 tejdate2;

do over joe; if joe=-1 or joe=-8 then joe=.; end;

array jolly tfearn tfprpinc tftrninc tfothinc tftotinc tfsocsec;
array holly famearn capinc welfareinc otherinc totinc socsec;

if (errp=1 or errp=3) and ems=1 and esex=1 and tage>=25 and tage<=65 and eorigin>=0 and eeducate>=0 and erace>=0 then do;
   do over husstuff; husstuff=stuff; end; hushispanic= 0; if eorigin=1 then hushispanic=1; if tpearn>=0 then husearn = husearn + tpearn;
   do over holly; if jolly>=0 then holly = holly + jolly; end; nummonth = nummonth + 1;
end;

if (errp=1 or errp=3) and ems=1 and esex=2 and epppnum=efspouse then do; wifeeduc = eeducate; wiferace = erace; wifeage = tage; if eorigin ge 0 then do; wifehispanic = 0; if eorigin=1 then wifehispanic=1; end; if tpearn>=0 then wifeearn = wifeearn + tpearn; end;

if last.srefmon and hushispanic>=0 and huseduc>=0 and husrace>=0 and husage>=25 & husage<=65 and wifeage ne . and wifeeduc ne . then output;

data in.core04w12_feb2015; set core;


proc means;
*proc freq ; *tables srefmon nummonth; *eoutcome ejobcntr ejbhrs1 ejbhrs2 ehrsall RMHRSWK ESTLEMP1 ersend1;

run;
