options pagesize=80 linesize=140 nocenter;
libname in "C:\Documents and Settings\David Blau\My Documents\Saving_and_Retirement\sipp\data";


DATA s96tm3;

INFILE 'C:\Documents and Settings\David Blau\My Documents\Saving_and_Retirement\sipp\data\sipp96t3.dat' LRECL=20000 PAD END=EOF;
 
INPUT

@1    SSUSEQ       5. 
@6    SSUID      $12. 
@18   SPANEL       4. 
@22   SWAVE        2. 
@24   SROTATON     1. 
@25   TFIPSST      2. 
@27   SHHADID      3. 
@30   SINTHHID     3. 
@33   EOUTCOME     3. 
@45   EENTAID     $3. 
@48   EPPPNUM     $4. 
@52   EPOPSTAT     1. 
@53   EPPINTVW     2. 
@56   ESEX         1. 
@57   ERACE        1. 
@58   EORIGIN      2. 
@60   WPFINWGT   10.4 
@70   ERRP         2. 
@72   TAGE         2. 
@74   EMS          1. 
@93   EEDUCATE     2. 
@966  THHTNW      10. 

@1183 EMDUNV       2. 
@1219 TMEDPAY      5. 
@1224 AMEDPAY      1. 
@1249 TREIMBUR     5. 
@1254 AREIMBUR     1. 
;


data check; set s96tm3;
if emdunv=-1 then thhtnw=.;
if eeducate=-1 then eeducate=.;
if ereimb=-1 then ereimb=.;

keep thhtnw emdunv tmedpay treimbur areimbur 
spanel swave srotaton ssuid  swave shhadid eoutcome eentaid epppnum epopstat eppintvw esex erace eorigin wpfinwgt errp tage ems eeducate ;
run;

proc means; 
proc freq; tables emdunv eoutcome epopstat eppintvw esex erace eorigin errp tage ems eeducate; 
proc univariate; var thhtnw tmedpay; 
run;

proc sort data = check; by ssuid eentaid epppnum;

data in.tm1996w3; set check; by ssuid eentaid epppnum;
if first.ssuid then do;
   hhsize=0; huseduc=.; wifeeduc=.; husrace=.; wiferace=.; husage=.; wifeage=.; numadults=0; numkids=0; numkids05=0; numkids611=0; numkids1217=0; 
   numkids1824=0; numothrelkid=0; numothreladult=0; numothnonrelkid=0; numothnonreladult=0; hushispanic=.; wifehispanic=.; married=0; numkids1824=0;
   husmed=.; wifemed=.; kidmed=0; othmed=0; totfammed=0; networth=.;
end;

keep ssuid spanel swave srotaton hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth WPFINWGT;

retain hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth;

hhsize = hhsize + 1;

if errp=1 or errp=2 or errp=3 then do; 
   if errp=1 or errp=2 then networth = thhtnw;
   if ems=1 then married=1;
   numadults = numadults + 1;
   if esex=1 then do; 
      huseduc=eeducate; husrace=erace; husage=tage; hushispanic= 0; if eorigin>=20 and eorigin<=28 then hushispanic=1; husmed = tmedpay; totfammed = totfammed + tmedpay;
   end;
   if esex=2 then do; 
      wifeeduc=eeducate; wiferace=erace; wifeage=tage; wifehispanic= 0; if eorigin>=20 and eorigin<=28 then wifehispanic=1; 
      wifemed = tmedpay; totfammed = totfammed + tmedpay;
   end;
end;

if errp=4 then do;
   kidmed = kidmed + tmedpay; totfammed = totfammed + tmedpay; 
   numkids = numkids + 1;
   if tage<=5 then numkids05 = numkids05 + 1;
   if tage>=6 and tage<=11 then numkids611 = numkids611 + 1;
   if tage>=12 and tage<=17 then numkids1217 = numkids1217 + 1;
   if tage>=18 and tage<=24 then numkids1824 = numkids1824 + 1;
end;

if errp>=5 and errp<=8 then do; 
   if tage<18 then numothrelkid=numothrelkid+1; if tage>=18 then numothreladult = numothreladult + 1; othmed = othmed + tmedpay;  
end;

if errp>=9 then do; 
   if tage<18 then numothnonrelkid=numothnonrelkid+1; if tage>=18 then numothnonreladult = numothnonreladult + 1;othmed = othmed + tmedpay; 
end; 

if last.ssuid then output;

proc freq; tables hhsize huseduc wifeeduc husrace wiferace husrace*wiferace numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic*wifehispanic numkids1824; 
proc univariate; var networth husmed wifemed kidmed othmed totfammed; 
proc means; run;
