*options obs=100 ;
options nocenter ;

**------------------------------------------------;
**  by Jean Roth	Wed Nov  3 15:55:42 EDT 2010
**  This program reads the 2008 SIPP Wave 3 Topical Module Data File ;
**  Report errors to jroth@nber.org ;
**  A value of -1 (or -1/# of implied decimals) indicates 'Not in Universe' ;
**  This program is distributed under the GNU GPL. ;
**  See end of this file and
**  http://www.gnu.org/licenses/ for details. ;
**-----------------------------------------------;

*  The following line should contain the directory
   where the SAS file is to be stored  ;

libname library ".";

*  The following line should contain
   the complete path and name of the raw data file.
   On a PC, use backslashes in paths as in C:\  ;

FILENAME datafile pipe "unzip -p /homes/data/sipp/2008/p08putm3.zip ";

*  The following line should contain the name of the SAS dataset ;

%let dataset = sippp08putm3 ;

DATA library.&dataset ;

INFILE datafile LRECL = 20000 ;

** ------------------------------------------------ ;
**  The following variable names have been changed, ;
**  if necessary: '$' to 'd', '-' to '_', '%' to 'p' ;
** ----------------------------------------------- ;

attrib  ssuseq       length=4     label="SU: Sequence Number of Sample Unit - Primary";
attrib  ssuid        length=$12   label="SU: Sample Unit Identifier";           
attrib  spanel       length=4     label="SU: Sample Code - Indicates Panel Year";
attrib  swave        length=3     label="SU: Wave of data collection";          
attrib  srotaton     length=3     label="SU: Rotation of data collection";      
attrib  tfipsst      length=3     label="HH: FIPS State Code";                  
attrib  shhadid      length=3     label="SU: Hhld Address ID differentiates hhlds in";
attrib  eoutcome     length=3     label="HH: Interview Status code for this household";
attrib  rfid         length=3     label="FA: Family ID Number for this month";  
attrib  rfid2        length=3     label="FA: Family ID excluding related subfamily";
attrib  eppidx       length=3     label="PE: Person index";                     
attrib  eentaid      length=$3    label="PE: Address ID of hhld where person entered";
attrib  epppnum      length=$4    label="PE: Person number";                    
attrib  epopstat     length=3     label="PE: Population status based on age in 4th";
attrib  eppintvw     length=3     label="PE: Person's interview status";        
attrib  eppmis4      length=3     label="PE: Person's 4th month interview status";
attrib  esex         length=3     label="PE: Sex of this person";               
attrib  erace        length=3     label="PE: The race(s) the respondent is";    
attrib  eorigin      length=3     label="PE: Spanish, Hispanic or Latino";      
attrib  wpfinwgt     length=8     label="WW: Person weight";                    
attrib  errp         length=3     label="PE: Household relationship";           
attrib  tage         length=3     label="PE: Age as of last birthday";          
attrib  ems          length=3     label="PE: Marital status";                   
attrib  epnspous     length=4     label="PE: Person number of spouse";          
attrib  epnmom       length=4     label="PE: Person number of mother";          
attrib  epndad       length=4     label="PE: Person number of father";          
attrib  epnguard     length=4     label="PE: Person number of guardian";        
attrib  rdesgpnt     length=3     label="PE: Designated parent or guardian flag";
attrib  eeducate     length=3     label="ED: Highest Degree received or grade completed";
attrib  lgtkey       length=$8    label="PE: Person longitudinal key";          
attrib  sinthhid     length=3     label="SU: Hhld Address ID of person in interview";
attrib  eawrunv      length=3     label="WR: Universe indicator.";              
attrib  iinccat      length=3     label="WR: Records total FF income in grouped";
attrib  ipayn        length=3     label="WR: Asks if income assistance was received";
attrib  ipayn2       length=3     label="WR: Verification of lack of assistance";
attrib  itraihyn     length=3     label="WR: Did employer rec'd money for hiring,";
attrib  ihlphire     length=3     label="WR: Rec'd welfare/soc.service assist. w/hiring";
attrib  ihlptrai     length=3     label="WR: Rec'd welfare/soc.service assist. w/";
attrib  ihlpwage     length=3     label="WR: Rec'd welfare/soc.service assist. w/ wages";
attrib  ihlpdk       length=3     label="WR: Item WR06B DK's and Refusals";     
attrib  ifoodhyn     length=3     label="WR: Rec'd food assist (not Food";      
attrib  iclothyn     length=3     label="WR: Receipt of clothing assistance";   
attrib  ihoushyn     length=3     label="WR: House asst(not pub house/gov rent";
attrib  icsuphyn     length=3     label="WR: Talked w/child supp/welfare office for";
attrib  iothhyn      length=3     label="WR: Recipency of 'other' low-income benefits";
attrib  ijobhelp     length=3     label="WR: Did ... receive govt/social service to";
attrib  ireqinc      length=3     label="WR: Reported income/address changes";  
attrib  ireqcs       length=3     label="WR: Reported community service/workfare";
attrib  ireqpat      length=3     label="WR: Reported establishment of paternity for a";
attrib  ireqdt       length=3     label="WR: Reported drug testing req'd by welf/soc";
attrib  ijhrusu      length=3     label="WR: Resume writing assistance";        
attrib  ijhint       length=3     label="WR: Learning how to interview";        
attrib  ijhdres      length=3     label="WR: Learn how to dress for work or interview";
attrib  ijhself      length=3     label="WR: Self-esteem building assistance";  
attrib  ijhcomp      length=3     label="WR: Computer training assistance";     
attrib  ijhcler      length=3     label="WR: Other clerical skills assistance"; 
attrib  ijhmach      length=3     label="WR: Machinery training assistance";    
attrib  ijhojs       length=3     label="WR: Other specific job training assistance";
attrib  ijhged       length=3     label="WR: GED assistance";                   
attrib  ijhcol       length=3     label="WR: College degree/certificate assistance";
attrib  ijhlit       length=3     label="WR: Literacy training assistance";     
attrib  ijhlis       length=3     label="WR: Rec'd job referrals or access to job lists";
attrib  ijheng       length=3     label="WR: Rec'd assist w/ English as second language";
attrib  ijhoth       length=3     label="WR: Other training/job search assistance";
attrib  ijcomptr     length=3     label="WR: Was training completed?";          
attrib  ijhjobyn     length=3     label="WR: Did training/assistance lead to job?";
attrib  ijhpayyn     length=3     label="WR: Did respondent pay for any";       
attrib  inumpay      length=3     label="WR: Number of payments to employer";   
attrib  igasvyn      length=3     label="WR: Type of transportation assistance";
attrib  itokyn       length=3     label="WR: Type of transportation assist. received:";
attrib  icaryn       length=3     label="WR: Type of transport assist rec'd:";  
attrib  irideyn      length=3     label="WR: Type of transportation assistance...recd";
attrib  iothtyn      length=3     label="WR: Other type of transportation assistance";
attrib  icctype      length=3     label="WR: Were child care services free or paid for?";
attrib  iccpayyn     length=3     label="WR: Did government pay any child care cost?";
attrib  iccempyn     length=3     label="WR: Did employer/charity/relative/friends";
attrib  iccwho       length=3     label="WR: Who (exclud social serv.)helped pay cost";
attrib  icccov01     length=4     label="WR: Children who received gov't. assisted";
attrib  icccov02     length=4     label="WR: Children who received government assisted";
attrib  icccov03     length=4     label="WR: Children who received gov't. assisted";
attrib  icccov04     length=4     label="WR: Children who received gov't. assisted";
attrib  icccov05     length=4     label="WR: Children who received gov't. assisted";
attrib  icccov06     length=4     label="WR: Children who received gov't. assisted";
attrib  icccov07     length=4     label="WR: Children who received gov't. assisted";
attrib  iccrel       length=3     label="WR: Types of child care paid for by govt:";
attrib  iccdayc      length=3     label="WR: Types of childcare pd by govt: daycare";
attrib  iccsitt      length=3     label="WR: Types of childcare pd for by govt:care by";
attrib  iccaft       length=3     label="WR: Types of childcare pd for by govt: after";
attrib  ifavou       length=3     label="WR: Type of food-related assist: Rec'd";
attrib  ifagroc      length=3     label="WR: Type of food-related assist: Rec'd bags";
attrib  ifameal      length=3     label="WR: Food-related assist: Rec'd meal from";
attrib  ifaoth       length=3     label="WR: Type of food-related assistance received:";
attrib  ivouga       length=3     label="WR: Sources of food assistance received: Govt";
attrib  ivouhar      length=3     label="WR: Sources of food assist: Rec'd charity";
attrib  ivoufam      length=3     label="WR: Sources of food assistance received:";
attrib  ivouoth      length=3     label="WR: Sources of food assistance received:";
attrib  ivouthh      length=3     label="WR: Item WR50 DK's and Refusals";      
attrib  icaga        length=3     label="WR: Sources of clothing assistance received:";
attrib  icachar      length=3     label="WR: Sources of clothing assistance received:";
attrib  icafam       length=3     label="WR: Sources of clothing assist received:";
attrib  icaemp       length=3     label="WR: Sources of clothing assistance received:";
attrib  icaoth       length=3     label="WR: Sources of clothing assist. rec'd:";
attrib  icaothh      length=3     label="WR: Item WR54 DK's and Refusals";      
attrib  ihatype      length=3     label="WR: Type of housing assistance program";
attrib  ihatype2     length=3     label="WR: Type of housing assistance program";
attrib  ihaga        length=3     label="WR: Source of cash housing assistance: Gov't";
attrib  ihahous      length=3     label="WR: Source of cash housing assistance:";
attrib  ihachar      length=3     label="WR: Source of cash housing assistance: Charity";
attrib  ihaoth       length=3     label="WR: Source of cash housing assistance: Other";
attrib  ihaothh      length=3     label="WR: Item WR58 DK's and Refusals";      
attrib  icashsc      length=3     label="WR: Source of short-term cash assistance";
attrib  icashhm      length=3     label="WR: Number of short-term cash payments during";
attrib  icashal      length=3     label="WR: Was short-term cash assistance reported";
attrib  icashuse     length=3     label="WR: Use specified for short-term cash";
attrib  icashren     length=3     label="WR: Use for short-term cash assistance: Rent";
attrib  icashfoo     length=3     label="WR: Use for short-term cash assistance: Food";
attrib  icashcs      length=3     label="WR: Use for short-term cash assistance:";
attrib  icashck      length=3     label="WR: Use for short-trm cash assistance:";
attrib  icashcar     length=3     label="WR: Use for short-term cash assistance: Car";
attrib  icashoth     length=3     label="WR: Use for short-term cash assistance : Other";
attrib  icashohh     length=3     label="WR: Item WR65 DKs and Refusals";       
attrib  icsagen      length=3     label="WR: Source of help to obtain child support:";
attrib  icswelf      length=3     label="WR: Source of help to obtain child supp:";
attrib  icsoth       length=3     label="WR: Source of help for obtaining child";
attrib  icsothh      length=3     label="WR: Item WR66 DKs and Refusals";       
attrib  icspat       length=3     label="WR: Child support assistance: Establishing";
attrib  icsabs       length=3     label="WR: Child support assistance: Locating a";
attrib  icscourt     length=3     label="WR: Child support assistance: Obtaining court";
attrib  icscoll      length=3     label="WR: Child support assistance: Collecting";
attrib  icsoth2      length=3     label="WR: Child support assistance: Other kind of";
attrib  icsgov       length=3     label="WR: Source of 'other' benefits: Government";
attrib  icschar      length=3     label="WR: Source of other benefit:";         
attrib  icsfam       length=3     label="WR: Source of other benefits: Family, friends";
attrib  icselse      length=3     label="WR: Source of 'other' benefits: Someplace else";
attrib  icselsee     length=3     label="WR: Item WR69 DKs and Refusals";       
attrib  tcsamt       length=4     label="WR: Dollar amount of 'other' assistance";
attrib  icsncash     length=3     label="WR: Amount of 'other' assistance: No cash";
attrib  icsearl      length=3     label="WR: 'Other' assistance amount reported";
attrib  icspart      length=3     label="WR: Use specified for 'other' assistance?";
attrib  icsrent      length=3     label="WR: Particular use of 'other' cash";   
attrib  icsfood      length=3     label="WR: Particular use of 'other' cash";   
attrib  icsclos      length=3     label="WR: Particular use of 'other' assist: Clothes";
attrib  icsclok      length=3     label="WR: Particular use of 'other' assist: Clothes";
attrib  icscar       length=3     label="WR: Particular use of 'other' assistance: Car";
attrib  icsouse      length=3     label="WR: Particular use of 'other' assistance:";
attrib  icsousee     length=3     label="WR: Item WR73 DKs and Refusals";       
attrib  iwftype      length=3     label="WR: Venue of community srv/ work experience";
attrib  iwforg       length=3     label="WR: Function of gov't providing community";
attrib  iwfind       length=3     label="WR: Kind business/industry providing"; 
attrib  iwfjob       length=3     label="WR: Did work for benefits/experience lead to";
attrib  iwfcore      length=3     label="WR: FR note - work for benefits/experience";
attrib  iinqcomp     length=3     label="WR: Respondent inquiry about government";
attrib  iinqcomo     length=3     label="WR: Respondent inquiry about additional gov't";
attrib  iincafdc     length=3     label="WR: Gov't assistance inquired about: AFDC or";
attrib  iincga       length=3     label="WR: Gov't asst inquired about: General";
attrib  iincssi      length=3     label="WR: Gov't assistance inquired about: SSI";
attrib  iincfs       length=3     label="WR: Gov't assistance inquired about: Food";
attrib  iincmcd      length=3     label="WR: Gov't assistance inquired about: Medicaid";
attrib  iincwic      length=3     label="WR: Gov't assistance inquired about: WIC";
attrib  iincunem     length=3     label="WR: Gov't assist. inquire about: Unemplymnt";
attrib  iincoph      length=3     label="WR: Gov't assist. inquired about: Public";
attrib  iincener     length=3     label="WR: Gov't assistance inquired about: Energy";
attrib  iinceduc     length=3     label="WR: Gov't assist. inquired about: Education";
attrib  iincqcc      length=3     label="WR: Gov't assist. inquired about: Child care";
attrib  iinctran     length=3     label="WR: Gov't assist. inquired about:";    
attrib  iincmeal     length=3     label="WR: Gov't assistance inquired about: School";
attrib  iincoth      length=3     label="WR: Gov't assistance inquired about: Other";
attrib  iincothh     length=3     label="WR: Item WR104 DKs and Refusals";      
attrib  ininlimt     length=3     label="WR: Reason didn't apply: Exceeded time limit";
attrib  inindn       length=3     label="WR: Reason didn't apply: Don't need any";
attrib  ininimm      length=3     label="WR: Reason didn't apply: Not elig cause";
attrib  ininelig     length=3     label="WR: Reason didn't apply: Not eligible for";
attrib  inindk       length=3     label="WR: Reason didn't apply: Didn't know I could";
attrib  ininhas      length=3     label="WR: Reason didn't apply: Too much run-around,";
attrib  inintran     length=3     label="WR: Reason didn't apply: No transportation to";
attrib  ininchar     length=3     label="WR: Reason didn't apply: Don't take";  
attrib  ininwort     length=3     label="WR: Reason didn't apply: The money is not";
attrib  ininplan     length=3     label="WR: Reason didn't apply: Haven't done it";
attrib  ininavai     length=3     label="WR: Reason didn't apply: No other assist";
attrib  ininoth      length=3     label="WR: Reason didn't apply: Some other reason";
attrib  ininothh     length=3     label="WR: Item WR108 DKs and Refusals";      
attrib  ipbredyn     length=3     label="WR: Has respondent's benefit been cut?";
attrib  iredincr     length=3     label="WR: Why benefits cut: Income too high";
attrib  iredwkrq     length=3     label="WR: Why benefits cut: Work requirements not";
attrib  iredcsrq     length=3     label="WR: Why benefits cut: Child support";  
attrib  iredinfo     length=3     label="WR: Why benefits cut: Did not provide all";
attrib  iredsign     length=3     label="WR: Why benefits cut: Rejected plan";  
attrib  iredssi      length=3     label="WR: Why benefits cut: Receiving SSI";  
attrib  iredlimt     length=3     label="WR: Why benefits cut: Exceeded time limit";
attrib  iredoth      length=3     label="WR: Why benefits cut: Other reason";   
attrib  ireddk       length=3     label="WR: Item WR114 DK's and Refusals";     
attrib  ipastpub     length=3     label="WR: Past Public Assistance recipiency?";
attrib  tpastyr      length=4     label="WR: Year of past Public Assistance recipiency";
attrib  inotlimt     length=3     label="WR: Why AFDC cut? Exceeded time limit";
attrib  inotwkrq     length=3     label="WR: Why AFDC cut? Non-cooperation with work";
attrib  inotcsrq     length=3     label="WR: Why AFDC cut? Non-cooperation w/Child";
attrib  inotinfo     length=3     label="WR: Why AFDC cut? Did not provide all the";
attrib  inotbank     length=3     label="WR: Why AFDC cut? Banking eligibility";
attrib  inothigh     length=3     label="WR: Why AFDC cut? Income too high";    
attrib  inotmax      length=3     label="WR: Why AFDC cut? Had already received max";
attrib  inotsign     length=3     label="WR: Why AFDC cut? Rejected signed plan";
attrib  inotmarr     length=3     label="WR: Why AFDC cut? Got married";        
attrib  inotneed     length=3     label="WR: Why AFDC cut? No longer needed";   
attrib  inotold      length=3     label="WR: Why AFDC cut? Children too old";   
attrib  inototh      length=3     label="WR: Why AFDC cut? Other reason";       
attrib  inotdk       length=3     label="WR: Item WR116 DK's and Refusals";     
attrib  teligyr      length=4     label="WR: End date of AFDC eligibility: Year";
attrib  ialwaych     length=3     label="WR: AFDC always covered kids only ?";  
attrib  ikidwkrq     length=3     label="WR: Why no AFDC for adult,too? Work";  
attrib  ikidcsrq     length=3     label="WR: Why no AFDC for adult, too? CS";   
attrib  ikidimmi     length=3     label="WR: Why no AFDC for adult, too? Immigration";
attrib  ikidinfo     length=3     label="WR: Why no AFDC for adult?Not provide all";
attrib  ikidsign     length=3     label="WR: Why no AFDC for adult, too? Rejected";
attrib  ikidssi      length=3     label="WR: Why no AFDC for adult, too? Receiving SSI";
attrib  ikidlimt     length=3     label="WR: Why no AFDC for adult, too? Exceeded time";
attrib  ikidoth      length=3     label="WR: Why no AFDC for adult, too? Other reason";
attrib  ikiddk       length=3     label="WR: Item WR119 DK's and Refusals";     
attrib  tkdstrty     length=4     label="WR: Date of kid's own Public Assistance";
attrib  earpunv      length=3     label="PR: Universe indicator.";              
attrib  rmjb         length=3     label="PR: Main job index";                   
attrib  rmbs         length=3     label="PR: Main business index";              
attrib  rmnjbbs      length=3     label="PR: Reference job or business for topical";
attrib  eherempl     length=3     label="PR: Verification of number of employees";
attrib  aherempl     length=3     label="PR: Allocation flag for EHEREMPL";     
attrib  ttotempl     length=3     label="PR: Verification of number of employees";
attrib  atotempl     length=3     label="PR: Allocation flag for TTOTEMPL";     
attrib  tbustotl     length=3     label="PR: Verification of number of people"; 
attrib  abustotl     length=3     label="PR: Allocation flag for TBUSTOTL";     
attrib  ewksyear     length=3     label="PR: Number of weeks worked annually";  
attrib  awksyear     length=3     label="PR: Allocation flag for EWKSYEAR";     
attrib  tnumlen      length=3     label="PR: Number of years/months respondent has";
attrib  emthyear     length=3     label="PR: Units of reporting";               
attrib  anumyear     length=3     label="PR: Allocation flag for ENUMLEN and EMTHYEAR";
attrib  epensnyn     length=3     label="PR: Availability of pension or retirement";
attrib  apensnyn     length=3     label="PR: Allocation flag for EPENSNYN";     
attrib  eincpens     length=3     label="PR: Respondent's participation in pension";
attrib  aincpens     length=3     label="PR: Allocation flag for EINCPENS";     
attrib  enoina01     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina02     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina03     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina04     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina05     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina06     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina07     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina08     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina09     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina10     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina11     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina12     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina13     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina14     length=3     label="PR: Reason respondent not covered by pension";
attrib  anoina       length=3     label="PR: Allocation flag for ENOINA01-ENOINA14";
attrib  etdeffen     length=3     label="PR: Asks if pension plan is like a 401(k)";
attrib  atdeffen     length=3     label="PR: Allocation flag for ETDEFFEN";     
attrib  emultpen     length=3     label="PR: Asks how many pension plans respondent has";
attrib  amultpen     length=3     label="PR: Allocation flag for EMULTPEN";     
attrib  e1pentyp     length=3     label="PR: Asks which type of pension plan";  
attrib  a1pentyp     length=3     label="PR: Allocation flag for E1PENTYP";     
attrib  e2pentyp     length=3     label="PR: Asks second type of pension plan"; 
attrib  a2pentyp     length=3     label="PR: Allocation flag for E2PENTYP";     
attrib  e1penctr     length=3     label="PR: Asks if respondent contributes to pension";
attrib  a1penctr     length=3     label="PR: Allocation flag for E1PENCTR";     
attrib  e1taxdef     length=3     label="PR: Asks if contributions are tax-deferred";
attrib  a1taxdef     length=3     label="PR: Allocation flag for E1TAXDEF";     
attrib  e1recben     length=3     label="PR: Asks if respondent keeps retirement";
attrib  a1recben     length=3     label="PR: Allocation flag for E1RECBEN";     
attrib  e1lvlmps     length=3     label="PR: Asks if respondent can get lump-sum";
attrib  a1lvlmps     length=3     label="PR: Allocation flag for E1LVLMPS";     
attrib  t1yrsinc     length=3     label="PR: Asks number of years in the plan"; 
attrib  a1yrsinc     length=3     label="PR: Allocation flag for T1YRSINC";     
attrib  e1ssofst     length=3     label="PR: Asks if benefits affected by social";
attrib  a1ssofst     length=3     label="PR: Allocation flag for E1SSOFST";     
attrib  t1yrcont     length=5     label="PR: Asks amount contributed to plan last year";
attrib  a1yrcont     length=3     label="PR: Allocation flag for T1YRCONT";     
attrib  t1totamt     length=5     label="PR: Asks plan balance at end of reference";
attrib  a1totamt     length=3     label="PR: Allocation flag for T1TOTAMT";     
attrib  e2penctr     length=3     label="PR: Asks if respondent contributes to second";
attrib  a2penctr     length=3     label="PR: Allocation flag for E2PENCTR";     
attrib  e2taxdef     length=3     label="PR: Asks if contributions are tax-deferred";
attrib  a2taxdef     length=3     label="PR: Allocation flag for E2TAXDEF";     
attrib  e2recben     length=3     label="PR: Asks if respondent keeps benefits";
attrib  a2recben     length=3     label="PR: Allocation flag for E2RECBEN";     
attrib  e2lvlmps     length=3     label="PR: Asks if respondent can get lump-sum";
attrib  a2lvlmps     length=3     label="PR: Allocation flag for E2LVLMPS";     
attrib  t2yrsinc     length=3     label="PR: Asks number of years in second plan";
attrib  a2yrsinc     length=3     label="PR: Allocation flag for T2YRSINC";     
attrib  e2ssofst     length=3     label="PR: Asks if Soc. Sec. participation affects";
attrib  a2ssofst     length=3     label="PR: Allocation flag for E2SSOFST";     
attrib  t2yrcont     length=5     label="PR: Asks amount contributed to second plan";
attrib  a2yrcont     length=3     label="PR: Allocation flag for T2YRCONT";     
attrib  t2totamt     length=5     label="PR: Asks second plan balance";         
attrib  a2totamt     length=3     label="PR: Allocation flag for T2TOTAMT";     
attrib  e3taxdef     length=3     label="PR: Availability of tax-deferred retirement";
attrib  a3taxdef     length=3     label="PR: Allocation flag for E3TAXDEF";     
attrib  e3partic     length=3     label="PR: Participation in tax-deferred retirement";
attrib  a3partic     length=3     label="PR: Allocation flag for E3PARTIC";     
attrib  enoinb01     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb02     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb03     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb04     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb05     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb06     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb07     length=3     label="PR: Reason respondent is not covered"; 
attrib  enoinb08     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb09     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb10     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb11     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb12     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb13     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb14     length=3     label="PR: Reason respondent not covered by pension";
attrib  anoinb       length=3     label="PR: Allocation flag for ENOINB01 - ENOINB14";
attrib  ematchyn     length=3     label="PR: Contributions to the plan by employer";
attrib  amatchyn     length=3     label="PR: Allocation flag for EMATCHYN";     
attrib  efutpart     length=3     label="PR: Respondent expectation of future"; 
attrib  afutpart     length=3     label="PR: Allocation flag for EFUTPART";     
attrib  tslfcon1     length=5     label="PR: Amount of respondent's contributions";
attrib  eslfcon2     length=3     label="PR: Frequency of contributions";       
attrib  eslfcon3     length=8     label="PR: Percent of salary contributed";    
attrib  aslfcon3     length=3     label="PR: Allocation flag for ESLFCON3";     
attrib  eempcont     length=3     label="PR: Asks if job/business contribute towards";
attrib  aempcont     length=3     label="PR: Allocation flag for EEMPCONT";     
attrib  econtdep     length=3     label="PR: Asks about linkage of contribution amounts";
attrib  acontdep     length=3     label="PR: Allocation flag for ECONTDEP";     
attrib  tjbcont1     length=5     label="PR: Amount of job/business contributions to";
attrib  ajbcont1     length=3     label="PR: Allocation flag for TJBCONT1";     
attrib  ejbcont2     length=3     label="PR: Frequency of contributions";       
attrib  ajbcont2     length=3     label="PR: Allocation flag for EJBCONT2";     
attrib  ejbcont3     length=8     label="PR: Percent of salary contibuted";     
attrib  ajbcont3     length=3     label="PR: Allocation flag for EJBCONT3";     
attrib  ejbcont4     length=3     label="PR: Other types of contributions";     
attrib  einvchos     length=3     label="PR: Can respondent choose how money is";
attrib  ainvchos     length=3     label="PR: Allocation flag for EINVCHOS";     
attrib  einvsdec     length=3     label="PR: Can respondent choose how money is";
attrib  ainvsdec     length=3     label="PR: Allocation flag for EINVSDEC";     
attrib  ehowinv1     length=3     label="PR: Investment type selected for plan";
attrib  ehowinv2     length=3     label="PR: Investment type selected for plan";
attrib  ehowinv3     length=3     label="PR: Investment type selected for plan";
attrib  ehowinv4     length=3     label="PR: Investment type selected for plan";
attrib  ehowinv5     length=3     label="PR: Investment type selected for plan";
attrib  ehowinv6     length=3     label="PR: Investment type selected for plan";
attrib  ehowinv7     length=3     label="PR: Investment type selected for plan";
attrib  ehowinv8     length=3     label="PR: Investment type selected for plan";
attrib  ahowinvs     length=3     label="PR: Allocation flag for EHOWINV1 - EHOWINV8";
attrib  emostinv     length=3     label="PR: Investment receiving largest share";
attrib  amostinv     length=3     label="PR: Allocation flag for EMOSTINV";     
attrib  t3totamt     length=5     label="PR: Plan balance";                     
attrib  a3totamt     length=3     label="PR: Allocation flag for T3TOTAMT";     
attrib  epenloan     length=3     label="PR: Withdrawal of money from plan as loan";
attrib  apenloan     length=3     label="PR: Allocation flag for EPENLOAN";     
attrib  eletloan     length=3     label="PR: Does respondent's plan permit loan";
attrib  aletloan     length=3     label="PR: Allocation flag for ELETLOAN";     
attrib  tloanbal     length=5     label="PR: Current balance due on loan";      
attrib  aloanbal     length=3     label="PR: Allocation flag for TLOANBAL";     
attrib  eothrpen     length=3     label="PR: Pension plan(s) with second job/business";
attrib  aothrpen     length=3     label="PR: Allocation flag for EOTHRPEN";     
attrib  eprevpen     length=3     label="PR: Pension plan(s) with previous job/business";
attrib  aprevpen     length=3     label="PR: Allocation flag for EPREVPEN";     
attrib  eprevexp     length=3     label="PR: Previous plans with benefits not yet";
attrib  aprevexp     length=3     label="PR: Allocation flag for EPREVEXP";     
attrib  tprevyrs     length=3     label="PR: Years worked before receiving pension";
attrib  aprevyrs     length=3     label="PR: Allocation flag for TPREVYRS";     
attrib  ewhnleft     length=4     label="PR: Year respondent left previous job/business";
attrib  awhnleft     length=3     label="PR: Allocation flag for EWHNLEFT";     
attrib  eprevtyp     length=3     label="PR: How job's benefits are determined";
attrib  aprevtyp     length=3     label="PR: Allocation flag for EPREVTYP";     
attrib  tprevamt     length=5     label="PR: Balance in retirement/pension plan";
attrib  aprevamt     length=3     label="PR: Allocation flag for TPREVAMT";     
attrib  eprewith     length=3     label="PR: Withdrawal allowed from pension plan";
attrib  aprewith     length=3     label="PR: Allocation flag for EPREWITH";     
attrib  eprevlmp     length=3     label="PR: Recipiency of lump-sum from a plan";
attrib  aprevlmp     length=3     label="PR: Allocation flag for EPREVLMP";     
attrib  ewhyleft     length=3     label="PR: Reason for leaving previous job or";
attrib  awhyleft     length=3     label="PR: Allocation flag for EWHYLEFT";     
attrib  esurvlmp     length=3     label="PR: Recipiency of lump-sum survivor benefits";
attrib  asurvlmp     length=3     label="PR: Allocation flag for ESURVLMP";     
attrib  elumpnum     length=$2    label="PR: Number of lump-sum distributions received";
attrib  alumpnum     length=$1    label="PR: Allocation flag for ELUMPNUM";     
attrib  elmpyear     length=4     label="PR: Year latest lump-sum or rollover was";
attrib  almpyear     length=3     label="PR: Allocation flag for ELMPYEAR";     
attrib  elumpn97     length=3     label="PR: Lump-sum payments for 2008";       
attrib  alumpn97     length=3     label="PR: Allocation flag for ELUMPN97";     
attrib  elumpsrc     length=3     label="PR: Source of lump-sum payment";       
attrib  alumpsrc     length=3     label="PR: Allocation flag for ELUMPSRC";     
attrib  elumphow     length=3     label="PR: Type of Lump-sum payment withdrawal";
attrib  alumphow     length=3     label="PR: Allocation flag for ELUMPHOW";     
attrib  tlumptot     length=5     label="PR: Total amount of lump-sum payment"; 
attrib  alumptot     length=3     label="PR: Allocation flag for TLUMPTOT";     
attrib  elumprec     length=3     label="PR: Lump-sum payment retained or rolled over";
attrib  alumprec     length=3     label="PR: Allocation flag for ELUMPREC";     
attrib  elmproll     length=3     label="PR: Lump-sum payment retained or rolled over";
attrib  almproll     length=3     label="PR: Allocation flag for ELMPROLL";     
attrib  elmpwher     length=3     label="PR: Type of plan used for rollover";   
attrib  almpwher     length=3     label="PR: Allocation flag for ELMPWHER";     
attrib  elumpent     length=3     label="PR: Rollover of all or part of lump-sum";
attrib  alumpent     length=3     label="PR: Allocation flag for ELUMPENT";     
attrib  elmpsp01     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp02     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp03     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp04     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp05     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp06     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp07     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp08     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp09     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp10     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp11     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp12     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp13     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp14     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp15     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp16     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp17     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp18     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp19     length=3     label="PR: Use of lump-sum payment";          
attrib  almpsp       length=3     label="PR: Allocation flag for ELMPSP01-ELMPSP19";
attrib  epenlng1     length=3     label="PR: For the rest of life payments";    
attrib  epenlng2     length=3     label="PR: Limited number of payments";       
attrib  epengng3     length=3     label="PR: Lump sum payments";                
attrib  apenlgth     length=3     label="PR: Allocation flag for EPENLNG1-EPENLNG2 and";
attrib  epennumb     length=3     label="PR: Income received from more than one plan";
attrib  apennumb     length=3     label="PR: Allocation flag for EPENNUMB";     
attrib  epennums     length=3     label="PR: Number of plans producing income"; 
attrib  apennums     length=3     label="PR: Allocation flag for EPENNUMS";     
attrib  epensrce     length=3     label="PR: Pension from own or former spouse's";
attrib  apensrce     length=3     label="PR: Allocation flag for EPENSRCE";     
attrib  epenwhen     length=4     label="PR: Year when receipts from pension began";
attrib  apenwhen     length=3     label="PR: Allocation flag for EPENWHEN";     
attrib  epenbase     length=3     label="PR: Calculation method of pension amount";
attrib  apenbase     length=3     label="PR: Allocation flag for EPENBASE";     
attrib  epensurv     length=3     label="PR: Reduced benefits for survivor's option";
attrib  apensurv     length=3     label="PR: Allocation flag for EPENSURV";     
attrib  epenincr     length=3     label="PR: Has pension amount ever increased";
attrib  apenincr     length=3     label="PR: Allocation flag for EPENINCR";     
attrib  epencola     length=3     label="PR: Cost-of-living adjustments";       
attrib  apencola     length=3     label="PR: Allocation flag for EPENCOLA";     
attrib  ependecr     length=3     label="PR: Increment in pension payment";     
attrib  apendecr     length=3     label="PR: Allocation flag for EPENDECR";     
attrib  tpensamt     length=5     label="PR: Recode for current monthly pension amount";
attrib  apensamt     length=3     label="PR: Allocation flag for TPENSAMT";     
attrib  tpenamt1     length=6     label="PR: Initial monthly pension payment amount";
attrib  apenamt1     length=3     label="PR: Allocation flag for TPENAMT1";     
attrib  elmpsrce     length=3     label="PR: Source of most recent lump-sum payment";
attrib  almpsrce     length=3     label="PR: Allocation flag for ELMPSRCE";     
attrib  ejobreti     length=3     label="PR: Retired from a job or business";   
attrib  ajobreti     length=3     label="PR: Allocation flag for EJOBRETI";     
attrib  ewrk5yrs     length=3     label="PR: Worked for five years or more";    
attrib  awrk5yrs     length=3     label="PR: Allocation flag for EWRK5YRS";     
attrib  escrepen     length=3     label="PR: Retirement benefits from job or business";
attrib  ascrepen     length=3     label="PR: Allocation flag for ESCREPEN";     
attrib  ejbindrp     length=4     label="PR: Job industry code";                
attrib  ajbindrp     length=3     label="PR: Allocation flag for EJBINDRP";     
attrib  tjboccrp     length=4     label="PR: Job occupational code";            
attrib  ajboccrp     length=3     label="PR: Allocation flag for EJBOCCRP";     
attrib  rclwrkr      length=3     label="PR: Class of worker recode";           
attrib  aclwrkr      length=3     label="PR: Allocation flag for Class of worker";
attrib  emultloc     length=3     label="PR: Number of employer's locations";   
attrib  amultloc     length=3     label="PR: Allocation flag for EMULTLOC";     
attrib  enumwork     length=3     label="PR: Number of employees";              
attrib  anumwork     length=3     label="PR: Allocation flag for ENUMWORK";     
attrib  eemplall     length=3     label="PR: Number of employees at all locations";
attrib  aemplall     length=3     label="PR: Allocation flag for TEMPLALL";     
attrib  eunionyn     length=3     label="PR: Union/employee association contract";
attrib  aunionyn     length=3     label="PR: Allocation flag for EUNIONYN";     
attrib  thrsweek     length=3     label="PR: Hours per week at past job";       
attrib  ahrsweek     length=3     label="PR: Allocation flag for THRSWEEK";     
attrib  ewksyrs      length=3     label="PR: Weeks per year at past job";       
attrib  awksyrs      length=3     label="PR: Allocation flag for EWKSYRS";      
attrib  tyrswrkd     length=3     label="PR: Total years worked at past job";   
attrib  ayrswrkd     length=3     label="PR: Allocation flag for TYRSWRKD";     
attrib  eyrlrftj     length=4     label="PR: Year left past job";               
attrib  ayrlrftj     length=3     label="PR: Allocation flag for EYRLRFTJ";     
attrib  ternlev1     length=5     label="PR: Amount of pre-tax earnings at past job";
attrib  eernlev2     length=3     label="PR: Frequency of earnings at past job";
attrib  aernleav     length=3     label="PR: Allocation flag for TERNLEV1-EERNLEV2";
attrib  ehlthpln     length=3     label="PR: Current health plan from former employer";
attrib  ahlthpln     length=3     label="PR: Allocation flag for EHLTHPLN";     
attrib  tbsindrp     length=3     label="PR: Business industry code";           
attrib  absindrp     length=3     label="PR: Allocation flag for EBSINDRP";     
attrib  ebsoccrp     length=4     label="PR: Business occupational code";       
attrib  absoccrp     length=3     label="PR: Allocation flag for EBSOCCRP";     
attrib  tmakempl     length=3     label="PR: Maximum number of employees";      
attrib  amakempl     length=3     label="PR: Allocation flag for TMAKEMPL";     
attrib  ebusninc     length=3     label="PR: Was respondent's business incorporated";
attrib  abusninc     length=3     label="PR: Allocation flag for EBUSNINC";     
attrib  tbushrsw     length=3     label="PR: Number of hours per week";         
attrib  abushrsw     length=3     label="PR: Allocation flag for TBUSHRSW";     
attrib  ebuswksy     length=3     label="PR: Number of weeks per year";         
attrib  abuswksy     length=3     label="PR: Allocation flag for EBUSWKSY";     
attrib  tbuslong     length=3     label="PR: Number of years";                  
attrib  abuslong     length=3     label="PR: Allocation flag for TBUSLONG";     
attrib  ebusleav     length=4     label="PR: Year respondent left own business";
attrib  abusleav     length=3     label="PR: Allocation flag for EBUSLEAV";     
attrib  tbusern1     length=5     label="PR: Pre-tax earnings at past business";
attrib  ebusern2     length=3     label="PR: Frequency of earnings";            
attrib  abusern      length=3     label="PR: Allocation flag for TBUSERN1-EBUSERN2";
attrib  ebushlth     length=3     label="PR: Present health plan by former business";
attrib  abushlth     length=3     label="PR: Allocation flag for EBUSHLTH";     
attrib  estdlvng     length=3     label="PR: Standard of living query";         
attrib  astdlvng     length=3     label="PR: Allocation flag for ESTDLVNG";     
attrib  rtmeeno      length=3     label="PR: Main job number";                  
attrib  rtmebno      length=3     label="PR: Main business number";             


INPUT

@1    ssuseq       5. 
@6    ssuid      $12. 
@18   spanel       4. 
@22   swave        2. 
@24   srotaton     1. 
@25   tfipsst      2. 
@27   shhadid      3. 
@30   eoutcome     3. 
@33   rfid         3. 
@36   rfid2        3. 
@39   eppidx       3. 
@42   eentaid     $3. 
@45   epppnum     $4. 
@49   epopstat     1. 
@50   eppintvw     2. 
@52   eppmis4      1. 
@53   esex         1. 
@54   erace        1. 
@55   eorigin      2. 
@57   wpfinwgt   10.4 
@67   errp         2. 
@69   tage         2. 
@71   ems          1. 
@72   epnspous     4. 
@76   epnmom       4. 
@80   epndad       4. 
@84   epnguard     4. 
@88   rdesgpnt     2. 
@90   eeducate     2. 
@92   lgtkey      $8. 
@100  sinthhid     3. 
@103  eawrunv      2. 
@105  iinccat      2. 
@107  ipayn        2. 
@109  ipayn2       2. 
@111  itraihyn     2. 
@113  ihlphire     1. 
@114  ihlptrai     1. 
@115  ihlpwage     1. 
@116  ihlpdk       2. 
@118  ifoodhyn     2. 
@120  iclothyn     2. 
@122  ihoushyn     2. 
@124  icsuphyn     2. 
@126  iothhyn      2. 
@128  ijobhelp     2. 
@130  ireqinc      2. 
@132  ireqcs       2. 
@134  ireqpat      2. 
@136  ireqdt       2. 
@138  ijhrusu      2. 
@140  ijhint       2. 
@142  ijhdres      2. 
@144  ijhself      2. 
@146  ijhcomp      2. 
@148  ijhcler      2. 
@150  ijhmach      2. 
@152  ijhojs       2. 
@154  ijhged       2. 
@156  ijhcol       2. 
@158  ijhlit       2. 
@160  ijhlis       2. 
@162  ijheng       2. 
@164  ijhoth       2. 
@166  ijcomptr     2. 
@168  ijhjobyn     2. 
@170  ijhpayyn     2. 
@172  inumpay      2. 
@174  igasvyn      2. 
@176  itokyn       2. 
@178  icaryn       2. 
@180  irideyn      2. 
@182  iothtyn      2. 
@184  icctype      2. 
@186  iccpayyn     2. 
@188  iccempyn     2. 
@190  iccwho       2. 
@192  icccov01     4. 
@196  icccov02     4. 
@200  icccov03     4. 
@204  icccov04     4. 
@208  icccov05     4. 
@212  icccov06     4. 
@216  icccov07     4. 
@220  iccrel       2. 
@222  iccdayc      2. 
@224  iccsitt      2. 
@226  iccaft       2. 
@228  ifavou       2. 
@230  ifagroc      2. 
@232  ifameal      2. 
@234  ifaoth       2. 
@236  ivouga       1. 
@237  ivouhar      1. 
@238  ivoufam      1. 
@239  ivouoth      1. 
@240  ivouthh      2. 
@242  icaga        1. 
@243  icachar      1. 
@244  icafam       1. 
@245  icaemp       1. 
@246  icaoth       1. 
@247  icaothh      2. 
@249  ihatype      2. 
@251  ihatype2     2. 
@253  ihaga        1. 
@254  ihahous      1. 
@255  ihachar      1. 
@256  ihaoth       1. 
@257  ihaothh      2. 
@259  icashsc      2. 
@261  icashhm      2. 
@263  icashal      2. 
@265  icashuse     2. 
@267  icashren     1. 
@268  icashfoo     1. 
@269  icashcs      1. 
@270  icashck      1. 
@271  icashcar     1. 
@272  icashoth     2. 
@274  icashohh     2. 
@276  icsagen      1. 
@277  icswelf      1. 
@278  icsoth       1. 
@279  icsothh      2. 
@281  icspat       2. 
@283  icsabs       2. 
@285  icscourt     2. 
@287  icscoll      2. 
@289  icsoth2      2. 
@291  icsgov       1. 
@292  icschar      1. 
@293  icsfam       1. 
@294  icselse      1. 
@295  icselsee     2. 
@297  tcsamt       4. 
@301  icsncash     2. 
@303  icsearl      2. 
@305  icspart      2. 
@307  icsrent      1. 
@308  icsfood      1. 
@309  icsclos      1. 
@310  icsclok      1. 
@311  icscar       1. 
@312  icsouse      1. 
@313  icsousee     2. 
@315  iwftype      2. 
@317  iwforg       2. 
@319  iwfind       2. 
@321  iwfjob       2. 
@323  iwfcore      2. 
@325  iinqcomp     2. 
@327  iinqcomo     2. 
@329  iincafdc     1. 
@330  iincga       1. 
@331  iincssi      1. 
@332  iincfs       1. 
@333  iincmcd      1. 
@334  iincwic      1. 
@335  iincunem     1. 
@336  iincoph      1. 
@337  iincener     1. 
@338  iinceduc     1. 
@339  iincqcc      1. 
@340  iinctran     1. 
@341  iincmeal     1. 
@342  iincoth      1. 
@343  iincothh     2. 
@345  ininlimt     1. 
@346  inindn       1. 
@347  ininimm      1. 
@348  ininelig     1. 
@349  inindk       1. 
@350  ininhas      1. 
@351  inintran     1. 
@352  ininchar     1. 
@353  ininwort     1. 
@354  ininplan     1. 
@355  ininavai     1. 
@356  ininoth      1. 
@357  ininothh     2. 
@359  ipbredyn     2. 
@361  iredincr     1. 
@362  iredwkrq     1. 
@363  iredcsrq     1. 
@364  iredinfo     1. 
@365  iredsign     1. 
@366  iredssi      1. 
@367  iredlimt     1. 
@368  iredoth      1. 
@369  ireddk       2. 
@371  ipastpub     2. 
@373  tpastyr      4. 
@377  inotlimt     1. 
@378  inotwkrq     1. 
@379  inotcsrq     1. 
@380  inotinfo     1. 
@381  inotbank     1. 
@382  inothigh     1. 
@383  inotmax      1. 
@384  inotsign     1. 
@385  inotmarr     1. 
@386  inotneed     1. 
@387  inotold      1. 
@388  inototh      1. 
@389  inotdk       2. 
@391  teligyr      4. 
@395  ialwaych     2. 
@397  ikidwkrq     1. 
@398  ikidcsrq     1. 
@399  ikidimmi     1. 
@400  ikidinfo     1. 
@401  ikidsign     1. 
@402  ikidssi      1. 
@403  ikidlimt     1. 
@404  ikidoth      1. 
@405  ikiddk       2. 
@407  tkdstrty     4. 
@411  earpunv      2. 
@413  rmjb         2. 
@415  rmbs         2. 
@417  rmnjbbs      2. 
@419  eherempl     2. 
@421  aherempl     1. 
@422  ttotempl     2. 
@424  atotempl     1. 
@425  tbustotl     2. 
@427  abustotl     1. 
@428  ewksyear     2. 
@430  awksyear     1. 
@431  tnumlen      2. 
@433  emthyear     2. 
@435  anumyear     1. 
@436  epensnyn     2. 
@438  apensnyn     1. 
@439  eincpens     2. 
@441  aincpens     1. 
@442  enoina01     2. 
@444  enoina02     2. 
@446  enoina03     2. 
@448  enoina04     2. 
@450  enoina05     2. 
@452  enoina06     2. 
@454  enoina07     2. 
@456  enoina08     2. 
@458  enoina09     2. 
@460  enoina10     2. 
@462  enoina11     2. 
@464  enoina12     2. 
@466  enoina13     2. 
@468  enoina14     2. 
@470  anoina       1. 
@471  etdeffen     2. 
@473  atdeffen     1. 
@474  emultpen     2. 
@476  amultpen     1. 
@477  e1pentyp     2. 
@479  a1pentyp     1. 
@480  e2pentyp     2. 
@482  a2pentyp     1. 
@483  e1penctr     2. 
@485  a1penctr     1. 
@486  e1taxdef     2. 
@488  a1taxdef     1. 
@489  e1recben     2. 
@491  a1recben     1. 
@492  e1lvlmps     2. 
@494  a1lvlmps     1. 
@495  t1yrsinc     2. 
@497  a1yrsinc     1. 
@498  e1ssofst     2. 
@500  a1ssofst     1. 
@501  t1yrcont     8. 
@509  a1yrcont     1. 
@510  t1totamt     8. 
@518  a1totamt     1. 
@519  e2penctr     2. 
@521  a2penctr     1. 
@522  e2taxdef     2. 
@524  a2taxdef     1. 
@525  e2recben     2. 
@527  a2recben     1. 
@528  e2lvlmps     2. 
@530  a2lvlmps     1. 
@531  t2yrsinc     2. 
@533  a2yrsinc     1. 
@534  e2ssofst     2. 
@536  a2ssofst     2. 
@538  t2yrcont     8. 
@546  a2yrcont     1. 
@547  t2totamt     8. 
@555  a2totamt     1. 
@556  e3taxdef     2. 
@558  a3taxdef     1. 
@559  e3partic     2. 
@561  a3partic     1. 
@562  enoinb01     2. 
@564  enoinb02     2. 
@566  enoinb03     2. 
@568  enoinb04     2. 
@570  enoinb05     2. 
@572  enoinb06     2. 
@574  enoinb07     2. 
@576  enoinb08     2. 
@578  enoinb09     2. 
@580  enoinb10     2. 
@582  enoinb11     2. 
@584  enoinb12     2. 
@586  enoinb13     2. 
@588  enoinb14     2. 
@590  anoinb       1. 
@591  ematchyn     2. 
@593  amatchyn     1. 
@594  efutpart     2. 
@596  afutpart     1. 
@597  tslfcon1     8. 
@605  eslfcon2     2. 
@607  eslfcon3    4.2 
@611  aslfcon3     1. 
@612  eempcont     2. 
@614  aempcont     1. 
@615  econtdep     2. 
@617  acontdep     1. 
@618  tjbcont1     8. 
@626  ajbcont1     1. 
@627  ejbcont2     2. 
@629  ajbcont2     1. 
@630  ejbcont3    4.2 
@634  ajbcont3     1. 
@635  ejbcont4     2. 
@637  einvchos     2. 
@639  ainvchos     1. 
@640  einvsdec     2. 
@642  ainvsdec     1. 
@643  ehowinv1     2. 
@645  ehowinv2     2. 
@647  ehowinv3     2. 
@649  ehowinv4     2. 
@651  ehowinv5     2. 
@653  ehowinv6     2. 
@655  ehowinv7     2. 
@657  ehowinv8     2. 
@659  ahowinvs     1. 
@660  emostinv     2. 
@662  amostinv     1. 
@663  t3totamt     8. 
@671  a3totamt     1. 
@672  epenloan     2. 
@674  apenloan     1. 
@675  eletloan     2. 
@677  aletloan     1. 
@678  tloanbal     8. 
@686  aloanbal     1. 
@687  eothrpen     2. 
@689  aothrpen     1. 
@690  eprevpen     2. 
@692  aprevpen     1. 
@693  eprevexp     2. 
@695  aprevexp     1. 
@696  tprevyrs     2. 
@698  aprevyrs     1. 
@699  ewhnleft     4. 
@703  awhnleft     1. 
@704  eprevtyp     2. 
@706  aprevtyp     1. 
@707  tprevamt     8. 
@715  aprevamt     1. 
@716  eprewith     2. 
@718  aprewith     1. 
@719  eprevlmp     2. 
@721  aprevlmp     1. 
@722  ewhyleft     2. 
@724  awhyleft     1. 
@725  esurvlmp     2. 
@727  asurvlmp     1. 
@728  elumpnum    $2. 
@730  alumpnum    $1. 
@731  elmpyear     4. 
@735  almpyear     1. 
@736  elumpn97     2. 
@738  alumpn97     1. 
@739  elumpsrc     2. 
@741  alumpsrc     1. 
@742  elumphow     2. 
@744  alumphow     1. 
@745  tlumptot     8. 
@753  alumptot     1. 
@754  elumprec     2. 
@756  alumprec     1. 
@757  elmproll     2. 
@759  almproll     1. 
@760  elmpwher     2. 
@762  almpwher     1. 
@763  elumpent     2. 
@765  alumpent     1. 
@766  elmpsp01     2. 
@768  elmpsp02     2. 
@770  elmpsp03     2. 
@772  elmpsp04     2. 
@774  elmpsp05     2. 
@776  elmpsp06     2. 
@778  elmpsp07     2. 
@780  elmpsp08     2. 
@782  elmpsp09     2. 
@784  elmpsp10     2. 
@786  elmpsp11     2. 
@788  elmpsp12     2. 
@790  elmpsp13     2. 
@792  elmpsp14     2. 
@794  elmpsp15     2. 
@796  elmpsp16     2. 
@798  elmpsp17     2. 
@800  elmpsp18     2. 
@802  elmpsp19     2. 
@804  almpsp       1. 
@805  epenlng1     2. 
@807  epenlng2     2. 
@809  epengng3     2. 
@811  apenlgth     1. 
@812  epennumb     2. 
@814  apennumb     1. 
@815  epennums     2. 
@817  apennums     1. 
@818  epensrce     2. 
@820  apensrce     1. 
@821  epenwhen     4. 
@825  apenwhen     1. 
@826  epenbase     2. 
@828  apenbase     1. 
@829  epensurv     2. 
@831  apensurv     1. 
@832  epenincr     2. 
@834  apenincr     1. 
@835  epencola     2. 
@837  apencola     1. 
@838  ependecr     2. 
@840  apendecr     1. 
@841  tpensamt     8. 
@849  apensamt     1. 
@850  tpenamt1     9. 
@859  apenamt1     1. 
@860  elmpsrce     2. 
@862  almpsrce     1. 
@863  ejobreti     2. 
@865  ajobreti     1. 
@866  ewrk5yrs     2. 
@868  awrk5yrs     1. 
@869  escrepen     2. 
@871  ascrepen     1. 
@872  ejbindrp     4. 
@876  ajbindrp     1. 
@877  tjboccrp     4. 
@881  ajboccrp     1. 
@882  rclwrkr      2. 
@884  aclwrkr      1. 
@885  emultloc     2. 
@887  amultloc     1. 
@888  enumwork     2. 
@890  anumwork     1. 
@891  eemplall     2. 
@893  aemplall     1. 
@894  eunionyn     2. 
@896  aunionyn     1. 
@897  thrsweek     3. 
@900  ahrsweek     1. 
@901  ewksyrs      2. 
@903  awksyrs      1. 
@904  tyrswrkd     2. 
@906  ayrswrkd     1. 
@907  eyrlrftj     4. 
@911  ayrlrftj     1. 
@912  ternlev1     8. 
@920  eernlev2     2. 
@922  aernleav     1. 
@923  ehlthpln     2. 
@925  ahlthpln     1. 
@926  tbsindrp     2. 
@928  absindrp     1. 
@929  ebsoccrp     4. 
@933  absoccrp     1. 
@934  tmakempl     2. 
@936  amakempl     1. 
@937  ebusninc     2. 
@939  abusninc     1. 
@940  tbushrsw     3. 
@943  abushrsw     1. 
@944  ebuswksy     2. 
@946  abuswksy     1. 
@947  tbuslong     2. 
@949  abuslong     1. 
@950  ebusleav     4. 
@954  abusleav     1. 
@955  tbusern1     8. 
@963  ebusern2     2. 
@965  abusern      1. 
@966  ebushlth     2. 
@968  abushlth     1. 
@969  estdlvng     2. 
@971  astdlvng     1. 
@972  rtmeeno      2. 
@974  rtmebno      2. 
;

**------------------------------------------------;
** The PROC FORMAT statement will store the formats ;
** in a sas data set called fsippp08putm3 ;
** To use the stored formats in a subsequent program, ;
** use code like the following;

** proc format cntlin=library.fsppp08putm3;
** PROC freq;
**        tables pesex ;
**        format pesex      P135L.;

** For more information, consult PROC FORMAT in the SAS Procedures Guide ;
**-----------------------------------------------;

PROC FORMAT cntlout=library.fsppp08putm3;

;
VALUE spanel  	(default=32)
	2008      =  "Panel Year"                    
;
VALUE tfipsst 	(default=32)
	1         =  "Alabama"                       
	2         =  "Alaska"                        
	4         =  "Arizona"                       
	5         =  "Arkansas"                      
	6         =  "California"                    
	8         =  "Colorado"                      
	9         =  "Connecticut"                   
	10        =  "Delaware"                      
	11        =  "DC"                            
	12        =  "Florida"                       
	13        =  "Georgia"                       
	15        =  "Hawaii"                        
	16        =  "Idaho"                         
	17        =  "Illinois"                      
	18        =  "Indiana"                       
	19        =  "Iowa"                          
	20        =  "Kansas"                        
	21        =  "Kentucky"                      
	22        =  "Louisiana"                     
	23        =  "Maine"                         
	24        =  "Maryland"                      
	25        =  "Massachusetts"                 
	26        =  "Michigan"                      
	27        =  "Minnesota"                     
	28        =  "Mississippi"                   
	29        =  "Missouri"                      
	30        =  "Montana"                       
	31        =  "Nebraska"                      
	32        =  "Nevada"                        
	33        =  "New Hampshire"                 
	34        =  "New Jersey"                    
	35        =  "New Mexico"                    
	36        =  "New York"                      
	37        =  "North Carolina"                
	38        =  "North Dakota"                  
	39        =  "Ohio"                          
	40        =  "Oklahoma"                      
	41        =  "Oregon"                        
	42        =  "Pennsylvania"                  
	44        =  "Rhode Island"                  
	45        =  "South Carolina"                
	46        =  "South Dakota"                  
	47        =  "Tennessee"                     
	48        =  "Texas"                         
	49        =  "Utah"                          
	50        =  "Vermont"                       
	51        =  "Virginia"                      
	53        =  "Washington"                    
	54        =  "West Virginia"                 
	55        =  "Wisconsin"                     
	56        =  "Wyoming"                       
;
VALUE eoutcome	(default=32)
	201       =  "Completed interview"           
	203       =  "Compl. partial- missing data; no"
	207       =  "Complete partial - TYPE-Z; no" 
	213       =  "TYPE-A, language problem"      
	216       =  "TYPE-A, no one home (noh)"     
	217       =  "TYPE-A, temporarily absent (ta)"
	218       =  "TYPE-A, hh refused"            
	219       =  "TYPE-A, other occupied (specify)"
	234       =  "TYPE-B, entire hh institut. or"
	248       =  "TYPE-C, other (specify)"       
	249       =  "TYPE-C, sample adjustment"     
	250       =  "TYPE-C, hh deceased"           
	251       =  "TYPE-C, moved out of country"  
	252       =  "TYPE-C, living in armed forces"
	253       =  "TYPE-C, on active duty in Armed"
	254       =  "TYPE-C, no one over age 15 years"
	255       =  "TYPE-C, no Wave 1 persons"     
	260       =  "TYPE-D, moved address unknown" 
	261       =  "TYPE-D, moved within U.S. but" 
	262       =  "TYPE-C, merged with another SIPP"
	270       =  "TYPE-C, mover, no longer located"
	271       =  "TYPE-C, mover, new address"    
	280       =  "TYPE-D, mover, no longer located"
;
VALUE rfid2l  	(default=32)
	-1        =  "Not in Universe"               
;
VALUE epopstat	(default=32)
	1         =  "Adult (15 years of age or older)"
	2         =  "Child (Under 15 years of age)" 
;
VALUE eppintvw	(default=32)
	1         =  "Interview (self)"              
	2         =  "Interview (proxy)"             
	3         =  "Noninterview - Type Z"         
	4         =  "Noninterview - pseudo Type Z." 
	5         =  "Children under 15 during"      
;
VALUE eppmis4l	(default=32)
	1         =  "Interview"                     
	2         =  "Non-interview"                 
;
VALUE esex    	(default=32)
	1         =  "Male"                          
	2         =  "Female"                        
;
VALUE erace   	(default=32)
	1         =  "White alone"                   
	2         =  "Black alone"                   
	3         =  "Asian alone"                   
	4         =  "Residual"                      
;
VALUE eorigin 	(default=32)
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE errp    	(default=32)
	1         =  "Reference person with related" 
	2         =  "Reference Person without related"
	3         =  "Spouse of reference person"    
	4         =  "Child of reference person"     
	5         =  "Grandchild of reference person"
	6         =  "Parent of reference person"    
	7         =  "Brother/sister of reference person"
	8         =  "Other relative of reference person"
	9         =  "Foster child of reference person"
	10        =  "Unmarried partner of reference"
	11        =  "Housemate/roommate"            
	12        =  "Roomer/boarder"                
	13        =  "Other non-relative of reference"
;
VALUE tage    	(default=32)
	0         =  "Less than 1 full year old"     
;
VALUE ems     	(default=32)
	1         =  "Married, spouse present"       
	2         =  "Married, spouse absent"        
	3         =  "Widowed"                       
	4         =  "Divorced"                      
	5         =  "Separated"                     
	6         =  "Never Married"                 
;
VALUE epnspous	(default=32)
	9999      =  "Spouse not in household or person"
;
VALUE epnmom  	(default=32)
	9999      =  "No mother in household"        
;
VALUE epndad  	(default=32)
	9999      =  "No father in household"        
;
VALUE epnguard	(default=32)
	-1        =  "Not in Universe"               
	9999      =  "Guardian not in household"     
;
VALUE rdesgpnt	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE eeducate	(default=32)
	-1        =  "Not in Universe"               
	31        =  "Less Than 1st Grade"           
	32        =  "1st, 2nd, 3rd or 4th grade"    
	33        =  "5th Or 6th Grade"              
	34        =  "7th Or 8th Grade"              
	35        =  "9th Grade"                     
	36        =  "10th Grade"                    
	37        =  "11th Grade"                    
	38        =  "12th grade, no diploma"        
	39        =  "High School Graduate - (diploma"
	40        =  "Some college, but no degree"   
	41        =  "Diploma or certificate from a" 
	43        =  "Associate (2-yr) college degree"
	44        =  "Bachelor's degree (for example:"
	45        =  "Master's degree (For example: MA,"
	46        =  "Professional School degree (for"
	47        =  "Doctorate degree (for example:"
;
VALUE sinthhid	(default=32)
	0         =  "Not In Universe"               
;
VALUE eawrunv 	(default=32)
	1         =  "In universe"                   
	-1        =  "Not in Universe"               
;
VALUE iinccat 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "less than  $10,000"            
	2         =  "$10,000 to $20,000"            
	3         =  "$20,000 to $30,000"            
	4         =  "$30,000 to $40,000"            
	5         =  "$40,000 to $50,000"            
	6         =  "$50,000 or more"               
;
VALUE ipayn   	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ipayn2l 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE itraihyn	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ihlphire	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ihlptrai	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ihlpwage	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ihlpdk  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ifoodhyn	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE iclothyn	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ihoushyn	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE icsuphyn	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE iothhyn 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ijobhelp	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ireqinc 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ireqcs  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ireqpat 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ireqdt  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ijhrusu 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ijhint  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ijhdres 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ijhself 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ijhcomp 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ijhcler 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ijhmach 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ijhojs  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ijhged  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ijhcol  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ijhlit  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ijhlis  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ijheng  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ijhoth  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ijcomptr	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ijhjobyn	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ijhpayyn	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE inumpay 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Single payment"                
	2         =  "More than one"                 
;
VALUE igasvyn 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE itokyn  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE icaryn  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE irideyn 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE iothtyn 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE icctype 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Paid part of the cost"         
	2         =  "Free child care"               
	3         =  "Neither"                       
	4         =  "Both"                          
;
VALUE iccpayyn	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE iccempyn	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE iccwho  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "An employer"                   
	2         =  "A charity"                     
	3         =  "A relative"                    
	4         =  "A friend"                      
	5         =  "Other"                         
;
VALUE icccov0o	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE icccov0k	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Invalid entry"                 
;
VALUE icccov0l	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE icccov0m	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE icccov0n	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE icccov0p	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE icccov0q	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE iccrel  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE iccdayc 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE iccsitt 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE iccaft  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ifavou  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ifagroc 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ifameal 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ifaoth  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ivouga  	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ivouhar 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ivoufam 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ivouoth 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ivouthh 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE icaga   	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icachar 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icafam  	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icaemp  	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icaoth  	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icaothh 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE ihatype 	(default=32)
	-2        =  "Refused"                       
	0         =  "Not answered"                  
	1         =  "Section 8"                     
	2         =  "Other rental assistance"       
	3         =  "Not sure/Don't know"           
;
VALUE ihatypee	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Section 8"                     
	2         =  "Other rental assistance"       
	3         =  "Other housing program"         
	4         =  "Not sure/Don't know"           
;
VALUE ihaga   	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ihahous 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ihachar 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ihaoth  	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ihaothh 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE icashsc 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Government agency"             
	2         =  "Family or friends"             
	3         =  "Someplace else"                
;
VALUE icashhm 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE icashal 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE icashuse	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Particular use"                
	2         =  "Whatever was needed"           
;
VALUE icashren	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icashfoo	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icashcs 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icashck 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icashcar	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icashoth	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icashohh	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE icsagen 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icswelf 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icsoth  	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icsothh 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE icspat  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE icsabs  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE icscourt	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE icscoll 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE icsoth2l	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE icsgov  	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icschar 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icsfam  	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icselse 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icselsee	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE tcsamt  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "1 to 200 Amount in dollars"    
	2         =  "201 to 500 Amount in dollars"  
	3         =  "501 to 1000 Amount in dollars" 
	4         =  "1001 to 9999 Amount in dollars"
;
VALUE icsncash	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "No cash value"                 
;
VALUE icsearl 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE icspart 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Particular use"                
	2         =  "Whatever was needed"           
;
VALUE icsrent 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icsfood 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icsclos 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icsclok 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icscar  	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icsouse 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE icsousee	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE iwftype 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "A Government organization,"    
	2         =  "A private, for profit company" 
	3         =  "Or a non-profit organization," 
;
VALUE iwforg  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Education"                     
	2         =  "Social Service"                
	3         =  "Public Safety"                 
	4         =  "Recreation"                    
	5         =  "Health"                        
	6         =  "Religion"                      
	7         =  "Or something else?"            
;
VALUE iwfind  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Manufacturing"                 
	2         =  "Wholesale trade"               
	3         =  "Retail trade"                  
	4         =  "Service"                       
	5         =  "or something else?"            
;
VALUE iwfjob  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE iwfcore 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	3         =  "Not sure"                      
;
VALUE iinqcomp	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE iinqcomo	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE iincafdc	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE iincga  	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE iincssi 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE iincfs  	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE iincmcd 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE iincwic 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE iincunem	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE iincoph 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE iincener	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE iinceduc	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE iincqcc 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE iinctran	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE iincmeal	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE iincoth 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE iincothh	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE ininlimt	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE inindn  	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ininimm 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ininelig	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE inindk  	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ininhas 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE inintran	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ininchar	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ininwort	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ininplan	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ininavai	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ininoth 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ininothh	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE ipbredyn	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE iredincr	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE iredwkrq	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE iredcsrq	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE iredinfo	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE iredsign	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE iredssi 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE iredlimt	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE iredoth 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ireddk  	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE ipastpub	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE tpastyr 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE inotlimt	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE inotwkrq	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE inotcsrq	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE inotinfo	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE inotbank	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE inothigh	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE inotmax 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE inotsign	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE inotmarr	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE inotneed	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE inotold 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE inototh 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE inotdk  	(default=32)
	-3        =  "End of respondent's entries"   
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Persons completing 'mark all that"
;
VALUE teligyr 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE ialwaych	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ikidwkrq	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ikidcsrq	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ikidimmi	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ikidinfo	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ikidsign	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ikidssi 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ikidlimt	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ikidoth 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
;
VALUE ikiddk  	(default=32)
	-3        =  "End of respondent's entries"   
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE tkdstrty	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE earpunv 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "In universe"                   
;
VALUE rmjb    	(default=32)
	-1        =  "Not in Universe"               
	0         =  "No current job but in universe"
;
VALUE rmbs    	(default=32)
	-1        =  "Not in Universe"               
	0         =  "No current business but in"    
;
VALUE rmnjbbs 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Job"                           
	2         =  "Business"                      
;
VALUE eherempl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Less than 10"                  
	2         =  "10 to 24"                      
	3         =  "25 to 49"                      
	4         =  "50 to 99"                      
	5         =  "100 to 249"                    
	6         =  "250 to 499"                    
	7         =  "500 to 999"                    
	8         =  "1000 or more"                  
;
VALUE aherempl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ttotempl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Less than 50"                  
	2         =  "50 to 99"                      
	3         =  "100 to 499"                    
	4         =  "500 to 999"                    
	5         =  "1000 or more"                  
;
VALUE atotempl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tbustotl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Less than 10"                  
	2         =  "10 to 24"                      
	3         =  "25 or more"                    
;
VALUE abustotl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ewksyear	(default=32)
	-1        =  "Not in Universe"               
;
VALUE awksyear	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tnumlen 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE emthyear	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Months"                        
	2         =  "Years"                         
;
VALUE anumyear	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epensnyn	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apensnyn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eincpens	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aincpens	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enoina0s	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina0k	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina0l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina0m	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina0n	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina0o	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina0p	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina0q	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina0r	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina1s	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina1k	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina1l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina1m	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina1n	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE anoina  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE etdeffen	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE atdeffen	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emultpen	(default=32)
	-1        =  "Not in Universe"               
;
VALUE amultpen	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e1pentyp	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Plan based on earnings and years"
	2         =  "Individual account plan"       
	3         =  "Cash balance plan"             
;
VALUE a1pentyp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e2pentyp	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Plan based on earnings and years"
	2         =  "Individual account plan"       
	3         =  "Cash balance plan"             
;
VALUE a2pentyp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e1penctr	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a1penctr	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e1taxdef	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a1taxdef	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e1recben	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a1recben	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e1lvlmps	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a1lvlmps	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE t1yrsinc	(default=32)
	-1        =  "Not in Universe"               
	0         =  "Less than one year"            
;
VALUE a1yrsinc	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e1ssofst	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
	3         =  "Do not participate in Social"  
;
VALUE a1ssofst	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE t1yrcont	(default=32)
	-4        =  "none"                          
	0         =  "Not In Universe"               
;
VALUE a1yrcont	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE t1totamt	(default=32)
	-4        =  "none"                          
	0         =  "Not In Universe"               
;
VALUE a1totamt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e2penctr	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a2penctr	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e2taxdef	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a2taxdef	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e2recben	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a2recben	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e2lvlmps	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a2lvlmps	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE t2yrsinc	(default=32)
	-1        =  "Not in Universe"               
;
VALUE a2yrsinc	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e2ssofst	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
	3         =  "Do not participate in Social"  
;
VALUE a2ssofst	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE t2yrcont	(default=32)
	-4        =  "none"                          
	0         =  "Not In Universe"               
;
VALUE a2yrcont	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE t2totamt	(default=32)
	-4        =  "none"                          
	0         =  "Not In Universe"               
;
VALUE a2totamt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e3taxdef	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a3taxdef	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e3partic	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a3partic	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enoinb0c	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb0k	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb0l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb0m	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb0n	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb0o	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb0p	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb0q	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb0r	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb1c	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb1k	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb1l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb1m	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb1n	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE anoinb  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ematchyn	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amatchyn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE efutpart	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE afutpart	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tslfcont	(default=32)
	-4        =  "No contributions"              
	0         =  "Not In Universe"               
;
VALUE eslfcont	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Week"                          
	2         =  "Biweekly"                      
	3         =  "Month"                         
	4         =  "Quarter"                       
	5         =  "Year"                          
;
VALUE eslfconk	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aslfcont	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eempcont	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aempcont	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE econtdep	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Depends entirely"              
	2         =  "Depends partly"                
	3         =  "Not at all"                    
;
VALUE acontdep	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tjbcontp	(default=32)
	-4        =  "none"                          
	0         =  "Not In Universe"               
;
VALUE ajbcontp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ejbcontp	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Week"                          
	2         =  "Biweekly"                      
	3         =  "Month"                         
	4         =  "Quarter"                       
	5         =  "Year"                          
;
VALUE ajbcontk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ejbcontk	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ajbcontl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ejbcontl	(default=32)
	-1        =  "Not in Universe"               
	6         =  "Contributions out of profits"  
	7         =  "Contribution varies"           
;
VALUE einvchos	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ainvchos	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE einvsdec	(default=32)
	-1        =  "Not in Universe"               
	1         =  "All of the money"              
	2         =  "Part of the money"             
;
VALUE ainvsdec	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehowinvc	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehowinvk	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehowinvl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehowinvm	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehowinvn	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehowinvo	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehowinvp	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehowinvq	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahowinvs	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emostinv	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Employer company stock"        
	2         =  "Stock funds"                   
	3         =  "Corporate bonds or bond funds" 
	4         =  "Long term interest bearing"    
	5         =  "Diversified stock and bond funds"
	6         =  "Government securities"         
	7         =  "Money market funds"            
	8         =  "Other investments"             
	9         =  "Evenly split between types"    
;
VALUE amostinv	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE t3totamt	(default=32)
	-4        =  "none"                          
	0         =  "Not In Universe"               
;
VALUE a3totamt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epenloan	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apenloan	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eletloan	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aletloan	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tloanbal	(default=32)
	-4        =  "none"                          
	0         =  "Not In Universe"               
;
VALUE aloanbal	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eothrpen	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aothrpen	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eprevpen	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aprevpen	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eprevexp	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aprevexp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tprevyrs	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aprevyrs	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ewhnleft	(default=32)
	-1        =  "Not in Universe"               
;
VALUE awhnleft	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eprevtyp	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Based on a formula"            
	2         =  "Based on the amount of money in"
;
VALUE aprevtyp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tprevamt	(default=32)
	-4        =  "none"                          
	0         =  "Not In Universe"               
;
VALUE aprevamt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eprewith	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Could withdraw money now"      
	2         =  "Must wait until retirement"    
;
VALUE aprewith	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eprevlmp	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aprevlmp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ewhyleft	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Laid Off"                      
	2         =  "Retired or old age"            
	3         =  "Child care problems"           
	4         =  "Other family obligations"      
	5         =  "Own illness"                   
	6         =  "Own injury"                    
	7         =  "School/Training"               
	8         =  "Discharged/fired"              
	9         =  "Employer bankrupt"             
	10        =  "Employer sold business"        
	11        =  "Job temporary and ended"       
	12        =  "Quit to take another job"      
	13        =  "Slack work/business conditions"
	14        =  "Unsatisfactory work arrangements"
;
VALUE awhyleft	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE esurvlmp	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE asurvlmp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE $elumpnu	(default=32)
	"-1"      =  "Not in Universe"               
;
VALUE $alumpnu	(default=32)
	"0"       =  "Not imputed"                   
	"1"       =  "Statistical imputation (hotdeck)"
	"2"       =  "Cold deck imputation"          
	"3"       =  "Logical imputation (derivation)"
;
VALUE elmpyear	(default=32)
	-1        =  "Not in Universe"               
;
VALUE almpyear	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elumpn9r	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE alumpn9r	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elumpsrc	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Private employer or union plan"
	2         =  "Military plan"                 
	3         =  "Other federal plans"           
	4         =  "State or local government"     
	5         =  "Other"                         
;
VALUE alumpsrc	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elumphow	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Voluntarily"                   
	2         =  "Required to withdraw"          
;
VALUE alumphow	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tlumptot	(default=32)
	-4        =  "none"                          
	0         =  "Not In Universe"               
;
VALUE alumptot	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elumprec	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Actually received"             
	2         =  "Directly rolled over"          
;
VALUE alumprec	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elmproll	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE almproll	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elmpwher	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Plan on job"                   
	2         =  "Individual annuity"            
	3         =  "IRA"                           
	4         =  "OTHER"                         
;
VALUE almpwher	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elumpent	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Entire amount"                 
	2         =  "Partial amount"                
;
VALUE alumpent	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elmpsp0t	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp0k	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp0l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp0m	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp0n	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp0o	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp0p	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp0q	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp0r	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp1t	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp1k	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp1l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp1m	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp1n	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp1o	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp1p	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp1q	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp1r	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp1s	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE almpsp  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epenlngp	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epenlngk	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epengngp	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apenlgth	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epennumb	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apennumb	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epennums	(default=32)
	-1        =  "Not in Universe"               
;
VALUE apennums	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epensrce	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Respondent's job"              
	2         =  "Respondent's former spouse's job"
	3         =  "Other"                         
;
VALUE apensrce	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epenwhen	(default=32)
	-1        =  "Not in Universe"               
;
VALUE apenwhen	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epenbase	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Years of service and pay"      
	2         =  "Amount in individual account"  
;
VALUE apenbase	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epensurv	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
	3         =  "No survivor's option offered"  
;
VALUE apensurv	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epenincr	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apenincr	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epencola	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apencola	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ependecr	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apendecr	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tpensamt	(default=32)
	0         =  "Not In Universe"               
;
VALUE apensamt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tpenamtt	(default=32)
	0         =  "Not In Universe"               
;
VALUE apenamtt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elmpsrce	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Respondent's former job"       
	2         =  "Respondent's former spouse's job"
	3         =  "Other"                         
;
VALUE almpsrce	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ejobreti	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ajobreti	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ewrk5yrs	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE awrk5yrs	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE escrepen	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Job"                           
	2         =  "Business"                      
;
VALUE ascrepen	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ejbindrp	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ajbindrp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tjboccrp	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ajboccrp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE rclwrkr 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Private for profit employee"   
	2         =  "Private not for profit employee"
	3         =  "Local government worker"       
	4         =  "State government worker"       
	5         =  "Federal government worker"     
	6         =  "Family worker without pay"     
	7         =  "Active duty Armed Forces"      
;
VALUE aclwrkr 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emultloc	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amultloc	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enumwork	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Less than 10"                  
	2         =  "10 to 24"                      
	3         =  "25 to 49"                      
	4         =  "50 to 99"                      
	5         =  "100 to 249"                    
	6         =  "250 to 499"                    
	7         =  "500 to 999"                    
	8         =  "1000 or more"                  
;
VALUE anumwork	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eemplall	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Less than 10"                  
	2         =  "10 to 24"                      
	3         =  "25 to 49"                      
	4         =  "50 to 99"                      
	5         =  "100 to 249"                    
	6         =  "250 to 499"                    
	7         =  "500 to 999"                    
	8         =  "1000 or more"                  
;
VALUE aemplall	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eunionyn	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aunionyn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE thrsweek	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ahrsweek	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ewksyrs 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE awksyrs 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tyrswrkd	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ayrswrkd	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eyrlrftj	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ayrlrftj	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ternlevj	(default=32)
	0         =  "Not In Universe"               
;
VALUE eernlevj	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Per week"                      
	2         =  "Biweekly"                      
	3         =  "Per month"                     
	4         =  "Per year"                      
;
VALUE aernleav	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehlthpln	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahlthpln	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tbsindrp	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Agriculture, forestry and"     
	2         =  "Mining"                        
	3         =  "Construction"                  
	4         =  "Manufacturing Nondurable Goods"
	5         =  "Manufacturing Durable Goods"   
	6         =  "Transportation, Communications"
	7         =  "Wholesale Trade Durable Goods" 
	8         =  "Wholesale trade Nondurable Goods"
	9         =  "Retail trade"                  
	10        =  "Finance, Insurance, and Real"  
	11        =  "Business and repair services"  
	12        =  "Personal services"             
	13        =  "Entertainment and recreation"  
	14        =  "Professional and related services"
	15        =  "Public administration"         
	99        =  "Unable to code"                
;
VALUE absindrp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ebsoccrp	(default=32)
	-1        =  "Not in Universe"               
;
VALUE absoccrp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmakempl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Less than 10"                  
	2         =  "10 to 24"                      
	3         =  "25 to 49"                      
	4         =  "50 to 249"                     
	5         =  "250 or more"                   
;
VALUE amakempl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ebusninc	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE abusninc	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tbushrsw	(default=32)
	-1        =  "Not in Universe"               
;
VALUE abushrsw	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ebuswksy	(default=32)
	-1        =  "Not in Universe"               
;
VALUE abuswksy	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tbuslong	(default=32)
	-1        =  "Not in Universe"               
;
VALUE abuslong	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ebusleav	(default=32)
	-1        =  "Not in Universe"               
;
VALUE abusleav	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tbusernv	(default=32)
	0         =  "Not In Universe"               
;
VALUE ebusernv	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Per week"                      
	2         =  "Biweekly"                      
	3         =  "Per month"                     
	4         =  "Per year"                      
;
VALUE abusern 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ebushlth	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE abushlth	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE estdlvng	(default=32)
	-1        =  "Not in Universe"               
;
VALUE astdlvng	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE rtmeeno 	(default=32)
	-1        =  "Not in Universe"               
	0         =  "No current job but in universe"
;
VALUE rtmebno 	(default=32)
	-1        =  "Not in Universe"               
	0         =  "No current business but in"    
;

proc print data=library.sippp08putm3 (obs=6);


FORMAT
	spanel     spanel.   
	tfipsst    tfipsst.  
	eoutcome   eoutcome. 
	rfid2      rfid2l.   
	epopstat   epopstat. 
	eppintvw   eppintvw. 
	eppmis4    eppmis4l. 
	esex       esex.     
	erace      erace.    
	eorigin    eorigin.  
	errp       errp.     
	tage       tage.     
	ems        ems.      
	epnspous   epnspous. 
	epnmom     epnmom.   
	epndad     epndad.   
	epnguard   epnguard. 
	rdesgpnt   rdesgpnt. 
	eeducate   eeducate. 
	sinthhid   sinthhid. 
	eawrunv    eawrunv.  
	iinccat    iinccat.  
	ipayn      ipayn.    
	ipayn2     ipayn2l.  
	itraihyn   itraihyn. 
	ihlphire   ihlphire. 
	ihlptrai   ihlptrai. 
	ihlpwage   ihlpwage. 
	ihlpdk     ihlpdk.   
	ifoodhyn   ifoodhyn. 
	iclothyn   iclothyn. 
	ihoushyn   ihoushyn. 
	icsuphyn   icsuphyn. 
	iothhyn    iothhyn.  
	ijobhelp   ijobhelp. 
	ireqinc    ireqinc.  
	ireqcs     ireqcs.   
	ireqpat    ireqpat.  
	ireqdt     ireqdt.   
	ijhrusu    ijhrusu.  
	ijhint     ijhint.   
	ijhdres    ijhdres.  
	ijhself    ijhself.  
	ijhcomp    ijhcomp.  
	ijhcler    ijhcler.  
	ijhmach    ijhmach.  
	ijhojs     ijhojs.   
	ijhged     ijhged.   
	ijhcol     ijhcol.   
	ijhlit     ijhlit.   
	ijhlis     ijhlis.   
	ijheng     ijheng.   
	ijhoth     ijhoth.   
	ijcomptr   ijcomptr. 
	ijhjobyn   ijhjobyn. 
	ijhpayyn   ijhpayyn. 
	inumpay    inumpay.  
	igasvyn    igasvyn.  
	itokyn     itokyn.   
	icaryn     icaryn.   
	irideyn    irideyn.  
	iothtyn    iothtyn.  
	icctype    icctype.  
	iccpayyn   iccpayyn. 
	iccempyn   iccempyn. 
	iccwho     iccwho.   
	icccov01   icccov0o. 
	icccov02   icccov0k. 
	icccov03   icccov0l. 
	icccov04   icccov0m. 
	icccov05   icccov0n. 
	icccov06   icccov0p. 
	icccov07   icccov0q. 
	iccrel     iccrel.   
	iccdayc    iccdayc.  
	iccsitt    iccsitt.  
	iccaft     iccaft.   
	ifavou     ifavou.   
	ifagroc    ifagroc.  
	ifameal    ifameal.  
	ifaoth     ifaoth.   
	ivouga     ivouga.   
	ivouhar    ivouhar.  
	ivoufam    ivoufam.  
	ivouoth    ivouoth.  
	ivouthh    ivouthh.  
	icaga      icaga.    
	icachar    icachar.  
	icafam     icafam.   
	icaemp     icaemp.   
	icaoth     icaoth.   
	icaothh    icaothh.  
	ihatype    ihatype.  
	ihatype2   ihatypee. 
	ihaga      ihaga.    
	ihahous    ihahous.  
	ihachar    ihachar.  
	ihaoth     ihaoth.   
	ihaothh    ihaothh.  
	icashsc    icashsc.  
	icashhm    icashhm.  
	icashal    icashal.  
	icashuse   icashuse. 
	icashren   icashren. 
	icashfoo   icashfoo. 
	icashcs    icashcs.  
	icashck    icashck.  
	icashcar   icashcar. 
	icashoth   icashoth. 
	icashohh   icashohh. 
	icsagen    icsagen.  
	icswelf    icswelf.  
	icsoth     icsoth.   
	icsothh    icsothh.  
	icspat     icspat.   
	icsabs     icsabs.   
	icscourt   icscourt. 
	icscoll    icscoll.  
	icsoth2    icsoth2l. 
	icsgov     icsgov.   
	icschar    icschar.  
	icsfam     icsfam.   
	icselse    icselse.  
	icselsee   icselsee. 
	tcsamt     tcsamt.   
	icsncash   icsncash. 
	icsearl    icsearl.  
	icspart    icspart.  
	icsrent    icsrent.  
	icsfood    icsfood.  
	icsclos    icsclos.  
	icsclok    icsclok.  
	icscar     icscar.   
	icsouse    icsouse.  
	icsousee   icsousee. 
	iwftype    iwftype.  
	iwforg     iwforg.   
	iwfind     iwfind.   
	iwfjob     iwfjob.   
	iwfcore    iwfcore.  
	iinqcomp   iinqcomp. 
	iinqcomo   iinqcomo. 
	iincafdc   iincafdc. 
	iincga     iincga.   
	iincssi    iincssi.  
	iincfs     iincfs.   
	iincmcd    iincmcd.  
	iincwic    iincwic.  
	iincunem   iincunem. 
	iincoph    iincoph.  
	iincener   iincener. 
	iinceduc   iinceduc. 
	iincqcc    iincqcc.  
	iinctran   iinctran. 
	iincmeal   iincmeal. 
	iincoth    iincoth.  
	iincothh   iincothh. 
	ininlimt   ininlimt. 
	inindn     inindn.   
	ininimm    ininimm.  
	ininelig   ininelig. 
	inindk     inindk.   
	ininhas    ininhas.  
	inintran   inintran. 
	ininchar   ininchar. 
	ininwort   ininwort. 
	ininplan   ininplan. 
	ininavai   ininavai. 
	ininoth    ininoth.  
	ininothh   ininothh. 
	ipbredyn   ipbredyn. 
	iredincr   iredincr. 
	iredwkrq   iredwkrq. 
	iredcsrq   iredcsrq. 
	iredinfo   iredinfo. 
	iredsign   iredsign. 
	iredssi    iredssi.  
	iredlimt   iredlimt. 
	iredoth    iredoth.  
	ireddk     ireddk.   
	ipastpub   ipastpub. 
	tpastyr    tpastyr.  
	inotlimt   inotlimt. 
	inotwkrq   inotwkrq. 
	inotcsrq   inotcsrq. 
	inotinfo   inotinfo. 
	inotbank   inotbank. 
	inothigh   inothigh. 
	inotmax    inotmax.  
	inotsign   inotsign. 
	inotmarr   inotmarr. 
	inotneed   inotneed. 
	inotold    inotold.  
	inototh    inototh.  
	inotdk     inotdk.   
	teligyr    teligyr.  
	ialwaych   ialwaych. 
	ikidwkrq   ikidwkrq. 
	ikidcsrq   ikidcsrq. 
	ikidimmi   ikidimmi. 
	ikidinfo   ikidinfo. 
	ikidsign   ikidsign. 
	ikidssi    ikidssi.  
	ikidlimt   ikidlimt. 
	ikidoth    ikidoth.  
	ikiddk     ikiddk.   
	tkdstrty   tkdstrty. 
	earpunv    earpunv.  
	rmjb       rmjb.     
	rmbs       rmbs.     
	rmnjbbs    rmnjbbs.  
	eherempl   eherempl. 
	aherempl   aherempl. 
	ttotempl   ttotempl. 
	atotempl   atotempl. 
	tbustotl   tbustotl. 
	abustotl   abustotl. 
	ewksyear   ewksyear. 
	awksyear   awksyear. 
	tnumlen    tnumlen.  
	emthyear   emthyear. 
	anumyear   anumyear. 
	epensnyn   epensnyn. 
	apensnyn   apensnyn. 
	eincpens   eincpens. 
	aincpens   aincpens. 
	enoina01   enoina0s. 
	enoina02   enoina0k. 
	enoina03   enoina0l. 
	enoina04   enoina0m. 
	enoina05   enoina0n. 
	enoina06   enoina0o. 
	enoina07   enoina0p. 
	enoina08   enoina0q. 
	enoina09   enoina0r. 
	enoina10   enoina1s. 
	enoina11   enoina1k. 
	enoina12   enoina1l. 
	enoina13   enoina1m. 
	enoina14   enoina1n. 
	anoina     anoina.   
	etdeffen   etdeffen. 
	atdeffen   atdeffen. 
	emultpen   emultpen. 
	amultpen   amultpen. 
	e1pentyp   e1pentyp. 
	a1pentyp   a1pentyp. 
	e2pentyp   e2pentyp. 
	a2pentyp   a2pentyp. 
	e1penctr   e1penctr. 
	a1penctr   a1penctr. 
	e1taxdef   e1taxdef. 
	a1taxdef   a1taxdef. 
	e1recben   e1recben. 
	a1recben   a1recben. 
	e1lvlmps   e1lvlmps. 
	a1lvlmps   a1lvlmps. 
	t1yrsinc   t1yrsinc. 
	a1yrsinc   a1yrsinc. 
	e1ssofst   e1ssofst. 
	a1ssofst   a1ssofst. 
	t1yrcont   t1yrcont. 
	a1yrcont   a1yrcont. 
	t1totamt   t1totamt. 
	a1totamt   a1totamt. 
	e2penctr   e2penctr. 
	a2penctr   a2penctr. 
	e2taxdef   e2taxdef. 
	a2taxdef   a2taxdef. 
	e2recben   e2recben. 
	a2recben   a2recben. 
	e2lvlmps   e2lvlmps. 
	a2lvlmps   a2lvlmps. 
	t2yrsinc   t2yrsinc. 
	a2yrsinc   a2yrsinc. 
	e2ssofst   e2ssofst. 
	a2ssofst   a2ssofst. 
	t2yrcont   t2yrcont. 
	a2yrcont   a2yrcont. 
	t2totamt   t2totamt. 
	a2totamt   a2totamt. 
	e3taxdef   e3taxdef. 
	a3taxdef   a3taxdef. 
	e3partic   e3partic. 
	a3partic   a3partic. 
	enoinb01   enoinb0c. 
	enoinb02   enoinb0k. 
	enoinb03   enoinb0l. 
	enoinb04   enoinb0m. 
	enoinb05   enoinb0n. 
	enoinb06   enoinb0o. 
	enoinb07   enoinb0p. 
	enoinb08   enoinb0q. 
	enoinb09   enoinb0r. 
	enoinb10   enoinb1c. 
	enoinb11   enoinb1k. 
	enoinb12   enoinb1l. 
	enoinb13   enoinb1m. 
	enoinb14   enoinb1n. 
	anoinb     anoinb.   
	ematchyn   ematchyn. 
	amatchyn   amatchyn. 
	efutpart   efutpart. 
	afutpart   afutpart. 
	tslfcon1   tslfcont. 
	eslfcon2   eslfcont. 
	eslfcon3   eslfconk. 
	aslfcon3   aslfcont. 
	eempcont   eempcont. 
	aempcont   aempcont. 
	econtdep   econtdep. 
	acontdep   acontdep. 
	tjbcont1   tjbcontp. 
	ajbcont1   ajbcontp. 
	ejbcont2   ejbcontp. 
	ajbcont2   ajbcontk. 
	ejbcont3   ejbcontk. 
	ajbcont3   ajbcontl. 
	ejbcont4   ejbcontl. 
	einvchos   einvchos. 
	ainvchos   ainvchos. 
	einvsdec   einvsdec. 
	ainvsdec   ainvsdec. 
	ehowinv1   ehowinvc. 
	ehowinv2   ehowinvk. 
	ehowinv3   ehowinvl. 
	ehowinv4   ehowinvm. 
	ehowinv5   ehowinvn. 
	ehowinv6   ehowinvo. 
	ehowinv7   ehowinvp. 
	ehowinv8   ehowinvq. 
	ahowinvs   ahowinvs. 
	emostinv   emostinv. 
	amostinv   amostinv. 
	t3totamt   t3totamt. 
	a3totamt   a3totamt. 
	epenloan   epenloan. 
	apenloan   apenloan. 
	eletloan   eletloan. 
	aletloan   aletloan. 
	tloanbal   tloanbal. 
	aloanbal   aloanbal. 
	eothrpen   eothrpen. 
	aothrpen   aothrpen. 
	eprevpen   eprevpen. 
	aprevpen   aprevpen. 
	eprevexp   eprevexp. 
	aprevexp   aprevexp. 
	tprevyrs   tprevyrs. 
	aprevyrs   aprevyrs. 
	ewhnleft   ewhnleft. 
	awhnleft   awhnleft. 
	eprevtyp   eprevtyp. 
	aprevtyp   aprevtyp. 
	tprevamt   tprevamt. 
	aprevamt   aprevamt. 
	eprewith   eprewith. 
	aprewith   aprewith. 
	eprevlmp   eprevlmp. 
	aprevlmp   aprevlmp. 
	ewhyleft   ewhyleft. 
	awhyleft   awhyleft. 
	esurvlmp   esurvlmp. 
	asurvlmp   asurvlmp. 
	elumpnum   $elumpnu. 
	alumpnum   $alumpnu. 
	elmpyear   elmpyear. 
	almpyear   almpyear. 
	elumpn97   elumpn9r. 
	alumpn97   alumpn9r. 
	elumpsrc   elumpsrc. 
	alumpsrc   alumpsrc. 
	elumphow   elumphow. 
	alumphow   alumphow. 
	tlumptot   tlumptot. 
	alumptot   alumptot. 
	elumprec   elumprec. 
	alumprec   alumprec. 
	elmproll   elmproll. 
	almproll   almproll. 
	elmpwher   elmpwher. 
	almpwher   almpwher. 
	elumpent   elumpent. 
	alumpent   alumpent. 
	elmpsp01   elmpsp0t. 
	elmpsp02   elmpsp0k. 
	elmpsp03   elmpsp0l. 
	elmpsp04   elmpsp0m. 
	elmpsp05   elmpsp0n. 
	elmpsp06   elmpsp0o. 
	elmpsp07   elmpsp0p. 
	elmpsp08   elmpsp0q. 
	elmpsp09   elmpsp0r. 
	elmpsp10   elmpsp1t. 
	elmpsp11   elmpsp1k. 
	elmpsp12   elmpsp1l. 
	elmpsp13   elmpsp1m. 
	elmpsp14   elmpsp1n. 
	elmpsp15   elmpsp1o. 
	elmpsp16   elmpsp1p. 
	elmpsp17   elmpsp1q. 
	elmpsp18   elmpsp1r. 
	elmpsp19   elmpsp1s. 
	almpsp     almpsp.   
	epenlng1   epenlngp. 
	epenlng2   epenlngk. 
	epengng3   epengngp. 
	apenlgth   apenlgth. 
	epennumb   epennumb. 
	apennumb   apennumb. 
	epennums   epennums. 
	apennums   apennums. 
	epensrce   epensrce. 
	apensrce   apensrce. 
	epenwhen   epenwhen. 
	apenwhen   apenwhen. 
	epenbase   epenbase. 
	apenbase   apenbase. 
	epensurv   epensurv. 
	apensurv   apensurv. 
	epenincr   epenincr. 
	apenincr   apenincr. 
	epencola   epencola. 
	apencola   apencola. 
	ependecr   ependecr. 
	apendecr   apendecr. 
	tpensamt   tpensamt. 
	apensamt   apensamt. 
	tpenamt1   tpenamtt. 
	apenamt1   apenamtt. 
	elmpsrce   elmpsrce. 
	almpsrce   almpsrce. 
	ejobreti   ejobreti. 
	ajobreti   ajobreti. 
	ewrk5yrs   ewrk5yrs. 
	awrk5yrs   awrk5yrs. 
	escrepen   escrepen. 
	ascrepen   ascrepen. 
	ejbindrp   ejbindrp. 
	ajbindrp   ajbindrp. 
	tjboccrp   tjboccrp. 
	ajboccrp   ajboccrp. 
	rclwrkr    rclwrkr.  
	aclwrkr    aclwrkr.  
	emultloc   emultloc. 
	amultloc   amultloc. 
	enumwork   enumwork. 
	anumwork   anumwork. 
	eemplall   eemplall. 
	aemplall   aemplall. 
	eunionyn   eunionyn. 
	aunionyn   aunionyn. 
	thrsweek   thrsweek. 
	ahrsweek   ahrsweek. 
	ewksyrs    ewksyrs.  
	awksyrs    awksyrs.  
	tyrswrkd   tyrswrkd. 
	ayrswrkd   ayrswrkd. 
	eyrlrftj   eyrlrftj. 
	ayrlrftj   ayrlrftj. 
	ternlev1   ternlevj. 
	eernlev2   eernlevj. 
	aernleav   aernleav. 
	ehlthpln   ehlthpln. 
	ahlthpln   ahlthpln. 
	tbsindrp   tbsindrp. 
	absindrp   absindrp. 
	ebsoccrp   ebsoccrp. 
	absoccrp   absoccrp. 
	tmakempl   tmakempl. 
	amakempl   amakempl. 
	ebusninc   ebusninc. 
	abusninc   abusninc. 
	tbushrsw   tbushrsw. 
	abushrsw   abushrsw. 
	ebuswksy   ebuswksy. 
	abuswksy   abuswksy. 
	tbuslong   tbuslong. 
	abuslong   abuslong. 
	ebusleav   ebusleav. 
	abusleav   abusleav. 
	tbusern1   tbusernv. 
	ebusern2   ebusernv. 
	abusern    abusern.  
	ebushlth   ebushlth. 
	abushlth   abushlth. 
	estdlvng   estdlvng. 
	astdlvng   astdlvng. 
	rtmeeno    rtmeeno.  
	rtmebno    rtmebno.  
;
proc contents data=library.sippp08putm3;

** Copyright 2010 shared by the National Bureau of Economic Research and Jean Roth ;

** National Bureau of Economic Research. ;
** 1050 Massachusetts Avenue ;
** Cambridge, MA 02138 ;
** jroth@nber.org ;

** This program and all programs referenced in it are free software. You ;
** can redistribute the program or modify it under the terms of the GNU ;
** General Public License as published by the Free Software Foundation; 
** either version 2 of the License, or (at your option) any later version. ;

** This program is distributed in the hope that it will be useful, ;
** but WITHOUT ANY WARRANTY, without even the implied warranty of ;
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the ;
** GNU General Public License for more details. ;

** You should have received a copy of the GNU General Public License ;
** along with this program, if not, write to the Free Software ;
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA. ;
