clear
set mem 300m

log using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\add_wave9_to_long" , replace

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\rndvariablesbb1_revised.dta"

keep rabyear rabmonth hhid pn hhidpn hacohort rahispan raracem ragender raedyrs rassagem

sort hhid pn

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\temp", replace

clear

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\wave9.dta"

sort hhid pn

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\temp"

tab _merge

keep if _merge==3 | _merge==2

sort hhid pn

drop _merge

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\temp", replace

clear

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl9_months.dta"

drop lw*

gen firstmon = sdw8
replace firstmon=sdw7 if firstmon==.
replace firstmon=sdw6 if firstmon==.
replace firstmon=sdw5 if firstmon==.
replace firstmon=sdw4 if firstmon==.
replace firstmon=sdw3 if firstmon==.
replace firstmon=sdw2 if firstmon==.
replace firstmon=sdw1 if firstmon==.

gen lastmon=sdw9

sort hhid pn

su

compress

reshape long jl j ex tenure se laidoff , i(hhid pn) j(t)

drop if t<=firstmon
drop if t>lastmon

su

tab jl j, r

sort hhid pn t

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\temp"

drop ss9 retire9 health9 hacohort rahispan raracem ragender raedyrs rassagem

gen agemon = t - ((rabyear-1992)*12 + rabmonth)

* generate "long" flags

gen flagbjob=flagbjob9 if t==bjob9

gen flagejob=flagejob9 if ((t==ejob9 & j[_n+1]>=1 & j[_n+1]<=2) | (t==ejob9+1 & j==0))

gen flagex=1 if flagex9==1 & t>sdw8 & t<=sdw9

gen flaghours=1 if flaghours9==1 & t>sdw8 & t<=sdw9

gen seam=1 if t==sdw9

gen bjobmon=1 if t==bjob9 & oldbjob9==.

gen ejobmon=1 if t==ejob9 & oldejob9==.

gen misswave = miss8 if t==sdw9

drop sdw1 sdw2 sdw3 sdw4 sdw5 sdw6 sdw7 miss8 bjob* ejob*  ejobmon9  oldejob9 oldbjob9  bjobmon9  flaghours9  flagex9  flagejob9  flagbjob9 lastmon firstmon
drop anywork9 hrswkcs9 yrbgcj9 flagfhours9 _merge

compress

append using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long.dta"

sort hhid pn t

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\temp"

tab _merge

keep if _merge==3 | _merge==1

gen ss9age = ss9 - ((rabyear-1992)*12 + rabmonth)

replace rassagem=ss9age if rassagem==. & ss9age>=744 & ss9age>=sdw8 & ss9age~=.
replace rassagem=. if rassagem<744
replace rassagem = 1000 if rassagem==.
drop ss
gen ss=0 if rassagem>0 & rassagem<1000 & agemon~=.
replace ss=1 if agemon>=rassagem & rassagem>0 & rassagem<1000 & agemon~=.
replace rassagem=. if rassagem==1000

gen retire9age = retire9 - ((rabyear-1992)*12 + rabmonth)

replace retire_age = retire9age if (retire_age==. | retire_age==1000) & retire9age>=sdw8 & retire9age~=.
replace retire_age=. if retire_age<480
replace retire_age=1000 if retire_age==.
drop retired
gen retired=0 if retire_age~=. & retire_age<1000
replace retired=1 if agemon>=retire_age & retire_age<1000
replace retire_age=. if retire_age==1000

sort hhid pn t

drop _merge retire9 ss9

su

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long_9.dta"  , replace

log close

