clear
set mem 700m

log using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\create data\addw9_rnd" , replace

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\rndvariablesbb1_wave9.dta"

gen temp = r8iwend/30.4 - 12*30
su temp r8iwend
gen sdw8 = round(temp)

gen tempa = r9iwend/30.4 - 12*30
su tempa r9iwend
gen sdw9 = round(tempa)

su sdw*

keep rabyear rabmonth hhid pn hhidpn hacohort rahispan raracem ragender raedyrs rassagem r*ret* sdw*

sort hhid pn

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\temp", replace

clear

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\wave9.dta"

sort hhid pn

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\temp"

tab _merge

keep if _merge==3 | _merge==2

replace rassagem=. if rassagem<744

gen ret1 = (r1retyr-1992)*12 + r1retmon
gen ret2 = (r2retyr-1992)*12 + r2retmon
gen ret3 = (r3retyr-1992)*12 + r3retmon
gen ret4 = (r4retyr-1992)*12 + r4retmon
gen ret5 = (r5retyr-1992)*12 + r5retmon
gen ret6 = (r6retyr-1992)*12 + r6retmon
gen ret7 = (r7retyr-1992)*12 + r7retmon
gen ret8 = (r8retyr-1992)*12 + r8retmon
gen ret9 = (r9retyr-1992)*12 + r9retmon


gen useret1=1 if ret1~=.
replace useret1=0 if ret1~=. & ((ret2~=ret1 & ret2~=.) | (ret3~=ret1 & ret3~=.) | (ret4~=ret1 & ret4~=.) & (ret5~=ret1 & ret5~=.) | (ret6~=ret1 & ret6~=.) | (ret7~=ret1 & ret7~=.) | (ret8~=ret1 & ret8~=.) | (ret9~=ret1 & ret9~=.) )

gen useret2=1 if ret2~=. 
replace useret2=0 if useret1==0 
replace useret2=0 if ret2~=. & ((ret3~=ret2 & ret3~=.) | (ret4~=ret2 & ret4~=.) | (ret5~=ret2 & ret5~=.) | (ret6~=ret2 & ret6~=.) & (ret7~=ret2 & ret7~=.) | (ret8~=ret2 & ret8~=.) | (ret9~=ret2 & ret9~=.) )

gen useret3=1 if ret3~=. 
replace useret3=0 if useret2==0 | useret1==0 
replace useret3=0 if ret3~=. & ((ret4~=ret3 & ret4~=.) | (ret5~=ret3 & ret5~=.) | (ret6~=ret3 & ret6~=.) | (ret7~=ret3 & ret7~=.) | (ret8~=ret3 & ret8~=.) | (ret9~=ret3 & ret9~=.) )

gen useret4=1 if ret4~=. 
replace useret4=0 if useret3==0 | useret2==0 | useret1==0 
replace useret4=0 if ret4~=. & ((ret5~=ret4 & ret5~=.) | (ret6~=ret4 & ret6~=.) | (ret7~=ret4 & ret7~=.) | (ret8~=ret4 & ret8~=.) | (ret9~=ret4 & ret9~=.) )

gen useret5=1 if ret5~=. 
replace useret5=0 if useret3==0 | useret2==0 | useret1==0 | useret4==0
replace useret5=0 if ret5~=. & ((ret6~=ret5 & ret6~=.) | (ret7~=ret5 & ret7~=.) | (ret8~=ret5 & ret8~=.) | (ret9~=ret5 & ret9~=.) )

gen useret6=1 if ret6~=. 
replace useret6=0 if useret3==0 | useret2==0 | useret1==0 | useret4==0 | useret5==0
replace useret6=0 if ret6~=. & ((ret7~=ret6 & ret7~=.) | (ret8~=ret6 & ret8~=.) | (ret9~=ret6 & ret9~=.) )

gen useret7=1 if ret7~=. 
replace useret7=0 if useret3==0 | useret2==0 | useret1==0 | useret4==0 | useret5==0 | useret6==0
replace useret7=0 if ret7~=. & ((ret8~=ret7 & ret8~=.) | (ret9~=ret7 & ret9~=.) )

gen useret8=1 if ret8~=. 
replace useret8=0 if useret3==0 | useret2==0 | useret1==0 | useret4==0 | useret5==0 | useret6==0 | useret7==0
replace useret8=0 if ret8~=. & (ret9~=ret8 & ret9~=.)

gen useretall=1 if useret1~=0 & useret2~=0 & useret3~=0 & useret4~=0 & useret5~=0 & useret6~=0 & useret7~=0 & useret8~=0

*****newline******

replace useretall=. if useret1==. & useret2==. & useret3==. & useret4==. & useret5==. & useret6==. & useret7==. & useret8==.
 
replace useretall=0 if useret1==0 | useret2==0 | useret3==0 | useret4==0 | useret5==0 | useret6==0 | useret7==0 | useret8==0

gen     retire_date = ret1 if ret1~=. & useretall~=0
replace retire_date = ret2 if ret2~=. & useretall~=0 
replace retire_date = ret3 if ret3~=. & useretall~=0 
replace retire_date = ret4 if ret4~=. & useretall~=0 
replace retire_date = ret5 if ret5~=. & useretall~=0 
replace retire_date = ret6 if ret6~=. & useretall~=0 
replace retire_date = ret7 if ret7~=. & useretall~=0 
replace retire_date = ret8 if ret8~=. & useretall~=0 
replace retire_date = ret9 if ret9~=. & useretall~=0 

gen retire_age = retire_date - ((rabyear-1992)*12 + rabmonth)

*replace retire_age = 1000 if useretall==.

su rassagem retire_date

sort hhid pn

drop _merge r*ret* sdw8 ret1-ret9 useret1-useret8

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\temp", replace

clear

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl9_months.dta"

drop lw*

gen     firstmon=sdw8
replace firstmon=sdw7 if firstmon==.
replace firstmon=sdw6 if firstmon==.
replace firstmon=sdw5 if firstmon==.
replace firstmon=sdw4 if firstmon==.
replace firstmon=sdw3 if firstmon==.
replace firstmon=sdw2 if firstmon==.
replace firstmon=sdw1 if firstmon==.

gen lastmon=sdw9

sort hhid pn

su

compress

reshape long jl j ex tenure se laidoff , i(hhid pn) j(t)

drop if t<=firstmon
drop if t>lastmon

su

tab jl j, r

sort hhid pn t

* have to merge with temp here, because wave9 does not have rabyear, and there is no other way to get it on the file

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\temp"


gen agemon = t - ((rabyear-1992)*12 + rabmonth)

* generate "long" flags

gen flagbjob=flagbjob9 if t==bjob9

gen flagejob=flagejob9 if ((t==ejob9 & j[_n+1]>=1 & j[_n+1]<=2) | (t==ejob9+1 & j==0))

gen flagex=1 if flagex9==1 & t>sdw8 & t<=sdw9

gen flaghours=1 if flaghours9==1 & t>sdw8 & t<=sdw9

gen seam=1 if t==sdw9

gen bjobmon=1 if t==bjob9 & oldbjob9==.

gen ejobmon=1 if t==ejob9 & oldejob9==.

gen misswave = miss8 if t==sdw9

drop sdw1 sdw2 sdw3 sdw4 sdw5 sdw6 sdw7 miss8 bjob* ejob*  ejobmon9  oldejob9 oldbjob9  bjobmon9  flaghours9  flagex9  flagejob9  flagbjob9 lastmon firstmon
*drop anywork9 hrswkcs9 yrbgcj9 flagfhours9 

compress

* get rid of retire stuff from temp, it will be merged in again below

drop ret* rass* ss* 

append using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long.dta"

sort hhid pn t

drop ret* ss*
drop _merge

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\temp"


tab _merge

keep if _merge==3 | _merge==1

drop retire9 ss9* user* 

replace rassagem = 1000 if rassagem==.
gen ss=0 if rassagem>0 & rassagem<1000 & agemon~=.
replace ss=1 if agemon>=rassagem & rassagem>0 & rassagem<1000 & agemon~=.
replace rassagem=. if rassagem==1000

replace retire_age=. if retire_age<480
replace retire_age=1000 if retire_age==.
gen retired=0 if retire_age~=. & retire_age<1000
replace retired=1 if agemon>=retire_age & retire_age<1000
replace retire_age=. if retire_age==1000

sort hhid pn t

drop _merge 
drop sdw9 retire_date
su

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long_9_newest.dta"  , replace

keep if rabyear>=1931 & rabyear<=1945

keep hhid pn t rab* ss retired rassagem hhidpn retire_age

sort rabyear

by rabyear: su rassagem retire_age


log close

