* copied from same program without oct2013, to recreate data files to get additional moments of asset dist

clear
set memory 450m
log using "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\sas\birth cohort adjustment sipp hrs with coda oct2013" , replace

use "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\caldat"

gen id = hhidpn
rename rwgihr wage
gen hrs=1
rename rabyear birthyear
rename raeduc huseduc
rename siearn wifeearn
rename riearn husearn
rename hitot totinc
rename hatota assets
rename hicap capinc
rename siearn_np wifeearn_np
rename riearn_np husearn_np 
rename hitot_np totinc_np 
rename hatota_np assets_np 
rename hicap_np capinc_np 

rename rjhours hours
rename rjweeks weeks

rename pen covered

keep id birthyear huseduc age wage covered wifeearn* husearn* tot* assets* capinc* hrs age hours weeks
keep if age>=46 & age<=90
sort id age

save "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\bcadat1_oct2013" , replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\assmed_all"

keep if age>=25 & age<=65
keep if husrace==1 & hushis==0 & huseduc>=39 & huseduc<=43
gen hrs=0

replace assets=assets/1000

gen assets_np = assets if covered==0
keep id birthyear covered typepen age huseduc assets* hrs

sort id age

save "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\bcadat2_oct2013" , replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\sippemplearn"

keep if age>=25 & age<=65
keep if husrace==1 & hushis==0 & huseduc>=39 & huseduc<=43

gen avgearn = cumearn/(cumhours*4.33) if monearn>=6
replace cumwage=. if monwage<6
rename avgearn wage
rename cumwage hourlywage
rename emplmonft ftempl
gen hrs=0

replace wifeearn = wifeearn/1000
replace husearn = husearn/1000
replace totinc = totinc/1000
replace famearn = famearn/1000
replace capinc = capinc/1000

gen wifeearn_np = wifeearn if covered==0
gen husearn_np = husearn if covered==0
gen totinc_np = totinc if covered==0
gen famearn_np = famearn if covered==0
gen capinc_np = capinc if covered==0

rename cumhours hours
gen weeks = emplmon*52

keep id covered typepen age huseduc wage hourlywage wifeearn* hrs husearn* totinc* famearn* capinc* hours weeks

sort id age

merge id age using "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\bcadat2_oct2013" 

su

append using "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\bcadat1_oct2013" 

sort id age

su

save "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\bcadat3_oct2013" , replace
clear
use "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\bcadat3_oct2013"

gen oldby = birthyear

gen husearn_pos = husearn if husearn>=5.95 & hours>=35 & weeks>=40
gen husearn_np_pos = husearn_np if husearn_np>=5.95 & hours>=35 & weeks>=40
gen wifeearn_pos = wifeearn if wifeearn>0
gen wifeearn_np_pos = wifeearn_np if wifeearn_np>0

gen assets_np_sipp = assets_np if hrs==0
gen totinc_np_sipp = totinc_np if hrs==0
gen husearn_np_pos_sipp = husearn_np_pos if hrs==0
gen wifeearn_np_sipp = wifeearn_np if hrs==0 & wifeearn_np>0

gen assets_np_hrs = assets_np if hrs==1
gen totinc_np_hrs = totinc_np if hrs==1
gen husearn_np_pos_hrs = husearn_np_pos if hrs==1
gen wifeearn_np_hrs = wifeearn_np if hrs==1 & wifeearn_np>0

xi: qreg assets_np birthyear i.age if age>=45 & age<=90  & hrs==1
predict assets_np_hat_hrs_aby if e(sample)==1

replace birthyear = 1976
predict assets_np_hat_hrs if e(sample)==1

su assets_np_hat_hrs assets_np if e(sample)==1 , detail
replace birthyear = oldby

su birthyear if hrs==0

xi: qreg assets_np birthyear  i.age if age>=25 & age<=65  & hrs==0
predict assets_np_hat_sipp_aby if e(sample)==1

replace birthyear = 1976
predict assets_np_hat_sipp if e(sample)==1

su assets_np_hat_sipp assets_np if e(sample)==1 , detail
replace birthyear = oldby

gen assets_np_hat = assets_np_hat_hrs if hrs==1
replace assets_np_hat = assets_np_hat_sipp if hrs==0


save "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\_oct2013bcadat4" , replace
clear
use "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\_oct2013bcadat4" 

collapse (p10) assets_np_p10 = assets_np (p90) assets_np_p90 = assets_np (p25) assets_np_p25 = assets_np (p75) assets_np_p75 = assets_np (count) assets_np_num = assets_np (median) assets_np_hat = assets_np_hat  assets_np_sipp assets_np_hrs assets_np assets_np_hat_hrs assets_np_hat_hrs_aby assets_np_hat_sipp assets_np_hat_sipp_aby (sd) assets_np_hat_std = assets_np_hat assets_np_sipp_std =assets_np_sipp assets_np_hrs_std = assets_np_hrs assets_np_std = assets_np assets_np_hat_hrs_std = assets_np_hat_hrs assets_np_hat_hrs_aby_std =assets_np_hat_hrs_aby assets_np_hat_sipp_std = assets_np_hat_sipp assets_np_hat_sipp_aby_std = assets_np_hat_sipp_aby, by (age)

gen d9010 = assets_np_p90 - assets_np_p10
gen d7525 = assets_np_p75 - assets_np_p25

gr tw (conn d9010 d7525 age) if age<81

gr tw (conn assets_np_hat_hrs_aby assets_np_hat_hrs assets_np_hrs age) if age>=45 & age<=85
gr tw (conn assets_np_hat_sipp_aby assets_np_hat_sipp assets_np_sipp age) if age>=25 & age<=65 
gr tw (conn assets_np assets_np_hrs assets_np_sipp age) if age>=26 & age<=85
gr tw (conn assets_np_hat_hrs_aby assets_np_hat_sipp_aby age) if age>=26 & age<=85 
gr tw (conn assets_np_hat_hrs assets_np_hat_sipp age) if age>=26 & age<=90
gr tw (conn assets_np_hat assets_np_hat_hrs assets_np_hat_sipp age) if age>=26 & age<=90

su
sort age
save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\newdat_oct2013" , replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110s284"

collapse (p10) assets_np_sim_p10 = assets_np (p90) assets_np_sim_p90 = assets_np (p25) assets_np_sim_p25 = assets_np (p75) assets_np_sim_p75 = assets_np (count) assets_np_sim_num = assets_np (median) assets_np_sim_med = assets_np (sd) assets_np_sim_std = assets_np, by (age)
su
sort age

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\newdat_oct2013"
sort age
gen d9010_sim = assets_np_sim_p90 - assets_np_sim_p10
gen d7525_sim = assets_np_sim_p75 - assets_np_sim_p25

gr tw (conn assets_np_sim_med assets_np age)
gr tw (conn assets_np_sim_med assets_np_hat age)

gr tw (conn d9010 d9010_sim age) if age<81
gr tw (conn d7525 d7525_sim age) if age<81



log close



