clear
set mem 700m

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\rndvariablesbb1_revised.dta"

gen ret1 = (r1retyr-1992)*12 + r1retmon
gen ret2 = (r2retyr-1992)*12 + r2retmon
gen ret3 = (r3retyr-1992)*12 + r3retmon
gen ret4 = (r4retyr-1992)*12 + r4retmon
gen ret5 = (r5retyr-1992)*12 + r5retmon
gen ret6 = (r6retyr-1992)*12 + r6retmon
gen ret7 = (r7retyr-1992)*12 + r7retmon
gen ret8 = (r8retyr-1992)*12 + r8retmon

gen useret1=1 if ret1~=.
replace useret1=0 if ret1~=. & ((ret2~=ret1 & ret2~=.) | (ret3~=ret1 & ret3~=.) | (ret4~=ret1 & ret4~=.) & (ret5~=ret1 & ret5~=.) | (ret6~=ret1 & ret6~=.) | (ret7~=ret1 & ret7~=.) | (ret8~=ret1 & ret8~=.))

gen useret2=1 if ret2~=. 
replace useret2=0 if useret1==0 
replace useret2=0 if ret2~=. & ((ret3~=ret2 & ret3~=.) | (ret4~=ret2 & ret4~=.) | (ret5~=ret2 & ret5~=.) | (ret6~=ret2 & ret6~=.) & (ret7~=ret2 & ret7~=.) | (ret8~=ret2 & ret8~=.))

gen useret3=1 if ret3~=. 
replace useret3=0 if useret2==0 | useret1==0 
replace useret3=0 if ret3~=. & ((ret4~=ret3 & ret4~=.) | (ret5~=ret3 & ret5~=.) | (ret6~=ret3 & ret6~=.) | (ret7~=ret3 & ret7~=.) | (ret8~=ret3 & ret8~=.))

gen useret4=1 if ret4~=. 
replace useret4=0 if useret3==0 | useret2==0 | useret1==0 
replace useret4=0 if ret4~=. & ((ret5~=ret4 & ret5~=.) | (ret6~=ret4 & ret6~=.) | (ret7~=ret4 & ret7~=.) | (ret8~=ret4 & ret8~=.))

gen useret5=1 if ret5~=. 
replace useret5=0 if useret3==0 | useret2==0 | useret1==0 | useret4==0
replace useret5=0 if ret5~=. & ((ret6~=ret5 & ret6~=.) | (ret7~=ret5 & ret7~=.) | (ret8~=ret5 & ret8~=.))

gen useret6=1 if ret6~=. 
replace useret6=0 if useret3==0 | useret2==0 | useret1==0 | useret4==0 | useret5==0
replace useret6=0 if ret6~=. & ((ret7~=ret6 & ret7~=.) | (ret8~=ret6 & ret8~=.))

gen useret7=1 if ret7~=. 
replace useret7=0 if useret3==0 | useret2==0 | useret1==0 | useret4==0 | useret5==0 | useret6==0
replace useret7=0 if ret7~=. & ((ret8~=ret7 & ret8~=.))

gen useretall=1 if useret1~=0 & useret2~=0 & useret3~=0 & useret4~=0 & useret5~=0 & useret6~=0 & useret7~=0

*****newline******
replace useretall=. if useret1==. & useret2==. & useret3==. & useret4==. & useret5==. & useret6==. & useret7==.
 
replace useretall=0 if useret1==0 | useret2==0 | useret3==0 | useret4==0 | useret5==0 | useret6==0 | useret7==0

gen     retire_date = ret1 if ret1~=. & useretall~=0
replace retire_date = ret2 if ret2~=. & useretall~=0 
replace retire_date = ret3 if ret3~=. & useretall~=0 
replace retire_date = ret4 if ret4~=. & useretall~=0 
replace retire_date = ret5 if ret5~=. & useretall~=0 
replace retire_date = ret6 if ret6~=. & useretall~=0 
replace retire_date = ret7 if ret7~=. & useretall~=0 
replace retire_date = ret8 if ret8~=. & useretall~=0 

gen retire_age = retire_date - ((rabyear-1992)*12 + rabmonth)

replace retire_age = 1000 if useretall==.



keep hacohort rabyear rabmonth hhid pn rahhidpn ragender raracem rahispan raedyrs raedegrm raeduc rassagem rassageb retire_age 

sort hhid pn

save "C:\Documents and Settings\David Blau\My Documents\Luc new\HRS\data\temp", replace

clear

use "C:\Documents and Settings\David Blau\My Documents\Luc new\HRS\data\empl8_months.dta"

gen firstmon = sdw1
replace firstmon=sdw2 if firstmon==.
replace firstmon=sdw3 if firstmon==.
replace firstmon=sdw4 if firstmon==.
replace firstmon=sdw5 if firstmon==.
replace firstmon=sdw6 if firstmon==.
replace firstmon=sdw7 if firstmon==.

gen lastmon = sdw8
replace lastmon=sdw7 if lastmon==.
replace lastmon=sdw6 if lastmon==.
replace lastmon=sdw5 if lastmon==.
replace lastmon=sdw4 if lastmon==.
replace lastmon=sdw3 if lastmon==.
replace lastmon=sdw2 if lastmon==.


sort hhid pn


merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\Luc new\HRS\data\temp"

tab _merge

keep if _merge==3

keep hhid pn hhidpn dob sdw* j* jl* ten* ex* se* laid*  hacohort rabyear rabmonth ragender raracem rahispan raedyrs rassagem rassageb retire_age flag* miss* bjob* ejob* old* firstmon lastmon 

drop flagexa flagexb flagtena flagtenb selfemp8 jwave8 sewave8 tenurewave8 exwave8 jwave7 laidoffwave8

su

compress

su rassagem

reshape long jl j ex tenure se laidoff extra, i(hhidpn) j(t)

drop if t<firstmon
drop if t>lastmon

drop firstmon lastmon

su

tab jl j, r

replace rassagem=. if rassagem<744

gen agemon = t - ((rabyear-1992)*12 + rabmonth)

gen retired=0 if retire_age~=.
replace retired=1 if agemon>=retire_age & retire_age~=.

replace rassagem = 1000 if rassagem==.


replace rassagem=. if rassagem<744



* discoverd error 9/29/09: above, set rassagem=1000 if missing, but here it is used if < 10000




gen ss=0 if rassagem>0 & rassagem<1000 & agemon~=.
replace ss=1 if agemon>=rassagem & rassagem>0 & rassagem<1000 & agemon~=.




drop rassagem rassageb 

save "C:\Documents and Settings\Administrator\Desktop\RA\Winter 09\stata\templong", replace


* generate "long" flags

gen     flagbjob=flagbjob2 if t==bjob2
replace flagbjob=flagbjob3 if t==bjob3
replace flagbjob=flagbjob4 if t==bjob4
replace flagbjob=flagbjob5 if t==bjob5
replace flagbjob=flagbjob6 if t==bjob6
replace flagbjob=flagbjob7 if t==bjob7
replace flagbjob=flagbjob8 if t==bjob8

drop flagbjob2 flagbjob3 flagbjob4 flagbjob5 flagbjob6 flagbjob7 flagbjob8 

gen     flagejob=flagejob2 if ((t==ejob2 & j[_n+1]>=1 & j[_n+1]<=2) | (t==ejob2+1 & j==0))
replace flagejob=flagejob3 if ((t==ejob3 & j[_n+1]>=1 & j[_n+1]<=2) | (t==ejob3+1 & j==0))
replace flagejob=flagejob4 if ((t==ejob4 & j[_n+1]>=1 & j[_n+1]<=2) | (t==ejob4+1 & j==0))
replace flagejob=flagejob5 if ((t==ejob5 & j[_n+1]>=1 & j[_n+1]<=2) | (t==ejob5+1 & j==0))
replace flagejob=flagejob6 if ((t==ejob6 & j[_n+1]>=1 & j[_n+1]<=2) | (t==ejob6+1 & j==0))
replace flagejob=flagejob7 if ((t==ejob7 & j[_n+1]>=1 & j[_n+1]<=2) | (t==ejob7+1 & j==0))
replace flagejob=flagejob8 if ((t==ejob8 & j[_n+1]>=1 & j[_n+1]<=2) | (t==ejob8+1 & j==0))

drop flagejob2 flagejob3 flagejob4 flagejob5 flagejob6 flagejob7 flagejob8 

gen     flagex=1 if flagex2==1 & t>sdw1 & t<=sdw2
replace flagex=1 if flagex3==1 & t>sdw2 & t<=sdw3
replace flagex=1 if flagex4==1 & t>sdw3 & t<=sdw4
replace flagex=1 if flagex5==1 & t>sdw4 & t<=sdw5
replace flagex=1 if flagex6==1 & t>sdw5 & t<=sdw6
replace flagex=1 if flagex7==1 & t>sdw6 & t<=sdw7
replace flagex=1 if flagex8==1 & t>sdw7 & t<=sdw8

drop flagex2 flagex3 flagex4 flagex5 flagex6 flagex7 flagex8 

gen     flaghours=1 if flaghours1==1 & t==sdw1
replace flaghours=1 if flaghours2==1 & t>sdw1 & t<=sdw2
replace flaghours=1 if flaghours3==1 & t>sdw2 & t<=sdw3
replace flaghours=1 if flaghours4==1 & t>sdw3 & t<=sdw4
replace flaghours=1 if flaghours5==1 & t>sdw4 & t<=sdw5
replace flaghours=1 if flaghours6==1 & t>sdw5 & t<=sdw6
replace flaghours=1 if flaghours7==1 & t>sdw6 & t<=sdw7
replace flaghours=1 if flaghours8==1 & t>sdw7 & t<=sdw8

drop flaghours1 flaghours2 flaghours3 flaghours4 flaghours5 flaghours6 flaghours7 flaghours8 

gen     flagfhours=1 if flagfhours2==1 & t>sdw1 & t<=sdw2 & extra>=1 & extra<=2
replace flagfhours=1 if flagfhours3==1 & t>sdw2 & t<=sdw3 & extra>=1 & extra<=2
replace flagfhours=1 if flagfhours4==1 & t>sdw3 & t<=sdw4 & extra>=1 & extra<=2
replace flagfhours=1 if flagfhours5==1 & t>sdw4 & t<=sdw5 & extra>=1 & extra<=2
replace flagfhours=1 if flagfhours6==1 & t>sdw5 & t<=sdw6 & extra>=1 & extra<=2
replace flagfhours=1 if flagfhours7==1 & t>sdw6 & t<=sdw7 & extra>=1 & extra<=2
replace flagfhours=1 if flagfhours8==1 & t>sdw7 & t<=sdw8 & extra>=1 & extra<=2

drop flagfhours2 flagfhours3 flagfhours4 flagfhours5 flagfhours6 flagfhours7 flagfhours8 

gen seam=1 if t==sdw1 | t==sdw2 | t==sdw3 | t==sdw4 | t==sdw5 | t==sdw6 | t==sdw7 | t==sdw8

gen     bjobmon=1 if t==bjob2 & oldbjob2==.
replace bjobmon=1 if t==bjob3 & oldbjob3==.
replace bjobmon=1 if t==bjob4 & oldbjob4==.
replace bjobmon=1 if t==bjob5 & oldbjob5==.
replace bjobmon=1 if t==bjob6 & oldbjob6==.
replace bjobmon=1 if t==bjob7 & oldbjob7==.
replace bjobmon=1 if t==bjob8 & oldbjob8==.

drop oldbjob2 oldbjob3 oldbjob4 oldbjob5 oldbjob6 oldbjob7 oldbjob8 
drop bjobmon2 bjobmon3 bjobmon4 bjobmon5 bjobmon6 bjobmon7 bjobmon8 

gen     ejobmon=1 if t==ejob2 & oldejob2==.
replace ejobmon=1 if t==ejob3 & oldejob3==.
replace ejobmon=1 if t==ejob4 & oldejob4==.
replace ejobmon=1 if t==ejob5 & oldejob5==.
replace ejobmon=1 if t==ejob6 & oldejob6==.
replace ejobmon=1 if t==ejob7 & oldejob7==.
replace ejobmon=1 if t==ejob8 & oldejob8==.

drop ejobmon2 ejobmon3 ejobmon4 ejobmon5 ejobmon6 ejobmon7 ejobmon8 
drop oldejob2 oldejob3 oldejob4 oldejob5 oldejob6 oldejob7 oldejob8
drop bjob* ejob* 

gen     misswave = miss2 if t==sdw3
replace misswave = miss3 if t==sdw4
replace misswave = miss4 if t==sdw5
replace misswave = miss5 if t==sdw6
replace misswave = miss6 if t==sdw7
replace misswave = miss7 if t==sdw8

drop sdw1 sdw2 sdw3 sdw4 sdw5 sdw6 sdw7 sdw8 
drop miss2 miss3 miss4 miss5 miss6 miss7

gen     flagoldjobs = 1 if flaglongjob==1
replace flagoldjobs = 2 if flagothjob==1
replace flagoldjobs = 3 if flaglj==1
replace flagoldjobs = 4 if flaglongjob==1 & flagothjob==1
replace flagoldjobs = 5 if flaglongjob==1 & flaglj==1
replace flagoldjobs = 4 if flagothjob==1 & flaglj==1
replace flagoldjobs = 4 if flaglongjob==1 & flagothjob==1 & flaglj==1

drop flaglongjob flagothjob flaglj

compress

save "C:\Documents and Settings\Administrator\Desktop\RA\Winter 09\stata\empl_long.dta" , replace

su

log close

