clear
set memory 450m
log using "c:\users\econuser\Documents\Saving_and_Retirement\sipp\sas\data for calibration Dec 2013 sd" , replace

* added standard deviations for msm

* changed 8/30/2011 to incorporate non-Ft in the definition of work, and to define work = 1 if work >= 6 months in a year

use r1jhours-r9jhours r1jweeks-r9jweeks h1icap h2icap h3icap h4icap h5icap h6icap h7icap h8icap h9icap  r1isret r2isret r3isret r4isret r5isret r6isret r7isret r8isret r9isret  r1isret r2isret r3isret r4isret r5isret r6isret r7isret r8isret r9isret h1atotf-h9atotf h1itot-h9itot r1iearn-r9iearn s1iearn-s9iearn r1wgihr-r9wgihr r1oopmd-r9oopmd s1oopmd-s9oopmd hhidpn rassage* hacohort rabyear r1agem_e-r9agem_e ragender raracem rahispan r1lbrf-r9lbrf raedyrs raedegrm raeduc r1jcpen-r9jcpen r1mstat-r9mstat h1atota-h9atota r1ptyp1-r9ptyp1 using d:\data\RANDHRS\statadat\rndhrs_j

su rassage*

replace rassageb=. if rassageb<62
replace rassageb = int(rassageb)
replace rassageb = 70 if rassageb>70 & rassageb<100
tab rassageb

replace rassagem=. if rassageb==.
tab rassageb
tab rassagem

* including HRS cohort (1931-41) + husbands up to 5 years older than wife, War Babies (1942-47), Early Boomers (1948-53) + husbands up to 5 years younger than wife

* + CODA   10/7/11

keep if rabyear>=1919 & rabyear<=1958 & hacohort>=2

keep if ragender==1

keep if raracem==1 & rahispan==0 & raeduc>=2 & raeduc<=4 

rename r1jhours rjhours1
rename r2jhours rjhours2
rename r3jhours rjhours3
rename r4jhours rjhours4
rename r5jhours rjhours5
rename r6jhours rjhours6
rename r7jhours rjhours7
rename r8jhours rjhours8
rename r9jhours rjhours9

rename r1jweeks rjweeks1
rename r2jweeks rjweeks2
rename r3jweeks rjweeks3
rename r4jweeks rjweeks4
rename r5jweeks rjweeks5
rename r6jweeks rjweeks6
rename r7jweeks rjweeks7
rename r8jweeks rjweeks8
rename r9jweeks rjweeks9


rename r1lbrf rlbrf1
rename r2lbrf rlbrf2
rename r3lbrf rlbrf3
rename r4lbrf rlbrf4
rename r5lbrf rlbrf5
rename r6lbrf rlbrf6
rename r7lbrf rlbrf7
rename r8lbrf rlbrf8
rename r9lbrf rlbrf9

rename s1iearn siearn1
rename s2iearn siearn2
rename s3iearn siearn3
rename s4iearn siearn4
rename s5iearn siearn5
rename s6iearn siearn6
rename s7iearn siearn7
rename s8iearn siearn8
rename s9iearn siearn9

rename r1iearn riearn1
rename r2iearn riearn2
rename r3iearn riearn3
rename r4iearn riearn4
rename r5iearn riearn5
rename r6iearn riearn6
rename r7iearn riearn7
rename r8iearn riearn8
rename r9iearn riearn9

rename s1isret sisret1
rename s2isret sisret2
rename s3isret sisret3
rename s4isret sisret4
rename s5isret sisret5
rename s6isret sisret6
rename s7isret sisret7
rename s8isret sisret8
rename s9isret sisret9

rename r1isret risret1
rename r2isret risret2
rename r3isret risret3
rename r4isret risret4
rename r5isret risret5
rename r6isret risret6
rename r7isret risret7
rename r8isret risret8
rename r9isret risret9

rename r1wgihr rwgihr1
rename r2wgihr rwgihr2
rename r3wgihr rwgihr3
rename r4wgihr rwgihr4
rename r5wgihr rwgihr5
rename r6wgihr rwgihr6
rename r7wgihr rwgihr7
rename r8wgihr rwgihr8
rename r9wgihr rwgihr9

rename r1oopmd roopmd1
rename r2oopmd roopmd2
rename r3oopmd roopmd3
rename r4oopmd roopmd4
rename r5oopmd roopmd5
rename r6oopmd roopmd6
rename r7oopmd roopmd7
rename r8oopmd roopmd8
rename r9oopmd roopmd9

rename s1oopmd soopmd1
rename s2oopmd soopmd2
rename s3oopmd soopmd3
rename s4oopmd soopmd4
rename s5oopmd soopmd5
rename s6oopmd soopmd6
rename s7oopmd soopmd7
rename s8oopmd soopmd8
rename s9oopmd soopmd9

rename r1ptyp1 rptyp11
rename r2ptyp1 rptyp12
rename r3ptyp1 rptyp13
rename r4ptyp1 rptyp14
rename r5ptyp1 rptyp15
rename r6ptyp1 rptyp16
rename r7ptyp1 rptyp17
rename r8ptyp1 rptyp18
rename r9ptyp1 rptyp19

rename r1jcpen rjcpen1
rename r2jcpen rjcpen2
rename r3jcpen rjcpen3
rename r4jcpen rjcpen4
rename r5jcpen rjcpen5
rename r6jcpen rjcpen6
rename r7jcpen rjcpen7
rename r8jcpen rjcpen8
rename r9jcpen rjcpen9

rename h1atota hatota1
rename h2atota hatota2
rename h3atota hatota3
rename h4atota hatota4
rename h5atota hatota5
rename h6atota hatota6
rename h7atota hatota7
rename h8atota hatota8
rename h9atota hatota9

rename h1atotf hatotf1
rename h2atotf hatotf2
rename h3atotf hatotf3
rename h4atotf hatotf4
rename h5atotf hatotf5
rename h6atotf hatotf6
rename h7atotf hatotf7
rename h8atotf hatotf8
rename h9atotf hatotf9

rename h1itot hitot1
rename h2itot hitot2
rename h3itot hitot3
rename h4itot hitot4
rename h5itot hitot5
rename h6itot hitot6
rename h7itot hitot7
rename h8itot hitot8
rename h9itot hitot9

rename h1icap hicap1
rename h2icap hicap2
rename h3icap hicap3
rename h4icap hicap4
rename h5icap hicap5
rename h6icap hicap6
rename h7icap hicap7
rename h8icap hicap8
rename h9icap hicap9

rename r1mstat rmstat1
rename r2mstat rmstat2
rename r3mstat rmstat3
rename r4mstat rmstat4
rename r5mstat rmstat5
rename r6mstat rmstat6
rename r7mstat rmstat7
rename r8mstat rmstat8
rename r9mstat rmstat9

rename r1agem_e rageme1
rename r2agem_e rageme2
rename r3agem_e rageme3
rename r4agem_e rageme4
rename r5agem_e rageme5
rename r6agem_e rageme6
rename r7agem_e rageme7
rename r8agem_e rageme8
rename r9agem_e rageme9

replace rptyp11=1 if rptyp11==3
replace rptyp12=1 if rptyp12==3
replace rptyp13=1 if rptyp13==3
replace rptyp14=1 if rptyp14==3
replace rptyp15=1 if rptyp15==3
replace rptyp16=1 if rptyp16==3
replace rptyp17=1 if rptyp17==3
replace rptyp18=1 if rptyp18==3
replace rptyp19=1 if rptyp19==3

tab hacohort

gen pen = 0 if hacohort==3 & rjcpen1==0
replace pen = 1 if hacohort==3 & rjcpen1==1 & rptyp11==1
replace pen = 2 if hacohort==3 & rjcpen1==1 & rptyp11==2

replace pen = 0 if (hacohort==4 | hacohort==2) & rjcpen4==0
replace pen = 1 if (hacohort==4 | hacohort==2) & rjcpen4==1 & rptyp14==1
replace pen = 2 if (hacohort==4 | hacohort==2) & rjcpen4==1 & rptyp14==2

replace pen = 0 if hacohort==5 & rjcpen7==0
replace pen = 1 if hacohort==5 & rjcpen7==1 & rptyp17==1
replace pen = 2 if hacohort==5 & rjcpen7==1 & rptyp17==2

tab pen
sort hacohort
by hacohort: tab pen

sort hhidpn

keep ragender hhidpn rage* rlb* rpty* rabyear rmst* hat* rassagem rwgihr* roopmd* soopmd* pen raeduc siea* riea* hitot* hicap* risret* sisret* rjhours* rjweeks* hacohort

save "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\temphrsa", replace

keep hhidpn pen raeduc

save "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\temphrs", replace

clear

use "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\h98g_r"

sort hhidpn

merge hhidpn using "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\temphrsa"

replace f3202=. if f3202==8 | f3202==9
replace f3672=. if f3672==8 | f3672==9
replace f3854=. if f3854==8 | f3854==9

su hatota4 if hacohort==2
su hatota4 if hacohort==2 & f3202~=1 & f3672~=1 & f3854~=1
su hatota4 if hacohort==2 & f3202~=1 & f3672~=1 & f3854~=1 & rlbrf4>=5 & rlbrf4<=7

drop _merge

replace pen=0 if hacohort==2 & (f3202~=. | f3672~=. | f3854~=.) & rlbrf4>=5 & rlbrf4<=7 & pen==.
replace pen=1 if hacohort==2  & (f3202~=. | f3672~=. | f3854~=.) & (f3202==1 | f3672==1 | f3854==1) & rlbrf4>=5 & rlbrf4<=7


*use "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\temphrsa"

reshape long rageme rlbrf rmstat hatota rwgihr roopmd soopmd siearn riearn hatotf hitot hicap risret sisret rjhours rjweeks, i(hhidpn) j(wave)

sort hhidpn wave

gen ssclaim=0 if rassagem>0 & rassagem<10000
replace ssclaim=1 if rassagem<=rageme & rassagem>0 & rassagem<10000

* do something similar for penclaim, eventually

* 1992 dollars. make sure this is same as in initial conditions for simulation

gen     cpi = 140.3
replace cpi = 148.2 if wave==2
replace cpi = 156.9 if wave==3
replace cpi = 163.0 if wave==4
replace cpi = 172.2 if wave==5
replace cpi = 179.9 if wave==6
replace cpi = 188.9 if wave==7
replace cpi = 201.6 if wave==8
replace cpi = 215.3 if wave==9

replace cpi = cpi/140.3

replace hatota = hatota/cpi
replace hatota = hatota/1000

replace hatotf = hatotf/cpi
replace hatotf = hatotf/1000

replace hitot = hitot/cpi
replace hitot = hitot/1000

replace siearn = siearn/cpi
replace siearn = siearn/1000

replace riearn = riearn/cpi
replace riearn = riearn/1000

replace hicap = hicap/cpi
replace hicap = hicap/1000

replace sisret = sisret/cpi
replace sisret = sisret/1000

replace risret = risret/cpi
replace risret = risret/1000

replace rwgihr = rwgihr/cpi
replace rwgihr = . if rwgihr<2 | rwgihr>250

replace roopmd=. if wave==1 | wave==2
replace soopmd=. if wave==1 | wave==2

replace roopmd = roopmd/cpi
replace soopmd = soopmd/cpi
gen totmed = roopmd + soopmd

replace rageme = int(rageme/12)

rename rageme age

gen marstat=1 if rmstat>=1 & rmstat<=3
replace marstat=2 if rmstat>=4 & rmstat<=7
replace marstat=3 if rmstat==8

gen single = 0 if rmstat>=1 & rmstat<=3
replace single = 1 if rmstat>=4 & rmstat<=8

* does this work, to get rid of all waves after entry to marriage?

drop if single[_n-1]==1 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]==1 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]==1 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]==1 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]==1 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]==1 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]==1 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]==1 & single==0 & hhidpn==hhidpn[_n-1]

keep if single==0

gen ftempl = 1 if rlbrf==1 
replace ftempl = 0 if rlbrf>1 & rlbrf<10

gen ftempl_np = ftempl if pen==0
gen ftempl_db = ftempl if pen==1
gen ftempl_dc = ftempl if pen==2 | pen==3

gen hatota_np = hatota if pen==0
gen hatota_db = hatota if pen==1
gen hatota_dc = hatota if pen==2 | pen==3

gen hatotf_np = hatotf if pen==0
gen hatotf_db = hatotf if pen==1
gen hatotf_dc = hatotf if pen==2 | pen==3

gen hitot_np = hitot if pen==0
gen hitot_db = hitot if pen==1
gen hitot_dc = hitot if pen==2 | pen==3

gen hicap_np = hicap if pen==0
gen hicap_db = hicap if pen==1
gen hicap_dc = hicap if pen==2 | pen==3

gen riearn_np = riearn if pen==0
gen riearn_db = riearn if pen==1
gen riearn_dc = riearn if pen==2 | pen==3

gen siearn_np = siearn if pen==0
gen siearn_db = siearn if pen==1
gen siearn_dc = siearn if pen==2 | pen==3

gen risret_np = risret if pen==0
gen risret_db = risret if pen==1
gen risret_dc = risret if pen==2 | pen==3

gen sisret_np = sisret if pen==0
gen sisret_db = sisret if pen==1
gen sisret_dc = sisret if pen==2 | pen==3



gen entry = 0 if ftempl[_n-1]==0 & ftempl~=. & hhidpn==hhidpn[_n-1]
replace entry = 1 if ftempl[_n-1]==0 & ftempl==1 & hhidpn==hhidpn[_n-1]

gen exit = 0 if ftempl[_n-1]==1 & ftempl~=. & hhidpn==hhidpn[_n-1]
replace exit = 1 if ftempl[_n-1]==1 & ftempl==0 & hhidpn==hhidpn[_n-1]

gen entry_np = entry if pen==0
gen entry_db = entry if pen==1
gen entry_dc = entry if pen==2 | pen==3

gen exit_np = exit if pen==0
gen exit_db = exit if pen==1
gen exit_dc = exit if pen==2 | pen==3

gen ssclaim_np = ssclaim if pen==0
gen ssclaim_db = ssclaim if pen==1
gen ssclaim_dc = ssclaim if pen==2 | pen==3

su

save "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\caldat", replace

clear
use "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\caldat"


gen w5153 = hatota if age==51 & age[_n+1]==53 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w5254 = hatota if age==52 & age[_n+1]==54 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w5355 = hatota if age==53 & age[_n+1]==55 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w5456 = hatota if age==54 & age[_n+1]==56 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w5557 = hatota if age==55 & age[_n+1]==57 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w5658 = hatota if age==56 & age[_n+1]==58 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w5759 = hatota if age==57 & age[_n+1]==59 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w5860 = hatota if age==58 & age[_n+1]==60 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w5961 = hatota if age==59 & age[_n+1]==61 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w6062 = hatota if age==60 & age[_n+1]==62 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w6163 = hatota if age==61 & age[_n+1]==63 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w6264 = hatota if age==62 & age[_n+1]==64 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w6365 = hatota if age==63 & age[_n+1]==65 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w6466 = hatota if age==64 & age[_n+1]==66 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w6567 = hatota if age==65 & age[_n+1]==67 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w6668 = hatota if age==66 & age[_n+1]==68 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w6769 = hatota if age==67 & age[_n+1]==69 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w6870 = hatota if age==68 & age[_n+1]==70 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w6971 = hatota if age==69 & age[_n+1]==71 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w7072 = hatota if age==70 & age[_n+1]==72 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w7173 = hatota if age==71 & age[_n+1]==73 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w7274 = hatota if age==72 & age[_n+1]==74 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w7375 = hatota if age==73 & age[_n+1]==75 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w7476 = hatota if age==74 & age[_n+1]==76 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w7577 = hatota if age==75 & age[_n+1]==77 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w7678 = hatota if age==76 & age[_n+1]==78 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w7779 = hatota if age==77 & age[_n+1]==79 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w7880 = hatota if age==78 & age[_n+1]==80 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w7981 = hatota if age==79 & age[_n+1]==81 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w8082 = hatota if age==80 & age[_n+1]==82 & hatota>-1000000 & hatota<100000000 & hatota[_n+1]>-1000000 & hatota[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1

gen w_np5153 = hatota_np if age==51 & age[_n+1]==53 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np5254 = hatota_np if age==52 & age[_n+1]==54 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np5355 = hatota_np if age==53 & age[_n+1]==55 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np5456 = hatota_np if age==54 & age[_n+1]==56 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np5557 = hatota_np if age==55 & age[_n+1]==57 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np5658 = hatota_np if age==56 & age[_n+1]==58 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np5759 = hatota_np if age==57 & age[_n+1]==59 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np5860 = hatota_np if age==58 & age[_n+1]==60 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np5961 = hatota_np if age==59 & age[_n+1]==61 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np6062 = hatota_np if age==60 & age[_n+1]==62 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np6163 = hatota_np if age==61 & age[_n+1]==63 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np6264 = hatota_np if age==62 & age[_n+1]==64 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np6365 = hatota_np if age==63 & age[_n+1]==65 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np6466 = hatota_np if age==64 & age[_n+1]==66 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np6567 = hatota_np if age==65 & age[_n+1]==67 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np6668 = hatota_np if age==66 & age[_n+1]==68 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np6769 = hatota_np if age==67 & age[_n+1]==69 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np6870 = hatota_np if age==68 & age[_n+1]==70 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np6971 = hatota_np if age==69 & age[_n+1]==71 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np7072 = hatota_np if age==70 & age[_n+1]==72 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np7173 = hatota_np if age==71 & age[_n+1]==73 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np7274 = hatota_np if age==72 & age[_n+1]==74 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np7375 = hatota_np if age==73 & age[_n+1]==75 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np7476 = hatota_np if age==74 & age[_n+1]==76 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np7577 = hatota_np if age==75 & age[_n+1]==77 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np7678 = hatota_np if age==76 & age[_n+1]==78 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np7779 = hatota_np if age==77 & age[_n+1]==79 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np7880 = hatota_np if age==78 & age[_n+1]==80 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np7981 = hatota_np if age==79 & age[_n+1]==81 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_np8082 = hatota_np if age==80 & age[_n+1]==82 & hatota_np>-1000000 & hatota_np<100000000 & hatota_np[_n+1]>-1000000 & hatota_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1

gen wf_np5153 = hatotf_np if age==51 & age[_n+1]==53 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np5254 = hatotf_np if age==52 & age[_n+1]==54 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np5355 = hatotf_np if age==53 & age[_n+1]==55 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np5456 = hatotf_np if age==54 & age[_n+1]==56 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np5557 = hatotf_np if age==55 & age[_n+1]==57 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np5658 = hatotf_np if age==56 & age[_n+1]==58 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np5759 = hatotf_np if age==57 & age[_n+1]==59 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np5860 = hatotf_np if age==58 & age[_n+1]==60 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np5961 = hatotf_np if age==59 & age[_n+1]==61 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np6062 = hatotf_np if age==60 & age[_n+1]==62 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np6163 = hatotf_np if age==61 & age[_n+1]==63 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np6264 = hatotf_np if age==62 & age[_n+1]==64 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np6365 = hatotf_np if age==63 & age[_n+1]==65 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np6466 = hatotf_np if age==64 & age[_n+1]==66 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np6567 = hatotf_np if age==65 & age[_n+1]==67 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np6668 = hatotf_np if age==66 & age[_n+1]==68 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np6769 = hatotf_np if age==67 & age[_n+1]==69 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np6870 = hatotf_np if age==68 & age[_n+1]==70 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np6971 = hatotf_np if age==69 & age[_n+1]==71 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np7072 = hatotf_np if age==70 & age[_n+1]==72 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np7173 = hatotf_np if age==71 & age[_n+1]==73 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np7274 = hatotf_np if age==72 & age[_n+1]==74 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np7375 = hatotf_np if age==73 & age[_n+1]==75 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np7476 = hatotf_np if age==74 & age[_n+1]==76 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np7577 = hatotf_np if age==75 & age[_n+1]==77 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np7678 = hatotf_np if age==76 & age[_n+1]==78 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np7779 = hatotf_np if age==77 & age[_n+1]==79 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np7880 = hatotf_np if age==78 & age[_n+1]==80 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np7981 = hatotf_np if age==79 & age[_n+1]==81 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen wf_np8082 = hatotf_np if age==80 & age[_n+1]==82 & hatotf_np>-1000000 & hatotf_np<100000000 & hatotf_np[_n+1]>-1000000 & hatotf_np[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1

gen w_db5153 = hatota_db if age==51 & age[_n+1]==53 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db5254 = hatota_db if age==52 & age[_n+1]==54 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db5355 = hatota_db if age==53 & age[_n+1]==55 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db5456 = hatota_db if age==54 & age[_n+1]==56 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db5557 = hatota_db if age==55 & age[_n+1]==57 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db5658 = hatota_db if age==56 & age[_n+1]==58 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db5759 = hatota_db if age==57 & age[_n+1]==59 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db5860 = hatota_db if age==58 & age[_n+1]==60 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db5961 = hatota_db if age==59 & age[_n+1]==61 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db6062 = hatota_db if age==60 & age[_n+1]==62 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db6163 = hatota_db if age==61 & age[_n+1]==63 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db6264 = hatota_db if age==62 & age[_n+1]==64 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db6365 = hatota_db if age==63 & age[_n+1]==65 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db6466 = hatota_db if age==64 & age[_n+1]==66 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db6567 = hatota_db if age==65 & age[_n+1]==67 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db6668 = hatota_db if age==66 & age[_n+1]==68 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db6769 = hatota_db if age==67 & age[_n+1]==69 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db6870 = hatota_db if age==68 & age[_n+1]==70 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db6971 = hatota_db if age==69 & age[_n+1]==71 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db7072 = hatota_db if age==70 & age[_n+1]==72 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db7173 = hatota_db if age==71 & age[_n+1]==73 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db7274 = hatota_db if age==72 & age[_n+1]==74 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db7375 = hatota_db if age==73 & age[_n+1]==75 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db7476 = hatota_db if age==74 & age[_n+1]==76 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db7577 = hatota_db if age==75 & age[_n+1]==77 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db7678 = hatota_db if age==76 & age[_n+1]==78 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db7779 = hatota_db if age==77 & age[_n+1]==79 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db7880 = hatota_db if age==78 & age[_n+1]==80 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db7981 = hatota_db if age==79 & age[_n+1]==81 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_db8082 = hatota_db if age==80 & age[_n+1]==82 & hatota_db>-1000000 & hatota_db<100000000 & hatota_db[_n+1]>-1000000 & hatota_db[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1


gen w_dc5153 = hatota_dc if age==51 & age[_n+1]==53 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc5254 = hatota_dc if age==52 & age[_n+1]==54 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc5355 = hatota_dc if age==53 & age[_n+1]==55 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc5456 = hatota_dc if age==54 & age[_n+1]==56 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc5557 = hatota_dc if age==55 & age[_n+1]==57 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc5658 = hatota_dc if age==56 & age[_n+1]==58 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc5759 = hatota_dc if age==57 & age[_n+1]==59 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc5860 = hatota_dc if age==58 & age[_n+1]==60 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc5961 = hatota_dc if age==59 & age[_n+1]==61 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc6062 = hatota_dc if age==60 & age[_n+1]==62 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc6163 = hatota_dc if age==61 & age[_n+1]==63 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc6264 = hatota_dc if age==62 & age[_n+1]==64 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc6365 = hatota_dc if age==63 & age[_n+1]==65 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc6466 = hatota_dc if age==64 & age[_n+1]==66 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc6567 = hatota_dc if age==65 & age[_n+1]==67 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc6668 = hatota_dc if age==66 & age[_n+1]==68 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc6769 = hatota_dc if age==67 & age[_n+1]==69 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc6870 = hatota_dc if age==68 & age[_n+1]==70 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc6971 = hatota_dc if age==69 & age[_n+1]==71 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc7072 = hatota_dc if age==70 & age[_n+1]==72 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc7173 = hatota_dc if age==71 & age[_n+1]==73 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc7274 = hatota_dc if age==72 & age[_n+1]==74 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc7375 = hatota_dc if age==73 & age[_n+1]==75 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc7476 = hatota_dc if age==74 & age[_n+1]==76 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc7577 = hatota_dc if age==75 & age[_n+1]==77 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc7678 = hatota_dc if age==76 & age[_n+1]==78 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc7779 = hatota_dc if age==77 & age[_n+1]==79 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc7880 = hatota_dc if age==78 & age[_n+1]==80 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc7981 = hatota_dc if age==79 & age[_n+1]==81 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1
gen w_dc8082 = hatota_dc if age==80 & age[_n+1]==82 & hatota_dc>-1000000 & hatota_dc<100000000 & hatota_dc[_n+1]>-1000000 & hatota_dc[_n+1]<100000000 & marstat==1 & marstat[_n+1]==1

su

*collapse (median) m5153 = w5153 m5254 = w5254 m5355 = w5355 m5456 = w5456 m5557 = w5557 m5658 = w5658 m5759 = w5759 m5860 = w5860 m5961 = w5961 m6062 = w6062 m6163 = w6163 m6264 = w6264 m6365 = w6365 m6466 = w6466 m6567 = w6567 m6668 = w6668 m6769 = w6769 m6870 = w6870 m6971 = w6971 m7072 = w7072 m7173 = w7173 m7274 = w7274 m7375 = w7375 m7476 = w7476 m7577 = w7577 m7678 = w7678 m7779 = w7779 m7880 = w7880 m7981 = w7981 m8082 = w8082 (count) n5153 = w5153 n6163 = w6163 n7173 = w7173 n7880 = w7880 , by (age)

*collapse ftempl* entry* exit* ssclaim* (sd) sdssclaim = ssclaim_np sd5153 = w5153 sd5254 = w5254 sd5355 = w5355 sd5456 = w5456 sd5557 = w5557 sd5658 = w5658 sd5759 = w5759 sd5860 = w5860 sd5961 = w5961 sd6062 = w6062 sd6163 = w6163 sd6264 = w6264 sd6365 = w6365 sd6466 = w6466 sd6567 = w6567 sd6668 = w6668 sd6769 = w6769 sd6870 = w6870 sd6971 = w6971 sd7072 = w7072 sd7173 = w7173 sd7274 = w7274 sd7375 = w7375 sd7476 = w7476 sd7577 = w7577 sd7678 = w7678  (median) m5153 = w5153 m5254 = w5254 m5355 = w5355 m5456 = w5456 m5557 = w5557 m5658 = w5658 m5759 = w5759 m5860 = w5860 m5961 = w5961 m6062 = w6062 m6163 = w6163 m6264 = w6264 m6365 = w6365 m6466 = w6466 m6567 = w6567 m6668 = w6668 m6769 = w6769 m6870 = w6870 m6971 = w6971 m7072 = w7072 m7173 = w7173 m7274 = w7274 m7375 = w7375 m7476 = w7476 m7577 = w7577 m7678 = w7678 m7779 = w7779 m7880 = w7880 m7981 = w7981 m8082 = w8082 m_np5153 = w_np5153 m_np5254 = w_np5254 m_np5355 = w_np5355 m_np5456 = w_np5456 m_np5557 = w_np5557 m_np5658 = w_np5658 m_np5759 = w_np5759 m_np5860 = w_np5860 m_np5961 = w_np5961 m_np6062 = w_np6062 m_np6163 = w_np6163 m_np6264 = w_np6264 m_np6365 = w_np6365 m_np6466 = w_np6466 m_np6567 = w_np6567 m_np6668 = w_np6668 m_np6769 = w_np6769 m_np6870 = w_np6870 m_np6971 = w_np6971 m_np7072 = w_np7072 m_np7173 = w_np7173 m_np7274 = w_np7274 m_np7375 = w_np7375 m_np7476 = w_np7476 m_np7577 = w_np7577 m_np7678 = w_np7678 m_np7779 = w_np7779 m_np7880 = w_np7880 m_np7981 = w_np7981 m_np8082 = w_np8082 m_db5153 = w_db5153 m_db5254 = w_db5254 m_db5355 = w_db5355 m_db5456 = w_db5456 m_db5557 = w_db5557 m_db5658 = w_db5658 m_db5759 = w_db5759 m_db5860 = w_db5860 m_db5961 = w_db5961 m_db6062 = w_db6062 m_db6163 = w_db6163 m_db6264 = w_db6264 m_db6365 = w_db6365 m_db6466 = w_db6466 m_db6567 = w_db6567 m_db6668 = w_db6668 m_db6769 = w_db6769 m_db6870 = w_db6870 m_db6971 = w_db6971 m_db7072 = w_db7072 m_db7173 = w_db7173 m_db7274 = w_db7274 m_db7375 = w_db7375 m_db7476 = w_db7476 m_db7577 = w_db7577 m_db7678 = w_db7678 m_db7779 = w_db7779 m_db7880 = w_db7880 m_db7981 = w_db7981 m_db8082 = w_db8082 m_dc5153 = w_dc5153 m_dc5254 = w_dc5254 m_dc5355 = w_dc5355 m_dc5456 = w_dc5456 m_dc5557 = w_dc5557 m_dc5658 = w_dc5658 m_dc5759 = w_dc5759 m_dc5860 = w_dc5860 m_dc5961 = w_dc5961 m_dc6062 = w_dc6062 m_dc6163 = w_dc6163 m_dc6264 = w_dc6264 m_dc6365 = w_dc6365 m_dc6466 = w_dc6466 m_dc6567 = w_dc6567 m_dc6668 = w_dc6668 m_dc6769 = w_dc6769 m_dc6870 = w_dc6870 m_dc6971 = w_dc6971 m_dc7072 = w_dc7072 m_dc7173 = w_dc7173 m_dc7274 = w_dc7274 m_dc7375 = w_dc7375 m_dc7476 = w_dc7476 m_dc7577 = w_dc7577 m_dc7678 = w_dc7678 m_dc7779 = w_dc7779 m_dc7880 = w_dc7880 m_dc7981 = w_dc7981 m_dc8082 = w_dc8082  (count) n5153 = w5153 n6163 = w6163 n7173 = w7173 n7880 = w7880  n_np5153 = w_np5153 n_np5254 = w_np5254 n_np5355 = w_np5355 n_np5456 = w_np5456 n_np5557 = w_np5557 n_np5658 = w_np5658 n_np5759 = w_np5759 n_np5860 = w_np5860 n_np5961 = w_np5961 n_np6062 = w_np6062 n_np6163 = w_np6163 n_np6264 = w_np6264 n_np6365 = w_np6365 n_np6466 = w_np6466 n_np6567 = w_np6567 n_np6668 = *_np6668 np6769 = w_np6769 n_np6870 = w_np6870 n_np6971 = w_np6971 n_np7072 = w_np7072 n_np7173 = w_np7173 n_np7274 = w_np7274 n_np7375 = w_np7375 n_np7476 = w_np7476 n_np7577 = w_np7577 n_np7678 = w_np7678 n_np7779 = w_np7779 n_np7880 = w_np7880 n_np7981 = w_np7981 n_np8082 = w_np8082 , by (age)

collapse hitot hitot_np ftempl* entry* exit* ssclaim* (median) hatota hatota_np hatotf hatotf_np mf_np5153 = wf_np5153 mf_np5254 = wf_np5254 mf_np5355 = wf_np5355 mf_np5456 = wf_np5456 mf_np5557 = wf_np5557 mf_np5658 = wf_np5658 mf_np5759 = wf_np5759 mf_np5860 = wf_np5860 mf_np5961 = wf_np5961 mf_np6062 = wf_np6062 mf_np6163 = wf_np6163 mf_np6264 = wf_np6264 mf_np6365 = wf_np6365 mf_np6466 = wf_np6466 mf_np6567 = wf_np6567 mf_np6668 = wf_np6668 mf_np6769 = wf_np6769 mf_np6870 = wf_np6870 mf_np6971 = wf_np6971 mf_np7072 = wf_np7072 mf_np7173 = wf_np7173 mf_np7274 = wf_np7274 mf_np7375 = wf_np7375 mf_np7476 = wf_np7476 mf_np7577 = wf_np7577 mf_np7678 = wf_np7678 mf_np7779 = wf_np7779 mf_np7880 = wf_np7880 mf_np7981 = wf_np7981 mf_np8082 = wf_np8082  m5153 = w5153 m5254 = w5254 m5355 = w5355 m5456 = w5456 m5557 = w5557 m5658 = w5658 m5759 = w5759 m5860 = w5860 m5961 = w5961 m6062 = w6062 m6163 = w6163 m6264 = w6264 m6365 = w6365 m6466 = w6466 m6567 = w6567 m6668 = w6668 m6769 = w6769 m6870 = w6870 m6971 = w6971 m7072 = w7072 m7173 = w7173 m7274 = w7274 m7375 = w7375 m7476 = w7476 m7577 = w7577 m7678 = w7678 m7779 = w7779 m7880 = w7880 m7981 = w7981 m8082 = w8082 m_np5153 = w_np5153 m_np5254 = w_np5254 m_np5355 = w_np5355 m_np5456 = w_np5456 m_np5557 = w_np5557 m_np5658 = w_np5658 m_np5759 = w_np5759 m_np5860 = w_np5860 m_np5961 = w_np5961 m_np6062 = w_np6062 m_np6163 = w_np6163 m_np6264 = w_np6264 m_np6365 = w_np6365 m_np6466 = w_np6466 m_np6567 = w_np6567 m_np6668 = w_np6668 m_np6769 = w_np6769 m_np6870 = w_np6870 m_np6971 = w_np6971 m_np7072 = w_np7072 m_np7173 = w_np7173 m_np7274 = w_np7274 m_np7375 = w_np7375 m_np7476 = w_np7476 m_np7577 = w_np7577 m_np7678 = w_np7678 m_np7779 = w_np7779 m_np7880 = w_np7880 m_np7981 = w_np7981 m_np8082 = w_np8082  (count) n5153 = w5153 n6163 = w6163 n7173 = w7173 n7880 = w7880  n_np5153 = w_np5153 n_np5254 = w_np5254 n_np5355 = w_np5355 n_np5456 = w_np5456 n_np5557 = w_np5557 n_np5658 = w_np5658 n_np5759 = w_np5759 n_np5860 = w_np5860 n_np5961 = w_np5961 n_np6062 = w_np6062 n_np6163 = w_np6163 n_np6264 = w_np6264 n_np6365 = w_np6365 n_np6466 = w_np6466 n_np6567 = w_np6567 n_np6668 = w_np6668 n_np6769 = w_np6769 n_np6870 = w_np6870 n_np6971 = w_np6971 n_np7072 = w_np7072 n_np7173 = w_np7173 n_np7274 = w_np7274 n_np7375 = w_np7375 n_np7476 = w_np7476 n_np7577 = w_np7577 n_np7678 = w_np7678 n_np7779 = w_np7779 n_np7880 = w_np7880 n_np7981 = w_np7981 n_np8082 = w_np8082 (sd) sd5153 = w5153 sd6163 = w6163 sd7173 = w7173 sd7880 = w7880  sd_np5153 = w_np5153 sd_np5254 = w_np5254 sd_np5355 = w_np5355 sd_np5456 = w_np5456 sd_np5557 = w_np5557 sd_np5658 = w_np5658 sd_np5759 = w_np5759 sd_np5860 = w_np5860 sd_np5961 = w_np5961 sd_np6062 = w_np6062 sd_np6163 = w_np6163 sd_np6264 = w_np6264 sd_np6365 = w_np6365 sd_np6466 = w_np6466 sd_np6567 = w_np6567 sd_np6668 = w_np6668 sd_np6769 = w_np6769 sd_np6870 = w_np6870 sd_np6971 = w_np6971 sd_np7072 = w_np7072 sd_np7173 = w_np7173 sd_np7274 = w_np7274 sd_np7375 = w_np7375 sd_np7476 = w_np7476 sd_np7577 = w_np7577 sd_np7678 = w_np7678 sd_np7779 = w_np7779 sd_np7880 = w_np7880 sd_np7981 = w_np7981 sd_np8082 = w_np8082 sdssclaim = ssclaim_np, by (age)


sort age

gen     n_np = n_np5153 if age==51
replace n_np = n_np5254 if age==52
replace n_np = n_np5355 if age==53
replace n_np = n_np5456 if age==54
replace n_np = n_np5557 if age==55
replace n_np = n_np5658 if age==56
replace n_np = n_np5759 if age==57
replace n_np = n_np5860 if age==58
replace n_np = n_np5961 if age==59
replace n_np = n_np6062 if age==60
replace n_np = n_np6163 if age==61
replace n_np = n_np6264 if age==62
replace n_np = n_np6365 if age==63
replace n_np = n_np6466 if age==64
replace n_np = n_np6567 if age==65
replace n_np = n_np6668 if age==66
replace n_np = n_np6769 if age==67
replace n_np = n_np6870 if age==68
replace n_np = n_np6971 if age==69
replace n_np = n_np7072 if age==70
replace n_np = n_np7173 if age==71
replace n_np = n_np7274 if age==72
replace n_np = n_np7375 if age==73
replace n_np = n_np7476 if age==74
replace n_np = n_np7577 if age==75
replace n_np = n_np7678 if age==76
replace n_np = n_np7779 if age==77
replace n_np = n_np7880 if age==78
replace n_np = n_np7981 if age==79
replace n_np = n_np8082 if age==80

gen     sd_np = sd_np5153 if age==51
replace sd_np = sd_np5254 if age==52
replace sd_np = sd_np5355 if age==53
replace sd_np = sd_np5456 if age==54
replace sd_np = sd_np5557 if age==55
replace sd_np = sd_np5658 if age==56
replace sd_np = sd_np5759 if age==57
replace sd_np = sd_np5860 if age==58
replace sd_np = sd_np5961 if age==59
replace sd_np = sd_np6062 if age==60
replace sd_np = sd_np6163 if age==61
replace sd_np = sd_np6264 if age==62
replace sd_np = sd_np6365 if age==63
replace sd_np = sd_np6466 if age==64
replace sd_np = sd_np6567 if age==65
replace sd_np = sd_np6668 if age==66
replace sd_np = sd_np6769 if age==67
replace sd_np = sd_np6870 if age==68
replace sd_np = sd_np6971 if age==69
replace sd_np = sd_np7072 if age==70
replace sd_np = sd_np7173 if age==71
replace sd_np = sd_np7274 if age==72
replace sd_np = sd_np7375 if age==73
replace sd_np = sd_np7476 if age==74
replace sd_np = sd_np7577 if age==75
replace sd_np = sd_np7678 if age==76
replace sd_np = sd_np7779 if age==77
replace sd_np = sd_np7880 if age==78
replace sd_np = sd_np7981 if age==79
replace sd_np = sd_np8082 if age==80

list age n_np

drop n_np5* n_np6* n_np7* n_np8*

gr tw (conn ftempl_np ftempl_db ftempl_dc age) if age>=51 & age<=80 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\ftempl" , replace)
gr tw (conn exit_np exit_db exit_dc age) if age>=51 & age<=80 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\exit", replace)
gr tw (conn entry_np entry_db entry_dc age) if age>=51 & age<=80 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\entry", replace)
gr tw (conn ssclaim_np ssclaim_db ssclaim_dc age) if age>=61 & age<=71 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\ssclaim", replace)

gr tw (conn m5153 m5254 m5355 m5456 m5557 m5658 m5759 m5860 m5961 m6062 m6163 m6264 m6365 m6466 m6567 m6668 m6769 m6870 m6971 m7072 m7173 m7274 m7375 m7476 m7577 m7678 m7779 m7880 m7981 m8082 age) , legend(off) saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\mw", replace)

gr tw (conn m_np5153 m_np5254 m_np5355 m_np5456 m_np5557 m_np5658 m_np5759 m_np5860 m_np5961 m_np6062 m_np6163 m_np6264 m_np6365 m_np6466 m_np6567 m_np6668 m_np6769 m_np6870 m_np6971 m_np7072 m_np7173 m_np7274 m_np7375 m_np7476 m_np7577 m_np7678 m_np7779 m_np7880 m_np7981 m_np8082 age) , legend(off) saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\mw_np", replace)
gr tw (conn mf_np5153 mf_np5254 mf_np5355 mf_np5456 mf_np5557 mf_np5658 mf_np5759 mf_np5860 mf_np5961 mf_np6062 mf_np6163 mf_np6264 mf_np6365 mf_np6466 mf_np6567 mf_np6668 mf_np6769 mf_np6870 mf_np6971 mf_np7072 mf_np7173 mf_np7274 mf_np7375 mf_np7476 mf_np7577 mf_np7678 mf_np7779 mf_np7880 mf_np7981 mf_np8082 age) , legend(off) saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\mw_np", replace)

*gr tw (conn m_db5153 m_db5254 m_db5355 m_db5456 m_db5557 m_db5658 m_db5759 m_db5860 m_db5961 m_db6062 m_db6163 m_db6264 m_db6365 m_db6466 m_db6567 m_db6668 m_db6769 m_db6870 m_db6971 m_db7072 m_db7173 m_db7274 m_db7375 m_db7476 m_db7577 m_db7678 m_db7779 m_db7880 m_db7981 m_db8082 age) , legend(off) saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\mw_db", replace)

*gr tw (conn m_dc5153 m_dc5254 m_dc5355 m_dc5456 m_dc5557 m_dc5658 m_dc5759 m_dc5860 m_dc5961 m_dc6062 m_dc6163 m_dc6264 m_dc6365 m_dc6466 m_dc6567 m_dc6668 m_dc6769 m_dc6870 m_dc6971 m_dc7072 m_dc7173 m_dc7274 m_dc7375 m_dc7476 m_dc7577 m_dc7678 m_dc7779 m_dc7880 m_dc7981 m_dc8082 age) , legend(off) saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\mw_dc", replace)

gen m = m5153 if age==51
replace m = m5254 if age==52
replace m = m5355 if age==53
replace m = m5456 if age==54
replace m = m5557 if age==55
replace m = m5658 if age==56
replace m = m5759 if age==57
replace m = m5860 if age==58
replace m = m5961 if age==59
replace m = m6062 if age==60
replace m = m6163 if age==61
replace m = m6264 if age==62
replace m = m6365 if age==63
replace m = m6466 if age==64
replace m = m6567 if age==65
replace m = m6668 if age==66
replace m = m6769 if age==67
replace m = m6870 if age==68
replace m = m6971 if age==69
replace m = m7072 if age==70
replace m = m7173 if age==71
replace m = m7274 if age==72
replace m = m7375 if age==73
replace m = m7476 if age==74
replace m = m7577 if age==75
replace m = m7678 if age==76
replace m = m7779 if age==77
replace m = m7880 if age==78
replace m = m7981 if age==79
replace m = m8082 if age==80

gen m_np = m_np5153 if age==51
replace m_np = m_np5254 if age==52
replace m_np = m_np5355 if age==53
replace m_np = m_np5456 if age==54
replace m_np = m_np5557 if age==55
replace m_np = m_np5658 if age==56
replace m_np = m_np5759 if age==57
replace m_np = m_np5860 if age==58
replace m_np = m_np5961 if age==59
replace m_np = m_np6062 if age==60
replace m_np = m_np6163 if age==61
replace m_np = m_np6264 if age==62
replace m_np = m_np6365 if age==63
replace m_np = m_np6466 if age==64
replace m_np = m_np6567 if age==65
replace m_np = m_np6668 if age==66
replace m_np = m_np6769 if age==67
replace m_np = m_np6870 if age==68
replace m_np = m_np6971 if age==69
replace m_np = m_np7072 if age==70
replace m_np = m_np7173 if age==71
replace m_np = m_np7274 if age==72
replace m_np = m_np7375 if age==73
replace m_np = m_np7476 if age==74
replace m_np = m_np7577 if age==75
replace m_np = m_np7678 if age==76
replace m_np = m_np7779 if age==77
replace m_np = m_np7880 if age==78
replace m_np = m_np7981 if age==79
replace m_np = m_np8082 if age==80

gen mf_np = mf_np5153 if age==51
replace mf_np = mf_np5254 if age==52
replace mf_np = mf_np5355 if age==53
replace mf_np = mf_np5456 if age==54
replace mf_np = mf_np5557 if age==55
replace mf_np = mf_np5658 if age==56
replace mf_np = mf_np5759 if age==57
replace mf_np = mf_np5860 if age==58
replace mf_np = mf_np5961 if age==59
replace mf_np = mf_np6062 if age==60
replace mf_np = mf_np6163 if age==61
replace mf_np = mf_np6264 if age==62
replace mf_np = mf_np6365 if age==63
replace mf_np = mf_np6466 if age==64
replace mf_np = mf_np6567 if age==65
replace mf_np = mf_np6668 if age==66
replace mf_np = mf_np6769 if age==67
replace mf_np = mf_np6870 if age==68
replace mf_np = mf_np6971 if age==69
replace mf_np = mf_np7072 if age==70
replace mf_np = mf_np7173 if age==71
replace mf_np = mf_np7274 if age==72
replace mf_np = mf_np7375 if age==73
replace mf_np = mf_np7476 if age==74
replace mf_np = mf_np7577 if age==75
replace mf_np = mf_np7678 if age==76
replace mf_np = mf_np7779 if age==77
replace mf_np = mf_np7880 if age==78
replace mf_np = mf_np7981 if age==79
replace mf_np = mf_np8082 if age==80

gen age2 = age^2

reg m age age2
predict mhat

reg m_np age age2
predict mhat_np
reg mf_np age age2
predict mhatf_np

gr tw (conn m mhat age)       if age>=51 & age<=80 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\m_hat", replace)
gr tw (conn m_np mhat_np age) if age>=51 & age<=80 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\m_hat_np", replace)
gr tw (conn mf_np mhatf_np age) if age>=51 & age<=80 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\m_hatf_np", replace)

gr tw (conn hatota_np m_np age) if age>=51 & age<=80 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\hatota_np", replace)

gen mnp = mhat_np

*gr tw (conn mnp mdb mdc age) if age>=51 & age<=80 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\m_hat_all", replace)

sort age

su

save "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\hrsassdat", replace

clear

* education added below

use laidoff hhidpn hacohort rmstat j jl rahispan raracem rabyear ragender agemon using "c:\users\econuser\Documents\Luc new\HRS\data\empl_long_july2010_tvv"

sort hhidpn agemon

keep if rabyear>=1926 & rabyear<=1958 & hacohort>=3
keep if ragender==1
keep if raracem==1 & rahispan==0

gen age = int(agemon/12)

gen marstat=1 if rmstat>=1 & rmstat<=3
replace marstat=2 if rmstat>=4 & rmstat<=7
replace marstat=3 if rmstat==8

gen single = 0 if rmstat>=1 & rmstat<=3
replace single = 1 if rmstat>=4 & rmstat<=8

drop hacohort rahispan raracem rabyear ragender rmstat marstat agemon

drop if age<46 | age>=81

su

tab j
tab jl j

sort hhidpn age

replace jl=0 if jl==. & j[_n-1]==0 & hhidpn==hhidpn[_n-1]
replace jl=1 if jl==. & (j[_n-1]==1 | j[_n-1]==2) & hhidpn==hhidpn[_n-1]
replace jl=2 if jl==. & (j[_n-1]==3 | j[_n-1]==4) & hhidpn==hhidpn[_n-1]

gen ftempl=0 if j~=.
replace ftempl=1 if j>=2 | j==4

gen exit_ft=0 if j~=. & jl==2
replace exit_ft=1 if jl==2 & j==0

gen entry_ft=0 if j~=. & (jl==0 | jl==1)
replace entry_ft=1 if (jl==0 | jl==1) & j==2

gen switch_ft=0 if j~=. & jl==2
replace switch_ft=1 if jl==2 & j==2


gen empl=0 if j~=.
replace empl=1 if j>=1 & j<=4

gen exit=0 if j~=. & (jl==2 | jl==1)
replace exit=1 if exit==0 & j==0

gen entry=0 if j~=. & jl==0 
replace entry=1 if jl==0 & (j>=1 & j<=4)

gen switch=0 if j~=. & (jl==2 | jl==1)
replace switch=1 if switch==0 & (j==2 | j==1)

su

collapse e* s* f* laidoff , by (hhidpn age)

drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]


keep if single==0

sort hhidpn age

su

* consistent with SIPP: change occurs in year t if t-1 and t have differrent values. 

* work>= 9 months in t-1, <9 months in t => exit(t)=1
* work>= 9 months in t-1, >=9 months in t and job ended during t-1 => switch(t)=1 				  * this is how I do it in SIPP, not here
* work<9 months in t-1, >=9 months in t => entry(t) = 1

rename ftempl ftempl_hrs

gen work_ft_hrs=0 if ftempl_hrs~=.
replace work_ft_hrs=1 if ftempl_hrs>=2/4

gen exit_ft_hrs=0 if work_ft_hrs[_n-1]==1 & hhidpn==hhidpn[_n-1]
replace exit_ft_hrs=1 if work_ft_hrs[_n-1]==1 & work_ft_hrs==0 & hhidpn==hhidpn[_n-1]

gen switch_ft_hrs=0 if work_ft_hrs[_n-1]==1 & hhidpn==hhidpn[_n-1]
replace switch_ft_hrs=1 if work_ft_hrs[_n-1]==1 & work_ft_hrs==1 & switch[_n-1]>0 & hhidpn==hhidpn[_n-1]

gen entry_ft_hrs=0 if work_ft_hrs[_n-1]==0 & hhidpn==hhidpn[_n-1]
replace entry_ft_hrs=1 if work_ft_hrs[_n-1]==0 & work_ft_hrs==1 & hhidpn==hhidpn[_n-1]



rename empl empl_hrs

gen work_hrs=0 if empl_hrs~=.
replace work_hrs=1 if empl_hrs>=2/4

gen exit_hrs=0 if work_hrs[_n-1]==1 & hhidpn==hhidpn[_n-1]
replace exit_hrs=1 if work_hrs[_n-1]==1 & work_hrs==0 & hhidpn==hhidpn[_n-1]

gen switch_hrs=0 if work_hrs[_n-1]==1 & hhidpn==hhidpn[_n-1]
replace switch_hrs=1 if work_hrs[_n-1]==1 & work_hrs==1 & switch[_n-1]>0 & hhidpn==hhidpn[_n-1]

gen entry_hrs=0 if work_hrs[_n-1]==0 & hhidpn==hhidpn[_n-1]
replace entry_hrs=1 if work_hrs[_n-1]==0 & work_hrs==1 & hhidpn==hhidpn[_n-1]


gen toomany = 1 if (exit_hrs==1 & entry_hrs==1) | (exit_hrs==1 & switch_hrs==1) | (switch_hrs==1 & entry_hrs==1)

su

joinby hhidpn using "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\temphrs"

sort hhidpn age

su

keep if raeduc>=2 & raeduc<=4 

gen laidoff_hrs = laidoff if pen==0

gen work_ft_hrs_np = work_ft_hrs if pen==0
gen ftempl_hrs_np = ftempl_hrs if pen==0
gen exit_ft_hrs_np = exit_hrs if pen==0
gen entry_ft_hrs_np = entry_hrs if pen==0
gen switch_ft_hrs_np = switch_hrs if pen==0

gen work_hrs_np = work_hrs if pen==0
gen empl_hrs_np = empl_hrs if pen==0
gen exit_hrs_np = exit_hrs if pen==0
gen entry_hrs_np = entry_hrs if pen==0
gen switch_hrs_np = switch_hrs if pen==0

su

sort age

by age: su *_np

save "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\hrsworkdat", replace
clear
use "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\hrsworkdat"


collapse f* e* sw* w* laidoff* (count) num=ftempl_hrs numnp = ftempl_hrs_np (sd) sdwork = work_hrs_np sdftempl = ftempl_hrs_np sdexit = exit_hrs_np sdentry = entry_hrs_np sdswitch = switch_hrs_np, by (age)

gr tw (conn ftempl_hrs_np empl_hrs_np age) if age>=51 & age<=80 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\empl_hrs", replace)
gr tw (conn work_ft_hrs_np work_hrs_np age) if age>=51 & age<=80 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\work_hrs", replace)
gr tw (conn exit_ft_hrs_np exit_hrs_np age) if age>=51 & age<=70 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\switch_hrs", replace)
gr tw (conn entry_ft_hrs_np entry_hrs_np age) if age>=51 & age<=70 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\entry_hrs", replace)
gr tw (conn switch_ft_hrs_np switch_hrs_np age) if age>=51 & age<=70 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\switch_hrs", replace)

sort age

merge age using "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\hrsassdat"

sort age

drop exit entry entry_np exit_np entry_db exit_db entry_dc exit_dc m5* m6* m7* m8* m_np5* m_np6* m_np7* m_np8* age2 _merge n_* mf_np5* mf_np6* mf_np7* mf_np8*
drop if age<46
drop sd_np5* sd_np6* sd_np7* sd_np8* sd5* sd6* sd7*
rename sd_np sdassets

save "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\hrsdat", replace

log close
