clear
clear matrix
set memory 450m
log using "c:\users\econuser\Documents\Saving_and_Retirement\sipp\sas\data for calibration 2014" , replace

* revised 9/15/14 to include broader sample

* changed 8/30/2011 to incorporate non-Ft in the definition of work, and to define work = 1 if work >= 6 months in a year

use s1racem s2racem s3racem s4racem s5racem s6racem s7racem s8racem s9racem s10racem s1hispan s2hispan s3hispan s4hispan s5hispan s6hispan s7hispan s8hispan s9hispan s10hispan s1educ s2educ s3educ s4educ s5educ s6educ s7educ s8educ s9educ s10educ s1agey_e s2agey_e s3agey_e s4agey_e s5agey_e s6agey_e s7agey_e s8agey_e s9agey_e s10agey_e r1jhours-r10jhours r1jweeks-r10jweeks h1child h2child h3child h4child h5child h6child h7child h8child h9child h10child h1icap h2icap h3icap h4icap h5icap h6icap h7icap h8icap h9icap h10icap r1shlt r2shlt r3shlt r4shlt r5shlt r6shlt r7shlt r8shlt r9shlt r10shlt s1shlt s2shlt s3shlt s4shlt s5shlt s6shlt s7shlt s8shlt s9shlt s10shlt r1isret r2isret r3isret r4isret r5isret r6isret r7isret r8isret r9isret r10isret r1isret r2isret r3isret r4isret r5isret r6isret r7isret r8isret r9isret r10isret h1atotf-h10atotf h1itot-h10itot r1iearn-r10iearn s1iearn-s10iearn r1wgihr-r10wgihr r1oopmd-r10oopmd s1oopmd-s10oopmd hhidpn rassage* hacohort rabyear r1agem_e-r10agem_e r1agey_e-r10agey_e ragender raracem rahispan r1lbrf-r10lbrf raedyrs raedegrm raeduc r1jcpen-r10jcpen r1mstat-r10mstat h1atota-h10atota r1ptyp1-r10ptyp1 using "C:\Users\EconUser\Documents\hrsdat\RANDHRS\rndhrs_m"

su rassage*

replace rassageb=. if rassageb<62
replace rassageb = int(rassageb)
replace rassageb = 70 if rassageb>70 & rassageb<100
tab rassageb

replace rassagem=. if rassageb==.
tab rassageb
tab rassagem

* including HRS cohort (1931-41) + husbands up to 5 years older than wife, War Babies (1942-47), Early Boomers (1948-53) + husbands up to 5 years younger than wife

* + CODA   10/7/11

keep if rabyear>=1931 & rabyear<=1953 & hacohort>=2

keep if ragender==1

*keep if raracem==1 & rahispan==0 & raeduc>=2 & raeduc<=4 

rename r1jhours rjhours1
rename r2jhours rjhours2
rename r3jhours rjhours3
rename r4jhours rjhours4
rename r5jhours rjhours5
rename r6jhours rjhours6
rename r7jhours rjhours7
rename r8jhours rjhours8
rename r9jhours rjhours9
rename r10jhours rjhours10

rename r1jweeks rjweeks1
rename r2jweeks rjweeks2
rename r3jweeks rjweeks3
rename r4jweeks rjweeks4
rename r5jweeks rjweeks5
rename r6jweeks rjweeks6
rename r7jweeks rjweeks7
rename r8jweeks rjweeks8
rename r9jweeks rjweeks9
rename r10jweeks rjweeks10

rename r1lbrf rlbrf1
rename r2lbrf rlbrf2
rename r3lbrf rlbrf3
rename r4lbrf rlbrf4
rename r5lbrf rlbrf5
rename r6lbrf rlbrf6
rename r7lbrf rlbrf7
rename r8lbrf rlbrf8
rename r9lbrf rlbrf9
rename r10lbrf rlbrf10

rename s1iearn siearn1
rename s2iearn siearn2
rename s3iearn siearn3
rename s4iearn siearn4
rename s5iearn siearn5
rename s6iearn siearn6
rename s7iearn siearn7
rename s8iearn siearn8
rename s9iearn siearn9
rename s10iearn siearn10

rename r1iearn riearn1
rename r2iearn riearn2
rename r3iearn riearn3
rename r4iearn riearn4
rename r5iearn riearn5
rename r6iearn riearn6
rename r7iearn riearn7
rename r8iearn riearn8
rename r9iearn riearn9
rename r10iearn riearn10

rename s1isret sisret1
rename s2isret sisret2
rename s3isret sisret3
rename s4isret sisret4
rename s5isret sisret5
rename s6isret sisret6
rename s7isret sisret7
rename s8isret sisret8
rename s9isret sisret9
rename s10isret sisret10

rename r1isret risret1
rename r2isret risret2
rename r3isret risret3
rename r4isret risret4
rename r5isret risret5
rename r6isret risret6
rename r7isret risret7
rename r8isret risret8
rename r9isret risret9
rename r10isret risret10

rename r1wgihr rwgihr1
rename r2wgihr rwgihr2
rename r3wgihr rwgihr3
rename r4wgihr rwgihr4
rename r5wgihr rwgihr5
rename r6wgihr rwgihr6
rename r7wgihr rwgihr7
rename r8wgihr rwgihr8
rename r9wgihr rwgihr9
rename r10wgihr rwgihr10

rename r1oopmd roopmd1
*rename r2oopmd roopmd2
*rename r3oopmd roopmd3
rename r4oopmd roopmd4
rename r5oopmd roopmd5
rename r6oopmd roopmd6
rename r7oopmd roopmd7
rename r8oopmd roopmd8
rename r9oopmd roopmd9
rename r10oopmd roopmd10

rename s1oopmd soopmd1
*rename s2oopmd soopmd2
*rename s3oopmd soopmd3
rename s4oopmd soopmd4
rename s5oopmd soopmd5
rename s6oopmd soopmd6
rename s7oopmd soopmd7
rename s8oopmd soopmd8
rename s9oopmd soopmd9
rename s10oopmd soopmd10

rename r1ptyp1 rptyp11
rename r2ptyp1 rptyp12
rename r3ptyp1 rptyp13
rename r4ptyp1 rptyp14
rename r5ptyp1 rptyp15
rename r6ptyp1 rptyp16
rename r7ptyp1 rptyp17
rename r8ptyp1 rptyp18
rename r9ptyp1 rptyp19
rename r10ptyp1 rptyp110

rename r1jcpen rjcpen1
rename r2jcpen rjcpen2
rename r3jcpen rjcpen3
rename r4jcpen rjcpen4
rename r5jcpen rjcpen5
rename r6jcpen rjcpen6
rename r7jcpen rjcpen7
rename r8jcpen rjcpen8
rename r9jcpen rjcpen9
rename r10jcpen rjcpen10

rename h1atota hatota1
rename h2atota hatota2
rename h3atota hatota3
rename h4atota hatota4
rename h5atota hatota5
rename h6atota hatota6
rename h7atota hatota7
rename h8atota hatota8
rename h9atota hatota9
rename h10atota hatota10

rename h1atotf hatotf1
rename h2atotf hatotf2
rename h3atotf hatotf3
rename h4atotf hatotf4
rename h5atotf hatotf5
rename h6atotf hatotf6
rename h7atotf hatotf7
rename h8atotf hatotf8
rename h9atotf hatotf9
rename h10atotf hatotf10

rename h1itot hitot1
rename h2itot hitot2
rename h3itot hitot3
rename h4itot hitot4
rename h5itot hitot5
rename h6itot hitot6
rename h7itot hitot7
rename h8itot hitot8
rename h9itot hitot9
rename h10itot hitot10

rename h1icap hicap1
rename h2icap hicap2
rename h3icap hicap3
rename h4icap hicap4
rename h5icap hicap5
rename h6icap hicap6
rename h7icap hicap7
rename h8icap hicap8
rename h9icap hicap9
rename h10icap hicap10

rename h1child hchild1
rename h2child hchild2
rename h3child hchild3
rename h4child hchild4
rename h5child hchild5
rename h6child hchild6
rename h7child hchild7
rename h8child hchild8
rename h9child hchild9
rename h10child hchild10

rename r1mstat rmstat1
rename r2mstat rmstat2
rename r3mstat rmstat3
rename r4mstat rmstat4
rename r5mstat rmstat5
rename r6mstat rmstat6
rename r7mstat rmstat7
rename r8mstat rmstat8
rename r9mstat rmstat9
rename r10mstat rmstat10

rename r1shlt rshlt1
rename r2shlt rshlt2
rename r3shlt rshlt3
rename r4shlt rshlt4
rename r5shlt rshlt5
rename r6shlt rshlt6
rename r7shlt rshlt7
rename r8shlt rshlt8
rename r9shlt rshlt9
rename r10shlt rshlt10

rename s1shlt sshlt1
rename s2shlt sshlt2
rename s3shlt sshlt3
rename s4shlt sshlt4
rename s5shlt sshlt5
rename s6shlt sshlt6
rename s7shlt sshlt7
rename s8shlt sshlt8
rename s9shlt sshlt9
rename s10shlt sshlt10

rename r1agem_e rageme1
rename r2agem_e rageme2
rename r3agem_e rageme3
rename r4agem_e rageme4
rename r5agem_e rageme5
rename r6agem_e rageme6
rename r7agem_e rageme7
rename r8agem_e rageme8
rename r9agem_e rageme9
rename r10agem_e rageme10

rename r1agey_e rageye1
rename r2agey_e rageye2
rename r3agey_e rageye3
rename r4agey_e rageye4
rename r5agey_e rageye5
rename r6agey_e rageye6
rename r7agey_e rageye7
rename r8agey_e rageye8
rename r9agey_e rageye9
rename r10agey_e rageye10

rename s1educ seduc1
rename s2educ seduc2
rename s3educ seduc3
rename s4educ seduc4
rename s5educ seduc5
rename s6educ seduc6
rename s7educ seduc7
rename s8educ seduc8
rename s9educ seduc9
rename s10educ seduc10

rename s1racem sracem1
rename s2racem sracem2
rename s3racem sracem3
rename s4racem sracem4
rename s5racem sracem5
rename s6racem sracem6
rename s7racem sracem7
rename s8racem sracem8
rename s9racem sracem9
rename s10racem sracem10

rename s1hispan shispan1
rename s2hispan shispan2
rename s3hispan shispan3
rename s4hispan shispan4
rename s5hispan shispan5
rename s6hispan shispan6
rename s7hispan shispan7
rename s8hispan shispan8
rename s9hispan shispan9
rename s10hispan shispan10

rename s1agey_e sageye1
rename s2agey_e sageye2
rename s3agey_e sageye3
rename s4agey_e sageye4
rename s5agey_e sageye5
rename s6agey_e sageye6
rename s7agey_e sageye7
rename s8agey_e sageye8
rename s9agey_e sageye9
rename s10agey_e sageye10

replace rptyp11=1 if rptyp11==3
replace rptyp12=1 if rptyp12==3
replace rptyp13=1 if rptyp13==3
replace rptyp14=1 if rptyp14==3
replace rptyp15=1 if rptyp15==3
replace rptyp16=1 if rptyp16==3
replace rptyp17=1 if rptyp17==3
replace rptyp18=1 if rptyp18==3
replace rptyp19=1 if rptyp19==3
replace rptyp110=1 if rptyp110==3

tab hacohort

gen pen = 0 if hacohort==3 & rjcpen1==0
replace pen = 1 if hacohort==3 & rjcpen1==1 & rptyp11==1
replace pen = 2 if hacohort==3 & rjcpen1==1 & rptyp11==2

replace pen = 0 if (hacohort==4 | hacohort==2) & rjcpen4==0
replace pen = 1 if (hacohort==4 | hacohort==2) & rjcpen4==1 & rptyp14==1
replace pen = 2 if (hacohort==4 | hacohort==2) & rjcpen4==1 & rptyp14==2

replace pen = 0 if hacohort==5 & rjcpen7==0
replace pen = 1 if hacohort==5 & rjcpen7==1 & rptyp17==1
replace pen = 2 if hacohort==5 & rjcpen7==1 & rptyp17==2

tab pen
sort hacohort
by hacohort: tab pen

sort hhidpn

keep rahispan raracem ragender hhidpn rage* rlb* rpty* rabyear rmst* hat* rassagem rwgihr* roopmd* soopmd* pen raeduc siea* riea* hitot* hicap* risret* sisret* rjhours* rjweeks* hacohort hchild* rshlt* sshlt* sageye* seduc* sracem* shispan*

save "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\temphrsa", replace

keep hhidpn pen raeduc rmstat* rageye*

save "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\temphrs", replace

drop pen raeduc

reshape long rmstat rageye, i(hhidpn) j(wave)

drop wave
keep if rageye~=.
rename rageye age
sort hhidpn age
save "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\temphrsb", replace


clear

use "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\h98g_r"

sort hhidpn

merge hhidpn using "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\temphrsa"

replace f3202=. if f3202==8 | f3202==9
replace f3672=. if f3672==8 | f3672==9
replace f3854=. if f3854==8 | f3854==9

su hatota4 if hacohort==2
su hatota4 if hacohort==2 & f3202~=1 & f3672~=1 & f3854~=1
su hatota4 if hacohort==2 & f3202~=1 & f3672~=1 & f3854~=1 & rlbrf4>=5 & rlbrf4<=7

drop _merge

replace pen=0 if hacohort==2 & (f3202~=. | f3672~=. | f3854~=.) & rlbrf4>=5 & rlbrf4<=7 & pen==.
replace pen=1 if hacohort==2  & (f3202~=. | f3672~=. | f3854~=.) & (f3202==1 | f3672==1 | f3854==1) & rlbrf4>=5 & rlbrf4<=7


*use "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\temphrsa"

reshape long rageme rlbrf rmstat hatota rwgihr roopmd soopmd siearn riearn hatotf hitot hicap risret sisret rjhours rjweeks hchild rshlt sshlt sageye seduc sracem shispan, i(hhidpn) j(wave)

sort hhidpn wave

gen ssclaim=0 if rassagem>0 & rassagem<10000
replace ssclaim=1 if rassagem<=rageme & rassagem>0 & rassagem<10000

* do something similar for penclaim, eventually

* 1992 dollars. make sure this is same as in initial conditions for simulation

gen     cpi = 140.3
replace cpi = 148.2 if wave==2
replace cpi = 156.9 if wave==3
replace cpi = 163.0 if wave==4
replace cpi = 172.2 if wave==5
replace cpi = 179.9 if wave==6
replace cpi = 188.9 if wave==7
replace cpi = 201.6 if wave==8
replace cpi = 215.3 if wave==9
replace cpi = 218.1 if wave==10

replace cpi = cpi/140.3

replace hatota = hatota/cpi
replace hatota = hatota/1000

replace hatotf = hatotf/cpi
replace hatotf = hatotf/1000

replace hitot = hitot/cpi
replace hitot = hitot/1000

replace siearn = siearn/cpi
replace siearn = siearn/1000

replace riearn = riearn/cpi
replace riearn = riearn/1000

replace hicap = hicap/cpi
replace hicap = hicap/1000

replace sisret = sisret/cpi
replace sisret = sisret/1000

replace risret = risret/cpi
replace risret = risret/1000

replace rwgihr = rwgihr/cpi
replace rwgihr = . if rwgihr<2 | rwgihr>250

replace roopmd=. if wave==1 | wave==2
replace soopmd=. if wave==1 | wave==2

replace roopmd = roopmd/cpi
replace soopmd = soopmd/cpi
gen totmed = roopmd + soopmd

replace rageme = int(rageme/12)

rename rageme age

gen marstat=1 if rmstat>=1 & rmstat<=3
replace marstat=2 if rmstat>=4 & rmstat<=7
replace marstat=3 if rmstat==8

gen single = 0 if rmstat>=1 & rmstat<=3
replace single = 1 if rmstat>=4 & rmstat<=8

* does this work, to get rid of all waves after entry to marriage?

drop if single[_n-1]==1 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]==1 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]==1 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]==1 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]==1 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]==1 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]==1 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]==1 & single==0 & hhidpn==hhidpn[_n-1]

keep if single==0

gen ftempl = 1 if rlbrf==1 
replace ftempl = 0 if rlbrf>1 & rlbrf<10

gen ftempl_np = ftempl if pen==0
gen ftempl_db = ftempl if pen==1
gen ftempl_dc = ftempl if pen==2 | pen==3

gen hatota_np = hatota if pen==0
gen hatota_db = hatota if pen==1
gen hatota_dc = hatota if pen==2 | pen==3

gen hatotf_np = hatotf if pen==0
gen hatotf_db = hatotf if pen==1
gen hatotf_dc = hatotf if pen==2 | pen==3

gen hitot_np = hitot if pen==0
gen hitot_db = hitot if pen==1
gen hitot_dc = hitot if pen==2 | pen==3

gen hicap_np = hicap if pen==0
gen hicap_db = hicap if pen==1
gen hicap_dc = hicap if pen==2 | pen==3

gen riearn_np = riearn if pen==0
gen riearn_db = riearn if pen==1
gen riearn_dc = riearn if pen==2 | pen==3

gen siearn_np = siearn if pen==0
gen siearn_db = siearn if pen==1
gen siearn_dc = siearn if pen==2 | pen==3

gen risret_np = risret if pen==0
gen risret_db = risret if pen==1
gen risret_dc = risret if pen==2 | pen==3

gen sisret_np = sisret if pen==0
gen sisret_db = sisret if pen==1
gen sisret_dc = sisret if pen==2 | pen==3



gen entry = 0 if ftempl[_n-1]==0 & ftempl~=. & hhidpn==hhidpn[_n-1]
replace entry = 1 if ftempl[_n-1]==0 & ftempl==1 & hhidpn==hhidpn[_n-1]

gen exit = 0 if ftempl[_n-1]==1 & ftempl~=. & hhidpn==hhidpn[_n-1]
replace exit = 1 if ftempl[_n-1]==1 & ftempl==0 & hhidpn==hhidpn[_n-1]

gen entry_np = entry if pen==0
gen entry_db = entry if pen==1
gen entry_dc = entry if pen==2 | pen==3

gen exit_np = exit if pen==0
gen exit_db = exit if pen==1
gen exit_dc = exit if pen==2 | pen==3

gen ssclaim_np = ssclaim if pen==0
gen ssclaim_db = ssclaim if pen==1
gen ssclaim_dc = ssclaim if pen==2 | pen==3

su

save "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\caldat_2014", replace

collapse hitot hitot_np ftempl* entry* exit* ssclaim* (median) hatota , by (age)

sort age

gr tw (conn ftempl_np ftempl_db ftempl_dc age) if age>=51 & age<=80 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\ftempl_2014" , replace)
gr tw (conn exit_np exit_db exit_dc age) if age>=51 & age<=80 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\exit_2014", replace)
gr tw (conn entry_np entry_db entry_dc age) if age>=51 & age<=80 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\entry_2014", replace)
gr tw (conn ssclaim_np ssclaim_db ssclaim_dc age) if age>=61 & age<=71 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\ssclaim_2014", replace)
gr tw (conn hatota age) if age>=51 & age<=80 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\hatota_np_2014", replace)

sort age

su

save "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\hrsassdat_2014", replace

clear

* education added below

use laidoff hhidpn hacohort j jl rahispan raracem rabyear ragender agemon using "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\empl_long_10"

*use laidoff hhidpn hacohort rmstat j jl rahispan raracem rabyear ragender agemon using "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\empl_long_10"

sort hhidpn agemon

keep if rabyear>=1931 & rabyear<=1953 & hacohort>=2
keep if ragender==1
*keep if raracem==1 & rahispan==0

gen age = int(agemon/12)

*gen marstat=1 if rmstat>=1 & rmstat<=3
*replace marstat=2 if rmstat>=4 & rmstat<=7
*replace marstat=3 if rmstat==8

*gen single = 0 if rmstat>=1 & rmstat<=3
*replace single = 1 if rmstat>=4 & rmstat<=8

drop hacohort rahispan raracem rabyear ragender agemon
*drop hacohort rahispan raracem rabyear ragender rmstat marstat agemon

drop if age<46 | age>=81

su

tab j
tab jl j

sort hhidpn age

replace jl=0 if jl==. & j[_n-1]==0 & hhidpn==hhidpn[_n-1]
replace jl=1 if jl==. & (j[_n-1]==1 | j[_n-1]==2) & hhidpn==hhidpn[_n-1]
replace jl=2 if jl==. & (j[_n-1]==3 | j[_n-1]==4) & hhidpn==hhidpn[_n-1]

gen ftempl=0 if j~=.
replace ftempl=1 if j>=2 | j==4

gen exit_ft=0 if j~=. & jl==2
replace exit_ft=1 if jl==2 & j==0

gen entry_ft=0 if j~=. & (jl==0 | jl==1)
replace entry_ft=1 if (jl==0 | jl==1) & j==2

gen switch_ft=0 if j~=. & jl==2
replace switch_ft=1 if jl==2 & j==2


gen empl=0 if j~=.
replace empl=1 if j>=1 & j<=4

gen exit=0 if j~=. & (jl==2 | jl==1)
replace exit=1 if exit==0 & j==0

gen entry=0 if j~=. & jl==0 
replace entry=1 if jl==0 & (j>=1 & j<=4)

gen switch=0 if j~=. & (jl==2 | jl==1)
replace switch=1 if switch==0 & (j==2 | j==1)

su

collapse e* s* f* laidoff , by (hhidpn age)

sort hhidpn age

merge hhidpn age using "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\temphrsb"

tab _merge

gen marstat=1 if rmstat>=1 & rmstat<=3
replace marstat=2 if rmstat>=4 & rmstat<=7
replace marstat=3 if rmstat==8

gen single = 0 if rmstat>=1 & rmstat<=3
replace single = 1 if rmstat>=4 & rmstat<=8

keep if _merge==3

drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]

keep if single==0

sort hhidpn age

su

* consistent with SIPP: change occurs in year t if t-1 and t have differrent values. 

* work>= 9 months in t-1, <9 months in t => exit(t)=1
* work>= 9 months in t-1, >=9 months in t and job ended during t-1 => switch(t)=1 				  * this is how I do it in SIPP, not here
* work<9 months in t-1, >=9 months in t => entry(t) = 1

*rename ftempl ftempl_hrs

*gen work_ft_hrs=0 if ftempl_hrs~=.
*replace work_ft_hrs=1 if ftempl_hrs>=2/4

*gen exit_ft_hrs=0 if work_ft_hrs[_n-1]==1 & hhidpn==hhidpn[_n-1]
*replace exit_ft_hrs=1 if work_ft_hrs[_n-1]==1 & work_ft_hrs==0 & hhidpn==hhidpn[_n-1]

*gen switch_ft_hrs=0 if work_ft_hrs[_n-1]==1 & hhidpn==hhidpn[_n-1]
*replace switch_ft_hrs=1 if work_ft_hrs[_n-1]==1 & work_ft_hrs==1 & switch[_n-1]>0 & hhidpn==hhidpn[_n-1]

*gen entry_ft_hrs=0 if work_ft_hrs[_n-1]==0 & hhidpn==hhidpn[_n-1]
*replace entry_ft_hrs=1 if work_ft_hrs[_n-1]==0 & work_ft_hrs==1 & hhidpn==hhidpn[_n-1]


rename empl empl_hrs

gen work_hrs=0 if empl_hrs~=.
replace work_hrs=1 if empl_hrs>=2/4

gen exit_hrs=0 if work_hrs[_n-1]==1 & hhidpn==hhidpn[_n-1]
replace exit_hrs=1 if work_hrs[_n-1]==1 & work_hrs==0 & hhidpn==hhidpn[_n-1]

gen switch_hrs=0 if work_hrs[_n-1]==1 & hhidpn==hhidpn[_n-1]
replace switch_hrs=1 if work_hrs[_n-1]==1 & work_hrs==1 & switch[_n-1]>0 & hhidpn==hhidpn[_n-1]

gen entry_hrs=0 if work_hrs[_n-1]==0 & hhidpn==hhidpn[_n-1]
replace entry_hrs=1 if work_hrs[_n-1]==0 & work_hrs==1 & hhidpn==hhidpn[_n-1]


gen toomany = 1 if (exit_hrs==1 & entry_hrs==1) | (exit_hrs==1 & switch_hrs==1) | (switch_hrs==1 & entry_hrs==1)

su

joinby hhidpn using "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\temphrs"

sort hhidpn age

su

*keep if raeduc>=2 & raeduc<=4 

*gen laidoff_hrs = laidoff if pen==0

su

sort age

drop rms* rage* toomany

by age: su 

save "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\hrsworkdat_2014", replace

collapse f* e* sw* w* laidoff* (count) num=ftempl , by (age)

gr tw (conn ftempl_hrs empl_hrs age) if age>=51 & age<=80 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\empl_hrs_2014", replace)
gr tw (conn work_ft_hrs work_hrs age) if age>=51 & age<=80 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\work_hrs_2014", replace)
gr tw (conn exit_ft_hrs exit_hrs age) if age>=51 & age<=70 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\switch_hrs_2014", replace)
gr tw (conn entry_ft_hrs entry_hrs age) if age>=51 & age<=70 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\entry_hrs_2014", replace)
gr tw (conn switch_ft_hrs switch_hrs age) if age>=51 & age<=70 , saving("c:\users\econuser\Documents\Saving_and_Retirement\sipp\graphs\switch_hrs_2014", replace)

sort age

merge age using "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\hrsassdat_2014"

sort age

drop exit entry entry exit entry_db exit_db entry_dc exit_dc 
drop if age<46

save "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\hrsdat_2014", replace




clear

use r1oopmd-r10oopmd s1oopmd-s10oopmd hhidpn hacohort rabyear r1agem_e-r10agem_e ragender raracem rahispan raeduc using "C:\Users\EconUser\Documents\hrsdat\RANDHRS\rndhrs_m"

keep if ragender==1

rename r1agem_e rageme1
rename r2agem_e rageme2
rename r3agem_e rageme3
rename r4agem_e rageme4
rename r5agem_e rageme5
rename r6agem_e rageme6
rename r7agem_e rageme7
rename r8agem_e rageme8
rename r9agem_e rageme9
rename r10agem_e rageme10

rename r1oopmd roopmd1
*rename r2oopmd roopmd2
*rename r3oopmd roopmd3
rename r4oopmd roopmd4
rename r5oopmd roopmd5
rename r6oopmd roopmd6
rename r7oopmd roopmd7
rename r8oopmd roopmd8
rename r9oopmd roopmd9
rename r10oopmd roopmd10

rename s1oopmd soopmd1
*rename s2oopmd soopmd2
*rename s3oopmd soopmd3
rename s4oopmd soopmd4
rename s5oopmd soopmd5
rename s6oopmd soopmd6
rename s7oopmd soopmd7
rename s8oopmd soopmd8
rename s9oopmd soopmd9
rename s10oopmd soopmd10

reshape long rageme roopmd soopmd , i(hhidpn) j(wave)

gen     cpi = 140.3
replace cpi = 148.2 if wave==2
replace cpi = 156.9 if wave==3
replace cpi = 163.0 if wave==4
replace cpi = 172.2 if wave==5
replace cpi = 179.9 if wave==6
replace cpi = 188.9 if wave==7
replace cpi = 201.6 if wave==8
replace cpi = 215.3 if wave==9
replace cpi = 218.1 if wave==10

replace cpi = cpi/140.3

replace roopmd=. if wave==1 | wave==2
replace soopmd=. if wave==1 | wave==2

replace roopmd = roopmd/cpi
replace soopmd = soopmd/cpi
gen totmed = roopmd + soopmd

replace rageme = int(rageme/12)

rename rageme age

keep age totmed hhidpn hacohort rabyear raracem rahispan raeduc

su

sort hhidpn age

save "c:\users\econuser\Documents\Saving_and_Retirement\sipp\data\hrsmeddat_2014", replace

tab age if totmed~=.

log close
