* copied from same program without oct2013, to recreate data files to get additional moments of asset dist

clear
clear matrix
set memory 450m
log using "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\sas\gendat_2014" , replace

use "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\caldat_2014"

gen id = hhidpn
rename rwgihr wage
gen hrs=1
rename rabyear birthyear
rename raeduc huseduc
rename siearn wifeearn
rename riearn husearn
rename hitot totinc
rename hatota assets
rename hicap capinc

rename rjhours hours
rename rjweeks weeks

rename pen covered

keep id birthyear huseduc age wage covered wifeearn* husearn* tot* assets* capinc* hrs age hours weeks
keep if age>=46 & age<=90
sort id age

save "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\bcadat1_2014" , replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\assmed_all"

keep if age>=25 & age<=65
*keep if husrace==1 & hushis==0 & huseduc>=39 & huseduc<=43
gen hrs=0

replace assets=assets/1000

keep id birthyear covered typepen age huseduc assets* hrs

replace covered=2 if covered==1 & typepen==2

sort id age

save "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\bcadat2_2014" , replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\sippemplearn"

keep if age>=25 & age<=65
*keep if husrace==1 & hushis==0 & huseduc>=39 & huseduc<=43

gen avgearn = cumearn/(cumhours*4.33) if monearn>=6
replace cumwage=. if monwage<6
rename avgearn wage
rename cumwage hourlywage
rename emplmonft ftempl
gen hrs=0

replace wifeearn = wifeearn/1000
replace husearn = husearn/1000
replace totinc = totinc/1000
replace famearn = famearn/1000
replace capinc = capinc/1000

rename cumhours hours
gen weeks = emplmon*52

keep id covered typepen age huseduc wage hourlywage wifeearn* hrs husearn* totinc* famearn* capinc* hours weeks

sort id age

merge id age using "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\bcadat2_2014" 

su

append using "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\bcadat1_2014" 

sort id age

su

save "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\bcadat3_2014" , replace

gen oldby = birthyear
gen oldhrs = hrs

gen assets_np = assets if covered==0
gen assets_db = assets if covered==1
gen assets_dc = assets if covered==2
gen assets_pen= assets if covered==1 | covered==2

gen husearn_pos = husearn if husearn>=5.95 & hours>=35 & weeks>=40
gen husearn_np_pos = husearn_pos if covered==0
gen husearn_db_pos = husearn_pos if covered==1
gen husearn_dc_pos = husearn_pos if covered==2
gen husearn_pen_pos = husearn_pos if covered==1 | covered==2

gen wifeearn_pos = wifeearn if wifeearn>=5.95 & hours>=35 & weeks>=40
gen wifeearn_np_pos = wifeearn_pos if covered==0
gen wifeearn_db_pos = wifeearn_pos if covered==1
gen wifeearn_dc_pos = wifeearn_pos if covered==2
gen wifeearn_pen_pos = wifeearn_pos if covered==1 | covered==2


xi: qreg assets_np birthyear i.age if age>=45 & age<=90 & hrs==1
predict assets_np_hat_hrs_aby if e(sample)==1
replace birthyear = 1976
predict assets_np_hat_hrs if e(sample)==1
su assets_np_hat_hrs assets_np_hat_hrs_aby assets_np if e(sample)==1 , detail
replace birthyear = oldby

xi: qreg assets_db birthyear i.age if age>=45 & age<=90 & hrs==1
predict assets_db_hat_hrs_aby if e(sample)==1
replace birthyear = 1976
predict assets_db_hat_hrs if e(sample)==1
su assets_db_hat_hrs assets_db_hat_hrs_aby assets_db if e(sample)==1 , detail
replace birthyear = oldby

xi: qreg assets_dc birthyear i.age if age>=45 & age<=90 & hrs==1
predict assets_dc_hat_hrs_aby if e(sample)==1
replace birthyear = 1976
predict assets_dc_hat_hrs if e(sample)==1
su assets_dc_hat_hrs assets_dc_hat_hrs_aby assets_dc if e(sample)==1 , detail
replace birthyear = oldby

xi: qreg assets_pen birthyear i.age if age>=45 & age<=90 & hrs==1
predict assets_pen_hat_hrs_aby if e(sample)==1
replace birthyear = 1976
predict assets_pen_hat_hrs if e(sample)==1
su assets_pen_hat_hrs assets_pen_hat_hrs_aby assets_pen if e(sample)==1 , detail
replace birthyear = oldby

su birthyear if hrs==0


xi: qreg assets_np birthyear i.age if age>=25 & age<=65 & hrs==0
predict assets_np_hat_sipp_aby if e(sample)==1
replace birthyear = 1976
predict assets_np_hat_sipp if e(sample)==1
su assets_np_hat_sipp assets_np_hat_sipp_aby assets_np if e(sample)==1 , detail
replace birthyear = oldby

xi: qreg assets_db birthyear i.age if age>=25 & age<=65 & hrs==0
predict assets_db_hat_sipp_aby if e(sample)==1
replace birthyear = 1976
predict assets_db_hat_sipp if e(sample)==1
su assets_db_hat_sipp assets_db_hat_sipp_aby assets_db if e(sample)==1 , detail
replace birthyear = oldby

xi: qreg assets_dc birthyear i.age if age>=25 & age<=65 & hrs==0
predict assets_dc_hat_sipp_aby if e(sample)==1
replace birthyear = 1976
predict assets_dc_hat_sipp if e(sample)==1
su assets_dc_hat_sipp assets_dc_hat_sipp_aby assets_dc if e(sample)==1 , detail
replace birthyear = oldby

xi: qreg assets_pen birthyear i.age if age>=25 & age<=65 & hrs==0
predict assets_pen_hat_sipp_aby if e(sample)==1
replace birthyear = 1976
predict assets_pen_hat_sipp if e(sample)==1
su assets_pen_hat_sipp assets_pen_hat_sipp_aby assets_pen if e(sample)==1 , detail
replace birthyear = oldby


xi: qreg assets_np birthyear hrs i.age if age>=25 & age<=90 
predict assets_np_hat_aby if e(sample)==1
replace birthyear = 1976
replace hrs = 1
predict assets_np_hat if e(sample)==1
su assets_np_hat assets_np_hat_aby assets_np if e(sample)==1 , detail
replace birthyear = oldby
replace hrs = oldhrs

xi: qreg assets_db birthyear hrs i.age if age>=25 & age<=90 
predict assets_db_hat_aby if e(sample)==1
replace birthyear = 1976
replace hrs = 1
predict assets_db_hat if e(sample)==1
su assets_db_hat assets_db_hat_aby assets_db if e(sample)==1 , detail
replace birthyear = oldby
replace hrs = oldhrs

xi: qreg assets_dc birthyear hrs i.age if age>=25 & age<=90 
predict assets_dc_hat_aby if e(sample)==1
replace birthyear = 1976
replace hrs = 1
predict assets_dc_hat if e(sample)==1
su assets_dc_hat assets_dc_hat_aby assets_dc if e(sample)==1 , detail
replace birthyear = oldby
replace hrs = oldhrs

xi: qreg assets_pen birthyear hrs i.age if age>=25 & age<=90 
predict assets_pen_hat_aby if e(sample)==1
replace birthyear = 1976
replace hrs = 1
predict assets_pen_hat if e(sample)==1
su assets_pen_hat assets_pen_hat_aby assets_pen if e(sample)==1 , detail
replace birthyear = oldby
replace hrs = oldhrs


su birthyear


save "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\bcadat4_2014" , replace

clear
use "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\bcadat4_2014" 

collapse (p50) assets_np_p50 = assets_np (p10) assets_np_p10 = assets_np (p90) assets_np_p90 = assets_np (p25) assets_np_p25 = assets_np (p75) assets_np_p75 = assets_np (count) assets_np_num = assets_np (sd) assets_np_std = assets_np (p50) assets_db_p50 = assets_db (p10) assets_db_p10 = assets_db (p90) assets_db_p90 = assets_db (p25) assets_db_p25 = assets_db (p75) assets_db_p75 = assets_db (count) assets_db_num = assets_db (sd) assets_db_std = assets_db (p50) assets_dc_p50 = assets_dc (p10) assets_dc_p10 = assets_dc (p90) assets_dc_p90 = assets_dc (p25) assets_dc_p25 = assets_dc (p75) assets_dc_p75 = assets_dc (count) assets_dc_num = assets_dc (sd) assets_dc_std = assets_dc (p50) assets_pen_p50 = assets_pen (p10) assets_pen_p10 = assets_pen (p90) assets_pen_p90 = assets_pen (p25) assets_pen_p25 = assets_pen (p75) assets_pen_p75 = assets_pen (count) assets_pen_num = assets_pen (sd) assets_pen_std = assets_pen (p50) assets_np_hat_p50 = assets_np_hat (p10) assets_np_hat_p10 = assets_np_hat (p90) assets_np_hat_p90 = assets_np_hat (p25) assets_np_hat_p25 = assets_np_hat (p75) assets_np_hat_p75 = assets_np_hat (count) assets_np_hat_num = assets_np_hat (sd) assets_np_hat_std = assets_np_hat (p50) assets_db_hat_p50 = assets_db_hat (p10) assets_db_hat_p10 = assets_db_hat (p90) assets_db_hat_p90 = assets_db_hat (p25) assets_db_hat_p25 = assets_db_hat (p75) assets_db_hat_p75 = assets_db_hat (count) assets_db_hat_num = assets_db_hat (sd) assets_db_hat_std = assets_db_hat (p50) assets_dc_hat_p50 = assets_dc_hat (p10) assets_dc_hat_p10 = assets_dc_hat (p90) assets_dc_hat_p90 = assets_dc_hat (p25) assets_dc_hat_p25 = assets_dc_hat (p75) assets_dc_hat_p75 = assets_dc_hat (count) assets_dc_hat_num = assets_dc_hat (sd) assets_dc_hat_std = assets_dc_hat (p50) assets_pen_hat_p50 = assets_pen_hat (p10) assets_pen_hat_p10 = assets_pen_hat (p90) assets_pen_hat_p90 = assets_pen_hat (p25) assets_pen_hat_p25 = assets_pen_hat (p75) assets_pen_hat_p75 = assets_pen_hat (count) assets_pen_hat_num = assets_pen_hat (sd) assets_pen_hat_std = assets_pen_hat (p50) assets_np_hat_aby_p50 = assets_np_hat_aby (p10) assets_np_hat_aby_p10 = assets_np_hat_aby (p90) assets_np_hat_aby_p90 = assets_np_hat_aby (p25) assets_np_hat_aby_p25 = assets_np_hat_aby (p75) assets_np_hat_aby_p75 = assets_np_hat_aby (count) assets_np_hat_aby_num = assets_np_hat_aby (sd) assets_np_hat_aby_std = assets_np_hat_aby (p50) assets_db_hat_aby_p50 = assets_db_hat_aby (p10) assets_db_hat_aby_p10 = assets_db_hat_aby (p90) assets_db_hat_aby_p90 = assets_db_hat_aby (p25) assets_db_hat_aby_p25 = assets_db_hat_aby (p75) assets_db_hat_aby_p75 = assets_db_hat_aby (count) assets_db_hat_aby_num = assets_db_hat_aby (sd) assets_db_hat_aby_std = assets_db_hat_aby (p50) assets_dc_hat_aby_p50 = assets_dc_hat_aby (p10) assets_dc_hat_aby_p10 = assets_dc_hat_aby (p90) assets_dc_hat_aby_p90 = assets_dc_hat_aby (p25) assets_dc_hat_aby_p25 = assets_dc_hat_aby (p75) assets_dc_hat_aby_p75 = assets_dc_hat_aby (count) assets_dc_hat_aby_num = assets_dc_hat_aby (sd) assets_dc_hat_aby_std = assets_dc_hat_aby (p50) assets_pen_hat_aby_p50 = assets_pen_hat_aby (p10) assets_pen_hat_aby_p10 = assets_pen_hat_aby (p90) assets_pen_hat_aby_p90 = assets_pen_hat_aby (p25) assets_pen_hat_aby_p25 = assets_pen_hat_aby (p75) assets_pen_hat_aby_p75 = assets_pen_hat_aby (count) assets_pen_hat_aby_num = assets_pen_hat_aby (sd) assets_pen_hat_aby_std = assets_pen_hat_aby (p50) assets_np_hat_hrs_p50 = assets_np_hat_hrs (p10) assets_np_hat_hrs_p10 = assets_np_hat_hrs (p90) assets_np_hat_hrs_p90 = assets_np_hat_hrs (p25) assets_np_hat_hrs_p25 = assets_np_hat_hrs (p75) assets_np_hat_hrs_p75 = assets_np_hat_hrs (count) assets_np_hat_hrs_num = assets_np_hat_hrs (sd) assets_np_hat_hrs_std = assets_np_hat_hrs (p50) assets_db_hat_hrs_p50 = assets_db_hat_hrs (p10) assets_db_hat_hrs_p10 = assets_db_hat_hrs (p90) assets_db_hat_hrs_p90 = assets_db_hat_hrs (p25) assets_db_hat_hrs_p25 = assets_db_hat_hrs (p75) assets_db_hat_hrs_p75 = assets_db_hat_hrs (count) assets_db_hat_hrs_num = assets_db_hat_hrs (sd) assets_db_hat_hrs_std = assets_db_hat_hrs (p50) assets_dc_hat_hrs_p50 = assets_dc_hat_hrs (p10) assets_dc_hat_hrs_p10 = assets_dc_hat_hrs (p90) assets_dc_hat_hrs_p90 = assets_dc_hat_hrs (p25) assets_dc_hat_hrs_p25 = assets_dc_hat_hrs (p75) assets_dc_hat_hrs_p75 = assets_dc_hat_hrs (count) assets_dc_hat_hrs_num = assets_dc_hat_hrs (sd) assets_dc_hat_hrs_std = assets_dc_hat_hrs (p50) assets_pen_hat_hrs_p50 = assets_pen_hat_hrs (p10) assets_pen_hat_hrs_p10 = assets_pen_hat_hrs (p90) assets_pen_hat_hrs_p90 = assets_pen_hat_hrs (p25) assets_pen_hat_hrs_p25 = assets_pen_hat_hrs (p75) assets_pen_hat_hrs_p75 = assets_pen_hat_hrs (count) assets_pen_hat_hrs_num = assets_pen_hat_hrs (sd) assets_pen_hat_hrs_std = assets_pen_hat_hrs (p50) assets_np_hat_hrs_aby_p50 = assets_np_hat_hrs_aby (p10) assets_np_hat_hrs_aby_p10 = assets_np_hat_hrs_aby (p90) assets_np_hat_hrs_aby_p90 = assets_np_hat_hrs_aby (p25) assets_np_hat_hrs_aby_p25 = assets_np_hat_hrs_aby (p75) assets_np_hat_hrs_aby_p75 = assets_np_hat_hrs_aby (count) assets_np_hat_hrs_aby_num = assets_np_hat_hrs_aby (sd) assets_np_hat_hrs_aby_std = assets_np_hat_hrs_aby (p50) assets_db_hat_hrs_aby_p50 = assets_db_hat_hrs_aby (p10) assets_db_hat_hrs_aby_p10 = assets_db_hat_hrs_aby (p90) assets_db_hat_hrs_aby_p90 = assets_db_hat_hrs_aby (p25) assets_db_hat_hrs_aby_p25 = assets_db_hat_hrs_aby (p75) assets_db_hat_hrs_aby_p75 = assets_db_hat_hrs_aby (count) assets_db_hat_hrs_aby_num = assets_db_hat_hrs_aby (sd) assets_db_hat_hrs_aby_std = assets_db_hat_hrs_aby (p50) assets_dc_hat_hrs_aby_p50 = assets_dc_hat_hrs_aby (p10) assets_dc_hat_hrs_aby_p10 = assets_dc_hat_hrs_aby (p90) assets_dc_hat_hrs_aby_p90 = assets_dc_hat_hrs_aby (p25) assets_dc_hat_hrs_aby_p25 = assets_dc_hat_hrs_aby (p75) assets_dc_hat_hrs_aby_p75 = assets_dc_hat_hrs_aby (count) assets_dc_hat_hrs_aby_num = assets_dc_hat_hrs_aby (sd) assets_dc_hat_hrs_aby_std = assets_dc_hat_hrs_aby (p50) assets_pen_hat_hrs_aby_p50 = assets_pen_hat_hrs_aby (p10) assets_pen_hat_hrs_aby_p10 = assets_pen_hat_hrs_aby (p90) assets_pen_hat_hrs_aby_p90 = assets_pen_hat_hrs_aby (p25) assets_pen_hat_hrs_aby_p25 = assets_pen_hat_hrs_aby (p75) assets_pen_hat_hrs_aby_p75 = assets_pen_hat_hrs_aby (count) assets_pen_hat_hrs_aby_num = assets_pen_hat_hrs_aby (sd) assets_pen_hat_hrs_aby_std = assets_pen_hat_hrs_aby (p50) assets_np_hat_sipp_p50 = assets_np_hat_sipp (p10) assets_np_hat_sipp_p10 = assets_np_hat_sipp (p90) assets_np_hat_sipp_p90 = assets_np_hat_sipp (p25) assets_np_hat_sipp_p25 = assets_np_hat_sipp (p75) assets_np_hat_sipp_p75 = assets_np_hat_sipp (count) assets_np_hat_sipp_num = assets_np_hat_sipp (sd) assets_np_hat_sipp_std = assets_np_hat_sipp (p50) assets_db_hat_sipp_p50 = assets_db_hat_sipp (p10) assets_db_hat_sipp_p10 = assets_db_hat_sipp (p90) assets_db_hat_sipp_p90 = assets_db_hat_sipp (p25) assets_db_hat_sipp_p25 = assets_db_hat_sipp (p75) assets_db_hat_sipp_p75 = assets_db_hat_sipp (count) assets_db_hat_sipp_num = assets_db_hat_sipp (sd) assets_db_hat_sipp_std = assets_db_hat_sipp (p50) assets_dc_hat_sipp_p50 = assets_dc_hat_sipp (p10) assets_dc_hat_sipp_p10 = assets_dc_hat_sipp (p90) assets_dc_hat_sipp_p90 = assets_dc_hat_sipp (p25) assets_dc_hat_sipp_p25 = assets_dc_hat_sipp (p75) assets_dc_hat_sipp_p75 = assets_dc_hat_sipp (count) assets_dc_hat_sipp_num = assets_dc_hat_sipp (sd) assets_dc_hat_sipp_std = assets_dc_hat_sipp (p50) assets_pen_hat_sipp_p50 = assets_pen_hat_sipp (p10) assets_pen_hat_sipp_p10 = assets_pen_hat_sipp (p90) assets_pen_hat_sipp_p90 = assets_pen_hat_sipp (p25) assets_pen_hat_sipp_p25 = assets_pen_hat_sipp (p75) assets_pen_hat_sipp_p75 = assets_pen_hat_sipp (count) assets_pen_hat_sipp_num = assets_pen_hat_sipp (sd) assets_pen_hat_sipp_std = assets_pen_hat_sipp (p50) assets_np_hat_sipp_aby_p50 = assets_np_hat_sipp_aby (p10) assets_np_hat_sipp_aby_p10 = assets_np_hat_sipp_aby (p90) assets_np_hat_sipp_aby_p90 = assets_np_hat_sipp_aby (p25) assets_np_hat_sipp_aby_p25 = assets_np_hat_sipp_aby (p75) assets_np_hat_sipp_aby_p75 = assets_np_hat_sipp_aby (count) assets_np_hat_sipp_aby_num = assets_np_hat_sipp_aby (sd) assets_np_hat_sipp_aby_std = assets_np_hat_sipp_aby (p50) assets_db_hat_sipp_aby_p50 = assets_db_hat_sipp_aby (p10) assets_db_hat_sipp_aby_p10 = assets_db_hat_sipp_aby (p90) assets_db_hat_sipp_aby_p90 = assets_db_hat_sipp_aby (p25) assets_db_hat_sipp_aby_p25 = assets_db_hat_sipp_aby (p75) assets_db_hat_sipp_aby_p75 = assets_db_hat_sipp_aby (count) assets_db_hat_sipp_aby_num = assets_db_hat_sipp_aby (sd) assets_db_hat_sipp_aby_std = assets_db_hat_sipp_aby (p50) assets_dc_hat_sipp_aby_p50 = assets_dc_hat_sipp_aby (p10) assets_dc_hat_sipp_aby_p10 = assets_dc_hat_sipp_aby (p90) assets_dc_hat_sipp_aby_p90 = assets_dc_hat_sipp_aby (p25) assets_dc_hat_sipp_aby_p25 = assets_dc_hat_sipp_aby (p75) assets_dc_hat_sipp_aby_p75 = assets_dc_hat_sipp_aby (count) assets_dc_hat_sipp_aby_num = assets_dc_hat_sipp_aby (sd) assets_dc_hat_sipp_aby_std = assets_dc_hat_sipp_aby (p50) assets_pen_hat_sipp_aby_p50 = assets_pen_hat_sipp_aby (p10) assets_pen_hat_sipp_aby_p10 = assets_pen_hat_sipp_aby (p90) assets_pen_hat_sipp_aby_p90 = assets_pen_hat_sipp_aby (p25) assets_pen_hat_sipp_aby_p25 = assets_pen_hat_sipp_aby (p75) assets_pen_hat_sipp_aby_p75 = assets_pen_hat_sipp_aby (count) assets_pen_hat_sipp_aby_num = assets_pen_hat_sipp_aby (sd) assets_pen_hat_sipp_aby_std = assets_pen_hat_sipp_aby , by (age) 

gr tw (conn assets_np_hat_p50 assets_np_hat_aby_p50 age) if age>=25 & age<=80
gr tw (conn assets_np_hat_hrs_p50 assets_np_hat_hrs_aby_p50 age) if age>=45 & age<=80
gr tw (conn assets_np_hat_sipp_p50 assets_np_hat_sipp_aby_p50 age) if age>=25 & age<=60

gr tw (conn assets_np_hat_p10 assets_np_hat_aby_p10 age) if age>=25 & age<=80
gr tw (conn assets_np_hat_hrs_p10 assets_np_hat_hrs_aby_p10 age) if age>=45 & age<=80
gr tw (conn assets_np_hat_sipp_p10 assets_np_hat_sipp_aby_p10 age) if age>=25 & age<=60

gr tw (conn assets_np_hat_p25 assets_np_hat_aby_p25 age) if age>=25 & age<=80
gr tw (conn assets_np_hat_hrs_p25 assets_np_hat_hrs_aby_p25 age) if age>=45 & age<=80
gr tw (conn assets_np_hat_sipp_p25 assets_np_hat_sipp_aby_p25 age) if age>=25 & age<=60

gr tw (conn assets_np_hat_p75 assets_np_hat_aby_p75 age) if age>=25 & age<=80
gr tw (conn assets_np_hat_hrs_p75 assets_np_hat_hrs_aby_p75 age) if age>=45 & age<=80
gr tw (conn assets_np_hat_sipp_p75 assets_np_hat_sipp_aby_p75 age) if age>=25 & age<=60

gr tw (conn assets_np_hat_p90 assets_np_hat_aby_p90 age) if age>=25 & age<=80
gr tw (conn assets_np_hat_hrs_p90 assets_np_hat_hrs_aby_p90 age) if age>=45 & age<=80
gr tw (conn assets_np_hat_sipp_p90 assets_np_hat_sipp_aby_p90 age) if age>=25 & age<=60



gr tw (conn assets_db_hat_p50 assets_db_hat_aby_p50 age) if age>=25 & age<=80
gr tw (conn assets_db_hat_hrs_p50 assets_db_hat_hrs_aby_p50 age) if age>=45 & age<=80
gr tw (conn assets_db_hat_sipp_p50 assets_db_hat_sipp_aby_p50 age) if age>=25 & age<=60

gr tw (conn assets_db_hat_p10 assets_db_hat_aby_p10 age) if age>=25 & age<=80
gr tw (conn assets_db_hat_hrs_p10 assets_db_hat_hrs_aby_p10 age) if age>=45 & age<=80
gr tw (conn assets_db_hat_sipp_p10 assets_db_hat_sipp_aby_p10 age) if age>=25 & age<=60

gr tw (conn assets_db_hat_p25 assets_db_hat_aby_p25 age) if age>=25 & age<=80
gr tw (conn assets_db_hat_hrs_p25 assets_db_hat_hrs_aby_p25 age) if age>=45 & age<=80
gr tw (conn assets_db_hat_sipp_p25 assets_db_hat_sipp_aby_p25 age) if age>=25 & age<=60

gr tw (conn assets_db_hat_p75 assets_db_hat_aby_p75 age) if age>=25 & age<=80
gr tw (conn assets_db_hat_hrs_p75 assets_db_hat_hrs_aby_p75 age) if age>=45 & age<=80
gr tw (conn assets_db_hat_sipp_p75 assets_db_hat_sipp_aby_p75 age) if age>=25 & age<=60

gr tw (conn assets_db_hat_p90 assets_db_hat_aby_p90 age) if age>=25 & age<=80
gr tw (conn assets_db_hat_hrs_p90 assets_db_hat_hrs_aby_p90 age) if age>=45 & age<=80
gr tw (conn assets_db_hat_sipp_p90 assets_db_hat_sipp_aby_p90 age) if age>=25 & age<=60



gr tw (conn assets_dc_hat_p50 assets_dc_hat_aby_p50 age) if age>=25 & age<=80
gr tw (conn assets_dc_hat_hrs_p50 assets_dc_hat_hrs_aby_p50 age) if age>=45 & age<=80
gr tw (conn assets_dc_hat_sipp_p50 assets_dc_hat_sipp_aby_p50 age) if age>=25 & age<=60

gr tw (conn assets_dc_hat_p10 assets_dc_hat_aby_p10 age) if age>=25 & age<=80
gr tw (conn assets_dc_hat_hrs_p10 assets_dc_hat_hrs_aby_p10 age) if age>=45 & age<=80
gr tw (conn assets_dc_hat_sipp_p10 assets_dc_hat_sipp_aby_p10 age) if age>=25 & age<=60

gr tw (conn assets_dc_hat_p25 assets_dc_hat_aby_p25 age) if age>=25 & age<=80
gr tw (conn assets_dc_hat_hrs_p25 assets_dc_hat_hrs_aby_p25 age) if age>=45 & age<=80
gr tw (conn assets_dc_hat_sipp_p25 assets_dc_hat_sipp_aby_p25 age) if age>=25 & age<=60

gr tw (conn assets_dc_hat_p75 assets_dc_hat_aby_p75 age) if age>=25 & age<=80
gr tw (conn assets_dc_hat_hrs_p75 assets_dc_hat_hrs_aby_p75 age) if age>=45 & age<=80
gr tw (conn assets_dc_hat_sipp_p75 assets_dc_hat_sipp_aby_p75 age) if age>=25 & age<=60

gr tw (conn assets_dc_hat_p90 assets_dc_hat_aby_p90 age) if age>=25 & age<=80
gr tw (conn assets_dc_hat_hrs_p90 assets_dc_hat_hrs_aby_p90 age) if age>=45 & age<=80
gr tw (conn assets_dc_hat_sipp_p90 assets_dc_hat_sipp_aby_p90 age) if age>=25 & age<=60

su
sort age
save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\newdat_2014" , replace


log close



