clear
clear matrix
set mem 200m

* combines sippemplearnfromsas, data for calibration, and birth cohort adjust.... Keeps DB and DC cases

log using "C:\users\econuser\Documents\Saving_and_Retirement\sipp\sas\generate data for fit npdbdc 2013" , replace

use "C:\users\econuser\Documents\Saving_and_Retirement\sipp\data\sippemplearn"

* condition on number of monthly observations. annual hours of laidoff?

gen avgearn = cumearn/(cumhours*4.33) if monearn>=6

replace cumwage=. if monwage<6

* 8/30/2011: use PT and FT >= 6 months per year

replace emplmon = . if huseduc<39 | huseduc>43 | husrace~=1 | hushisp~=0

gen work=0 if emplmon~=. & huseduc>=39 & huseduc<=43 & husrace==1 & hushisp==0
replace work=1 if emplmon>=6/12 & huseduc>=39 & huseduc<=43 & husrace==1 & hushisp==0 & emplmon~=.

* consistent with SIPP: change occurs in year t if t-1 and t have different values. 

gen worklast = work[_n-1] if id==id[_n-1]
gen exit = 1 - work if worklast==1
gen entry = work if worklast==0
gen switch=0 if worklast==1 & work==1
replace switch=1 if worklast==1 & work==1 & jobend[_n-1]==1

gen work_np = work if covered==0
gen work_db = work if covered==1 & typepen==1 
gen work_dc = work if covered==1 & typepen==2 

gen exit_np = exit if covered==0
gen exit_db = exit if covered==1 & typepen==1 
gen exit_dc = exit if covered==1 & typepen==2 

gen entry_np = entry if covered==0
gen entry_db = entry if covered==1 & typepen==1 
gen entry_dc = entry if covered==1 & typepen==2 

gen switch_np = switch if covered==0
gen switch_db = switch if covered==1 & typepen==1 
gen switch_dc = switch if covered==1 & typepen==2 

gen laidoff_np = laidoff if covered==0
gen laidoff_db = laidoff if covered==1 & typepen==1 
gen laidoff_dc = laidoff if covered==1 & typepen==2 

gen avgearn_np = avgearn if covered==0
gen avgearn_db = avgearn if covered==1 & typepen==1 
gen avgearn_dc = avgearn if covered==1 & typepen==2 

gen cumwage_np = cumwage if covered==0
gen cumwage_db = cumwage if covered==1 & typepen==1 
gen cumwage_dc = cumwage if covered==1 & typepen==2 

gen work_sipp = work
gen work_np_sipp = work_np
gen work_db_sipp = work_db
gen work_dc_sipp = work_dc
gen exit_sipp = exit
gen exit_np_sipp = exit_np
gen exit_db_sipp = exit_db
gen exit_dc_sipp = exit_dc
gen entry_sipp = entry
gen entry_np_sipp = entry_np
gen entry_db_sipp = entry_db
gen entry_dc_sipp = entry_dc
gen switch_sipp = switch
gen switch_np_sipp = switch_np
gen switch_db_sipp = switch_db
gen switch_dc_sipp = switch_dc
gen laidoff_sipp = laidoff
gen laidoff_np_sipp = laidoff_np
gen laidoff_db_sipp = laidoff_db
gen laidoff_dc_sipp = laidoff_dc
gen avgearn_sipp = avgearn
gen avgearn_np_sipp = avgearn_np
gen avgearn_db_sipp = avgearn_db
gen avgearn_dc_sipp = avgearn_dc
gen cumwage_sipp = cumwage
gen cumwage_np_sipp = cumwage_np
gen cumwage_db_sipp = cumwage_db
gen cumwage_dc_sipp = cumwage_dc

su

collapse switch* work* exit* entry* laidoff* avgearn* cumwage* , by (age)

sort age

save "C:\users\econuser\Documents\Saving_and_Retirement\sipp\data\temp_sippdat" , replace

su


clear

use laidoff hhidpn hacohort rmstat j jl rahispan raracem rabyear ragender agemon using "C:\users\econuser\Documents\Saving_and_Retirement\sipp\data\empl_long_july2010_tvv.dta"

sort hhidpn agemon

keep if rabyear>=1926 & rabyear<=1958 & hacohort>=3
keep if ragender==1
keep if raracem==1 & rahispan==0

gen age = int(agemon/12)

gen marstat=1 if rmstat>=1 & rmstat<=3
replace marstat=2 if rmstat>=4 & rmstat<=7
replace marstat=3 if rmstat==8

gen single = 0 if rmstat>=1 & rmstat<=3
replace single = 1 if rmstat>=4 & rmstat<=8

drop hacohort rahispan raracem rabyear ragender rmstat marstat agemon

drop if age<46 | age>=81

su

tab j
tab jl j

sort hhidpn age

replace jl=0 if jl==. & j[_n-1]==0 & hhidpn==hhidpn[_n-1]
replace jl=1 if jl==. & (j[_n-1]==1 | j[_n-1]==2) & hhidpn==hhidpn[_n-1]
replace jl=2 if jl==. & (j[_n-1]==3 | j[_n-1]==4) & hhidpn==hhidpn[_n-1]

gen empl=0 if j~=.
replace empl=1 if j>=1 & j<=4

gen exit=0 if j~=. & (jl==2 | jl==1)
replace exit=1 if exit==0 & j==0

gen entry=0 if j~=. & jl==0 
replace entry=1 if jl==0 & (j>=1 & j<=4)

gen switch=0 if j~=. & (jl==2 | jl==1)
replace switch=1 if switch==0 & (j==2 | j==1)

su

collapse e* s* laidoff , by (hhidpn age)

drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]
drop if single[_n-1]>0 & single==0 & hhidpn==hhidpn[_n-1]

keep if single==0

sort hhidpn age

su

* consistent with SIPP: change occurs in year t if t-1 and t have differrent values. 

* work>= 9 months in t-1, <9 months in t => exit(t)=1
* work>= 9 months in t-1, >=9 months in t and job ended during t-1 => switch(t)=1 				  * this is how I do it in SIPP, not here
* work<9 months in t-1, >=9 months in t => entry(t) = 1

gen work=0 if empl~=.
replace work=1 if empl>=2/4

*gen exit=0 if work[_n-1]==1 & hhidpn==hhidpn[_n-1]
*replace exit=1 if work[_n-1]==1 & work==0 & hhidpn==hhidpn[_n-1]

*gen switch=0 if work[_n-1]==1 & hhidpn==hhidpn[_n-1]
*replace switch=1 if work[_n-1]==1 & work==1 & switch[_n-1]>0 & hhidpn==hhidpn[_n-1]

*gen entry=0 if work[_n-1]==0 & hhidpn==hhidpn[_n-1]
*replace entry=1 if work[_n-1]==0 & work==1 & hhidpn==hhidpn[_n-1]

gen toomany = 1 if (exit==1 & entry==1) | (exit==1 & switch==1) | (switch==1 & entry==1)

su

joinby hhidpn using "C:\users\econuser\Documents\Saving_and_Retirement\sipp\data\temphrs"

sort hhidpn age

su

keep if raeduc>=2 & raeduc<=4 

gen laidoff_np = laidoff if pen==0
gen work_np = work if pen==0
gen empl_np = empl if pen==0
gen exit_np = exit if pen==0
gen entry_np = entry if pen==0
gen switch_np = switch if pen==0

gen laidoff_db = laidoff if pen==1
gen work_db = work if pen==1
gen empl_db = empl if pen==1
gen exit_db = exit if pen==1
gen entry_db = entry if pen==1
gen switch_db = switch if pen==1

gen laidoff_dc = laidoff if pen==2
gen work_dc = work if pen==2
gen empl_dc = empl if pen==2
gen exit_dc = exit if pen==2
gen entry_dc = entry if pen==2
gen switch_dc = switch if pen==2

gen work_hrs = work
gen work_np_hrs = work_np
gen work_db_hrs = work_db
gen work_dc_hrs = work_dc

gen exit_hrs = exit
gen exit_np_hrs = exit_np
gen exit_db_hrs = exit_db
gen exit_dc_hrs = exit_dc
gen entry_hrs = entry
gen entry_np_hrs = entry_np
gen entry_db_hrs = entry_db
gen entry_dc_hrs = entry_dc
gen switch_hrs = switch
gen switch_np_hrs = switch_np
gen switch_db_hrs = switch_db
gen switch_dc_hrs = switch_dc
gen laidoff_hrs = laidoff
gen laidoff_np_hrs = laidoff_np
gen laidoff_db_hrs = laidoff_db
gen laidoff_dc_hrs = laidoff_dc

su

collapse work* exit* entr* swit* laidoff* , by (age)

su
sort age

save "C:\users\econuser\Documents\Saving_and_Retirement\sipp\data\temp_hrsdat", replace


clear
use "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\bcadat3_oct2013"

gen oldby = birthyear

*np

gen assets_np_sipp = assets_np if hrs==0
gen assets_np_hrs = assets_np if hrs==1

xi: qreg assets_np birthyear i.age if age>=45 & age<=90  & hrs==1
predict assets_np_hat_hrs_aby if e(sample)==1

replace birthyear = 1976
predict assets_np_hat_hrs if e(sample)==1

su assets_np_hat_hrs assets_np if e(sample)==1 , detail
replace birthyear = oldby

su birthyear if hrs==0

xi: qreg assets_np birthyear  i.age if age>=25 & age<=65  & hrs==0
predict assets_np_hat_sipp_aby if e(sample)==1

replace birthyear = 1976
predict assets_np_hat_sipp if e(sample)==1

su assets_np_hat_sipp assets_np if e(sample)==1 , detail
replace birthyear = oldby

gen assets_np_hat = assets_np_hat_hrs if hrs==1
replace assets_np_hat = assets_np_hat_sipp if hrs==0

xi: qreg assets_np birthyear i.age if age>=25 & age<=90
replace birthyear = 1976
predict assets_np_hata if e(sample)==1



gen assets_db = assets if covered==1 | typepen==1

gen assets_db_sipp = assets_db if hrs==0
gen assets_db_hrs = assets_db if hrs==1

xi: qreg assets_db birthyear i.age if age>=45 & age<=90  & hrs==1
predict assets_db_hat_hrs_aby if e(sample)==1

replace birthyear = 1976
predict assets_db_hat_hrs if e(sample)==1

su assets_db_hat_hrs assets_db if e(sample)==1 , detail
replace birthyear = oldby

su birthyear if hrs==0

xi: qreg assets_db birthyear  i.age if age>=25 & age<=65  & hrs==0
predict assets_db_hat_sipp_aby if e(sample)==1

replace birthyear = 1976
predict assets_db_hat_sipp if e(sample)==1

su assets_db_hat_sipp assets_db if e(sample)==1 , detail
replace birthyear = oldby

gen assets_db_hat = assets_db_hat_hrs if hrs==1
replace assets_db_hat = assets_db_hat_sipp if hrs==0

xi: qreg assets_db birthyear i.age if age>=25 & age<=90

replace birthyear = 1976
predict assets_db_hata if e(sample)==1



gen assets_dc = assets if covered==2 | typepen==2

gen assets_dc_sipp = assets_dc if hrs==0
gen assets_dc_hrs = assets_dc if hrs==1

xi: qreg assets_dc birthyear i.age if age>=45 & age<=90  & hrs==1
predict assets_dc_hat_hrs_aby if e(sample)==1

replace birthyear = 1976
predict assets_dc_hat_hrs if e(sample)==1

su assets_dc_hat_hrs assets_dc if e(sample)==1 , detail
replace birthyear = oldby

su birthyear if hrs==0

xi: qreg assets_dc birthyear  i.age if age>=25 & age<=65  & hrs==0
predict assets_dc_hat_sipp_aby if e(sample)==1

replace birthyear = 1976
predict assets_dc_hat_sipp if e(sample)==1

su assets_dc_hat_sipp assets_dc if e(sample)==1 , detail
replace birthyear = oldby

gen assets_dc_hat = assets_dc_hat_hrs if hrs==1
replace assets_dc_hat = assets_dc_hat_sipp if hrs==0

xi: qreg assets_dc birthyear i.age if age>=25 & age<=90

replace birthyear = 1976
predict assets_dc_hata if e(sample)==1


collapse (median) assets_np_hata assets_db_hata assets_dc_hata assets_np_hat assets_np_sipp assets_np_hrs assets_np assets_np_hat_hrs assets_np_hat_hrs_aby assets_np_hat_sipp assets_np_hat_sipp_aby assets_dc_hat assets_dc_sipp assets_dc_hrs assets_dc assets_dc_hat_hrs assets_dc_hat_hrs_aby assets_dc_hat_sipp assets_dc_hat_sipp_aby assets_db_hat assets_db_sipp assets_db_hrs assets_db assets_db_hat_hrs assets_db_hat_hrs_aby assets_db_hat_sipp assets_db_hat_sipp_aby, by (age)

su

sort age

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp_newdat" , replace

clear

use "C:\Users\econuser\Documents\saving_and_retirement\sipp\data\caldat"

keep ssclaim* age

collapse ssclaim_np ssclaim_db ssclaim_dc , by(age)

sort age

merge age using "C:\users\econuser\Documents\Saving_and_Retirement\sipp\data\temp_hrsdat"

tab _merge
drop _merge
sort age

merge age using "C:\users\econuser\Documents\Saving_and_Retirement\sipp\data\temp_sippdat"

tab _merge
drop _merge
sort age

merge age using "C:\users\econuser\Documents\Saving_and_Retirement\estimation\simdat\temp_newdat"

tab _merge
drop _merge
sort age

su

gr tw (conn assets_np_hat assets_db_hat assets_dc_hat age)
gr tw (conn assets_np_hata assets_db_hata assets_dc_hata age)
gr tw (conn assets_np assets_db assets_dc age)

gr tw (conn assets_np_hrs assets_np_sipp age)
gr tw (conn assets_db_hrs assets_db_sipp age)
gr tw (conn assets_dc_hrs assets_dc_sipp age)

gr tw (conn assets_np_hat_hrs assets_np_hat_sipp assets_np_hata age)
gr tw (conn assets_db_hat_hrs assets_db_hat_sipp assets_db_hata age)
gr tw (conn assets_dc_hat_hrs assets_dc_hat_sipp assets_dc_hata age)

gr tw (conn work_np_sipp work_np_hrs age)
gr tw (conn work_db_sipp work_db_hrs age)
gr tw (conn work_dc_sipp work_dc_hrs age)

drop work work_np work_db work_dc exit exit_np exit_db exit_dc entry entry_np entry_db entry_dc switch switch_np switch_db switch_dc laidoff laidoff_np laidoff_db laidoff_dc

gen work = work_sipp if age<=50
gen work_np = work_np_sipp if age<=50
gen work_db = work_db_sipp if age<=50
gen work_dc = work_dc_sipp if age<=50

replace work = work_hrs if age>50
replace work_np = work_np_hrs if age>50
replace work_db = work_db_hrs if age>50
replace work_dc = work_dc_hrs if age>50

gen exit = exit_sipp if age<=50
gen exit_np = exit_np_sipp if age<=50
gen exit_db = exit_db_sipp if age<=50
gen exit_dc = exit_dc_sipp if age<=50

replace exit = exit_hrs if age>50
replace exit_np = exit_np_hrs if age>50
replace exit_db = exit_db_hrs if age>50
replace exit_dc = exit_dc_hrs if age>50

gen entry = entry_sipp if age<=50
gen entry_np = entry_np_sipp if age<=50
gen entry_db = entry_db_sipp if age<=50
gen entry_dc = entry_dc_sipp if age<=50

replace entry = entry_hrs if age>50
replace entry_np = entry_np_hrs if age>50
replace entry_db = entry_db_hrs if age>50
replace entry_dc = entry_dc_hrs if age>50

gen switch = switch_sipp if age<=50
gen switch_np = switch_np_sipp if age<=50
gen switch_db = switch_db_sipp if age<=50
gen switch_dc = switch_dc_sipp if age<=50

replace switch = switch_hrs if age>50
replace switch_np = switch_np_hrs if age>50
replace switch_db = switch_db_hrs if age>50
replace switch_dc = switch_dc_hrs if age>50

gen laidoff = laidoff_sipp if age<=50
gen laidoff_np = laidoff_np_sipp if age<=50
gen laidoff_db = laidoff_db_sipp if age<=50
gen laidoff_dc = laidoff_dc_sipp if age<=50

replace laidoff = laidoff_hrs if age>50
replace laidoff_np = laidoff_np_hrs if age>50
replace laidoff_db = laidoff_db_hrs if age>50
replace laidoff_dc = laidoff_dc_hrs if age>50

gr tw (conn work_np work_db work_dc age)
gr tw (conn exit_np exit_db exit_dc age)
gr tw (conn entry_np entry_db entry_dc age)
gr tw (conn switch_np switch_db switch_dc age)
gr tw (conn laidoff_np laidoff_db laidoff_dc age)

* new: merge in kta and isdba for pension cases from data file created by ...stata programs\pension claiming.do

merge age using "C:\users\econuser\Documents\Saving_and_Retirement\estimation\simdat\pension claiming"
sort age
save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\fitdat" , replace

log close
gen notwork_db = 1-work_db
gen notwork_dc = 1-work_dc

gr tw (conn notwork_db kta1 isdba1 age)
gr tw (conn notwork_dc kta2 isdba2 age)

