clear
clear matrix
set memory 450m
log using "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\sas\pooled regressions_sept_2014" , replace

* created from pooled regressions newest 2014, with health and kids added for sel coree, and broader sample

* trying to replicate wage eq results in the paper, and figure out where the hell I got the variances: loghuswage: .084, logwifeearn: .264; logmedexp: 1.711
* And do something about the fact that the results in the paper are from OLS, not FE as stated.
* And maybe do a sel corr as suggested by QE referee

use "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\caldat_2014"

gen id = hhidpn
rename rwgihr wage
gen hrs=1
rename rabyear birthyear
rename raeduc huseduc
rename siearn wifeearn
rename riearn husearn
rename hitot totinc
rename hatota assets
rename hicap capinc
rename roopmd husmed
rename soopmd wifemed
replace husmed = husmed/2000
replace wifemed = wifemed/2000
replace totmed = totmed/2000

rename rjhours hours
rename rjweeks weeks

rename rshlt hushlth
rename sshlt wifehlth
rename hchild numkids

rename sageye wifeage
rename seduc wifeeduc
rename sracem wiferace
rename shispan wifehispanic
rename raracem husrace
rename rahispan hushispanic

rename pen covered

keep id birthyear huseduc age wage covered wifeearn* husearn* tot* assets* capinc* hrs hours weeks husmed wifemed totmed hushlth wifehlth numkids wifeage wifeeduc wifehispanic wiferace husrace hushispanic
keep if age>=46 & age<=90
sort id age

save "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\regdat1_2014" , replace

clear

use "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\hrsworkdat_2014"
gen id = hhidpn
keep id laidoff age
keep if age>=46 & age<=90
sort id age

merge id age using "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\regdat1_2014" 

su
drop _merge

save "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\regdat1a_2014" , replace

clear

use "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\assmed_all"

gen hrs=0
gen totmed = husmed + wifemed + premium
replace husmed = husmed/1000
replace wifemed = wifemed/1000
replace totmed = totmed/1000
replace premium=premium/1000

replace assets=assets/1000

keep if age>=25 & age<=65

keep id birthyear covered typepen age huseduc assets* hrs totmed husmed wifemed

sort id age

save "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\regdat2_2014" , replace

clear

use "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\sippemplearn_2014"

keep if age>=25 & age<=65

gen avgearn = cumearn/(cumhours*4.33) if monearn>=6
replace cumwage=. if monwage<6
rename avgearn wage
rename cumwage hourlywage
rename emplmonft ftempl
gen hrs=0

replace wifeearn = wifeearn/1000
replace husearn = husearn/1000
replace totinc = totinc/1000
replace famearn = famearn/1000
replace capinc = capinc/1000

rename cumhours hours
gen weeks = emplmon*52

keep id covered typepen age huseduc wage hourlywage wifeearn* hrs husearn* totinc* famearn* capinc* hours weeks laidoff  hushlth wifehlth numkids wifeage wifeeduc wifehispanic wiferace husrace hushispanic

sort id age

merge id age using "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\regdat2_2014" 

su

append using "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\regdat1a_2014" 

sort id age

su

save "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\regdat3_2014" , replace

gen oldby = birthyear

gen husearnpos = 0
replace husearnpos = 1 if husearn>=5.95 & hours>=35 & weeks>=40

gen wifeearnpos=0  & wifeearn>=0 & wifeearn~=.
replace wifeearnpos=1  & wifeearn>0 & wifeearn~=.

replace huseduc = 1 if huseduc>=31 & huseduc<=38
replace huseduc = 2 if huseduc==39
replace huseduc = 3 if huseduc>=40 & huseduc<=43
replace huseduc = 4 if huseduc>=44
replace huseduc = 5 if huseduc>=45 & huseduc<=47

replace wifeeduc = 1 if wifeeduc>=31 & wifeeduc<=38
replace wifeeduc = 2 if wifeeduc==39
replace wifeeduc = 3 if wifeeduc>=40 & wifeeduc<=43
replace wifeeduc = 4 if wifeeduc>=44
replace wifeeduc = 5 if wifeeduc>=45 & wifeeduc<=47

replace husrace = 3 if husrace==4
replace wiferace = 3 if wiferace==4

gen husblack = 0 if husrace~=.
replace husblack=1 if husrace==2

gen husoth = 0 if husrace~=.
replace husoth=1 if husrace==3

gen wifeblack = 0 if wiferace~=.
replace wifeblack=1 if wiferace==2

gen wifeoth = 0 if wiferace~=.
replace wifeoth=1 if wiferace==3


save "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\regdat4_2014" , replace

xtset id

gen wageseen = 0 if age>=25 & age<=60 & (wage==. | (wage>=3.4 & wage<=106))
replace wageseen = 1 if age>=25 & age<=60 & wage>=3.4 & wage<=106
replace wage=. if wageseen==.
gen logwage = log(wage)
gen agesq = age^2

gen logwifeearn = log(wifeearn)
gen logmed = log(totmed)

gen narrow=1 if husrace==1 & hushispanic==0 & huseduc>=2 & huseduc<=3

replace cov=2 if typepen==2

reg wageseen i.huseduc age agesq husblack husoth hushispanic hushlth numkids capinc
gen seen = e(sample)

xi: reg logwage i.huseduc age agesq husblack husoth hushispanic if seen==1

xi: heckman logwage i.huseduc age agesq husblack husoth hushispanic if seen==1, select(wageseen = i.huseduc age agesq husblack husoth hushispanic hushlth numkids capinc) first two mills(lamda)

xtreg logwage i.huseduc age agesq husblack husoth hushispanic if seen==1, fe
xtreg logwage i.huseduc age agesq husblack husoth hushispanic lamda if seen==1, fe

xtreg logwage age agesq if seen==1, fe
xtreg logwage age agesq lamda if seen==1, fe

reg wageseen i.huseduc age agesq husblack husoth hushispanic hushlth numkids capinc if cov==0
gen seen0 = e(sample)
xi: reg logwage i.huseduc age agesq husblack husoth hushispanic if cov==0 & seen0==1
xtreg logwage age agesq lamda if seen0==1, fe

reg wageseen i.huseduc age agesq husblack husoth hushispanic hushlth numkids capinc if cov==1
gen seen1 = e(sample)
xi: reg logwage i.huseduc age agesq husblack husoth hushispanic if cov==1 & seen1==1
xtreg logwage age agesq lamda if seen1==1, fe

reg wageseen i.huseduc age agesq husblack husoth hushispanic hushlth numkids capinc if cov==2
gen seen2 = e(sample)
xi: reg logwage i.huseduc age agesq husblack husoth hushispanic if cov==2 & seen2==1
xtreg logwage age agesq lamda if seen2==1, fe

xtreg logwage age agesq if seen==1 & narrow==1, fe
xtreg logwage age agesq lamda if seen==1 & narrow==1, fe

xtreg logwage age agesq lamda if seen==1 & narrow==1 & cov==0, fe
xtreg logwage age agesq lamda if seen==1 & narrow==1 & cov>=1 & cov<=2, fe


xtreg logwage age agesq if seen==1 & narrow==1 & cov>=1 & cov<=2, fe

xi: heckman logwage i.huseduc age agesq husblack husoth hushispanic if seen==1 & cov>=1 & cov<=2 & narrow==1, select(wageseen = i.huseduc age agesq husblack husoth hushispanic hushlth numkids capinc) first two mills(lamdax)
xtreg logwage age agesq if seen==1 & narrow==1 & cov>=1 & cov<=2, fe
xtreg logwage age agesq lamdax if seen==1 & narrow==1 & cov>=1 & cov<=2, fe

predict wagehat if e(sample)==1 
replace wagehat = wagehat - .1264*lamdax
replace wagehat = exp(wagehat + .5*.043)
su wagehat wage if e(sample)==1
replace wagehat = exp(.214 + .101*65 - .0010243*65*65 + .5*.042) if age==65
replace wagehat = exp(.214 + .101*70 - .0010243*70*70 + .5*.042) if age==70
replace wagehat = exp(.214 + .101*75 - .0010243*75*75 + .5*.042) if age==75
sort age
by age: su wagehat


su wifeearn if age>=25 & age<=60, detail

gen wifeearnseen = 0 if age>=25 & age<=60 
replace wifeearnseen = 1 if age>=25 & age<=60 & wifeearn>0 & wifeearn~=.

xi: heckman logwifeearn i.wifeeduc age agesq wifeblack wifeoth wifehispanic if cov>=1 & cov<=2 & narrow==1, select(wifeearnseen = i.wifeeduc age agesq wifeblack wifeoth wifehispanic wifehlth numkids capinc) first two mills(lamdawe)
xtreg logwifeearn age agesq if wifeearnseen==1 & narrow==1 & cov>=1 & cov<=2, fe
xtreg logwifeearn age agesq lamdawe if wifeearnseen==1 & narrow==1 & cov>=1 & cov<=2, fe
	 
predict wifeearnhat if e(sample)==1 
replace wifeearnhat = wifeearnhat - .1623*lamdawe
replace wifeearnhat = exp(wifeearnhat + .5*.34)
su wifeearnhat wifeearn if e(sample)==1
replace wifeearnhat = exp(-0.808 + .1282*65 - .0011422*65*65 + .5*.34) if age==65
replace wifeearnhat = exp(-0.808 + .1282*70 - .0011422*70*70 + .5*.34) if age==70
replace wifeearnhat = exp(-0.808 + .1282*75 - .0011422*75*75 + .5*.34) if age==75
sort age
by age: su wifeearnhat

xtreg wifeearnseen age agesq if narrow==1 & cov>=1 & cov<=2, fe

probit wifeearnseen i.wifeeduc age agesq wifeblack wifeoth wifehispanic wifehlth numkids capinc if narrow==1 & cov>=1 & cov<=2
su wifeearnseen i.wifeeduc age agesq wifeblack wifeoth wifehispanic wifehlth numkids capinc if e(sample)==1
	  
gen wifeint = -.8425107 + .1354114*.1505 + .2617932*.5149  + .6179297*.2227 + .9472665*.0312 + .6110276*.0044 + .0043765*.0126 -.131096*.0156 - .2368296*2.29 -.05023*2.29 -.002395*2.85
gen index = -1.18366 + .0974*age - .001188*agesq
gen prob = normal(index)
by age: su prob



probit laidoff hrs age if narrow==1 & cov>=1 & cov<=2
xi: probit laidoff hrs i.huseduc age husblack husoth hushispanic hushlth numkids capinc if narrow==1 & cov>=1 & cov<=2
probit laidoff hrs if narrow==1 & cov>=1 & cov<=2

predict hrs0 if hrs==0
predict hrs1 if hrs==1
su hrs0 hrs1

collapse wagehat* wage wifeearn wifeearnhat wifeearnseen prob if narrow==1 & cov>=1 & cov<=2, by(age)

gr tw (conn wage wagehat age)
gr tw (conn wifeearn wifeearnhat age)
gr tw (conn wifeearnseen prob age)

clear

use "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\hrsmeddat_2014"

gen id = hhidpn
gen hrs=1
rename raeduc huseduc
replace totmed = totmed/2000
rename raracem husrace
rename rahispan hushispanic

keep id huseduc age tot*  husrace hushispanic hrs
sort id age

save "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\hrsmeddat1_2014" , replace

clear

use "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\caldat_2014"

gen id = hhidpn

rename pen covered

keep id age covered

sort id age

merge id age using "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\hrsmeddat1_2014"

tab _merge

save "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\hrsmeddat2_2014" , replace

clear

use "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\assmed_all"

gen hrs=0
gen totmed = husmed + wifemed + premium
replace husmed = husmed/1000
replace wifemed = wifemed/1000
replace totmed = totmed/1000
replace premium=premium/1000

keep id age huseduc hrs totmed husmed wifemed

sort id age

save "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\sippmeddat_2014" , replace

clear

use "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\sippemplearn_2014"

replace covered=2 if typepen==2

keep id age huseduc husrace hushispanic covered

sort id age

merge id age using "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\sippmeddat_2014" 

su

append using "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\hrsmeddat2_2014" 

su

replace huseduc = 1 if huseduc>=31 & huseduc<=38
replace huseduc = 2 if huseduc==39
replace huseduc = 3 if huseduc>=40 & huseduc<=43
replace huseduc = 4 if huseduc>=44
replace huseduc = 5 if huseduc>=45 & huseduc<=47

replace husrace = 3 if husrace==4

save "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\meddat_2014" , replace

gen agesq = age^2

gen logmed = log(totmed)

gen narrow=1 if husrace==1 & hushispanic==0 & huseduc>=2 & huseduc<=3

xtset id

reg logmed age agesq if narrow==1 & age>=25

xtreg logmed age agesq if narrow==1 & age>=25 , fe

predict medhatx if e(sample)==1 
replace medhatx = exp(medhatx + .5*.8257)

reg logmed age agesq if narrow==1 & age>=25 & cov>=1 & cov<=2

xtreg logmed age agesq if narrow==1 & age>=25  & cov>=1 & cov<=2, fe

predict medhaty if e(sample)==1 
replace medhaty = exp(medhatx + .5*.769)
su medhatx medhaty totmed if e(sample)==1

predict medhatz
replace medhatz = exp(medhatz + .5*.769)

su medhatz if age==25 , detail
su medhatz if age==35 , detail
su medhatz if age==45 , detail
su medhatz if age==55 , detail
su medhatz if age==65 , detail
su medhatz if age==75 , detail
su medhatz if age==85 , detail
su medhatz if age==95 , detail

collapse medhat* totmed if narrow==1, by(age)

gr tw (conn totmed medhatx medhaty age) if totmed<5


log close
