clear
clear matrix
set memory 450m
log using "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\sas\pooled regressions_feb2015_new" , replace

* created from pooled regressions sept 2014, with sippemplearn fixed. Only re-doing data that need to be updated, and re-running regressions the way they should be: no-pension, not narrow


use "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\sippemplearn_feb2015"

keep if age>=25 & age<=65

gen avgearn = cumearn/(cumhours*4.33) if monearn>=6
replace cumwage=. if monwage<6
rename avgearn wage
rename cumwage hourlywage
rename emplmonft ftempl
gen hrs=0

replace wifeearn = wifeearn/1000
replace husearn = husearn/1000
replace totinc = totinc/1000
replace famearn = famearn/1000
replace capinc = capinc/1000

rename cumhours hours
gen weeks = emplmon*52

keep id covered typepen age huseduc wage hourlywage wifeearn* hrs husearn* totinc* famearn* capinc* hours weeks laidoff  hushlth wifehlth numkids wifeage wifeeduc wifehispanic wiferace husrace hushispanic

sort id age

save "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\tempish_feb2015" , replace

* re-create without dropping >65 and without stupidly failing to account for missing premiums

clear

use "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\assmed_96_feb2015"

destring ssuid, generate(id)
drop ssuid

save "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\assmedtemp_96_feb2015" , replace

clear

use "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\assmed_01_feb2015"

destring ssuid, generate(id)
drop ssuid

save "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\assmedtemp_01_feb2015" , replace

clear

use "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\assmed_04_feb2015"

gen id = ssuid
drop ssuid

append using "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\assmedtemp_01_feb2015"
append using "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\assmedtemp_96_feb2015"

su

gen hrs=0

save "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\assmed_all_feb2015" , replace

replace premium = 0 if premium ==.

gen totmed = husmed + wifemed + premium
replace husmed = husmed/1000
replace wifemed = wifemed/1000
replace totmed = totmed/1000
replace premium=premium/1000

replace assets=assets/1000

*keep if age>=25 & age<=65

keep if age>=25

*keep id birthyear age assets* hrs totmed husmed wifemed premium

rename covered covered_am
rename typepen typepen_am
rename huseduc huseduc_am
rename hushisp hushisp_am
rename husrace husrace_am

sort id age

save "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\regdat2_2014" , replace

merge id age using "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\tempish_feb2015" 

tab _merge

gen assmedonly=0
replace assmedonly=1 if _merge==1

*drop _merge

replace covered = covered_am if covered==.
replace typepen = typepen_am if typepen==.
replace huseduc = huseduc_am if huseduc==.
replace hushispanic = hushisp_am if hushispanic==.
replace husrace = husrace_am if husrace==.

drop *_am

append using "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\regdat1a_2014" 

replace assmedonly=0 if assmedonly==.

sort id age

su

save "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\regdat3_feb2015" , replace

gen oldby = birthyear

gen husearnpos = 0
replace husearnpos = 1 if husearn>=5.95 & hours>=35 & weeks>=40

gen wifeearnpos=0  & wifeearn>=0 & wifeearn~=.
replace wifeearnpos=1  & wifeearn>0 & wifeearn~=.

replace huseduc = 1 if huseduc>=31 & huseduc<=38
replace huseduc = 2 if huseduc==39
replace huseduc = 3 if huseduc>=40 & huseduc<=43
replace huseduc = 4 if huseduc>=44
replace huseduc = 5 if huseduc>=45 & huseduc<=47

replace wifeeduc = 1 if wifeeduc>=31 & wifeeduc<=38
replace wifeeduc = 2 if wifeeduc==39
replace wifeeduc = 3 if wifeeduc>=40 & wifeeduc<=43
replace wifeeduc = 4 if wifeeduc>=44
replace wifeeduc = 5 if wifeeduc>=45 & wifeeduc<=47

replace husrace = 3 if husrace==4
replace wiferace = 3 if wiferace==4

gen husblack = 0 if husrace~=.
replace husblack=1 if husrace==2

gen husoth = 0 if husrace~=.
replace husoth=1 if husrace==3

gen wifeblack = 0 if wiferace~=.
replace wifeblack=1 if wiferace==2

gen wifeoth = 0 if wiferace~=.
replace wifeoth=1 if wiferace==3

replace hushlth = hushlthy if hrs==0
replace wifehlth = wifehlthy if hrs==0
replace numkids = numkidsy if hrs==0

drop hushlthy wifehlthy numkidsy

save "C:\users\econuser\My Documents\Saving_and_Retirement\sipp\data\regdat4_feb2015" , replace


xtset id

gen wageseen = 0 if age>=25 & age<=60 & (wage==. | (wage>=3.4 & wage<=106)) & assmedonly==0
replace wageseen = 1 if age>=25 & age<=60 & wage>=3.4 & wage<=106 & assmedonly==0
replace wage=. if wageseen==.
gen logwage = log(wage)
gen agesq = age^2

gen logwifeearn = log(wifeearn)
gen logmed = log(totmed)
replace logmed=0 if totmed==0

gen narrow=0 if husrace~=. & hushispanic~=. & huseduc~=.
replace narrow=1 if husrace==1 & hushispanic==0 & huseduc>=2 & huseduc<=3

replace cov=2 if typepen==2

* covered=0 & narrow==1

keep if cov==0 & narrow==1

reg wageseen i.huseduc age agesq husblack husoth hushispanic hushlth numkids capinc
gen seen = e(sample)

xi: reg logwage i.huseduc age agesq husblack husoth hushispanic if seen==1

xi: heckman logwage i.huseduc age agesq husblack husoth hushispanic if seen==1, select(wageseen = i.huseduc age agesq husblack husoth hushispanic hushlth numkids capinc) first two mills(lamda)

xtreg logwage i.huseduc age agesq husblack husoth hushispanic if seen==1, fe
xtreg logwage i.huseduc age agesq husblack husoth hushispanic lamda if seen==1, fe
xtreg logwage age agesq if seen==1, fe
xtreg logwage age agesq lamda if seen==1, fe

predict wagehat if e(sample)==1 
replace wagehat = wagehat - .115*lamda
replace wagehat = exp(wagehat + .5*.073)
su wagehat wage if e(sample)==1
replace wagehat = exp(-.62 + .107*65 - .000897*65*65 + .5*.073) if age==65
replace wagehat = exp(-.62 + .107*70 - .000897*70*70 + .5*.073) if age==70
replace wagehat = exp(-.62 + .107*75 - .000897*75*75 + .5*.073) if age==75
sort age
by age: su wagehat


su wifeearn if age>=25 & age<=60, detail

gen wifeearnseen = 0 if age>=25 & age<=60 & assmedonly==0
replace wifeearnseen = 1 if age>=25 & age<=60 & wifeearn>0 & wifeearn~=. & assmedonly==0

xi: heckman logwifeearn i.wifeeduc age agesq wifeblack wifeoth wifehispanic , select(wifeearnseen = i.wifeeduc age agesq wifeblack wifeoth wifehispanic wifehlth numkids capinc) first two mills(lamdawe)
xtreg logwifeearn age agesq if wifeearnseen==1 , fe
xtreg logwifeearn age agesq lamdawe if wifeearnseen==1 , fe
	 
predict wifeearnhat if e(sample)==1 

replace wifeearnhat = wifeearnhat - .074*lamdawe
replace wifeearnhat = exp(wifeearnhat + .5*.28)
su wifeearnhat wifeearn if e(sample)==1
replace wifeearnhat = exp(0.539 + .086*65 - .00079*65*65 + .5*.28) if age==65
replace wifeearnhat = exp(0.539 + .086*70 - .00079*70*70 + .5*.28) if age==70
replace wifeearnhat = exp(0.539 + .086*75 - .00079*75*75 + .5*.28) if age==75
sort age
by age: su wifeearnhat

probit wifeearnseen i.wifeeduc age agesq wifeblack wifeoth wifehispanic wifehlth numkids capinc 
su wifeearnseen i.wifeeduc age agesq wifeblack wifeoth wifehispanic wifehlth numkids capinc if e(sample)==1
	  
gen wifeint = -1.819069 + .373*.2400 + .595*.467  + .876*.193 + 1.138*.022 + .936*.003 -.033*.024 -.237*.017 - .233*2.30 -.096*2.09 -.00385*8.57
su wifeint
gen index = -2.029 + .133*age - .00154*agesq
gen prob = normal(index)
by age: su prob

xi: probit laidoff hrs i.huseduc age husblack husoth hushispanic hushlth numkids capinc 
probit laidoff hrs 
probit laidoff hrs age 

predict hrs0 if hrs==0
predict hrs1 if hrs==1
su hrs0 hrs1


reg logmed age agesq if  age>=25 & panel~=1996

predict medhatx if e(sample)==1 
replace medhatx = exp(medhatx + .5*1.6)

xtreg logmed age agesq if age>=25 & panel~=1996, fe

predict medhatz if e(sample)==1 
replace medhatz = exp(medhatz + .5*1.16)

gen medhatz95 = exp(-.0123114*95 + .000253*95*95 + .0413292 + .5*1.6)


su medhatz if age==25 , detail
su medhatz if age==35 , detail
su medhatz if age==45 , detail
su medhatz if age==55 , detail
su medhatz if age==65 , detail
su medhatz if age==75 , detail
su medhatz if age==85 , detail

collapse wagehat* wage wifeearn wifeearnhat wifeearnseen prob medhat* totmed, by(age)

*collapse medhat* totmed , by(age)

gr tw (conn wage wagehat age)
gr tw (conn wifeearn wifeearnhat age)
gr tw (conn wifeearnseen prob age)
gr tw (conn totmed medhatz medhatx age) if totmed<5




log close
