clear
set memory 200m

log using "C:\Users\econuser\Documents\Saving_and_Retirement\estimation\crowdout\crowdout_revised_for_comp_to_reg_jan2015", replace

* DB

clear

use "C:\Users\econuser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss124c"
keep if iu==2
gen user_db=0
replace user_db=1 if lfj==0
rename earn earn_db
rename assets assets_db
rename epdvle epdvle_db
rename epdvssr epdvssr_db
keep age epdvdbr user_db assets_db epdvle_db earn_db epdvssr_db
collapse user_db epdvdbr assets_db epdvle_db earn_db epdvssr_db, by(age)
sort age
gen assets_db_lag = assets_db[_n-1]

su

save "C:\Users\econuser\Documents\Saving_and_Retirement\estimation\crowdout\temp", replace

clear

* DB no SS

*use "C:\Users\econuser\Documents\Saving_and_Retirement\estimation\simdat\sims299"

*keep age epdvss* user_db
*sort age

*su

*merge age using "C:\Users\econuser\Documents\Saving_and_Retirement\estimation\crowdout\temp"
*drop _merge
*sort age

*save "C:\Users\econuser\Documents\Saving_and_Retirement\estimation\crowdout\temp", replace

*clear

*use "C:\Users\econuser\Documents\Saving_and_Retirement\estimation\simdat\sim110_dcw6e9_epdvdc"
*gen user_dc=0 if iu==3
*replace user_dc=1 if (dcbalance>0 & dcbalance<30000) | age==25

*collapse user_dc , by(age)
*sort age

*su

*merge age using "C:\Users\econuser\Documents\Saving_and_Retirement\estimation\crowdout\temp"
*drop _merge
*sort age

*save "C:\Users\econuser\Documents\Saving_and_Retirement\estimation\crowdout\temp", replace
*su

clear

* NP

use "C:\Users\econuser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss123d"
keep if iu==1
gen user_np=0
replace user_np=1 if ssclaim_np==0 

rename epdvle epdvle_np
keep user_np epdvssr_np assets_np age epdvle_np earn_np kappa
collapse user_np epdvssr_np assets_np epdvle_np earn_np kappa, by(age)
sort age
gen assets_np_lag = assets_np[_n-1]


merge age using "C:\Users\econuser\Documents\Saving_and_Retirement\estimation\crowdout\temp"
drop _merge
sort age

su
save "C:\Users\econuser\Documents\Saving_and_Retirement\estimation\crowdout\temp", replace

clear

use "C:\Users\econuser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss123d"

keep if iu==3
gen user_dc=0
replace user_dc=1 if dcbal>0 & dcbal<30000 
rename epdvle epdvle_dc
keep user_dc epdvssr_dc assets_dc age epdvle_dc earn_dc dcbal
collapse user_dc epdvssr_dc assets_dc epdvle_dc earn_dc dcbal, by(age)
sort age
gen assets_dc_lag = assets_dc[_n-1]
gen dcbalance_lag = dcbalance[_n-1]


su
merge age using "C:\Users\econuser\Documents\Saving_and_Retirement\estimation\crowdout\temp"
drop _merge
sort age

su
save "C:\Users\econuser\Documents\Saving_and_Retirement\estimation\crowdout\temp", replace

clear

use "C:\Users\econuser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss125"
keep if iu==1
rename epdvle epdvle_npnss
rename assets_np assets_npnss
rename earn_np earn_npnss

keep assets_npnss age epdvle_npnss earn_npnss
collapse assets_npnss epdvle_npnss earn_npnss, by(age)
sort age
gen assets_npnss_lag = assets_npnss[_n-1]


merge age using "C:\Users\econuser\Documents\Saving_and_Retirement\estimation\crowdout\temp"
drop _merge
sort age

save "C:\Users\econuser\Documents\Saving_and_Retirement\estimation\crowdout\for_reg_jan2015", replace

rename assets_db assets2
rename assets_dc assets3
rename assets_np assets1
rename assets_npnss assets0

rename assets_db_lag assets_lag2
rename assets_dc_lag assets_lag3
rename assets_np_lag assets_lag1
rename assets_npnss_lag assets_lag0

rename earn_db earn2
rename earn_dc earn3
rename earn_np earn1
rename earn_npnss earn0

rename epdvle_db epdvle2
rename epdvle_dc epdvle3
rename epdvle_np epdvle1
rename epdvle_npnss epdvle0

rename dcbalance epdvdc3
rename dcbalance_lag epdvdc_lag3

rename epdvdbr epdvdb2

rename epdvssr_np epdvssr1
rename epdvssr_db epdvssr2
rename epdvssr_dc epdvssr3

gen epdvdc0 = 0
gen epdvdc1 = 0
gen epdvdc2 = 0

gen epdvdc_lag0 = 0
gen epdvdc_lag1 = 0
gen epdvdc_lag2 = 0

gen epdvdb0 = 0
gen epdvdb1 = 0
gen epdvdb3 = 0

gen epdvssr0 = 0

rename user_np user1
rename user_db user2
rename user_dc user3
gen user0 = 0

keep user* assets* epdvdc* epdvdb* epdvssr* age epdvle* earn* kappa

sort age 

reshape long assets assets_lag user epdvdc epdvdc_lag epdvdb epdvssr epdvle earn, i(age) j(pen)

save "C:\Users\econuser\Documents\Saving_and_Retirement\estimation\crowdout\for_reg2_jan2015", replace

gen epdvssr_age = epdvssr*age
gen epdvssr_age2 = epdvssr*age*age

gen epdvdb_age = epdvdb*age
gen epdvdb_age2 = epdvdb*age*age

gen epdvdc_age = epdvdc*age
gen epdvdc_age2 = epdvdc*age*age

gen epdvssr_adj = epdvssr*kappa
gen epdvdb_adj = epdvdb*kappa
gen epdvdc_adj = epdvdc*kappa
gen assetslag_adj = assets_lag*(1-kappa)
gen epdvdclag_adj = epdvdc_lag*(1-kappa)

gen earn_adj = earn*(1-kappa)
gen epdvle_adj = epdvle*kappa

gen epdvssr2 = epdvssr^2
gen epdvdb2 = epdvdb^2
gen epdvdc2 = epdvdc^2

gen age2 = age^2

reg assets epdvssr_adj epdvdb_adj epdvdc_adj earn_adj epdvle_adj if user>.5 | (pen==0 & age<=66)
reg assets assetslag_adj epdvdclag_adj epdvssr_adj epdvdb_adj epdvdc_adj earn_adj epdvle_adj if user>.5 | (pen==0 & age<=66)

*reg assets epdvssr epdvssr_age epdvdb epdvdb_age epdvdc epdvdc_age if user>.5 | (pen==0 & age<=66)

*reg assets epdvssr epdvssr_age epdvssr_age2 epdvdb epdvdb_age epdvdb_age2 epdvdc epdvdc_age epdvdc_age2 if user>.5 | (pen==0 & age<=66)

*reg assets epdvssr epdvdb epdvdc epdvle earn if user>.5 | (pen==0 & age<=66)


reg assets age age2 epdvssr epdvssr2 epdvdb epdvdb2 epdvdc epdvdc2 if user>.5 | (pen==0 & age<=66)
*reg assets age age2 epdvssr epdvdb epdvdc if user>.5 | (pen==0 & age<=66)
keep if e(sample) ==1

gen os = epdvssr
gen os2 = epdvssr2
gen ob = epdvdb
gen ob2 = epdvdb2
gen oc = epdvdc
gen oc2 = epdvdc2

replace epdvssr = 0
replace epdvssr2 = 0
replace epdvdb = 0
replace epdvdb2 = 0
replace epdvdc = 0
replace epdvdc2 = 0

predict npnoss if pen==0

replace epdvssr = os
replace epdvssr2 = os2

predict np if pen==1

replace epdvdb = ob
replace epdvdb2 = ob2

predict db if pen==2

replace epdvdb = 0
replace epdvdb2 = 0
replace epdvdc = oc
replace epdvdc2 = oc2

predict dc if pen==3

replace epdvdb = ob
replace epdvdb2 = ob2

replace epdvssr=. if pen~=1
replace epdvdb=. if pen~=2
replace epdvdc=. if pen~=3

gen assets0 = assets if pen==0
gen assets1 = assets if pen==1
gen assets2 = assets if pen==2
gen assets3 = assets if pen==3

collapse assets0 assets1-assets3 npnoss np db dc epdvssr epdvdb epdvdc, by(age)

gr tw (conn npnoss np db dc age)

gen ssco = np - npnoss
gen dbco = db - np
gen dcco = dc  - np

gen sscop = ssco/epdvssr
gen dbcop = dbco/epdvdb
gen dccop = dcco/epdvdc

gr tw (conn ssco dbco dcco age)
gr tw (conn sscop dbcop dccop age)

gen sscoa = assets1 - assets0
gen dbcoa = assets2 - assets1
gen dccoa = assets3 - assets1

gen sscopa = sscoa/epdvssr
gen dbcopa = dbcoa/epdvdb
gen dccopa = dccoa/epdvdc

gr tw (conn sscoa dbcoa dccoa age)
gr tw (conn sscopa dbcopa dccopa age)

gr tw (conn ssco sscoa age)
gr tw (conn dbco dbcoa age)
gr tw (conn dcco dccoa age)

gr tw (conn sscop sscopa age)
gr tw (conn dbcop dbcopa age)
gr tw (conn dccop dccopa age)

gr tw (conn epdvssr epdvdb epdvdc age)

list sscop dbcop dccop age

log close


