clear
set memory 200m

log using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\crowdout\crowdout_graphs_jan2015", replace

* socsec = 1: DB

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss124c"

rename empl empl_sim_db
rename cons cons_sim_db
rename assets assets_sim_db
rename ssclaim ssclaim_sim_db
rename lfj penclaim_sim_db
keep *_sim_db age epdvdb* 
sort age

su

collapse em* co* as* ss* pen* epdv* , by (age)

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\crowdout\temp", replace

clear

* socsec = 1: NP and DC

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss123d"
rename empl_dc empl_sim_dc 
rename cons_dc cons_sim_dc 
rename assets_dc assets_sim_dc 
rename ssclaim_dc ssclaim_sim_dc 
rename penclaim penclaim_sim_dc 

rename empl_np empl_sim_np 
rename cons_np cons_sim_np 
rename assets_np assets_sim_np 
rename ssclaim_np ssclaim_sim_np 

keep *_sim_dc age epdvss* *_sim_np dcbalance pen*

sort age

su

collapse em* co* as* ss* pen* epdv* dcb*, by (age)


merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\crowdout\temp"
drop _merge
sort age

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\crowdout\temp", replace
su

clear

* NP noss

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss125"

rename empl_np empl_sim_npnoss
rename cons_np cons_sim_npnoss 
rename assets_np assets_sim_npnoss 
keep *_sim* age 
sort age

su

collapse em* co* as* , by (age)
 

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\crowdout\temp"
drop _merge
sort age
save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\crowdout\crowdout_jan2015", replace


list age assets_sim_np assets_sim_db assets_sim_dc assets_sim_npnoss


gen codb = assets_sim_db - assets_sim_np
gen codbp = codb/epdvdbr

gen coss = assets_sim_np - assets_sim_npnoss
gen cossp = coss/epdvssr_np

gen codc = assets_sim_dc - assets_sim_np
gen codcp = codc/dcbalance

sort age

list age codb codc coss codbp codcp cossp epdvdbr epdvssr_np dcbalance if age<=75

log close

replace epdvssr_np = . if coss==.
replace epdvdbr = . if codb==.
replace dcbalance   = . if codc==.

replace coss=. if epdvssr_np==.
replace codb=. if epdvdbr==.
replace codc=. if dcbalance==.

replace codcp=. if age<=26

su codb codc coss codbp codcp cossp epdvdbr epdvssr_np dcbalance if age<=75

rename codb DB_crowdout
rename codc DC_crowdout
rename coss SS_crowdout

rename codbp Proportional_DB_crowdout
rename codcp Proportional_DC_crowdout
rename cossp Proportional_SS_crowdout

gen EPDV_DB_Benefits =epdvdbr 
gen EPDV_SS_Benefits =epdvssr_np
gen DC_Balance =dcbalance 

gen Employment_NP = empl_sim_np
gen Employment_DB = empl_sim_db
gen Employment_DC = empl_sim_dc
gen Employment_NPnoss = empl_sim_npnoss

gen Consumption_NP = cons_sim_np
gen Consumption_DB = cons_sim_db
gen Consumption_DC = cons_sim_dc
gen Consumption_NPnoss = cons_sim_npnoss

gen Assets_NP = assets_sim_np
gen Assets_DB = assets_sim_db
gen Assets_DC = assets_sim_dc
gen Assets_NPnoss = assets_sim_npnoss

gen SS_Claim_NP = ssclaim_sim_np
gen SS_Claim_DB = ssclaim_sim_db
gen SS_Claim_DC = ssclaim_sim_dc

gen Pension_Claim_DB = penclaim_sim_db
gen Pension_Claim_DC = penclaim_sim_dc


gr tw (conn Employment_NP Employment_DB Employment_DC Employment_NPnoss age , msymbol(diamond square circle triangle) ) if age<=90 ,ti(Figure 4: Simulated Employment Profiles) saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\crowdout_jan2015_empl_fig4", replace) ytitle(Emplyment Rate)
gr tw (conn Consumption_NP Consumption_DB Consumption_DC Consumption_NPnoss age , msymbol(diamond square circle triangle) ) if age<100 , ytitle($000) ylabel(#5) ti(Figure 5: Mean Simulated Consumption Profiles)  saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\crowdout_jan2015_cons_fig5", replace) 
gr tw (conn Assets_NP Assets_DB Assets_DC Assets_NPnoss age, msymbol(diamond square circle triangle) ) if age<=100,  ytitle($000) ti(Figure 8: Mean Simulated Asset Profiles)  saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\crowdout_jan2015_assets_fig8", replace)  
gr tw (conn SS_Claim_NP SS_Claim_DB SS_Claim_DC age, msymbol(diamond square circle) ) if age>=60 & age<=70,ti(Figure 7: Simulated Social Security claiming Profiles)  saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\crowdout_jan2015_ssclaim_fig7", replace)  ytitle(Proportion Claimed)
gr tw (conn Pension_Claim_DB Pension_Claim_DC age, msymbol(square circle) ) if age<=75, ti(Figure 6: Simulated Pension Claiming Profiles)  saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\crowdout_jan2015_penclaim_fig6", replace)  ytitle(Proportion Claimed)
gr tw (conn DB_crowdout EPDV_DB_Benefits age , msymbol(square circle) ) if age<=70 , ytitle($000) ti(Figure 9: Defined Benefit Crowdout and EPDV of DB benefits)  saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\crowdout_jan2015_codb_fig9", replace)  
gr tw (conn DC_crowdout DC_Balance age, msymbol(square circle) ) if age<70 , ytitle($000) ti(Figure 11: Defined Contribution Crowdout and DC Balance)   saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\crowdout_jan2015_codc_fig11", replace)  
gr tw (conn SS_crowdout EPDV_SS_Benefits age, msymbol(square circle) ) if age<=70 , ytitle($000) ti(Figure 12: Social Security Crowdout and EPDV of SS benefits)   saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\crowdout_jan2015_coss_fig12", replace)  
gr tw (conn Proportional_DB_crowdout Proportional_DC_crowdout Proportional_SS_crowdout age, msymbol(square circle triangle) ) if age<=70 ,ti(Figure 10: Proportional DB DC and SS Crowdout)   saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\crowdout_jan2015_crowdout_fig10", replace)
  
*gr tw (conn user_db user_dc user_np age) if age<=75 , saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\crowdout_jan2015_user", replace)  

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\crowdout\crowdout_jan2015", replace


