clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sims_ss123d"

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\fitdat"

drop _merge

gen empl_data = work_np_sipp
replace empl_data = work_np_hrs if age>=51

gen exit_data = exit_np

gen entry_data = entry_np_sipp
replace entry_data = entry_np_hrs if age>=51

gen switch_data = switch_np_sipp
replace switch_data = switch_np_hrs if age>=51

gen assets_data = assets_np_hata

su 

replace entry_data=. if age<55

gr tw (conn empl_data empl_sim_np age, msymbol(square circle) ) if age<=85 , ti(Figure 1: Actual and Simulated Employment Rate) saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ss123d_np_fit_empl.gph", replace) 
gr tw (conn assets_data assets_sim_np age, msymbol(square circle) ) ,  ti(Figure 2: Actual and Simulated Assets) saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ss123d_np_fit_assets.gph", replace) ytitle($000)
gr tw (conn ssclaim_data ssclaim_sim_np age, msymbol(square circle) ) if age>=60 & age<=70  , ti(Figure 3: Actual and Simulated Social Security Claiming Age) saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ss123d_np_fit_ssclaim.gph", replace)
gr tw (conn switch_data switch_sim_np age, msymbol(square circle) ) if age>=26 & age<=69  , ti(Figure A-1: Actual and Simulated Rate of Job-to-Job Change: NP) saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ss123d_np_fit_switch.gph", replace)
gr tw (conn exit_data exit_sim_np age, msymbol(square circle) ) if age<=85 , ti(Figure A-2: Actual and Simulated Exit Rate from Employment: NP) saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ss123d_np_fit_exit.gph", replace)
gr tw (conn entry_data entry_sim_np age, msymbol(square circle) )  if age<=85 , ti(Figure A-3: Actual and Simulated Rate of Entry to Employment: NP)  saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ss123d_np_fit_entry.gph", replace)



clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sims_ss123d"

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\fitdat"

drop _merge

gen empl_data = work_dc_sipp
replace empl_data = work_dc_hrs if age>=51

gen exit_data = exit_dc

gen entry_data = entry_dc_sipp
replace entry_data = entry_dc_hrs if age>=51

gen switch_data = switch_dc_sipp
replace switch_data = switch_dc_hrs if age>=51

gen assets_data = assets_dc_hata

gen ssclaim_data = ssclaim_dc

su 

replace entry_data=. if age<55

gr tw (conn empl_data empl_sim_dc age, msymbol(square circle) ) if age<=85 , ti(Figure A-4: Actual and Simulated Employment Rate: DC) saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ss123d_dc_fit_empl.gph", replace) 
gr tw (conn assets_data assets_sim_dc age, msymbol(square circle) ) ,  ti(Figure A-5: Actual and Simulated Assets: DC) saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ss123d_dc_fit_assets.gph", replace) ytitle($000)
gr tw (conn ssclaim_data ssclaim_sim_dc age, msymbol(square circle) ) if age>=60 & age<=70  , ti(Figure A-6: Actual and Simulated Social Security Claiming Age: DC) saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ss123d_dc_fit_ssclaim.gph", replace)
gr tw (conn switch_data switch_sim_dc age, msymbol(square circle) ) if age>=26 & age<=69  , ti(Figure A-7: Actual and Simulated Rate of Job-to-Job Change: DC) saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ss123d_dc_fit_switch.gph", replace)
gr tw (conn exit_data exit_sim_dc age, msymbol(square circle) ) if age<=85 , ti(Figure A-8: Actual and Simulated Exit Rate from Employment: DC) saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ss123d_dc_fit_exit.gph", replace)
gr tw (conn entry_data entry_sim_dc age, msymbol(square circle) )  if age<=85 , ti(Figure A-9: Actual and Simulated Rate of Entry to Employment: DC)  saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ss123d_dc_fit_entry.gph", replace)





clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sims_ss124c"

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\fitdat"

drop _merge

gen empl_data = work_db_sipp
replace empl_data = work_db_hrs if age>=51

gen assets_sim_db = assets_sim
gen empl_sim_db = empl_sim
gen ssclaim_sim_db = ssclaim_sim
gen exit_sim_db = exit_sim
gen entry_sim_db = entry_sim
gen switch_sim_db = switch_sim

gen exit_data = exit_db

gen entry_data = entry_db_sipp
replace entry_data = entry_db_hrs if age>=51

gen switch_data = switch_db_sipp
replace switch_data = switch_db_hrs if age>=51

gen assets_data = assets_db_hata

gen ssclaim_data = ssclaim_db

su 

replace entry_data=. if age<55

gr tw (conn empl_data empl_sim_db age, msymbol(square circle) ) if age<=85 , ti(Figure A-10: Actual and Simulated Employment Rate: DB) saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ss123d_db_fit_empl.gph", replace) 
gr tw (conn assets_data assets_sim_db age, msymbol(square circle) ) ,  ti(Figure A-11: Actual and Simulated Assets: DB) saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ss123d_db_fit_assets.gph", replace) ytitle($000)
gr tw (conn ssclaim_data ssclaim_sim_db age, msymbol(square circle) ) if age>=60 & age<=70  , ti(Figure A-12: Actual and Simulated Social Security Claiming Age: DB) saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ss123d_db_fit_ssclaim.gph", replace)
gr tw (conn switch_data switch_sim_db age, msymbol(square circle) ) if age>=26 & age<=69  , ti(Figure A-13: Actual and Simulated Rate of Job-to-Job Change: DB) saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ss123d_db_fit_switch.gph", replace)
gr tw (conn exit_data exit_sim_db age, msymbol(square circle) ) if age<=85 , ti(Figure A-14: Actual and Simulated Exit Rate from Employment: DB) saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ss123d_db_fit_exit.gph", replace)
gr tw (conn entry_data entry_sim_db age, msymbol(square circle) )  if age<=85 , ti(Figure A-15: Actual and Simulated Rate of Entry to Employment: DB)  saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ss123d_db_fit_entry.gph", replace)



