clear
clear matrix
set memory 800m

log using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\stata programs\sim_regsetup_april2015", replace

infile iu t ir age simdat1-simdat7 epdvle epdvss epdvssa epdvssr kappa  using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\dc20_april2015.raw"

mvdecode simdat*, mv(-9999)

sort iu ir age

rename simdat2 assets
rename simdat4 earn
rename simdat1 ssclaim
rename simdat5 dcbal
rename simdat3 lfj
rename simdat6 cons
rename simdat7 dispinc

gen savrate = (dispinc - cons)/dispinc
replace savrate = . if savrate<-1 | savrate>1.5
gen savratelag = savrate[_n-1] if age>age[_n-1] & age>25
gen savratelag_adj = savratelag*(1-kappa)

replace dcbal = 0 if dcbal==.

gen db=0
gen dc=1
gen ss=1

gen epdvdb=0
gen epdvdba=0
gen epdvdbr=0

gen assetlag = assets[_n-1] if age>age[_n-1] & age>25
gen assetlag_adj = assetlag*(1-kappa)

gen dcballag = dcbal[_n-1] if age>age[_n-1] & age>25
gen dcballag_adj = dcballag*(1-kappa)

gen epdvdb_adj = epdvdb*kappa
gen epdvdba_adj = epdvdba*kappa
gen epdvdbr_adj = epdvdbr*kappa

gen epdvss_adj = epdvss*kappa
gen epdvssa_adj = epdvssa*kappa
gen epdvssr_adj = epdvssr*kappa

gen earn_adj = earn*(1-kappa)
gen epdvle_adj = epdvle*kappa

gen user_db=0 
gen user_dc=0 

replace user_db=1 if lfj==0 & db==1
replace user_dc=1 if dcbal>0 & dcbal<30000 & dc==1

gen user_ss=0 
replace user_ss=1 if ssclaim==0 & ss==1

gen user_np=0 

gen epdvdbr_adj_s = epdvdbr_adj/earn
gen epdvssr_adj_s = epdvssr_adj/earn
gen dcbal_s = dcbal/earn
gen savratelag_adj_s = savratelag_adj/earn
gen dcballag_adj_s = dcballag_adj/earn

keep cons dispinc savrat* ass* epdv* dcbal* earn* db dc iu age lfj kappa ss* ir user*

su

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\tempnew_dc20_april2015", replace

collapse cons dispinc savrate savratelag savratelag_adj* user_np user_db user_dc user_ss assets assetlag epdvdbr dcbal* epdvssr earn  db dc ss epdvle epdvdb epdvdba epdvssa epdvss assetlag_adj epdvdbr_adj* epdvssr_adj* earn_adj epdvle_adj epdvdb_adj epdvdba_adj epdvssa_adj epdvss_adj , by(iu age)

sort iu age

gen useit=0

replace useit=1 if user_db>=.50 & user_db[_n+1]<.50 & iu==iu[_n+1] & db==1
replace useit=1 if user_dc>=.50 & user_dc[_n+1]<.50 & iu==iu[_n+1] & dc==1
replace useit=1 if user_ss>=.50 & user_ss[_n+1]<.50 & db~=1 & dc~=1 & ss==1
replace useit=1 if user_np>=.50 & user_np[_n+1]<.50 & ss==0 & db==0 & dc==0

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_dc20_april2015", replace

su


clear
infile iu t ir age simdat1-simdat7 epdvle epdvdcr kappa  using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\dc20_epdvdc_april2015.raw"
mvdecode simdat*, mv(-9999)
sort iu ir age
gen epdvdc=0
gen epdvdca=0
gen epdvdcr_adj = epdvdcr*kappa
gen epdvdc_adj = epdvdc*kappa
gen epdvdca_adj = epdvdca*kappa
keep epdvdc* iu age ir
su
save "C:\Users\EconUser\Documents\saving_and_retirement\estimation\simdat\tempnew_dc20_epdvdc_april2015", replace
collapse epdvdc*, by(iu age)
sort iu age
save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_dc20_epdvdc_april2015", replace

clear


use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_dc20_april2015"

sort iu age

merge iu age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_dc20_epdvdc_april2015"
drop _merge

* allpen = claim today, allpena = actual age of claiming, allpenr = real epdv

gen allpen = epdvdb + epdvdc + epdvss
gen allpena = epdvdba + epdvdca + epdvssa
gen allpenr = epdvdbr + dcbal + epdvssr

gen allpen_adj = epdvdb_adj + epdvdc_adj + epdvss_adj
gen allpena_adj = epdvdba_adj + epdvdca_adj + epdvssa_adj
gen allpenr_adj = epdvdbr_adj + dcbal + epdvssr_adj

su

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_dcboth20_april2015", replace

clear






infile iu t ir age simdat1-simdat7 epdvle epdvss epdvssa epdvssr kappa  using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\dc40_april2015.raw"

mvdecode simdat*, mv(-9999)

sort iu ir age

rename simdat2 assets
rename simdat4 earn
rename simdat1 ssclaim
rename simdat5 dcbal
rename simdat3 lfj
rename simdat6 cons
rename simdat7 dispinc

replace dcbal = 0 if dcbal==.

gen db=0
gen dc=1
gen ss=1

gen savrate = (dispinc - cons)/dispinc
replace savrate = . if savrate<-1 | savrate>1.5
gen savratelag = savrate[_n-1] if age>age[_n-1] & age>25
gen savratelag_adj = savratelag*(1-kappa)

gen assetlag = assets[_n-1] if age>age[_n-1] & age>25
gen assetlag_adj = assetlag*(1-kappa)

gen dcballag = dcbal[_n-1] if age>age[_n-1] & age>25
gen dcballag_adj = dcballag*(1-kappa)

gen epdvdb=0
gen epdvdba=0
gen epdvdbr=0

gen epdvdb_adj = epdvdb*kappa
gen epdvdba_adj = epdvdba*kappa
gen epdvdbr_adj = epdvdbr*kappa

gen epdvss_adj = epdvss*kappa
gen epdvssa_adj = epdvssa*kappa
gen epdvssr_adj = epdvssr*kappa

gen earn_adj = earn*(1-kappa)
gen epdvle_adj = epdvle*kappa

gen user_db=0 
gen user_dc=0 

replace user_db=1 if lfj==0 & db==1
replace user_dc=1 if dcbal>0 & dcbal<30000 & dc==1

gen user_ss=0 
replace user_ss=1 if ssclaim==0 & ss==1

gen user_np=0 

gen epdvdbr_adj_s = epdvdbr_adj/earn
gen epdvssr_adj_s = epdvssr_adj/earn
gen dcbal_s = dcbal/earn
gen savratelag_adj_s = savratelag_adj/earn
gen dcballag_adj_s = dcballag_adj/earn

keep cons dispinc savrat* ass* epdv* dcbal* earn* db dc iu age lfj kappa ss* ir user*

su

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\tempnew_dc40_april2015", replace

collapse cons dispinc savrate savratelag savratelag_adj* user_np user_db user_dc user_ss assets assetlag epdvdbr dcbal* epdvssr earn  db dc ss epdvle epdvdb epdvdba epdvssa epdvss assetlag_adj epdvdbr_adj* epdvssr_adj* earn_adj epdvle_adj epdvdb_adj epdvdba_adj epdvssa_adj epdvss_adj , by(iu age)

sort iu age

gen useit=0

replace useit=1 if user_db>=.50 & user_db[_n+1]<.50 & iu==iu[_n+1] & db==1
replace useit=1 if user_dc>=.50 & user_dc[_n+1]<.50 & iu==iu[_n+1] & dc==1
replace useit=1 if user_ss>=.50 & user_ss[_n+1]<.50 & db~=1 & dc~=1 & ss==1
replace useit=1 if user_np>=.50 & user_np[_n+1]<.50 & ss==0 & db==0 & dc==0

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_dc40_april2015", replace

su


clear
infile iu t ir age simdat1-simdat7 epdvle epdvdcr kappa  using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\dc40_epdvdc_april2015.raw"
mvdecode simdat*, mv(-9999)
sort iu ir age
gen epdvdc=0
gen epdvdca=0
gen epdvdcr_adj = epdvdcr*kappa
gen epdvdc_adj = epdvdc*kappa
gen epdvdca_adj = epdvdca*kappa
keep epdvdc* iu age ir
su
save "C:\Users\EconUser\Documents\saving_and_retirement\estimation\simdat\tempnew_dc40_epdvdc_april2015", replace
collapse epdvdc*, by(iu age)
sort iu age
save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_dc40_epdvdc_april2015", replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_dc40_april2015"

sort iu age

merge iu age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_dc40_epdvdc_april2015"
drop _merge

* allpen = claim today, allpena = actual age of claiming, allpenr = real epdv

gen allpen = epdvdb + epdvdc + epdvss
gen allpena = epdvdba + epdvdca + epdvssa
gen allpenr = epdvdbr + dcbal + epdvssr

gen allpen_adj = epdvdb_adj + epdvdc_adj + epdvss_adj
gen allpena_adj = epdvdba_adj + epdvdca_adj + epdvssa_adj
gen allpenr_adj = epdvdbr_adj + dcbal + epdvssr_adj

su

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_dcboth40_april2015", replace



clear


infile iu t ir age simdat1-simdat7 epdvle epdvss epdvssa epdvssr kappa  using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\np_april2015.raw"

mvdecode simdat*, mv(-9999)

sort iu ir age

rename simdat2 assets
rename simdat4 earn
rename simdat1 ssclaim
rename simdat5 dcbal
rename simdat3 lfj
rename simdat6 cons
rename simdat7 dispinc

gen savrate = (dispinc - cons)/dispinc
replace savrate = . if savrate<-1 | savrate>1.5
gen savratelag = savrate[_n-1] if age>age[_n-1] & age>25
gen savratelag_adj = savratelag*(1-kappa)

replace dcbal = 0 if dcbal==.

gen db=0
gen dc=0
gen ss=1

gen assetlag = assets[_n-1] if age>age[_n-1] & age>25
gen assetlag_adj = assetlag*(1-kappa)

gen dcballag = 0
gen dcballag_adj=0


gen epdvdb=0
gen epdvdba=0
gen epdvdbr=0

gen epdvdb_adj = epdvdb*kappa
gen epdvdba_adj = epdvdba*kappa
gen epdvdbr_adj = epdvdbr*kappa

gen epdvss_adj = epdvss*kappa
gen epdvssa_adj = epdvssa*kappa
gen epdvssr_adj = epdvssr*kappa

gen epdvdc = 0
gen epdvdca = 0
gen epdvdcr = 0

gen epdvdc_adj = epdvdc*kappa
gen epdvdca_adj = epdvdca*kappa
gen epdvdcr_adj = epdvdcr*kappa

gen earn_adj = earn*(1-kappa)
gen epdvle_adj = epdvle*kappa

* allpen = claim today, allpena = actual age of claiming, allpenr = real epdv

gen allpen = epdvdb + epdvdc + epdvss
gen allpena = epdvdba + epdvdca + epdvssa
gen allpenr = epdvdbr + dcbal + epdvssr

gen allpen_adj = epdvdb_adj + epdvdc_adj + epdvss_adj
gen allpena_adj = epdvdba_adj + epdvdca_adj + epdvssa_adj
gen allpenr_adj = epdvdbr_adj + dcbal + epdvssr_adj

gen user_db=0 
gen user_dc=0 

replace user_db=1 if lfj==0 & db==1
replace user_dc=1 if dcbal>0 & dcbal<30000 & dc==1

gen user_ss=0 
replace user_ss=1 if ssclaim==0 & ss==1

gen user_np=0 

gen epdvdbr_adj_s = epdvdbr_adj/earn
gen epdvssr_adj_s = epdvssr_adj/earn
gen dcbal_s = dcbal/earn
gen savratelag_adj_s = savratelag_adj/earn
gen dcballag_adj_s = dcballag_adj/earn

keep cons dispinc savrat* ass* epdv* dcbal* earn* db dc iu age lfj kappa all* ss* ir user*

su

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\tempnew_np_april2015", replace

collapse cons dispinc savrate savratelag savratelag_adj* epdvdc epdvdca epdvdcr epdvdc_adj epdvdca_adj epdvdcr_adj user_np user_db user_dc user_ss assets assetlag epdvdbr dcbal* epdvssr earn  db dc ss epdvle epdvdb epdvdba epdvssa epdvss allpena allpenr allpen assetlag_adj epdvdbr_adj* epdvssr_adj* earn_adj epdvle_adj epdvdb_adj epdvdba_adj epdvssa_adj epdvss_adj allpena_adj allpenr_adj allpen_adj , by(iu age)

sort iu age

gen useit=0

replace useit=1 if user_db>=.50 & user_db[_n+1]<.50 & iu==iu[_n+1] & db==1
replace useit=1 if user_dc>=.50 & user_dc[_n+1]<.50 & iu==iu[_n+1] & dc==1
replace useit=1 if user_ss>=.50 & user_ss[_n+1]<.50 & db~=1 & dc~=1 & ss==1
replace useit=1 if user_np>=.50 & user_np[_n+1]<.50 & ss==0 & db==0 & dc==0

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_np_april2015", replace

su

clear



infile iu t ir age simdat1-simdat6 epdvle epdvdb epdvdba epdvdbr kappa  using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\db_april2015.raw"

mvdecode simdat*, mv(-9999)

sort iu ir age

rename simdat2 assets
rename simdat4 earn
rename simdat1 ssclaim
rename simdat3 lfj
rename simdat5 cons
rename simdat6 dispinc

gen savrate = (dispinc - cons)/dispinc
replace savrate = . if savrate<-1 | savrate>1.5
gen savratelag = savrate[_n-1] if age>age[_n-1] & age>25
gen savratelag_adj = savratelag*(1-kappa)

gen dcbal = 0 

gen db=1
gen dc=0
gen ss=1

gen assetlag = assets[_n-1] if age>age[_n-1] & age>25
gen assetlag_adj = assetlag*(1-kappa)

gen dcballag = 0
gen dcballag_adj=0

gen epdvdb_adj = epdvdb*kappa
gen epdvdba_adj = epdvdba*kappa
gen epdvdbr_adj = epdvdbr*kappa

* remember: for DB epdvssr is not available


gen earn_adj = earn*(1-kappa)
gen epdvle_adj = epdvle*kappa

gen epdvdc = 0
gen epdvdca = 0
gen epdvdcr = 0

gen epdvdc_adj = epdvdc*kappa
gen epdvdca_adj = epdvdca*kappa
gen epdvdcr_adj = epdvdcr*kappa


gen user_db=0 
gen user_dc=0 

replace user_db=1 if lfj==0 & db==1
replace user_dc=1 if dcbal>0 & dcbal<30000 & dc==1

gen user_ss=0 
replace user_ss=1 if ssclaim==0 & ss==1

gen user_np=0 

gen epdvdbr_adj_s = epdvdbr_adj/earn
gen dcbal_s = dcbal/earn
gen savratelag_adj_s = savratelag_adj/earn
gen dcballag_adj_s = dcballag_adj/earn

keep cons dispinc savrat* ass* epdv* dcbal* earn* db dc iu age lfj kappa ss* ir user*

su

sort iu age ir

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\tempnew_db_april2015", replace

collapse cons dispinc savrate savratelag savratelag_adj* epdvdc epdvdca epdvdcr epdvdc_adj epdvdca_adj epdvdcr_adj user_np user_db user_dc user_ss assets assetlag epdvdbr dcbal* earn  db dc ss epdvle epdvdb epdvdba assetlag_adj epdvdbr_adj* earn_adj epdvle_adj epdvdb_adj epdvdba_adj , by(iu age)

sort iu age

gen useit=0

replace useit=1 if user_db>=.50 & user_db[_n+1]<.50 & iu==iu[_n+1] & db==1
replace useit=1 if user_dc>=.50 & user_dc[_n+1]<.50 & iu==iu[_n+1] & dc==1
replace useit=1 if user_ss>=.50 & user_ss[_n+1]<.50 & db~=1 & dc~=1 & ss==1
replace useit=1 if user_np>=.50 & user_np[_n+1]<.50 & ss==0 & db==0 & dc==0

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_db_april2015", replace

su

clear

infile iu t ir age simdat1-simdat6 epdvle epdvss epdvssa epdvssr kappa using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\db_epdvss_april2015.raw"

mvdecode simdat*, mv(-9999)
sort iu ir age

gen epdvss_adj = epdvss*kappa
gen epdvssa_adj = epdvssa*kappa
gen epdvssr_adj = epdvssr*kappa

keep epdvss* iu age ir

su

sort iu age ir

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\tempnew_dbepdvss_april2015", replace

merge iu age ir using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\tempnew_db_april2015"

gen epdvssr_adj_s = epdvssr_adj/earn

*collapse epdvss*, by(iu age)


gen allpen = epdvdb + epdvdc + epdvss
gen allpena = epdvdba + epdvdca + epdvssa
gen allpenr = epdvdbr + dcbal + epdvssr

gen allpen_adj = epdvdb_adj + epdvdc_adj + epdvss_adj
gen allpena_adj = epdvdba_adj + epdvdca_adj + epdvssa_adj
gen allpenr_adj = epdvdbr_adj + dcbal + epdvssr_adj

collapse cons dispinc savrate savratelag savratelag_adj* epdvdc epdvdca epdvdcr epdvdc_adj epdvdca_adj epdvdcr_adj user_np user_db user_dc user_ss assets assetlag epdvdbr dcbal* epdvssr earn  db dc ss epdvle epdvdb epdvdba epdvssa epdvss allpena allpenr allpen assetlag_adj epdvdbr_adj* epdvssr_adj* earn_adj epdvle_adj epdvdb_adj epdvdba_adj epdvssa_adj epdvss_adj allpena_adj allpenr_adj allpen_adj , by(iu age)

sort iu age

su

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_dbepdvss_april2015", replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_db_april2015"

sort iu age

merge iu age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_dbepdvss_april2015"
drop _merge

* allpen = claim today, allpena = actual age of claiming, allpenr = real epdv

su

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_dbboth_april2015", replace

clear





infile iu t ir age simdat1-simdat7 epdvle epdvss epdvssa epdvssr kappa  using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\npnoss_april2015.raw"

mvdecode simdat*, mv(-9999)

sort iu ir age

rename simdat2 assets
rename simdat4 earn
rename simdat1 ssclaim
rename simdat5 dcbal
rename simdat3 lfj
rename simdat6 cons
rename simdat7 dispinc

gen savrate = (dispinc - cons)/dispinc
replace savrate = . if savrate<-1 | savrate>1.5
gen savratelag = savrate[_n-1] if age>age[_n-1] & age>25
gen savratelag_adj = savratelag*(1-kappa)

replace dcbal = 0 if dcbal==.

gen db=0
gen dc=0
gen ss=0

replace dcbal=0

gen assetlag = assets[_n-1] if age>age[_n-1] & age>25
gen assetlag_adj = assetlag*(1-kappa)

gen dcballag = 0
gen dcballag_adj=0


gen epdvdb=0
gen epdvdba=0
gen epdvdbr=0

gen epdvdb_adj = epdvdb*kappa
gen epdvdba_adj = epdvdba*kappa
gen epdvdbr_adj = epdvdbr*kappa

gen epdvss_adj = epdvss*kappa
gen epdvssa_adj = epdvssa*kappa
gen epdvssr_adj = epdvssr*kappa

gen earn_adj = earn*(1-kappa)
gen epdvle_adj = epdvle*kappa

gen epdvdc = 0
gen epdvdca = 0
gen epdvdcr = 0

gen epdvdc_adj = epdvdc*kappa
gen epdvdca_adj = epdvdca*kappa
gen epdvdcr_adj = epdvdcr*kappa

* allpen = claim today, allpena = actual age of claiming, allpenr = real epdv

gen allpen = epdvdb + epdvdc + epdvss
gen allpena = epdvdba + epdvdca + epdvssa
gen allpenr = epdvdbr + dcbal + epdvssr

gen allpen_adj = epdvdb_adj + epdvdc_adj + epdvss_adj
gen allpena_adj = epdvdba_adj + epdvdca_adj + epdvssa_adj
gen allpenr_adj = epdvdbr_adj + dcbal + epdvssr_adj


gen user_db=0 
gen user_dc=0 

replace user_db=1 if lfj==0 & db==1
replace user_dc=1 if dcbal>0 & dcbal<30000 & dc==1

gen user_ss=0 
replace user_ss=1 if ssclaim==0 & ss==1

gen user_np=0 
replace user_np=1 if ss==0 & earn>0 & dc==0 & db==0

gen epdvdbr_adj_s = epdvdbr_adj/earn
gen epdvssr_adj_s = epdvssr_adj/earn
gen dcbal_s = dcbal/earn
gen savratelag_adj_s = savratelag_adj/earn
gen dcballag_adj_s = dcballag_adj/earn

keep cons dispinc savrat* ass* epdv* dcbal* earn* db dc iu age lfj kappa all* ss* ir user*

su

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\tempnew_npnoss_april2015", replace

collapse cons dispinc savrate savratelag savratelag_adj* epdvdc epdvdca epdvdcr epdvdc_adj epdvdca_adj epdvdcr_adj user_np user_db user_dc user_ss assets assetlag epdvdbr dcbal* epdvssr earn  db dc ss epdvle epdvdb epdvdba epdvssa epdvss allpena allpenr allpen assetlag_adj epdvdbr_adj* epdvssr_adj* earn_adj epdvle_adj epdvdb_adj epdvdba_adj epdvssa_adj epdvss_adj allpena_adj allpenr_adj allpen_adj , by(iu age)

sort iu age

gen useit=0

replace useit=1 if user_db>=.50 & user_db[_n+1]<.50 & iu==iu[_n+1] & db==1
replace useit=1 if user_dc>=.50 & user_dc[_n+1]<.50 & iu==iu[_n+1] & dc==1
replace useit=1 if user_ss>=.50 & user_ss[_n+1]<.50 & db~=1 & dc~=1 & ss==1
replace useit=1 if user_np>=.50 & user_np[_n+1]<.50 & ss==0 & db==0 & dc==0

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_npnoss_april2015", replace

clear


infile iu t ir age simdat1-simdat6 epdvle epdvdb epdvdba epdvdbr kappa  using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\dbnoss_april2015.raw"

mvdecode simdat*, mv(-9999)

drop if age>72

sort iu ir age

rename simdat2 assets
rename simdat4 earn
rename simdat1 ssclaim
rename simdat3 lfj
rename simdat5 cons
rename simdat6 dispinc

gen savrate = (dispinc - cons)/dispinc
replace savrate = . if savrate<-1 | savrate>1.5
gen savratelag = savrate[_n-1] if age>age[_n-1] & age>25
gen savratelag_adj = savratelag*(1-kappa)

gen dcbal = 0 

gen db=1
gen dc=0
gen ss=0

gen assetlag = assets[_n-1] if age>age[_n-1] & age>25
gen assetlag_adj = assetlag*(1-kappa)

gen dcballag = 0
gen dcballag_adj=0

gen epdvdb_adj = epdvdb*kappa
gen epdvdba_adj = epdvdba*kappa
gen epdvdbr_adj = epdvdbr*kappa

gen epdvss=0
gen epdvssa=0
gen epdvssr=0

gen epdvss_adj = epdvss*kappa
gen epdvssa_adj = epdvssa*kappa
gen epdvssr_adj = epdvssr*kappa

gen earn_adj = earn*(1-kappa)
gen epdvle_adj = epdvle*kappa

gen epdvdc = 0
gen epdvdca = 0
gen epdvdcr = 0

gen epdvdc_adj = epdvdc*kappa
gen epdvdca_adj = epdvdca*kappa
gen epdvdcr_adj = epdvdcr*kappa

* allpen = claim today, allpena = actual age of claiming, allpenr = real epdv

gen allpen = epdvdb + epdvdc + epdvss
gen allpena = epdvdba + epdvdca + epdvssa
gen allpenr = epdvdbr + dcbal + epdvssr

gen allpen_adj = epdvdb_adj + epdvdc_adj + epdvss_adj
gen allpena_adj = epdvdba_adj + epdvdca_adj + epdvssa_adj
gen allpenr_adj = epdvdbr_adj + dcbal + epdvssr_adj

gen user_db=0 
gen user_dc=0 

replace user_db=1 if lfj==0 & db==1
replace user_dc=1 if dcbal>0 & dcbal<30000 & dc==1

gen user_ss=0 
replace user_ss=1 if ssclaim==0 & ss==1

gen user_np=0 

gen epdvdbr_adj_s = epdvdbr_adj/earn
gen epdvssr_adj_s = epdvssr_adj/earn
gen dcbal_s = dcbal/earn
gen savratelag_adj_s = savratelag_adj/earn
gen dcballag_adj_s = dcballag_adj/earn

keep cons dispinc savrat* ass* epdv* dcbal* earn* db dc iu age lfj kappa all* ss* ir user*

su

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\tempnew_dbnoss_april2015", replace

collapse cons dispinc savrate savratelag savratelag_adj* epdvdc epdvdca epdvdcr epdvdc_adj epdvdca_adj epdvdcr_adj user_np user_db user_dc user_ss assets assetlag dcbal* epdvssr earn  db dc ss epdvle epdvdb epdvdba epdvdbr epdvssa epdvss allpena allpenr allpen assetlag_adj epdvdbr_adj* epdvssr_adj* earn_adj epdvle_adj epdvdb_adj epdvdba_adj epdvssa_adj epdvss_adj allpena_adj allpenr_adj allpen_adj , by(iu age)

sort iu age

gen useit=0

replace useit=1 if user_db>=.50 & user_db[_n+1]<.50 & iu==iu[_n+1] & db==1
replace useit=1 if user_dc>=.50 & user_dc[_n+1]<.50 & iu==iu[_n+1] & dc==1
replace useit=1 if user_ss>=.50 & user_ss[_n+1]<.50 & db~=1 & dc~=1 & ss==1
replace useit=1 if user_np>=.50 & user_np[_n+1]<.50 & ss==0 & db==0 & dc==0

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_dbnoss_april2015", replace




clear


infile iu t ir age simdat1-simdat7 epdvle epdvdcr kappa  using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\dc_noss_epdvdc_april2015.raw"

mvdecode simdat*, mv(-9999)

sort iu ir age

rename simdat2 assets
rename simdat4 earn
rename simdat1 ssclaim
rename simdat5 dcbal
rename simdat3 lfj
rename simdat6 cons
rename simdat7 dispinc

gen savrate = (dispinc - cons)/dispinc
replace savrate = . if savrate<-1 | savrate>1.5
gen savratelag = savrate[_n-1] if age>age[_n-1] & age>25
gen savratelag_adj = savratelag*(1-kappa)

replace dcbal = 0 if dcbal==.

gen db=0
gen dc=1
gen ss=0

gen assetlag = assets[_n-1] if age>age[_n-1] & age>25
gen assetlag_adj = assetlag*(1-kappa)

gen dcballag = dcbal[_n-1] if age>age[_n-1] & age>25
gen dcballag_adj = dcballag*(1-kappa)

gen epdvdb=0
gen epdvdba=0
gen epdvdbr=0

gen epdvss=0
gen epdvssa=0
gen epdvssr=0

gen epdvdc = 0
gen epdvdca = 0

gen epdvdc_adj = epdvdc*kappa
gen epdvdca_adj = epdvdca*kappa
gen epdvdcr_adj = epdvdcr*kappa

gen epdvdb_adj = epdvdb*kappa
gen epdvdba_adj = epdvdba*kappa
gen epdvdbr_adj = epdvdbr*kappa

gen epdvss_adj = epdvss*kappa
gen epdvssa_adj = epdvssa*kappa
gen epdvssr_adj = epdvssr*kappa

gen earn_adj = earn*(1-kappa)
gen epdvle_adj = epdvle*kappa

gen user_db=0 
gen user_dc=0 

replace user_db=1 if lfj==0 & db==1
replace user_dc=1 if dcbal>0 & dcbal<30000 & dc==1

gen user_ss=0 
replace user_ss=1 if ssclaim==0 & ss==1

gen user_np=0 

gen epdvdbr_adj_s = epdvdbr_adj/earn
gen epdvssr_adj_s = epdvssr_adj/earn
gen epdvdcr_adj_s = epdvdcr_adj/earn
gen dcbal_s = dcbal/earn
gen savratelag_adj_s = savratelag_adj/earn
gen dcballag_adj_s = dcballag_adj/earn

keep cons dispinc savrat* ass* epdv* dcbal* earn* db dc iu age lfj kappa ss* ir user*

su

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\tempnew_dcnoss_epdvdc_april2015", replace

collapse cons dispinc savrate savratelag savratelag_adj* user_np user_db user_dc user_ss assets assetlag epdvdc* epdvdbr dcbal* epdvssr earn  db dc ss epdvle epdvdb epdvdba epdvssa epdvss assetlag_adj epdvdbr_adj* epdvssr_adj* earn_adj epdvle_adj epdvdb_adj epdvdba_adj epdvssa_adj epdvss_adj , by(iu age)

sort iu age

gen useit=0

replace useit=1 if user_db>=.50 & user_db[_n+1]<.50 & iu==iu[_n+1] & db==1
replace useit=1 if user_dc>=.50 & user_dc[_n+1]<.50 & iu==iu[_n+1] & dc==1
replace useit=1 if user_ss>=.50 & user_ss[_n+1]<.50 & db~=1 & dc~=1 & ss==1
replace useit=1 if user_np>=.50 & user_np[_n+1]<.50 & ss==0 & db==0 & dc==0

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_dcnoss_epdvdc_april2015", replace

su


* allpen = claim today, allpena = actual age of claiming, allpenr = real epdv

gen allpen = epdvdb + epdvdc + epdvss
gen allpena = epdvdba + epdvdca + epdvssa
gen allpenr = epdvdbr + dcbal + epdvssr

gen allpen_adj = epdvdb_adj + epdvdc_adj + epdvss_adj
gen allpena_adj = epdvdba_adj + epdvdca_adj + epdvssa_adj
gen allpenr_adj = epdvdbr_adj + dcbal + epdvssr_adj

su

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_dcnoss_april2015", replace


append using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_dcboth20_april2015"
append using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_dcboth40_april2015"
append using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_dbnoss_april2015"
append using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_npnoss_april2015"
append using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_np_april2015"
append using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_dbboth_april2015"

su

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_all_april2015", replace

log close





