* from simreg_dec2014 

clear
clear matrix
set memory 40m

log using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\stata programs\simreg_jan2015", replace

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\regdatnew_all_jan2015"

su
su if useit==1

rename useit useitold

gen useit=0

replace useit=1 if user_db>=.50 & user_db[_n+1]<.50 & iu==iu[_n+1] & db==1
replace useit=1 if user_dc>=.50 & user_dc[_n+1]<.50 & iu==iu[_n+1] & dc==1
replace useit=1 if user_ss>=.50 & user_ss[_n+1]<.50                 & ss==1
replace useit=1 if user_np>=.50 & user_np[_n+1]<.50 & ss==0 & db==0 & dc==0
su if useit==1

gen savrate_agg = (dispinc - cons)/dispinc

su dispinc cons savrate_agg, detail

gen dispinclag = dispinc[_n-1] if age == age[_n-1] + 1
gen savrateagg_lag = savrate_agg[_n-1] if age == age[_n-1] + 1


* creating these here; also generated individual level versions, on the file: epdvdbr_adj_s epdvssr_adj_s dcbal_s; should be dispinc, not earn

gen srl = savratelag/dispinc
gen dcbl = dcballag/dispinc
gen dba = epdvdbr/dispinc
gen dcb = dcbal/dispinc
gen ssa = epdvssr/dispinc 
gen le = epdvle/dispinc

gen user=0
replace user=1 if (db==0 | user_db>.5) & (dc==0 | user_dc>.5) & (ss==0 | user_ss>.5)
replace user=0 if ss==0 & db==0 & dc==0 & user_np<=.5

reg assets assetlag_adj dcballag_adj epdvdbr_adj dcbal epdvssr_adj earn_adj epdvle_adj if user==1
reg assets assetlag_adj dcballag_adj epdvdba_adj dcbal epdvssa_adj earn_adj epdvle_adj if user==1
reg assets assetlag_adj dcballag_adj epdvdb_adj dcbal epdvss_adj earn_adj epdvle_adj if user==1

reg assets assetlag_adj dcballag_adj epdvdbr_adj dcbal epdvssr_adj earn_adj epdvle_adj db dc ss if user==1
reg assets assetlag epdvdbr epdvdcr epdvssr earn epdvle if user==1

reg savrate srl dcbl dba dcb ssa if user==1
reg savrate srl dcbl dba dcb ssa db dc ss if user==1

reg savrate savratelag_adj_s dcballag_adj_s epdvdbr_adj_s dcbal_s epdvssr_adj_s earn_adj epdvle_adj if user==1
reg savrate savratelag_adj_s dcballag_adj_s epdvdbr_adj_s dcbal_s epdvssr_adj_s earn_adj epdvle_adj db dc ss if user==1

reg savrate savratelag epdvdbr epdvdcr epdvssr earn epdvle if user==1

reg savrate_agg savrateagg_lag dcballag_adj_s epdvdbr_adj_s dcbal_s epdvssr_adj_s earn_adj epdvle_adj if user==1
reg savrate_agg savrateagg_lag dcballag_adj_s epdvdbr_adj_s dcbal_s epdvssr_adj_s earn_adj epdvle_adj db dc ss if user==1

gen keeper=0
replace keeper=1 if e(sample)==1

* no lag

reg assets  epdvdbr_adj dcbal epdvssr_adj earn_adj epdvle_adj if user==1 & keeper==1
reg assets  epdvdbr_adj dcbal epdvssr_adj earn_adj epdvle_adj db dc ss if user==1 & keeper==1

reg assets  epdvdba_adj dcbal epdvssa_adj earn_adj epdvle_adj if user==1 & keeper==1
reg assets  epdvdba_adj dcbal epdvssa_adj earn_adj epdvle_adj db dc ss if user==1 & keeper==1

reg assets  epdvdb_adj dcbal epdvss_adj earn_adj epdvle_adj if user==1 & keeper==1
reg assets  epdvdb_adj dcbal epdvss_adj earn_adj epdvle_adj db dc ss if user==1 & keeper==1

reg savrate dba dcb ssa if user==1 & keeper==1
reg savrate dba dcb ssa db dc ss if user==1 & keeper==1

reg savrate epdvdbr_adj_s dcbal_s epdvssr_adj_s earn_adj epdvle_adj if user==1 & keeper==1
reg savrate epdvdbr_adj_s dcbal_s epdvssr_adj_s earn_adj epdvle_adj db dc ss if user==1 & keeper==1

reg savrate_agg epdvdbr_adj_s dcbal_s epdvssr_adj_s earn_adj epdvle_adj if user==1 & keeper==1
reg savrate_agg epdvdbr_adj_s dcbal_s epdvssr_adj_s earn_adj epdvle_adj db dc ss if user==1 & keeper==1

log close

