clear
set memory 200m

infile iu t ir age simdat1-simdat9 pd using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\simdat110pp.raw"

mvdecode simdat1-simdat9, mv(-9999)

rename simdat1 vf
rename simdat2 empl
rename simdat3 assets
rename simdat4 cons
rename simdat5 earn
rename simdat6 penclaim
rename simdat7 ssclaim
rename simdat8 ssben
rename simdat9 dispinc

gen dispinc_np = dispinc if iu==1
gen    cons_np =    cons if iu==1
gen      vf_np =      vf if iu==1
gen    earn_np =    earn if iu==1
gen    empl_np =    empl if iu==1
gen  assets_np =  assets if iu==1
gen ssclaim_np = ssclaim if iu==1
gen   ssben_np =   ssben if iu==1

gen dispinc_dc = dispinc if iu==3
gen    cons_dc =    cons if iu==3
gen      vf_dc =      vf if iu==3
gen    earn_dc =    earn if iu==3
gen    empl_dc =    empl if iu==3
gen  assets_dc =  assets if iu==3
gen ssclaim_dc = ssclaim if iu==3
gen   ssben_dc =   ssben if iu==3
gen penclaim_dc=penclaim if iu==3

save "c:\users\econuser\documents\Saving_and_Retirement\estimation\simdat\sim110dcnpfra69_jan2015", replace

su

collapse vf* empl* ass* cons* earn* penclaim* ssclaim* ssben* dispinc* pd, by (age)

su
sort age

save "c:\users\econuser\documents\Saving_and_Retirement\estimation\simdat\simdcnpfra69_jan2015", replace

gr tw (conn empl_np empl_dc age) if age<=85 ,saving("c:\users\econuser\documents\Saving_and_Retirement\estimation\graphs\empl_dcnpfra69_jan2015.gph", replace)
gr tw (conn assets_np assets_dc age) ,saving("c:\users\econuser\documents\Saving_and_Retirement\estimation\graphs\assets_unadjusted_dcnpfra69_jan2015.gph", replace)
gr tw (conn vf_np vf_dc age) ,saving("c:\users\econuser\documents\Saving_and_Retirement\estimation\graphs\vf_dcnpfra69_jan2015.gph", replace)
gr tw (conn cons_np cons_dc age) ,saving("c:\users\econuser\documents\Saving_and_Retirement\estimation\graphs\cons_dcnpfra69_jan2015.gph", replace)

egen joe_np = total(empl_np)
egen agesc_np = total(1-ssclaim_np)
replace joe_np = joe_np + 25
replace agesc_np = agesc_np + 25

gen palive = 1 - pd if age==25
replace palive = palive[_n-1]*(1 - pd) if age>25

gen discon_np = palive*cons_np/(1.03^(age-25))
gen disearn_np= palive*earn_np/(1.03^(age-25))
gen disssben_np=palive*ssben_np/(1.03^(age-25))
gen disdisp_np= palive*dispinc_np/(1.03^(age-25))

egen pdvcons_np = total(discon_np)
egen pdvearn_np = total(disearn_np)
egen pdvssben_np = total(disssben_np)
egen pdvdisp_np = total(disdisp_np)


egen joe_dc = total(empl_dc)
egen agepc_dc = total(1-penclaim_dc)
egen agesc_dc = total(1-ssclaim_dc)
replace joe_dc = joe_dc + 25
replace agepc_dc = agepc_dc + 25
replace agesc_dc = agesc_dc + 25

gen discon_dc = palive*cons_dc/(1.03^(age-25))
gen disearn_dc= palive*earn_dc/(1.03^(age-25))
gen disssben_dc=palive*ssben_dc/(1.03^(age-25))
gen disdisp_dc= palive*dispinc_dc/(1.03^(age-25))

egen pdvcons_dc = total(discon_dc)
egen pdvearn_dc = total(disearn_dc)
egen pdvssben_dc = total(disssben_dc)
egen pdvdisp_dc = total(disdisp_dc)

su

list age assets*

