clear
clear matrix
set memory 200m

infile iu t ir age simdat1-simdat23 epdvss epdvssa epdvle epdvssr epdvdb epdvdba epdvdbr kappa using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\simdat110pp.raw"

mvdecode simdat1-simdat20, mv(-9999)

rename simdat1 dispinc
rename simdat2 cons
rename simdat3 vf
rename simdat4 earn
rename simdat5 nj_notempl
rename simdat6 empl
rename simdat7 assets
rename simdat8 ssclaim
rename simdat9 exit
rename simdat10 dcbalance
rename simdat11 totinc
rename simdat12 nj_empl
rename simdat13 husearnoff_oj
rename simdat14 laidoff
rename simdat15 penclaim
rename simdat16 dbben
rename simdat17 assup
rename simdat18 medexp
rename simdat19 ssben
rename simdat20 lfj
rename simdat21 husearnoff_nj
rename simdat22 wifeearnoff
rename simdat23 wifeearnprob

gen dispinc_np = dispinc if iu==1
gen    cons_np =    cons if iu==1
gen      vf_np =      vf if iu==1
gen    earn_np =    earn if iu==1
gen nj_notempl_np = nj_notempl if iu==1
gen    empl_np =    empl if iu==1
gen  assets_np =  assets if iu==1
gen ssclaim_np = ssclaim if iu==1
gen    exit_np =    exit if iu==1
gen  totinc_np =  totinc if iu==1
gen nj_empl_np = nj_empl if iu==1
gen husearnoff_np = husearnoff_nj if iu==1
gen laidoff_np = laidoff if iu==1
gen medexp_np =  medexp if iu==1
gen   ssben_np =   ssben if iu==1
gen     lfj_np =     lfj if iu==1
gen wifeearnoff_np = wifeearnoff if iu==1
gen wifeearnprob_np = wifeearnprob if iu==1
gen epdvss_np = epdvss if iu==1
gen epdvssa_np = epdvssa if iu==1
gen epdvssr_np = epdvssr if iu==1

gen dispinc_dc = dispinc if iu==3
gen    cons_dc =    cons if iu==3
gen      vf_dc =      vf if iu==3
gen    earn_dc =    earn if iu==3
gen nj_notempl_dc = nj_notempl if iu==3
gen    empl_dc =    empl if iu==3
gen  assets_dc =  assets if iu==3
gen ssclaim_dc = ssclaim if iu==3
gen    exit_dc =    exit if iu==3
gen  totinc_dc =  totinc if iu==3
gen nj_empl_dc = nj_empl if iu==3
gen husearnoff_dc = husearnoff_nj if iu==3
gen laidoff_dc = laidoff if iu==3
gen medexp_dc =  medexp if iu==3
gen   ssben_dc =   ssben if iu==3
gen     lfj_dc =     lfj if iu==3
gen wifeearnoff_dc = wifeearnoff if iu==3
gen wifeearnprob_dc = wifeearnprob if iu==3
gen epdvss_dc = epdvss if iu==3
gen epdvssa_dc = epdvssa if iu==3
gen epdvssr_dc = epdvssr if iu==3

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110u55", replace

su

gen earnw = earn if earn>0 & earn~=.

collapse ass* cons* ss* vf* dis* empl* earn* nj* exit* laid* med*  dcb* penc* dbb* epdv* (median) assets_med_sim_np = assets_np assets_med_sim_dc = assets_dc , by (age)

*wifeearnoff wifeearn_sim_med = wifeearnoff 

rename empl_np empl_sim_np
rename exit_np exit_sim_np
rename nj_notempl_np entry_sim_np
rename nj_empl_np switch_sim_np
rename assets_np assets_sim_np
rename ssclaim_np ssclaim_sim_np

rename empl_dc empl_sim_dc
rename exit_dc exit_sim_dc
rename nj_notempl_dc entry_sim_dc
rename nj_empl_dc switch_sim_dc
rename assets_dc assets_sim_dc
rename ssclaim_dc ssclaim_sim_dc

su
sort age

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sims_u55", replace

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\fitdat"

drop _merge

gr tw (conn work_np empl_sim_np age) if age<=75 ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\empl_np_u55.gph", replace)
gr tw (conn exit_np exit_sim_np age) if age<=75 ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\exit_np_u55.gph", replace)
gr tw (conn entry_np entry_sim_np age) if age>=50 & age<=75 ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\entry_np_u55.gph", replace)
gr tw (conn switch_np switch_sim_np age) if age>=26 & age<=69  ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\switch_np_u55.gph", replace)
gr tw (conn ssclaim_np ssclaim_sim_np age) if age>=60 & age<=70  ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ssclaim_np_u55.gph", replace)
*gr tw (conn cons_np cons_dc age)  ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\cons_u55.gph", replace)
*gr tw (conn dispinc_np dispinc_dc age)  ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\dispinc_u55.gph", replace)
gr tw (conn assets_np_hata assets_sim_np age) ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\assets_unadjusted_np_u55.gph", replace)

gr tw (conn work_dc empl_sim_dc age) if age<=75 ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\empl_dc_u55.gph", replace)
gr tw (conn exit_dc exit_sim_dc age) if age<=75 ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\exit_dc_u55.gph", replace)
gr tw (conn entry_dc entry_sim_dc age)  if age>=50 & age<=75 ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\entry_dc_u55.gph", replace)
gr tw (conn switch_dc switch_sim_dc age) if age>=26 & age<=69  ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\switch_dc_u55.gph", replace)
gr tw (conn ssclaim_dc ssclaim_sim_dc age) if age>=60 & age<=70  ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ssclaim_dc_u55.gph", replace)
gr tw (conn assets_dc_hata assets_sim_dc age) ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\assets_unadjusted_dc_u55.gph", replace)
gr tw (conn dcbalance age) ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\dcbal_u55.gph", replace)
gr tw (conn penclaim age) ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\penclaim_u55.gph", replace)
gr tw (conn epdvssr_np epdvssr_dc age) ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\epdv_u55.gph", replace)
*gr tw (conn vf_np vf_dc age) ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\vf_u55.gph", replace)
