options pagesize=80 linesize=140 nocenter;
libname in "C:\Documents and Settings\David Blau\My Documents\Saving_and_Retirement\sipp\data";

FILENAME datafile "C:\Documents and Settings\David Blau\My Documents\Saving_and_Retirement\sipp\data\sipp01t3.dat ";

DATA s01tm3;

INFILE datafile LRECL = 20000 ;

attrib  ssuseq       length=4     label="SU: Sequence Number of Sample Unit - Primary";
attrib  ssuid        length=$12   label="SU: Sample Unit Identifier";           
attrib  spanel       length=4     label="SU: Sample Code - Indicates Panel Year";
attrib  swave        length=3     label="SU: Wave of data collection";          
attrib  srotaton     length=3     label="SU: Rotation of data collection";      
attrib  tfipsst      length=3     label="SU: FIPS State Code for fifth month";  
attrib  shhadid      length=3     label="SU: Hhld Address ID in fourth reference";
attrib  sinthhid     length=3     label="SU: Hhld Address ID of person in interview";
attrib  eoutcome     length=3     label="HH: Interview Status code for fifth month";
attrib  rfid         length=3     label="FA: Family ID Number in month four";   
attrib  rfid2        length=3     label="FA: Family ID excluding related subfamily";
attrib  eppidx       length=3     label="PE: Person index";                     
attrib  eentaid      length=$3    label="PE: Address ID of hhld where person entered";
attrib  epppnum      length=$4    label="PE: Person number";                    
attrib  epopstat     length=3     label="PE: Population status based on age in fourth";
attrib  eppintvw     length=3     label="PE: Person's interview status at time of";
attrib  eppmis4      length=3     label="PE: Person's 4th month interview status";
attrib  esex         length=3     label="PE: Sex of this person";               
attrib  erace        length=3     label="PE: Race of this person";              
attrib  eorigin      length=3     label="PE: Origin of this person";            
attrib  wpfinwgt     length=8     label="WW: Person weight";                    
attrib  errp         length=3     label="PE: Household relationship";           
attrib  tage         length=3     label="PE: Age as of last birthday";          
attrib  ems          length=3     label="PE: Marital status";                   
attrib  epnspous     length=4     label="PE: Person number of spouse";          
attrib  epnmom       length=4     label="PE: Person number of mother";          
attrib  epndad       length=4     label="PE: Person number of father";          
attrib  epnguard     length=4     label="PE: Person number of guardian";        
attrib  rdesgpnt     length=3     label="PE: Designated parent or guardian flag";
attrib  eeducate     length=3     label="ED: Highest Degree received or grade"; 
attrib  lgtkey       length=$8    label="PE: Person longitudinal key";          
attrib  emdunv       length=3     label="ME: Universe Indicator for Medical Expenses";
attrib  tdonorid     length=3     label="ME: The owner of this data.";          
attrib  ehouspay     length=3     label="ME: Are ALL housing exp paid with";    
attrib  ahouspay     length=3     label="ME: Allocation flag for EHOUSPAY";     
attrib  efoodpay     length=3     label="ME: Are ALL food exp. paid with respondent's";
attrib  afoodpay     length=3     label="ME: Allocation flag for EFOODPAY";     
attrib  eexppay      length=3     label="ME: Are ALL other exp. paid with";     
attrib  aexppay      length=3     label="ME: Allocation flag for EEXPPAY";      
attrib  ehhpay       length=3     label="ME: Are supplementary funds from within";
attrib  ahhpay       length=3     label="ME: Allocation flag for EHHPAY";       
attrib  ewhopy01     length=4     label="ME: Household members who provided funding";
attrib  ewhopy02     length=4     label="ME: Household members who provided funding";
attrib  ewhopy03     length=4     label="ME: Household members who provided funding";
attrib  ewhopy04     length=4     label="ME: Household members who provided funding";
attrib  ewhopy05     length=4     label="ME: Household members who provided funding";
attrib  ewhopy06     length=4     label="ME: Household members who provided funding";
attrib  ewhopy07     length=4     label="ME: Household members who provided funding";
attrib  ewhopy08     length=4     label="ME: Household members who provided funding";
attrib  ewhopy09     length=4     label="ME: Household members who provided funding";
attrib  ewhopy10     length=4     label="ME: Household members who provided funding";
attrib  ewhopy11     length=4     label="ME: Household members who provided funding";
attrib  ewhopy12     length=4     label="ME: Household members who provided funding";
attrib  ewhopy13     length=4     label="ME: Household members who provided funding";
attrib  ewhopy14     length=4     label="ME: Household members who provided funding";
attrib  ewhopy15     length=4     label="ME: Household members who provided funding";
attrib  ewhopy16     length=4     label="ME: Household members who provided funding";
attrib  ewhopy17     length=4     label="ME: Household members who provided funding";
attrib  ewhopy18     length=4     label="ME: Household members who provided funding";
attrib  ewhopy19     length=4     label="ME: Household members who provided funding";
attrib  ewhopy20     length=4     label="ME: Household members who provided funding";
attrib  ewhopy21     length=4     label="ME: Household members who provided funding";
attrib  ewhopy22     length=4     label="ME: Household members who provided funding";
attrib  ewhopy23     length=4     label="ME: Household members who provided funding";
attrib  ewhopy24     length=4     label="ME: Household members who provided funding";
attrib  ewhopy25     length=4     label="ME: Household members who provided funding";
attrib  ewhopy26     length=4     label="ME: Household members who provided funding";
attrib  ewhopy27     length=4     label="ME: Household members who provided funding";
attrib  ewhopy28     length=4     label="ME: Household members who provided funding";
attrib  ewhopy29     length=4     label="ME: Household members who provided funding";
attrib  ewhopy30     length=4     label="ME: Household members who provided funding";
attrib  awhopy       length=3     label="ME: Allocation flag for EWHOPY01 - EWHOPY30";
attrib  ehltstat     length=3     label="ME: Report of current health status";  
attrib  ahltstat     length=3     label="ME: Allocation flag for EHLTSTAT";     
attrib  ehospsta     length=3     label="ME: Hospital stays in past 12 months"; 
attrib  ahospsta     length=3     label="ME: Allocation flag for EHOSPSTA / EHSPSTAS";
attrib  ehospnit     length=3     label="ME: Number of nights spent in hospital";
attrib  ahospnit     length=3     label="ME: Allocation flag for EHOSPNIT";     
attrib  ehreas1      length=3     label="ME: Most recent hospital stay for";    
attrib  ahreas1      length=3     label="ME: Allocation flag for EHREAS1";      
attrib  ehreas2      length=3     label="ME: Most recent hospital stay for";    
attrib  ahreas2      length=3     label="ME: Allocation flag for EHREAS2";      
attrib  ehreas3      length=3     label="ME: Most recent hospital stay for diagnostic";
attrib  ahreas3      length=3     label="ME: Allocation flag for EHREAS3";      
attrib  ehreas4      length=3     label="ME: Most recent hospital stay for giving";
attrib  ahreas4      length=3     label="ME: Allocation flag for EHREAS4";      
attrib  ehreas5      length=3     label="ME: Most recent hospital stay for person's";
attrib  ahreas5      length=3     label="ME: Allocation flag for EHREAS5";      
attrib  ehreas6      length=3     label="ME: Most recent hospital stay for other";
attrib  ahreas6      length=3     label="ME: Allocation flag for EHREAS6";      
attrib  edocnum      length=3     label="ME: Frequency of physician contact during";
attrib  adocnum      length=3     label="ME: Allocation flag for EDOCNUM";      
attrib  thipay       length=4     label="ME: Amount paid for health insurance in past";
attrib  ahipay       length=3     label="ME: Allocation flag for THIPAY";       
attrib  epresdrg     length=3     label="ME: Prescription medication use in the last";
attrib  apresdrg     length=3     label="ME: Allocation flag for EPRESDRG / EPRSDRGS";
attrib  edalydrg     length=3     label="ME: Report of daily prescription medicine";
attrib  adalydrg     length=3     label="ME: Allocation flag for EDALYDRG";     
attrib  eflshyn      length=3     label="ME: Report of flashcard pamphlet usage";
attrib  evisdent     length=3     label="ME: Frequency of dental visits in past 12";
attrib  avisdent     length=3     label="ME: Allocation flag for EVISDENT";     
attrib  edenseal     length=3     label="ME: Report of child's dental sealant use";
attrib  adenseal     length=3     label="ME: Allocation flag for EDENSEAL";     
attrib  elostth      length=3     label="ME: Report of adult tooth loss";       
attrib  alostth      length=3     label="ME: Allocation flag for ELOSTTH";      
attrib  eallth       length=3     label="ME: Report of complete adult tooth loss";
attrib  aallth       length=3     label="ME: Allocation flag for EALLTH";       
attrib  evisdoc      length=3     label="ME: Frequency of medical provider visits,";
attrib  avisdoc      length=3     label="ME: Allocation flag for EVISDOC";      
attrib  emdspnd      length=3     label="ME: Did respondent buy medical supplies past";
attrib  amdspnd      length=3     label="ME: Allocation flag for EMDSPND";      
attrib  emdspnds     length=3     label="ME: Did respondent buy medical supplies for";
attrib  amdspnds     length=3     label="ME: Allocation flag for EMDSPNDS";     
attrib  edaysick     length=3     label="ME: Number of sickdays in past 12 months";
attrib  adaysick     length=3     label="ME: Allocation flag for EDAYSICK";     
attrib  tmdpay       length=4     label="ME: Cost of respondent medical care in past";
attrib  amdpay       length=3     label="ME: Allocation flag for TMDPAY";       
attrib  ereimb       length=3     label="ME: Was HH reimbursed for health ins and";
attrib  areimb       length=3     label="ME: Allocation flag for EREIMB";       
attrib  treimbur     length=4     label="ME: Edited variable for reimbursed medical";
attrib  areimbur     length=3     label="ME: Allocation flag for TREIMBUR";     
attrib  ehspstas     length=3     label="ME: Children's hospital stays in past 12";
attrib  ahspstas     length=3     label="ME: Allocation flag for EHSPSTAS";     
attrib  eprsdrgs     length=3     label="ME: Children prescription medication use";
attrib  aprsdrgs     length=3     label="ME: Allocation flag for EPRSDRGS";     
attrib  evsdents     length=3     label="ME: Children's dentist visits in the past 12";
attrib  avsdents     length=3     label="ME: Allocation flag for EVSDENTS";     
attrib  evsdocs      length=3     label="ME: Doctor/medical provider contacted for";
attrib  avsdocs      length=3     label="ME: Allocation flag for EVSDOCS.";     
attrib  enowkyr      length=3     label="ME: Length of time not worked due to health";
attrib  anowkyr      length=3     label="ME: Allocation flag for ENOWKYR";      
attrib  ewkfutr      length=3     label="ME: Respondent able to work during the next";
attrib  awkfutr      length=3     label="ME: Allocation flag for EWKFUTR";      
attrib  trmoops      length=4     label="ME: Edited variable for out of pocket";
attrib  enoindnt     length=3     label="ME: Dental care while without health"; 
attrib  anoindnt     length=3     label="ME: Allocation flag for ENOINDNT";     
attrib  enoindoc     length=3     label="ME: Doctor or other health care while";
attrib  anoindoc     length=3     label="ME: Allocation flag for ENOINDOC";     
attrib  enointrt     length=3     label="ME: Did respondent receive treatment"; 
attrib  anointrt     length=3     label="ME: Allocation flag for ENOINTRT";     
attrib  enoinchk     length=3     label="ME: Did respondent receive";           
attrib  anoinchk     length=3     label="ME: Allocation flag for ENOINCHK";     
attrib  enoindrg     length=3     label="ME: Did respondent receive drug/alcohol";
attrib  anoindrg     length=3     label="ME: Allocation flag for ENOINDRG";     
attrib  enoinpay     length=3     label="ME: Did respondent pay for treatment"; 
attrib  anoinpay     length=3     label="ME: Allocation flag for ENOINPAY";     
attrib  enoindis     length=3     label="ME: Did respondent pay full price for";
attrib  anoindis     length=3     label="ME: Allocation flag for ENOINDIS";     
attrib  enoininc     length=3     label="ME: Was resp. asked income before cost";
attrib  anoininc     length=3     label="ME: Allocation flag for ENOININC";     
attrib  enoincln     length=3     label="ME: Did respondent go to clinic/public";
attrib  enoiner      length=3     label="ME: Did respondent go to an emergency room";
attrib  enoinhsp     length=3     label="ME: Did respondent go to a hospital (not";
attrib  enoinva      length=3     label="ME: Did respondent go to a VA hospital";
attrib  enoindr      length=3     label="ME: Did respondent go to a doctor's office";
attrib  enoindds     length=3     label="ME: Did respondent go to a dentist's office";
attrib  enoinoth     length=3     label="ME: Did respondent go to someplace else";
attrib  anoinloc     length=3     label="ME: Joint allocation flag for health care";
attrib  eapvunv      length=3     label="PV: Universe indicator for Work Related";
attrib  epvwk1       length=3     label="PV: Drive own vehicle to work?";       
attrib  epvwk2       length=3     label="PV: Did ... car/van pool to work?";    
attrib  epvwk3       length=3     label="PV: Did ... use the public transit?";  
attrib  epvwk4       length=3     label="PV: Did ... bike/walk to work?";       
attrib  epvwk5       length=3     label="PV: Did ... get to work some other way?";
attrib  apvwk        length=3     label="PV: Allocation Flag for EPVWK1-EPVWK5";
attrib  epvmilwk     length=4     label="PV: How many miles did...drive to work?";
attrib  apvmilwk     length=3     label="PV: Allocation Flag for EPVMILWK";     
attrib  epvpaprk     length=3     label="PV: Did...work related expenses include paid";
attrib  apvpaprk     length=3     label="PV: Allocation Flag for EPVPAPRK";     
attrib  epvpaywk     length=4     label="PV: How much did...spend for parking or";
attrib  apvpaywk     length=3     label="PV: Allocation Flag for EPVPAYWK";     
attrib  epvcomut     length=4     label="PV: How much were...'s weekly commute";
attrib  apvcomut     length=3     label="PV: Allocation Flag for EPVCOMUT";     
attrib  epvwkexp     length=3     label="PV: Did...have to pay for work related";
attrib  apvwkexp     length=3     label="PV: Allocation Flag for EPVWKEXP";     
attrib  epvanexp     length=4     label="PV: How much were annual expenses for";
attrib  apvanexp     length=3     label="PV: Allocation Flag for EPVANEXP";     
attrib  epvchild     length=3     label="PV: Do you have any children who lived";
attrib  apvchild     length=3     label="PV: Allocation Flag for EPVCHILD";     
attrib  epvmancd     length=3     label="PV: How many children lived elsewhere?";
attrib  apvmancd     length=3     label="PV: Allocation Flag for EPVMANCD";     
attrib  epvmosup     length=3     label="PV: Was...required to pay child support?";
attrib  apvmosup     length=3     label="PV: Allocation Flag for EPVMOSUP.";    
attrib  tpvchpa1     length=4     label="PV: How much did ... pay in child support";
attrib  tpvchpa2     length=4     label="PV: How much did ... pay in child support";
attrib  tpvchpa3     length=4     label="PV: How much did ... pay in child support";
attrib  tpvchpa4     length=4     label="PV: How much did ... pay in child support";
attrib  apvchpa      length=3     label="PV: Allocation Flag for TPVCHPA1 - TPVCHPA4";
attrib  epvccarr     length=3     label="PV: Child care arrangements";          
attrib  apvccarr     length=3     label="PV: Allocation Flag for EPVCCARR.";    
attrib  tpvccfp1     length=3     label="PV: Amount of child care payments for the";
attrib  apvccfp1     length=3     label="PV: Allocation Flag for TPVCCFP1";     
attrib  tpvccfp2     length=3     label="PV: Amount of child care payments for the";
attrib  apvccfp2     length=3     label="PV: Allocation Flag for TPVCCFP2";     
attrib  tpvccfp3     length=3     label="PV: Amount of child care payments for the";
attrib  apvccfp3     length=3     label="PV: Allocation Flag for TPVCCFP3";     
attrib  tpvccfp4     length=3     label="PV: Amount of child care payments for the";
attrib  apvccfp4     length=3     label="PV: Allocation Flag for TPVCCFP4";     
attrib  epvccoth     length=3     label="PV: Did anyone else pay?";             
attrib  apvccoth     length=3     label="PV: Allocation Flag for EPVCCOTH.";    
attrib  epvcwho1     length=3     label="PV: Government helped pay for child care";
attrib  epvcwho2     length=3     label="PV: Other parent helped pay for child care";
attrib  epvcwho3     length=3     label="PV: Employer helped pay for child care";
attrib  epvcwho4     length=3     label="PV: Relative or friend helped pay for child";
attrib  epvcwho5     length=3     label="PV: Other help to pay for child care"; 
attrib  apvcwho      length=3     label="PV: Allocation flag for EPVCWHO1-EPVCWHO5";
attrib  evbunv1      length=3     label="BU: Universe Indicator for Value of Business";
attrib  evbno1       length=3     label="BU: First Business number";            
attrib  evbow1       length=3     label="BU: Percent of Business owned for first";
attrib  avbow1       length=3     label="BU: Allocation flag for EVBOW1";       
attrib  tvbva1       length=5     label="BU: The value of the business for the first";
attrib  avbva1       length=3     label="BU: Allocation flag for TVBVA1";       
attrib  tvbde1       length=4     label="BU: The total debt owed against the first";
attrib  avbde1       length=3     label="BU: Allocation flag for TVBDE1";       
attrib  evbunv2      length=3     label="BU: Universe Indicator for Value of Business";
attrib  evbno2       length=3     label="BU: Second Business number";           
attrib  evbow2       length=3     label="BU: Percent of Business owned for second";
attrib  avbow2       length=3     label="BU: Allocation flag for EVBOW2";       
attrib  tvbva2       length=5     label="BU: The value of the business for business";
attrib  avbva2       length=3     label="BU: Allocation flag for TVBVA2";       
attrib  tvbde2       length=4     label="BU: The total debt owed against the second";
attrib  avbde2       length=3     label="BU: Allocation flag for TVBDE2";       
attrib  eaoaunv      length=3     label="OA: Universe Indicator for Other Financial";
attrib  eoaeq        length=5     label="OA: Equity in investments";            
attrib  aoaeq        length=3     label="OA: Allocation flag for EOAEQ";        
attrib  tiajta       length=4     label="IE: Amount in joint interest earning account";
attrib  aiajta       length=3     label="IE: Allocation flag for TIAJTA";       
attrib  tiaita       length=4     label="IE: Amount in own interest earning account";
attrib  aiaita       length=3     label="IE: Allocation flag for TIAITA";       
attrib  timja        length=4     label="IE: Amount in joint bonds/US securities";
attrib  aimja        length=3     label="IE: Allocation flag for TIMJA";        
attrib  timia        length=5     label="IE: Amount of bonds/securities in own name";
attrib  aimia        length=3     label="IE: Allocation flag for TIMIA";        
attrib  esmjm        length=3     label="SM: Mutual funds owned jointly with spouse";
attrib  asmjm        length=3     label="SM: Allocation flag for ESMJM";        
attrib  esmjs        length=3     label="SM: Stocks owned jointly with spouse"; 
attrib  asmjs        length=3     label="SM: Allocation flag for ESMJS";        
attrib  esmjv        length=6     label="SM: Value of joint stocks/funds owned with";
attrib  asmjv        length=3     label="SM: Allocation flag for ESMJV";        
attrib  esmjma       length=3     label="SM: Debt against jointly owned";       
attrib  asmjma       length=3     label="SM: Allocation variable for ESMJMA.";  
attrib  esmjmav      length=5     label="SM: Amount of debt on jointly owned";  
attrib  asmjmav      length=3     label="SM: Allocation variable for ESMJMAV."; 
attrib  esmi         length=3     label="SM: Stocks or funds owned in own name";
attrib  asmi         length=3     label="SM: Allocation flag for ESMI.";        
attrib  esmiv        length=6     label="SM: Value of stocks/funds in own name";
attrib  asmiv        length=3     label="SM: Allocation flag for ESMIV";        
attrib  esmima       length=3     label="SM: Debt on stocks/funds in own name"; 
attrib  asmima       length=3     label="SM: Allocation flag for ESMIMA";       
attrib  esmimav      length=5     label="SM: Debt on stocks/funds in own name"; 
attrib  asmimav      length=3     label="SM: Allocation flag for ESMIMAV";      
attrib  erjown       length=3     label="RT: Own rental property jointly with spouse";
attrib  arjown       length=3     label="RT: Allocation flag for ERJOWN";       
attrib  erjnum       length=3     label="RT: Numbr of rentl proprties jointly hld";
attrib  arjnum       length=3     label="RT: Allocation flag for ERJNUM";       
attrib  erjtyp1      length=3     label="RT: Type of rental property jointly owned";
attrib  arjtyp1      length=3     label="RT: Allocation flag for ERJTYP1";      
attrib  erjtyp2      length=3     label="RT: Type of rental property owned jointly";
attrib  arjtyp2      length=3     label="RT: Allocation flag for ERJTYP2";      
attrib  erjtyp3      length=3     label="RT: Type of rental property owned jointly";
attrib  arjtyp3      length=3     label="RT: Allocation flag for ERJTYP3";      
attrib  erjtyp4      length=3     label="RT: Type of rental property owned jointly";
attrib  arjtyp4      length=3     label="RT: Allocation flag for ERJTYP4";      
attrib  erjtyp5      length=3     label="RT: Type of rental property owned jointly";
attrib  arjtyp5      length=3     label="RT: Allocation flag for ERJTYP5";      
attrib  erjtyp6      length=3     label="RT: Type of rental property owned jointly";
attrib  arjtyp6      length=3     label="RT: Allocation flag for ERJTYP6";      
attrib  erjat        length=3     label="RT: Jnt rentl prop attachd to/on same land";
attrib  arjat        length=3     label="RT: Allocation flag for ERJAT";        
attrib  erjata       length=3     label="RT: All joint rent prop attachd to same land";
attrib  arjata       length=3     label="RT: Allocation flag for ERJATA";       
attrib  trjmv        length=4     label="RT: Market value of joint rent not on land";
attrib  arjmv        length=3     label="RT: Allocation flag for TRJMV";        
attrib  erjdeb       length=3     label="RT: Debt on rental properties held jointly";
attrib  arjdeb       length=3     label="RT: Allocation flag for ERJDEB";       
attrib  trjpri       length=4     label="RT: Principal owed on joint rental property";
attrib  arjpri       length=3     label="RT: Allocation flag for TRJPRI";       
attrib  eriown       length=3     label="RT: Rental property owned in own name";
attrib  ariown       length=3     label="RT: Allocation flag for ERIOWN";       
attrib  erinum       length=3     label="RT: Number of rental properties in own name";
attrib  arinum       length=3     label="RT: Allocation flag for ERINUM";       
attrib  eritype1     length=3     label="RT: First type of rental property owned in";
attrib  aritype1     length=3     label="RT: Allocation flag for ERITYPE1";     
attrib  eritype2     length=3     label="RT: Second type of rental property owned in";
attrib  aritype2     length=3     label="RT: Allocation flag for ERITYPE2";     
attrib  eritype3     length=3     label="RT: Third type of rental property owned in";
attrib  aritype3     length=3     label="RT: Allocation flag for ERITYPE3";     
attrib  eritype4     length=3     label="RT: Fourth type of rental property owned in";
attrib  aritype4     length=3     label="RT: Allocation flag for ERITYPE4";     
attrib  eritype5     length=3     label="RT: Fifth type of rental property owned in";
attrib  aritype5     length=3     label="RT: Allocation flag for ERITYPE5";     
attrib  eritype6     length=3     label="RT: Sixth type of rental property owned in";
attrib  aritype6     length=3     label="RT: Allocation flag for ERITYPE6";     
attrib  eriat        length=3     label="RT: Rental property in own name on/attachd";
attrib  ariat        length=3     label="RT: Allocation flag for ERIAT";        
attrib  eriata       length=3     label="RT: Rental property in own name on/attached";
attrib  ariata       length=3     label="RT: Allocation flag for ERIATA";       
attrib  trimv        length=5     label="RT: Market value of rental property owned in";
attrib  arimv        length=3     label="RT: Allocation flag for TRIMV";        
attrib  erideb       length=3     label="RT: Debt on rental properties not located on";
attrib  arideb       length=3     label="RT: Allocation flag for ERIDEB";       
attrib  tripri       length=4     label="RT: Principal owed on rental property in own";
attrib  aripri       length=3     label="RT: Allocation flag for TRIPRI";       
attrib  ertown       length=3     label="RT: Rental property held jointly with other";
attrib  artown       length=3     label="RT: Allocation flag for ERTOWN";       
attrib  ertnum       length=3     label="RT: Number of rentals owned with others";
attrib  artnum       length=3     label="RT: Allocation flag for ERTNUM";       
attrib  erttype1     length=3     label="RT: Type of rental property owned jointly";
attrib  arttype1     length=3     label="RT: Allocation flag for ERTTYPE1";     
attrib  erttype2     length=3     label="RT: Type of rental property owned jointly";
attrib  arttype2     length=3     label="RT: Allocation flag for ERTTYPE2";     
attrib  erttype3     length=3     label="RT: Type of rental property owned jointly";
attrib  arttype3     length=3     label="RT: Allocation flag for ERTTYPE3";     
attrib  erttype4     length=3     label="RT: Type of rental property owned jointly";
attrib  arttype4     length=3     label="RT: Allocation flag for ERTTYPE4";     
attrib  erttype5     length=3     label="RT: Type of rental property owned jointly";
attrib  arttype5     length=3     label="RT: Allocation flag for ERTTYPE5";     
attrib  erttype6     length=3     label="RT: Type of rental property owned jointly";
attrib  arttype6     length=3     label="RT: Allocation flag for ERTTYPE6";     
attrib  trtmv        length=5     label="RT: Market value of joint rental property";
attrib  artmv        length=3     label="RT: Allocation flag for TRTMV";        
attrib  ertdeb       length=3     label="RT: Debt on unattached joint rental prop";
attrib  artdeb       length=3     label="RT: Allocation flag for ERTDEB";       
attrib  trtpri       length=5     label="RT: Principal owed on joint rental property";
attrib  artpri       length=3     label="RT: Allocation flag for TRTPRI";       
attrib  trtsha       length=5     label="RT: Share of rental property held with other";
attrib  artsha       length=3     label="RT: Allocation flag for TRTSHA";       
attrib  tmjp         length=4     label="M0: Principal owed on joint mortgage(s) held";
attrib  amjp         length=3     label="M0: Allocation flag for TMJP";         
attrib  tmip         length=4     label="M0: Principal owed on mortgage(s) in own";
attrib  amip         length=3     label="M0: Allocation flag for TMIP";         
attrib  ealunv       length=3     label="AL: Universe Indicator for Assets and";
attrib  ealow        length=3     label="AL: Money owed to you for business/property";
attrib  aalow        length=3     label="AL: Allocation flag for EALOW";        
attrib  ealowa       length=5     label="AL: Amount owed to you for sale";      
attrib  aalowa       length=3     label="AL: Allocation flag for EALOWA";       
attrib  ealsb        length=3     label="AL: U.S. Savings Bonds owned by respondent";
attrib  aalsb        length=3     label="AL: Allocation flag for EALSB";        
attrib  talsbv       length=4     label="AL: Face Value of U.S. Savings Bonds"; 
attrib  aalsbv       length=3     label="AL: Allocation flag for TALSBV";       
attrib  ealjch       length=3     label="AL: Jointly owned non-interest earning";
attrib  aaljch       length=3     label="AL: Allocation flag for EALJCH";       
attrib  taljcha      length=4     label="AL: Estimate of a joint non-interest"; 
attrib  aaljcha      length=3     label="AL: Allocation flag for TALJCHA";      
attrib  ealjdb       length=3     label="AL: Money owed for store bills/credit cards";
attrib  aaljdb       length=3     label="AL: Allocation flag for EALJDB";       
attrib  ealjdl       length=3     label="AL: Money owed for loans with spouse"; 
attrib  aaljdl       length=3     label="AL: Allocation flag for EALJDL";       
attrib  ealjdo       length=3     label="AL: Money owed for other debt with spouse";
attrib  aaljdo       length=3     label="AL: Allocation flag for EALJDO";       
attrib  ealjdab      length=5     label="AL: Amount owed for credit cards with spouse";
attrib  aaljdab      length=3     label="AL: Allocation flag for EALJDAB";      
attrib  ealjdal      length=5     label="AL: Amount owed for loans with spouse";
attrib  aaljdal      length=3     label="AL: Allocation flag for EALJDAL";      
attrib  ealjdao      length=5     label="AL: Amount owed for other debt with spouse";
attrib  aaljdao      length=3     label="AL: Allocation flag for EALJDAO";      
attrib  ealich       length=3     label="AL: Non-interest checking account in own";
attrib  aalich       length=3     label="AL: Allocation flag for EALICH";       
attrib  talicha      length=4     label="AL: Estimate of own non-interest checking";
attrib  aalicha      length=3     label="AL: Allocation flag for TALICHA";      
attrib  ealil        length=3     label="AL: Debts in own name";                
attrib  aalil        length=3     label="AL: Allocation flag for EALIL";        
attrib  ealidb       length=3     label="AL: Money owed in own name for store"; 
attrib  aalidb       length=3     label="AL: Allocation flag for EALIDB";       
attrib  ealidl       length=3     label="AL: Money owed in own name for loans"; 
attrib  aalidl       length=3     label="AL: Allocation flag for EALIDL";       
attrib  ealido       length=3     label="AL: Money owed in own name for other debt";
attrib  aalido       length=3     label="AL: Allocation flag for EALIDO";       
attrib  ealidab      length=5     label="AL: Amount owed for store bills/credit cards";
attrib  aalidab      length=3     label="AL: Allocation flag for EALIDAB";      
attrib  ealidal      length=5     label="AL: Amount of loans owed in own name"; 
attrib  aalidal      length=3     label="AL: Allocation flag for EALIDAL";      
attrib  ealidao      length=5     label="AL: Amount of other debt owed in own name";
attrib  aalidao      length=3     label="AL: Allocation flag for EALIDAO";      
attrib  ealr         length=3     label="AL: IRA account(s) in own name";       
attrib  aalr         length=3     label="AL: Allocation flag for EALR";         
attrib  ealry        length=3     label="AL: Number of years contributed to IRA";
attrib  aalry        length=3     label="AL: Allocation flag for EALRY";        
attrib  talrb        length=4     label="AL: Market value of IRA account(s) in own";
attrib  aalrb        length=3     label="AL: Allocation flag for TALRB";        
attrib  ealra1       length=3     label="AL: Kinds of assets in IRA account(s)";
attrib  aalra1       length=3     label="AL: Allocation flag for EALRA1";       
attrib  ealra2       length=3     label="AL: Kinds of assets in IRA account(s)";
attrib  aalra2       length=3     label="AL: Allocation flag for EALRA2";       
attrib  ealra3       length=3     label="AL: Kinds of assets in IRA account(s)";
attrib  aalra3       length=3     label="AL: Allocation flag for EALRA3";       
attrib  ealra4       length=3     label="AL: Kinds of assets in IRA account(s)";
attrib  aalra4       length=3     label="AL: Allocation flag for EALRA4";       
attrib  ealk         length=3     label="AL: KEOGH account in own name";        
attrib  aalk         length=3     label="AL: Allocation flag for EALK";         
attrib  ealky        length=3     label="AL: Years contributed to KEOGH account";
attrib  aalky        length=3     label="AL: Allocation flag for EALKY";        
attrib  talkb        length=4     label="AL: Market value of KEOGH account(s)"; 
attrib  aalkb        length=3     label="AL: Allocation flag for TALKB";        
attrib  ealka1       length=3     label="AL: Kinds of assets in KEOGH account(s)";
attrib  aalka1       length=3     label="AL: Allocation flag for EALKA1";       
attrib  ealka2       length=3     label="AL: Kinds of assets in KEOGH accounts(s)";
attrib  aalka2       length=3     label="AL: Allocation flag for EALKA2";       
attrib  ealka3       length=3     label="AL: Kinds of assets in KEOGH account(s)";
attrib  aalka3       length=3     label="AL: Allocation flag for EALKA3";       
attrib  ealka4       length=3     label="AL: Kinds of assets in KEOGH account(s)";
attrib  aalka4       length=3     label="AL: Allocation flag for EALKA4";       
attrib  ealt         length=3     label="AL: 401K plan in own name";            
attrib  aalt         length=3     label="AL: Allocation flag for EALT";         
attrib  ealty        length=3     label="AL: Years contributed to 401K plan";   
attrib  aalty        length=3     label="AL: Allocation flag for EALTY";        
attrib  taltb        length=4     label="AL: Market value of 401K in own name"; 
attrib  aaltb        length=3     label="AL: Allocation for TALTB";             
attrib  ealta1       length=3     label="AL: Kinds of assets in 401K plan";     
attrib  aalta1       length=3     label="AL: Allocation flag for EALTA1";       
attrib  ealta2       length=3     label="AL: Kinds of assets in 401K plan";     
attrib  aalta2       length=3     label="AL: Allocation flag for EALTA2";       
attrib  ealta3       length=3     label="AL: Kinds of assets in 401K plan";     
attrib  aalta3       length=3     label="AL: Allocation flag for EALTA3";       
attrib  ealta4       length=3     label="AL: Kinds of assets in 401K plan";     
attrib  aalta4       length=3     label="AL: Allocation flag for EALTA4";       
attrib  ealli        length=3     label="AL: Life insurance coverage";          
attrib  aalli        length=3     label="AL: Allocation flag for EALLI";        
attrib  talliv       length=5     label="AL: Value of life insurance policies"; 
attrib  aalliv       length=3     label="AL: Allocation flag for TALLIV";       
attrib  eallit       length=3     label="AL: Type(s) of life insurance policy"; 
attrib  aallit       length=3     label="AL: Allocation flag for EALLIT";       
attrib  eallie       length=3     label="AL: Life insurance through employer";  
attrib  aallie       length=3     label="AL: Allocation flag for EALLIE";       
attrib  talliev      length=4     label="AL: Value of life insurance from employer";
attrib  aalliev      length=3     label="AL: Allocation for TALLIEV";           
attrib  ehreunv      length=3     label="RE: Universe indicator for Real Estate TM";
attrib  eremobho     length=3     label="RE: Is residence a mobile home?";      
attrib  aremobho     length=3     label="RE: Allocation flag for EREMOBHO";     
attrib  ehowner1     length=4     label="RE: First Owner of home";              
attrib  ahowner1     length=3     label="RE: Allocation flag for EHOWNER1";     
attrib  ehowner2     length=4     label="RE: Second Owner of home";             
attrib  ahowner2     length=3     label="RE: Allocation flag for EHOWNER2";     
attrib  ehowner3     length=4     label="RE: Third Owner of home";              
attrib  ehbuymo      length=3     label="RE: Month home was purchased";         
attrib  ahbuymo      length=3     label="RE: Allocation flag for EHBUYMO";      
attrib  ehbuyyr      length=4     label="RE: Year house was purchased";         
attrib  ahbuyyr      length=3     label="RE: Allocation flag for EHBUYYR";      
attrib  ehmort       length=3     label="RE: Mortgage on home";                 
attrib  ahmort       length=3     label="RE: Allocation flag for EHMORT";       
attrib  enummort     length=3     label="RE: Number of debts on this home";     
attrib  anummort     length=3     label="RE: Allocation flag for ENUMMORT";     
attrib  tmor1pr      length=4     label="RE: Principal owed for first, second and all";
attrib  amor1pr      length=3     label="RE: Allocation flag for TMOR1PR";      
attrib  emor1yr      length=4     label="RE: Year first mortgage obtained";     
attrib  amor1yr      length=3     label="RE: Allocation flag for EMOR1YR";      
attrib  emor1mo      length=3     label="RE: Month first mortgage obtained";    
attrib  amor1mo      length=3     label="RE: Allocation flag for EMOR1MO";      
attrib  tmor1amt     length=4     label="RE: First and second loan amount";     
attrib  amor1amt     length=3     label="RE: Allocation flag for TMOR1AMT";     
attrib  emor1yrs     length=3     label="RE: Total years for payments of home loan";
attrib  amor1yrs     length=3     label="RE: Allocation flag for EMOR1YRS";     
attrib  emor1int     length=8     label="RE: Interest rate on first mortgage";  
attrib  amor1int     length=3     label="RE: Allocation flag for EMOR1INT";     
attrib  emor1var     length=3     label="RE: Variable or fixed rate for first home";
attrib  amor1var     length=3     label="RE: Allocation flag for EMOR1VAR";     
attrib  emor1pgm     length=3     label="RE: First loan FHA/VA mortgage program";
attrib  amor1pgm     length=3     label="RE: Allocation flag for EMOR1PGM";     
attrib  tmor2pr      length=3     label="RE: Flag indicating principal on second";
attrib  amor2pr      length=3     label="RE: Allocation flag for TMOR2PR";      
attrib  emor2yr      length=4     label="RE: Year 2nd mortgage obtained";       
attrib  amor2yr      length=3     label="RE: Allocation flag for EMOR2YR";      
attrib  emor2mo      length=3     label="RE: Month 2nd mortgage obtained";      
attrib  amor2mo      length=3     label="RE: Allocation flag for EMOR2MO";      
attrib  tmor2amt     length=3     label="RE: Flag indicating second mortgage";  
attrib  amor2amt     length=3     label="RE: Allocation flag for TMOR2AMT";     
attrib  emor2yrs     length=3     label="RE: Total years for payments of 2nd mortgage";
attrib  amor2yrs     length=3     label="RE: Allocation flag for EMOR2YRS";     
attrib  emor2int     length=8     label="RE: Interest rate on 2nd mortgage";    
attrib  amor2int     length=3     label="RE: Allocation flag for EMOR2INT";     
attrib  emor2var     length=3     label="RE: Variable/fixed rate for 2nd loan"; 
attrib  amor2var     length=3     label="RE: Allocation flag for EMOR2VAR";     
attrib  emor2pgm     length=3     label="RE: 2nd loan FHA/VA mortgage program"; 
attrib  amor2pgm     length=3     label="RE: Allocation flag for EMOR2PGM";     
attrib  tmor3pr      length=3     label="RE: Flag indicating principal owed on other";
attrib  amor3pr      length=3     label="RE: Allocation flag for TMOR3PR";      
attrib  tpropval     length=4     label="RE: Current value of property";        
attrib  apropval     length=3     label="RE: Allocation flag for TPROPVAL";     
attrib  emhloan      length=3     label="RE: Mortgage or debt on mobile home";  
attrib  amhloan      length=3     label="RE: Allocation flag for EMHLOAN";      
attrib  emhtype      length=3     label="RE: Site or mobile home debt";         
attrib  amhtype      length=3     label="RE: Allocation flag for EMHTYPE";      
attrib  tmhpr        length=4     label="RE: Amount principal owed on mobile";  
attrib  amhpr        length=3     label="RE: Allocation flag for TMHPR";        
attrib  tmhval       length=4     label="RE: Amount mobile would sell for";     
attrib  amhval       length=3     label="RE: Allocation flag for TMHVAL";       
attrib  thomeamt     length=4     label="RE: Monthly rent or mortgage";         
attrib  ahomeamt     length=3     label="RE: Allocation flag for THOMEAMT";     
attrib  tutils       length=3     label="RE: Amount paid for utilities per month";
attrib  autils       length=3     label="RE: Allocation flag for TUTILS";       
attrib  eperspay     length=3     label="RE: More than one person paying rent"; 
attrib  aperspay     length=3     label="RE: Allocation flag for EPERSPAY";     
attrib  eperspya     length=4     label="RE: Only one person paid mortgage/rent";
attrib  aperspya     length=3     label="RE: Allocation flag for EPERSPYA";     
attrib  eperspy1     length=4     label="RE: First of several persons who paid rent";
attrib  aperspy1     length=3     label="RE: Allocation flag for EPERSPY1";     
attrib  eperspy2     length=4     label="RE: 2nd of several persons who paid rent";
attrib  eperspy3     length=4     label="RE: Third of several persons who paid rent";
attrib  tpersam1     length=4     label="RE: Amount first person paid for rent";
attrib  apersam1     length=3     label="RE: Allocation flag for TPERSAM1";     
attrib  tpersam2     length=3     label="RE: Amount second person paid for rent";
attrib  apersam2     length=3     label="RE: Allocation flag for TPERSAM2";     
attrib  tpersam3     length=3     label="RE: Amount third person paid for rent";
attrib  apersam3     length=3     label="RE: Allocation flag for TPERSAM3";     
attrib  epaycare     length=3     label="RE: Pay for care of child or disabled person";
attrib  apaycare     length=3     label="RE: Allocation flag for EPAYCARE";     
attrib  tcarecst     length=4     label="RE: Amount of care per month";         
attrib  acarecst     length=3     label="RE: Allocation flag for TCARECST";     
attrib  eothre       length=3     label="RE: Household owns other real estate"; 
attrib  aothre       length=3     label="RE: Allocation flag for EOTHRE";       
attrib  eothreo1     length=4     label="RE: First person owns other real estate";
attrib  aothreo1     length=3     label="RE: Allocation flag for EOTHREO1";     
attrib  eothreo2     length=4     label="RE: Second person owns other real estate";
attrib  eothreo3     length=4     label="RE: Second person owns other real estate";
attrib  tothreva     length=4     label="RE: Equity in other real estate";      
attrib  aothreva     length=3     label="RE: Allocation flag for TOTHREVA";     
attrib  eautoown     length=3     label="RE: HH member ownership of vehicle";   
attrib  aautoown     length=3     label="RE: Allocation flag for EAUTOOWN";     
attrib  eautonum     length=3     label="RE: Number of vehicles owned by HH";   
attrib  aautonum     length=3     label="RE: Allocation flag for EAUTONUM";     
attrib  ea1own1      length=4     label="RE: First owner of first vehicle";     
attrib  aa1own1      length=3     label="RE: Allocation flag for EA1OWN1";      
attrib  ea1own2      length=4     label="RE: Second owner of first vehicle";    
attrib  tcarval1     length=4     label="RE: Car value for first vehicle";      
attrib  acarval1     length=3     label="RE: Allocation flag for TCARVAL1";     
attrib  ta1year      length=4     label="RE: Car Year for First Vehicle";       
attrib  ea1owed      length=3     label="RE: Money owed for 1st vehicle";       
attrib  aa1owed      length=3     label="RE: Allocation flag for EA1OWED";      
attrib  ta1amt       length=4     label="RE: Amount owed for 1st vehicle";      
attrib  aa1amt       length=3     label="RE: Allocation flag for TA1AMT";       
attrib  ea1use       length=3     label="RE: Primary use of vehicle";           
attrib  aa1use       length=3     label="RE: Allocation flag for EA1USE";       
attrib  ea2own1      length=4     label="RE: First owner of second vehicle";    
attrib  aa2own1      length=3     label="RE: Allocation flag for EA2OWN1";      
attrib  ea2own2      length=4     label="RE: 2nd owner of second vehicle";      
attrib  tcarval2     length=4     label="RE: Car value for second vehicle";     
attrib  acarval2     length=3     label="RE: Allocation flag for TCARVAL2";     
attrib  ta2year      length=4     label="RE: Car Year for Second Vehicle";      
attrib  ea2owed      length=3     label="RE: Money owed on the 2nd vehicle";    
attrib  aa2owed      length=3     label="RE: Allocation flag for EA2OWED";      
attrib  ta2amt       length=4     label="RE: Amount owed for second vehicle";   
attrib  aa2amt       length=3     label="RE: Allocation flag for TA2AMT";       
attrib  ea2use       length=3     label="RE: Primary use of vehicle";           
attrib  aa2use       length=3     label="RE: Allocation flag for EA2USE";       
attrib  ea3own1      length=4     label="RE: 1st owner of third vehicle";       
attrib  aa3own1      length=3     label="RE: Allocation flag for EA3OWN";       
attrib  ea3own2      length=4     label="RE: 2nd owner of third vehicle";       
attrib  tcarval3     length=4     label="RE: Car value for third vehicle";      
attrib  acarval3     length=3     label="RE: Allocation flag for TCARVAL3";     
attrib  ta3year      length=4     label="RE: Car Year for Third Vehicle";       
attrib  ea3owed      length=3     label="RE: Money owed for third vehicle";     
attrib  aa3owed      length=3     label="RE: Allocation flag for EA3OWED";      
attrib  ta3amt       length=4     label="RE: Amount owed for third vehicle";    
attrib  aa3amt       length=3     label="RE: Allocation flag for TA3AMT";       
attrib  ea3use       length=3     label="RE: Primary use of vehicle";           
attrib  aa3use       length=3     label="RE: Allocation flag for EA3USE";       
attrib  eothveh      length=3     label="RE: Own other Vehicle";                
attrib  aothveh      length=3     label="RE: Allocation flag for EOTHVEH";      
attrib  eovmtrcy     length=3     label="RE: Anyone own a motorcycle?";         
attrib  aovmtrcy     length=3     label="RE: Allocation flag for EOVMTRCY";     
attrib  eovboat      length=3     label="RE: Anyone own a boat?";               
attrib  aovboat      length=3     label="RE: Allocation flag for EOVBOAT";      
attrib  eovrv        length=3     label="RE: Anyone own an RV?";                
attrib  aovrv        length=3     label="RE: Allocation flag for EOTHVEH2";     
attrib  eovothrv     length=3     label="RE: Anyone own any other vehicle";     
attrib  aovothrv     length=3     label="RE: Allocation flag for EOVBOAT";      
attrib  eov1own1     length=4     label="RE: 1st owner of 1st other vehicle";   
attrib  aov1own1     length=3     label="RE: Allocation flag for EOV1OWN1";     
attrib  eov1own2     length=4     label="RE: 2nd owner of 1st other vehicle";   
attrib  tov1val      length=4     label="RE: 1st other vehicle value";          
attrib  aov1val      length=3     label="RE: Allocation flag for TOV1VAL";      
attrib  eov1owe      length=3     label="RE: Money owed for first other vehicle";
attrib  aov1owe      length=3     label="RE: Allocation flag for EOV1OWE";      
attrib  tov1amt      length=4     label="RE: Amount owed for first other vehicle";
attrib  aov1amt      length=3     label="RE: Allocation flag for TOV1AMT";      
attrib  eov2own1     length=4     label="RE: 1st owner of 2nd other vehicle";   
attrib  aov2own1     length=3     label="RE: Allocation flag for EOV2OWN1";     
attrib  eov2own2     length=4     label="RE: 2nd owner of 2nd other vehicle";   
attrib  tov2val      length=4     label="RE: Second other vehicle value";       
attrib  aov2val      length=3     label="RE: Allocation flag for TOV2VAL";      
attrib  eov2owe      length=3     label="RE: Is money owed for 2nd other vehicle";
attrib  aov2owe      length=3     label="RE: Allocation flag for EOV2OWE";      
attrib  tov2amt      length=4     label="RE: Amount owed for 2nd other vehicle";
attrib  aov2amt      length=3     label="RE: Allocation flag for TOV2AMT";      
attrib  thhtnw       length=6     label="RE: Total Net Worth Recode";           
attrib  thhtwlth     length=6     label="RE: Total Wealth recode";              
attrib  thhtheq      length=6     label="RE: Home Equity recode";               
attrib  thhmortg     length=6     label="RE: Total Debt owed on Home";          
attrib  thhvehcl     length=6     label="RE: Net equity in vehicles";           
attrib  thhbeq       length=6     label="RE: Business Equity";                  
attrib  thhintbk     length=6     label="RE: Interest Earning assets held in banking";
attrib  thhintot     length=6     label="RE: Interest Earning assets held in other";
attrib  rhhstk       length=6     label="RE: Equity in stocks and mutual fund shares";
attrib  thhore       length=6     label="RE: Equity in real estate that is not your";
attrib  thhotast     length=6     label="RE: Equity in other assets";           
attrib  thhira       length=6     label="RE: Equity in IRA and KEOGH accounts"; 
attrib  thhthrif     length=6     label="RE: Equity in 401K and Thrift savings";
attrib  thhdebt      length=6     label="RE: Total debt recode";                
attrib  thhscdbt     length=6     label="RE: Total secured debt recode";        
attrib  rhhuscbt     length=6     label="RE: Total Unsecured Debt";             


INPUT

@1    ssuseq       5. 
@6    ssuid      $12. 
@18   spanel       4. 
@22   swave        2. 
@24   srotaton     1. 
@25   tfipsst      2. 
@27   shhadid      3. 
@30   sinthhid     3. 
@33   eoutcome     3. 
@36   rfid         3. 
@39   rfid2        3. 
@42   eppidx       3. 
@45   eentaid     $3. 
@48   epppnum     $4. 
@52   epopstat     1. 
@53   eppintvw     2. 
@55   eppmis4      1. 
@56   esex         1. 
@57   erace        1. 
@58   eorigin      2. 
@60   wpfinwgt   10.4 
@70   errp         2. 
@72   tage         2. 
@74   ems          1. 
@75   epnspous     4. 
@79   epnmom       4. 
@83   epndad       4. 
@87   epnguard     4. 
@91   rdesgpnt     2. 
@93   eeducate     2. 
@95   lgtkey      $8. 
@103  emdunv       2. 
@105  tdonorid     1. 
@106  ehouspay     2. 
@108  ahouspay     1. 
@109  efoodpay     2. 
@111  afoodpay     1. 
@112  eexppay      2. 
@114  aexppay      1. 
@115  ehhpay       2. 
@117  ahhpay       1. 
@118  ewhopy01     4. 
@122  ewhopy02     4. 
@126  ewhopy03     4. 
@130  ewhopy04     4. 
@134  ewhopy05     4. 
@138  ewhopy06     4. 
@142  ewhopy07     4. 
@146  ewhopy08     4. 
@150  ewhopy09     4. 
@154  ewhopy10     4. 
@158  ewhopy11     4. 
@162  ewhopy12     4. 
@166  ewhopy13     4. 
@170  ewhopy14     4. 
@174  ewhopy15     4. 
@178  ewhopy16     4. 
@182  ewhopy17     4. 
@186  ewhopy18     4. 
@190  ewhopy19     4. 
@194  ewhopy20     4. 
@198  ewhopy21     4. 
@202  ewhopy22     4. 
@206  ewhopy23     4. 
@210  ewhopy24     4. 
@214  ewhopy25     4. 
@218  ewhopy26     4. 
@222  ewhopy27     4. 
@226  ewhopy28     4. 
@230  ewhopy29     4. 
@234  ewhopy30     4. 
@238  awhopy       1. 
@239  ehltstat     2. 
@241  ahltstat     1. 
@242  ehospsta     2. 
@244  ahospsta     1. 
@245  ehospnit     3. 
@248  ahospnit     1. 
@249  ehreas1      2. 
@251  ahreas1      1. 
@252  ehreas2      2. 
@254  ahreas2      1. 
@255  ehreas3      2. 
@257  ahreas3      1. 
@258  ehreas4      2. 
@260  ahreas4      1. 
@261  ehreas5      2. 
@263  ahreas5      1. 
@264  ehreas6      2. 
@266  ahreas6      1. 
@267  edocnum      3. 
@270  adocnum      1. 
@271  thipay       4. 
@275  ahipay       1. 
@276  epresdrg     2. 
@278  apresdrg     1. 
@279  edalydrg     2. 
@281  adalydrg     1. 
@282  eflshyn      2. 
@284  evisdent     3. 
@287  avisdent     1. 
@288  edenseal     2. 
@290  adenseal     1. 
@291  elostth      2. 
@293  alostth      1. 
@294  eallth       2. 
@296  aallth       1. 
@297  evisdoc      3. 
@300  avisdoc      1. 
@301  emdspnd      2. 
@303  amdspnd      1. 
@304  emdspnds     2. 
@306  amdspnds     1. 
@307  edaysick     3. 
@310  adaysick     1. 
@311  tmdpay       5. 
@316  amdpay       1. 
@317  ereimb       2. 
@319  areimb       1. 
@320  treimbur     5. 
@325  areimbur     1. 
@326  ehspstas     2. 
@328  ahspstas     1. 
@329  eprsdrgs     2. 
@331  aprsdrgs     1. 
@332  evsdents     2. 
@334  avsdents     1. 
@335  evsdocs      2. 
@337  avsdocs      1. 
@338  enowkyr      2. 
@340  anowkyr      1. 
@341  ewkfutr      2. 
@343  awkfutr      1. 
@344  trmoops      6. 
@350  enoindnt     2. 
@352  anoindnt     1. 
@353  enoindoc     2. 
@355  anoindoc     1. 
@356  enointrt     2. 
@358  anointrt     1. 
@359  enoinchk     2. 
@361  anoinchk     1. 
@362  enoindrg     2. 
@364  anoindrg     1. 
@365  enoinpay     2. 
@367  anoinpay     1. 
@368  enoindis     2. 
@370  anoindis     1. 
@371  enoininc     2. 
@373  anoininc     1. 
@374  enoincln     2. 
@376  enoiner      2. 
@378  enoinhsp     2. 
@380  enoinva      2. 
@382  enoindr      2. 
@384  enoindds     2. 
@386  enoinoth     2. 
@388  anoinloc     1. 
@389  eapvunv      2. 
@391  epvwk1       2. 
@393  epvwk2       2. 
@395  epvwk3       2. 
@397  epvwk4       2. 
@399  epvwk5       2. 
@401  apvwk        1. 
@402  epvmilwk     4. 
@406  apvmilwk     1. 
@407  epvpaprk     2. 
@409  apvpaprk     1. 
@410  epvpaywk     4. 
@414  apvpaywk     1. 
@415  epvcomut     5. 
@420  apvcomut     1. 
@421  epvwkexp     2. 
@423  apvwkexp     1. 
@424  epvanexp     5. 
@429  apvanexp     1. 
@430  epvchild     2. 
@432  apvchild     1. 
@433  epvmancd     2. 
@435  apvmancd     1. 
@436  epvmosup     2. 
@438  apvmosup     1. 
@439  tpvchpa1     4. 
@443  tpvchpa2     4. 
@447  tpvchpa3     4. 
@451  tpvchpa4     4. 
@455  apvchpa      1. 
@456  epvccarr     2. 
@458  apvccarr     1. 
@459  tpvccfp1     3. 
@462  apvccfp1     1. 
@463  tpvccfp2     3. 
@466  apvccfp2     1. 
@467  tpvccfp3     3. 
@470  apvccfp3     1. 
@471  tpvccfp4     3. 
@474  apvccfp4     1. 
@475  epvccoth     2. 
@477  apvccoth     1. 
@478  epvcwho1     2. 
@480  epvcwho2     2. 
@482  epvcwho3     2. 
@484  epvcwho4     2. 
@486  epvcwho5     2. 
@488  apvcwho      1. 
@489  evbunv1      2. 
@491  evbno1       2. 
@493  evbow1       3. 
@496  avbow1       1. 
@497  tvbva1       7. 
@504  avbva1       1. 
@505  tvbde1       6. 
@511  avbde1       1. 
@512  evbunv2      2. 
@514  evbno2       2. 
@516  evbow2       3. 
@519  avbow2       1. 
@520  tvbva2       7. 
@527  avbva2       1. 
@528  tvbde2       6. 
@534  avbde2       1. 
@535  eaoaunv      2. 
@537  eoaeq        8. 
@545  aoaeq        1. 
@546  tiajta       6. 
@552  aiajta       1. 
@553  tiaita       6. 
@559  aiaita       1. 
@560  timja        6. 
@566  aimja        1. 
@567  timia        7. 
@574  aimia        1. 
@575  esmjm        2. 
@577  asmjm        1. 
@578  esmjs        2. 
@580  asmjs        1. 
@581  esmjv        9. 
@590  asmjv        1. 
@591  esmjma       2. 
@593  asmjma       1. 
@594  esmjmav      8. 
@602  asmjmav      1. 
@603  esmi         2. 
@605  asmi         1. 
@606  esmiv        9. 
@615  asmiv        1. 
@616  esmima       2. 
@618  asmima       1. 
@619  esmimav      8. 
@627  asmimav      1. 
@628  erjown       2. 
@630  arjown       1. 
@631  erjnum       2. 
@633  arjnum       1. 
@634  erjtyp1      2. 
@636  arjtyp1      1. 
@637  erjtyp2      2. 
@639  arjtyp2      1. 
@640  erjtyp3      2. 
@642  arjtyp3      1. 
@643  erjtyp4      2. 
@645  arjtyp4      1. 
@646  erjtyp5      2. 
@648  arjtyp5      1. 
@649  erjtyp6      2. 
@651  arjtyp6      1. 
@652  erjat        2. 
@654  arjat        1. 
@655  erjata       2. 
@657  arjata       1. 
@658  trjmv        6. 
@664  arjmv        1. 
@665  erjdeb       2. 
@667  arjdeb       1. 
@668  trjpri       6. 
@674  arjpri       1. 
@675  eriown       2. 
@677  ariown       1. 
@678  erinum       2. 
@680  arinum       1. 
@681  eritype1     2. 
@683  aritype1     1. 
@684  eritype2     2. 
@686  aritype2     1. 
@687  eritype3     2. 
@689  aritype3     1. 
@690  eritype4     2. 
@692  aritype4     1. 
@693  eritype5     2. 
@695  aritype5     1. 
@696  eritype6     2. 
@698  aritype6     1. 
@699  eriat        2. 
@701  ariat        1. 
@702  eriata       2. 
@704  ariata       1. 
@705  trimv        7. 
@712  arimv        1. 
@713  erideb       2. 
@715  arideb       1. 
@716  tripri       6. 
@722  aripri       1. 
@723  ertown       2. 
@725  artown       1. 
@726  ertnum       2. 
@728  artnum       1. 
@729  erttype1     2. 
@731  arttype1     1. 
@732  erttype2     2. 
@734  arttype2     1. 
@735  erttype3     2. 
@737  arttype3     1. 
@738  erttype4     2. 
@740  arttype4     1. 
@741  erttype5     2. 
@743  arttype5     1. 
@744  erttype6     2. 
@746  arttype6     1. 
@747  trtmv        7. 
@754  artmv        1. 
@755  ertdeb       2. 
@757  artdeb       1. 
@758  trtpri       7. 
@765  artpri       1. 
@766  trtsha       7. 
@773  artsha       1. 
@774  tmjp         6. 
@780  amjp         1. 
@781  tmip         6. 
@787  amip         1. 
@788  ealunv       2. 
@790  ealow        2. 
@792  aalow        1. 
@793  ealowa       8. 
@801  aalowa       1. 
@802  ealsb        2. 
@804  aalsb        1. 
@805  talsbv       5. 
@810  aalsbv       1. 
@811  ealjch       2. 
@813  aaljch       1. 
@814  taljcha      4. 
@818  aaljcha      1. 
@819  ealjdb       2. 
@821  aaljdb       1. 
@822  ealjdl       2. 
@824  aaljdl       1. 
@825  ealjdo       2. 
@827  aaljdo       1. 
@828  ealjdab      8. 
@836  aaljdab      1. 
@837  ealjdal      8. 
@845  aaljdal      1. 
@846  ealjdao      8. 
@854  aaljdao      1. 
@855  ealich       2. 
@857  aalich       1. 
@858  talicha      4. 
@862  aalicha      1. 
@863  ealil        2. 
@865  aalil        1. 
@866  ealidb       2. 
@868  aalidb       1. 
@869  ealidl       2. 
@871  aalidl       1. 
@872  ealido       2. 
@874  aalido       1. 
@875  ealidab      8. 
@883  aalidab      1. 
@884  ealidal      8. 
@892  aalidal      1. 
@893  ealidao      8. 
@901  aalidao      1. 
@902  ealr         2. 
@904  aalr         1. 
@905  ealry        2. 
@907  aalry        1. 
@908  talrb        6. 
@914  aalrb        1. 
@915  ealra1       2. 
@917  aalra1       1. 
@918  ealra2       2. 
@920  aalra2       1. 
@921  ealra3       2. 
@923  aalra3       1. 
@924  ealra4       2. 
@926  aalra4       1. 
@927  ealk         2. 
@929  aalk         1. 
@930  ealky        2. 
@932  aalky        1. 
@933  talkb        6. 
@939  aalkb        1. 
@940  ealka1       2. 
@942  aalka1       1. 
@943  ealka2       2. 
@945  aalka2       1. 
@946  ealka3       2. 
@948  aalka3       1. 
@949  ealka4       2. 
@951  aalka4       1. 
@952  ealt         2. 
@954  aalt         1. 
@955  ealty        2. 
@957  aalty        1. 
@958  taltb        6. 
@964  aaltb        1. 
@965  ealta1       2. 
@967  aalta1       1. 
@968  ealta2       2. 
@970  aalta2       1. 
@971  ealta3       2. 
@973  aalta3       1. 
@974  ealta4       2. 
@976  aalta4       1. 
@977  ealli        2. 
@979  aalli        1. 
@980  talliv       7. 
@987  aalliv       1. 
@988  eallit       2. 
@990  aallit       1. 
@991  eallie       2. 
@993  aallie       1. 
@994  talliev      6. 
@1000 aalliev      1. 
@1001 ehreunv      2. 
@1003 eremobho     2. 
@1005 aremobho     1. 
@1006 ehowner1     4. 
@1010 ahowner1     1. 
@1011 ehowner2     4. 
@1015 ahowner2     1. 
@1016 ehowner3     4. 
@1020 ehbuymo      2. 
@1022 ahbuymo      1. 
@1023 ehbuyyr      4. 
@1027 ahbuyyr      1. 
@1028 ehmort       2. 
@1030 ahmort       1. 
@1031 enummort     2. 
@1033 anummort     1. 
@1034 tmor1pr      6. 
@1040 amor1pr      1. 
@1041 emor1yr      4. 
@1045 amor1yr      1. 
@1046 emor1mo      2. 
@1048 amor1mo      1. 
@1049 tmor1amt     6. 
@1055 amor1amt     1. 
@1056 emor1yrs     3. 
@1059 amor1yrs     1. 
@1060 emor1int    4.2 
@1064 amor1int     1. 
@1065 emor1var     2. 
@1067 amor1var     1. 
@1068 emor1pgm     2. 
@1070 amor1pgm     1. 
@1071 tmor2pr      1. 
@1072 amor2pr      1. 
@1073 emor2yr      4. 
@1077 amor2yr      1. 
@1078 emor2mo      2. 
@1080 amor2mo      1. 
@1081 tmor2amt     1. 
@1082 amor2amt     1. 
@1083 emor2yrs     3. 
@1086 amor2yrs     1. 
@1087 emor2int    4.2 
@1091 amor2int     1. 
@1092 emor2var     2. 
@1094 amor2var     1. 
@1095 emor2pgm     2. 
@1097 amor2pgm     1. 
@1098 tmor3pr      1. 
@1099 amor3pr      1. 
@1100 tpropval     6. 
@1106 apropval     1. 
@1107 emhloan      2. 
@1109 amhloan      1. 
@1110 emhtype      2. 
@1112 amhtype      1. 
@1113 tmhpr        5. 
@1118 amhpr        1. 
@1119 tmhval       6. 
@1125 amhval       1. 
@1126 thomeamt     4. 
@1130 ahomeamt     1. 
@1131 tutils       3. 
@1134 autils       1. 
@1135 eperspay     2. 
@1137 aperspay     1. 
@1138 eperspya     4. 
@1142 aperspya     1. 
@1143 eperspy1     4. 
@1147 aperspy1     1. 
@1148 eperspy2     4. 
@1152 eperspy3     4. 
@1156 tpersam1     4. 
@1160 apersam1     1. 
@1161 tpersam2     3. 
@1164 apersam2     1. 
@1165 tpersam3     3. 
@1168 apersam3     1. 
@1169 epaycare     2. 
@1171 apaycare     1. 
@1172 tcarecst     4. 
@1176 acarecst     1. 
@1177 eothre       2. 
@1179 aothre       1. 
@1180 eothreo1     4. 
@1184 aothreo1     1. 
@1185 eothreo2     4. 
@1189 eothreo3     4. 
@1193 tothreva     6. 
@1199 aothreva     1. 
@1200 eautoown     2. 
@1202 aautoown     1. 
@1203 eautonum     2. 
@1205 aautonum     1. 
@1206 ea1own1      4. 
@1210 aa1own1      1. 
@1211 ea1own2      4. 
@1215 tcarval1     5. 
@1220 acarval1     1. 
@1221 ta1year      4. 
@1225 ea1owed      2. 
@1227 aa1owed      1. 
@1228 ta1amt       5. 
@1233 aa1amt       1. 
@1234 ea1use       2. 
@1236 aa1use       1. 
@1237 ea2own1      4. 
@1241 aa2own1      1. 
@1242 ea2own2      4. 
@1246 tcarval2     5. 
@1251 acarval2     1. 
@1252 ta2year      4. 
@1256 ea2owed      2. 
@1258 aa2owed      1. 
@1259 ta2amt       5. 
@1264 aa2amt       1. 
@1265 ea2use       2. 
@1267 aa2use       1. 
@1268 ea3own1      4. 
@1272 aa3own1      1. 
@1273 ea3own2      4. 
@1277 tcarval3     5. 
@1282 acarval3     1. 
@1283 ta3year      4. 
@1287 ea3owed      2. 
@1289 aa3owed      1. 
@1290 ta3amt       5. 
@1295 aa3amt       1. 
@1296 ea3use       2. 
@1298 aa3use       1. 
@1299 eothveh      2. 
@1301 aothveh      1. 
@1302 eovmtrcy     2. 
@1304 aovmtrcy     1. 
@1305 eovboat      2. 
@1307 aovboat      1. 
@1308 eovrv        2. 
@1310 aovrv        1. 
@1311 eovothrv     2. 
@1313 aovothrv     1. 
@1314 eov1own1     4. 
@1318 aov1own1     1. 
@1319 eov1own2     4. 
@1323 tov1val      5. 
@1328 aov1val      1. 
@1329 eov1owe      2. 
@1331 aov1owe      1. 
@1332 tov1amt      5. 
@1337 aov1amt      1. 
@1338 eov2own1     4. 
@1342 aov2own1     1. 
@1343 eov2own2     4. 
@1347 tov2val      5. 
@1352 aov2val      1. 
@1353 eov2owe      2. 
@1355 aov2owe      1. 
@1356 tov2amt      5. 
@1361 aov2amt      1. 
@1362 thhtnw      10. 
@1372 thhtwlth    10. 
@1382 thhtheq     10. 
@1392 thhmortg    10. 
@1402 thhvehcl    10. 
@1412 thhbeq      10. 
@1422 thhintbk    10. 
@1432 thhintot    10. 
@1442 rhhstk      10. 
@1452 thhore      10. 
@1462 thhotast    10. 
@1472 thhira      10. 
@1482 thhthrif    10. 
@1492 thhdebt     10. 
@1502 thhscdbt    10. 
@1512 rhhuscbt    10. 
;

PROC FORMAT cntlout=in.fsp01t3;

;
VALUE spanel  	(default=32)
	1996      =  "Panel Year"                    
;
VALUE tfipsst 	(default=32)
	1         =  "Alabama"                       
	2         =  "Alaska"                        
	4         =  "Arizona"                       
	5         =  "Arkansas"                      
	6         =  "California"                    
	8         =  "Colorado"                      
	9         =  "Connecticut"                   
	10        =  "Delaware"                      
	11        =  "DC"                            
	12        =  "Florida"                       
	13        =  "Georgia"                       
	15        =  "Hawaii"                        
	16        =  "Idaho"                         
	17        =  "Illinois"                      
	18        =  "Indiana"                       
	19        =  "Iowa"                          
	20        =  "Kansas"                        
	21        =  "Kentucky"                      
	22        =  "Louisiana"                     
	24        =  "Maryland"                      
	25        =  "Massachusetts"                 
	26        =  "Michigan"                      
	27        =  "Minnesota"                     
	28        =  "Mississippi"                   
	29        =  "Missouri"                      
	30        =  "Montana"                       
	31        =  "Nebraska"                      
	32        =  "Nevada"                        
	33        =  "New Hampshire"                 
	34        =  "New Jersey"                    
	35        =  "New Mexico"                    
	36        =  "New York"                      
	37        =  "North Carolina"                
	39        =  "Ohio"                          
	40        =  "Oklahoma"                      
	41        =  "Oregon"                        
	42        =  "Pennsylvania"                  
	44        =  "Rhode Island"                  
	45        =  "South Carolina"                
	47        =  "Tennessee"                     
	48        =  "Texas"                         
	49        =  "Utah"                          
	51        =  "Virginia"                      
	53        =  "Washington"                    
	54        =  "West Virginia"                 
	55        =  "Wisconsin"                     
	61        =  "Maine, Vermont"                
	62        =  "North Dakota, South Dakota,"   
;
VALUE sinthhid	(default=32)
	0         =  "Not in universe"               
;
VALUE eoutcome	(default=32)
	201       =  "Completed interview"           
	203       =  "Compl. partial- missing data; no"
	207       =  "Complete partial - TYPE-Z; no" 
	213       =  "TYPE-A, language problem"      
	215       =  "TYPE-A, insufficient partial"  
	216       =  "TYPE-A, no one home (noh)"     
	217       =  "TYPE-A, temporarily absent (ta)"
	218       =  "TYPE-A, hh refused"            
	219       =  "TYPE-A, other occupied (specify)"
	234       =  "TYPE-B, entire hh institut. or"
	248       =  "TYPE-C, other (specify)"       
	249       =  "TYPE-C, sample adjustment"     
	250       =  "TYPE-C, hh deceased"           
	251       =  "TYPE-C, moved out of country"  
	252       =  "TYPE-C, living in armed forces"
	253       =  "TYPE-C, on active duty in Armed"
	254       =  "TYPE-C, no one over age 15 years"
	255       =  "TYPE-C, no Wave 1 persons"     
	260       =  "TYPE-D, moved address unknown" 
	261       =  "TYPE-D, moved w/in U.S. but"   
	262       =  "Merged with another SIPP"      
	270       =  "Mover, no longer located in same"
	271       =  "Mover, new address located in" 
	280       =  "Newly spawned case outside fr's"
;
VALUE rfid2l  	(default=32)
	0         =  "Member of related subfamily"   
;
VALUE epopstat	(default=32)
	1         =  "Adult (15 years of age or older)"
	2         =  "Child (Under 15 years of age)" 
;
VALUE eppintvw	(default=32)
	1         =  "Interview (self)"              
	2         =  "Interview (proxy)"             
	3         =  "Noninterview - Type Z"         
	4         =  "Nonintrvw - pseudo Type Z.  Left"
	5         =  "Children under 15 during"      
;
VALUE eppmis4l	(default=32)
	1         =  "Interview"                     
	2         =  "Non-interview"                 
;
VALUE esex    	(default=32)
	1         =  "Male"                          
	2         =  "Female"                        
;
VALUE erace   	(default=32)
	1         =  "White"                         
	2         =  "Black"                         
	3         =  "American Indian, Aleut, or"    
	4         =  "Asian or Pacific Islander"     
;
VALUE eorigin 	(default=32)
	1         =  "Canadian"                      
	2         =  "Dutch"                         
	3         =  "English"                       
	4         =  "French"                        
	5         =  "French-Canadian"               
	6         =  "German"                        
	7         =  "Hungarian"                     
	8         =  "Irish"                         
	9         =  "Italian"                       
	10        =  "Polish"                        
	11        =  "Russian"                       
	12        =  "Scandinavian"                  
	13        =  "Scotch-Irish"                  
	14        =  "Scottish"                      
	15        =  "Slovak"                        
	16        =  "Welsh"                         
	17        =  "Other European"                
	20        =  "Mexican"                       
	21        =  "Mexican-American"              
	22        =  "Chicano"                       
	23        =  "Puerto Rican"                  
	24        =  "Cuban"                         
	25        =  "Central American"              
	26        =  "South American"                
	27        =  "Dominican Republic"            
	28        =  "Other Hispanic"                
	30        =  "African-American or"           
	31        =  "American Indian, Eskimo, or"   
	32        =  "Arab"                          
	33        =  "Asian"                         
	34        =  "Pacific Islander"              
	35        =  "West Indian"                   
	39        =  "Another group not listed"      
	40        =  "American"                      
;
VALUE errp    	(default=32)
	1         =  "Reference person w/ rel. persons"
	2         =  "Reference Person w/out rel."   
	3         =  "Spouse of reference person"    
	4         =  "Child of reference person"     
	5         =  "Grandchild of reference person"
	6         =  "Parent of reference person"    
	7         =  "Brother/sister of reference"   
	8         =  "Other relative of reference"   
	9         =  "Foster child of reference person"
	10        =  "Unmarried partner of reference"
	11        =  "Housemate/roommate"            
	12        =  "Roomer/boarder"                
	13        =  "Other non-relative of reference"
;
VALUE tage    	(default=32)
	0         =  "Less than 1 full year old"     
;
VALUE ems     	(default=32)
	1         =  "Married, spouse present"       
	2         =  "Married, Spouse absent"        
	3         =  "Widowed"                       
	4         =  "Divorced"                      
	5         =  "Separated"                     
	6         =  "Never Married"                 
;
VALUE epnspous	(default=32)
	9999      =  "Spouse not in hhld or person not"
;
VALUE epnmom  	(default=32)
	9999      =  "No mother in household"        
;
VALUE epndad  	(default=32)
	9999      =  "No father in household"        
;
VALUE epnguard	(default=32)
	-1        =  "Not in universe"               
	9999      =  "Guardian not in household"     
;
VALUE rdesgpnt	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE eeducate	(default=32)
	-1        =  "Not in universe"               
	31        =  "Less than 1st grade"           
	32        =  "1st, 2nd, 3rd or 4th grade"    
	33        =  "5th or 6th grade"              
	34        =  "7th or 8th grade"              
	35        =  "9th grade"                     
	36        =  "10th grade"                    
	37        =  "11th grade"                    
	38        =  "12th grade"                    
	39        =  "High school graduate - high"   
	40        =  "Some college but no degree"    
	41        =  "Diploma or certificate from a" 
	42        =  "Associate degree in college -" 
	43        =  "Associate Degree in college -" 
	44        =  "Bachelors degree (For example:"
	45        =  "Master's degree (For example:" 
	46        =  "Professional School Degree (For"
	47        =  "Doctorate degree (For example:"
;
VALUE emdunv  	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE tdonorid	(default=32)
	0         =  "Not in universe or did not"    
	1         =  "Received data from a Donor"    
;
VALUE ehouspay	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahouspay	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE efoodpay	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE afoodpay	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eexppay 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aexppay 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehhpay  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahhpay  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ewhopy0y	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy0k	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy0l	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy0m	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy0n	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy0o	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy0p	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy0q	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy0r	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy1y	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy1k	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy1l	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy1m	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy1n	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy1o	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy1p	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy1q	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy1r	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy1s	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy2y	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy2k	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy2l	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy2m	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy2n	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy2o	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy2p	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy2q	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy2r	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy2s	(default=32)
	-1        =  "Not in universe"               
;
VALUE ewhopy3y	(default=32)
	-1        =  "Not in universe"               
;
VALUE awhopy  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehltstat	(default=32)
	-1        =  "Not in universe"               
	1         =  "Excellent"                     
	2         =  "Very Good"                     
	3         =  "Good"                          
	4         =  "Fair"                          
	5         =  "Poor"                          
;
VALUE ahltstat	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehospsta	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahospsta	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehospnit	(default=32)
	0         =  "None or not in universe"       
;
VALUE ahospnit	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehreas1l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahreas1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehreas2l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahreas2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehreas3l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahreas3l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehreas4l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahreas4l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehreas5l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahreas5l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehreas6l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahreas6l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE edocnum 	(default=32)
	0         =  "None or not in universe"       
;
VALUE adocnum 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE thipay  	(default=32)
	0         =  "Not in universe or none"       
;
VALUE ahipay  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epresdrg	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apresdrg	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE edalydrg	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE adalydrg	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eflshyn 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE evisdent	(default=32)
	0         =  "None or not in universe"       
;
VALUE avisdent	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE edenseal	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE adenseal	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elostth 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE alostth 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eallth  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aallth  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE evisdoc 	(default=32)
	0         =  "None or not in universe"       
;
VALUE avisdoc 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emdspnd 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amdspnd 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emdspnds	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amdspnds	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE edaysick	(default=32)
	0         =  "None or not in universe"       
;
VALUE adaysick	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmdpay  	(default=32)
	0         =  "Not in universe or none"       
;
VALUE amdpay  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ereimb  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Total Cost"                    
	2         =  "Got Reimbursed"                
	3         =  "Expects to get reimbursed but" 
;
VALUE areimb  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE treimbur	(default=32)
	0         =  "None or not in universe"       
;
VALUE areimbur	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehspstas	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahspstas	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eprsdrgs	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aprsdrgs	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE evsdents	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE avsdents	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE evsdocs 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE avsdocs 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enowkyr 	(default=32)
	-1        =  "Not in universe"               
	1         =  "A year or longer"              
	2         =  "less than a year"              
;
VALUE anowkyr 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ewkfutr 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE awkfutr 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE trmoops 	(default=32)
	0         =  "None or not in universe"       
;
VALUE enoindnt	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE anoindnt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enoindoc	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE anoindoc	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enointrt	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE anointrt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enoinchk	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE anoinchk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enoindrg	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE anoindrg	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enoinpay	(default=32)
	-1        =  "Not in universe"               
	1         =  "Free"                          
	2         =  "Paid something"                
	3         =  "Both (if respondent volunteers)"
;
VALUE anoinpay	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enoindis	(default=32)
	-1        =  "Not in universe"               
	1         =  "Full price"                    
	2         =  "Reduced price"                 
	3         =  "Don't know"                    
;
VALUE anoindis	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enoininc	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE anoininc	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enoincln	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoiner 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinhsp	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinva 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoindr 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoindds	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinoth	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE anoinloc	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eapvunv 	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE epvwk1l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epvwk2l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epvwk3l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epvwk4l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epvwk5l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apvwk   	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE epvmilwk	(default=32)
	-1        =  "Not in universe"               
;
VALUE apvmilwk	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE epvpaprk	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apvpaprk	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE epvpaywk	(default=32)
	0         =  "Not in universe"               
;
VALUE apvpaywk	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE epvcomut	(default=32)
	0         =  "Not in universe"               
;
VALUE apvcomut	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE epvwkexp	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apvwkexp	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE epvanexp	(default=32)
	0         =  "Not in universe"               
;
VALUE apvanexp	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE epvchild	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apvchild	(default=32)
	0         =  "no imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE epvmancd	(default=32)
	-1        =  "Not in universe"               
;
VALUE apvmancd	(default=32)
	0         =  "no imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE epvmosup	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apvmosup	(default=32)
	0         =  "no imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE tpvchpap	(default=32)
	0         =  "None or not in universe"       
;
VALUE tpvchpak	(default=32)
	0         =  "None or not in universe"       
;
VALUE tpvchpal	(default=32)
	0         =  "None or not in universe"       
;
VALUE tpvchpam	(default=32)
	0         =  "None or not in universe"       
;
VALUE apvchpa 	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE epvccarr	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apvccarr	(default=32)
	0         =  "no imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE tpvccfpr	(default=32)
	0         =  "None or not in universe"       
;
VALUE apvccfpr	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE tpvccfpk	(default=32)
	0         =  "None or not in universe"       
;
VALUE apvccfpk	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE tpvccfpl	(default=32)
	0         =  "None or not in universe"       
;
VALUE apvccfpl	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE tpvccfpm	(default=32)
	0         =  "None or not in universe"       
;
VALUE apvccfpm	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE epvccoth	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apvccoth	(default=32)
	0         =  "no imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE epvcwhoh	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epvcwhok	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epvcwhol	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epvcwhom	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epvcwhon	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apvcwho 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE evbunv1l	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE evbno1l 	(default=32)
	-1        =  "Not in universe"               
;
VALUE evbow1l 	(default=32)
	0         =  "Not in universe"               
;
VALUE avbow1l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tvbva1l 	(default=32)
	0         =  "None or not in universe"       
;
VALUE avbva1l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tvbde1l 	(default=32)
	0         =  "None or not in universe"       
;
VALUE avbde1l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE evbunv2l	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE evbno2l 	(default=32)
	-1        =  "Not in universe"               
;
VALUE evbow2l 	(default=32)
	0         =  "Not in universe"               
;
VALUE avbow2l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tvbva2l 	(default=32)
	0         =  "None or not in universe"       
;
VALUE avbva2l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tvbde2l 	(default=32)
	0         =  "None or not in universe"       
;
VALUE avbde2l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eaoaunv 	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE eoaeq   	(default=32)
	0         =  "None or not in universe"       
;
VALUE aoaeq   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tiajta  	(default=32)
	0         =  "None or not in universe"       
;
VALUE aiajta  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tiaita  	(default=32)
	0         =  "None or not in universe"       
;
VALUE aiaita  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE timja   	(default=32)
	0         =  "None or not in universe"       
;
VALUE aimja   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE timia   	(default=32)
	0         =  "None or not in universe"       
;
VALUE aimia   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE esmjm   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE asmjm   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE esmjs   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE asmjs   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE esmjv   	(default=32)
	0         =  "None or not in universe"       
;
VALUE asmjv   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE esmjma  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE asmjma  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE esmjmav 	(default=32)
	0         =  "None or not in universe"       
;
VALUE asmjmav 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE esmi    	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE asmi    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE esmiv   	(default=32)
	0         =  "None or not in universe"       
;
VALUE asmiv   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE esmima  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE asmima  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE esmimav 	(default=32)
	0         =  "None or not in universe"       
;
VALUE asmimav 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjown  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE arjown  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjnum  	(default=32)
	0         =  "None or not in universe"       
;
VALUE arjnum  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjtyp1l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arjtyp1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjtyp2l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arjtyp2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjtyp3l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arjtyp3l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjtyp4l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arjtyp4l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjtyp5l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arjtyp5l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjtyp6l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arjtyp6l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjat   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE arjat   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjata  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE arjata  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE trjmv   	(default=32)
	0         =  "None or not in universe"       
;
VALUE arjmv   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjdeb  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE arjdeb  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE trjpri  	(default=32)
	0         =  "None or not in universe"       
;
VALUE arjpri  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eriown  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ariown  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erinum  	(default=32)
	0         =  "None or not in universe"       
;
VALUE arinum  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eritypem	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE aritypem	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eritypek	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE aritypek	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eritypel	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE aritypel	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eritypen	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE aritypen	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eritypeo	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE aritypeo	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eritypep	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE aritypep	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eriat   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ariat   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eriata  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ariata  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE trimv   	(default=32)
	0         =  "None or not in universe"       
;
VALUE arimv   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erideb  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE arideb  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tripri  	(default=32)
	0         =  "None or not in universe"       
;
VALUE aripri  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ertown  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE artown  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ertnum  	(default=32)
	0         =  "None or not in universe"       
;
VALUE artnum  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erttypem	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arttypem	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erttypek	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arttypek	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erttypel	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arttypel	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erttypen	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arttypen	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erttypeo	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arttypeo	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erttypep	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arttypep	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE trtmv   	(default=32)
	0         =  "None or not in universe"       
;
VALUE artmv   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ertdeb  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE artdeb  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE trtpri  	(default=32)
	0         =  "None or not in universe"       
;
VALUE artpri  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE trtsha  	(default=32)
	0         =  "None or not in universe"       
;
VALUE artsha  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmjp    	(default=32)
	0         =  "None or not in universe"       
;
VALUE amjp    	(default=32)
	0         =  "Not Imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmip    	(default=32)
	0         =  "None or not in universe"       
;
VALUE amip    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealunv  	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE ealow   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalow   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealowa  	(default=32)
	0         =  "Not in universe"               
;
VALUE aalowa  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealsb   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalsb   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE talsbv  	(default=32)
	0         =  "Not in universe"               
;
VALUE aalsbv  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealjch  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aaljch  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE taljcha 	(default=32)
	0         =  "None or not in universe"       
;
VALUE aaljcha 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealjdb  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aaljdb  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealjdl  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aaljdl  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealjdo  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aaljdo  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealjdab 	(default=32)
	0         =  "Not in universe"               
;
VALUE aaljdab 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealjdal 	(default=32)
	0         =  "Not in universe"               
;
VALUE aaljdal 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealjdao 	(default=32)
	0         =  "Not in universe"               
;
VALUE aaljdao 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealich  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalich  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE talicha 	(default=32)
	0         =  "None or not in universe"       
;
VALUE aalicha 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealil   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalil   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealidb  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalidb  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealidl  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalidl  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealido  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalido  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealidab 	(default=32)
	0         =  "Not in universe"               
;
VALUE aalidab 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealidal 	(default=32)
	0         =  "Not in universe"               
;
VALUE aalidal 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealidao 	(default=32)
	0         =  "Not in universe"               
;
VALUE aalidao 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealr    	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalr    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealry   	(default=32)
	-1        =  "Not in universe"               
;
VALUE aalry   	(default=32)
	0         =  "Not Imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE talrb   	(default=32)
	0         =  "None or not in universe"       
;
VALUE aalrb   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealra1l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalra1l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealra2l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalra2l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealra3l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalra3l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealra4l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalra4l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealk    	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalk    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealky   	(default=32)
	-1        =  "Not in universe"               
;
VALUE aalky   	(default=32)
	0         =  "Not Imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE talkb   	(default=32)
	0         =  "None or not in universe"       
;
VALUE aalkb   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealka1l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalka1l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealka2l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalka2l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealka3l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalka3l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealka4l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalka4l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealt    	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalt    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealty   	(default=32)
	-1        =  "Not in universe"               
;
VALUE aalty   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE taltb   	(default=32)
	0         =  "None or not in universe"       
;
VALUE aaltb   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealta1l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalta1l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealta2l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalta2l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealta3l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalta3l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealta4l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalta4l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealli   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalli   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE talliv  	(default=32)
	0         =  "Not in universe"               
;
VALUE aalliv  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eallit  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Term only"                     
	2         =  "Whole life only"               
	3         =  "Both types"                    
;
VALUE aallit  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eallie  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aallie  	(default=32)
	0         =  "Not Imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE talliev 	(default=32)
	0         =  "Not in universe"               
;
VALUE aalliev 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehreunv 	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE eremobho	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aremobho	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehownero	(default=32)
	-1        =  "Not in universe"               
;
VALUE ahownero	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehownerk	(default=32)
	-1        =  "Not in universe"               
;
VALUE ahownerk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)}"
;
VALUE ehownerl	(default=32)
	-1        =  "Not in universe"               
;
VALUE ehbuymo 	(default=32)
	-1        =  "Not in universe"               
;
VALUE ahbuymo 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehbuyyr 	(default=32)
	-1        =  "Not in universe"               
;
VALUE ahbuyyr 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehmort  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahmort  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enummort	(default=32)
	-1        =  "Not in universe"               
;
VALUE anummort	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmor1pr 	(default=32)
	0         =  "Not in universe"               
;
VALUE amor1pr 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor1yr 	(default=32)
	-1        =  "Not in universe"               
;
VALUE amor1yr 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor1mo 	(default=32)
	-1        =  "Not in universe"               
;
VALUE amor1mo 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmor1amt	(default=32)
	0         =  "None or not in universe"       
;
VALUE amor1amt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor1yrs	(default=32)
	-1        =  "Not in universe"               
;
VALUE amor1yrs	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor1int	(default=32)
	-1        =  "Not in universe"               
;
VALUE amor1int	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor1var	(default=32)
	-1        =  "Not in universe"               
	1         =  "Variable interest rate"        
	2         =  "Fixed interest rate"           
;
VALUE amor1var	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor1pgm	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes - FHA LOAN"                
	2         =  "Yes - VA LOAN"                 
	3         =  "No"                            
;
VALUE amor1pgm	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmor2pr 	(default=32)
	0         =  "Not in universe"               
	1         =  "Flag indicating principal on"  
;
VALUE amor2pr 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor2yr 	(default=32)
	-1        =  "Not in universe"               
;
VALUE amor2yr 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor2mo 	(default=32)
	-1        =  "Not in universe"               
;
VALUE amor2mo 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmor2amt	(default=32)
	0         =  "None or not in universe"       
	1         =  "Flag indicating second mortgage"
;
VALUE amor2amt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor2yrs	(default=32)
	-1        =  "Not in universe"               
;
VALUE amor2yrs	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor2int	(default=32)
	-1        =  "Not in universe"               
;
VALUE amor2int	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor2var	(default=32)
	-1        =  "Not in universe"               
	1         =  "Variable interest rate"        
	2         =  "Fixed interest rate"           
;
VALUE amor2var	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor2pgm	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes-FHA loan"                  
	2         =  "Yes-VA loan"                   
	3         =  "No"                            
;
VALUE amor2pgm	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmor3pr 	(default=32)
	0         =  "None or not in universe"       
	1         =  "Flag indicating principal"     
;
VALUE amor3pr 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tpropval	(default=32)
	0         =  "None or not in universe"       
;
VALUE apropval	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emhloan 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amhloan 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emhtype 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Mobile home only"              
	2         =  "Site only"                     
	3         =  "Site and home"                 
;
VALUE amhtype 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmhpr   	(default=32)
	0         =  "None or not in universe"       
;
VALUE amhpr   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmhval  	(default=32)
	0         =  "None or not in universe"       
;
VALUE amhval  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE thomeamt	(default=32)
	0         =  "None or not in universe"       
;
VALUE ahomeamt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tutils  	(default=32)
	0         =  "None or not in universe"       
;
VALUE autils  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eperspay	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aperspay	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eperspya	(default=32)
	-1        =  "Not in universe"               
;
VALUE aperspya	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eperspyk	(default=32)
	-1        =  "Not in universe"               
;
VALUE aperspyk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eperspyl	(default=32)
	-1        =  "Not in universe"               
;
VALUE eperspym	(default=32)
	-1        =  "Not in universe"               
;
VALUE tpersama	(default=32)
	0         =  "None or not in universe"       
;
VALUE apersama	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tpersamk	(default=32)
	0         =  "None or not in universe"       
;
VALUE apersamk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tpersaml	(default=32)
	0         =  "None or not in universe"       
;
VALUE apersaml	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epaycare	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apaycare	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tcarecst	(default=32)
	0         =  "None or not in universe"       
;
VALUE acarecst	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eothre  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aothre  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eothreoe	(default=32)
	-1        =  "Not in universe"               
;
VALUE aothreoe	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eothreok	(default=32)
	-1        =  "Not in universe"               
;
VALUE eothreol	(default=32)
	-1        =  "Not in universe"               
;
VALUE tothreva	(default=32)
	0         =  "None or not in universe"       
;
VALUE aothreva	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eautoown	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aautoown	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eautonum	(default=32)
	-1        =  "Not in universe"               
;
VALUE aautonum	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ea1own1l	(default=32)
	-1        =  "Not in universe"               
;
VALUE aa1own1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ea1own2l	(default=32)
	-1        =  "Not in universe"               
;
VALUE tcarvalm	(default=32)
	0         =  "None or not in universe"       
;
VALUE acarvalm	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ta1year 	(default=32)
	-1        =  "Not in universe"               
	9999      =  "Dont Know, Refusal, Blanks from"
;
VALUE ea1owed 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Money owed"                    
	2         =  "Free and clear"                
;
VALUE aa1owed 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ta1amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE aa1amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ea1use  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aa1use  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ea2own1l	(default=32)
	-1        =  "Not in universe"               
;
VALUE aa2own1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ea2own2l	(default=32)
	-1        =  "Not in universe"               
;
VALUE tcarvale	(default=32)
	0         =  "None or not in universe"       
;
VALUE acarvale	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ta2year 	(default=32)
	-1        =  "Not in universe"               
	9999      =  "Dont Know, Refusal, Blanks from"
;
VALUE ea2owed 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Money owed"                    
	2         =  "Free and clear"                
;
VALUE aa2owed 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ta2amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE aa2amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ea2use  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aa2use  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ea3own1l	(default=32)
	-1        =  "Not in universe"               
;
VALUE aa3own1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ea3own2l	(default=32)
	-1        =  "Not in universe"               
;
VALUE tcarvalk	(default=32)
	0         =  "None or not in universe"       
;
VALUE acarvalk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ta3year 	(default=32)
	-1        =  "Not in universe"               
	9999      =  "Dont Know, Refusal, Blanks from"
;
VALUE ea3owed 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Money owed"                    
	2         =  "Free and clear"                
;
VALUE aa3owed 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ta3amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE aa3amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ea3use  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aa3use  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eothveh 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aothveh 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eovmtrcy	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aovmtrcy	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eovboat 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aovboat 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eovrv   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "Not"                           
;
VALUE aovrv   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eovothrv	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "Not"                           
;
VALUE aovothrv	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eov1ownv	(default=32)
	-1        =  "Not in universe"               
;
VALUE aov1ownv	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eov1ownk	(default=32)
	-1        =  "Not in universe"               
;
VALUE tov1val 	(default=32)
	0         =  "None or not in universe"       
;
VALUE aov1val 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eov1owe 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Money owed"                    
	2         =  "Free and clear"                
;
VALUE aov1owe 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tov1amt 	(default=32)
	0         =  "None or not in universe"       
;
VALUE aov1amt 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eov2ownt	(default=32)
	-1        =  "Not in universe"               
;
VALUE aov2ownt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eov2ownk	(default=32)
	-1        =  "Not in universe"               
;
VALUE tov2val 	(default=32)
	0         =  "None or not in universe"       
;
VALUE aov2val 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eov2owe 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Money owed"                    
	2         =  "Free and clear"                
;
VALUE aov2owe 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tov2amt 	(default=32)
	0         =  "None or not in universe"       
;
VALUE aov2amt 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE thhtnw  	(default=32)
	0         =  "None or Not in universe"       
;
VALUE thhtwlth	(default=32)
	0         =  "None or Not in universe"       
;
VALUE thhtheq 	(default=32)
	0         =  "None or Not in universe"       
;
VALUE thhmortg	(default=32)
	0         =  "None or Not in universe"       
;
VALUE thhvehcl	(default=32)
	0         =  "None or Not in universe"       
;
VALUE thhbeq  	(default=32)
	0         =  "None or Not in universe"       
;
VALUE thhintbk	(default=32)
	0         =  "None or Not in universe"       
;
VALUE thhintot	(default=32)
	0         =  "None or Not in universe"       
;
VALUE rhhstk  	(default=32)
	0         =  "None or Not in universe"       
;
VALUE thhore  	(default=32)
	0         =  "None or Not in universe"       
;
VALUE thhotast	(default=32)
	0         =  "None or Not in universe"       
;
VALUE thhira  	(default=32)
	0         =  "None or Not in universe"       
;
VALUE thhthrif	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhdebt 	(default=32)
	0         =  "None or Not in universe"       
;
VALUE thhscdbt	(default=32)
	0         =  "None or Not in universe"       
;
VALUE rhhuscbt	(default=32)
	0         =  "None or Not in universe"       
;

FORMAT
	spanel     spanel.   
	tfipsst    tfipsst.  
	sinthhid   sinthhid. 
	eoutcome   eoutcome. 
	rfid2      rfid2l.   
	epopstat   epopstat. 
	eppintvw   eppintvw. 
	eppmis4    eppmis4l. 
	esex       esex.     
	erace      erace.    
	eorigin    eorigin.  
	errp       errp.     
	tage       tage.     
	ems        ems.      
	epnspous   epnspous. 
	epnmom     epnmom.   
	epndad     epndad.   
	epnguard   epnguard. 
	rdesgpnt   rdesgpnt. 
	eeducate   eeducate. 
	emdunv     emdunv.   
	tdonorid   tdonorid. 
	ehouspay   ehouspay. 
	ahouspay   ahouspay. 
	efoodpay   efoodpay. 
	afoodpay   afoodpay. 
	eexppay    eexppay.  
	aexppay    aexppay.  
	ehhpay     ehhpay.   
	ahhpay     ahhpay.   
	ewhopy01   ewhopy0y. 
	ewhopy02   ewhopy0k. 
	ewhopy03   ewhopy0l. 
	ewhopy04   ewhopy0m. 
	ewhopy05   ewhopy0n. 
	ewhopy06   ewhopy0o. 
	ewhopy07   ewhopy0p. 
	ewhopy08   ewhopy0q. 
	ewhopy09   ewhopy0r. 
	ewhopy10   ewhopy1y. 
	ewhopy11   ewhopy1k. 
	ewhopy12   ewhopy1l. 
	ewhopy13   ewhopy1m. 
	ewhopy14   ewhopy1n. 
	ewhopy15   ewhopy1o. 
	ewhopy16   ewhopy1p. 
	ewhopy17   ewhopy1q. 
	ewhopy18   ewhopy1r. 
	ewhopy19   ewhopy1s. 
	ewhopy20   ewhopy2y. 
	ewhopy21   ewhopy2k. 
	ewhopy22   ewhopy2l. 
	ewhopy23   ewhopy2m. 
	ewhopy24   ewhopy2n. 
	ewhopy25   ewhopy2o. 
	ewhopy26   ewhopy2p. 
	ewhopy27   ewhopy2q. 
	ewhopy28   ewhopy2r. 
	ewhopy29   ewhopy2s. 
	ewhopy30   ewhopy3y. 
	awhopy     awhopy.   
	ehltstat   ehltstat. 
	ahltstat   ahltstat. 
	ehospsta   ehospsta. 
	ahospsta   ahospsta. 
	ehospnit   ehospnit. 
	ahospnit   ahospnit. 
	ehreas1    ehreas1l. 
	ahreas1    ahreas1l. 
	ehreas2    ehreas2l. 
	ahreas2    ahreas2l. 
	ehreas3    ehreas3l. 
	ahreas3    ahreas3l. 
	ehreas4    ehreas4l. 
	ahreas4    ahreas4l. 
	ehreas5    ehreas5l. 
	ahreas5    ahreas5l. 
	ehreas6    ehreas6l. 
	ahreas6    ahreas6l. 
	edocnum    edocnum.  
	adocnum    adocnum.  
	thipay     thipay.   
	ahipay     ahipay.   
	epresdrg   epresdrg. 
	apresdrg   apresdrg. 
	edalydrg   edalydrg. 
	adalydrg   adalydrg. 
	eflshyn    eflshyn.  
	evisdent   evisdent. 
	avisdent   avisdent. 
	edenseal   edenseal. 
	adenseal   adenseal. 
	elostth    elostth.  
	alostth    alostth.  
	eallth     eallth.   
	aallth     aallth.   
	evisdoc    evisdoc.  
	avisdoc    avisdoc.  
	emdspnd    emdspnd.  
	amdspnd    amdspnd.  
	emdspnds   emdspnds. 
	amdspnds   amdspnds. 
	edaysick   edaysick. 
	adaysick   adaysick. 
	tmdpay     tmdpay.   
	amdpay     amdpay.   
	ereimb     ereimb.   
	areimb     areimb.   
	treimbur   treimbur. 
	areimbur   areimbur. 
	ehspstas   ehspstas. 
	ahspstas   ahspstas. 
	eprsdrgs   eprsdrgs. 
	aprsdrgs   aprsdrgs. 
	evsdents   evsdents. 
	avsdents   avsdents. 
	evsdocs    evsdocs.  
	avsdocs    avsdocs.  
	enowkyr    enowkyr.  
	anowkyr    anowkyr.  
	ewkfutr    ewkfutr.  
	awkfutr    awkfutr.  
	trmoops    trmoops.  
	enoindnt   enoindnt. 
	anoindnt   anoindnt. 
	enoindoc   enoindoc. 
	anoindoc   anoindoc. 
	enointrt   enointrt. 
	anointrt   anointrt. 
	enoinchk   enoinchk. 
	anoinchk   anoinchk. 
	enoindrg   enoindrg. 
	anoindrg   anoindrg. 
	enoinpay   enoinpay. 
	anoinpay   anoinpay. 
	enoindis   enoindis. 
	anoindis   anoindis. 
	enoininc   enoininc. 
	anoininc   anoininc. 
	enoincln   enoincln. 
	enoiner    enoiner.  
	enoinhsp   enoinhsp. 
	enoinva    enoinva.  
	enoindr    enoindr.  
	enoindds   enoindds. 
	enoinoth   enoinoth. 
	anoinloc   anoinloc. 
	eapvunv    eapvunv.  
	epvwk1     epvwk1l.  
	epvwk2     epvwk2l.  
	epvwk3     epvwk3l.  
	epvwk4     epvwk4l.  
	epvwk5     epvwk5l.  
	apvwk      apvwk.    
	epvmilwk   epvmilwk. 
	apvmilwk   apvmilwk. 
	epvpaprk   epvpaprk. 
	apvpaprk   apvpaprk. 
	epvpaywk   epvpaywk. 
	apvpaywk   apvpaywk. 
	epvcomut   epvcomut. 
	apvcomut   apvcomut. 
	epvwkexp   epvwkexp. 
	apvwkexp   apvwkexp. 
	epvanexp   epvanexp. 
	apvanexp   apvanexp. 
	epvchild   epvchild. 
	apvchild   apvchild. 
	epvmancd   epvmancd. 
	apvmancd   apvmancd. 
	epvmosup   epvmosup. 
	apvmosup   apvmosup. 
	tpvchpa1   tpvchpap. 
	tpvchpa2   tpvchpak. 
	tpvchpa3   tpvchpal. 
	tpvchpa4   tpvchpam. 
	apvchpa    apvchpa.  
	epvccarr   epvccarr. 
	apvccarr   apvccarr. 
	tpvccfp1   tpvccfpr. 
	apvccfp1   apvccfpr. 
	tpvccfp2   tpvccfpk. 
	apvccfp2   apvccfpk. 
	tpvccfp3   tpvccfpl. 
	apvccfp3   apvccfpl. 
	tpvccfp4   tpvccfpm. 
	apvccfp4   apvccfpm. 
	epvccoth   epvccoth. 
	apvccoth   apvccoth. 
	epvcwho1   epvcwhoh. 
	epvcwho2   epvcwhok. 
	epvcwho3   epvcwhol. 
	epvcwho4   epvcwhom. 
	epvcwho5   epvcwhon. 
	apvcwho    apvcwho.  
	evbunv1    evbunv1l. 
	evbno1     evbno1l.  
	evbow1     evbow1l.  
	avbow1     avbow1l.  
	tvbva1     tvbva1l.  
	avbva1     avbva1l.  
	tvbde1     tvbde1l.  
	avbde1     avbde1l.  
	evbunv2    evbunv2l. 
	evbno2     evbno2l.  
	evbow2     evbow2l.  
	avbow2     avbow2l.  
	tvbva2     tvbva2l.  
	avbva2     avbva2l.  
	tvbde2     tvbde2l.  
	avbde2     avbde2l.  
	eaoaunv    eaoaunv.  
	eoaeq      eoaeq.    
	aoaeq      aoaeq.    
	tiajta     tiajta.   
	aiajta     aiajta.   
	tiaita     tiaita.   
	aiaita     aiaita.   
	timja      timja.    
	aimja      aimja.    
	timia      timia.    
	aimia      aimia.    
	esmjm      esmjm.    
	asmjm      asmjm.    
	esmjs      esmjs.    
	asmjs      asmjs.    
	esmjv      esmjv.    
	asmjv      asmjv.    
	esmjma     esmjma.   
	asmjma     asmjma.   
	esmjmav    esmjmav.  
	asmjmav    asmjmav.  
	esmi       esmi.     
	asmi       asmi.     
	esmiv      esmiv.    
	asmiv      asmiv.    
	esmima     esmima.   
	asmima     asmima.   
	esmimav    esmimav.  
	asmimav    asmimav.  
	erjown     erjown.   
	arjown     arjown.   
	erjnum     erjnum.   
	arjnum     arjnum.   
	erjtyp1    erjtyp1l. 
	arjtyp1    arjtyp1l. 
	erjtyp2    erjtyp2l. 
	arjtyp2    arjtyp2l. 
	erjtyp3    erjtyp3l. 
	arjtyp3    arjtyp3l. 
	erjtyp4    erjtyp4l. 
	arjtyp4    arjtyp4l. 
	erjtyp5    erjtyp5l. 
	arjtyp5    arjtyp5l. 
	erjtyp6    erjtyp6l. 
	arjtyp6    arjtyp6l. 
	erjat      erjat.    
	arjat      arjat.    
	erjata     erjata.   
	arjata     arjata.   
	trjmv      trjmv.    
	arjmv      arjmv.    
	erjdeb     erjdeb.   
	arjdeb     arjdeb.   
	trjpri     trjpri.   
	arjpri     arjpri.   
	eriown     eriown.   
	ariown     ariown.   
	erinum     erinum.   
	arinum     arinum.   
	eritype1   eritypem. 
	aritype1   aritypem. 
	eritype2   eritypek. 
	aritype2   aritypek. 
	eritype3   eritypel. 
	aritype3   aritypel. 
	eritype4   eritypen. 
	aritype4   aritypen. 
	eritype5   eritypeo. 
	aritype5   aritypeo. 
	eritype6   eritypep. 
	aritype6   aritypep. 
	eriat      eriat.    
	ariat      ariat.    
	eriata     eriata.   
	ariata     ariata.   
	trimv      trimv.    
	arimv      arimv.    
	erideb     erideb.   
	arideb     arideb.   
	tripri     tripri.   
	aripri     aripri.   
	ertown     ertown.   
	artown     artown.   
	ertnum     ertnum.   
	artnum     artnum.   
	erttype1   erttypem. 
	arttype1   arttypem. 
	erttype2   erttypek. 
	arttype2   arttypek. 
	erttype3   erttypel. 
	arttype3   arttypel. 
	erttype4   erttypen. 
	arttype4   arttypen. 
	erttype5   erttypeo. 
	arttype5   arttypeo. 
	erttype6   erttypep. 
	arttype6   arttypep. 
	trtmv      trtmv.    
	artmv      artmv.    
	ertdeb     ertdeb.   
	artdeb     artdeb.   
	trtpri     trtpri.   
	artpri     artpri.   
	trtsha     trtsha.   
	artsha     artsha.   
	tmjp       tmjp.     
	amjp       amjp.     
	tmip       tmip.     
	amip       amip.     
	ealunv     ealunv.   
	ealow      ealow.    
	aalow      aalow.    
	ealowa     ealowa.   
	aalowa     aalowa.   
	ealsb      ealsb.    
	aalsb      aalsb.    
	talsbv     talsbv.   
	aalsbv     aalsbv.   
	ealjch     ealjch.   
	aaljch     aaljch.   
	taljcha    taljcha.  
	aaljcha    aaljcha.  
	ealjdb     ealjdb.   
	aaljdb     aaljdb.   
	ealjdl     ealjdl.   
	aaljdl     aaljdl.   
	ealjdo     ealjdo.   
	aaljdo     aaljdo.   
	ealjdab    ealjdab.  
	aaljdab    aaljdab.  
	ealjdal    ealjdal.  
	aaljdal    aaljdal.  
	ealjdao    ealjdao.  
	aaljdao    aaljdao.  
	ealich     ealich.   
	aalich     aalich.   
	talicha    talicha.  
	aalicha    aalicha.  
	ealil      ealil.    
	aalil      aalil.    
	ealidb     ealidb.   
	aalidb     aalidb.   
	ealidl     ealidl.   
	aalidl     aalidl.   
	ealido     ealido.   
	aalido     aalido.   
	ealidab    ealidab.  
	aalidab    aalidab.  
	ealidal    ealidal.  
	aalidal    aalidal.  
	ealidao    ealidao.  
	aalidao    aalidao.  
	ealr       ealr.     
	aalr       aalr.     
	ealry      ealry.    
	aalry      aalry.    
	talrb      talrb.    
	aalrb      aalrb.    
	ealra1     ealra1l.  
	aalra1     aalra1l.  
	ealra2     ealra2l.  
	aalra2     aalra2l.  
	ealra3     ealra3l.  
	aalra3     aalra3l.  
	ealra4     ealra4l.  
	aalra4     aalra4l.  
	ealk       ealk.     
	aalk       aalk.     
	ealky      ealky.    
	aalky      aalky.    
	talkb      talkb.    
	aalkb      aalkb.    
	ealka1     ealka1l.  
	aalka1     aalka1l.  
	ealka2     ealka2l.  
	aalka2     aalka2l.  
	ealka3     ealka3l.  
	aalka3     aalka3l.  
	ealka4     ealka4l.  
	aalka4     aalka4l.  
	ealt       ealt.     
	aalt       aalt.     
	ealty      ealty.    
	aalty      aalty.    
	taltb      taltb.    
	aaltb      aaltb.    
	ealta1     ealta1l.  
	aalta1     aalta1l.  
	ealta2     ealta2l.  
	aalta2     aalta2l.  
	ealta3     ealta3l.  
	aalta3     aalta3l.  
	ealta4     ealta4l.  
	aalta4     aalta4l.  
	ealli      ealli.    
	aalli      aalli.    
	talliv     talliv.   
	aalliv     aalliv.   
	eallit     eallit.   
	aallit     aallit.   
	eallie     eallie.   
	aallie     aallie.   
	talliev    talliev.  
	aalliev    aalliev.  
	ehreunv    ehreunv.  
	eremobho   eremobho. 
	aremobho   aremobho. 
	ehowner1   ehownero. 
	ahowner1   ahownero. 
	ehowner2   ehownerk. 
	ahowner2   ahownerk. 
	ehowner3   ehownerl. 
	ehbuymo    ehbuymo.  
	ahbuymo    ahbuymo.  
	ehbuyyr    ehbuyyr.  
	ahbuyyr    ahbuyyr.  
	ehmort     ehmort.   
	ahmort     ahmort.   
	enummort   enummort. 
	anummort   anummort. 
	tmor1pr    tmor1pr.  
	amor1pr    amor1pr.  
	emor1yr    emor1yr.  
	amor1yr    amor1yr.  
	emor1mo    emor1mo.  
	amor1mo    amor1mo.  
	tmor1amt   tmor1amt. 
	amor1amt   amor1amt. 
	emor1yrs   emor1yrs. 
	amor1yrs   amor1yrs. 
	emor1int   emor1int. 
	amor1int   amor1int. 
	emor1var   emor1var. 
	amor1var   amor1var. 
	emor1pgm   emor1pgm. 
	amor1pgm   amor1pgm. 
	tmor2pr    tmor2pr.  
	amor2pr    amor2pr.  
	emor2yr    emor2yr.  
	amor2yr    amor2yr.  
	emor2mo    emor2mo.  
	amor2mo    amor2mo.  
	tmor2amt   tmor2amt. 
	amor2amt   amor2amt. 
	emor2yrs   emor2yrs. 
	amor2yrs   amor2yrs. 
	emor2int   emor2int. 
	amor2int   amor2int. 
	emor2var   emor2var. 
	amor2var   amor2var. 
	emor2pgm   emor2pgm. 
	amor2pgm   amor2pgm. 
	tmor3pr    tmor3pr.  
	amor3pr    amor3pr.  
	tpropval   tpropval. 
	apropval   apropval. 
	emhloan    emhloan.  
	amhloan    amhloan.  
	emhtype    emhtype.  
	amhtype    amhtype.  
	tmhpr      tmhpr.    
	amhpr      amhpr.    
	tmhval     tmhval.   
	amhval     amhval.   
	thomeamt   thomeamt. 
	ahomeamt   ahomeamt. 
	tutils     tutils.   
	autils     autils.   
	eperspay   eperspay. 
	aperspay   aperspay. 
	eperspya   eperspya. 
	aperspya   aperspya. 
	eperspy1   eperspyk. 
	aperspy1   aperspyk. 
	eperspy2   eperspyl. 
	eperspy3   eperspym. 
	tpersam1   tpersama. 
	apersam1   apersama. 
	tpersam2   tpersamk. 
	apersam2   apersamk. 
	tpersam3   tpersaml. 
	apersam3   apersaml. 
	epaycare   epaycare. 
	apaycare   apaycare. 
	tcarecst   tcarecst. 
	acarecst   acarecst. 
	eothre     eothre.   
	aothre     aothre.   
	eothreo1   eothreoe. 
	aothreo1   aothreoe. 
	eothreo2   eothreok. 
	eothreo3   eothreol. 
	tothreva   tothreva. 
	aothreva   aothreva. 
	eautoown   eautoown. 
	aautoown   aautoown. 
	eautonum   eautonum. 
	aautonum   aautonum. 
	ea1own1    ea1own1l. 
	aa1own1    aa1own1l. 
	ea1own2    ea1own2l. 
	tcarval1   tcarvalm. 
	acarval1   acarvalm. 
	ta1year    ta1year.  
	ea1owed    ea1owed.  
	aa1owed    aa1owed.  
	ta1amt     ta1amt.   
	aa1amt     aa1amt.   
	ea1use     ea1use.   
	aa1use     aa1use.   
	ea2own1    ea2own1l. 
	aa2own1    aa2own1l. 
	ea2own2    ea2own2l. 
	tcarval2   tcarvale. 
	acarval2   acarvale. 
	ta2year    ta2year.  
	ea2owed    ea2owed.  
	aa2owed    aa2owed.  
	ta2amt     ta2amt.   
	aa2amt     aa2amt.   
	ea2use     ea2use.   
	aa2use     aa2use.   
	ea3own1    ea3own1l. 
	aa3own1    aa3own1l. 
	ea3own2    ea3own2l. 
	tcarval3   tcarvalk. 
	acarval3   acarvalk. 
	ta3year    ta3year.  
	ea3owed    ea3owed.  
	aa3owed    aa3owed.  
	ta3amt     ta3amt.   
	aa3amt     aa3amt.   
	ea3use     ea3use.   
	aa3use     aa3use.   
	eothveh    eothveh.  
	aothveh    aothveh.  
	eovmtrcy   eovmtrcy. 
	aovmtrcy   aovmtrcy. 
	eovboat    eovboat.  
	aovboat    aovboat.  
	eovrv      eovrv.    
	aovrv      aovrv.    
	eovothrv   eovothrv. 
	aovothrv   aovothrv. 
	eov1own1   eov1ownv. 
	aov1own1   aov1ownv. 
	eov1own2   eov1ownk. 
	tov1val    tov1val.  
	aov1val    aov1val.  
	eov1owe    eov1owe.  
	aov1owe    aov1owe.  
	tov1amt    tov1amt.  
	aov1amt    aov1amt.  
	eov2own1   eov2ownt. 
	aov2own1   aov2ownt. 
	eov2own2   eov2ownk. 
	tov2val    tov2val.  
	aov2val    aov2val.  
	eov2owe    eov2owe.  
	aov2owe    aov2owe.  
	tov2amt    tov2amt.  
	aov2amt    aov2amt.  
	thhtnw     thhtnw.   
	thhtwlth   thhtwlth. 
	thhtheq    thhtheq.  
	thhmortg   thhmortg. 
	thhvehcl   thhvehcl. 
	thhbeq     thhbeq.   
	thhintbk   thhintbk. 
	thhintot   thhintot. 
	rhhstk     rhhstk.   
	thhore     thhore.   
	thhotast   thhotast. 
	thhira     thhira.   
	thhthrif   thhthrif. 
	thhdebt    thhdebt.  
	thhscdbt   thhscdbt. 
	rhhuscbt   rhhuscbt. 
;


data check; set s01tm3;
if ealunv=-1 then thhtnw=.;
if eeducate=-1 then eeducate=.;
if ereimb=-1 then ereimb=.;

keep thhtnw ealunv emdunv tmdpay treimbur ereimb areimb areimbur thipay
spanel swave srotaton ssuid  swave shhadid eoutcome eentaid epppnum epopstat eppintvw eppmis4 esex erace eorigin wpfinwgt errp tage ems eeducate;
run;

proc means; 
proc freq; tables ealunv emdunv eoutcome epopstat eppintvw esex erace eorigin errp tage ems eeducate; 
proc univariate; var thhtnw tmdpay; 
run;

proc sort data = check; by ssuid eentaid epppnum;

data in.tm2001w3; set check; by ssuid eentaid epppnum;
if first.ssuid then do;
   hhsize=0; huseduc=.; wifeeduc=.; husrace=.; wiferace=.; husage=.; wifeage=.; numadults=0; numkids=0; numkids05=0; numkids611=0; numkids1217=0; 
   numkids1824=0; numothrelkid=0; numothreladult=0; numothnonrelkid=0; numothnonreladult=0; hushispanic=.; wifehispanic=.; married=0; numkids1824=0;
   husmed=.; wifemed=.; kidmed=0; othmed=0; totfammed=0; networth=.; premium=.;
end;

keep ssuid spanel swave srotaton hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth WPFINWGT premium;

retain hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth premium;

hhsize = hhsize + 1;
if errp=1 or errp=2 or errp=3 then do; 
   if errp=1 or errp=2 then networth = thhtnw;
   if ems=1 then married=1;
   numadults = numadults + 1;
   if esex=1 then do; 
      huseduc=eeducate; husrace=erace; husage=tage; hushispanic= 0; if eorigin>=20 and eorigin<=28 then hushispanic=1; husmed = tmdpay; premium =thipay; totfammed = totfammed + tmdpay; 
   end;
   if esex=2 then do; 
      wifeeduc=eeducate; wiferace=erace; wifeage=tage; wifehispanic= 0; if eorigin>=20 and eorigin<=28 then wifehispanic=1; wifemed = tmdpay; 
      if premium=. or thipay>premium then premium=thipay; totfammed = totfammed + tmdpay;  
   end;
end;
if errp=4 then do;
   kidmed = kidmed + tmdpay; totfammed = totfammed + tmdpay; 
   numkids = numkids + 1;
   if tage<=5 then numkids05 = numkids05 + 1;
   if tage>=6 and tage<=11 then numkids611 = numkids611 + 1;
   if tage>=12 and tage<=17 then numkids1217 = numkids1217 + 1;
   if tage>=18 and tage<=24 then numkids1824 = numkids1824 + 1;
end;
if errp>=5 and errp<=8 then do; 
   if tage<18 then numothrelkid=numothrelkid+1; if tage>=18 then numothreladult = numothreladult + 1; othmed = othmed + tmdpay;  
end;
if errp>=9 then do; 
   if tage<18 then numothnonrelkid=numothnonrelkid+1; if tage>=18 then numothnonreladult = numothnonreladult + 1;othmed = othmed + tmdpay; 
end; 

if last.ssuid then output;

proc means; 
proc freq; tables hhsize huseduc wifeeduc husrace wiferace husrace*wiferace numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic*wifehispanic numkids1824; 
proc univariate; var networth husmed wifemed kidmed othmed totfammed; 
run;
