options pagesize=80 linesize=140 nocenter;
libname in "C:\Documents and Settings\David Blau\My Documents\Saving_and_Retirement\sipp\data";

FILENAME datafile "C:\Documents and Settings\David Blau\My Documents\Saving_and_Retirement\sipp\data\sipp01t7.dat ";

DATA s01tm7;

INFILE datafile LRECL = 20000 ;

attrib  ssuseq       length=4     label="SU: Sequence Number of Sample Unit - Primary";
attrib  ssuid        length=$12   label="SU: Sample Unit Identifier";           
attrib  spanel       length=4     label="SU: Sample Code - Indicates Panel Year";
attrib  swave        length=3     label="SU: Wave of data collection";          
attrib  srotaton     length=3     label="SU: Rotation of data collection";      
attrib  tfipsst      length=3     label="SU: FIPS State Code for fifth month household";
attrib  shhadid      length=3     label="SU: Hhld Address ID in fourth reference month";
attrib  sinthhid     length=3     label="SU: Hhld Address ID of person in interview";
attrib  eoutcome     length=3     label="HH: Interview Status code for fifth month";
attrib  rfid         length=3     label="FA: Family ID Number in month four";   
attrib  rfid2        length=3     label="FA: Family ID excluding related subfamily";
attrib  eppidx       length=3     label="PE: Person index";                     
attrib  eentaid      length=$3    label="PE: Address ID of hhld where person entered";
attrib  epppnum      length=$4    label="PE: Person number";                    
attrib  epopstat     length=3     label="PE: Population status based on age in fourth";
attrib  eppintvw     length=3     label="PE: Person's interview status at time of";
attrib  eppmis4      length=3     label="PE: Person's 4th month interview status";
attrib  esex         length=3     label="PE: Sex of this person";               
attrib  erace        length=3     label="PE: Race of this person";              
attrib  eorigin      length=3     label="PE: Origin of this person";            
attrib  wpfinwgt     length=8     label="WW: Person weight";                    
attrib  errp         length=3     label="PE: Household relationship";           
attrib  tage         length=3     label="PE: Age as of last birthday";          
attrib  ems          length=3     label="PE: Marital status";                   
attrib  epnspous     length=4     label="PE: Person number of spouse";          
attrib  epnmom       length=4     label="PE: Person number of mother";          
attrib  epndad       length=4     label="PE: Person number of father";          
attrib  epnguard     length=4     label="PE: Person number of guardian";        
attrib  rdesgpnt     length=3     label="PE: Designated parent or guardian flag";
attrib  eeducate     length=3     label="ED: Highest Degree received or grade completed";
attrib  lgtkey       length=$8    label="PE: Person longitudinal key";          
attrib  eaicunv      length=3     label="IC: Universe indicator.";              
attrib  epvdcare     length=3     label="IC: Provides care or assistance to HH or NH";
attrib  apvdcare     length=3     label="IC: Allocation flag for EPVDCARE";     
attrib  ecarehhm     length=3     label="IC: Provides care or assistance to household";
attrib  acarehhm     length=3     label="IC: Allocation flag for ECAREHHM";     
attrib  tnumhhm      length=3     label="IC: Provide care/assistance to- number of HH";
attrib  anumhhm      length=3     label="IC: Allocation flag for TNUMHHM";      
attrib  ehhm1        length=4     label="IC: For which person(s) assist provided to";
attrib  ahhm1        length=3     label="IC: Allocation flag for EHHM1";        
attrib  erelt01      length=3     label="IC: Relationship of giver to HH receiver 1";
attrib  arelt01      length=3     label="IC: Allocation flag for ERELT01";      
attrib  tyrst01      length=3     label="IC: Number of years care provided to HH";
attrib  ayrst01      length=3     label="IC: Allocation flag for TYRST01";      
attrib  eadlt01      length=3     label="IC: Dress assistance provided to HH member 1";
attrib  aadlt01      length=3     label="IC: Allocation flag for EADLT01";      
attrib  emedt01      length=3     label="IC: Medical assistance provided to HH member 1";
attrib  amedt01      length=3     label="IC: Allocation flag for EMEDT01";      
attrib  emnyt01      length=3     label="IC: Financial assistance provided to HH";
attrib  amnyt01      length=3     label="IC: Allocation flag for EMNYT01";      
attrib  eoutt01      length=3     label="IC: Transportation assistance provided to HH";
attrib  aoutt01      length=3     label="IC: Allocation flag for EOUTT01";      
attrib  eothlp01     length=3     label="IC: Other assistance provided to HH member 1";
attrib  aothlp01     length=3     label="IC: Allocation flag for EOTHLP01";     
attrib  thrst01      length=3     label="IC: Hours per week care provided to HH member";
attrib  ahrst01      length=3     label="IC: Allocation flag for THRST01";      
attrib  eopt01       length=3     label="IC: Similar unpaid care provided by other to";
attrib  aopt01       length=3     label="IC: Allocation flag for EOPT01";       
attrib  thrst02      length=3     label="IC: Hrs unpaid care/assistance by other(s) to";
attrib  ahrst02      length=3     label="IC: Allocation flag for THRST02";      
attrib  ehct01       length=3     label="IC: Receipt of professional hlth care";
attrib  ahct01       length=3     label="IC: Allocation flag for EHCT01";       
attrib  thrst03      length=3     label="IC: Hrs of professional care/assistance to HH";
attrib  ahrst03      length=3     label="IC: Allocation flag for THRST03";      
attrib  ehhm2        length=4     label="IC: For which person(s) assist provided to";
attrib  ahhm2        length=3     label="IC: Allocation flag for EHHM2";        
attrib  erelt02      length=3     label="IC: Relationship of giver to HH receiver 2";
attrib  arelt02      length=3     label="IC: Allocation flag for ERELT02";      
attrib  tyrst02      length=3     label="IC: Number of years care provided to HH";
attrib  ayrst02      length=3     label="IC: Allocation flag for TYRST02";      
attrib  eadlt02      length=3     label="IC: Dress assistance provided to HH member 2";
attrib  aadlt02      length=3     label="IC: Allocation flag for EADLT02";      
attrib  emedt02      length=3     label="IC: Medical assistance provided to HH member 2";
attrib  amedt02      length=3     label="IC: Allocation flag for EMEDT02";      
attrib  emnyt02      length=3     label="IC: Financial assistance provided to HH";
attrib  amnyt02      length=3     label="IC: Allocation flag for EMNYT02";      
attrib  eoutt02      length=3     label="IC: Transportation assistance provided to HH";
attrib  aoutt02      length=3     label="IC: Allocation flag for EOUTT02";      
attrib  eothlp02     length=3     label="IC: Other assistance provided to HH member 2";
attrib  aothlp02     length=3     label="IC: Allocation flag for EOTHLP02";     
attrib  thrst04      length=3     label="IC: Hours per week care provided to HH member";
attrib  ahrst04      length=3     label="IC: Allocation flag for THRST04";      
attrib  eopt02       length=3     label="IC: Similar unpaid care provided by other to";
attrib  aopt02       length=3     label="IC: Allocation flag for EOPT02";       
attrib  thrst05      length=3     label="IC: Hrs unpaid care/assistance by other(s) to";
attrib  ahrst05      length=3     label="IC: Allocation flag for THRST05";      
attrib  ehct02       length=3     label="IC: Receipt of professional hlth care";
attrib  ahct02       length=3     label="IC: Allocation flag for EHCT02";       
attrib  thrst06      length=3     label="IC: Hrs of professional care/assistance to HH";
attrib  ahrst06      length=3     label="IC: Allocation flag for THRST06";      
attrib  ecarenhm     length=3     label="IC: Provide care/assistance to persons";
attrib  acarenhm     length=3     label="IC: Allocation flag for ECARENHM";     
attrib  tnumnhm      length=3     label="IC: Provide care/assistance to- number of NH";
attrib  anumnhm      length=3     label="IC: Allocation flag for TNUMNHM";      
attrib  erelt03      length=3     label="IC: Relationship of giver to Non-HH member";
attrib  arelt03      length=3     label="IC: Allocation flag for ERELT03";      
attrib  tyrst03      length=3     label="IC: Number of years care provided to Non-HH";
attrib  ayrst03      length=3     label="IC: Allocation flag for TYRST03";      
attrib  eresof3      length=3     label="IC: Type of residence of Non-HH member 1";
attrib  aresof3      length=3     label="IC: Allocation flag for ERESOF3";      
attrib  eadlt03      length=3     label="IC: Dress assistance provided to Non-HH";
attrib  aadlt03      length=3     label="IC: Allocation flag for EADLT03";      
attrib  emedt03      length=3     label="IC: Medical assistance provided to Non-HH";
attrib  amedt03      length=3     label="IC: Allocation flag for EMEDT03";      
attrib  emnyt03      length=3     label="IC: Financial assistance provided to Non-HH";
attrib  amnyt03      length=3     label="IC: Allocation flag for EMNYT03";      
attrib  eoutt03      length=3     label="IC: Transportation assistance provided to";
attrib  aoutt03      length=3     label="IC: Allocation flag for EOUTT03";      
attrib  eothlp03     length=3     label="IC: Other assistance provided to Non-HH";
attrib  aothlp03     length=3     label="IC: Allocation flag for EOTHLP03";     
attrib  thrst07      length=3     label="IC: Hours per week care provided to Non-HH";
attrib  ahrst07      length=3     label="IC: Allocation flag for THRST07";      
attrib  eopt03       length=3     label="IC: Similar unpaid care provided by other to";
attrib  aopt03       length=3     label="IC: Allocation flag for EOPT03";       
attrib  thrst08      length=3     label="IC: Hours unpaid care/assist from other to NH";
attrib  ahrst08      length=3     label="IC: Allocation flag for THRST08";      
attrib  ecompt03     length=3     label="IC: Companionship provided to Non-HH member 1";
attrib  acompt03     length=3     label="IC: Allocation flag for ECOMPT03";     
attrib  ehct03       length=3     label="IC: Receipt of professional hlth care";
attrib  ahct03       length=3     label="IC: Allocation flag for EHCT03";       
attrib  thrst09      length=3     label="IC: Hrs of professional care/assist to Non-HH";
attrib  ahrst09      length=3     label="IC: Allocation flag for THRST09";      
attrib  erelt04      length=3     label="IC: Relationship of giver to Non-HH member";
attrib  arelt04      length=3     label="IC: Allocation flag for ERELT04";      
attrib  tyrst04      length=3     label="IC: Number of years care provided to Non-HH";
attrib  ayrst04      length=3     label="IC: Allocation flag for TYRST04";      
attrib  eresof4      length=3     label="IC: Type of residence of Non-HH member 2";
attrib  aresof4      length=3     label="IC: Allocation flag for ERESOF4";      
attrib  eadlt04      length=3     label="IC: Dress assistance provided to Non-HH";
attrib  aadlt04      length=3     label="IC: Allocation flag for EADLT04";      
attrib  emedt04      length=3     label="IC: Medical assistance provided to Non-HH";
attrib  amedt04      length=3     label="IC: Allocation flag for EMEDT04";      
attrib  emnyt04      length=3     label="IC: Financial assistance provided to Non-HH";
attrib  amnyt04      length=3     label="IC: Allocation flag for EMNYT04";      
attrib  eoutt04      length=3     label="IC: Transportation assistance provided to";
attrib  aoutt04      length=3     label="IC: Allocation flag for EOUTT04";      
attrib  eothlp04     length=3     label="IC: Other assistance provided to Non-HH";
attrib  aothlp04     length=3     label="IC: Allocation flag for EOTHLP04";     
attrib  thrst10      length=3     label="IC: Hours per week care provided to Non-HH";
attrib  ahrst10      length=3     label="IC: Allocation flag for THRST10";      
attrib  eopt04       length=3     label="IC: Similar unpaid care provided by other to";
attrib  aopt04       length=3     label="IC: Allocation flag for EOPT04";       
attrib  thrst11      length=3     label="IC: Similar unpaid care provided by other to";
attrib  ahrst11      length=3     label="IC: Allocation flag for THRST11";      
attrib  ecompt04     length=3     label="IC: Companionship provided to Non-HH member 2";
attrib  acompt04     length=3     label="IC: Allocation flag for ECOMPT04";     
attrib  ehct04       length=3     label="IC: Receipt of professional hlth care";
attrib  ahct04       length=3     label="IC: Allocation flag for EHCT04";       
attrib  thrst12      length=3     label="IC: Hrs of professional care/assist to Non-HH";
attrib  ahrst12      length=3     label="IC: Allocation flag for THRST12";      
attrib  epcwunv      length=3     label="CW: Universe indicator.";              
attrib  edaycare     length=3     label="CW: Child cared for by daycare or by"; 
attrib  adaycare     length=3     label="CW: Allocation flag for EDAYCARE";     
attrib  ecarer       length=3     label="CW: Age of child when care first provided";
attrib  acarer       length=3     label="CW: Allocation flag for ECARER";       
attrib  ehrscare     length=3     label="CW: Hours per week child was cared for by";
attrib  ahrscare     length=3     label="CW: Allocation flag for EHRSCARE";     
attrib  elivapat     length=3     label="CW: Child ever live apart from designated";
attrib  alivapat     length=3     label="CW: Allocation flag for ELIVAPAT";     
attrib  enotable     length=3     label="CW: Was child sent elsewhere b/c unable to";
attrib  anotable     length=3     label="CW: Allocation flag for ENOTABLE";     
attrib  epastmon     length=3     label="CW: Has child lived away from home during";
attrib  apastmon     length=3     label="CW: Allocation flag for EPASTMON";     
attrib  eouting      length=3     label="CW: How often family member took child on";
attrib  aouting      length=3     label="CW: Allocation flag for EOUTING";      
attrib  etotread     length=3     label="CW: How often in past week child read to by";
attrib  atotread     length=3     label="CW: Allocation flag for ETOTREAD";     
attrib  eparread     length=3     label="CW: Number of times in past week child read";
attrib  aparread     length=3     label="CW: Allocation flag for EPARREAD";     
attrib  edadread     length=3     label="CW: Number of times past week did Dad read to";
attrib  adadread     length=3     label="CW: Allocation flag for EDADREAD";     
attrib  etvrules     length=3     label="CW: Family rules about TV programs";   
attrib  atvrules     length=3     label="CW: Allocation flag for ETVRULES";     
attrib  etimestv     length=3     label="CW: Family rules about watching TV early or";
attrib  atimestv     length=3     label="CW: Allocation flag for ETIMESTV";     
attrib  ehoustv      length=3     label="CW: Family rules about number of hours to";
attrib  ahoustv      length=3     label="CW: Allocation flag for EHOUSTV";      
attrib  eeatbkf      length=3     label="CW: Number of days you ate breakfast with";
attrib  aeatbkf      length=3     label="CW: Allocation flag for EEATBKF";      
attrib  eeatdinn     length=3     label="CW: Number of days you ate dinner with child";
attrib  aeatdinn     length=3     label="CW: Allocation flag for EEATDINN";     
attrib  edadbrkf     length=3     label="CW: Number of days DAD ate breakfast with";
attrib  adadbrkf     length=3     label="CW: Allocation flag for EDADBRKF";     
attrib  edaddinn     length=3     label="CW: Number of days DAD ate dinner with child";
attrib  adaddinn     length=3     label="CW: Allocation flag for EDADDINN";     
attrib  efuntime     length=3     label="CW: Number of times ... talk or played with";
attrib  afuntime     length=3     label="CW: Allocation flag for EFUNTIME";     
attrib  edadfun      length=3     label="CW: Number of times DAD talked or played with";
attrib  adadfun      length=3     label="CW: Allocation flag for EDADFUN";      
attrib  epraise      length=3     label="CW: How often did ... praise child";   
attrib  apraise      length=3     label="CW: Allocation flag for EPRAISE";      
attrib  edadprai     length=3     label="CW: How often did DAD praise child";   
attrib  adadprai     length=3     label="CW: Allocation flag for EDADPRAI";     
attrib  efarscho     length=3     label="CW: Education attainment you would LIKE for";
attrib  afarscho     length=3     label="CW: Allocation flag for EFARSCHO";     
attrib  edadfar      length=3     label="CW: Education [the father] would LIKE for the";
attrib  adadfar      length=3     label="CW: Allocation flag for EDADFAR";      
attrib  ethinksc     length=3     label="CW: Education attainment you THINK child will";
attrib  athinksc     length=3     label="CW: Allocation flag for ETHINKSC";     
attrib  eatkindg     length=3     label="CW: Has child ever attended or enrolled in";
attrib  aatkindg     length=3     label="CW: Allocation flag for EATKINDG";     
attrib  ekindage     length=3     label="CW: Age of child when first started";  
attrib  akindage     length=3     label="CW: Allocation flag for EKINDAGE";     
attrib  efirgrad     length=3     label="CW: Has child ever attended or enrolled in";
attrib  afirgrad     length=3     label="CW: Allocation flag for EFIRGRAD";     
attrib  estrtage     length=3     label="CW: Age of child when first started first";
attrib  astrtage     length=3     label="CW: Allocation flag for ESTRTAGE";     
attrib  ekindele     length=3     label="CW: Child attend/enroll in kindergarten or";
attrib  akindele     length=3     label="CW: Allocation flag for EKINDELE";     
attrib  ehighgra     length=3     label="CW: Highest grade/year child has completed";
attrib  ahighgra     length=3     label="CW: Allocation flag for EHIGHGRA";     
attrib  ecurrerl     length=3     label="CW: Is child currently attending/enrolled in";
attrib  acurrerl     length=3     label="CW: Allocation flag for ECURRERL";     
attrib  egrdeatt     length=3     label="CW: Grade/year child is now attending";
attrib  agrdeatt     length=3     label="CW: Allocation flag for EGRDEATT";     
attrib  epubpriv     length=3     label="CW: Is child enrolled in public or private";
attrib  apubpriv     length=3     label="CW: Allocation flag for EPUBPRIV";     
attrib  eassschl     length=3     label="CW: Assigned or chosen school";        
attrib  aassschl     length=3     label="CW: Allocation flag for EASSSCHL";     
attrib  erelisch     length=3     label="CW: Is school affiliated with a religion";
attrib  arelisch     length=3     label="CW: Allocation flag for ERELISCH";     
attrib  especsch     length=3     label="CW: Is child a gifted student";        
attrib  aspecsch     length=3     label="CW: Allocation flag for ESPECSCH";     
attrib  esportea     length=3     label="CW: Is child on a sports team";        
attrib  asportea     length=3     label="CW: Allocation flag for ESPORTEA";     
attrib  elessons     length=3     label="CW: Does child take music, dance, language";
attrib  alessons     length=3     label="CW: Allocation flag for ELESSONS";     
attrib  eclubsch     length=3     label="CW: Does child participate in any clubs";
attrib  aclubsch     length=3     label="CW: Allocation flag for ECLUBSCH";     
attrib  elikesch     length=3     label="CW: Child likes school";               
attrib  alikesch     length=3     label="CW: Allocation flag for ELIKESCH";     
attrib  eintschl     length=3     label="CW: In child interested in school work";
attrib  aintschl     length=3     label="CW: Allocation flag for EINTSCHL";     
attrib  ewkshard     length=3     label="CW: Does child work hard in school";   
attrib  awkshard     length=3     label="CW: Allocation flag for EWKSHARD";     
attrib  echgschl     length=3     label="CW: Has child changed schools";        
attrib  achgschl     length=3     label="CW: Allocation flag for ECHGSCHL";     
attrib  etimchan     length=3     label="CW: Number of times changed schools";  
attrib  atimchan     length=3     label="CW: Allocation flag for ETIMCHAN";     
attrib  erepgrad     length=3     label="CW: Has child repeated grades";        
attrib  arepgrad     length=3     label="CW: Allocation flag for EREPGRAD";     
attrib  egrdrpt1     length=3     label="CW: Grade/year child repeated - ENTRY 1";
attrib  egrdrpt2     length=3     label="CW: Grade/year child repeated - ENTRY 2";
attrib  egrdrpt3     length=3     label="CW: Grade/year child repeated - ENTRY 3";
attrib  egrdrpt4     length=3     label="CW: Grade/year child repeated - ENTRY 4";
attrib  egrdrpt5     length=3     label="CW: Grade/year child repeated - ENTRY 5";
attrib  agrdrpt      length=3     label="CW: Allocation flag for EGRDRPT1-EGRDRPT5";
attrib  eexpschl     length=3     label="CW: Has child been expelled from school";
attrib  aexpschl     length=3     label="CW: Allocation flag for EEXPSCHL";     
attrib  etimexp      length=3     label="CW: Number of times child was expelled";
attrib  atimexp      length=3     label="CW: Allocation flag for ETIMEXP";      
attrib  egradexp     length=3     label="CW: Grade/year child was in when first";
attrib  agradexp     length=3     label="CW: Allocation flag for EGRADEXP";     
attrib  ehardcar     length=3     label="CW: Child is hard to care for";        
attrib  ahardcar     length=3     label="CW: Allocation flag for EHARDCAR";     
attrib  ebother      length=3     label="CW: Child does things that bother me"; 
attrib  abother      length=3     label="CW: Allocation flag for EBOTHER";      
attrib  egivuplf     length=3     label="CW: Parent gives up life to meet child/ren";
attrib  agivuplf     length=3     label="CW: Allocation flag for EGIVUPLF";     
attrib  eangrycl     length=3     label="CW: Parent feels angry with child";    
attrib  aangrycl     length=3     label="CW: Allocation flag for EANGRYCL";     
attrib  ehelpech     length=3     label="CW: People help each other out";       
attrib  ahelpech     length=3     label="CW: Allocation flag for EHELPECH";     
attrib  ewatchot     length=3     label="CW: We watch out for each other's children";
attrib  awatchot     length=3     label="CW: Allocation flag for EWATCHOT";     
attrib  ecounton     length=3     label="CW: There are people I can count on";  
attrib  acounton     length=3     label="CW: Allocation flag for ECOUNTON";     
attrib  ebadpeop     length=3     label="CW: There are people who might be a bad";
attrib  abadpeop     length=3     label="CW: Allocation flag for EBADPEOP";     
attrib  etrustpe     length=3     label="CW: There are adults I trust to help the";
attrib  atrustpe     length=3     label="CW: Allocation flag for ETRUSTPE";     
attrib  ekeepins     length=3     label="CW: I keep my children inside";        
attrib  akeepins     length=3     label="CW: Allocation flag for EKEEPINS";     
attrib  esafepla     length=3     label="CW: There are safe places to play outside";
attrib  asafepla     length=3     label="CW: Allocation flag for ESAFEPLA";     
attrib  earpunv      length=3     label="PR: Universe indicator.";              
attrib  rmjb         length=3     label="PR: Main job number";                  
attrib  rmbs         length=3     label="PR: Main business number";             
attrib  rmnjbbs      length=3     label="PR: Reference job or business for topical";
attrib  therempl     length=3     label="PR: Verification of number of employees";
attrib  aherempl     length=3     label="PR: Allocation flag for THEREMPL";     
attrib  ttotempl     length=3     label="PR: Verification of number of employees";
attrib  atotempl     length=3     label="PR: Allocation flag for TTOTEMPL";     
attrib  tbustotl     length=3     label="PR: Verification of number of people"; 
attrib  abustotl     length=3     label="PR: Allocation flag for TBUSTOTL";     
attrib  ewksyear     length=3     label="PR: Number of weeks worked annually";  
attrib  awksyear     length=3     label="PR: Allocation flag for EWKSYEAR";     
attrib  tnumlen      length=3     label="PR: Number of years/months respondent has";
attrib  emthyear     length=3     label="PR: Units of reporting";               
attrib  anumyear     length=3     label="PR: Allocation flag for ENUMLEN and EMTHYEAR";
attrib  epensnyn     length=3     label="PR: Availability of pension or retirement";
attrib  apensnyn     length=3     label="PR: Allocation flag for EPENSNYN";     
attrib  eincpens     length=3     label="PR: Respondent's participation in pension";
attrib  aincpens     length=3     label="PR: Allocation flag for EINCPENS";     
attrib  enoina01     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina02     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina03     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina04     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina05     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina06     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina07     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina08     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina09     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina10     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina11     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina12     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina13     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina14     length=3     label="PR: Reason respondent not covered by pension";
attrib  anoina       length=3     label="PR: Allocation flag for ENOINA01-ENOINA14";
attrib  etdeffen     length=3     label="PR: Asks if pension plan is like a 401(k)";
attrib  atdeffen     length=3     label="PR: Allocation flag for ETDEFFEN";     
attrib  emultpen     length=3     label="PR: Asks how many pension plans respondent has";
attrib  amultpen     length=3     label="PR: Allocation flag for EMULTPEN";     
attrib  e1pentyp     length=3     label="PR: Asks which type of pension plan";  
attrib  a1pentyp     length=3     label="PR: Allocation flag for E1PENTYP";     
attrib  e2pentyp     length=3     label="PR: Asks second type of pension plan"; 
attrib  a2pentyp     length=3     label="PR: Allocation flag for E2PENTYP";     
attrib  e1penctr     length=3     label="PR: Asks if respondent contributes to pension";
attrib  a1penctr     length=3     label="PR: Allocation flag for E1PENCTR";     
attrib  e1taxdef     length=3     label="PR: Asks if contributions are tax-deferred";
attrib  a1taxdef     length=3     label="PR: Allocation flag for E1TAXDEF";     
attrib  e1recben     length=3     label="PR: Asks if respondent keeps retirement";
attrib  a1recben     length=3     label="PR: Allocation flag for E1RECBEN";     
attrib  e1lvlmps     length=3     label="PR: Asks if respondent can get lump-sum";
attrib  a1lvlmps     length=3     label="PR: Allocation flag for E1LVLMPS";     
attrib  t1yrsinc     length=3     label="PR: Asks number of years in the plan"; 
attrib  a1yrsinc     length=3     label="PR: Allocation flag for T1YRSINC";     
attrib  e1ssofst     length=3     label="PR: Asks if benefits affected by social";
attrib  a1ssofst     length=3     label="PR: Allocation flag for E1SSOFST";     
attrib  t1yrcont     length=5     label="PR: Asks amount contributed to plan last year";
attrib  a1yrcont     length=3     label="PR: Allocation flag for T1YRCONT";     
attrib  t1totamt     length=5     label="PR: Asks plan balance at end of reference";
attrib  a1totamt     length=3     label="PR: Allocation flag for T1TOTAMT";     
attrib  e2penctr     length=3     label="PR: Asks if respondent contributes to second";
attrib  a2penctr     length=3     label="PR: Allocation flag for E2PENCTR";     
attrib  e2taxdef     length=3     label="PR: Asks if contributions are tax-deferred";
attrib  a2taxdef     length=3     label="PR: Allocation flag for E2TAXDEF";     
attrib  e2recben     length=3     label="PR: Asks if respondent keeps benefits";
attrib  a2recben     length=3     label="PR: Allocation flag for E2RECBEN";     
attrib  e2lvlmps     length=3     label="PR: Asks if respondent can get lump-sum";
attrib  a2lvlmps     length=3     label="PR: Allocation flag for E2LVLMPS";     
attrib  t2yrsinc     length=3     label="PR: Asks number of years in second plan";
attrib  a2yrsinc     length=3     label="PR: Allocation flag for T2YRSINC";     
attrib  e2ssofst     length=3     label="PR: Asks if Soc. Sec. participation affects";
attrib  a2ssofst     length=3     label="PR: Allocation flag for E2SSOFST";     
attrib  t2yrcont     length=5     label="PR: Asks amount contributed to second plan";
attrib  a2yrcont     length=3     label="PR: Allocation flag for T2YRCONT";     
attrib  t2totamt     length=5     label="PR: Asks second plan balance";         
attrib  a2totamt     length=3     label="PR: Allocation flag for T2TOTAMT";     
attrib  e3taxdef     length=3     label="PR: Availability of tax-deferred retirement";
attrib  a3taxdef     length=3     label="PR: Allocation flag for E3TAXDEF";     
attrib  e3partic     length=3     label="PR: Participation in tax-deferred retirement";
attrib  a3partic     length=3     label="PR: Allocation flag for E3PARTIC";     
attrib  enoinb01     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb02     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb03     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb04     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb05     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb06     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb07     length=3     label="PR: Reason respondent is not covered"; 
attrib  enoinb08     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb09     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb10     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb11     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb12     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb13     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb14     length=3     label="PR: Reason respondent not covered by pension";
attrib  anoinb       length=3     label="PR: Allocation flag for ENOINB01 - ENOINB14";
attrib  ematchyn     length=3     label="PR: Contributions to the plan by employer";
attrib  amatchyn     length=3     label="PR: Allocation flag for EMATCHYN";     
attrib  efutpart     length=3     label="PR: Respondent expectation of future"; 
attrib  afutpart     length=3     label="PR: Allocation flag for EFUTPART";     
attrib  tslfcon1     length=5     label="PR: Amount of respondent's contributions";
attrib  eslfcon2     length=3     label="PR: Frequency of contributions";       
attrib  eslfcon3     length=8     label="PR: Percent of salary contributed";    
attrib  aslfcon      length=3     label="PR: Allocation flag for TSLFCON1";     
attrib  eempcont     length=3     label="PR: Asks if job/business contribute towards";
attrib  aempcont     length=3     label="PR: Allocation flag for EEMPCONT";     
attrib  econtdep     length=3     label="PR: Asks about linkage of contribution amounts";
attrib  acontdep     length=3     label="PR: Allocation flag for ECONTDEP";     
attrib  tjbcont1     length=5     label="PR: Amount of job/business contributions to";
attrib  ejbcont2     length=3     label="PR: Frequency of contributions";       
attrib  ejbcont3     length=8     label="PR: Percent of salary contibuted";     
attrib  ejbcont4     length=3     label="PR: Other types of contributions";     
attrib  ajbcont      length=3     label="PR: Allocation flag for TJBCONT1";     
attrib  einvchos     length=3     label="PR: Can respondent choose how money is";
attrib  ainvchos     length=3     label="PR: Allocation flag for EINVCHOS";     
attrib  einvsdec     length=3     label="PR: Can respondent choose how money is";
attrib  ainvsdec     length=3     label="PR: Allocation flag for EINVSDEC";     
attrib  ehowinv1     length=3     label="PR: Investment type selected for plan";
attrib  ehowinv2     length=3     label="PR: Investment type selected for plan";
attrib  ehowinv3     length=3     label="PR: Investment type selected for plan";
attrib  ehowinv4     length=3     label="PR: Investment type selected for plan";
attrib  ehowinv5     length=3     label="PR: Investment type selected for plan";
attrib  ehowinv6     length=3     label="PR: Investment type selected for plan";
attrib  ehowinv7     length=3     label="PR: Investment type selected for plan";
attrib  ehowinv8     length=3     label="PR: Investment type selected for plan";
attrib  ahowinvs     length=3     label="PR: Allocation flag for EHOWINVS";     
attrib  rmostinv     length=3     label="PR: Investment receiving largest share";
attrib  amostinv     length=3     label="PR: Allocation flag for EMOSTINV";     
attrib  t3totamt     length=5     label="PR: Plan balance";                     
attrib  a3totamt     length=3     label="PR: Allocation flag for T3TOTAMT";     
attrib  epenloan     length=3     label="PR: Withdrawal of money from plan as loan";
attrib  apenloan     length=3     label="PR: Allocation flag for EPENLOAN";     
attrib  eletloan     length=3     label="PR: Does respondent's plan permit loan";
attrib  aletloan     length=3     label="PR: Allocation flag for ELETLOAN";     
attrib  tloanbal     length=5     label="PR: Current balance due on loan";      
attrib  aloanbal     length=3     label="PR: Allocation flag for TLOANBAL";     
attrib  eothrpen     length=3     label="PR: Pension plan(s) with second job/business";
attrib  aothrpen     length=3     label="PR: Allocation flag for EOTHRPEN";     
attrib  eprevpen     length=3     label="PR: Pension plan(s) with previous job/business";
attrib  aprevpen     length=3     label="PR: Allocation flag for EPREVPEN";     
attrib  eprevexp     length=3     label="PR: Previous plans with benefits not yet";
attrib  aprevexp     length=3     label="PR: Allocation flag for EPREVEXP";     
attrib  tprevyrs     length=3     label="PR: Years worked before receiving pension";
attrib  aprevyrs     length=3     label="PR: Allocation flag for TPREVYRS";     
attrib  ewhnleft     length=4     label="PR: Year respondent left previous job/business";
attrib  awhnleft     length=3     label="PR: Allocation flag for EWHNLEFT";     
attrib  eprevtyp     length=3     label="PR: How job's benefits are determined";
attrib  aprevtyp     length=3     label="PR: Allocation flag for EPREVTYP";     
attrib  tprevamt     length=5     label="PR: Balance in retirement/pension plan";
attrib  aprevamt     length=3     label="PR: Allocation flag for TPREVAMT";     
attrib  eprewith     length=3     label="PR: Withdrawal allowed from pension plan";
attrib  aprewith     length=3     label="PR: Allocation flag for EPREWITH";     
attrib  eprevlmp     length=3     label="PR: Recipiency of lump-sum from a plan";
attrib  aprevlmp     length=3     label="PR: Allocation flag for EPREVLMP";     
attrib  ewhyleft     length=3     label="PR: Reason for leaving previous job or";
attrib  awhyleft     length=3     label="PR: Allocation flag for EWHYLEFT";     
attrib  esurvlmp     length=3     label="PR: Recipiency of lump-sum survivor benefits";
attrib  asurvlmp     length=3     label="PR: Allocation flag for ESURVLMP";     
attrib  elumpnum     length=$2    label="PR: Number of lump-sum distributions received";
attrib  alumpnum     length=$1    label="PR: Allocation flag for ELUMPNUM";     
attrib  elmpyear     length=4     label="PR: Year latest lump-sum or rollover was";
attrib  almpyear     length=3     label="PR: Allocation flag for ELMPYEAR";     
attrib  elumpn97     length=3     label="PR: Lump-sum payments for 2002";       
attrib  alumpn97     length=3     label="PR: Allocation flag for ELUMPN97";     
attrib  elumpsrc     length=3     label="PR: Source of lump-sum payment";       
attrib  alumpsrc     length=3     label="PR: Allocation flag for ELUMPSRC";     
attrib  elumphow     length=3     label="PR: Type of Lump-sum payment withdrawal";
attrib  alumphow     length=3     label="PR: Allocation flag for ELUMPHOW";     
attrib  tlumptot     length=5     label="PR: Total amount of lump-sum payment"; 
attrib  alumptot     length=3     label="PR: Allocation flag for TLUMPTOT";     
attrib  elumprec     length=3     label="PR: Lump-sum payment retained or rolled over";
attrib  alumprec     length=3     label="PR: Allocation flag for ELUMPREC";     
attrib  elmproll     length=3     label="PR: Lump-sum payment retained or rolled over";
attrib  almproll     length=3     label="PR: Allocation flag for ELMPROLL";     
attrib  elmpwher     length=3     label="PR: Type of plan used for rollover";   
attrib  almpwher     length=3     label="PR: Allocation flag for ELMPWHER";     
attrib  elumpent     length=3     label="PR: Rollover of all or part of lump-sum";
attrib  alumpent     length=3     label="PR: Allocation flag for ELUMPENT";     
attrib  elmpsp01     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp02     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp03     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp04     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp05     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp06     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp07     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp08     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp09     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp10     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp11     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp12     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp13     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp14     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp15     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp16     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp17     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp18     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp19     length=3     label="PR: Use of lump-sum payment";          
attrib  almpsp       length=3     label="PR: Allocation flag for ELMPSP01-ELMPSP19";
attrib  epenlng1     length=3     label="PR: Duration of receipt of retirement income";
attrib  epenlng2     length=3     label="PR: Duration of receipt of retirement income";
attrib  epengng3     length=3     label="PR: Duration of receipt of retirement income";
attrib  apenlgth     length=3     label="PR: Allocation flag for EPENLNG1-EPENLNG2 and";
attrib  epennumb     length=3     label="PR: Income received from more than one plan";
attrib  apennumb     length=3     label="PR: Allocation flag for EPENNUMB";     
attrib  epennums     length=3     label="PR: Number of plans producing income"; 
attrib  apennums     length=3     label="PR: Allocation flag for EPENNUMS";     
attrib  epensrce     length=3     label="PR: Pension from own or former spouse's";
attrib  apensrce     length=3     label="PR: Allocation flag for EPENSRCE";     
attrib  epenwhen     length=4     label="PR: Year when receipts from pension began";
attrib  apenwhen     length=3     label="PR: Allocation flag for EPENWHEN";     
attrib  epenbase     length=3     label="PR: Calculation method of pension amount";
attrib  apenbase     length=3     label="PR: Allocation flag for EPENBASE";     
attrib  epensurv     length=3     label="PR: Reduced benefits for survivor's option";
attrib  apensurv     length=3     label="PR: Allocation flag for EPENSURV";     
attrib  epenincr     length=3     label="PR: Has pension amount ever increased";
attrib  apenincr     length=3     label="PR: Allocation flag for EPENINCR";     
attrib  epencola     length=3     label="PR: Cost-of-living adjustments";       
attrib  apencola     length=3     label="PR: Allocation flag for EPENCOLA";     
attrib  ependecr     length=3     label="PR: Increment in pension payment";     
attrib  apendecr     length=3     label="PR: Allocation flag for EPENDECR";     
attrib  tpensamt     length=5     label="PR: Recode for current monthly pension amount";
attrib  apensamt     length=3     label="PR: Allocation flag for TPENSAMT";     
attrib  tpenamt1     length=5     label="PR: Initial monthly pension payment amount";
attrib  apenamt1     length=3     label="PR: Allocation flag for TPENAMT1";     
attrib  elmpsrce     length=3     label="PR: Source of most recent lump-sum payment";
attrib  almpsrce     length=3     label="PR: Allocation flag for ELMPSRCE";     
attrib  ejobreti     length=3     label="PR: Retired from a job or business";   
attrib  ajobreti     length=3     label="PR: Allocation flag for EJOBRETI";     
attrib  ewrk5yrs     length=3     label="PR: Worked for five years or more";    
attrib  awrk5yrs     length=3     label="PR: Allocation flag for EWRK5YRS";     
attrib  escrepen     length=3     label="PR: Retirement benefits from job or business";
attrib  ascrepen     length=3     label="PR: Allocation flag for ESCREPEN";     
attrib  ejbindrp     length=3     label="PR: Job industry code";                
attrib  ajbindrp     length=3     label="PR: Allocation flag for EJBINDRP";     
attrib  tjboccrp     length=3     label="PR: Job occupational code";            
attrib  ajboccrp     length=3     label="PR: Allocation flag for EJBOCCRP";     
attrib  rclwrkr      length=3     label="PR: Class of worker recode";           
attrib  aclwrkr      length=3     label="PR: Allocation flag for Class of worker";
attrib  emultloc     length=3     label="PR: Number of employer's locations";   
attrib  amultloc     length=3     label="PR: Allocation flag for EMULTLOC";     
attrib  tnumwork     length=3     label="PR: Number of employees";              
attrib  anumwork     length=3     label="PR: Allocation flag for TNUMWORK";     
attrib  templall     length=3     label="PR: Number of employees at all locations";
attrib  aemplall     length=3     label="PR: Allocation flag for TEMPLALL";     
attrib  eunionyn     length=3     label="PR: Union/employee association contract";
attrib  aunionyn     length=3     label="PR: Allocation flag for EUNIONYN";     
attrib  thrsweek     length=3     label="PR: Hours per week at past job";       
attrib  ahrsweek     length=3     label="PR: Allocation flag for THRSWEEK";     
attrib  ewksyrs      length=3     label="PR: Weeks per year at past job";       
attrib  awksyrs      length=3     label="PR: Allocation flag for EWKSYRS";      
attrib  tyrswrkd     length=3     label="PR: Total years worked at past job";   
attrib  ayrswrkd     length=3     label="PR: Allocation flag for TYRSWRKD";     
attrib  eyrlrftj     length=4     label="PR: Year left past job";               
attrib  ayrlrftj     length=3     label="PR: Allocation flag for EYRLRFTJ";     
attrib  ternlev1     length=5     label="PR: Amount of pre-tax earnings at past job";
attrib  eernlev2     length=3     label="PR: Frequency of earnings at past job";
attrib  aernleav     length=3     label="PR: Allocation flag for TERNLEV1-EERNLEV2";
attrib  ehlthpln     length=3     label="PR: Current health plan from former employer";
attrib  ahlthpln     length=3     label="PR: Allocation flag for EHLTHPLN";     
attrib  tbsindrp     length=3     label="PR: Business industry code";           
attrib  absindrp     length=3     label="PR: Allocation flag for EBSINDRP";     
attrib  ebsoccrp     length=3     label="PR: Business occupational code";       
attrib  absoccrp     length=3     label="PR: Allocation flag for EBSOCCRP";     
attrib  tmakempl     length=3     label="PR: Maximum number of employees";      
attrib  amakempl     length=3     label="PR: Allocation flag for TMAKEMPL";     
attrib  ebusninc     length=3     label="PR: Was respondent's business incorporated";
attrib  abusninc     length=3     label="PR: Allocation flag for EBUSNINC";     
attrib  tbushrsw     length=3     label="PR: Number of hours per week";         
attrib  abushrsw     length=3     label="PR: Allocation flag for TBUSHRSW";     
attrib  ebuswksy     length=3     label="PR: Number of weeks per year";         
attrib  abuswksy     length=3     label="PR: Allocation flag for EBUSWKSY";     
attrib  tbuslong     length=3     label="PR: Number of years";                  
attrib  abuslong     length=3     label="PR: Allocation flag for TBUSLONG";     
attrib  ebusleav     length=4     label="PR: Year respondent left own business";
attrib  abusleav     length=3     label="PR: Allocation flag for EBUSLEAV";     
attrib  tbusern1     length=5     label="PR: Pre-tax earnings at past business";
attrib  ebusern2     length=3     label="PR: Frequency of earnings";            
attrib  abusern      length=3     label="PR: Allocation flag for TBUSERN1-EBUSERN2";
attrib  ebushlth     length=3     label="PR: Present health plan by former business";
attrib  abushlth     length=3     label="PR: Allocation flag for EBUSHLTH";     
attrib  estdlvng     length=3     label="PR: Standard of living query";         
attrib  astdlvng     length=3     label="PR: Allocation flag for ESTDLVNG";     
attrib  eairunv      length=3     label="AIR: Universe indicator.";             
attrib  iothrbus     length=3     label="AIR: Own and operate other business in 2002";
attrib  iownbs01     length=3     label="AIR: Own and operate business in 2002";
attrib  ibsform1     length=3     label="AIR: Form of business/practice";       
attrib  ibsloct1     length=3     label="AIR: Location of business";            
attrib  iprtown1     length=3     label="AIR: Part owner lives in this HH";     
attrib  iownrs11     length=4     label="AIR: First other HH member owner";     
attrib  iownrs12     length=4     label="AIR: Second other HH member owner";    
attrib  ihhown1      length=3     label="AIR: Business owned only by members of HH";
attrib  rpcnthh1     length=3     label="AIR: Percentage of business owned by HH";
attrib  rpctown1     length=3     label="AIR: Percentage of business owned in own name";
attrib  tgrsrcp1     length=4     label="AIR: Gross receipts of business in 2002";
attrib  ttotexp1     length=4     label="AIR: Total expenses of business in 2002";
attrib  tnetinc1     length=4     label="AIR: Net income from business 2002-profit";
attrib  tnetinc2     length=4     label="AIR: Net income from business 2002-loss";
attrib  iothinc1     length=3     label="AIR: Whether first owner received net income";
attrib  inetin11     length=4     label="AIR: Net income, first other HH owner- Person";
attrib  tnetin12     length=4     label="AIR: Net income, first other HH owner-profit";
attrib  tnetin13     length=4     label="AIR: Net income, first other HH owner-loss";
attrib  inetin21     length=4     label="AIR: Net income, second other HH owner-";
attrib  tnetin22     length=4     label="AIR: Net income, second other HH owner-profit";
attrib  tnetin23     length=4     label="AIR: Net income, second other HH owner-loss";
attrib  ibsform2     length=3     label="AIR: Form of business/practice";       
attrib  ibsloct2     length=3     label="AIR: Location of business";            
attrib  iprtown2     length=3     label="AIR: Whether other HH members were part owners";
attrib  iownrs21     length=4     label="AIR: Which other HH members part-owners-";
attrib  iownrs22     length=4     label="AIR: Which other HH members part-owners-";
attrib  ihhown2      length=3     label="AIR: Business owned by members of HH"; 
attrib  rpcnthh2     length=3     label="AIR: Percentage of business owned by HH member";
attrib  rpctown2     length=3     label="AIR: Percentage of business owned in own name";
attrib  tgrsrcp2     length=4     label="AIR: Gross receipts of second business in 2002";
attrib  ttotexp2     length=4     label="AIR: Total expenses of second business in 2002";
attrib  tnetinc3     length=4     label="AIR: Net income of second business in";
attrib  tnetinc4     length=4     label="AIR: Net income of second business in";
attrib  iothinc2     length=3     label="AIR: Other income in 2002";            
attrib  inetin31     length=4     label="AIR: Net income, first other HH owner- Person";
attrib  tnetin32     length=4     label="AIR: Net income, first other HH owner-profit";
attrib  tnetin33     length=4     label="AIR: Net income, first other HH owner-loss";
attrib  inetin41     length=4     label="AIR: Net income, second other HH owner-";
attrib  tnetin42     length=4     label="AIR: Net income, second other HH owner-profit";
attrib  tnetin43     length=4     label="AIR: Net income, second other HH owner-loss";
attrib  tothinc3     length=4     label="AIR: Net income from other business-profit";
attrib  tothinc4     length=4     label="AIR: Net income from other business-loss";
attrib  iirayn       length=3     label="AIR: Whether retirement account is in ... name";
attrib  iiracont     length=3     label="AIR: Whether tax-deduct contributions made to";
attrib  ttaxcont     length=4     label="AIR: Amount of tax-deduct contributions made";
attrib  iirawdl      length=3     label="AIR: Whether withdrawals were made from IRA";
attrib  tamtira      length=4     label="AIR: Amount withdrawn from IRAs in 2002";
attrib  tiraearn     length=4     label="AIR: Amount IRA account in own name earned in";
attrib  iiratyp1     length=3     label="AIR: Assets in IRA accounts-CD or Savings Cert";
attrib  iiratyp2     length=3     label="AIR: Assets in IRA accounts-Money Market Funds";
attrib  iiratyp3     length=3     label="AIR: Assets in IRA accounts-U.S. Govt.";
attrib  iiratyp4     length=3     label="AIR: Assets in IRA accounts-Municipal or";
attrib  iiratyp5     length=3     label="AIR: Assets in IRA accounts-U.S. Savings Bonds";
attrib  iiratyp6     length=3     label="AIR: Assets in IRA accounts-Stocks or Mutual";
attrib  iiratyp7     length=3     label="AIR: Assets in IRA accounts-Other assets";
attrib  ikeoghyn     length=3     label="AIR: Whether ... has a Keogh account"; 
attrib  ikeoghcn     length=3     label="AIR: Whether tax-deduct contributions made to";
attrib  ttxkeogh     length=4     label="AIR: Amount of tax-deduct contributions to";
attrib  ikeoghwd     length=3     label="AIR: Whether withdrawals were made from Keogh";
attrib  tatkeogh     length=4     label="AIR: Amount withdrawn from Keogh accounts in";
attrib  tkeogher     length=4     label="AIR: Amount Keogh accts. in own name earned";
attrib  ikeohtp1     length=3     label="AIR: Assets in Keogh-CD or Savings";   
attrib  ikeohtp2     length=3     label="AIR: Assets in Keogh-Money Market Funds";
attrib  ikeohtp3     length=3     label="AIR: Assets in Keogh-Govt. Securities";
attrib  ikeohtp4     length=3     label="AIR: Assets in Keogh-Municipal or Corp. Bonds";
attrib  ikeohtp5     length=3     label="AIR: Assets in Keogh-U.S. Savings Bonds";
attrib  ikeohtp6     length=3     label="AIR: Assets in Keogh-Stocks or Mutual Funds";
attrib  ikeohtp7     length=3     label="AIR: Assets in Keogh-Other assets";    
attrib  ithrftyn     length=3     label="AIR: Whether employee involved in thrift/401k";
attrib  tthftcnt     length=4     label="AIR: Amount contributed to thrift/401k in 2002";
attrib  ithftwdl     length=3     label="AIR: Were withdrawals made from thrift/401k";
attrib  tthftamt     length=4     label="AIR: Amount withdrawn from thrift/401k plan";
attrib  tthftern     length=4     label="AIR: Amount of earnings from thrift/401K";
attrib  ithftyp1     length=3     label="AIR: Assets in 401k plan-Money Market Funds";
attrib  ithftyp2     length=3     label="AIR: Assets in 401k plan-Govt. Securities";
attrib  ithftyp3     length=3     label="AIR: Assets in 401k plan-Municipal or Corp.";
attrib  ithftyp4     length=3     label="AIR: Assets in 401k plan-Stocks or Mutual";
attrib  ithftyp5     length=3     label="AIR: Assets in 401k plan-Other assets";
attrib  eatxunv      length=3     label="TAX: Universe indicator.";             
attrib  itaxflyn     length=3     label="TAX: Whether ... filed Federal income tax for";
attrib  itaxcopy     length=3     label="TAX: Whether ... has a copy of tax form or";
attrib  tfilstat     length=3     label="TAX: Filing status on 2002 Federal tax return";
attrib  ttotexmp     length=3     label="TAX: Number of exemptions claimed on return";
attrib  iexemp01     length=4     label="TAX: First person claimed as an exemption";
attrib  iexemp02     length=4     label="TAX: Second person claimed as an exemption";
attrib  iexemp03     length=4     label="TAX: Third person claimed as an exemption";
attrib  iexemp04     length=4     label="TAX: Fourth person claimed as an exemption";
attrib  iexemp05     length=4     label="TAX: Fifth person claimed as an exemption";
attrib  iexmpout     length=3     label="TAX: Number of persons claimed as an exemption";
attrib  iexnmout     length=3     label="TAX: Number of persons claimed as an exemption";
attrib  ioutrl01     length=3     label="TAX: First person's relationship";     
attrib  ioutrl02     length=3     label="TAX: Second person's relationship";    
attrib  ioutrl03     length=3     label="TAX: Third person's relationship";     
attrib  ioutrl04     length=3     label="TAX: Fourth person's relationship";    
attrib  ioutrl05     length=3     label="TAX: Fifth person's relationship";     
attrib  ioutrl06     length=3     label="TAX: Sixth person's relationship";     
attrib  ioutrl07     length=3     label="TAX: Seventh person's relationship";   
attrib  ioutrl08     length=3     label="TAX: Eighth person's relationship";    
attrib  ioutrl09     length=3     label="TAX: Ninth person's relationship";     
attrib  ioutrl10     length=3     label="TAX: Tenth person's relationship";     
attrib  ifilform     length=3     label="TAX: Form 1040 filed";                 
attrib  ischeda      length=3     label="TAX: Schedule A filed with 2002 tax return";
attrib  ischedd      length=3     label="TAX: Schedule D filed with 2002 tax return";
attrib  tamtdedt     length=3     label="TAX: Amount of itemized deductions";   
attrib  iccexpen     length=3     label="TAX: Child and dependent care expense credit";
attrib  tccamt       length=3     label="TAX: Amount of child and dependent care";
attrib  icarex01     length=4     label="TAX: First child and dependent care expense";
attrib  icarex02     length=4     label="TAX: Second child and dependent care expense";
attrib  icarex03     length=4     label="TAX: Third child and dependent care expense";
attrib  icarex04     length=4     label="TAX: Fourth child and dependent care expense";
attrib  icarex05     length=4     label="TAX: Fifth child and dependent care expense";
attrib  icarex06     length=4     label="TAX: Sixth child and dependent care expense";
attrib  icarex07     length=4     label="TAX: Seventh child and dependent care expense";
attrib  icarex08     length=4     label="TAX: Eighth child and dependent care expense";
attrib  icarex09     length=4     label="TAX: Ninth child and dependent care expense";
attrib  icarex10     length=4     label="TAX: Tenth child and dependent care expense";
attrib  icarex11     length=4     label="TAX: Eleventh child and dependent care";
attrib  icarex12     length=4     label="TAX: Twelfth child and dependent care expense";
attrib  icarex13     length=4     label="TAX: Thirteenth child and dependent care";
attrib  icarex14     length=4     label="TAX: Fourteenth child and dependent care";
attrib  icarex15     length=4     label="TAX: Fifteenth child and dependent care";
attrib  icarex16     length=4     label="TAX: Sixteenth child and dependent care";
attrib  icarex17     length=4     label="TAX: Seventeeth child and dependent care";
attrib  icarex18     length=4     label="TAX: Eighteenth child and dependent care";
attrib  icarex19     length=4     label="TAX: Nineteenth child and dependent care";
attrib  icarex20     length=4     label="TAX: Twentieth child and dependent care";
attrib  icarex21     length=4     label="TAX: 21st child and dependent care expense";
attrib  icarex22     length=4     label="TAX: 22nd child and dependent care expense";
attrib  icarex23     length=4     label="TAX: 23rd child and dependent care expense";
attrib  icarex24     length=4     label="TAX: 24th child and dependent care expense";
attrib  icarex25     length=4     label="TAX: 25th child and dependent care expense";
attrib  icarex26     length=4     label="TAX: 26th child and dependent care expense";
attrib  icarex27     length=4     label="TAX: 27th child and dependent care expense";
attrib  icarex28     length=4     label="TAX: 28th child and dependent care expense";
attrib  icarex29     length=4     label="TAX: 29th child and dependent care expense";
attrib  icarex30     length=4     label="TAX: Thirtieth child and dependent care";
attrib  idsabcrd     length=3     label="TAX: Credit claimed for elderly or disabled";
attrib  tdsabamt     length=3     label="TAX: Amount of elderly or disabled credit in";
attrib  tsapgain     length=3     label="TAX: Amount of gains or losses from";  
attrib  tadjincm     length=3     label="TAX: Adjusted gross income in 2002";   
attrib  tnettax      length=3     label="TAX: Net tax liability in 2002";       
attrib  ierndcrd     length=3     label="TAX: Whether earned income credit was claimed";
attrib  terndamt     length=3     label="TAX: Amount of earned income credit claimed";
attrib  ieicex01     length=4     label="TAX: First person where an earned income cr";
attrib  ieicex02     length=4     label="TAX: Second person where an earned income cr";
attrib  ieicex03     length=4     label="TAX: Third person where an earned income cr";
attrib  ieicex04     length=4     label="TAX: 4th person where an earned income cr was";
attrib  ieicex05     length=4     label="TAX: Fifth person where an earned income cr";
attrib  ieicex06     length=4     label="TAX: Sixth person where an earned income cr";
attrib  ieicex07     length=4     label="TAX: 7th person where an earned income cr was";
attrib  ieicex08     length=4     label="TAX: Eighth person where an earned income cr";
attrib  ieicex09     length=4     label="TAX: Ninth person where an earned income cr";
attrib  ieicex10     length=4     label="TAX: Tenth person where an earned income cr";
attrib  ieicex11     length=4     label="TAX: 11th person where an earned income cr";
attrib  ieicex12     length=4     label="TAX: 12th person where an earned income cr";
attrib  ieicex13     length=4     label="TAX: 13th person where earned income cr was";
attrib  ieicex14     length=4     label="TAX: 14th person where earned income cr was";
attrib  ieicex15     length=4     label="TAX: Fifteenth person where earned income cr";
attrib  ieicex16     length=4     label="TAX: Sixteenth person where earned income cr";
attrib  ieicex17     length=4     label="TAX: 17th person where earned income cr was";
attrib  ieicex18     length=4     label="TAX: 18th person where earned income cr was";
attrib  ieicex19     length=4     label="TAX: 19th person where earned income cr was";
attrib  ieicex20     length=4     label="TAX: Twentieth person where earned income cr";
attrib  ieicex21     length=4     label="TAX: Twenty-first person where earned inc cr";
attrib  ieicex22     length=4     label="TAX: 22nd person where earned inc cr was";
attrib  ieicex23     length=4     label="TAX: 23rd person where earned inc cr was";
attrib  ieicex24     length=4     label="TAX: 24th person where earned inc cr was";
attrib  ieicex25     length=4     label="TAX: 25th person where earned inc cr was";
attrib  ieicex26     length=4     label="TAX: 26th person where earned inc cr was";
attrib  ieicex27     length=4     label="TAX: 27th person where earned inc cr was";
attrib  ieicex28     length=4     label="TAX: 28th person where earned inc cr was";
attrib  ieicex29     length=4     label="TAX: 29th person where an earned inc cr was";
attrib  ieicex30     length=4     label="TAX: Thirtieth person where an earned inc cr";
attrib  iproptax     length=3     label="TAX: Property taxes paid on residence in 2002";
attrib  ipropjnt     length=3     label="TAX: Property tax pd jointly with someone";
attrib  ipropn01     length=4     label="TAX: First person who made joint payments";
attrib  ipropn02     length=4     label="TAX: Second person who made joint payments";
attrib  ipropn03     length=4     label="TAX: Third person who made joint payments";
attrib  ipropn04     length=4     label="TAX: Fourth person who made joint payments";
attrib  ipropn05     length=4     label="TAX: Fifth person who made joint payments";
attrib  ipropn06     length=4     label="TAX: Sixth person who made joint payments";
attrib  ipropn07     length=4     label="TAX: Seventh person who made joint payments";
attrib  ipropn08     length=4     label="TAX: Eighth person who made joint payments";
attrib  ipropn09     length=4     label="TAX: Ninth person who made joint payments";
attrib  ipropn10     length=4     label="TAX: Tenth person who made joint payments";
attrib  ipropn11     length=4     label="TAX: Eleventh person who made joint payments";
attrib  ipropn12     length=4     label="TAX: Twelfth person who made joint payments";
attrib  ipropn13     length=4     label="TAX: Thirteenth person who made joint payments";
attrib  ipropn14     length=4     label="TAX: Fourteenth person who made joint payments";
attrib  ipropn15     length=4     label="TAX: Fifteenth person who made joint payments";
attrib  ipropn16     length=4     label="TAX: Sixteenth person who made joint payments";
attrib  ipropn17     length=4     label="TAX: Seventeenth person who made joint";
attrib  ipropn18     length=4     label="TAX: Eighteenth person who made joint payments";
attrib  ipropn19     length=4     label="TAX: Nineteenth person who made joint payments";
attrib  ipropn20     length=4     label="TAX: Twentieth person who made joint payments";
attrib  ipropn21     length=4     label="TAX: Twenty-first person who made joint";
attrib  ipropn22     length=4     label="TAX: Twenty-second person who made joint";
attrib  ipropn23     length=4     label="TAX: Twenty-third person who made joint";
attrib  ipropn24     length=4     label="TAX: Twenty-fourth person who made joint";
attrib  ipropn25     length=4     label="TAX: Twenty-fifth person who made joint";
attrib  ipropn26     length=4     label="TAX: Twenty-sixth person who made joint";
attrib  ipropn27     length=4     label="TAX: Twenty-seventh person who made joint";
attrib  ipropn28     length=4     label="TAX: Twenty-eighth person who made joint";
attrib  ipropn29     length=4     label="TAX: Twenty-ninth person who made joint";
attrib  ipropn30     length=4     label="TAX: Thirtieth person who made joint payments";
attrib  ttaxbill     length=3     label="TAX: Property tax bill for your residence in";


INPUT

@1    ssuseq       5. 
@6    ssuid      $12. 
@18   spanel       4. 
@22   swave        2. 
@24   srotaton     1. 
@25   tfipsst      2. 
@27   shhadid      3. 
@30   sinthhid     3. 
@33   eoutcome     3. 
@36   rfid         3. 
@39   rfid2        3. 
@42   eppidx       3. 
@45   eentaid     $3. 
@48   epppnum     $4. 
@52   epopstat     1. 
@53   eppintvw     2. 
@55   eppmis4      1. 
@56   esex         1. 
@57   erace        1. 
@58   eorigin      2. 
@60   wpfinwgt   10.4 
@70   errp         2. 
@72   tage         2. 
@74   ems          1. 
@75   epnspous     4. 
@79   epnmom       4. 
@83   epndad       4. 
@87   epnguard     4. 
@91   rdesgpnt     2. 
@93   eeducate     2. 
@95   lgtkey      $8. 
@103  eaicunv      2. 
@105  epvdcare     2. 
@107  apvdcare     1. 
@108  ecarehhm     2. 
@110  acarehhm     1. 
@111  tnumhhm      2. 
@113  anumhhm      1. 
@114  ehhm1        4. 
@118  ahhm1        1. 
@119  erelt01      2. 
@121  arelt01      1. 
@122  tyrst01      2. 
@124  ayrst01      1. 
@125  eadlt01      2. 
@127  aadlt01      1. 
@128  emedt01      2. 
@130  amedt01      1. 
@131  emnyt01      2. 
@133  amnyt01      1. 
@134  eoutt01      2. 
@136  aoutt01      1. 
@137  eothlp01     2. 
@139  aothlp01     1. 
@140  thrst01      2. 
@142  ahrst01      1. 
@143  eopt01       2. 
@145  aopt01       1. 
@146  thrst02      2. 
@148  ahrst02      1. 
@149  ehct01       2. 
@151  ahct01       1. 
@152  thrst03      2. 
@154  ahrst03      1. 
@155  ehhm2        4. 
@159  ahhm2        1. 
@160  erelt02      2. 
@162  arelt02      1. 
@163  tyrst02      2. 
@165  ayrst02      1. 
@166  eadlt02      2. 
@168  aadlt02      1. 
@169  emedt02      2. 
@171  amedt02      1. 
@172  emnyt02      2. 
@174  amnyt02      1. 
@175  eoutt02      2. 
@177  aoutt02      1. 
@178  eothlp02     2. 
@180  aothlp02     1. 
@181  thrst04      2. 
@183  ahrst04      1. 
@184  eopt02       2. 
@186  aopt02       1. 
@187  thrst05      2. 
@189  ahrst05      1. 
@190  ehct02       2. 
@192  ahct02       1. 
@193  thrst06      2. 
@195  ahrst06      1. 
@196  ecarenhm     2. 
@198  acarenhm     1. 
@199  tnumnhm      2. 
@201  anumnhm      1. 
@202  erelt03      2. 
@204  arelt03      1. 
@205  tyrst03      2. 
@207  ayrst03      1. 
@208  eresof3      2. 
@210  aresof3      1. 
@211  eadlt03      2. 
@213  aadlt03      1. 
@214  emedt03      2. 
@216  amedt03      1. 
@217  emnyt03      2. 
@219  amnyt03      1. 
@220  eoutt03      2. 
@222  aoutt03      1. 
@223  eothlp03     2. 
@225  aothlp03     1. 
@226  thrst07      2. 
@228  ahrst07      1. 
@229  eopt03       2. 
@231  aopt03       1. 
@232  thrst08      2. 
@234  ahrst08      1. 
@235  ecompt03     2. 
@237  acompt03     1. 
@238  ehct03       2. 
@240  ahct03       1. 
@241  thrst09      2. 
@243  ahrst09      1. 
@244  erelt04      2. 
@246  arelt04      1. 
@247  tyrst04      2. 
@249  ayrst04      1. 
@250  eresof4      2. 
@252  aresof4      1. 
@253  eadlt04      2. 
@255  aadlt04      1. 
@256  emedt04      2. 
@258  amedt04      1. 
@259  emnyt04      2. 
@261  amnyt04      1. 
@262  eoutt04      2. 
@264  aoutt04      1. 
@265  eothlp04     2. 
@267  aothlp04     1. 
@268  thrst10      2. 
@270  ahrst10      1. 
@271  eopt04       2. 
@273  aopt04       1. 
@274  thrst11      2. 
@276  ahrst11      1. 
@277  ecompt04     2. 
@279  acompt04     1. 
@280  ehct04       2. 
@282  ahct04       1. 
@283  thrst12      2. 
@285  ahrst12      1. 
@286  epcwunv      2. 
@288  edaycare     2. 
@290  adaycare     1. 
@291  ecarer       3. 
@294  acarer       1. 
@295  ehrscare     2. 
@297  ahrscare     1. 
@298  elivapat     2. 
@300  alivapat     1. 
@301  enotable     2. 
@303  anotable     1. 
@304  epastmon     2. 
@306  apastmon     1. 
@307  eouting      2. 
@309  aouting      1. 
@310  etotread     2. 
@312  atotread     1. 
@313  eparread     2. 
@315  aparread     1. 
@316  edadread     2. 
@318  adadread     1. 
@319  etvrules     2. 
@321  atvrules     1. 
@322  etimestv     2. 
@324  atimestv     1. 
@325  ehoustv      2. 
@327  ahoustv      1. 
@328  eeatbkf      2. 
@330  aeatbkf      1. 
@331  eeatdinn     2. 
@333  aeatdinn     1. 
@334  edadbrkf     2. 
@336  adadbrkf     1. 
@337  edaddinn     2. 
@339  adaddinn     1. 
@340  efuntime     2. 
@342  afuntime     1. 
@343  edadfun      2. 
@345  adadfun      1. 
@346  epraise      2. 
@348  apraise      1. 
@349  edadprai     2. 
@351  adadprai     1. 
@352  efarscho     2. 
@354  afarscho     1. 
@355  edadfar      2. 
@357  adadfar      1. 
@358  ethinksc     2. 
@360  athinksc     1. 
@361  eatkindg     2. 
@363  aatkindg     1. 
@364  ekindage     2. 
@366  akindage     1. 
@367  efirgrad     2. 
@369  afirgrad     1. 
@370  estrtage     2. 
@372  astrtage     1. 
@373  ekindele     2. 
@375  akindele     1. 
@376  ehighgra     2. 
@378  ahighgra     1. 
@379  ecurrerl     2. 
@381  acurrerl     1. 
@382  egrdeatt     2. 
@384  agrdeatt     1. 
@385  epubpriv     2. 
@387  apubpriv     1. 
@388  eassschl     2. 
@390  aassschl     1. 
@391  erelisch     2. 
@393  arelisch     1. 
@394  especsch     2. 
@396  aspecsch     1. 
@397  esportea     2. 
@399  asportea     1. 
@400  elessons     2. 
@402  alessons     1. 
@403  eclubsch     2. 
@405  aclubsch     1. 
@406  elikesch     2. 
@408  alikesch     1. 
@409  eintschl     2. 
@411  aintschl     1. 
@412  ewkshard     2. 
@414  awkshard     1. 
@415  echgschl     2. 
@417  achgschl     1. 
@418  etimchan     2. 
@420  atimchan     1. 
@421  erepgrad     2. 
@423  arepgrad     1. 
@424  egrdrpt1     2. 
@426  egrdrpt2     2. 
@428  egrdrpt3     2. 
@430  egrdrpt4     2. 
@432  egrdrpt5     2. 
@434  agrdrpt      1. 
@435  eexpschl     2. 
@437  aexpschl     1. 
@438  etimexp      2. 
@440  atimexp      1. 
@441  egradexp     2. 
@443  agradexp     1. 
@444  ehardcar     2. 
@446  ahardcar     1. 
@447  ebother      2. 
@449  abother      1. 
@450  egivuplf     2. 
@452  agivuplf     1. 
@453  eangrycl     2. 
@455  aangrycl     1. 
@456  ehelpech     2. 
@458  ahelpech     1. 
@459  ewatchot     2. 
@461  awatchot     1. 
@462  ecounton     2. 
@464  acounton     1. 
@465  ebadpeop     2. 
@467  abadpeop     1. 
@468  etrustpe     2. 
@470  atrustpe     1. 
@471  ekeepins     2. 
@473  akeepins     1. 
@474  esafepla     2. 
@476  asafepla     1. 
@477  earpunv      2. 
@479  rmjb         2. 
@481  rmbs         2. 
@483  rmnjbbs      2. 
@485  therempl     2. 
@487  aherempl     1. 
@488  ttotempl     2. 
@490  atotempl     1. 
@491  tbustotl     2. 
@493  abustotl     1. 
@494  ewksyear     2. 
@496  awksyear     1. 
@497  tnumlen      2. 
@499  emthyear     2. 
@501  anumyear     1. 
@502  epensnyn     2. 
@504  apensnyn     1. 
@505  eincpens     2. 
@507  aincpens     1. 
@508  enoina01     2. 
@510  enoina02     2. 
@512  enoina03     2. 
@514  enoina04     2. 
@516  enoina05     2. 
@518  enoina06     2. 
@520  enoina07     2. 
@522  enoina08     2. 
@524  enoina09     2. 
@526  enoina10     2. 
@528  enoina11     2. 
@530  enoina12     2. 
@532  enoina13     2. 
@534  enoina14     2. 
@536  anoina       1. 
@537  etdeffen     2. 
@539  atdeffen     1. 
@540  emultpen     2. 
@542  amultpen     1. 
@543  e1pentyp     2. 
@545  a1pentyp     1. 
@546  e2pentyp     2. 
@548  a2pentyp     1. 
@549  e1penctr     2. 
@551  a1penctr     1. 
@552  e1taxdef     2. 
@554  a1taxdef     1. 
@555  e1recben     2. 
@557  a1recben     1. 
@558  e1lvlmps     2. 
@560  a1lvlmps     1. 
@561  t1yrsinc     2. 
@563  a1yrsinc     1. 
@564  e1ssofst     2. 
@566  a1ssofst     1. 
@567  t1yrcont     8. 
@575  a1yrcont     1. 
@576  t1totamt     8. 
@584  a1totamt     1. 
@585  e2penctr     2. 
@587  a2penctr     1. 
@588  e2taxdef     2. 
@590  a2taxdef     1. 
@591  e2recben     2. 
@593  a2recben     1. 
@594  e2lvlmps     2. 
@596  a2lvlmps     1. 
@597  t2yrsinc     2. 
@599  a2yrsinc     1. 
@600  e2ssofst     2. 
@602  a2ssofst     2. 
@604  t2yrcont     8. 
@612  a2yrcont     1. 
@613  t2totamt     8. 
@621  a2totamt     1. 
@622  e3taxdef     2. 
@624  a3taxdef     1. 
@625  e3partic     2. 
@627  a3partic     1. 
@628  enoinb01     2. 
@630  enoinb02     2. 
@632  enoinb03     2. 
@634  enoinb04     2. 
@636  enoinb05     2. 
@638  enoinb06     2. 
@640  enoinb07     2. 
@642  enoinb08     2. 
@644  enoinb09     2. 
@646  enoinb10     2. 
@648  enoinb11     2. 
@650  enoinb12     2. 
@652  enoinb13     2. 
@654  enoinb14     2. 
@656  anoinb       1. 
@657  ematchyn     2. 
@659  amatchyn     1. 
@660  efutpart     2. 
@662  afutpart     1. 
@663  tslfcon1     8. 
@671  eslfcon2     2. 
@673  eslfcon3    4.2 
@677  aslfcon      1. 
@678  eempcont     2. 
@680  aempcont     1. 
@681  econtdep     2. 
@683  acontdep     1. 
@684  tjbcont1     8. 
@692  ejbcont2     2. 
@694  ejbcont3    4.2 
@698  ejbcont4     2. 
@700  ajbcont      1. 
@701  einvchos     2. 
@703  ainvchos     1. 
@704  einvsdec     2. 
@706  ainvsdec     1. 
@707  ehowinv1     2. 
@709  ehowinv2     2. 
@711  ehowinv3     2. 
@713  ehowinv4     2. 
@715  ehowinv5     2. 
@717  ehowinv6     2. 
@719  ehowinv7     2. 
@721  ehowinv8     2. 
@723  ahowinvs     1. 
@724  rmostinv     2. 
@726  amostinv     1. 
@727  t3totamt     8. 
@735  a3totamt     1. 
@736  epenloan     2. 
@738  apenloan     1. 
@739  eletloan     2. 
@741  aletloan     1. 
@742  tloanbal     8. 
@750  aloanbal     1. 
@751  eothrpen     2. 
@753  aothrpen     1. 
@754  eprevpen     2. 
@756  aprevpen     1. 
@757  eprevexp     2. 
@759  aprevexp     1. 
@760  tprevyrs     2. 
@762  aprevyrs     1. 
@763  ewhnleft     4. 
@767  awhnleft     1. 
@768  eprevtyp     2. 
@770  aprevtyp     1. 
@771  tprevamt     8. 
@779  aprevamt     1. 
@780  eprewith     2. 
@782  aprewith     1. 
@783  eprevlmp     2. 
@785  aprevlmp     1. 
@786  ewhyleft     2. 
@788  awhyleft     1. 
@789  esurvlmp     2. 
@791  asurvlmp     1. 
@792  elumpnum    $2. 
@794  alumpnum    $1. 
@795  elmpyear     4. 
@799  almpyear     1. 
@800  elumpn97     2. 
@802  alumpn97     1. 
@803  elumpsrc     2. 
@805  alumpsrc     1. 
@806  elumphow     2. 
@808  alumphow     1. 
@809  tlumptot     8. 
@817  alumptot     1. 
@818  elumprec     2. 
@820  alumprec     1. 
@821  elmproll     2. 
@823  almproll     1. 
@824  elmpwher     2. 
@826  almpwher     1. 
@827  elumpent     2. 
@829  alumpent     1. 
@830  elmpsp01     2. 
@832  elmpsp02     2. 
@834  elmpsp03     2. 
@836  elmpsp04     2. 
@838  elmpsp05     2. 
@840  elmpsp06     2. 
@842  elmpsp07     2. 
@844  elmpsp08     2. 
@846  elmpsp09     2. 
@848  elmpsp10     2. 
@850  elmpsp11     2. 
@852  elmpsp12     2. 
@854  elmpsp13     2. 
@856  elmpsp14     2. 
@858  elmpsp15     2. 
@860  elmpsp16     2. 
@862  elmpsp17     2. 
@864  elmpsp18     2. 
@866  elmpsp19     2. 
@868  almpsp       1. 
@869  epenlng1     2. 
@871  epenlng2     2. 
@873  epengng3     2. 
@875  apenlgth     1. 
@876  epennumb     2. 
@878  apennumb     1. 
@879  epennums     2. 
@881  apennums     1. 
@882  epensrce     2. 
@884  apensrce     1. 
@885  epenwhen     4. 
@889  apenwhen     1. 
@890  epenbase     2. 
@892  apenbase     1. 
@893  epensurv     2. 
@895  apensurv     1. 
@896  epenincr     2. 
@898  apenincr     1. 
@899  epencola     2. 
@901  apencola     1. 
@902  ependecr     2. 
@904  apendecr     1. 
@905  tpensamt     8. 
@913  apensamt     1. 
@914  tpenamt1     8. 
@922  apenamt1     1. 
@923  elmpsrce     2. 
@925  almpsrce     1. 
@926  ejobreti     2. 
@928  ajobreti     1. 
@929  ewrk5yrs     2. 
@931  awrk5yrs     1. 
@932  escrepen     2. 
@934  ascrepen     1. 
@935  ejbindrp     3. 
@938  ajbindrp     1. 
@939  tjboccrp     3. 
@942  ajboccrp     1. 
@943  rclwrkr      2. 
@945  aclwrkr      1. 
@946  emultloc     2. 
@948  amultloc     1. 
@949  tnumwork     2. 
@951  anumwork     1. 
@952  templall     2. 
@954  aemplall     1. 
@955  eunionyn     2. 
@957  aunionyn     1. 
@958  thrsweek     3. 
@961  ahrsweek     1. 
@962  ewksyrs      2. 
@964  awksyrs      1. 
@965  tyrswrkd     2. 
@967  ayrswrkd     1. 
@968  eyrlrftj     4. 
@972  ayrlrftj     1. 
@973  ternlev1     8. 
@981  eernlev2     2. 
@983  aernleav     1. 
@984  ehlthpln     2. 
@986  ahlthpln     1. 
@987  tbsindrp     2. 
@989  absindrp     1. 
@990  ebsoccrp     3. 
@993  absoccrp     1. 
@994  tmakempl     2. 
@996  amakempl     1. 
@997  ebusninc     2. 
@999  abusninc     1. 
@1000 tbushrsw     3. 
@1003 abushrsw     1. 
@1004 ebuswksy     2. 
@1006 abuswksy     1. 
@1007 tbuslong     2. 
@1009 abuslong     1. 
@1010 ebusleav     4. 
@1014 abusleav     1. 
@1015 tbusern1     8. 
@1023 ebusern2     2. 
@1025 abusern      1. 
@1026 ebushlth     2. 
@1028 abushlth     1. 
@1029 estdlvng     2. 
@1031 astdlvng     1. 
@1032 eairunv      2. 
@1034 iothrbus     2. 
@1036 iownbs01     2. 
@1038 ibsform1     2. 
@1040 ibsloct1     2. 
@1042 iprtown1     2. 
@1044 iownrs11     4. 
@1048 iownrs12     4. 
@1052 ihhown1      2. 
@1054 rpcnthh1     2. 
@1056 rpctown1     2. 
@1058 tgrsrcp1     6. 
@1064 ttotexp1     6. 
@1070 tnetinc1     6. 
@1076 tnetinc2     6. 
@1082 iothinc1     2. 
@1084 inetin11     4. 
@1088 tnetin12     6. 
@1094 tnetin13     6. 
@1100 inetin21     4. 
@1104 tnetin22     6. 
@1110 tnetin23     6. 
@1116 ibsform2     2. 
@1118 ibsloct2     2. 
@1120 iprtown2     2. 
@1122 iownrs21     4. 
@1126 iownrs22     4. 
@1130 ihhown2      2. 
@1132 rpcnthh2     2. 
@1134 rpctown2     2. 
@1136 tgrsrcp2     6. 
@1142 ttotexp2     6. 
@1148 tnetinc3     6. 
@1154 tnetinc4     6. 
@1160 iothinc2     2. 
@1162 inetin31     4. 
@1166 tnetin32     6. 
@1172 tnetin33     6. 
@1178 inetin41     4. 
@1182 tnetin42     6. 
@1188 tnetin43     6. 
@1194 tothinc3     6. 
@1200 tothinc4     6. 
@1206 iirayn       2. 
@1208 iiracont     2. 
@1210 ttaxcont     4. 
@1214 iirawdl      2. 
@1216 tamtira      5. 
@1221 tiraearn     5. 
@1226 iiratyp1     2. 
@1228 iiratyp2     2. 
@1230 iiratyp3     2. 
@1232 iiratyp4     2. 
@1234 iiratyp5     2. 
@1236 iiratyp6     2. 
@1238 iiratyp7     2. 
@1240 ikeoghyn     2. 
@1242 ikeoghcn     2. 
@1244 ttxkeogh     5. 
@1249 ikeoghwd     2. 
@1251 tatkeogh     5. 
@1256 tkeogher     5. 
@1261 ikeohtp1     2. 
@1263 ikeohtp2     2. 
@1265 ikeohtp3     2. 
@1267 ikeohtp4     2. 
@1269 ikeohtp5     2. 
@1271 ikeohtp6     2. 
@1273 ikeohtp7     2. 
@1275 ithrftyn     2. 
@1277 tthftcnt     5. 
@1282 ithftwdl     2. 
@1284 tthftamt     5. 
@1289 tthftern     5. 
@1294 ithftyp1     2. 
@1296 ithftyp2     2. 
@1298 ithftyp3     2. 
@1300 ithftyp4     2. 
@1302 ithftyp5     2. 
@1304 eatxunv      2. 
@1306 itaxflyn     2. 
@1308 itaxcopy     2. 
@1310 tfilstat     2. 
@1312 ttotexmp     2. 
@1314 iexemp01     4. 
@1318 iexemp02     4. 
@1322 iexemp03     4. 
@1326 iexemp04     4. 
@1330 iexemp05     4. 
@1334 iexmpout     2. 
@1336 iexnmout     2. 
@1338 ioutrl01     2. 
@1340 ioutrl02     2. 
@1342 ioutrl03     2. 
@1344 ioutrl04     2. 
@1346 ioutrl05     2. 
@1348 ioutrl06     2. 
@1350 ioutrl07     2. 
@1352 ioutrl08     2. 
@1354 ioutrl09     2. 
@1356 ioutrl10     2. 
@1358 ifilform     2. 
@1360 ischeda      2. 
@1362 ischedd      2. 
@1364 tamtdedt     2. 
@1366 iccexpen     2. 
@1368 tccamt       2. 
@1370 icarex01     4. 
@1374 icarex02     4. 
@1378 icarex03     4. 
@1382 icarex04     4. 
@1386 icarex05     4. 
@1390 icarex06     4. 
@1394 icarex07     4. 
@1398 icarex08     4. 
@1402 icarex09     4. 
@1406 icarex10     4. 
@1410 icarex11     4. 
@1414 icarex12     4. 
@1418 icarex13     4. 
@1422 icarex14     4. 
@1426 icarex15     4. 
@1430 icarex16     4. 
@1434 icarex17     4. 
@1438 icarex18     4. 
@1442 icarex19     4. 
@1446 icarex20     4. 
@1450 icarex21     4. 
@1454 icarex22     4. 
@1458 icarex23     4. 
@1462 icarex24     4. 
@1466 icarex25     4. 
@1470 icarex26     4. 
@1474 icarex27     4. 
@1478 icarex28     4. 
@1482 icarex29     4. 
@1486 icarex30     4. 
@1490 idsabcrd     2. 
@1492 tdsabamt     2. 
@1494 tsapgain     2. 
@1496 tadjincm     2. 
@1498 tnettax      2. 
@1500 ierndcrd     2. 
@1502 terndamt     2. 
@1504 ieicex01     4. 
@1508 ieicex02     4. 
@1512 ieicex03     4. 
@1516 ieicex04     4. 
@1520 ieicex05     4. 
@1524 ieicex06     4. 
@1528 ieicex07     4. 
@1532 ieicex08     4. 
@1536 ieicex09     4. 
@1540 ieicex10     4. 
@1544 ieicex11     4. 
@1548 ieicex12     4. 
@1552 ieicex13     4. 
@1556 ieicex14     4. 
@1560 ieicex15     4. 
@1564 ieicex16     4. 
@1568 ieicex17     4. 
@1572 ieicex18     4. 
@1576 ieicex19     4. 
@1580 ieicex20     4. 
@1584 ieicex21     4. 
@1588 ieicex22     4. 
@1592 ieicex23     4. 
@1596 ieicex24     4. 
@1600 ieicex25     4. 
@1604 ieicex26     4. 
@1608 ieicex27     4. 
@1612 ieicex28     4. 
@1616 ieicex29     4. 
@1620 ieicex30     4. 
@1624 iproptax     2. 
@1626 ipropjnt     2. 
@1628 ipropn01     4. 
@1632 ipropn02     4. 
@1636 ipropn03     4. 
@1640 ipropn04     4. 
@1644 ipropn05     4. 
@1648 ipropn06     4. 
@1652 ipropn07     4. 
@1656 ipropn08     4. 
@1660 ipropn09     4. 
@1664 ipropn10     4. 
@1668 ipropn11     4. 
@1672 ipropn12     4. 
@1676 ipropn13     4. 
@1680 ipropn14     4. 
@1684 ipropn15     4. 
@1688 ipropn16     4. 
@1692 ipropn17     4. 
@1696 ipropn18     4. 
@1700 ipropn19     4. 
@1704 ipropn20     4. 
@1708 ipropn21     4. 
@1712 ipropn22     4. 
@1716 ipropn23     4. 
@1720 ipropn24     4. 
@1724 ipropn25     4. 
@1728 ipropn26     4. 
@1732 ipropn27     4. 
@1736 ipropn28     4. 
@1740 ipropn29     4. 
@1744 ipropn30     4. 
@1748 ttaxbill     2. 
;

PROC FORMAT cntlout=in.fsp01t7;

;
VALUE spanel  	(default=32)
	1996      =  "Panel Year"                    
;
VALUE tfipsst 	(default=32)
	1         =  "Alabama"                       
	2         =  "Alaska"                        
	4         =  "Arizona"                       
	5         =  "Arkansas"                      
	6         =  "California"                    
	8         =  "Colorado"                      
	9         =  "Connecticut"                   
	10        =  "Delaware"                      
	11        =  "DC"                            
	12        =  "Florida"                       
	13        =  "Georgia"                       
	15        =  "Hawaii"                        
	16        =  "Idaho"                         
	17        =  "Illinois"                      
	18        =  "Indiana"                       
	19        =  "Iowa"                          
	20        =  "Kansas"                        
	21        =  "Kentucky"                      
	22        =  "Louisiana"                     
	24        =  "Maryland"                      
	25        =  "Massachusetts"                 
	26        =  "Michigan"                      
	27        =  "Minnesota"                     
	28        =  "Mississippi"                   
	29        =  "Missouri"                      
	30        =  "Montana"                       
	31        =  "Nebraska"                      
	32        =  "Nevada"                        
	33        =  "New Hampshire"                 
	34        =  "New Jersey"                    
	35        =  "New Mexico"                    
	36        =  "New York"                      
	37        =  "North Carolina"                
	39        =  "Ohio"                          
	40        =  "Oklahoma"                      
	41        =  "Oregon"                        
	42        =  "Pennsylvania"                  
	44        =  "Rhode Island"                  
	45        =  "South Carolina"                
	47        =  "Tennessee"                     
	48        =  "Texas"                         
	49        =  "Utah"                          
	51        =  "Virginia"                      
	53        =  "Washington"                    
	54        =  "West Virginia"                 
	55        =  "Wisconsin"                     
	61        =  "Maine, Vermont"                
	62        =  "North Dakota, South Dakota,"   
;
VALUE sinthhid	(default=32)
	0         =  "Not in universe"               
;
VALUE eoutcome	(default=32)
	201       =  "Completed interview"           
	203       =  "Compl. partial- missing data; no"
	207       =  "Complete partial - TYPE-Z; no" 
	213       =  "TYPE-A, language problem"      
	215       =  "TYPE-A, insufficient partial"  
	216       =  "TYPE-A, no one home (noh)"     
	217       =  "TYPE-A, temporarily absent (ta)"
	218       =  "TYPE-A, hh refused"            
	219       =  "TYPE-A, other occupied (specify)"
	234       =  "TYPE-B, entire hh institut. or"
	248       =  "TYPE-C, other (specify)"       
	249       =  "TYPE-C, sample adjustment"     
	250       =  "TYPE-C, hh deceased"           
	251       =  "TYPE-C, moved out of country"  
	252       =  "TYPE-C, living in armed forces"
	253       =  "TYPE-C, on active duty in Armed"
	254       =  "TYPE-C, no one over age 15 years"
	255       =  "TYPE-C, no Wave 1 persons"     
	260       =  "TYPE-D, moved address unknown" 
	261       =  "TYPE-D, moved w/in U.S. but"   
	262       =  "Merged with another SIPP household"
	270       =  "Mover, no longer located in same"
	271       =  "Mover, new address located in" 
	280       =  "Newly spawned case outside fr's"
;
VALUE rfid2l  	(default=32)
	0         =  "Member of related subfamily"   
;
VALUE epopstat	(default=32)
	1         =  "Adult (15 years of age or older)"
	2         =  "Child (Under 15 years of age)" 
;
VALUE eppintvw	(default=32)
	1         =  "Interview (self)"              
	2         =  "Interview (proxy)"             
	3         =  "Noninterview - Type Z"         
	4         =  "Nonintrvw - pseudo Type Z.  Left"
	5         =  "Children under 15 during"      
;
VALUE eppmis4l	(default=32)
	1         =  "Interview"                     
	2         =  "Non-interview"                 
;
VALUE esex    	(default=32)
	1         =  "Male"                          
	2         =  "Female"                        
;
VALUE erace   	(default=32)
	1         =  "White"                         
	2         =  "Black"                         
	3         =  "American Indian, Aleut, or Eskimo"
	4         =  "Asian or Pacific Islander"     
;
VALUE eorigin 	(default=32)
	1         =  "Canadian"                      
	10        =  "Polish"                        
	11        =  "Russian"                       
	12        =  "Scandinavian"                  
	13        =  "Scotch-Irish"                  
	14        =  "Scottish"                      
	15        =  "Slovak"                        
	16        =  "Welsh"                         
	17        =  "Other European"                
	2         =  "Dutch"                         
	20        =  "Mexican"                       
	21        =  "Mexican-American"              
	22        =  "Chicano"                       
	23        =  "Puerto Rican"                  
	24        =  "Cuban"                         
	25        =  "Central American"              
	26        =  "South American"                
	27        =  "Dominican Republic"            
	28        =  "Other Hispanic"                
	3         =  "English"                       
	30        =  "African-American or Afro-American"
	31        =  "American Indian, Eskimo, or Aleut"
	32        =  "Arab"                          
	33        =  "Asian"                         
	34        =  "Pacific Islander"              
	35        =  "West Indian"                   
	39        =  "Another group not listed"      
	4         =  "French"                        
	40        =  "American"                      
	5         =  "French-Canadian"               
	6         =  "German"                        
	7         =  "Hungarian"                     
	8         =  "Irish"                         
	9         =  "Italian"                       
;
VALUE wpfinwgt	(default=32)
	0         =  "0000:999999.9999 .Final person weight"
;
VALUE errp    	(default=32)
	1         =  "Reference person w/ rel. persons"
	10        =  "Unmarried partner of reference"
	11        =  "Housemate/roommate"            
	12        =  "Roomer/boarder"                
	13        =  "Other non-relative of reference"
	2         =  "Reference Person w/out rel."   
	3         =  "Spouse of reference person"    
	4         =  "Child of reference person"     
	5         =  "Grandchild of reference person"
	6         =  "Parent of reference person"    
	7         =  "Brother/sister of reference person"
	8         =  "Other relative of reference person"
	9         =  "Foster child of reference person"
;
VALUE tage    	(default=32)
	0         =  "Less than 1 full year old"     
;
VALUE ems     	(default=32)
	1         =  "Married, spouse present"       
	2         =  "Married, Spouse absent"        
	3         =  "Widowed"                       
	4         =  "Divorced"                      
	5         =  "Separated"                     
	6         =  "Never Married"                 
;
VALUE epnspous	(default=32)
	9999      =  "Spouse not in hhld or person not"
;
VALUE epnmom  	(default=32)
	9999      =  "No mother in household"        
;
VALUE epndad  	(default=32)
	9999      =  "No father in household"        
;
VALUE epnguard	(default=32)
	-1        =  "Not in universe"               
	9999      =  "Guardian not in household"     
;
VALUE rdesgpnt	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE eeducate	(default=32)
	-1        =  "Not in universe"               
	31        =  "Less than 1st grade"           
	32        =  "1st, 2nd, 3rd or 4th grade"    
	33        =  "5th or 6th grade"              
	34        =  "7th or 8th grade"              
	35        =  "9th grade"                     
	36        =  "10th grade"                    
	37        =  "11th grade"                    
	38        =  "12th grade"                    
	39        =  "High school graduate - high"   
	40        =  "Some college but no degree"    
	41        =  "Diploma or certificate from a" 
	42        =  "Associate degree in college -" 
	43        =  "Associate Degree in college -" 
	44        =  "Bachelors degree (For example:"
	45        =  "Master's degree (For example: MA,"
	46        =  "Professional School Degree (For"
	47        =  "Doctorate degree (For example:"
;
VALUE eaicunv 	(default=32)
	1         =  "In universe"                   
	-1        =  "Not in universe"               
;
VALUE epvdcare	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apvdcare	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ecarehhm	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE acarehhm	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tnumhhm 	(default=32)
	-1        =  "Not in universe"               
;
VALUE anumhhm 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehhm1l  	(default=32)
	9999      =  "Unknown person number"         
	-1        =  "Not in universe"               
;
VALUE ahhm1l  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erelt01l	(default=32)
	1         =  "Spouse"                        
	2         =  "Partner"                       
	3         =  "Child"                         
	4         =  "Grandchild"                    
	5         =  "Parent"                        
	6         =  "Brother/sister"                
	7         =  "Other relative"                
	8         =  "Nonrelative"                   
	9         =  "Relationship not identified"   
	-1        =  "Not in universe"               
;
VALUE arelt01l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tyrst01l	(default=32)
	0         =  "Less than 1 year of care provided"
	1         =  "1 year of care provided"       
	2         =  "2 years of care provided"      
	3         =  "3 years of care provided"      
	4         =  "4 years of care provided"      
	5         =  "5 years of care provided"      
	6         =  "6 to 7 years of care provided" 
	7         =  "8 to 9 years of care provided" 
	8         =  "10 years of care provided"     
	9         =  "11 to 12 years of care provided"
	10        =  "13 to 15 years of care provided"
	11        =  "16 to 20 years of care provided"
	12        =  "21+ years of care provided"    
	-1        =  "Not in universe"               
;
VALUE ayrst01l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eadlt01l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aadlt01l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emedt01l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amedt01l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emnyt01l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amnyt01l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eoutt01l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aoutt01l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eothlp0m	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aothlp0m	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE thrst01l	(default=32)
	1         =  "1 to 2 hours of care provided" 
	2         =  "3 to 4 hours of care provided" 
	3         =  "5 to 6 hours of care provided" 
	4         =  "7 to 9 hours of care provided" 
	5         =  "10 to 11 hours of care provided"
	6         =  "12 to 14 hours of care provided"
	7         =  "15 to 18 hours of care provided"
	8         =  "19 to 20 hours of care provided"
	9         =  "21 to 24 hours of care provided"
	10        =  "25 to 29 hours of care provided"
	11        =  "30 to 39 hours of care provided"
	12        =  "40 to 41 hours of care provided"
	13        =  "42 to 50 hours of care provided"
	14        =  "51 to 60 hours of care provided"
	15        =  "61 to 79 hours of care provided"
	16        =  "80 to 89 hours of care provided"
	17        =  "90 to 100 hours of care provided"
	18        =  "101 to 120 hours of care provided"
	19        =  "121+ hours of care provided"   
	-1        =  "Not in universe"               
;
VALUE ahrst01l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eopt01l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aopt01l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE thrst02l	(default=32)
	1         =  "1 hour of unpaid care provided"
	2         =  "2 hours of unpaid care provided"
	3         =  "3 to 4 hours of unpaid care"   
	4         =  "5 hours of unpaid care provided"
	5         =  "6 hours of unpaid care provided"
	6         =  "7 to 8 hours of unpaid care"   
	7         =  "9 to 10 hours of unpaid care"  
	8         =  "11 to 19 hours of unpaid care" 
	9         =  "20 hours of unpaid care provided"
	10        =  "21 to 25 hours of unpaid care" 
	11        =  "26 to 29 hours of unpaid care" 
	12        =  "30 to 39 hours of unpaid care" 
	13        =  "40 to 41 hours of unpaid care" 
	14        =  "42 to 50 hours of unpaid care" 
	15        =  "51 to 60 hours of unpaid care" 
	16        =  "61 to 80 hours of unpaid care" 
	17        =  "81 to 100 hours of unpaid care"
	18        =  "101+ hours of unpaid care provided"
	-1        =  "Not in universe"               
;
VALUE ahrst02l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehct01l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahct01l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE thrst03l	(default=32)
	1         =  "1 hour of professional care"   
	2         =  "2 hours of professional care"  
	3         =  "3 hours of professional care"  
	4         =  "4 hours of professional care"  
	5         =  "5 hours of professional care"  
	6         =  "6 hours of professional care"  
	7         =  "7 hours of professional care"  
	8         =  "8 to 9 hours of professional care"
	9         =  "10 hours of professional care" 
	10        =  "11 to 15 hours of professional"
	11        =  "16 to 19 hours of professional"
	12        =  "20 to 22 hours of professional"
	13        =  "23 to 26 hours of professional"
	14        =  "27 to 33 hours of professional"
	15        =  "34 to 40 hours of professional"
	16        =  "41 to 84 hours of professional"
	17        =  "85+ hours of professional care"
	-1        =  "Not in universe"               
;
VALUE ahrst03l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehhm2l  	(default=32)
	9999      =  "Unknown person number"         
	-1        =  "Not in universe"               
;
VALUE ahhm2l  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erelt02l	(default=32)
	1         =  "Spouse"                        
	2         =  "Partner"                       
	3         =  "Child"                         
	4         =  "Grandchild"                    
	5         =  "Parent"                        
	6         =  "Brother/sister"                
	7         =  "Other relative"                
	8         =  "Nonrelative"                   
	9         =  "Relationship not identified"   
	-1        =  "Not in universe"               
;
VALUE arelt02l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tyrst02l	(default=32)
	0         =  "Less than 1 year of care provided"
	1         =  "1 year of care provided"       
	2         =  "2 years of care provided"      
	3         =  "3 years of care provided"      
	4         =  "4 years of care provided"      
	5         =  "5 years of care provided"      
	6         =  "6 to 10 years of care provided"
	7         =  "11 to 14 years of care provided"
	8         =  "15 to 19 years of care provided"
	9         =  "20+ years of care provided"    
	-1        =  "Not in universe"               
;
VALUE ayrst02l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eadlt02l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aadlt02l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emedt02l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amedt02l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emnyt02l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amnyt02l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eoutt02l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aoutt02l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eothlp0k	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aothlp0k	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE thrst04l	(default=32)
	1         =  "1 to 3 hours of care provided" 
	2         =  "4 to 9 hours of care provided" 
	3         =  "10 to 14 hours of care provided"
	4         =  "15 to 18 hours of care provided"
	5         =  "19 to 20 hours of care provided"
	6         =  "21 to 29 hours of care provided"
	7         =  "30 to 39 hours of care provided"
	8         =  "40 to 44 hours of care provided"
	9         =  "45 to 59 hours of care provided"
	10        =  "60 to 63 hours of care provided"
	11        =  "64 to 89 hours of care provided"
	12        =  "90 to 99 hours of care provided"
	13        =  "100+ hours of care provided"   
	-1        =  "Not in universe"               
;
VALUE ahrst04l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eopt02l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aopt02l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imutation"           
	3         =  "Logical imputation (derivation)"
;
VALUE thrst05l	(default=32)
	1         =  "1 to 2 hours of unpaid care"   
	2         =  "3 to 9 hours of unpaid care"   
	3         =  "10 to 14 hours of unpaid care" 
	4         =  "15 to 39 hours of unpaid care" 
	5         =  "40+ hours of unpaid care provided"
	-1        =  "Not in universe"               
;
VALUE ahrst05l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehct02l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahct02l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE thrst06l	(default=32)
	1         =  "1 to 2 hours of professional care"
	2         =  "3 to 14 hours of professional" 
	3         =  "15+ hours of professional care"
	-1        =  "Not in universe"               
;
VALUE ahrst06l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ecarenhm	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE acarenhm	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tnumnhm 	(default=32)
	-1        =  "Not in universe"               
;
VALUE anumnhm 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erelt03l	(default=32)
	1         =  "Spouse"                        
	2         =  "Partner"                       
	3         =  "Child"                         
	4         =  "Grandchild"                    
	5         =  "Parent"                        
	6         =  "Brother/sister"                
	7         =  "Other relative"                
	8         =  "Nonrelative"                   
	9         =  "Relationship not identified"   
	-1        =  "Not in universe"               
;
VALUE arelt03l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tyrst03l	(default=32)
	0         =  "Less than 1 year of care provided"
	1         =  "1 year of care provided"       
	2         =  "2 years of care provided"      
	3         =  "3 years of care provided"      
	4         =  "4 years of care provided"      
	5         =  "5 years of care provided"      
	6         =  "6 to 7 years of care provided" 
	7         =  "8 to 10 years of care provided"
	8         =  "11 to 19 years of care provided"
	9         =  "20+ years of care provided"    
	-1        =  "Not in universe"               
;
VALUE ayrst03l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eresof3l	(default=32)
	1         =  "House or apartment"            
	2         =  "Care facility"                 
	3         =  "Other"                         
	-1        =  "Not in universe"               
;
VALUE aresof3l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eadlt03l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aadlt03l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emedt03l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amedt03l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emnyt03l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amnyt03l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eoutt03l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aoutt03l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eothlp0l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aothlp0l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE thrst07l	(default=32)
	1         =  "1 hour of care provided"       
	2         =  "2 hours of care provided"      
	3         =  "3 hours of care provided"      
	4         =  "4 hours of care provided"      
	5         =  "5 hours of care provided"      
	6         =  "6 to 7 hours of care provided" 
	7         =  "8 to 9 hours of care provided" 
	8         =  "10 to 11 hours of care provided"
	9         =  "12 to 14  hours of care provided"
	10        =  "15 to 18 hours of care provided"
	11        =  "19 to 20 hours of care provided"
	12        =  "21 to 25 hours of care provided"
	13        =  "26 to 35 hours of care provided"
	14        =  "36 to 69 hours of care provided"
	15        =  "70+ hours of care provided"    
	-1        =  "Not in universe"               
;
VALUE ahrst07l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eopt03l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aopt03l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE thrst08l	(default=32)
	1         =  "1 hour of unpaid care provided"
	2         =  "2 hours of unpaid care provided"
	3         =  "3 to 4 hours of unpaid care"   
	4         =  "5 hours of unpaid care provided"
	5         =  "6 to 7 hours of unpaid care"   
	6         =  "8 to 9 hours of unpaid care"   
	7         =  "10 hours of unpaid care provided"
	8         =  "11 to 13 hours of unpaid care" 
	9         =  "14 to 18 hours of unpaid care" 
	10        =  "19 to 20 hours of unpaid care" 
	11        =  "21 to 27 hours of unpaid care" 
	12        =  "28 to 39 hours of unpaid care" 
	13        =  "40 to 44 hours of unpaid care" 
	14        =  "45 to 60 hours of unpaid care" 
	15        =  "61 to 80 hours of unpaid care" 
	16        =  "81 to 100 hours of unpaid care"
	17        =  "101+ hours of unpaid care provided"
	-1        =  "Not in universe"               
;
VALUE ahrst08l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ecompt0m	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE acompt0m	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehct03l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahct03l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE thrst09l	(default=32)
	1         =  "1 hour of care provided"       
	2         =  "2 hours of care provided"      
	3         =  "3 hours of care provided"      
	4         =  "4 hours of care provided"      
	5         =  "5 hours of care provided"      
	6         =  "6 hours of care provided"      
	7         =  "7 to 9 hours of care provided" 
	8         =  "10 to 11 hours of care provided"
	9         =  "12 to 17 hours of care provided"
	10        =  "18 to 20 hours of care provided"
	11        =  "21 to 24 hours of care provided"
	12        =  "25 to 30 hours of care provided"
	13        =  "31 to 40 hours of care provided"
	14        =  "41 to 99 hours of care provided"
	15        =  "100+ hours of care provided"   
	-1        =  "Not in universe"               
;
VALUE ahrst09l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erelt04l	(default=32)
	1         =  "Spouse"                        
	2         =  "Partner"                       
	3         =  "Child"                         
	4         =  "Grandchild"                    
	5         =  "Parent"                        
	6         =  "Brother/sister"                
	7         =  "Other relative"                
	8         =  "Nonrelative"                   
	9         =  "Relationship not identified"   
	-1        =  "Not in universe"               
;
VALUE arelt04l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tyrst04l	(default=32)
	0         =  "Less than 1 year of care provided"
	1         =  "1 year of care provided"       
	2         =  "2 years of care provided"      
	3         =  "3 years of care provided"      
	4         =  "4 years of care provided"      
	5         =  "5 years of care provided"      
	6         =  "6 to 9 years of care provided" 
	7         =  "10 to 19 years of care provided"
	8         =  "20+ years of care provided"    
	-1        =  "Not in universe"               
;
VALUE ayrst04l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eresof4l	(default=32)
	1         =  "House or apartment"            
	2         =  "Care facility"                 
	3         =  "Other"                         
	-1        =  "Not in universe"               
;
VALUE aresof4l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eadlt04l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aadlt04l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emedt04l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amedt04l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emnyt04l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amnyt04l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eoutt04l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aoutt04l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eothlp0n	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aothlp0n	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE thrst10l	(default=32)
	1         =  "1 hour of care provided"       
	2         =  "2 hours of care provided"      
	3         =  "3 hours of care provided"      
	4         =  "4 hours of care provided"      
	5         =  "5 hours of care provided"      
	6         =  "6 hours of care provided"      
	7         =  "7 to 8 hours of care provided" 
	8         =  "9 to 11 hours of care provided"
	9         =  "12 to 13 hours of care provided"
	10        =  "14 to 15 hours of care provided"
	11        =  "16 to 20 hours of care provided"
	12        =  "21 to 29 hours of care provided"
	13        =  "30 to 40 hours of care provided"
	14        =  "41+ hours of care provided"    
	-1        =  "Not in universe"               
;
VALUE ahrst10l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eopt04l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aopt04l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE thrst11l	(default=32)
	1         =  "1 to 2 hours of unpaid care"   
	2         =  "3 hours of unpaid care provided"
	3         =  "4 to 5 hours of unpaid care"   
	4         =  "6 to 7 hours of unpaid care"   
	5         =  "8 to 9 hours of unpaid care"   
	6         =  "10 to 11 hours of unpaid care" 
	7         =  "12 to 14 hours of unpaid care" 
	8         =  "15 to 19 hours of unpaid care" 
	9         =  "20 to 23 hours of unpaid care" 
	10        =  "24 to 34 hours of unpaid care" 
	11        =  "35 to 50 hours of unpaid care" 
	12        =  "51 to 90 hours of unpaid care" 
	13        =  "91+ hours of unpaid care provided"
	-1        =  "Not in universe"               
;
VALUE ahrst11l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ecompt0k	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE acompt0k	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehct04l 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahct04l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE thrst12l	(default=32)
	1         =  "1 to 3 Hours of care provided" 
	2         =  "4 Hours of care provided"      
	3         =  "5 to 6 Hours of care provided" 
	4         =  "7 to 9 Hours of care provided" 
	5         =  "10 to 50 Hours of care provided"
	6         =  "51+ Hours of care provided"    
	-1        =  "Not in universe"               
;
VALUE ahrst12l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epcwunv 	(default=32)
	1         =  "In universe"                   
	-1        =  "Not in universe"               
;
VALUE edaycare	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE adaycare	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ecarer  	(default=32)
	1         =  "0-3  Months old"               
	2         =  "4-6  Months old"               
	3         =  "7-11 Months old"               
	4         =  "12-17 Months old"              
	5         =  "18-23 Months old"              
	6         =  "2     Years old"               
	7         =  "3     Years old"               
	8         =  "4     Years old"               
	9         =  "5     Years old"               
	10        =  "6     Years old"               
	11        =  "7     Years old"               
	12        =  "8     Years old"               
	13        =  "9     Years old"               
	14        =  "10    Years old"               
	15        =  "11    Years old"               
	16        =  "12    Years old"               
	17        =  "13    Years old"               
	18        =  "14    Years old"               
	19        =  "15    Years old"               
	20        =  "16    Years old"               
	21        =  "17    Years old"               
	-1        =  "Not in universe"               
;
VALUE acarer  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold Deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehrscare	(default=32)
	-1        =  "Not in universe"               
;
VALUE ahrscare	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elivapat	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE alivapat	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enotable	(default=32)
	3         =  "Sometimes yes, sometimes no"   
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE anotable	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation"            
;
VALUE epastmon	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apastmon	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE eouting 	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
;
VALUE aouting 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE etotread	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
;
VALUE atotread	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eparread	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
;
VALUE aparread	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE edadread	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
;
VALUE adadread	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE etvrules	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE atvrules	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE etimestv	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE atimestv	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehoustv 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahoustv 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eeatbkf 	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
;
VALUE aeatbkf 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eeatdinn	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
;
VALUE aeatdinn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE edadbrkf	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
;
VALUE adadbrkf	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE edaddinn	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
;
VALUE adaddinn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE efuntime	(default=32)
	1         =  "Never"                         
	2         =  "About once a week (or less)"   
	3         =  "A few times a week"            
	4         =  "One or two times a day"        
	5         =  "Many times each day"           
	-1        =  "Not in universe"               
;
VALUE afuntime	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE edadfun 	(default=32)
	1         =  "Never"                         
	2         =  "About once a week (or less)"   
	3         =  "A few times a week"            
	4         =  "One or two times a day"        
	5         =  "Many times each day"           
	-1        =  "Not in universe"               
;
VALUE adadfun 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epraise 	(default=32)
	1         =  "Never"                         
	2         =  "About once a week (or less)"   
	3         =  "A few times a week"            
	4         =  "One or two times a day"        
	5         =  "Many times each day"           
	-1        =  "Not in universe"               
;
VALUE apraise 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE edadprai	(default=32)
	1         =  "Never"                         
	2         =  "About once a week (or less)"   
	3         =  "A few times a week"            
	4         =  "One or two times a day"        
	5         =  "Many times each day"           
	-1        =  "Not in universe"               
;
VALUE adadprai	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE efarscho	(default=32)
	1         =  "Leave school before graduation"
	2         =  "Graduate from high school"     
	3         =  "Get some college or other training"
	4         =  "Graduate from college"         
	5         =  "Take further education or"     
	-1        =  "Not in universe"               
;
VALUE afarscho	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE edadfar 	(default=32)
	1         =  "Leave school before graduation"
	2         =  "Graduate from high school"     
	3         =  "Get some college or other training"
	4         =  "Graduate from college"         
	5         =  "Take further education or"     
	-1        =  "Not in universe"               
;
VALUE adadfar 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ethinksc	(default=32)
	1         =  "Leave school before graduation"
	2         =  "Graduate from high school"     
	3         =  "Get some college or other training"
	4         =  "Graduate from college"         
	5         =  "Take further education or"     
	-1        =  "Not in universe"               
;
VALUE athinksc	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eatkindg	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aatkindg	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ekindage	(default=32)
	-1        =  "Not in universe"               
;
VALUE akindage	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE efirgrad	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE afirgrad	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE estrtage	(default=32)
	-1        =  "Not in universe"               
;
VALUE astrtage	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ekindele	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE akindele	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehighgra	(default=32)
	-3        =  "None (No grade completed)"     
	-1        =  "Not in universe"               
	1         =  "Kindergarten"                  
	2         =  "First grade"                   
	3         =  "Second grade"                  
	4         =  "Third grade"                   
	5         =  "Fourth grade"                  
	6         =  "Fifth grade"                   
	7         =  "Sixth grade"                   
	8         =  "Seventh grade"                 
	9         =  "Eighth grade"                  
	10        =  "Ninth grade"                   
	11        =  "Tenth grade"                   
	12        =  "Eleventh grade"                
	13        =  "Twelfth grade"                 
	14        =  "College, one year or more"     
;
VALUE ahighgra	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ecurrerl	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE acurrerl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE egrdeatt	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
	1         =  "Kindergarten"                  
	2         =  "First grade"                   
	3         =  "Second grade"                  
	4         =  "Third grade"                   
	5         =  "Fourth grade"                  
	6         =  "Fifth grade"                   
	7         =  "Sixth grade"                   
	8         =  "Seventh grade"                 
	9         =  "Eighth grade"                  
	10        =  "Ninth grade"                   
	11        =  "Tenth grade"                   
	12        =  "Eleventh grade"                
	13        =  "Twelfth grade"                 
	14        =  "College, one year or more"     
;
VALUE agrdeatt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epubpriv	(default=32)
	1         =  "Public"                        
	2         =  "Private"                       
	-1        =  "Not in universe"               
;
VALUE apubpriv	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eassschl	(default=32)
	1         =  "Assigned"                      
	2         =  "Chosen"                        
	3         =  "Both -- assigned school is school"
	-1        =  "Not in universe"               
;
VALUE aassschl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erelisch	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE arelisch	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE especsch	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aspecsch	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE esportea	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE asportea	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elessons	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE alessons	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eclubsch	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aclubsch	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elikesch	(default=32)
	1         =  "Not true"                      
	2         =  "Sometimes true"                
	3         =  "Often true"                    
	-1        =  "Not in universe"               
;
VALUE alikesch	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eintschl	(default=32)
	1         =  "Not true"                      
	2         =  "Sometimes true"                
	3         =  "Often true"                    
	-1        =  "Not in universe"               
;
VALUE aintschl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ewkshard	(default=32)
	1         =  "Not true"                      
	2         =  "Sometimes true"                
	3         =  "Often true"                    
	-1        =  "Not in universe"               
;
VALUE awkshard	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE echgschl	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE achgschl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE etimchan	(default=32)
	-1        =  "Not in universe"               
;
VALUE atimchan	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erepgrad	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE arepgrad	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE egrdrptd	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
	0         =  "Blank or not reported"         
	1         =  "Kindergarten"                  
	2         =  "First grade"                   
	3         =  "Second grade"                  
	4         =  "Third grade"                   
	5         =  "Fourth grade"                  
	6         =  "Fifth grade"                   
	7         =  "Sixth grade"                   
	8         =  "Seventh grade"                 
	9         =  "Eighth grade"                  
	10        =  "Ninth grade"                   
	11        =  "Tenth grade"                   
	12        =  "Eleventh grade"                
	13        =  "Twelfth grade"                 
;
VALUE egrdrptk	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
	0         =  "Blank or not reported"         
	1         =  "Kindergarten"                  
	2         =  "First grade"                   
	3         =  "Second grade"                  
	4         =  "Third grade"                   
	5         =  "Fourth grade"                  
	6         =  "Fifth grade"                   
	7         =  "Sixth grade"                   
	8         =  "Seventh grade"                 
	9         =  "Eighth grade"                  
	10        =  "Ninth grade"                   
	11        =  "Tenth grade"                   
	12        =  "Eleventh grade"                
	13        =  "Twelfth grade"                 
;
VALUE egrdrptl	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
	0         =  "Blank or not reported"         
	1         =  "First grade"                   
	2         =  "Second grade"                  
	3         =  "Third grade"                   
	4         =  "Fourth grade"                  
	5         =  "Fifth grade"                   
	6         =  "Sixth grade"                   
	7         =  "Seventh grade"                 
	8         =  "Eighth grade"                  
	9         =  "Ninth grade"                   
	10        =  "Tenth grade"                   
	11        =  "Eleventh grade"                
	12        =  "Twelfth grade"                 
	13        =  "Kindergarten"                  
;
VALUE egrdrptm	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
	0         =  "Blank or not reported"         
	1         =  "Kindergarten"                  
	2         =  "First grade"                   
	3         =  "Second grade"                  
	4         =  "Third grade"                   
	5         =  "Fourth grade"                  
	6         =  "Fifth grade"                   
	7         =  "Sixth grade"                   
	8         =  "Seventh grade"                 
	9         =  "Eighth grade"                  
	10        =  "Ninth grade"                   
	11        =  "Tenth grade"                   
	12        =  "Eleventh grade"                
	13        =  "Twelfth grade"                 
;
VALUE egrdrptn	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
	0         =  "Blank or not reported"         
	1         =  "Kindergarten"                  
	2         =  "First grade"                   
	3         =  "Second grade"                  
	4         =  "Third grade"                   
	5         =  "Fourth grade"                  
	6         =  "Fifth grade"                   
	7         =  "Sixth grade"                   
	8         =  "Seventh grade"                 
	9         =  "Eighth grade"                  
	10        =  "Ninth grade"                   
	11        =  "Tenth grade"                   
	12        =  "Eleventh grade"                
	13        =  "Twelfth grade"                 
;
VALUE agrdrpt 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eexpschl	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aexpschl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE etimexp 	(default=32)
	-1        =  "Not in universe"               
;
VALUE atimexp 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE egradexp	(default=32)
	-3        =  "None (No grade completed)"     
	-1        =  "Not in universe"               
	1         =  "Kindergarten"                  
	2         =  "First grade"                   
	3         =  "Second grade"                  
	4         =  "Third grade"                   
	5         =  "Fourth grade"                  
	6         =  "Fifth grade"                   
	7         =  "Sixth grade"                   
	8         =  "Seventh grade"                 
	9         =  "Eighth grade"                  
	10        =  "Ninth grade"                   
	11        =  "Tenth grade"                   
	12        =  "Eleventh grade"                
	13        =  "Twelfth grade"                 
;
VALUE agradexp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehardcar	(default=32)
	1         =  "Never"                         
	2         =  "Sometimes"                     
	3         =  "Often"                         
	4         =  "Very often"                    
	-1        =  "Not in universe"               
;
VALUE ahardcar	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ebother 	(default=32)
	1         =  "Never"                         
	2         =  "Sometimes"                     
	3         =  "Often"                         
	4         =  "Very often"                    
	-1        =  "Not in universe"               
;
VALUE abother 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE egivuplf	(default=32)
	1         =  "Never"                         
	2         =  "Sometimes"                     
	3         =  "Often"                         
	4         =  "Very often"                    
	-1        =  "Not in universe"               
;
VALUE agivuplf	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eangrycl	(default=32)
	1         =  "Never"                         
	2         =  "Sometimes"                     
	3         =  "Often"                         
	4         =  "Very often"                    
	-1        =  "Not in universe"               
;
VALUE aangrycl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehelpech	(default=32)
	1         =  "Strongly agree"                
	2         =  "Agree"                         
	3         =  "Disagree"                      
	4         =  "Strongly Disagree"             
	5         =  "Have no opinion"               
	-1        =  "Not in universe"               
;
VALUE ahelpech	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ewatchot	(default=32)
	1         =  "Strongly agree"                
	2         =  "Agree"                         
	3         =  "Disagree"                      
	4         =  "Strongly Disagree"             
	5         =  "Have no opinion"               
	-1        =  "Not in universe"               
;
VALUE awatchot	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ecounton	(default=32)
	1         =  "Strongly agree"                
	2         =  "Agree"                         
	3         =  "Disagree"                      
	4         =  "Strongly Disagree"             
	5         =  "Have no opinion"               
	-1        =  "Not in universe"               
;
VALUE acounton	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ebadpeop	(default=32)
	1         =  "Strongly agree"                
	2         =  "Agree"                         
	3         =  "Disagree"                      
	4         =  "Strongly Disagree"             
	5         =  "Have no opinion"               
	-1        =  "Not in universe"               
;
VALUE abadpeop	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE etrustpe	(default=32)
	1         =  "Strongly agree"                
	2         =  "Agree"                         
	3         =  "Disagree"                      
	4         =  "Strongly Disagree"             
	5         =  "Have no opinion"               
	-1        =  "Not in universe"               
;
VALUE atrustpe	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ekeepins	(default=32)
	1         =  "Strongly agree"                
	2         =  "Agree"                         
	3         =  "Disagree"                      
	4         =  "Strongly Disagree"             
	5         =  "Have no opinion"               
	-1        =  "Not in universe"               
;
VALUE akeepins	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE esafepla	(default=32)
	1         =  "Strongly agree"                
	2         =  "Agree"                         
	3         =  "Disagree"                      
	4         =  "Strongly Disagree"             
	5         =  "Have no opinion"               
	-1        =  "Not in universe"               
;
VALUE asafepla	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE earpunv 	(default=32)
	1         =  "In universe"                   
	-1        =  "Not in universe"               
;
VALUE rmjb    	(default=32)
	-1        =  "Not in universe"               
;
VALUE rmbs    	(default=32)
	-1        =  "Not in universe"               
;
VALUE rmnjbbs 	(default=32)
	1         =  "Job"                           
	2         =  "Business"                      
	-1        =  "Not in universe"               
;
VALUE therempl	(default=32)
	1         =  "Less than 10"                  
	2         =  "10 to 24"                      
	3         =  "25 to 49"                      
	4         =  "50 to 99"                      
	5         =  "100 or more"                   
	-1        =  "Not in universe"               
;
VALUE aherempl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ttotempl	(default=32)
	1         =  "Less than 10"                  
	2         =  "10 to 24"                      
	3         =  "25 to 49"                      
	4         =  "50 to 99"                      
	5         =  "100 or more"                   
	-1        =  "Not in universe"               
;
VALUE atotempl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tbustotl	(default=32)
	1         =  "Less than 10"                  
	2         =  "10 to 24"                      
	3         =  "25 to 49"                      
	4         =  "50 to 99"                      
	5         =  "100 or more"                   
	-1        =  "Not in universe"               
;
VALUE abustotl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ewksyear	(default=32)
	-1        =  "Not in universe"               
;
VALUE awksyear	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tnumlen 	(default=32)
	-1        =  "Not in universe"               
;
VALUE emthyear	(default=32)
	1         =  "Months"                        
	2         =  "Years"                         
	-1        =  "Not in universe"               
;
VALUE anumyear	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epensnyn	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apensnyn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eincpens	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aincpens	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enoina0s	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina0k	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina0l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina0m	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina0n	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina0o	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina0p	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina0q	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina0r	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina1s	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina1k	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina1l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina1m	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoina1n	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE anoina  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE etdeffen	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE atdeffen	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emultpen	(default=32)
	-1        =  "Not in universe"               
;
VALUE amultpen	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e1pentyp	(default=32)
	1         =  "Plan based on earnings and years"
	2         =  "Individual account plan"       
	3         =  "Cash balance plan"             
	-1        =  "Not in universe"               
;
VALUE a1pentyp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e2pentyp	(default=32)
	1         =  "Plan based on earnings and years"
	2         =  "Individual account plan"       
	3         =  "Cash balance plan"             
	-1        =  "Not in universe"               
;
VALUE a2pentyp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e1penctr	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a1penctr	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e1taxdef	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a1taxdef	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e1recben	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a1recben	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e1lvlmps	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a1lvlmps	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE t1yrsinc	(default=32)
	-1        =  "Not in universe"               
;
VALUE a1yrsinc	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e1ssofst	(default=32)
	3         =  "Do not participate in Social"  
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a1ssofst	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE t1yrcont	(default=32)
	0         =  "Not in universe"               
;
VALUE a1yrcont	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE t1totamt	(default=32)
	0         =  "Not in universe"               
;
VALUE a1totamt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e2penctr	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a2penctr	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e2taxdef	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a2taxdef	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e2recben	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a2recben	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e2lvlmps	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a2lvlmps	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE t2yrsinc	(default=32)
	-1        =  "Not in universe"               
;
VALUE a2yrsinc	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e2ssofst	(default=32)
	3         =  "Do not participate in Social"  
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a2ssofst	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE t2yrcont	(default=32)
	0         =  "Not in universe"               
;
VALUE a2yrcont	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE t2totamt	(default=32)
	0         =  "Not in universe"               
;
VALUE a2totamt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e3taxdef	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a3taxdef	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE e3partic	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE a3partic	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enoinb0c	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb0k	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb0l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb0m	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb0n	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb0o	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb0p	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb0q	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb0r	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb1c	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb1k	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb1l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb1m	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinb1n	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE anoinb  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ematchyn	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amatchyn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE efutpart	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE afutpart	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tslfcont	(default=32)
	-4        =  "No contributions"              
	0         =  "Not in universe"               
;
VALUE eslfcont	(default=32)
	1         =  "Week"                          
	2         =  "Biweekly"                      
	3         =  "Month"                         
	4         =  "Quarter"                       
	5         =  "Year"                          
	-1        =  "Not in universe"               
;
VALUE eslfconk	(default=32)
	-1        =  "Not in universe"               
;
VALUE aslfcon 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eempcont	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aempcont	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE econtdep	(default=32)
	1         =  "Depends entirely"              
	2         =  "Depends partly"                
	3         =  "Not at all"                    
	-1        =  "Not in universe"               
;
VALUE acontdep	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tjbcontp	(default=32)
	0         =  "Not in universe"               
;
VALUE ejbcontp	(default=32)
	1         =  "Week"                          
	2         =  "Biweekly"                      
	3         =  "Month"                         
	4         =  "Quarter"                       
	5         =  "Year"                          
	-1        =  "Not in universe"               
;
VALUE ejbcontk	(default=32)
	-1        =  "Not in universe"               
;
VALUE ejbcontl	(default=32)
	6         =  "Contributions out of profits"  
	7         =  "Contribution varies"           
	-1        =  "Not in universe"               
;
VALUE ajbcont 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE einvchos	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ainvchos	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE einvsdec	(default=32)
	1         =  "All of the money"              
	2         =  "Part of the money"             
	-1        =  "Not in universe"               
;
VALUE ainvsdec	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehowinvc	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehowinvk	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehowinvl	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehowinvm	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehowinvn	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehowinvo	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehowinvp	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehowinvq	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahowinvs	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE rmostinv	(default=32)
	1         =  "Employer company stock"        
	2         =  "Stock funds"                   
	3         =  "Corporate bonds or bond funds" 
	4         =  "Long term interest bearing"    
	5         =  "Diversified stock and bond funds"
	6         =  "Government securities"         
	7         =  "Money market funds"            
	8         =  "Other investments"             
	-1        =  "Not in universe"               
;
VALUE amostinv	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE t3totamt	(default=32)
	0         =  "Not in universe"               
;
VALUE a3totamt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epenloan	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apenloan	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eletloan	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aletloan	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tloanbal	(default=32)
	0         =  "Not in universe"               
;
VALUE aloanbal	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eothrpen	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aothrpen	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eprevpen	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aprevpen	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eprevexp	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aprevexp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tprevyrs	(default=32)
	-1        =  "Not in universe"               
;
VALUE aprevyrs	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ewhnleft	(default=32)
	-1        =  "Not in universe"               
;
VALUE awhnleft	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eprevtyp	(default=32)
	1         =  "Based on a formula"            
	2         =  "Based on the amount of money in"
	-1        =  "Not in universe"               
;
VALUE aprevtyp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tprevamt	(default=32)
	0         =  "Not in universe"               
;
VALUE aprevamt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eprewith	(default=32)
	1         =  "Could withdraw money now"      
	2         =  "Must wait until retirement"    
	-1        =  "Not in universe"               
;
VALUE aprewith	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eprevlmp	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aprevlmp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ewhyleft	(default=32)
	1         =  "Laid off"                      
	2         =  "Retired or old age"            
	3         =  "Child care problems"           
	4         =  "Other family obligations"      
	5         =  "Own illness"                   
	6         =  "Own injury"                    
	7         =  "School/training"               
	8         =  "Discharged/fired"              
	9         =  "Employer bankrupt"             
	10        =  "Employer sold business"        
	11        =  "Job temporary and ended"       
	12        =  "Quit to take another job"      
	13        =  "Slack work/business conditions"
	14        =  "Unsatisfactory work arrangements"
	-1        =  "Not in universe"               
;
VALUE awhyleft	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE esurvlmp	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE asurvlmp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE $elumpnu	(default=32)
	"-1"      =  "Not in universe"               
;
VALUE $alumpnu	(default=32)
	"0"       =  "Not imputed"                   
	"1"       =  "Statistical imputation (hotdeck)"
	"2"       =  "Cold deck imputation"          
	"3"       =  "Logical imputation (derivation)"
;
VALUE elmpyear	(default=32)
	-1        =  "Not in universe"               
;
VALUE almpyear	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elumpn9r	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE alumpn9r	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elumpsrc	(default=32)
	1         =  "Private employer or union plan"
	2         =  "Military plan"                 
	3         =  "Other federal plans"           
	4         =  "State or local government"     
	5         =  "Other"                         
	-1        =  "Not in universe"               
;
VALUE alumpsrc	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elumphow	(default=32)
	1         =  "Voluntarily"                   
	2         =  "Required to withdraw"          
	-1        =  "Not in universe"               
;
VALUE alumphow	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tlumptot	(default=32)
	0         =  "Not in universe"               
;
VALUE alumptot	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elumprec	(default=32)
	1         =  "Actually received"             
	2         =  "Directly rolled over"          
	-1        =  "Not in universe"               
;
VALUE alumprec	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elmproll	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE almproll	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elmpwher	(default=32)
	1         =  "Plan on job"                   
	2         =  "Individual annuity"            
	3         =  "IRA"                           
	4         =  "Other"                         
	-1        =  "Not in universe"               
;
VALUE almpwher	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elumpent	(default=32)
	1         =  "Entire amount"                 
	2         =  "Partial amount"                
	-1        =  "Not in universe"               
;
VALUE alumpent	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elmpsp0t	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp0k	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp0l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp0m	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp0n	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp0o	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp0p	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp0q	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp0r	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp1t	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp1k	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp1l	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp1m	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp1n	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp1o	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp1p	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp1q	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp1r	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE elmpsp1s	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE almpsp  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epenlngp	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epenlngk	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epengngp	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apenlgth	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epennumb	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apennumb	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epennums	(default=32)
	-1        =  "Not in universe"               
;
VALUE apennums	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epensrce	(default=32)
	1         =  "Respondent's job"              
	2         =  "Respondent's former spouse's job"
	3         =  "Other"                         
	-1        =  "Not in universe"               
;
VALUE apensrce	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epenwhen	(default=32)
	-1        =  "Not in universe"               
;
VALUE apenwhen	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epenbase	(default=32)
	1         =  "Years of service and pay"      
	2         =  "Amount in individual account"  
	-1        =  "Not in universe"               
;
VALUE apenbase	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epensurv	(default=32)
	3         =  "No survivor's option offered"  
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apensurv	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epenincr	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apenincr	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epencola	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apencola	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ependecr	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apendecr	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tpensamt	(default=32)
	0         =  "Not in universe"               
;
VALUE apensamt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tpenamtt	(default=32)
	0         =  "Not in universe"               
;
VALUE apenamtt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elmpsrce	(default=32)
	1         =  "Respondent's former job"       
	2         =  "Respondent's former spouse's job"
	3         =  "Other"                         
	-1        =  "Not in universe"               
;
VALUE almpsrce	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ejobreti	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ajobreti	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ewrk5yrs	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE awrk5yrs	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE escrepen	(default=32)
	1         =  "Job"                           
	2         =  "Business"                      
	-1        =  "Not in universe"               
;
VALUE ascrepen	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ejbindrp	(default=32)
	-1        =  "Not in universe"               
;
VALUE ajbindrp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tjboccrp	(default=32)
	-1        =  "Not in universe"               
;
VALUE ajboccrp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE rclwrkr 	(default=32)
	1         =  "Private for profit employee"   
	2         =  "Private not for profit employee"
	3         =  "Local government worker"       
	4         =  "State government worker"       
	5         =  "Federal government worker"     
	6         =  "Family worker without pay"     
	7         =  "Active duty Armed Forces"      
	-1        =  "Not in universe"               
;
VALUE aclwrkr 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emultloc	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amultloc	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tnumwork	(default=32)
	1         =  "Less than 10"                  
	2         =  "10 to 24"                      
	3         =  "25 to 49"                      
	4         =  "50 to 99"                      
	5         =  "100 or more"                   
	-1        =  "Not in universe"               
;
VALUE anumwork	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE templall	(default=32)
	1         =  "Less than 10"                  
	2         =  "10 to 24"                      
	3         =  "25 to 49"                      
	4         =  "50 to 99"                      
	5         =  "100 or more"                   
	-1        =  "Not in universe"               
;
VALUE aemplall	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eunionyn	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aunionyn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE thrsweek	(default=32)
	-1        =  "Not in universe"               
;
VALUE ahrsweek	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ewksyrs 	(default=32)
	-1        =  "Not in universe"               
;
VALUE awksyrs 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tyrswrkd	(default=32)
	-1        =  "Not in universe"               
;
VALUE ayrswrkd	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eyrlrftj	(default=32)
	-1        =  "Not in universe"               
;
VALUE ayrlrftj	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ternlevj	(default=32)
	0         =  "Not in universe"               
;
VALUE eernlevj	(default=32)
	1         =  "Per week"                      
	2         =  "Biweekly"                      
	3         =  "Per month"                     
	4         =  "Per year"                      
	-1        =  "Not in universe"               
;
VALUE aernleav	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehlthpln	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahlthpln	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tbsindrp	(default=32)
	1         =  "Agriculture, Forestry and"     
	2         =  "Mining"                        
	3         =  "Construction"                  
	4         =  "Manufacturing Nondurable Goods"
	5         =  "Manufacturing Durable Goods"   
	6         =  "Transportation, Communications"
	7         =  "Wholesale Trade Durable Goods" 
	8         =  "Wholesale Trade Nondurable Goods"
	9         =  "Retail Trade"                  
	10        =  "Finance, Insurance, and Real"  
	11        =  "Business and Repair Services"  
	12        =  "Personal Services"             
	13        =  "Entertainment and Recreation"  
	14        =  "Professional and Related Services"
	15        =  "Public Administration"         
	-1        =  "Not in universe"               
;
VALUE absindrp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ebsoccrp	(default=32)
	-1        =  "Not in universe"               
;
VALUE absoccrp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmakempl	(default=32)
	1         =  "Less than 10"                  
	2         =  "10 to 24"                      
	3         =  "25 to 49"                      
	4         =  "50 to 99"                      
	5         =  "100 or more"                   
	-1        =  "Not in universe"               
;
VALUE amakempl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ebusninc	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE abusninc	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tbushrsw	(default=32)
	-1        =  "Not in universe"               
;
VALUE abushrsw	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ebuswksy	(default=32)
	-1        =  "Not in universe"               
;
VALUE abuswksy	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tbuslong	(default=32)
	-1        =  "Not in universe"               
;
VALUE abuslong	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ebusleav	(default=32)
	-1        =  "Not in universe"               
;
VALUE abusleav	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tbusernv	(default=32)
	0         =  "Not in universe"               
;
VALUE ebusernv	(default=32)
	1         =  "Per week"                      
	2         =  "Biweekly"                      
	3         =  "Per month"                     
	4         =  "Per year"                      
	-1        =  "Not in universe"               
;
VALUE abusern 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ebushlth	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE abushlth	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE estdlvng	(default=32)
	-1        =  "Not in universe"               
;
VALUE astdlvng	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hotdeck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eairunv 	(default=32)
	1         =  "In universe"                   
	-1        =  "Not in universe"               
;
VALUE iothrbus	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE iownbs0s	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ibsforms	(default=32)
	0         =  "Not answered"                  
	1         =  "Sole proprietorship"           
	2         =  "Partnership"                   
	3         =  "Corporation"                   
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ibslocts	(default=32)
	0         =  "Not answered"                  
	1         =  "Own home"                      
	2         =  "Somewhere else"                
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE iprtowns	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE iownrs1s	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE iownrs1k	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ihhown1l	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE rpcnthhs	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "1-50 Percentage of business"   
	2         =  "51-99 Percentage of business"  
;
VALUE rpctowns	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "1-25 Percentage of business"   
	2         =  "26-49 Percentage of business"  
	3         =  "50-100 Percentage of business" 
;
VALUE tgrsrcps	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE ttotexps	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE tnetincs	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE tnetinck	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE iothincs	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE inetin1s	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE tnetin1s	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE tnetin1k	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE inetin2s	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE tnetin2s	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE tnetin2k	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE ibsformk	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Sole proprietorship"           
	2         =  "Partnership"                   
	3         =  "Corporation"                   
;
VALUE ibsloctk	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Own home"                      
	2         =  "Somewhere else"                
;
VALUE iprtownk	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE iownrs2s	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE iownrs2k	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ihhown2l	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE rpcnthhk	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "1-50 Percentage of business"   
	2         =  "51-99 Percentage of business"  
;
VALUE rpctownk	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "1-25 Percentage of business"   
	2         =  "26-49 Percentage of business"  
	3         =  "50-100 Percentage of business" 
;
VALUE tgrsrcpk	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE ttotexpk	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE tnetincl	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE tnetincm	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE iothinck	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE inetin3s	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE tnetin3s	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE tnetin3k	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE inetin4s	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE tnetin4s	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE tnetin4k	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE tothincs	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE tothinck	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE iirayn  	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE iiracont	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ttaxcont	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE iirawdl 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE tamtira 	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE tiraearn	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE iiratypn	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE iiratypk	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE iiratypl	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE iiratypm	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE iiratypo	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE iiratypp	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE iiratypq	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ikeoghyn	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ikeoghcn	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ttxkeogh	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE ikeoghwd	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE tatkeogh	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE tkeogher	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE ikeohtpr	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ikeohtpk	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ikeohtpl	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ikeohtpm	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ikeohtpn	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ikeohtpo	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ikeohtpp	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ithrftyn	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE tthftcnt	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE ithftwdl	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE tthftamt	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE tthftern	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
;
VALUE ithftypn	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ithftypk	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ithftypl	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ithftypm	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ithftypo	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE eatxunv 	(default=32)
	1         =  "In universe"                   
	-1        =  "Not in universe"               
;
VALUE itaxflyn	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE itaxcopy	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE tfilstat	(default=32)
	0         =  "Not answered"                  
	1         =  "Single taxpayer"               
	2         =  "Married, filing joint return"  
	3         =  "Married, filing separately"    
	4         =  "Unmarried head of HH and"      
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ttotexmp	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "1 exemption"                   
	2         =  "2 exemptions"                  
	3         =  "3-4 exemptions"                
	4         =  "5 or more exemptions"          
;
VALUE iexemp0p	(default=32)
	-5        =  "All"                           
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE iexemp0k	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE iexemp0l	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE iexemp0m	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE iexemp0n	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE iexmpout	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE iexnmout	(default=32)
	0         =  "Not answered"                  
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ioutrl0t	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Parent"                        
	2         =  "Child"                         
	3         =  "Brother/sister"                
	4         =  "Other"                         
;
VALUE ioutrl0k	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Parent"                        
	2         =  "Child"                         
	3         =  "Brother/sister"                
	4         =  "Other"                         
;
VALUE ioutrl0l	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Parent"                        
	2         =  "Child"                         
	3         =  "Brother/sister"                
	4         =  "Other"                         
;
VALUE ioutrl0m	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Parent"                        
	2         =  "Child"                         
	3         =  "Brother/sister"                
	4         =  "Other"                         
;
VALUE ioutrl0n	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Parent"                        
	2         =  "Child"                         
	3         =  "Brother/sister"                
	4         =  "Other"                         
;
VALUE ioutrl0o	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Parent"                        
	2         =  "Child"                         
	3         =  "Brother/sister"                
	4         =  "Other"                         
;
VALUE ioutrl0p	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Parent"                        
	2         =  "Child"                         
	3         =  "Brother/sister"                
	4         =  "Other"                         
;
VALUE ioutrl0q	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Parent"                        
	2         =  "Child"                         
	3         =  "Brother/sister"                
	4         =  "Other"                         
;
VALUE ioutrl0r	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Parent"                        
	2         =  "Child"                         
	3         =  "Brother/sister"                
	4         =  "Other"                         
;
VALUE ioutrl1t	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "Parent"                        
	2         =  "Child"                         
	3         =  "Brother/sister"                
	4         =  "Other"                         
;
VALUE ifilform	(default=32)
	0         =  "Not answered"                  
	1         =  "Form 1040"                     
	2         =  "Form 1040A"                    
	3         =  "Form 1040EZ"                   
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ischeda 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ischedd 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE tamtdedt	(default=32)
	0         =  "Not answered"                  
	1         =  "1-4999 Amount of itemized"     
	2         =  "5000-6999 Amount of itemized"  
	3         =  "7000-7999 Amount of itemized"  
	4         =  "8000-8999 Amount of itemized"  
	5         =  "9000-9999 Amount of itemized"  
	6         =  "10000-10999 Amount of itemized"
	7         =  "11000-11999 Amount of itemized"
	8         =  "12000-12999 Amount of itemized"
	9         =  "13000-13999 Amount of itemized"
	10        =  "14000-16999 Amount of itemized"
	11        =  "17000-21999 Amount of itemized"
	12        =  "22000-24999 Amount of itemized"
	13        =  "25000-35999 Amount of itemized"
	14        =  "36000+ Amount of itemized"     
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE iccexpen	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE tccamt  	(default=32)
	0         =  "Not answered"                  
	1         =  "1-74 Child and dependent care" 
	2         =  "75-149 Child and dependent care"
	3         =  "150-199 Child and dependent care"
	4         =  "200-249 Child and dependent care"
	5         =  "250-299 Child and dependent care"
	6         =  "300-324 Child and dependent care"
	7         =  "325-399 Child and dependent care"
	8         =  "400-449 Child and dependent care"
	9         =  "450-499 Child and dependent care"
	10        =  "500-624 Child and dependent care"
	11        =  "625-799 Child and dependent care"
	12        =  "800+ Child and dependent care" 
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE icarex0t	(default=32)
	-5        =  "All"                           
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex0k	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex0l	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex0m	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex0n	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex0o	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex0p	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex0q	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex0r	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex1t	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex1k	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex1l	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex1m	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex1n	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex1o	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex1p	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex1q	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex1r	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex1s	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex2t	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex2k	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex2l	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex2m	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex2n	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex2o	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex2p	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex2q	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex2r	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex2s	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE icarex3t	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE idsabcrd	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE tdsabamt	(default=32)
	0         =  "Not answered"                  
	1         =  "1-999 Elderly or disabled credit"
	2         =  "1000-5499 Elderly or disabled" 
	3         =  "5500+ Elderly or disabled credit"
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE tsapgain	(default=32)
	-4        =  "Negative values (losses)"      
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "1-99 Amount of capital gains"  
	2         =  "100-199 Amount of capital gains"
	3         =  "200-299 Amount of capital gains"
	4         =  "300-499 Amount of capital gains"
	5         =  "500-699 Amount of capital gains"
	6         =  "700-999 Amount of capital gains"
	7         =  "1000-1299 Amount of capital gains"
	8         =  "1300-1999 Amount of capital gains"
	9         =  "2000-2999 Amount of capital gains"
	10        =  "3000-3999 Amount of capital gains"
	11        =  "4000-5999 Amount of capital gains"
	12        =  "6000-9999 Amount of capital gains"
	13        =  "10000-14999 Amount of capital" 
	14        =  "15000+ Amount of capital gains"
;
VALUE tadjincm	(default=32)
	-4        =  "Negative values (losses)"      
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "1-4999 Amount of adjusted gross"
	2         =  "5000-9999 Amount of adjusted"  
	3         =  "10000-14999 Amount of adjusted"
	4         =  "15000-19999 Amount of adjusted"
	5         =  "20000-24999 Amount of adjusted"
	6         =  "25000-29999 Amount of adjusted"
	7         =  "30000-34999 Amount of adjusted"
	8         =  "35000-39999 Amount of adjusted"
	9         =  "40000-49999 Amount of adjusted"
	10        =  "50000-59999 Amount of adjusted"
	11        =  "60000-74999 Amount of adjusted"
	12        =  "75000+ Amount of adjusted gross"
;
VALUE tnettax 	(default=32)
	-4        =  "Negative values (losses)"      
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	1         =  "1-299 Amount of net tax liability"
	2         =  "300-499 Amount of net tax"     
	3         =  "500-899 Amount of net tax"     
	4         =  "900-1199 Amount of net tax"    
	5         =  "1200-1599 Amount of net tax"   
	6         =  "1600-1999 Amount of net tax"   
	7         =  "2000-2399 Amount of net tax"   
	8         =  "2400-2999 Amount of net tax"   
	9         =  "3000-3499 Amount of net tax"   
	10        =  "3500-3999 Amount of net tax"   
	11        =  "4000-4499 Amount of net tax"   
	12        =  "4500-4999 Amount of net tax"   
	13        =  "5000-5499 Amount of net tax"   
	14        =  "5500-6499 Amount of net tax"   
	15        =  "6500-7999 Amount of net tax"   
	16        =  "8000-9999 Amount of net tax"   
	17        =  "10000-13999 Amount of net tax" 
	18        =  "14000+ Amount of net tax liability"
;
VALUE ierndcrd	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE terndamt	(default=32)
	0         =  "Not answered"                  
	1         =  "1-99 Amount of earned income"  
	2         =  "100-199 Amount of earned income"
	3         =  "200-299 Amount of earned income"
	4         =  "300-499 Amount of earned income"
	5         =  "500-599 Amount of earned income"
	6         =  "600-799 Amount of earned income"
	7         =  "800-999 Amount of earned income"
	8         =  "1000-1199 Amount of earned income"
	9         =  "1200-1399 Amount of earned income"
	10        =  "1400-1599 Amount of earned income"
	11        =  "1600-1799 Amount of earned income"
	12        =  "1800-1999 Amount of earned income"
	13        =  "2000-2199 Amount of earned income"
	14        =  "2200-2399 Amount of earned income"
	15        =  "2400-2599 Amount of earned income"
	16        =  "2600-2999 Amount of earned income"
	17        =  "3000-3499 Amount of earned income"
	18        =  "3500+ Amount of earned income" 
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ieicex0t	(default=32)
	-5        =  "All"                           
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex0k	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex0l	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex0m	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex0n	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex0o	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex0p	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex0q	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex0r	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex1t	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex1k	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex1l	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex1m	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex1n	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex1o	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex1p	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex1q	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex1r	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex1s	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex2t	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex2k	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex2l	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex2m	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex2n	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex2o	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex2p	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex2q	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex2r	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex2s	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ieicex3t	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE iproptax	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ipropjnt	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;
VALUE ipropn0t	(default=32)
	-5        =  "All"                           
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn0k	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn0l	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn0m	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn0n	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn0o	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn0p	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn0q	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn0r	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn1t	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn1k	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn1l	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn1m	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn1n	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn1o	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn1p	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn1q	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn1r	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn1s	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn2t	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn2k	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn2l	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn2m	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn2n	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn2o	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn2p	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn2q	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn2r	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn2s	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ipropn3t	(default=32)
	-3        =  "None"                          
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not answered"                  
	9999      =  "Unknown person number"         
;
VALUE ttaxbill	(default=32)
	0         =  "Not answered"                  
	1         =  "1-100 Amount of property tax"  
	2         =  "101-200 Amount of property tax"
	3         =  "201-300 Amount of property tax"
	4         =  "301-400 Amount of property tax"
	5         =  "401-500 Amount of property tax"
	6         =  "501-600 Amount of property tax"
	7         =  "601-700 Amount of property tax"
	8         =  "701-800 Amount of property tax"
	9         =  "801-900 Amount of property tax"
	10        =  "901-1000 Amount of property tax"
	11        =  "1001-1200 Amount of property tax"
	12        =  "1201-1300 Amount of property tax"
	13        =  "1301-1500 Amount of property tax"
	14        =  "1501-1700 Amount of property tax"
	15        =  "1701-1900 Amount of property tax"
	16        =  "1901-2000 Amount of property tax"
	17        =  "2001-2299 Amount of property tax"
	18        =  "2300-2500 Amount of property tax"
	19        =  "2501-2800 Amount of property tax"
	20        =  "2801-3000 Amount of property tax"
	21        =  "3001-3500 Amount of property tax"
	22        =  "3501-4000 Amount of property tax"
	23        =  "4001-5000 Amount of property tax"
	24        =  "5001+ Amount of property tax"  
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
;

FORMAT
	spanel     spanel.   
	tfipsst    tfipsst.  
	sinthhid   sinthhid. 
	eoutcome   eoutcome. 
	rfid2      rfid2l.   
	epopstat   epopstat. 
	eppintvw   eppintvw. 
	eppmis4    eppmis4l. 
	esex       esex.     
	erace      erace.    
	eorigin    eorigin.  
	wpfinwgt   wpfinwgt. 
	errp       errp.     
	tage       tage.     
	ems        ems.      
	epnspous   epnspous. 
	epnmom     epnmom.   
	epndad     epndad.   
	epnguard   epnguard. 
	rdesgpnt   rdesgpnt. 
	eeducate   eeducate. 
	eaicunv    eaicunv.  
	epvdcare   epvdcare. 
	apvdcare   apvdcare. 
	ecarehhm   ecarehhm. 
	acarehhm   acarehhm. 
	tnumhhm    tnumhhm.  
	anumhhm    anumhhm.  
	ehhm1      ehhm1l.   
	ahhm1      ahhm1l.   
	erelt01    erelt01l. 
	arelt01    arelt01l. 
	tyrst01    tyrst01l. 
	ayrst01    ayrst01l. 
	eadlt01    eadlt01l. 
	aadlt01    aadlt01l. 
	emedt01    emedt01l. 
	amedt01    amedt01l. 
	emnyt01    emnyt01l. 
	amnyt01    amnyt01l. 
	eoutt01    eoutt01l. 
	aoutt01    aoutt01l. 
	eothlp01   eothlp0m. 
	aothlp01   aothlp0m. 
	thrst01    thrst01l. 
	ahrst01    ahrst01l. 
	eopt01     eopt01l.  
	aopt01     aopt01l.  
	thrst02    thrst02l. 
	ahrst02    ahrst02l. 
	ehct01     ehct01l.  
	ahct01     ahct01l.  
	thrst03    thrst03l. 
	ahrst03    ahrst03l. 
	ehhm2      ehhm2l.   
	ahhm2      ahhm2l.   
	erelt02    erelt02l. 
	arelt02    arelt02l. 
	tyrst02    tyrst02l. 
	ayrst02    ayrst02l. 
	eadlt02    eadlt02l. 
	aadlt02    aadlt02l. 
	emedt02    emedt02l. 
	amedt02    amedt02l. 
	emnyt02    emnyt02l. 
	amnyt02    amnyt02l. 
	eoutt02    eoutt02l. 
	aoutt02    aoutt02l. 
	eothlp02   eothlp0k. 
	aothlp02   aothlp0k. 
	thrst04    thrst04l. 
	ahrst04    ahrst04l. 
	eopt02     eopt02l.  
	aopt02     aopt02l.  
	thrst05    thrst05l. 
	ahrst05    ahrst05l. 
	ehct02     ehct02l.  
	ahct02     ahct02l.  
	thrst06    thrst06l. 
	ahrst06    ahrst06l. 
	ecarenhm   ecarenhm. 
	acarenhm   acarenhm. 
	tnumnhm    tnumnhm.  
	anumnhm    anumnhm.  
	erelt03    erelt03l. 
	arelt03    arelt03l. 
	tyrst03    tyrst03l. 
	ayrst03    ayrst03l. 
	eresof3    eresof3l. 
	aresof3    aresof3l. 
	eadlt03    eadlt03l. 
	aadlt03    aadlt03l. 
	emedt03    emedt03l. 
	amedt03    amedt03l. 
	emnyt03    emnyt03l. 
	amnyt03    amnyt03l. 
	eoutt03    eoutt03l. 
	aoutt03    aoutt03l. 
	eothlp03   eothlp0l. 
	aothlp03   aothlp0l. 
	thrst07    thrst07l. 
	ahrst07    ahrst07l. 
	eopt03     eopt03l.  
	aopt03     aopt03l.  
	thrst08    thrst08l. 
	ahrst08    ahrst08l. 
	ecompt03   ecompt0m. 
	acompt03   acompt0m. 
	ehct03     ehct03l.  
	ahct03     ahct03l.  
	thrst09    thrst09l. 
	ahrst09    ahrst09l. 
	erelt04    erelt04l. 
	arelt04    arelt04l. 
	tyrst04    tyrst04l. 
	ayrst04    ayrst04l. 
	eresof4    eresof4l. 
	aresof4    aresof4l. 
	eadlt04    eadlt04l. 
	aadlt04    aadlt04l. 
	emedt04    emedt04l. 
	amedt04    amedt04l. 
	emnyt04    emnyt04l. 
	amnyt04    amnyt04l. 
	eoutt04    eoutt04l. 
	aoutt04    aoutt04l. 
	eothlp04   eothlp0n. 
	aothlp04   aothlp0n. 
	thrst10    thrst10l. 
	ahrst10    ahrst10l. 
	eopt04     eopt04l.  
	aopt04     aopt04l.  
	thrst11    thrst11l. 
	ahrst11    ahrst11l. 
	ecompt04   ecompt0k. 
	acompt04   acompt0k. 
	ehct04     ehct04l.  
	ahct04     ahct04l.  
	thrst12    thrst12l. 
	ahrst12    ahrst12l. 
	epcwunv    epcwunv.  
	edaycare   edaycare. 
	adaycare   adaycare. 
	ecarer     ecarer.   
	acarer     acarer.   
	ehrscare   ehrscare. 
	ahrscare   ahrscare. 
	elivapat   elivapat. 
	alivapat   alivapat. 
	enotable   enotable. 
	anotable   anotable. 
	epastmon   epastmon. 
	apastmon   apastmon. 
	eouting    eouting.  
	aouting    aouting.  
	etotread   etotread. 
	atotread   atotread. 
	eparread   eparread. 
	aparread   aparread. 
	edadread   edadread. 
	adadread   adadread. 
	etvrules   etvrules. 
	atvrules   atvrules. 
	etimestv   etimestv. 
	atimestv   atimestv. 
	ehoustv    ehoustv.  
	ahoustv    ahoustv.  
	eeatbkf    eeatbkf.  
	aeatbkf    aeatbkf.  
	eeatdinn   eeatdinn. 
	aeatdinn   aeatdinn. 
	edadbrkf   edadbrkf. 
	adadbrkf   adadbrkf. 
	edaddinn   edaddinn. 
	adaddinn   adaddinn. 
	efuntime   efuntime. 
	afuntime   afuntime. 
	edadfun    edadfun.  
	adadfun    adadfun.  
	epraise    epraise.  
	apraise    apraise.  
	edadprai   edadprai. 
	adadprai   adadprai. 
	efarscho   efarscho. 
	afarscho   afarscho. 
	edadfar    edadfar.  
	adadfar    adadfar.  
	ethinksc   ethinksc. 
	athinksc   athinksc. 
	eatkindg   eatkindg. 
	aatkindg   aatkindg. 
	ekindage   ekindage. 
	akindage   akindage. 
	efirgrad   efirgrad. 
	afirgrad   afirgrad. 
	estrtage   estrtage. 
	astrtage   astrtage. 
	ekindele   ekindele. 
	akindele   akindele. 
	ehighgra   ehighgra. 
	ahighgra   ahighgra. 
	ecurrerl   ecurrerl. 
	acurrerl   acurrerl. 
	egrdeatt   egrdeatt. 
	agrdeatt   agrdeatt. 
	epubpriv   epubpriv. 
	apubpriv   apubpriv. 
	eassschl   eassschl. 
	aassschl   aassschl. 
	erelisch   erelisch. 
	arelisch   arelisch. 
	especsch   especsch. 
	aspecsch   aspecsch. 
	esportea   esportea. 
	asportea   asportea. 
	elessons   elessons. 
	alessons   alessons. 
	eclubsch   eclubsch. 
	aclubsch   aclubsch. 
	elikesch   elikesch. 
	alikesch   alikesch. 
	eintschl   eintschl. 
	aintschl   aintschl. 
	ewkshard   ewkshard. 
	awkshard   awkshard. 
	echgschl   echgschl. 
	achgschl   achgschl. 
	etimchan   etimchan. 
	atimchan   atimchan. 
	erepgrad   erepgrad. 
	arepgrad   arepgrad. 
	egrdrpt1   egrdrptd. 
	egrdrpt2   egrdrptk. 
	egrdrpt3   egrdrptl. 
	egrdrpt4   egrdrptm. 
	egrdrpt5   egrdrptn. 
	agrdrpt    agrdrpt.  
	eexpschl   eexpschl. 
	aexpschl   aexpschl. 
	etimexp    etimexp.  
	atimexp    atimexp.  
	egradexp   egradexp. 
	agradexp   agradexp. 
	ehardcar   ehardcar. 
	ahardcar   ahardcar. 
	ebother    ebother.  
	abother    abother.  
	egivuplf   egivuplf. 
	agivuplf   agivuplf. 
	eangrycl   eangrycl. 
	aangrycl   aangrycl. 
	ehelpech   ehelpech. 
	ahelpech   ahelpech. 
	ewatchot   ewatchot. 
	awatchot   awatchot. 
	ecounton   ecounton. 
	acounton   acounton. 
	ebadpeop   ebadpeop. 
	abadpeop   abadpeop. 
	etrustpe   etrustpe. 
	atrustpe   atrustpe. 
	ekeepins   ekeepins. 
	akeepins   akeepins. 
	esafepla   esafepla. 
	asafepla   asafepla. 
	earpunv    earpunv.  
	rmjb       rmjb.     
	rmbs       rmbs.     
	rmnjbbs    rmnjbbs.  
	therempl   therempl. 
	aherempl   aherempl. 
	ttotempl   ttotempl. 
	atotempl   atotempl. 
	tbustotl   tbustotl. 
	abustotl   abustotl. 
	ewksyear   ewksyear. 
	awksyear   awksyear. 
	tnumlen    tnumlen.  
	emthyear   emthyear. 
	anumyear   anumyear. 
	epensnyn   epensnyn. 
	apensnyn   apensnyn. 
	eincpens   eincpens. 
	aincpens   aincpens. 
	enoina01   enoina0s. 
	enoina02   enoina0k. 
	enoina03   enoina0l. 
	enoina04   enoina0m. 
	enoina05   enoina0n. 
	enoina06   enoina0o. 
	enoina07   enoina0p. 
	enoina08   enoina0q. 
	enoina09   enoina0r. 
	enoina10   enoina1s. 
	enoina11   enoina1k. 
	enoina12   enoina1l. 
	enoina13   enoina1m. 
	enoina14   enoina1n. 
	anoina     anoina.   
	etdeffen   etdeffen. 
	atdeffen   atdeffen. 
	emultpen   emultpen. 
	amultpen   amultpen. 
	e1pentyp   e1pentyp. 
	a1pentyp   a1pentyp. 
	e2pentyp   e2pentyp. 
	a2pentyp   a2pentyp. 
	e1penctr   e1penctr. 
	a1penctr   a1penctr. 
	e1taxdef   e1taxdef. 
	a1taxdef   a1taxdef. 
	e1recben   e1recben. 
	a1recben   a1recben. 
	e1lvlmps   e1lvlmps. 
	a1lvlmps   a1lvlmps. 
	t1yrsinc   t1yrsinc. 
	a1yrsinc   a1yrsinc. 
	e1ssofst   e1ssofst. 
	a1ssofst   a1ssofst. 
	t1yrcont   t1yrcont. 
	a1yrcont   a1yrcont. 
	t1totamt   t1totamt. 
	a1totamt   a1totamt. 
	e2penctr   e2penctr. 
	a2penctr   a2penctr. 
	e2taxdef   e2taxdef. 
	a2taxdef   a2taxdef. 
	e2recben   e2recben. 
	a2recben   a2recben. 
	e2lvlmps   e2lvlmps. 
	a2lvlmps   a2lvlmps. 
	t2yrsinc   t2yrsinc. 
	a2yrsinc   a2yrsinc. 
	e2ssofst   e2ssofst. 
	a2ssofst   a2ssofst. 
	t2yrcont   t2yrcont. 
	a2yrcont   a2yrcont. 
	t2totamt   t2totamt. 
	a2totamt   a2totamt. 
	e3taxdef   e3taxdef. 
	a3taxdef   a3taxdef. 
	e3partic   e3partic. 
	a3partic   a3partic. 
	enoinb01   enoinb0c. 
	enoinb02   enoinb0k. 
	enoinb03   enoinb0l. 
	enoinb04   enoinb0m. 
	enoinb05   enoinb0n. 
	enoinb06   enoinb0o. 
	enoinb07   enoinb0p. 
	enoinb08   enoinb0q. 
	enoinb09   enoinb0r. 
	enoinb10   enoinb1c. 
	enoinb11   enoinb1k. 
	enoinb12   enoinb1l. 
	enoinb13   enoinb1m. 
	enoinb14   enoinb1n. 
	anoinb     anoinb.   
	ematchyn   ematchyn. 
	amatchyn   amatchyn. 
	efutpart   efutpart. 
	afutpart   afutpart. 
	tslfcon1   tslfcont. 
	eslfcon2   eslfcont. 
	eslfcon3   eslfconk. 
	aslfcon    aslfcon.  
	eempcont   eempcont. 
	aempcont   aempcont. 
	econtdep   econtdep. 
	acontdep   acontdep. 
	tjbcont1   tjbcontp. 
	ejbcont2   ejbcontp. 
	ejbcont3   ejbcontk. 
	ejbcont4   ejbcontl. 
	ajbcont    ajbcont.  
	einvchos   einvchos. 
	ainvchos   ainvchos. 
	einvsdec   einvsdec. 
	ainvsdec   ainvsdec. 
	ehowinv1   ehowinvc. 
	ehowinv2   ehowinvk. 
	ehowinv3   ehowinvl. 
	ehowinv4   ehowinvm. 
	ehowinv5   ehowinvn. 
	ehowinv6   ehowinvo. 
	ehowinv7   ehowinvp. 
	ehowinv8   ehowinvq. 
	ahowinvs   ahowinvs. 
	rmostinv   rmostinv. 
	amostinv   amostinv. 
	t3totamt   t3totamt. 
	a3totamt   a3totamt. 
	epenloan   epenloan. 
	apenloan   apenloan. 
	eletloan   eletloan. 
	aletloan   aletloan. 
	tloanbal   tloanbal. 
	aloanbal   aloanbal. 
	eothrpen   eothrpen. 
	aothrpen   aothrpen. 
	eprevpen   eprevpen. 
	aprevpen   aprevpen. 
	eprevexp   eprevexp. 
	aprevexp   aprevexp. 
	tprevyrs   tprevyrs. 
	aprevyrs   aprevyrs. 
	ewhnleft   ewhnleft. 
	awhnleft   awhnleft. 
	eprevtyp   eprevtyp. 
	aprevtyp   aprevtyp. 
	tprevamt   tprevamt. 
	aprevamt   aprevamt. 
	eprewith   eprewith. 
	aprewith   aprewith. 
	eprevlmp   eprevlmp. 
	aprevlmp   aprevlmp. 
	ewhyleft   ewhyleft. 
	awhyleft   awhyleft. 
	esurvlmp   esurvlmp. 
	asurvlmp   asurvlmp. 
	elumpnum   $elumpnu. 
	alumpnum   $alumpnu. 
	elmpyear   elmpyear. 
	almpyear   almpyear. 
	elumpn97   elumpn9r. 
	alumpn97   alumpn9r. 
	elumpsrc   elumpsrc. 
	alumpsrc   alumpsrc. 
	elumphow   elumphow. 
	alumphow   alumphow. 
	tlumptot   tlumptot. 
	alumptot   alumptot. 
	elumprec   elumprec. 
	alumprec   alumprec. 
	elmproll   elmproll. 
	almproll   almproll. 
	elmpwher   elmpwher. 
	almpwher   almpwher. 
	elumpent   elumpent. 
	alumpent   alumpent. 
	elmpsp01   elmpsp0t. 
	elmpsp02   elmpsp0k. 
	elmpsp03   elmpsp0l. 
	elmpsp04   elmpsp0m. 
	elmpsp05   elmpsp0n. 
	elmpsp06   elmpsp0o. 
	elmpsp07   elmpsp0p. 
	elmpsp08   elmpsp0q. 
	elmpsp09   elmpsp0r. 
	elmpsp10   elmpsp1t. 
	elmpsp11   elmpsp1k. 
	elmpsp12   elmpsp1l. 
	elmpsp13   elmpsp1m. 
	elmpsp14   elmpsp1n. 
	elmpsp15   elmpsp1o. 
	elmpsp16   elmpsp1p. 
	elmpsp17   elmpsp1q. 
	elmpsp18   elmpsp1r. 
	elmpsp19   elmpsp1s. 
	almpsp     almpsp.   
	epenlng1   epenlngp. 
	epenlng2   epenlngk. 
	epengng3   epengngp. 
	apenlgth   apenlgth. 
	epennumb   epennumb. 
	apennumb   apennumb. 
	epennums   epennums. 
	apennums   apennums. 
	epensrce   epensrce. 
	apensrce   apensrce. 
	epenwhen   epenwhen. 
	apenwhen   apenwhen. 
	epenbase   epenbase. 
	apenbase   apenbase. 
	epensurv   epensurv. 
	apensurv   apensurv. 
	epenincr   epenincr. 
	apenincr   apenincr. 
	epencola   epencola. 
	apencola   apencola. 
	ependecr   ependecr. 
	apendecr   apendecr. 
	tpensamt   tpensamt. 
	apensamt   apensamt. 
	tpenamt1   tpenamtt. 
	apenamt1   apenamtt. 
	elmpsrce   elmpsrce. 
	almpsrce   almpsrce. 
	ejobreti   ejobreti. 
	ajobreti   ajobreti. 
	ewrk5yrs   ewrk5yrs. 
	awrk5yrs   awrk5yrs. 
	escrepen   escrepen. 
	ascrepen   ascrepen. 
	ejbindrp   ejbindrp. 
	ajbindrp   ajbindrp. 
	tjboccrp   tjboccrp. 
	ajboccrp   ajboccrp. 
	rclwrkr    rclwrkr.  
	aclwrkr    aclwrkr.  
	emultloc   emultloc. 
	amultloc   amultloc. 
	tnumwork   tnumwork. 
	anumwork   anumwork. 
	templall   templall. 
	aemplall   aemplall. 
	eunionyn   eunionyn. 
	aunionyn   aunionyn. 
	thrsweek   thrsweek. 
	ahrsweek   ahrsweek. 
	ewksyrs    ewksyrs.  
	awksyrs    awksyrs.  
	tyrswrkd   tyrswrkd. 
	ayrswrkd   ayrswrkd. 
	eyrlrftj   eyrlrftj. 
	ayrlrftj   ayrlrftj. 
	ternlev1   ternlevj. 
	eernlev2   eernlevj. 
	aernleav   aernleav. 
	ehlthpln   ehlthpln. 
	ahlthpln   ahlthpln. 
	tbsindrp   tbsindrp. 
	absindrp   absindrp. 
	ebsoccrp   ebsoccrp. 
	absoccrp   absoccrp. 
	tmakempl   tmakempl. 
	amakempl   amakempl. 
	ebusninc   ebusninc. 
	abusninc   abusninc. 
	tbushrsw   tbushrsw. 
	abushrsw   abushrsw. 
	ebuswksy   ebuswksy. 
	abuswksy   abuswksy. 
	tbuslong   tbuslong. 
	abuslong   abuslong. 
	ebusleav   ebusleav. 
	abusleav   abusleav. 
	tbusern1   tbusernv. 
	ebusern2   ebusernv. 
	abusern    abusern.  
	ebushlth   ebushlth. 
	abushlth   abushlth. 
	estdlvng   estdlvng. 
	astdlvng   astdlvng. 
	eairunv    eairunv.  
	iothrbus   iothrbus. 
	iownbs01   iownbs0s. 
	ibsform1   ibsforms. 
	ibsloct1   ibslocts. 
	iprtown1   iprtowns. 
	iownrs11   iownrs1s. 
	iownrs12   iownrs1k. 
	ihhown1    ihhown1l. 
	rpcnthh1   rpcnthhs. 
	rpctown1   rpctowns. 
	tgrsrcp1   tgrsrcps. 
	ttotexp1   ttotexps. 
	tnetinc1   tnetincs. 
	tnetinc2   tnetinck. 
	iothinc1   iothincs. 
	inetin11   inetin1s. 
	tnetin12   tnetin1s. 
	tnetin13   tnetin1k. 
	inetin21   inetin2s. 
	tnetin22   tnetin2s. 
	tnetin23   tnetin2k. 
	ibsform2   ibsformk. 
	ibsloct2   ibsloctk. 
	iprtown2   iprtownk. 
	iownrs21   iownrs2s. 
	iownrs22   iownrs2k. 
	ihhown2    ihhown2l. 
	rpcnthh2   rpcnthhk. 
	rpctown2   rpctownk. 
	tgrsrcp2   tgrsrcpk. 
	ttotexp2   ttotexpk. 
	tnetinc3   tnetincl. 
	tnetinc4   tnetincm. 
	iothinc2   iothinck. 
	inetin31   inetin3s. 
	tnetin32   tnetin3s. 
	tnetin33   tnetin3k. 
	inetin41   inetin4s. 
	tnetin42   tnetin4s. 
	tnetin43   tnetin4k. 
	tothinc3   tothincs. 
	tothinc4   tothinck. 
	iirayn     iirayn.   
	iiracont   iiracont. 
	ttaxcont   ttaxcont. 
	iirawdl    iirawdl.  
	tamtira    tamtira.  
	tiraearn   tiraearn. 
	iiratyp1   iiratypn. 
	iiratyp2   iiratypk. 
	iiratyp3   iiratypl. 
	iiratyp4   iiratypm. 
	iiratyp5   iiratypo. 
	iiratyp6   iiratypp. 
	iiratyp7   iiratypq. 
	ikeoghyn   ikeoghyn. 
	ikeoghcn   ikeoghcn. 
	ttxkeogh   ttxkeogh. 
	ikeoghwd   ikeoghwd. 
	tatkeogh   tatkeogh. 
	tkeogher   tkeogher. 
	ikeohtp1   ikeohtpr. 
	ikeohtp2   ikeohtpk. 
	ikeohtp3   ikeohtpl. 
	ikeohtp4   ikeohtpm. 
	ikeohtp5   ikeohtpn. 
	ikeohtp6   ikeohtpo. 
	ikeohtp7   ikeohtpp. 
	ithrftyn   ithrftyn. 
	tthftcnt   tthftcnt. 
	ithftwdl   ithftwdl. 
	tthftamt   tthftamt. 
	tthftern   tthftern. 
	ithftyp1   ithftypn. 
	ithftyp2   ithftypk. 
	ithftyp3   ithftypl. 
	ithftyp4   ithftypm. 
	ithftyp5   ithftypo. 
	eatxunv    eatxunv.  
	itaxflyn   itaxflyn. 
	itaxcopy   itaxcopy. 
	tfilstat   tfilstat. 
	ttotexmp   ttotexmp. 
	iexemp01   iexemp0p. 
	iexemp02   iexemp0k. 
	iexemp03   iexemp0l. 
	iexemp04   iexemp0m. 
	iexemp05   iexemp0n. 
	iexmpout   iexmpout. 
	iexnmout   iexnmout. 
	ioutrl01   ioutrl0t. 
	ioutrl02   ioutrl0k. 
	ioutrl03   ioutrl0l. 
	ioutrl04   ioutrl0m. 
	ioutrl05   ioutrl0n. 
	ioutrl06   ioutrl0o. 
	ioutrl07   ioutrl0p. 
	ioutrl08   ioutrl0q. 
	ioutrl09   ioutrl0r. 
	ioutrl10   ioutrl1t. 
	ifilform   ifilform. 
	ischeda    ischeda.  
	ischedd    ischedd.  
	tamtdedt   tamtdedt. 
	iccexpen   iccexpen. 
	tccamt     tccamt.   
	icarex01   icarex0t. 
	icarex02   icarex0k. 
	icarex03   icarex0l. 
	icarex04   icarex0m. 
	icarex05   icarex0n. 
	icarex06   icarex0o. 
	icarex07   icarex0p. 
	icarex08   icarex0q. 
	icarex09   icarex0r. 
	icarex10   icarex1t. 
	icarex11   icarex1k. 
	icarex12   icarex1l. 
	icarex13   icarex1m. 
	icarex14   icarex1n. 
	icarex15   icarex1o. 
	icarex16   icarex1p. 
	icarex17   icarex1q. 
	icarex18   icarex1r. 
	icarex19   icarex1s. 
	icarex20   icarex2t. 
	icarex21   icarex2k. 
	icarex22   icarex2l. 
	icarex23   icarex2m. 
	icarex24   icarex2n. 
	icarex25   icarex2o. 
	icarex26   icarex2p. 
	icarex27   icarex2q. 
	icarex28   icarex2r. 
	icarex29   icarex2s. 
	icarex30   icarex3t. 
	idsabcrd   idsabcrd. 
	tdsabamt   tdsabamt. 
	tsapgain   tsapgain. 
	tadjincm   tadjincm. 
	tnettax    tnettax.  
	ierndcrd   ierndcrd. 
	terndamt   terndamt. 
	ieicex01   ieicex0t. 
	ieicex02   ieicex0k. 
	ieicex03   ieicex0l. 
	ieicex04   ieicex0m. 
	ieicex05   ieicex0n. 
	ieicex06   ieicex0o. 
	ieicex07   ieicex0p. 
	ieicex08   ieicex0q. 
	ieicex09   ieicex0r. 
	ieicex10   ieicex1t. 
	ieicex11   ieicex1k. 
	ieicex12   ieicex1l. 
	ieicex13   ieicex1m. 
	ieicex14   ieicex1n. 
	ieicex15   ieicex1o. 
	ieicex16   ieicex1p. 
	ieicex17   ieicex1q. 
	ieicex18   ieicex1r. 
	ieicex19   ieicex1s. 
	ieicex20   ieicex2t. 
	ieicex21   ieicex2k. 
	ieicex22   ieicex2l. 
	ieicex23   ieicex2m. 
	ieicex24   ieicex2n. 
	ieicex25   ieicex2o. 
	ieicex26   ieicex2p. 
	ieicex27   ieicex2q. 
	ieicex28   ieicex2r. 
	ieicex29   ieicex2s. 
	ieicex30   ieicex3t. 
	iproptax   iproptax. 
	ipropjnt   ipropjnt. 
	ipropn01   ipropn0t. 
	ipropn02   ipropn0k. 
	ipropn03   ipropn0l. 
	ipropn04   ipropn0m. 
	ipropn05   ipropn0n. 
	ipropn06   ipropn0o. 
	ipropn07   ipropn0p. 
	ipropn08   ipropn0q. 
	ipropn09   ipropn0r. 
	ipropn10   ipropn1t. 
	ipropn11   ipropn1k. 
	ipropn12   ipropn1l. 
	ipropn13   ipropn1m. 
	ipropn14   ipropn1n. 
	ipropn15   ipropn1o. 
	ipropn16   ipropn1p. 
	ipropn17   ipropn1q. 
	ipropn18   ipropn1r. 
	ipropn19   ipropn1s. 
	ipropn20   ipropn2t. 
	ipropn21   ipropn2k. 
	ipropn22   ipropn2l. 
	ipropn23   ipropn2m. 
	ipropn24   ipropn2n. 
	ipropn25   ipropn2o. 
	ipropn26   ipropn2p. 
	ipropn27   ipropn2q. 
	ipropn28   ipropn2r. 
	ipropn29   ipropn2s. 
	ipropn30   ipropn3t. 
	ttaxbill   ttaxbill. 
;

data check; set s01tm7;

 *eincpens        Respondent's participation in pension
 aincpens        Allocation flag for EINCPENS     
 enoina01        Reason respondent not covered by pension
 enoina02        Reason respondent not covered by pension
 anoina          Allocation flag for ENOINA01-ENOINA14
 etdeffen        Asks if pension plan is like a 401(k)
 atdeffen        Allocation flag for ETDEFFEN     
 emultpen        Asks how many pension plans respondent has
 amultpen        Allocation flag for EMULTPEN     
 e1pentyp        Asks which type of pension plan  
 a1pentyp        Allocation flag for E1PENTYP     
 e2pentyp        Asks second type of pension plan 
 a2pentyp        Allocation flag for E2PENTYP     ;

keep T1YRSINC T2YRSINC epensnyn eincpens aincpens enoina01 enoina02 anoina etdeffen atdeffen emultpen amultpen e1pentyp a1pentyp e2pentyp a2pentyp 
spanel swave srotaton ssuid  swave shhadid eoutcome eentaid epppnum epopstat eppintvw eppmis4 esex erace eorigin wpfinwgt errp tage ems eeducate;

if errp=1 or errp=3;

if e1pentyp=-1 then e1pentyp=.;
if e2pentyp=-1 then e2pentyp=.;
if eincpens=-1 then eincpens=.;
if etdeffen=-1 then etdeffen=.;
if emultpen=-1 then emultpen=.;
if epensnyn=-1 then epensnyn=.;
if T1YRSINC=-1 then T1YRSINC=.;
if T2YRSINC=-1 then T2YRSINC=.;

proc means; 
proc freq data=check; tables T1YRSINC T2YRSINC epensnyn eincpens aincpens enoina01 enoina02 anoina etdeffen atdeffen emultpen amultpen e1pentyp a1pentyp e2pentyp a2pentyp 
eoutcome epopstat eppintvw ; *weight wpfinwgt;
run;
proc sort data = check; by ssuid eentaid epppnum;
run;

data in.tm2001w7; set check; by ssuid eentaid epppnum;
if first.ssuid then do;
   huseduc=.; wifeeduc=.; husrace=.; wiferace=.; husage=.; wifeage=.; hushispanic=.; wifehispanic=.; married=0; covered=.; typepen=.; durinplan=.; typepen2=.; durinplan2=.;
end;

keep ssuid spanel swave srotaton huseduc wifeeduc husrace wiferace husage wifeage hushispanic wifehispanic married covered typepen durinplan typepen2 durinplan2 WPFINWGT;
retain                           huseduc wifeeduc husrace wiferace husage wifeage hushispanic wifehispanic married covered typepen durinplan typepen2 durinplan2;

if errp=1 or errp=3 then do;
   if ems=1 then married=1;
   if esex=1 then do; 
      huseduc=eeducate; husrace=erace; husage=tage; hushispanic= 0; if eorigin>=20 and eorigin<=28 then hushispanic=1;
      if epensnyn>0 then do;
         covered=0; if eincpens=1 then covered=1; 
         if covered=1 then do; 
            if e1pentyp=1 then typepen=1; if e1pentyp=2 then typepen=2; durinplan = T1YRSINC;
            if e2pentyp=1 then typepen2=1; if e2pentyp=2 then typepen2=2; durinplan2 = T2YRSINC;
	     end;
      end;
   end;

* what did I do with DB-DC cases in HRS? and cash balance?;

*VALUE e1pentyp	(default=32)
	3         =  "Cash balance plan"             
	2         =  "Individual account plan"       
	1         =  "Plan based on earnings and years"
	-1        =  "Not in Universe"               
;

   if esex=2 then do; wifeeduc=eeducate; wiferace=erace; wifeage=tage; wifehispanic= 0; if eorigin>=20 and eorigin<=28 then wifehispanic=1; end;
end;

if last.ssuid then output;

proc means; 
proc freq; tables huseduc wifeeduc husrace wiferace hushispanic wifehispanic covered typepen durinplan typepen2 durinplan2; *weight wpfinwgt;

run;

