*options obs=100 ;
options nocenter ;

**------------------------------------------------;
**  by Jean Roth	Thu Mar 11 16:22:56 EST 2010
**  This program reads the 2004 SIPP Wave 6 Topical Module Data File ;
**  Report errors to jroth@nber.org ;
**  A value of -1 (or -1/# of implied decimals) indicates 'Not in Universe' ;
**  This program is distributed under the GNU GPL. ;
**  See end of this file and
**  http://www.gnu.org/licenses/ for details. ;
**-----------------------------------------------;

*  The following line should contain the directory
   where the SAS file is to be stored  ;

libname library ".";

*  The following line should contain
   the complete path and name of the raw data file.
   On a PC, use backslashes in paths as in C:\  ;

FILENAME datafile pipe "unzip -p /homes/data/sipp/2004/sipp04t6.zip ";

*  The following line should contain the name of the SAS dataset ;

%let dataset = sip04t6 ;

DATA library.&dataset ;

INFILE datafile LRECL = 20000 ;

** ------------------------------------------------ ;
**  The following variable names have been changed, ;
**  if necessary: '$' to 'd', '-' to '_', '%' to 'p' ;
** ----------------------------------------------- ;

attrib  ssuseq       length=4     label="SU: Sequence Number of Sample Unit - Primary";
attrib  ssuid        length=$12   label="SU: Sample Unit Identifier";           
attrib  spanel       length=4     label="SU: Sample Code - Indicates Panel Year";
attrib  swave        length=3     label="SU: Wave of data collection";          
attrib  srotaton     length=3     label="SU: Rotation of data collection";      
attrib  tfipsst      length=3     label="HH: FIPS State Code";                  
attrib  shhadid      length=3     label="SU: Hhld Address ID differentiates hhlds in";
attrib  eoutcome     length=3     label="HH: Interview Status code for this household";
attrib  rfid         length=3     label="FA: Family ID Number for this month";  
attrib  rfid2        length=3     label="FA: Family ID excluding related subfamily";
attrib  eppidx       length=3     label="PE: Person index";                     
attrib  eentaid      length=$3    label="PE: Address ID of hhld where person entered";
attrib  epppnum      length=$4    label="PE: Person number";                    
attrib  epopstat     length=3     label="PE: Population status based on age in 4th";
attrib  eppintvw     length=3     label="PE: Person's interview status";        
attrib  eppmis4      length=3     label="PE: Person's 4th month interview status";
attrib  esex         length=3     label="PE: Sex of this person";               
attrib  erace        length=3     label="PE: The race(s) the respondent is";    
attrib  eorigin      length=3     label="PE: Spanish, Hispanic or Latino";      
attrib  wpfinwgt     length=6     label="WW: Person weight";                    
attrib  errp         length=3     label="PE: Household relationship";           
attrib  tage         length=3     label="PE: Age as of last birthday";          
attrib  ems          length=3     label="PE: Marital status";                   
attrib  epnspous     length=4     label="PE: Person number of spouse";          
attrib  epnmom       length=4     label="PE: Person number of mother";          
attrib  epndad       length=4     label="PE: Person number of father";          
attrib  epnguard     length=4     label="PE: Person number of guardian";        
attrib  rdesgpnt     length=3     label="PE: Designated parent or guardian flag";
attrib  eeducate     length=3     label="ED: Highest Degree received or grade completed";
attrib  lgtkey       length=$8    label="PE: Person longitudinal key";          
attrib  sinthhid     length=3     label="SU: Hhld Address ID of person in interview";
attrib  emdunv       length=3     label="ME: Universe Indicator for Medical Expenses TM";
attrib  tdonorid     length=3     label="ME: The owner of this data.";          
attrib  ehouspay     length=3     label="ME: Are ALL housing exp paid with";    
attrib  ahouspay     length=3     label="ME: Allocation flag for EHOUSPAY";     
attrib  efoodpay     length=3     label="ME: Are ALL food exp. paid with respondent's";
attrib  afoodpay     length=3     label="ME: Allocation flag for EFOODPAY";     
attrib  eexppay      length=3     label="ME: Are ALL other exp. paid with respondent's";
attrib  aexppay      length=3     label="ME: Allocation flag for EEXPPAY";      
attrib  ehhpay       length=3     label="ME: Are supplementary funds from within";
attrib  ahhpay       length=3     label="ME: Allocation flag for EHHPAY";       
attrib  ewhopy01     length=4     label="ME: Household members who provided funding";
attrib  ewhopy02     length=4     label="ME: Household members who provided funding";
attrib  ewhopy03     length=4     label="ME: Household members who provided funding";
attrib  ewhopy04     length=4     label="ME: Household members who provided funding";
attrib  ewhopy05     length=4     label="ME: Household members who provided funding";
attrib  ewhopy06     length=4     label="ME: Household members who provided funding";
attrib  ewhopy07     length=4     label="ME: Household members who provided funding";
attrib  ewhopy08     length=4     label="ME: Household members who provided funding";
attrib  ewhopy09     length=4     label="ME: Household members who provided funding";
attrib  ewhopy10     length=4     label="ME: Household members who provided funding";
attrib  ewhopy11     length=4     label="ME: Household members who provided funding";
attrib  ewhopy12     length=4     label="ME: Household members who provided funding";
attrib  ewhopy13     length=4     label="ME: Household members who provided funding";
attrib  ewhopy14     length=4     label="ME: Household members who provided funding";
attrib  ewhopy15     length=4     label="ME: Household members who provided funding";
attrib  ewhopy16     length=4     label="ME: Household members who provided funding";
attrib  ewhopy17     length=4     label="ME: Household members who provided funding";
attrib  ewhopy18     length=4     label="ME: Household members who provided funding";
attrib  ewhopy19     length=4     label="ME: Household members who provided funding";
attrib  ewhopy20     length=4     label="ME: Household members who provided funding";
attrib  ewhopy21     length=4     label="ME: Household members who provided funding";
attrib  ewhopy22     length=4     label="ME: Household members who provided funding";
attrib  ewhopy23     length=4     label="ME: Household members who provided funding";
attrib  ewhopy24     length=4     label="ME: Household members who provided funding";
attrib  ewhopy25     length=4     label="ME: Household members who provided funding";
attrib  ewhopy26     length=4     label="ME: Household members who provided funding";
attrib  ewhopy27     length=4     label="ME: Household members who provided funding";
attrib  ewhopy28     length=4     label="ME: Household members who provided funding";
attrib  ewhopy29     length=4     label="ME: Household members who provided funding";
attrib  ewhopy30     length=4     label="ME: Household members who provided funding";
attrib  awhopy       length=3     label="ME: Allocation flag for EWHOPY01 - EWHOPY30";
attrib  ehltstat     length=3     label="ME: Report of current health status";  
attrib  ahltstat     length=3     label="ME: Allocation flag for EHLTSTAT";     
attrib  ehospsta     length=3     label="ME: Hospital stays in past 12 months"; 
attrib  ahospsta     length=3     label="ME: Allocation flag for EHOSPSTA";     
attrib  ehospnit     length=3     label="ME: Number of nights spent in hospital";
attrib  ahospnit     length=3     label="ME: Allocation flag for EHOSPNIT";     
attrib  ehreas1      length=3     label="ME: Most recent hospital stay for";    
attrib  ahreas1      length=3     label="ME: Allocation flag for EHREAS1";      
attrib  ehreas2      length=3     label="ME: Most recent hospital stay for";    
attrib  ahreas2      length=3     label="ME: Allocation flag for EHREAS2";      
attrib  ehreas3      length=3     label="ME: Most recent hospital stay for diagnostic";
attrib  ahreas3      length=3     label="ME: Allocation flag for EHREAS3";      
attrib  ehreas4      length=3     label="ME: Most recent hospital stay for giving";
attrib  ahreas4      length=3     label="ME: Allocation flag for EHREAS4";      
attrib  ehreas5      length=3     label="ME: Most recent hospital stay for person's";
attrib  ahreas5      length=3     label="ME: Allocation flag for EHREAS5";      
attrib  ehreas6      length=3     label="ME: Most recent hospital stay for other reason";
attrib  ahreas6      length=3     label="ME: Allocation flag for EHREAS6";      
attrib  edocnum      length=3     label="ME: Frequency of physician contact during";
attrib  adocnum      length=3     label="ME: Allocation flag for EDOCNUM";      
attrib  thipay       length=4     label="ME: Amount paid for health insurance in past";
attrib  ahipay       length=3     label="ME: Allocation flag for THIPAY";       
attrib  epresdrg     length=3     label="ME: Prescription medication use in the last";
attrib  apresdrg     length=3     label="ME: Allocation flag for EPRESDRG";     
attrib  edalydrg     length=3     label="ME: Report of daily prescription medicine";
attrib  adalydrg     length=3     label="ME: Allocation flag for EDALYDRG";     
attrib  evisdent     length=3     label="ME: Frequency of dental visits in past 12";
attrib  avisdent     length=3     label="ME: Allocation flag for EVISDENT";     
attrib  edenseal     length=3     label="ME: Report of child's dental sealant use";
attrib  adenseal     length=3     label="ME: Allocation flag for EDENSEAL";     
attrib  elostth      length=3     label="ME: Report of adult tooth loss";       
attrib  alostth      length=3     label="ME: Allocation flag for ELOSTTH";      
attrib  eallth       length=3     label="ME: Report of complete adult tooth loss";
attrib  aallth       length=3     label="ME: Allocation flag for EALLTH";       
attrib  evisdoc      length=3     label="ME: Frequency of medical provider visits,";
attrib  avisdoc      length=3     label="ME: Allocation flag for EVISDOC";      
attrib  emdspnd      length=3     label="ME: Did respondent buy medical supplies past";
attrib  amdspnd      length=3     label="ME: Allocation flag for EMDSPND";      
attrib  emdspnds     length=3     label="ME: Did respondent buy medical supplies for";
attrib  amdspnds     length=3     label="ME: Allocation flag for EMDSPNDS";     
attrib  edaysick     length=3     label="ME: Number of sickdays in past 12 months";
attrib  adaysick     length=3     label="ME: Allocation flag for EDAYSICK";     
attrib  tmdpay       length=4     label="ME: Cost of respondent medical care in past";
attrib  amdpay       length=3     label="ME: Allocation flag for TMDPAY";       
attrib  ereimb       length=3     label="ME: Was HH reimbursed for health ins and";
attrib  areimb       length=3     label="ME: Allocation flag for EREIMB";       
attrib  treimbur     length=4     label="ME: Edited variable for reimbursed medical";
attrib  areimbur     length=3     label="ME: Allocation flag for TREIMBUR";     
attrib  ehspstas     length=3     label="ME: Children's hospital stays in past 12";
attrib  ahspstas     length=3     label="ME: Allocation flag for EHSPSTAS";     
attrib  eprsdrgs     length=3     label="ME: Children prescription medication use last";
attrib  aprsdrgs     length=3     label="ME: Allocation flag for EPRSDRGS";     
attrib  evsdents     length=3     label="ME: Children's dentist visits in the past 12";
attrib  avsdents     length=3     label="ME: Allocation flag for EVSDENTS";     
attrib  evsdocs      length=3     label="ME: Doctor/medical provider contacted for R's";
attrib  avsdocs      length=3     label="ME: Allocation flag for EVSDOCS.";     
attrib  enowkyr      length=3     label="ME: Length of time not worked due to health";
attrib  anowkyr      length=3     label="ME: Allocation flag for ENOWKYR";      
attrib  ewkfutr      length=3     label="ME: Respondent able to work during the next";
attrib  awkfutr      length=3     label="ME: Allocation flag for EWKFUTR";      
attrib  trmoops      length=4     label="ME: Edited variable for out of pocket";
attrib  enoindnt     length=3     label="ME: Dental care while without health insurance";
attrib  anoindnt     length=3     label="ME: Allocation flag for ENOINDNT";     
attrib  enoindoc     length=3     label="ME: Doctor or other health care while without";
attrib  anoindoc     length=3     label="ME: Allocation flag for ENOINDOC";     
attrib  enointrt     length=3     label="ME: Did respondent receive treatment"; 
attrib  anointrt     length=3     label="ME: Allocation flag for ENOINTRT";     
attrib  enoinchk     length=3     label="ME: Did respondent receive";           
attrib  anoinchk     length=3     label="ME: Allocation flag for ENOINCHK";     
attrib  enoindrg     length=3     label="ME: Did respondent receive drug/alcohol";
attrib  anoindrg     length=3     label="ME: Allocation flag for ENOINDRG";     
attrib  enoinpay     length=3     label="ME: Did respondent pay for treatment"; 
attrib  anoinpay     length=3     label="ME: Allocation flag for ENOINPAY";     
attrib  enoindis     length=3     label="ME: Did respondent pay full price for";
attrib  anoindis     length=3     label="ME: Allocation flag for ENOINDIS";     
attrib  enoininc     length=3     label="ME: Was resp. asked income before cost quoted";
attrib  anoininc     length=3     label="ME: Allocation flag for ENOININC";     
attrib  enoincln     length=3     label="ME: Did respondent go to clinic/public health";
attrib  enoiner      length=3     label="ME: Did respondent go to an emergency room";
attrib  enoinhsp     length=3     label="ME: Did respondent go to a hospital (not";
attrib  enoinva      length=3     label="ME: Did respondent go to a VA hospital";
attrib  enoindr      length=3     label="ME: Did respondent go to a doctor's office";
attrib  enoindds     length=3     label="ME: Did respondent go to a dentist's office";
attrib  enoinoth     length=3     label="ME: Did respondent go to someplace else";
attrib  anoinloc     length=3     label="ME: Joint allocation flag for health care";
attrib  eapvunv      length=3     label="PV: Universe indicator for Work Related";
attrib  epvwk1       length=3     label="PV: Drive own vehicle to work?";       
attrib  epvwk2       length=3     label="PV: Did ... car/van pool to work?";    
attrib  epvwk3       length=3     label="PV: Did ... use the public transit?";  
attrib  epvwk4       length=3     label="PV: Did ... bike/walk to work?";       
attrib  epvwk5       length=3     label="PV: Did ... get to work some other way?";
attrib  apvwk        length=3     label="PV: Allocation Flag for EPVWK1-EPVWK5";
attrib  epvmilwk     length=4     label="PV: How many miles did...drive to work?";
attrib  apvmilwk     length=3     label="PV: Allocation Flag for EPVMILWK";     
attrib  epvpaprk     length=3     label="PV: Did...work related expenses include paid";
attrib  apvpaprk     length=3     label="PV: Allocation Flag for EPVPAPRK";     
attrib  epvpaywk     length=4     label="PV: How much did...spend for parking or tolls?";
attrib  apvpaywk     length=3     label="PV: Allocation Flag for EPVPAYWK";     
attrib  epvcomut     length=4     label="PV: How much were...'s weekly commute";
attrib  apvcomut     length=3     label="PV: Allocation Flag for EPVCOMUT";     
attrib  epvwkexp     length=3     label="PV: Did...have to pay for work related";
attrib  apvwkexp     length=3     label="PV: Allocation Flag for EPVWKEXP";     
attrib  epvanexp     length=4     label="PV: How much were annual expenses for";
attrib  apvanexp     length=3     label="PV: Allocation Flag for EPVANEXP";     
attrib  epvchild     length=3     label="PV: Do you have any children who lived";
attrib  apvchild     length=3     label="PV: Allocation Flag for EPVCHILD";     
attrib  epvmancd     length=3     label="PV: How many children lived elsewhere?";
attrib  apvmancd     length=3     label="PV: Allocation Flag for EPVMANCD";     
attrib  epvmosup     length=3     label="PV: Was...required to pay child support?";
attrib  apvmosup     length=3     label="PV: Allocation Flag for EPVMOSUP.";    
attrib  tpvchpa1     length=4     label="PV: How much did ... pay in child support for";
attrib  tpvchpa2     length=4     label="PV: How much did ... pay in child support for";
attrib  tpvchpa3     length=4     label="PV: How much did ... pay in child support for";
attrib  tpvchpa4     length=4     label="PV: How much did ... pay in child support for";
attrib  apvchpa      length=3     label="PV: Allocation Flag for TPVCHPA1 - TPVCHPA4";
attrib  epvccarr     length=3     label="PV: Child care arrangements";          
attrib  apvccarr     length=3     label="PV: Allocation Flag for EPVCCARR.";    
attrib  tpvccfp1     length=4     label="PV: Amount of child care: typical week month";
attrib  apvccfp1     length=3     label="PV: Allocation Flag for TPVCCFP1";     
attrib  tpvccfp2     length=4     label="PV: Amount of child care: typical week month";
attrib  apvccfp2     length=3     label="PV: Allocation Flag for TPVCCFP2";     
attrib  tpvccfp3     length=4     label="PV: Amount of child care: typical week month";
attrib  apvccfp3     length=3     label="PV: Allocation Flag for TPVCCFP3";     
attrib  tpvccfp4     length=4     label="PV: Amount of child care: typical week month";
attrib  apvccfp4     length=3     label="PV: Allocation Flag for TPVCCFP4";     
attrib  epvccoth     length=3     label="PV: Did anyone else pay for child care?";
attrib  apvccoth     length=3     label="PV: Allocation Flag for EPVCCOTH.";    
attrib  epvcwho1     length=3     label="PV: Government helped pay for child care";
attrib  epvcwho2     length=3     label="PV: Other parent helped pay for child care";
attrib  epvcwho3     length=3     label="PV: Employer helped pay for child care";
attrib  epvcwho4     length=3     label="PV: Relative or friend helped pay for child";
attrib  epvcwho5     length=3     label="PV: Other help to pay for child care"; 
attrib  apvcwho      length=3     label="PV: Allocation flag for EPVCWHO1-EPVCWHO5";
attrib  epvdays      length=3     label="PV: Total time in days spent with child";
attrib  epvweeks     length=3     label="PV: Total time in weeks spent with child";
attrib  epvmnths     length=3     label="PV: Total time in months spent with child";
attrib  apvdwm       length=3     label="PV: Allocation flag for EPVDAYS, EPVWEEKS,";
attrib  ealunv       length=3     label="AL: Universe Indicator for Assets and";
attrib  ealow        length=3     label="AL: Money owed to you for business/property";
attrib  aalow        length=3     label="AL: Allocation flag for EALOW";        
attrib  ealowa       length=5     label="AL: Amount owed to you for sale";      
attrib  aalowa       length=3     label="AL: Allocation flag for EALOWA";       
attrib  ealsb        length=3     label="AL: U.S. Savings Bonds owned by respondent";
attrib  aalsb        length=3     label="AL: Allocation flag for EALSB";        
attrib  talsbv       length=4     label="AL: Face Value of U.S. Savings Bonds"; 
attrib  aalsbv       length=3     label="AL: Allocation flag for TALSBV";       
attrib  ealjch       length=3     label="AL: Jointly owned non-interest earning";
attrib  aaljch       length=3     label="AL: Allocation flag for EALJCH";       
attrib  taljcha      length=4     label="AL: Estimate of a joint non-interest checking";
attrib  aaljcha      length=3     label="AL: Allocation flag for TALJCHA";      
attrib  ealjdb       length=3     label="AL: Money owed for store bills/credit cards";
attrib  aaljdb       length=3     label="AL: Allocation flag for EALJDB";       
attrib  ealjdl       length=3     label="AL: Money owed for loans with spouse"; 
attrib  aaljdl       length=3     label="AL: Allocation flag for EALJDL";       
attrib  ealjdo       length=3     label="AL: Money owed for other debt with spouse";
attrib  aaljdo       length=3     label="AL: Allocation flag for EALJDO";       
attrib  ealjdab      length=5     label="AL: Amt owed for store bills or credit cards";
attrib  aaljdab      length=3     label="AL: Allocation flag for EALJDAB";      
attrib  ealjdal      length=5     label="AL: Amount owed for loans with spouse";
attrib  aaljdal      length=3     label="AL: Allocation flag for EALJDAL";      
attrib  ealjdao      length=5     label="AL: Amount owed for other debt with spouse";
attrib  aaljdao      length=3     label="AL: Allocation flag for EALJDAO";      
attrib  ealich       length=3     label="AL: Non-interest checking account in own name";
attrib  aalich       length=3     label="AL: Allocation flag for EALICH";       
attrib  talicha      length=4     label="AL: Est of non-interest checking accounts in";
attrib  aalicha      length=3     label="AL: Allocation flag for TALICHA";      
attrib  ealil        length=3     label="AL: Debts in own name";                
attrib  aalil        length=3     label="AL: Allocation flag for EALIL";        
attrib  ealidb       length=3     label="AL: Money owed in own name for store"; 
attrib  aalidb       length=3     label="AL: Allocation flag for EALIDB";       
attrib  ealidl       length=3     label="AL: Money owed in own name for loans"; 
attrib  aalidl       length=3     label="AL: Allocation flag for EALIDL";       
attrib  ealido       length=3     label="AL: Money owed in own name for other debt";
attrib  aalido       length=3     label="AL: Allocation flag for EALIDO";       
attrib  ealidab      length=5     label="AL: Amount owed for store bills/credit cards";
attrib  aalidab      length=3     label="AL: Allocation flag for EALIDAB";      
attrib  ealidal      length=5     label="AL: Amount owed for loans in own name";
attrib  aalidal      length=3     label="AL: Allocation flag for EALIDAL";      
attrib  ealidao      length=5     label="AL: Amount owed for other debt in own name";
attrib  aalidao      length=3     label="AL: Allocation flag for EALIDAO";      
attrib  ealr         length=3     label="AL: IRA account(s) in own name";       
attrib  aalr         length=3     label="AL: Allocation flag for EALR";         
attrib  ealry        length=3     label="AL: Number of years contributed to IRA";
attrib  aalry        length=3     label="AL: Allocation flag for EALRY";        
attrib  talrb        length=4     label="AL: Market value of IRA account(s) in own name";
attrib  aalrb        length=3     label="AL: Allocation flag for TALRB";        
attrib  ealra1       length=3     label="AL: Kinds of assets in IRA account(s)";
attrib  aalra1       length=3     label="AL: Allocation flag for EALRA1";       
attrib  ealra2       length=3     label="AL: Kinds of assets in IRA account(s)";
attrib  aalra2       length=3     label="AL: Allocation flag for EALRA2";       
attrib  ealra3       length=3     label="AL: Kinds of assets in IRA account(s)";
attrib  aalra3       length=3     label="AL: Allocation flag for EALRA3";       
attrib  ealra4       length=3     label="AL: Kinds of assets in IRA account(s)";
attrib  aalra4       length=3     label="AL: Allocation flag for EALRA4";       
attrib  ealk         length=3     label="AL: KEOGH account in own name";        
attrib  aalk         length=3     label="AL: Allocation flag for EALK";         
attrib  ealky        length=3     label="AL: Years contributed to KEOGH account";
attrib  aalky        length=3     label="AL: Allocation flag for EALKY";        
attrib  talkb        length=4     label="AL: Market value of KEOGH account(s)"; 
attrib  aalkb        length=3     label="AL: Allocation flag for TALKB";        
attrib  ealka1       length=3     label="AL: Kinds of assets in KEOGH account(s)";
attrib  aalka1       length=3     label="AL: Allocation flag for EALKA1";       
attrib  ealka2       length=3     label="AL: Kinds of assets in KEOGH account(s)";
attrib  aalka2       length=3     label="AL: Allocation flag for EALKA2";       
attrib  ealka3       length=3     label="AL: Kinds of assets in KEOGH account(s)";
attrib  aalka3       length=3     label="AL: Allocation flag for EALKA3";       
attrib  ealka4       length=3     label="AL: Kinds of assets in KEOGH account(s)";
attrib  aalka4       length=3     label="AL: Allocation flag for EALKA4";       
attrib  ealt         length=3     label="AL: 401k, 403b, or thrift plans in own name";
attrib  aalt         length=3     label="AL: Allocation flag for EALT";         
attrib  ealty        length=3     label="AL: Years contributed to 401k, 403b or thrift";
attrib  aalty        length=3     label="AL: Allocation flag for EALTY";        
attrib  taltb        length=4     label="AL: Market value of 401k,403b,or thrift plan";
attrib  aaltb        length=3     label="AL: Allocation flag for TALTB";        
attrib  ealta1       length=3     label="AL: Kinds of assets in 401k, 403b, or thrift";
attrib  aalta1       length=3     label="AL: Allocation flag for EALTA1";       
attrib  ealta2       length=3     label="AL: Kinds of assets in 401k, 403b, or thrift";
attrib  aalta2       length=3     label="AL: Allocation flag for EALTA2";       
attrib  ealta3       length=3     label="AL: Kinds of assets in 401k, 403b, or thrift";
attrib  aalta3       length=3     label="AL: Allocation flag for EALTA3";       
attrib  ealta4       length=3     label="AL: Kinds of assets in 401k, 403b, or thrift";
attrib  aalta4       length=3     label="AL: Allocation flag for EALTA4";       
attrib  ealli        length=3     label="AL: Life insurance coverage";          
attrib  aalli        length=3     label="AL: Allocation flag for EALLI";        
attrib  talliv       length=5     label="AL: Cash value of life insurance policies";
attrib  aalliv       length=3     label="AL: Allocation flag for TALLIV";       
attrib  eallit       length=3     label="AL: Type(s) of life insurance policy"; 
attrib  aallit       length=3     label="AL: Allocation flag for EALLIT";       
attrib  eallie       length=3     label="AL: Life insurance through employer";  
attrib  aallie       length=3     label="AL: Allocation flag for EALLIE";       
attrib  talliev      length=4     label="AL: Cash value of life insurance from employer";
attrib  aalliev      length=3     label="AL: Allocation for TALLIEV";           
attrib  ehreunv      length=3     label="RE: Universe indicator for Real Estate TM";
attrib  eremobho     length=3     label="RE: Is residence a mobile home?";      
attrib  aremobho     length=3     label="RE: Allocation flag for EREMOBHO";     
attrib  ehowner1     length=4     label="RE: First Owner of home";              
attrib  ahowner1     length=3     label="RE: Allocation flag for EHOWNER1";     
attrib  ehowner2     length=4     label="RE: Second Owner of home";             
attrib  ahowner2     length=3     label="RE: Allocation flag for EHOWNER2";     
attrib  ehowner3     length=4     label="RE: Third Owner of home";              
attrib  ehbuymo      length=3     label="RE: Month home was purchased";         
attrib  ahbuymo      length=3     label="RE: Allocation flag for EHBUYMO";      
attrib  ehbuyyr      length=4     label="RE: Year house was purchased";         
attrib  ahbuyyr      length=3     label="RE: Allocation flag for EHBUYYR";      
attrib  ehmort       length=3     label="RE: Mortgage on home";                 
attrib  ahmort       length=3     label="RE: Allocation flag for EHMORT";       
attrib  enummort     length=3     label="RE: Number of debts on this home";     
attrib  anummort     length=3     label="RE: Allocation flag for ENUMMORT";     
attrib  tmor1pr      length=4     label="RE: Principal owed for first, second and all";
attrib  amor1pr      length=3     label="RE: Allocation flag for TMOR1PR";      
attrib  emor1yr      length=4     label="RE: Year first mortgage obtained";     
attrib  amor1yr      length=3     label="RE: Allocation flag for EMOR1YR";      
attrib  emor1mo      length=3     label="RE: Month first mortgage obtained";    
attrib  amor1mo      length=3     label="RE: Allocation flag for EMOR1MO";      
attrib  tmor1amt     length=4     label="RE: First and second loan amount";     
attrib  amor1amt     length=3     label="RE: Allocation flag for TMOR1AMT";     
attrib  emor1yrs     length=3     label="RE: Total years for payments of home loan";
attrib  amor1yrs     length=3     label="RE: Allocation flag for EMOR1YRS";     
attrib  emor1int     length=8     label="RE: Interest rate on first mortgage";  
attrib  amor1int     length=3     label="RE: Allocation flag for EMOR1INT";     
attrib  emor1var     length=3     label="RE: Variable or fixed rate for first home";
attrib  amor1var     length=3     label="RE: Allocation flag for EMOR1VAR";     
attrib  emor1pgm     length=3     label="RE: First loan FHA/VA mortgage program";
attrib  amor1pgm     length=3     label="RE: Allocation flag for EMOR1PGM";     
attrib  tmor2pr      length=3     label="RE: Flag indicating principal on second";
attrib  amor2pr      length=3     label="RE: Allocation flag for TMOR2PR";      
attrib  emor2yr      length=4     label="RE: Year 2nd mortgage obtained";       
attrib  amor2yr      length=3     label="RE: Allocation flag for EMOR2YR";      
attrib  emor2mo      length=3     label="RE: Month 2nd mortgage obtained";      
attrib  amor2mo      length=3     label="RE: Allocation flag for EMOR2MO";      
attrib  tmor2amt     length=3     label="RE: Flag indicating second mortgage";  
attrib  amor2amt     length=3     label="RE: Allocation flag for TMOR2AMT";     
attrib  emor2yrs     length=3     label="RE: Total years for payments of 2nd mortgage";
attrib  amor2yrs     length=3     label="RE: Allocation flag for EMOR2YRS";     
attrib  emor2int     length=8     label="RE: Interest rate on 2nd mortgage";    
attrib  amor2int     length=3     label="RE: Allocation flag for EMOR2INT";     
attrib  emor2var     length=3     label="RE: Variable/fixed rate for 2nd loan"; 
attrib  amor2var     length=3     label="RE: Allocation flag for EMOR2VAR";     
attrib  emor2pgm     length=3     label="RE: 2nd loan FHA/VA mortgage program"; 
attrib  amor2pgm     length=3     label="RE: Allocation flag for EMOR2PGM";     
attrib  tmor3pr      length=3     label="RE: Flag indicating principal owed on other";
attrib  amor3pr      length=3     label="RE: Allocation flag for TMOR3PR";      
attrib  tpropval     length=4     label="RE: Current value of property";        
attrib  apropval     length=3     label="RE: Allocation flag for TPROPVAL";     
attrib  emhloan      length=3     label="RE: Mortgage or debt on mobile home";  
attrib  amhloan      length=3     label="RE: Allocation flag for EMHLOAN";      
attrib  emhtype      length=3     label="RE: Site or mobile home debt";         
attrib  amhtype      length=3     label="RE: Allocation flag for EMHTYPE";      
attrib  tmhpr        length=4     label="RE: Amount principal owed on mobile";  
attrib  amhpr        length=3     label="RE: Allocation flag for TMHPR";        
attrib  tmhval       length=4     label="RE: Amount mobile would sell for";     
attrib  amhval       length=3     label="RE: Allocation flag for TMHVAL";       
attrib  thomeamt     length=4     label="RE: Monthly rent or mortgage";         
attrib  ahomeamt     length=3     label="RE: Allocation flag for THOMEAMT";     
attrib  tutils       length=3     label="RE: Amount paid for utilities per month";
attrib  autils       length=3     label="RE: Allocation flag for TUTILS";       
attrib  eperspay     length=3     label="RE: More than one person paying rent"; 
attrib  aperspay     length=3     label="RE: Allocation flag for EPERSPAY";     
attrib  eperspya     length=4     label="RE: Only one person paid mortgage/rent";
attrib  aperspya     length=3     label="RE: Allocation flag for EPERSPYA";     
attrib  eperspy1     length=4     label="RE: First of several persons who paid rent";
attrib  aperspy1     length=3     label="RE: Allocation flag for EPERSPY1";     
attrib  eperspy2     length=4     label="RE: 2nd of several persons who paid rent";
attrib  eperspy3     length=4     label="RE: Third of several persons who paid rent";
attrib  tpersam1     length=4     label="RE: Amount first person paid for rent";
attrib  apersam1     length=3     label="RE: Allocation flag for TPERSAM1";     
attrib  tpersam2     length=4     label="RE: Amount second person paid for rent";
attrib  apersam2     length=3     label="RE: Allocation flag for TPERSAM2";     
attrib  tpersam3     length=3     label="RE: Amount third person paid for rent";
attrib  apersam3     length=3     label="RE: Allocation flag for TPERSAM3";     
attrib  epaycare     length=3     label="RE: Pay for care of child or disabled person";
attrib  apaycare     length=3     label="RE: Allocation flag for EPAYCARE";     
attrib  tcarecst     length=4     label="RE: Amount of care per month";         
attrib  acarecst     length=3     label="RE: Allocation flag for TCARECST";     
attrib  eothre       length=3     label="RE: Household owns other real estate"; 
attrib  aothre       length=3     label="RE: Allocation flag for EOTHRE";       
attrib  eothreo1     length=4     label="RE: First person owns other real estate";
attrib  aothreo1     length=3     label="RE: Allocation flag for EOTHREO1";     
attrib  eothreo2     length=4     label="RE: Second person owns other real estate";
attrib  eothreo3     length=4     label="RE: Second person owns other real estate";
attrib  tothreva     length=4     label="RE: Equity in other real estate";      
attrib  aothreva     length=3     label="RE: Allocation flag for TOTHREVA";     
attrib  eautoown     length=3     label="RE: HH member ownership of vehicle";   
attrib  aautoown     length=3     label="RE: Allocation flag for EAUTOOWN";     
attrib  eautonum     length=3     label="RE: Number of vehicles owned by HH";   
attrib  aautonum     length=3     label="RE: Allocation flag for EAUTONUM";     
attrib  ea1own1      length=4     label="RE: First owner of first vehicle";     
attrib  aa1own1      length=3     label="RE: Allocation flag for EA1OWN1";      
attrib  ea1own2      length=4     label="RE: Second owner of first vehicle";    
attrib  tcarval1     length=4     label="RE: Car value for first vehicle";      
attrib  acarval1     length=3     label="RE: Allocation flag for TCARVAL1";     
attrib  ta1year      length=4     label="RE: Car Year for First Vehicle";       
attrib  ea1owed      length=3     label="RE: Money owed for 1st vehicle";       
attrib  aa1owed      length=3     label="RE: Allocation flag for EA1OWED";      
attrib  ta1amt       length=4     label="RE: Amount owed for 1st vehicle";      
attrib  aa1amt       length=3     label="RE: Allocation flag for TA1AMT";       
attrib  ea1use       length=3     label="RE: Primary use of vehicle";           
attrib  aa1use       length=3     label="RE: Allocation flag for EA1USE";       
attrib  ea2own1      length=4     label="RE: First owner of second vehicle";    
attrib  aa2own1      length=3     label="RE: Allocation flag for EA2OWN1";      
attrib  ea2own2      length=4     label="RE: 2nd owner of second vehicle";      
attrib  tcarval2     length=4     label="RE: Car value for second vehicle";     
attrib  acarval2     length=3     label="RE: Allocation flag for TCARVAL2";     
attrib  ta2year      length=4     label="RE: Car Year for Second Vehicle";      
attrib  ea2owed      length=3     label="RE: Money owed on the 2nd vehicle";    
attrib  aa2owed      length=3     label="RE: Allocation flag for EA2OWED";      
attrib  ta2amt       length=4     label="RE: Amount owed for second vehicle";   
attrib  aa2amt       length=3     label="RE: Allocation flag for TA2AMT";       
attrib  ea2use       length=3     label="RE: Primary use of vehicle";           
attrib  aa2use       length=3     label="RE: Allocation flag for EA2USE";       
attrib  ea3own1      length=4     label="RE: 1st owner of third vehicle";       
attrib  aa3own1      length=3     label="RE: Allocation flag for EA3OWN";       
attrib  ea3own2      length=4     label="RE: 2nd owner of third vehicle";       
attrib  tcarval3     length=4     label="RE: Car value for third vehicle";      
attrib  acarval3     length=3     label="RE: Allocation flag for TCARVAL3";     
attrib  ta3year      length=4     label="RE: Car Year for Third Vehicle";       
attrib  ea3owed      length=3     label="RE: Money owed for third vehicle";     
attrib  aa3owed      length=3     label="RE: Allocation flag for EA3OWED";      
attrib  ta3amt       length=4     label="RE: Amount owed for third vehicle";    
attrib  aa3amt       length=3     label="RE: Allocation flag for TA3AMT";       
attrib  ea3use       length=3     label="RE: Primary use of vehicle";           
attrib  aa3use       length=3     label="RE: Allocation flag for EA3USE";       
attrib  eothveh      length=3     label="RE: Own other Vehicle";                
attrib  aothveh      length=3     label="RE: Allocation flag for EOTHVEH";      
attrib  eovmtrcy     length=3     label="RE: Anyone own a motorcycle?";         
attrib  aovmtrcy     length=3     label="RE: Allocation flag for EOVMTRCY";     
attrib  eovboat      length=3     label="RE: Anyone own a boat?";               
attrib  aovboat      length=3     label="RE: Allocation flag for EOVBOAT";      
attrib  eovrv        length=3     label="RE: Anyone own an RV?";                
attrib  aovrv        length=3     label="RE: Allocation flag for EOTHVEH2";     
attrib  eovothrv     length=3     label="RE: Anyone own any other vehicle";     
attrib  aovothrv     length=3     label="RE: Allocation flag for EOVBOAT";      
attrib  eov1own1     length=4     label="RE: 1st owner of 1st other vehicle";   
attrib  aov1own1     length=3     label="RE: Allocation flag for EOV1OWN1";     
attrib  eov1own2     length=4     label="RE: 2nd owner of 1st other vehicle";   
attrib  tov1val      length=4     label="RE: 1st other vehicle value";          
attrib  aov1val      length=3     label="RE: Allocation flag for TOV1VAL";      
attrib  eov1owe      length=3     label="RE: Money owed for first other vehicle";
attrib  aov1owe      length=3     label="RE: Allocation flag for EOV1OWE";      
attrib  tov1amt      length=4     label="RE: Amount owed for first other vehicle";
attrib  aov1amt      length=3     label="RE: Allocation flag for TOV1AMT";      
attrib  eov2own1     length=4     label="RE: 1st owner of 2nd other vehicle";   
attrib  aov2own1     length=3     label="RE: Allocation flag for EOV2OWN1";     
attrib  eov2own2     length=4     label="RE: 2nd owner of 2nd other vehicle";   
attrib  tov2val      length=4     label="RE: Second other vehicle value";       
attrib  aov2val      length=3     label="RE: Allocation flag for TOV2VAL";      
attrib  eov2owe      length=3     label="RE: Is money owed for 2nd other vehicle";
attrib  aov2owe      length=3     label="RE: Allocation flag for EOV2OWE";      
attrib  tov2amt      length=4     label="RE: Amount owed for 2nd other vehicle";
attrib  aov2amt      length=3     label="RE: Allocation flag for TOV2AMT";      
attrib  thhtnw       length=6     label="RE: Total Net Worth Recode";           
attrib  thhtwlth     length=6     label="RE: Total Wealth recode";              
attrib  thhtheq      length=6     label="RE: Home Equity recode";               
attrib  thhmortg     length=6     label="RE: Total Debt owed on Home";          
attrib  thhvehcl     length=6     label="RE: Net equity in vehicles";           
attrib  thhbeq       length=6     label="RE: Business Equity";                  
attrib  thhintbk     length=6     label="RE: Interest Earning assets held in banking";
attrib  thhintot     length=6     label="RE: Interest Earning assets held in other";
attrib  rhhstk       length=6     label="RE: Equity in stocks and mutual fund shares";
attrib  thhore       length=6     label="RE: Equity in real estate that is not your";
attrib  thhotast     length=6     label="RE: Equity in other assets";           
attrib  thhira       length=6     label="RE: Equity in IRA and KEOGH accounts"; 
attrib  thhthrif     length=6     label="RE: Equity in 401K and Thrift savings accounts";
attrib  thhdebt      length=6     label="RE: Total debt recode";                
attrib  thhscdbt     length=6     label="RE: Total secured debt recode";        
attrib  rhhuscbt     length=6     label="RE: Total Unsecured Debt";             
attrib  evbunv1      length=3     label="BU: Universe Indicator for Value of Business";
attrib  evbno1       length=3     label="BU: First Business number";            
attrib  evbow1       length=3     label="BU: Percent of Business owned for first";
attrib  avbow1       length=3     label="BU: Allocation flag for EVBOW1";       
attrib  tvbva1       length=5     label="BU: The value of the business for the first";
attrib  avbva1       length=3     label="BU: Allocation flag for TVBVA1";       
attrib  tvbde1       length=4     label="BU: The total debt owed against the first";
attrib  avbde1       length=3     label="BU: Allocation flag for TVBDE1";       
attrib  evbunv2      length=3     label="BU: Universe Indicator for Value of Business 2";
attrib  evbno2       length=3     label="BU: Second Business number";           
attrib  evbow2       length=3     label="BU: Percent of Business owned for second";
attrib  avbow2       length=3     label="BU: Allocation flag for EVBOW2";       
attrib  tvbva2       length=5     label="BU: The value of the business for business two";
attrib  avbva2       length=3     label="BU: Allocation flag for TVBVA2";       
attrib  tvbde2       length=4     label="BU: The total debt owed against the second";
attrib  avbde2       length=3     label="BU: Allocation flag for TVBDE2";       
attrib  eaoaunv      length=3     label="OA: Universe Indicator for Other Financial";
attrib  eoaeq        length=5     label="OA: Equity in investments";            
attrib  aoaeq        length=3     label="OA: Allocation flag for EOAEQ";        
attrib  tiajta       length=4     label="IE: Amount in joint interest earning account";
attrib  aiajta       length=3     label="IE: Allocation flag for TIAJTA";       
attrib  tiaita       length=4     label="IE: Amount in own interest earning account";
attrib  aiaita       length=3     label="IE: Allocation flag for TIAITA";       
attrib  timja        length=4     label="IE: Amount in joint bonds/US securities";
attrib  aimja        length=3     label="IE: Allocation flag for TIMJA";        
attrib  timia        length=5     label="IE: Amount of bonds/securities in own name";
attrib  aimia        length=3     label="IE: Allocation flag for TIMIA";        
attrib  esmjm        length=3     label="SM: Mutual funds owned jointly with spouse";
attrib  asmjm        length=3     label="SM: Allocation flag for ESMJM";        
attrib  esmjs        length=3     label="SM: Stocks owned jointly with spouse"; 
attrib  asmjs        length=3     label="SM: Allocation flag for ESMJS";        
attrib  esmjv        length=6     label="SM: Value of joint stocks/funds owned with";
attrib  asmjv        length=3     label="SM: Allocation flag for ESMJV";        
attrib  esmjma       length=3     label="SM: Debt against jointly owned stocks/mutual";
attrib  asmjma       length=3     label="SM: Allocation variable for ESMJMA.";  
attrib  esmjmav      length=5     label="SM: Amount of debt on jointly owned";  
attrib  asmjmav      length=3     label="SM: Allocation variable for ESMJMAV."; 
attrib  esmi         length=3     label="SM: Stocks or funds owned in own name";
attrib  asmi         length=3     label="SM: Allocation flag for ESMI.";        
attrib  esmiv        length=6     label="SM: Value of stocks/funds in own name";
attrib  asmiv        length=3     label="SM: Allocation flag for ESMIV";        
attrib  esmima       length=3     label="SM: Debt on stocks/funds in own name"; 
attrib  asmima       length=3     label="SM: Allocation flag for ESMIMA";       
attrib  esmimav      length=5     label="SM: Debt on stocks/funds in own name"; 
attrib  asmimav      length=3     label="SM: Allocation flag for ESMIMAV";      
attrib  erjown       length=3     label="RT: Own rental property jointly with spouse";
attrib  arjown       length=3     label="RT: Allocation flag for ERJOWN";       
attrib  erjnum       length=3     label="RT: Numbr of rentl proprties jointly hld with";
attrib  arjnum       length=3     label="RT: Allocation flag for ERJNUM";       
attrib  erjtyp1      length=3     label="RT: Type of rental property jointly owned";
attrib  arjtyp1      length=3     label="RT: Allocation flag for ERJTYP1";      
attrib  erjtyp2      length=3     label="RT: Type of rental property owned jointly";
attrib  arjtyp2      length=3     label="RT: Allocation flag for ERJTYP2";      
attrib  erjtyp3      length=3     label="RT: Type of rental property owned jointly";
attrib  arjtyp3      length=3     label="RT: Allocation flag for ERJTYP3";      
attrib  erjtyp4      length=3     label="RT: Type of rental property owned jointly";
attrib  arjtyp4      length=3     label="RT: Allocation flag for ERJTYP4";      
attrib  erjtyp5      length=3     label="RT: Type of rental property owned jointly";
attrib  arjtyp5      length=3     label="RT: Allocation flag for ERJTYP5";      
attrib  erjtyp6      length=3     label="RT: Type of rental property owned jointly";
attrib  arjtyp6      length=3     label="RT: Allocation flag for ERJTYP6";      
attrib  erjat        length=3     label="RT: Jnt rentl prop attachd to/on same land as";
attrib  arjat        length=3     label="RT: Allocation flag for ERJAT";        
attrib  erjata       length=3     label="RT: All joint rent prop attachd to same land";
attrib  arjata       length=3     label="RT: Allocation flag for ERJATA";       
attrib  trjmv        length=4     label="RT: Market value of joint rent not on land of";
attrib  arjmv        length=3     label="RT: Allocation flag for TRJMV";        
attrib  erjdeb       length=3     label="RT: Debt on rental properties held jointly";
attrib  arjdeb       length=3     label="RT: Allocation flag for ERJDEB";       
attrib  trjpri       length=4     label="RT: Principal owed on joint rental property";
attrib  arjpri       length=3     label="RT: Allocation flag for TRJPRI";       
attrib  eriown       length=3     label="RT: Rental property owned in own name";
attrib  ariown       length=3     label="RT: Allocation flag for ERIOWN";       
attrib  erinum       length=3     label="RT: Number of rental properties in own name";
attrib  arinum       length=3     label="RT: Allocation flag for ERINUM";       
attrib  eritype1     length=3     label="RT: First type of rental property owned in";
attrib  aritype1     length=3     label="RT: Allocation flag for ERITYPE1";     
attrib  eritype2     length=3     label="RT: Second type of rental property owned in";
attrib  aritype2     length=3     label="RT: Allocation flag for ERITYPE2";     
attrib  eritype3     length=3     label="RT: Third type of rental property owned in";
attrib  aritype3     length=3     label="RT: Allocation flag for ERITYPE3";     
attrib  eritype4     length=3     label="RT: Fourth type of rental property owned in";
attrib  aritype4     length=3     label="RT: Allocation flag for ERITYPE4";     
attrib  eritype5     length=3     label="RT: Fifth type of rental property owned in";
attrib  aritype5     length=3     label="RT: Allocation flag for ERITYPE5";     
attrib  eritype6     length=3     label="RT: Sixth type of rental property owned in";
attrib  aritype6     length=3     label="RT: Allocation flag for ERITYPE6";     
attrib  eriat        length=3     label="RT: Rental property in own name on/attachd to";
attrib  ariat        length=3     label="RT: Allocation flag for ERIAT";        
attrib  eriata       length=3     label="RT: Rental property in own name on/attached";
attrib  ariata       length=3     label="RT: Allocation flag for ERIATA";       
attrib  trimv        length=5     label="RT: Market value of rental property owned in";
attrib  arimv        length=3     label="RT: Allocation flag for TRIMV";        
attrib  erideb       length=3     label="RT: Debt on rental properties not located on";
attrib  arideb       length=3     label="RT: Allocation flag for ERIDEB";       
attrib  tripri       length=4     label="RT: Principal owed on rental property in own";
attrib  aripri       length=3     label="RT: Allocation flag for TRIPRI";       
attrib  ertown       length=3     label="RT: Rental property held jointly with other";
attrib  artown       length=3     label="RT: Allocation flag for ERTOWN";       
attrib  ertnum       length=3     label="RT: Number of rentals owned with others";
attrib  artnum       length=3     label="RT: Allocation flag for ERTNUM";       
attrib  erttype1     length=3     label="RT: Type of rental property owned jointly";
attrib  arttype1     length=3     label="RT: Allocation flag for ERTTYPE1";     
attrib  erttype2     length=3     label="RT: Type of rental property owned jointly";
attrib  arttype2     length=3     label="RT: Allocation flag for ERTTYPE2";     
attrib  erttype3     length=3     label="RT: Type of rental property owned jointly";
attrib  arttype3     length=3     label="RT: Allocation flag for ERTTYPE3";     
attrib  erttype4     length=3     label="RT: Type of rental property owned jointly";
attrib  arttype4     length=3     label="RT: Allocation flag for ERTTYPE4";     
attrib  erttype5     length=3     label="RT: Type of rental property owned jointly";
attrib  arttype5     length=3     label="RT: Allocation flag for ERTTYPE5";     
attrib  erttype6     length=3     label="RT: Type of rental property owned jointly";
attrib  arttype6     length=3     label="RT: Allocation flag for ERTTYPE6";     
attrib  trtmv        length=5     label="RT: Market value of joint rental property";
attrib  artmv        length=3     label="RT: Allocation flag for TRTMV";        
attrib  ertdeb       length=3     label="RT: Debt on unattached joint rental prop held";
attrib  artdeb       length=3     label="RT: Allocation flag for ERTDEB";       
attrib  trtpri       length=5     label="RT: Principal owed on joint rental property";
attrib  artpri       length=3     label="RT: Allocation flag for TRTPRI";       
attrib  trtsha       length=5     label="RT: Share of rental property held with other";
attrib  artsha       length=3     label="RT: Allocation flag for TRTSHA";       
attrib  tmjp         length=4     label="M0: Principal owed on joint mortgage(s) held";
attrib  amjp         length=3     label="M0: Allocation flag for TMJP";         
attrib  tmip         length=4     label="M0: Principal owed on mortgage(s) in own name";
attrib  amip         length=3     label="M0: Allocation flag for TMIP";         


INPUT

@1    ssuseq       5. 
@6    ssuid      $12. 
@18   spanel       4. 
@22   swave        2. 
@24   srotaton     1. 
@25   tfipsst      2. 
@27   shhadid      3. 
@30   eoutcome     3. 
@33   rfid         3. 
@36   rfid2        3. 
@39   eppidx       3. 
@42   eentaid     $3. 
@45   epppnum     $4. 
@49   epopstat     1. 
@50   eppintvw     2. 
@52   eppmis4      1. 
@53   esex         1. 
@54   erace        1. 
@55   eorigin      2. 
@57   wpfinwgt    10. 
@67   errp         2. 
@69   tage         2. 
@71   ems          1. 
@72   epnspous     4. 
@76   epnmom       4. 
@80   epndad       4. 
@84   epnguard     4. 
@88   rdesgpnt     2. 
@90   eeducate     2. 
@92   lgtkey      $8. 
@100  sinthhid     3. 
@103  emdunv       2. 
@105  tdonorid     1. 
@106  ehouspay     2. 
@108  ahouspay     1. 
@109  efoodpay     2. 
@111  afoodpay     1. 
@112  eexppay      2. 
@114  aexppay      1. 
@115  ehhpay       2. 
@117  ahhpay       1. 
@118  ewhopy01     4. 
@122  ewhopy02     4. 
@126  ewhopy03     4. 
@130  ewhopy04     4. 
@134  ewhopy05     4. 
@138  ewhopy06     4. 
@142  ewhopy07     4. 
@146  ewhopy08     4. 
@150  ewhopy09     4. 
@154  ewhopy10     4. 
@158  ewhopy11     4. 
@162  ewhopy12     4. 
@166  ewhopy13     4. 
@170  ewhopy14     4. 
@174  ewhopy15     4. 
@178  ewhopy16     4. 
@182  ewhopy17     4. 
@186  ewhopy18     4. 
@190  ewhopy19     4. 
@194  ewhopy20     4. 
@198  ewhopy21     4. 
@202  ewhopy22     4. 
@206  ewhopy23     4. 
@210  ewhopy24     4. 
@214  ewhopy25     4. 
@218  ewhopy26     4. 
@222  ewhopy27     4. 
@226  ewhopy28     4. 
@230  ewhopy29     4. 
@234  ewhopy30     4. 
@238  awhopy       1. 
@239  ehltstat     2. 
@241  ahltstat     1. 
@242  ehospsta     2. 
@244  ahospsta     1. 
@245  ehospnit     3. 
@248  ahospnit     1. 
@249  ehreas1      2. 
@251  ahreas1      1. 
@252  ehreas2      2. 
@254  ahreas2      1. 
@255  ehreas3      2. 
@257  ahreas3      1. 
@258  ehreas4      2. 
@260  ahreas4      1. 
@261  ehreas5      2. 
@263  ahreas5      1. 
@264  ehreas6      2. 
@266  ahreas6      1. 
@267  edocnum      3. 
@270  adocnum      1. 
@271  thipay       4. 
@275  ahipay       1. 
@276  epresdrg     2. 
@278  apresdrg     1. 
@279  edalydrg     2. 
@281  adalydrg     1. 
@282  evisdent     3. 
@285  avisdent     1. 
@286  edenseal     2. 
@288  adenseal     1. 
@289  elostth      2. 
@291  alostth      1. 
@292  eallth       2. 
@294  aallth       1. 
@295  evisdoc      3. 
@298  avisdoc      1. 
@299  emdspnd      2. 
@301  amdspnd      1. 
@302  emdspnds     2. 
@304  amdspnds     1. 
@305  edaysick     3. 
@308  adaysick     1. 
@309  tmdpay       6. 
@315  amdpay       1. 
@316  ereimb       2. 
@318  areimb       1. 
@319  treimbur     5. 
@324  areimbur     1. 
@325  ehspstas     2. 
@327  ahspstas     1. 
@328  eprsdrgs     2. 
@330  aprsdrgs     1. 
@331  evsdents     2. 
@333  avsdents     1. 
@334  evsdocs      2. 
@336  avsdocs      1. 
@337  enowkyr      2. 
@339  anowkyr      1. 
@340  ewkfutr      2. 
@342  awkfutr      1. 
@343  trmoops      6. 
@349  enoindnt     2. 
@351  anoindnt     1. 
@352  enoindoc     2. 
@354  anoindoc     1. 
@355  enointrt     2. 
@357  anointrt     1. 
@358  enoinchk     2. 
@360  anoinchk     1. 
@361  enoindrg     2. 
@363  anoindrg     1. 
@364  enoinpay     2. 
@366  anoinpay     1. 
@367  enoindis     2. 
@369  anoindis     1. 
@370  enoininc     2. 
@372  anoininc     1. 
@373  enoincln     2. 
@375  enoiner      2. 
@377  enoinhsp     2. 
@379  enoinva      2. 
@381  enoindr      2. 
@383  enoindds     2. 
@385  enoinoth     2. 
@387  anoinloc     1. 
@388  eapvunv      2. 
@390  epvwk1       2. 
@392  epvwk2       2. 
@394  epvwk3       2. 
@396  epvwk4       2. 
@398  epvwk5       2. 
@400  apvwk        1. 
@401  epvmilwk     4. 
@405  apvmilwk     1. 
@406  epvpaprk     2. 
@408  apvpaprk     1. 
@409  epvpaywk     4. 
@413  apvpaywk     1. 
@414  epvcomut     5. 
@419  apvcomut     1. 
@420  epvwkexp     2. 
@422  apvwkexp     1. 
@423  epvanexp     5. 
@428  apvanexp     1. 
@429  epvchild     2. 
@431  apvchild     1. 
@432  epvmancd     2. 
@434  apvmancd     1. 
@435  epvmosup     2. 
@437  apvmosup     1. 
@438  tpvchpa1     4. 
@442  tpvchpa2     4. 
@446  tpvchpa3     4. 
@450  tpvchpa4     4. 
@454  apvchpa      1. 
@455  epvccarr     2. 
@457  apvccarr     1. 
@458  tpvccfp1     4. 
@462  apvccfp1     1. 
@463  tpvccfp2     4. 
@467  apvccfp2     1. 
@468  tpvccfp3     4. 
@472  apvccfp3     1. 
@473  tpvccfp4     4. 
@477  apvccfp4     1. 
@478  epvccoth     2. 
@480  apvccoth     1. 
@481  epvcwho1     2. 
@483  epvcwho2     2. 
@485  epvcwho3     2. 
@487  epvcwho4     2. 
@489  epvcwho5     2. 
@491  apvcwho      1. 
@492  epvdays      3. 
@495  epvweeks     2. 
@497  epvmnths     2. 
@499  apvdwm       1. 
@500  ealunv       2. 
@502  ealow        2. 
@504  aalow        1. 
@505  ealowa       8. 
@513  aalowa       1. 
@514  ealsb        2. 
@516  aalsb        1. 
@517  talsbv       5. 
@522  aalsbv       1. 
@523  ealjch       2. 
@525  aaljch       1. 
@526  taljcha      4. 
@530  aaljcha      1. 
@531  ealjdb       2. 
@533  aaljdb       1. 
@534  ealjdl       2. 
@536  aaljdl       1. 
@537  ealjdo       2. 
@539  aaljdo       1. 
@540  ealjdab      8. 
@548  aaljdab      1. 
@549  ealjdal      8. 
@557  aaljdal      1. 
@558  ealjdao      8. 
@566  aaljdao      1. 
@567  ealich       2. 
@569  aalich       1. 
@570  talicha      4. 
@574  aalicha      1. 
@575  ealil        2. 
@577  aalil        1. 
@578  ealidb       2. 
@580  aalidb       1. 
@581  ealidl       2. 
@583  aalidl       1. 
@584  ealido       2. 
@586  aalido       1. 
@587  ealidab      8. 
@595  aalidab      1. 
@596  ealidal      8. 
@604  aalidal      1. 
@605  ealidao      8. 
@613  aalidao      1. 
@614  ealr         2. 
@616  aalr         1. 
@617  ealry        2. 
@619  aalry        1. 
@620  talrb        6. 
@626  aalrb        1. 
@627  ealra1       2. 
@629  aalra1       1. 
@630  ealra2       2. 
@632  aalra2       1. 
@633  ealra3       2. 
@635  aalra3       1. 
@636  ealra4       2. 
@638  aalra4       1. 
@639  ealk         2. 
@641  aalk         1. 
@642  ealky        2. 
@644  aalky        1. 
@645  talkb        6. 
@651  aalkb        1. 
@652  ealka1       2. 
@654  aalka1       1. 
@655  ealka2       2. 
@657  aalka2       1. 
@658  ealka3       2. 
@660  aalka3       1. 
@661  ealka4       2. 
@663  aalka4       1. 
@664  ealt         2. 
@666  aalt         1. 
@667  ealty        2. 
@669  aalty        1. 
@670  taltb        6. 
@676  aaltb        1. 
@677  ealta1       2. 
@679  aalta1       1. 
@680  ealta2       2. 
@682  aalta2       1. 
@683  ealta3       2. 
@685  aalta3       1. 
@686  ealta4       2. 
@688  aalta4       1. 
@689  ealli        2. 
@691  aalli        1. 
@692  talliv       7. 
@699  aalliv       1. 
@700  eallit       2. 
@702  aallit       1. 
@703  eallie       2. 
@705  aallie       1. 
@706  talliev      6. 
@712  aalliev      1. 
@713  ehreunv      2. 
@715  eremobho     2. 
@717  aremobho     1. 
@718  ehowner1     4. 
@722  ahowner1     1. 
@723  ehowner2     4. 
@727  ahowner2     1. 
@728  ehowner3     4. 
@732  ehbuymo      2. 
@734  ahbuymo      1. 
@735  ehbuyyr      4. 
@739  ahbuyyr      1. 
@740  ehmort       2. 
@742  ahmort       1. 
@743  enummort     2. 
@745  anummort     1. 
@746  tmor1pr      6. 
@752  amor1pr      1. 
@753  emor1yr      4. 
@757  amor1yr      1. 
@758  emor1mo      2. 
@760  amor1mo      1. 
@761  tmor1amt     6. 
@767  amor1amt     1. 
@768  emor1yrs     3. 
@771  amor1yrs     1. 
@772  emor1int    5.3 
@777  amor1int     1. 
@778  emor1var     2. 
@780  amor1var     1. 
@781  emor1pgm     2. 
@783  amor1pgm     1. 
@784  tmor2pr      1. 
@785  amor2pr      1. 
@786  emor2yr      4. 
@790  amor2yr      1. 
@791  emor2mo      2. 
@793  amor2mo      1. 
@794  tmor2amt     1. 
@795  amor2amt     1. 
@796  emor2yrs     3. 
@799  amor2yrs     1. 
@800  emor2int    5.3 
@805  amor2int     1. 
@806  emor2var     2. 
@808  amor2var     1. 
@809  emor2pgm     2. 
@811  amor2pgm     1. 
@812  tmor3pr      1. 
@813  amor3pr      1. 
@814  tpropval     6. 
@820  apropval     1. 
@821  emhloan      2. 
@823  amhloan      1. 
@824  emhtype      2. 
@826  amhtype      1. 
@827  tmhpr        6. 
@833  amhpr        1. 
@834  tmhval       6. 
@840  amhval       1. 
@841  thomeamt     4. 
@845  ahomeamt     1. 
@846  tutils       3. 
@849  autils       1. 
@850  eperspay     2. 
@852  aperspay     1. 
@853  eperspya     4. 
@857  aperspya     1. 
@858  eperspy1     4. 
@862  aperspy1     1. 
@863  eperspy2     4. 
@867  eperspy3     4. 
@871  tpersam1     4. 
@875  apersam1     1. 
@876  tpersam2     4. 
@880  apersam2     1. 
@881  tpersam3     3. 
@884  apersam3     1. 
@885  epaycare     2. 
@887  apaycare     1. 
@888  tcarecst     4. 
@892  acarecst     1. 
@893  eothre       2. 
@895  aothre       1. 
@896  eothreo1     4. 
@900  aothreo1     1. 
@901  eothreo2     4. 
@905  eothreo3     4. 
@909  tothreva     6. 
@915  aothreva     1. 
@916  eautoown     2. 
@918  aautoown     1. 
@919  eautonum     2. 
@921  aautonum     1. 
@922  ea1own1      4. 
@926  aa1own1      1. 
@927  ea1own2      4. 
@931  tcarval1     5. 
@936  acarval1     1. 
@937  ta1year      4. 
@941  ea1owed      2. 
@943  aa1owed      1. 
@944  ta1amt       5. 
@949  aa1amt       1. 
@950  ea1use       2. 
@952  aa1use       1. 
@953  ea2own1      4. 
@957  aa2own1      1. 
@958  ea2own2      4. 
@962  tcarval2     5. 
@967  acarval2     1. 
@968  ta2year      4. 
@972  ea2owed      2. 
@974  aa2owed      1. 
@975  ta2amt       5. 
@980  aa2amt       1. 
@981  ea2use       2. 
@983  aa2use       1. 
@984  ea3own1      4. 
@988  aa3own1      1. 
@989  ea3own2      4. 
@993  tcarval3     5. 
@998  acarval3     1. 
@999  ta3year      4. 
@1003 ea3owed      2. 
@1005 aa3owed      1. 
@1006 ta3amt       5. 
@1011 aa3amt       1. 
@1012 ea3use       2. 
@1014 aa3use       1. 
@1015 eothveh      2. 
@1017 aothveh      1. 
@1018 eovmtrcy     2. 
@1020 aovmtrcy     1. 
@1021 eovboat      2. 
@1023 aovboat      1. 
@1024 eovrv        2. 
@1026 aovrv        1. 
@1027 eovothrv     2. 
@1029 aovothrv     1. 
@1030 eov1own1     4. 
@1034 aov1own1     1. 
@1035 eov1own2     4. 
@1039 tov1val      5. 
@1044 aov1val      1. 
@1045 eov1owe      2. 
@1047 aov1owe      1. 
@1048 tov1amt      5. 
@1053 aov1amt      1. 
@1054 eov2own1     4. 
@1058 aov2own1     1. 
@1059 eov2own2     4. 
@1063 tov2val      5. 
@1068 aov2val      1. 
@1069 eov2owe      2. 
@1071 aov2owe      1. 
@1072 tov2amt      5. 
@1077 aov2amt      1. 
@1078 thhtnw      10. 
@1088 thhtwlth    10. 
@1098 thhtheq     10. 
@1108 thhmortg    10. 
@1118 thhvehcl    10. 
@1128 thhbeq      10. 
@1138 thhintbk    10. 
@1148 thhintot    10. 
@1158 rhhstk      10. 
@1168 thhore      10. 
@1178 thhotast    10. 
@1188 thhira      10. 
@1198 thhthrif    10. 
@1208 thhdebt     10. 
@1218 thhscdbt    10. 
@1228 rhhuscbt    10. 
@1238 evbunv1      2. 
@1240 evbno1       2. 
@1242 evbow1       3. 
@1245 avbow1       1. 
@1246 tvbva1       7. 
@1253 avbva1       1. 
@1254 tvbde1       6. 
@1260 avbde1       1. 
@1261 evbunv2      2. 
@1263 evbno2       2. 
@1265 evbow2       3. 
@1268 avbow2       1. 
@1269 tvbva2       7. 
@1276 avbva2       1. 
@1277 tvbde2       6. 
@1283 avbde2       1. 
@1284 eaoaunv      2. 
@1286 eoaeq        8. 
@1294 aoaeq        1. 
@1295 tiajta       6. 
@1301 aiajta       1. 
@1302 tiaita       6. 
@1308 aiaita       1. 
@1309 timja        6. 
@1315 aimja        1. 
@1316 timia        7. 
@1323 aimia        1. 
@1324 esmjm        2. 
@1326 asmjm        1. 
@1327 esmjs        2. 
@1329 asmjs        1. 
@1330 esmjv        9. 
@1339 asmjv        1. 
@1340 esmjma       2. 
@1342 asmjma       1. 
@1343 esmjmav      8. 
@1351 asmjmav      1. 
@1352 esmi         2. 
@1354 asmi         1. 
@1355 esmiv        9. 
@1364 asmiv        1. 
@1365 esmima       2. 
@1367 asmima       1. 
@1368 esmimav      8. 
@1376 asmimav      1. 
@1377 erjown       2. 
@1379 arjown       1. 
@1380 erjnum       2. 
@1382 arjnum       1. 
@1383 erjtyp1      2. 
@1385 arjtyp1      1. 
@1386 erjtyp2      2. 
@1388 arjtyp2      1. 
@1389 erjtyp3      2. 
@1391 arjtyp3      1. 
@1392 erjtyp4      2. 
@1394 arjtyp4      1. 
@1395 erjtyp5      2. 
@1397 arjtyp5      1. 
@1398 erjtyp6      2. 
@1400 arjtyp6      1. 
@1401 erjat        2. 
@1403 arjat        1. 
@1404 erjata       2. 
@1406 arjata       1. 
@1407 trjmv        6. 
@1413 arjmv        1. 
@1414 erjdeb       2. 
@1416 arjdeb       1. 
@1417 trjpri       6. 
@1423 arjpri       1. 
@1424 eriown       2. 
@1426 ariown       1. 
@1427 erinum       2. 
@1429 arinum       1. 
@1430 eritype1     2. 
@1432 aritype1     1. 
@1433 eritype2     2. 
@1435 aritype2     1. 
@1436 eritype3     2. 
@1438 aritype3     1. 
@1439 eritype4     2. 
@1441 aritype4     1. 
@1442 eritype5     2. 
@1444 aritype5     1. 
@1445 eritype6     2. 
@1447 aritype6     1. 
@1448 eriat        2. 
@1450 ariat        1. 
@1451 eriata       2. 
@1453 ariata       1. 
@1454 trimv        7. 
@1461 arimv        1. 
@1462 erideb       2. 
@1464 arideb       1. 
@1465 tripri       6. 
@1471 aripri       1. 
@1472 ertown       2. 
@1474 artown       1. 
@1475 ertnum       2. 
@1477 artnum       1. 
@1478 erttype1     2. 
@1480 arttype1     1. 
@1481 erttype2     2. 
@1483 arttype2     1. 
@1484 erttype3     2. 
@1486 arttype3     1. 
@1487 erttype4     2. 
@1489 arttype4     1. 
@1490 erttype5     2. 
@1492 arttype5     1. 
@1493 erttype6     2. 
@1495 arttype6     1. 
@1496 trtmv        7. 
@1503 artmv        1. 
@1504 ertdeb       2. 
@1506 artdeb       1. 
@1507 trtpri       7. 
@1514 artpri       1. 
@1515 trtsha       7. 
@1522 artsha       1. 
@1523 tmjp         6. 
@1529 amjp         1. 
@1530 tmip         6. 
@1536 amip         1. 
;

**------------------------------------------------;
** The PROC FORMAT statement will store the formats ;
** in a sas data set called fsip04t6 ;
** To use the stored formats in a subsequent program, ;
** use code like the following;

** proc format cntlin=library.fsp04t6;
** PROC freq;
**        tables pesex ;
**        format pesex      P135L.;

** For more information, consult PROC FORMAT in the SAS Procedures Guide ;
**-----------------------------------------------;

PROC FORMAT cntlout=library.fsp04t6;

;
VALUE spanel  	(default=32)
	2004      =  "Panel Year"                    
;
VALUE tfipsst 	(default=32)
	1         =  "Alabama"                       
	2         =  "Alaska"                        
	4         =  "Arizona"                       
	5         =  "Arkansas"                      
	6         =  "California"                    
	8         =  "Colorado"                      
	9         =  "Connecticut"                   
	10        =  "Delaware"                      
	11        =  "DC"                            
	12        =  "Florida"                       
	13        =  "Georgia"                       
	15        =  "Hawaii"                        
	16        =  "Idaho"                         
	17        =  "Illinois"                      
	18        =  "Indiana"                       
	19        =  "Iowa"                          
	20        =  "Kansas"                        
	21        =  "Kentucky"                      
	22        =  "Louisiana"                     
	23        =  "Maine"                         
	24        =  "Maryland"                      
	25        =  "Massachusetts"                 
	26        =  "Michigan"                      
	27        =  "Minnesota"                     
	28        =  "Mississippi"                   
	29        =  "Missouri"                      
	30        =  "Montana"                       
	31        =  "Nebraska"                      
	32        =  "Nevada"                        
	33        =  "New Hampshire"                 
	34        =  "New Jersey"                    
	35        =  "New Mexico"                    
	36        =  "New York"                      
	37        =  "North Carolina"                
	38        =  "North Dakota"                  
	39        =  "Ohio"                          
	40        =  "Oklahoma"                      
	41        =  "Oregon"                        
	42        =  "Pennsylvania"                  
	44        =  "Rhode Island"                  
	45        =  "South Carolina"                
	46        =  "South Dakota"                  
	47        =  "Tennessee"                     
	48        =  "Texas"                         
	49        =  "Utah"                          
	50        =  "Vermont"                       
	51        =  "Virginia"                      
	53        =  "Washington"                    
	54        =  "West Virginia"                 
	55        =  "Wisconsin"                     
	56        =  "Wyoming"                       
;
VALUE eoutcome	(default=32)
	201       =  "Completed interview"           
	203       =  "Compl. partial- missing data; no"
	207       =  "Complete partial - TYPE-Z; no" 
	213       =  "TYPE-A, language problem"      
	216       =  "TYPE-A, no one home (noh)"     
	217       =  "TYPE-A, temporarily absent (ta)"
	218       =  "TYPE-A, hh refused"            
	219       =  "TYPE-A, other occupied (specify)"
	234       =  "TYPE-B, entire hh institut. or"
	248       =  "TYPE-C, other (specify)"       
	249       =  "TYPE-C, sample adjustment"     
	250       =  "TYPE-C, hh deceased"           
	251       =  "TYPE-C, moved out of country"  
	252       =  "TYPE-C, living in armed forces"
	253       =  "TYPE-C, on active duty in Armed"
	254       =  "TYPE-C, no one over age 15 years"
	255       =  "TYPE-C, no Wave 1 persons"     
	260       =  "TYPE-D, moved address unknown" 
	261       =  "TYPE-D, moved within U.S. but" 
	262       =  "TYPE-C, merged with another SIPP"
	270       =  "TYPE-C, mover, no longer located"
	271       =  "TYPE-C, mover, new address"    
	280       =  "TYPE-D, mover, no longer located"
;
VALUE rfid2l  	(default=32)
	-1        =  "Not in Universe"               
;
VALUE epopstat	(default=32)
	1         =  "Adult (15 years of age or older)"
	2         =  "Child (Under 15 years of age)" 
;
VALUE eppintvw	(default=32)
	1         =  "Interview (self)"              
	2         =  "Interview (proxy)"             
	3         =  "Noninterview - Type Z"         
	4         =  "Noninterview - pseudo Type Z." 
	5         =  "Children under 15 during"      
;
VALUE eppmis4l	(default=32)
	1         =  "Interview"                     
	2         =  "Non-interview"                 
;
VALUE esex    	(default=32)
	1         =  "MALE"                          
	2         =  "FEMALE"                        
;
VALUE erace   	(default=32)
	1         =  "White alone"                   
	2         =  "Black alone"                   
	3         =  "Asian alone"                   
	4         =  "Residual"                      
;
VALUE eorigin 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
;
VALUE wpfinwgt	(default=32)
	0         =  "0000:999999.9999 .Final person weight"
;
VALUE errp    	(default=32)
	1         =  "Reference person with related" 
	2         =  "Reference Person without related"
	3         =  "Spouse of reference person"    
	4         =  "Child of reference person"     
	5         =  "Grandchild of reference person"
	6         =  "Parent of reference person"    
	7         =  "Brother/sister of reference person"
	8         =  "Other relative of reference person"
	9         =  "Foster child of reference person"
	10        =  "Unmarried partner of reference"
	11        =  "Housemate/roommate"            
	12        =  "Roomer/boarder"                
	13        =  "Other non-relative of reference"
;
VALUE tage    	(default=32)
	0         =  "Less than 1 full year old"     
;
VALUE ems     	(default=32)
	1         =  "Married, spouse present"       
	2         =  "Married, spouse absent"        
	3         =  "Widowed"                       
	4         =  "Divorced"                      
	5         =  "Separated"                     
	6         =  "Never Married"                 
;
VALUE epnspous	(default=32)
	9999      =  "Spouse not in household or person"
;
VALUE epnmom  	(default=32)
	9999      =  "No mother in household"        
;
VALUE epndad  	(default=32)
	9999      =  "No father in household"        
;
VALUE epnguard	(default=32)
	9999      =  "Guardian not in household"     
	-1        =  "Not in Universe"               
;
VALUE rdesgpnt	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE eeducate	(default=32)
	31        =  "Less Than 1st Grade"           
	32        =  "1st, 2nd, 3rd or 4th grade"    
	33        =  "5th Or 6th Grade"              
	34        =  "7th Or 8th Grade"              
	35        =  "9th Grade"                     
	36        =  "10th Grade"                    
	37        =  "11th Grade"                    
	38        =  "12th grade, no diploma"        
	39        =  "High School Graduate - (diploma"
	40        =  "Some college, but no degree"   
	41        =  "Diploma or certificate from a" 
	43        =  "Associate (2-yr) college degree"
	44        =  "Bachelor's degree (for example:"
	45        =  "Master's degree (For example: MA,"
	46        =  "Professional School degree (for"
	47        =  "Doctorate degree (for example:"
	-1        =  "Not in Universe"               
;
VALUE sinthhid	(default=32)
	0         =  "Not In Universe"               
;
VALUE emdunv  	(default=32)
	1         =  "In universe"                   
	-1        =  "Not in Universe"               
;
VALUE tdonorid	(default=32)
	1         =  "Received data from a donor"    
	0         =  "Not in universe or did not"    
;
VALUE ehouspay	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ahouspay	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE efoodpay	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE afoodpay	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eexppay 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aexppay 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehhpay  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ahhpay  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ewhopy0y	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy0k	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy0l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy0m	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy0n	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy0o	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy0p	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy0q	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy0r	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy1y	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy1k	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy1l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy1m	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy1n	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy1o	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy1p	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy1q	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy1r	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy1s	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy2y	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy2k	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy2l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy2m	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy2n	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy2o	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy2p	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy2q	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy2r	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy2s	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy3y	(default=32)
	-1        =  "Not in Universe"               
;
VALUE awhopy  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehltstat	(default=32)
	5         =  "Poor"                          
	4         =  "Fair"                          
	3         =  "Good"                          
	2         =  "Very Good"                     
	1         =  "Excellent"                     
	-1        =  "Not in Universe"               
;
VALUE ahltstat	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehospsta	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ahospsta	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehospnit	(default=32)
	0         =  "None or not in universe"       
;
VALUE ahospnit	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehreas1l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ahreas1l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehreas2l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ahreas2l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehreas3l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ahreas3l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehreas4l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ahreas4l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehreas5l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ahreas5l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehreas6l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ahreas6l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE edocnum 	(default=32)
	0         =  "None or not in universe"       
;
VALUE adocnum 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE thipay  	(default=32)
	0         =  "Not in universe or none"       
;
VALUE ahipay  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE epresdrg	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE apresdrg	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE edalydrg	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE adalydrg	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE evisdent	(default=32)
	0         =  "None or not in universe"       
;
VALUE avisdent	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE edenseal	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE adenseal	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE elostth 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE alostth 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eallth  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aallth  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE evisdoc 	(default=32)
	0         =  "None or not in universe"       
;
VALUE avisdoc 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emdspnd 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE amdspnd 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emdspnds	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE amdspnds	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE edaysick	(default=32)
	0         =  "None or not in universe"       
;
VALUE adaysick	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tmdpay  	(default=32)
	0         =  "Not in universe or none"       
;
VALUE amdpay  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ereimb  	(default=32)
	3         =  "Expects to get reimbursed but has"
	2         =  "Got Reimbursed"                
	1         =  "Total actual Cost"             
	-1        =  "Not in Universe"               
;
VALUE areimb  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE treimbur	(default=32)
	0         =  "None or not in universe"       
;
VALUE areimbur	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehspstas	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ahspstas	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eprsdrgs	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aprsdrgs	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE evsdents	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE avsdents	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE evsdocs 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE avsdocs 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE enowkyr 	(default=32)
	2         =  "less than a year"              
	1         =  "A year or longer"              
	-1        =  "Not in Universe"               
;
VALUE anowkyr 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ewkfutr 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE awkfutr 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE trmoops 	(default=32)
	0         =  "None or not in universe"       
;
VALUE enoindnt	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE anoindnt	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE enoindoc	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE anoindoc	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE enointrt	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE anointrt	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE enoinchk	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE anoinchk	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE enoindrg	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE anoindrg	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE enoinpay	(default=32)
	3         =  "Both (if respondent volunteers)"
	2         =  "Paid something"                
	1         =  "Free"                          
	-1        =  "Not in Universe"               
;
VALUE anoinpay	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE enoindis	(default=32)
	3         =  "Don't know"                    
	2         =  "Reduced price"                 
	1         =  "Full price"                    
	-1        =  "Not in Universe"               
;
VALUE anoindis	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE enoininc	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE anoininc	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE enoincln	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoiner 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoinhsp	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoinva 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoindr 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoindds	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoinoth	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE anoinloc	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eapvunv 	(default=32)
	1         =  "In universe"                   
	-1        =  "Not in Universe"               
;
VALUE epvwk1l 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE epvwk2l 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE epvwk3l 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE epvwk4l 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE epvwk5l 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE apvwk   	(default=32)
	4         =  "Imputed from the previous wave"
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck"                     
	1         =  "Statistical imputation (hot deck)"
	0         =  "No imputation"                 
;
VALUE epvmilwk	(default=32)
	-1        =  "Not in Universe"               
;
VALUE apvmilwk	(default=32)
	4         =  "Imputed from the previous wave"
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck"                     
	1         =  "Statistical imputation (hot deck)"
	0         =  "No imputation"                 
;
VALUE epvpaprk	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE apvpaprk	(default=32)
	4         =  "Imputed from the previous wave"
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck"                     
	1         =  "Statistical imputation (hot deck)"
	0         =  "No imputation"                 
;
VALUE epvpaywk	(default=32)
	0         =  "Not In Universe"               
;
VALUE apvpaywk	(default=32)
	4         =  "Imputed from the previous wave"
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck"                     
	1         =  "Statistical imputation (hot deck)"
	0         =  "No imputation"                 
;
VALUE epvcomut	(default=32)
	0         =  "Not In Universe"               
;
VALUE apvcomut	(default=32)
	4         =  "Imputed from the previous wave"
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck"                     
	1         =  "Statistical imputation (hot deck)"
	0         =  "No imputation"                 
;
VALUE epvwkexp	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE apvwkexp	(default=32)
	4         =  "Imputed from the previous wave"
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck"                     
	1         =  "Statistical imputation (hot deck)"
	0         =  "No imputation"                 
;
VALUE epvanexp	(default=32)
	0         =  "Not In Universe"               
;
VALUE apvanexp	(default=32)
	4         =  "Imputed from the previous wave"
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck"                     
	1         =  "Statistical imputation (hot deck)"
	0         =  "No imputation"                 
;
VALUE epvchild	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE apvchild	(default=32)
	4         =  "Imputed from the previous wave"
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck"                     
	1         =  "Statistical imputation (hot deck)"
	0         =  "No imputation"                 
;
VALUE epvmancd	(default=32)
	-1        =  "Not in Universe"               
;
VALUE apvmancd	(default=32)
	4         =  "Imputed from the previous wave"
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck"                     
	1         =  "Statistical imputation (hot deck)"
	0         =  "No imputation"                 
;
VALUE epvmosup	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE apvmosup	(default=32)
	4         =  "Imputed from the previous wave"
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck"                     
	1         =  "Statistical imputation (hot deck)"
	0         =  "No imputation"                 
;
VALUE tpvchpap	(default=32)
	0         =  "None or not in universe"       
;
VALUE tpvchpak	(default=32)
	0         =  "None or not in universe"       
;
VALUE tpvchpal	(default=32)
	0         =  "None or not in universe"       
;
VALUE tpvchpam	(default=32)
	0         =  "None or not in universe"       
;
VALUE apvchpa 	(default=32)
	4         =  "Imputed from the previous wave"
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck"                     
	1         =  "Statistical imputation (hot deck)"
	0         =  "No imputation"                 
;
VALUE epvccarr	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE apvccarr	(default=32)
	4         =  "Imputed from the previous wave"
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck"                     
	1         =  "Statistical imputation (hot deck)"
	0         =  "No imputation"                 
;
VALUE tpvccfpr	(default=32)
	0         =  "None or not in universe"       
;
VALUE apvccfpr	(default=32)
	4         =  "Imputed from the previous wave"
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck"                     
	1         =  "Statistical imputation (hot deck)"
	0         =  "No imputation"                 
;
VALUE tpvccfpk	(default=32)
	0         =  "None or not in universe"       
;
VALUE apvccfpk	(default=32)
	4         =  "Imputed from the previous wave"
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck"                     
	1         =  "Statistical imputation (hot deck)"
	0         =  "No imputation"                 
;
VALUE tpvccfpl	(default=32)
	0         =  "None or not in universe"       
;
VALUE apvccfpl	(default=32)
	4         =  "Imputed from the previous wave"
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck"                     
	1         =  "Statistical imputation (hot deck)"
	0         =  "No imputation"                 
;
VALUE tpvccfpm	(default=32)
	0         =  "None or not in universe"       
;
VALUE apvccfpm	(default=32)
	4         =  "Imputed from the previous wave"
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck"                     
	1         =  "Statistical imputation (hot deck)"
	0         =  "No imputation"                 
;
VALUE epvccoth	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE apvccoth	(default=32)
	4         =  "Imputed from the previous wave"
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck"                     
	1         =  "Statistical imputation (hot deck)"
	0         =  "No imputation"                 
;
VALUE epvcwhoh	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE epvcwhok	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE epvcwhol	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE epvcwhom	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE epvcwhon	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE apvcwho 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "No imputation"                 
;
VALUE epvdays 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE epvweeks	(default=32)
	-1        =  "Not in Universe"               
;
VALUE epvmnths	(default=32)
	-1        =  "Not in Universe"               
;
VALUE apvdwm  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "No imputation"                 
;
VALUE ealunv  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "In universe"                   
;
VALUE ealow   	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aalow   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealowa  	(default=32)
	0         =  "Not In Universe"               
;
VALUE aalowa  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealsb   	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aalsb   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE talsbv  	(default=32)
	0         =  "Not In Universe"               
;
VALUE aalsbv  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealjch  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aaljch  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE taljcha 	(default=32)
	0         =  "None or not in universe"       
;
VALUE aaljcha 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealjdb  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aaljdb  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealjdl  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aaljdl  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealjdo  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aaljdo  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealjdab 	(default=32)
	0         =  "Not In Universe"               
;
VALUE aaljdab 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealjdal 	(default=32)
	0         =  "Not In Universe"               
;
VALUE aaljdal 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealjdao 	(default=32)
	0         =  "Not In Universe"               
;
VALUE aaljdao 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealich  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aalich  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE talicha 	(default=32)
	0         =  "None or not in universe"       
;
VALUE aalicha 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealil   	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aalil   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealidb  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aalidb  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealidl  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aalidl  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealido  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aalido  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealidab 	(default=32)
	0         =  "Not In Universe"               
;
VALUE aalidab 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealidal 	(default=32)
	0         =  "Not In Universe"               
;
VALUE aalidal 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealidao 	(default=32)
	0         =  "Not In Universe"               
;
VALUE aalidao 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealr    	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aalr    	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealry   	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aalry   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE talrb   	(default=32)
	0         =  "None or not in universe"       
;
VALUE aalrb   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealra1l 	(default=32)
	7         =  "Other assets"                  
	6         =  "Stocks or mutual fund shares"  
	5         =  "U.S. Savings Bonds"            
	4         =  "Municipal or corporate bonds"  
	3         =  "U.S. Government securities"    
	2         =  "Money market funds"            
	1         =  "Certificates of deposit or other"
	-1        =  "Not in Universe"               
;
VALUE aalra1l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealra2l 	(default=32)
	7         =  "Other assets"                  
	6         =  "Stocks or mutual fund shares"  
	5         =  "U.S. Savings Bonds"            
	4         =  "Municipal or corporate bonds"  
	3         =  "U.S. Government securities"    
	2         =  "Money market funds"            
	1         =  "Certificates of deposit or other"
	-1        =  "Not in Universe"               
;
VALUE aalra2l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealra3l 	(default=32)
	7         =  "Other assets"                  
	6         =  "Stocks or mutual fund shares"  
	5         =  "U.S. Savings Bonds"            
	4         =  "Municipal or corporate bonds"  
	3         =  "U.S. Government securities"    
	2         =  "Money market funds"            
	1         =  "Certificates of deposit or other"
	-1        =  "Not in Universe"               
;
VALUE aalra3l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealra4l 	(default=32)
	7         =  "Other assets"                  
	6         =  "Stocks or mutual fund shares"  
	5         =  "U.S. Savings Bonds"            
	4         =  "Municipal or corporate bonds"  
	3         =  "U.S. Government securities"    
	2         =  "Money market funds"            
	1         =  "Certificates of deposit or other"
	-1        =  "Not in Universe"               
;
VALUE aalra4l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealk    	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aalk    	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealky   	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aalky   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE talkb   	(default=32)
	0         =  "None or not in universe"       
;
VALUE aalkb   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealka1l 	(default=32)
	7         =  "Other assets"                  
	6         =  "Stocks or mutual fund shares"  
	5         =  "U.S. Savings Bonds"            
	4         =  "Municipal or corporate bonds"  
	3         =  "U.S. Government securities"    
	2         =  "Money market funds"            
	1         =  "Certificates of deposit or other"
	-1        =  "Not in Universe"               
;
VALUE aalka1l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealka2l 	(default=32)
	7         =  "Other assets"                  
	6         =  "Stocks or mutual fund shares"  
	5         =  "U.S. Savings Bonds"            
	4         =  "Municipal or corporate bonds"  
	3         =  "U.S. Government securities"    
	2         =  "Money market funds"            
	1         =  "Certificates of deposit or other"
	-1        =  "Not in Universe"               
;
VALUE aalka2l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealka3l 	(default=32)
	7         =  "Other assets"                  
	6         =  "Stocks or mutual fund shares"  
	5         =  "U.S. Savings Bonds"            
	4         =  "Municipal or corporate bonds"  
	3         =  "U.S. Government securities"    
	2         =  "Money market funds"            
	1         =  "Certificates of deposit or other"
	-1        =  "Not in Universe"               
;
VALUE aalka3l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealka4l 	(default=32)
	7         =  "Other assets"                  
	6         =  "Stocks or mutual fund shares"  
	5         =  "U.S. Savings Bonds"            
	4         =  "Municipal or corporate bonds"  
	3         =  "U.S. Government securities"    
	2         =  "Money market funds"            
	1         =  "Certificates of deposit or other"
	-1        =  "Not in Universe"               
;
VALUE aalka4l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealt    	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aalt    	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealty   	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aalty   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE taltb   	(default=32)
	0         =  "None or not in universe"       
;
VALUE aaltb   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealta1l 	(default=32)
	7         =  "Other assets"                  
	6         =  "Stocks or mutual fund shares"  
	5         =  "U.S. Savings Bonds"            
	4         =  "Municipal or corporate bonds"  
	3         =  "U.S. Government securities"    
	2         =  "Money market funds"            
	1         =  "Certificates of deposit or other"
	-1        =  "Not in Universe"               
;
VALUE aalta1l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealta2l 	(default=32)
	7         =  "Other assets"                  
	6         =  "Stocks or mutual fund shares"  
	5         =  "U.S. Savings Bonds"            
	4         =  "Municipal or corporate bonds"  
	3         =  "U.S. Government securities"    
	2         =  "Money market funds"            
	1         =  "Certificates of deposit or other"
	-1        =  "Not in Universe"               
;
VALUE aalta2l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealta3l 	(default=32)
	7         =  "Other assets"                  
	6         =  "Stocks or mutual fund shares"  
	5         =  "U.S. Savings Bonds"            
	4         =  "Municipal or corporate bonds"  
	3         =  "U.S. Government securities"    
	2         =  "Money market funds"            
	1         =  "Certificates of deposit or other"
	-1        =  "Not in Universe"               
;
VALUE aalta3l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealta4l 	(default=32)
	7         =  "Other assets"                  
	6         =  "Stocks or mutual fund shares"  
	5         =  "U.S. Savings Bonds"            
	4         =  "Municipal or corporate bonds"  
	3         =  "U.S. Government securities"    
	2         =  "Money market funds"            
	1         =  "Certificates of deposit or other"
	-1        =  "Not in Universe"               
;
VALUE aalta4l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ealli   	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aalli   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE talliv  	(default=32)
	0         =  "Zero or not in universe"       
;
VALUE aalliv  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eallit  	(default=32)
	3         =  "Both types"                    
	2         =  "Whole life only"               
	1         =  "Term only"                     
	-1        =  "Not in Universe"               
;
VALUE aallit  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eallie  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aallie  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE talliev 	(default=32)
	0         =  "Zero or not in universe"       
;
VALUE aalliev 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehreunv 	(default=32)
	1         =  "In universe"                   
	-1        =  "Not in Universe"               
;
VALUE eremobho	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aremobho	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehownero	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ahownero	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehownerk	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ahownerk	(default=32)
	3         =  "Logical imputation (derivation)}"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehownerl	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ehbuymo 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ahbuymo 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehbuyyr 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ahbuyyr 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehmort  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ahmort  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE enummort	(default=32)
	-1        =  "Not in Universe"               
;
VALUE anummort	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tmor1pr 	(default=32)
	0         =  "Not In Universe"               
;
VALUE amor1pr 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emor1yr 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE amor1yr 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emor1mo 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE amor1mo 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tmor1amt	(default=32)
	0         =  "None or not in universe"       
;
VALUE amor1amt	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emor1yrs	(default=32)
	-1        =  "Not in Universe"               
;
VALUE amor1yrs	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emor1int	(default=32)
	-1        =  "Not in Universe"               
;
VALUE amor1int	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emor1var	(default=32)
	2         =  "Fixed interest rate"           
	1         =  "Variable interest rate"        
	-1        =  "Not in Universe"               
;
VALUE amor1var	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emor1pgm	(default=32)
	3         =  "NO"                            
	2         =  "Yes - VA LOAN"                 
	1         =  "Yes - FHA LOAN"                
	-1        =  "Not in Universe"               
;
VALUE amor1pgm	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tmor2pr 	(default=32)
	1         =  "Flag indicating principal on"  
	0         =  "Not In Universe"               
;
VALUE amor2pr 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emor2yr 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE amor2yr 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emor2mo 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE amor2mo 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tmor2amt	(default=32)
	1         =  "Flag indicating second mortgage"
	0         =  "None or not in universe"       
;
VALUE amor2amt	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emor2yrs	(default=32)
	-1        =  "Not in Universe"               
;
VALUE amor2yrs	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emor2int	(default=32)
	-1        =  "Not in Universe"               
;
VALUE amor2int	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emor2var	(default=32)
	2         =  "Fixed interest rate"           
	1         =  "Variable interest rate"        
	-1        =  "Not in Universe"               
;
VALUE amor2var	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emor2pgm	(default=32)
	3         =  "NO"                            
	2         =  "Yes-VA LOAN"                   
	1         =  "Yes-FHA LOAN"                  
	-1        =  "Not in Universe"               
;
VALUE amor2pgm	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tmor3pr 	(default=32)
	1         =  "Flag indicating principal reported"
	0         =  "None or not in universe"       
;
VALUE amor3pr 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tpropval	(default=32)
	0         =  "None or not in universe"       
;
VALUE apropval	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emhloan 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE amhloan 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emhtype 	(default=32)
	3         =  "Site and home"                 
	2         =  "Site only"                     
	1         =  "Mobile home only"              
	-1        =  "Not in Universe"               
;
VALUE amhtype 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tmhpr   	(default=32)
	0         =  "None or not in universe"       
;
VALUE amhpr   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tmhval  	(default=32)
	0         =  "None or not in universe"       
;
VALUE amhval  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE thomeamt	(default=32)
	0         =  "None or not in universe"       
;
VALUE ahomeamt	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tutils  	(default=32)
	0         =  "None or not in universe"       
;
VALUE autils  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eperspay	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aperspay	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eperspya	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aperspya	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eperspyk	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aperspyk	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eperspyl	(default=32)
	-1        =  "Not in Universe"               
;
VALUE eperspym	(default=32)
	-1        =  "Not in Universe"               
;
VALUE tpersama	(default=32)
	0         =  "None or not in universe"       
;
VALUE apersama	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tpersamk	(default=32)
	0         =  "None or not in universe"       
;
VALUE apersamk	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tpersaml	(default=32)
	0         =  "None or not in universe"       
;
VALUE apersaml	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE epaycare	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE apaycare	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tcarecst	(default=32)
	0         =  "None or not in universe"       
;
VALUE acarecst	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eothre  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aothre  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eothreoe	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aothreoe	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eothreok	(default=32)
	-1        =  "Not in Universe"               
;
VALUE eothreol	(default=32)
	-1        =  "Not in Universe"               
;
VALUE tothreva	(default=32)
	0         =  "None or not in universe"       
;
VALUE aothreva	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eautoown	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aautoown	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eautonum	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aautonum	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ea1own1l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aa1own1l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ea1own2l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE tcarvalm	(default=32)
	0         =  "None or not in universe"       
;
VALUE acarvalm	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ta1year 	(default=32)
	9999      =  "Dont Know, Refusal, Blanks from"
	-1        =  "Not in Universe"               
;
VALUE ea1owed 	(default=32)
	2         =  "Free and clear"                
	1         =  "Money owed"                    
	-1        =  "Not in Universe"               
;
VALUE aa1owed 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ta1amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE aa1amt  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ea1use  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aa1use  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ea2own1l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aa2own1l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ea2own2l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE tcarvale	(default=32)
	0         =  "None or not in universe"       
;
VALUE acarvale	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ta2year 	(default=32)
	9999      =  "Dont Know, Refusal, Blanks from"
	1986      =  "Recode for year 1982-1986"     
	1982      =  "Recode for year less than 1982"
	-1        =  "Not in Universe"               
;
VALUE ea2owed 	(default=32)
	2         =  "Free and clear"                
	1         =  "Money owed"                    
	-1        =  "Not in Universe"               
;
VALUE aa2owed 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ta2amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE aa2amt  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ea2use  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aa2use  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ea3own1l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aa3own1l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ea3own2l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE tcarvalk	(default=32)
	0         =  "None or not in universe"       
;
VALUE acarvalk	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ta3year 	(default=32)
	9999      =  "Dont Know, Refusal, Blanks from"
	1986      =  "Recode for year 1985-1986"     
	1984      =  "Recode for year 1979-1984"     
	1978      =  "Recode for year 1975-1978"     
	1974      =  "Recode for year 1968-1974"     
	1968      =  "Recode for year less than 1968"
	-1        =  "Not in Universe"               
;
VALUE ea3owed 	(default=32)
	2         =  "Free and clear"                
	1         =  "Money owed"                    
	-1        =  "Not in Universe"               
;
VALUE aa3owed 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ta3amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE aa3amt  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ea3use  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aa3use  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eothveh 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aothveh 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eovmtrcy	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aovmtrcy	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eovboat 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aovboat 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eovrv   	(default=32)
	2         =  "Not"                           
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aovrv   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eovothrv	(default=32)
	2         =  "Not"                           
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aovothrv	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eov1ownv	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aov1ownv	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eov1ownk	(default=32)
	-1        =  "Not in Universe"               
;
VALUE tov1val 	(default=32)
	0         =  "None or not in universe"       
;
VALUE aov1val 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eov1owe 	(default=32)
	2         =  "Free and clear"                
	1         =  "Money owed"                    
	-1        =  "Not in Universe"               
;
VALUE aov1owe 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tov1amt 	(default=32)
	0         =  "None or not in universe"       
;
VALUE aov1amt 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eov2ownt	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aov2ownt	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eov2ownk	(default=32)
	-1        =  "Not in Universe"               
;
VALUE tov2val 	(default=32)
	0         =  "None or not in universe"       
;
VALUE aov2val 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eov2owe 	(default=32)
	2         =  "Free and clear"                
	1         =  "Money owed"                    
	-1        =  "Not in Universe"               
;
VALUE aov2owe 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tov2amt 	(default=32)
	0         =  "None or not in universe"       
;
VALUE aov2amt 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE thhtnw  	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhtwlth	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhtheq 	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhmortg	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhvehcl	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhbeq  	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhintbk	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhintot	(default=32)
	0         =  "None or not in universe"       
;
VALUE rhhstk  	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhore  	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhotast	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhira  	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhthrif	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhdebt 	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhscdbt	(default=32)
	0         =  "None or not in universe"       
;
VALUE rhhuscbt	(default=32)
	0         =  "None or not in universe"       
;
VALUE evbunv1l	(default=32)
	1         =  "In universe"                   
	-1        =  "Not in Universe"               
;
VALUE evbno1l 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE evbow1l 	(default=32)
	0         =  "Not In Universe"               
;
VALUE avbow1l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputed (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tvbva1l 	(default=32)
	0         =  "None or not in universe"       
;
VALUE avbva1l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputed (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tvbde1l 	(default=32)
	0         =  "None or not in universe"       
;
VALUE avbde1l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputed (hot deck)"
	0         =  "Not imputed"                   
;
VALUE evbunv2l	(default=32)
	1         =  "In universe"                   
	-1        =  "Not in Universe"               
;
VALUE evbno2l 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE evbow2l 	(default=32)
	0         =  "Not In Universe"               
;
VALUE avbow2l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputed (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tvbva2l 	(default=32)
	0         =  "None or not in universe"       
;
VALUE avbva2l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputed (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tvbde2l 	(default=32)
	0         =  "None or not in universe"       
;
VALUE avbde2l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputed (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eaoaunv 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "In universe"                   
;
VALUE eoaeq   	(default=32)
	0         =  "None or not in universe"       
;
VALUE aoaeq   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tiajta  	(default=32)
	0         =  "None or not in universe"       
;
VALUE aiajta  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tiaita  	(default=32)
	0         =  "None or not in universe"       
;
VALUE aiaita  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE timja   	(default=32)
	0         =  "None or not in universe"       
;
VALUE aimja   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE timia   	(default=32)
	0         =  "None or not in universe"       
;
VALUE aimia   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE esmjm   	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE asmjm   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE esmjs   	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE asmjs   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE esmjv   	(default=32)
	0         =  "None or not in universe"       
;
VALUE asmjv   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE esmjma  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE asmjma  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE esmjmav 	(default=32)
	0         =  "None or not in universe"       
;
VALUE asmjmav 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE esmi    	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE asmi    	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE esmiv   	(default=32)
	0         =  "None or not in universe"       
;
VALUE asmiv   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE esmima  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE asmima  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE esmimav 	(default=32)
	0         =  "None or not in universe"       
;
VALUE asmimav 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erjown  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE arjown  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erjnum  	(default=32)
	0         =  "None or not in universe"       
;
VALUE arjnum  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erjtyp1l	(default=32)
	6         =  "Other"                         
	5         =  "Equipment"                     
	4         =  "Commercial property"           
	3         =  "Farm property"                 
	2         =  "Other residential property"    
	1         =  "Vacation home"                 
	-1        =  "Not in Universe"               
;
VALUE arjtyp1l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erjtyp2l	(default=32)
	6         =  "Other"                         
	5         =  "Equipment"                     
	4         =  "Commercial property"           
	3         =  "Farm property"                 
	2         =  "Other residential property"    
	1         =  "Vacation home"                 
	-1        =  "Not in Universe"               
;
VALUE arjtyp2l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erjtyp3l	(default=32)
	6         =  "Other"                         
	5         =  "Equipment"                     
	4         =  "Commercial property"           
	3         =  "Farm property"                 
	2         =  "Other residential property"    
	1         =  "Vacation home"                 
	-1        =  "Not in Universe"               
;
VALUE arjtyp3l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erjtyp4l	(default=32)
	6         =  "Other"                         
	5         =  "Equipment"                     
	4         =  "Commercial property"           
	3         =  "Farm property"                 
	2         =  "Other residential property"    
	1         =  "Vacation home"                 
	-1        =  "Not in Universe"               
;
VALUE arjtyp4l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erjtyp5l	(default=32)
	6         =  "Other"                         
	5         =  "Equipment"                     
	4         =  "Commercial property"           
	3         =  "Farm property"                 
	2         =  "Other residential property"    
	1         =  "Vacation home"                 
	-1        =  "Not in Universe"               
;
VALUE arjtyp5l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erjtyp6l	(default=32)
	6         =  "Other"                         
	5         =  "Equipment"                     
	4         =  "Commercial property"           
	3         =  "Farm property"                 
	2         =  "Other residential property"    
	1         =  "Vacation home"                 
	-1        =  "Not in Universe"               
;
VALUE arjtyp6l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erjat   	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE arjat   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erjata  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE arjata  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE trjmv   	(default=32)
	0         =  "None or not in universe"       
;
VALUE arjmv   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erjdeb  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE arjdeb  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE trjpri  	(default=32)
	0         =  "None or not in universe"       
;
VALUE arjpri  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eriown  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ariown  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erinum  	(default=32)
	0         =  "None or not in universe"       
;
VALUE arinum  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eritypem	(default=32)
	6         =  "Other"                         
	5         =  "Equipment"                     
	4         =  "Commercial property"           
	3         =  "Farm property"                 
	2         =  "Other residential property"    
	1         =  "Vacation home"                 
	-1        =  "Not in Universe"               
;
VALUE aritypem	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eritypek	(default=32)
	6         =  "Other"                         
	5         =  "Equipment"                     
	4         =  "Commercial property"           
	3         =  "Farm property"                 
	2         =  "Other residential property"    
	1         =  "Vacation home"                 
	-1        =  "Not in Universe"               
;
VALUE aritypek	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eritypel	(default=32)
	6         =  "Other"                         
	5         =  "Equipment"                     
	4         =  "Commercial property"           
	3         =  "Farm property"                 
	2         =  "Other residential property"    
	1         =  "Vacation home"                 
	-1        =  "Not in Universe"               
;
VALUE aritypel	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eritypen	(default=32)
	6         =  "Other"                         
	5         =  "Equipment"                     
	4         =  "Commercial property"           
	3         =  "Farm property"                 
	2         =  "Other residential property"    
	1         =  "Vacation home"                 
	-1        =  "Not in Universe"               
;
VALUE aritypen	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eritypeo	(default=32)
	6         =  "Other"                         
	5         =  "Equipment"                     
	4         =  "Commercial property"           
	3         =  "Farm property"                 
	2         =  "Other residential property"    
	1         =  "Vacation home"                 
	-1        =  "Not in Universe"               
;
VALUE aritypeo	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eritypep	(default=32)
	6         =  "Other"                         
	5         =  "Equipment"                     
	4         =  "Commercial property"           
	3         =  "Farm property"                 
	2         =  "Other residential property"    
	1         =  "Vacation home"                 
	-1        =  "Not in Universe"               
;
VALUE aritypep	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eriat   	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ariat   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eriata  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ariata  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE trimv   	(default=32)
	0         =  "None or not in universe"       
;
VALUE arimv   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erideb  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE arideb  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tripri  	(default=32)
	0         =  "None or not in universe"       
;
VALUE aripri  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ertown  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE artown  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ertnum  	(default=32)
	0         =  "None or not in universe"       
;
VALUE artnum  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erttypem	(default=32)
	6         =  "Other"                         
	5         =  "Equipment"                     
	4         =  "Commercial property"           
	3         =  "Farm property"                 
	2         =  "Other residential property"    
	1         =  "Vacation home"                 
	-1        =  "Not in Universe"               
;
VALUE arttypem	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erttypek	(default=32)
	6         =  "Other"                         
	5         =  "Equipment"                     
	4         =  "Commercial property"           
	3         =  "Farm property"                 
	2         =  "Other residential property"    
	1         =  "Vacation home"                 
	-1        =  "Not in Universe"               
;
VALUE arttypek	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erttypel	(default=32)
	6         =  "Other"                         
	5         =  "Equipment"                     
	4         =  "Commercial property"           
	3         =  "Farm property"                 
	2         =  "Other residential property"    
	1         =  "Vacation home"                 
	-1        =  "Not in Universe"               
;
VALUE arttypel	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erttypen	(default=32)
	6         =  "Other"                         
	5         =  "Equipment"                     
	4         =  "Commercial property"           
	3         =  "Farm property"                 
	2         =  "Other residential property"    
	1         =  "Vacation home"                 
	-1        =  "Not in Universe"               
;
VALUE arttypen	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erttypeo	(default=32)
	6         =  "Other"                         
	5         =  "Equipment"                     
	4         =  "Commercial property"           
	3         =  "Farm property"                 
	2         =  "Other residential property"    
	1         =  "Vacation home"                 
	-1        =  "Not in Universe"               
;
VALUE arttypeo	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erttypep	(default=32)
	6         =  "Other"                         
	5         =  "Equipment"                     
	4         =  "Commercial property"           
	3         =  "Farm property"                 
	2         =  "Other residential property"    
	1         =  "Vacation home"                 
	-1        =  "Not in Universe"               
;
VALUE arttypep	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE trtmv   	(default=32)
	0         =  "None or not in universe"       
;
VALUE artmv   	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ertdeb  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE artdeb  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE trtpri  	(default=32)
	0         =  "None or not in universe"       
;
VALUE artpri  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE trtsha  	(default=32)
	0         =  "None or not in universe"       
;
VALUE artsha  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tmjp    	(default=32)
	0         =  "None or not in universe"       
;
VALUE amjp    	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tmip    	(default=32)
	0         =  "None or not in universe"       
;
VALUE amip    	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;

proc print data=library.sip04t6 (obs=6);


FORMAT
	spanel     spanel.   
	tfipsst    tfipsst.  
	eoutcome   eoutcome. 
	rfid2      rfid2l.   
	epopstat   epopstat. 
	eppintvw   eppintvw. 
	eppmis4    eppmis4l. 
	esex       esex.     
	erace      erace.    
	eorigin    eorigin.  
	wpfinwgt   wpfinwgt. 
	errp       errp.     
	tage       tage.     
	ems        ems.      
	epnspous   epnspous. 
	epnmom     epnmom.   
	epndad     epndad.   
	epnguard   epnguard. 
	rdesgpnt   rdesgpnt. 
	eeducate   eeducate. 
	sinthhid   sinthhid. 
	emdunv     emdunv.   
	tdonorid   tdonorid. 
	ehouspay   ehouspay. 
	ahouspay   ahouspay. 
	efoodpay   efoodpay. 
	afoodpay   afoodpay. 
	eexppay    eexppay.  
	aexppay    aexppay.  
	ehhpay     ehhpay.   
	ahhpay     ahhpay.   
	ewhopy01   ewhopy0y. 
	ewhopy02   ewhopy0k. 
	ewhopy03   ewhopy0l. 
	ewhopy04   ewhopy0m. 
	ewhopy05   ewhopy0n. 
	ewhopy06   ewhopy0o. 
	ewhopy07   ewhopy0p. 
	ewhopy08   ewhopy0q. 
	ewhopy09   ewhopy0r. 
	ewhopy10   ewhopy1y. 
	ewhopy11   ewhopy1k. 
	ewhopy12   ewhopy1l. 
	ewhopy13   ewhopy1m. 
	ewhopy14   ewhopy1n. 
	ewhopy15   ewhopy1o. 
	ewhopy16   ewhopy1p. 
	ewhopy17   ewhopy1q. 
	ewhopy18   ewhopy1r. 
	ewhopy19   ewhopy1s. 
	ewhopy20   ewhopy2y. 
	ewhopy21   ewhopy2k. 
	ewhopy22   ewhopy2l. 
	ewhopy23   ewhopy2m. 
	ewhopy24   ewhopy2n. 
	ewhopy25   ewhopy2o. 
	ewhopy26   ewhopy2p. 
	ewhopy27   ewhopy2q. 
	ewhopy28   ewhopy2r. 
	ewhopy29   ewhopy2s. 
	ewhopy30   ewhopy3y. 
	awhopy     awhopy.   
	ehltstat   ehltstat. 
	ahltstat   ahltstat. 
	ehospsta   ehospsta. 
	ahospsta   ahospsta. 
	ehospnit   ehospnit. 
	ahospnit   ahospnit. 
	ehreas1    ehreas1l. 
	ahreas1    ahreas1l. 
	ehreas2    ehreas2l. 
	ahreas2    ahreas2l. 
	ehreas3    ehreas3l. 
	ahreas3    ahreas3l. 
	ehreas4    ehreas4l. 
	ahreas4    ahreas4l. 
	ehreas5    ehreas5l. 
	ahreas5    ahreas5l. 
	ehreas6    ehreas6l. 
	ahreas6    ahreas6l. 
	edocnum    edocnum.  
	adocnum    adocnum.  
	thipay     thipay.   
	ahipay     ahipay.   
	epresdrg   epresdrg. 
	apresdrg   apresdrg. 
	edalydrg   edalydrg. 
	adalydrg   adalydrg. 
	evisdent   evisdent. 
	avisdent   avisdent. 
	edenseal   edenseal. 
	adenseal   adenseal. 
	elostth    elostth.  
	alostth    alostth.  
	eallth     eallth.   
	aallth     aallth.   
	evisdoc    evisdoc.  
	avisdoc    avisdoc.  
	emdspnd    emdspnd.  
	amdspnd    amdspnd.  
	emdspnds   emdspnds. 
	amdspnds   amdspnds. 
	edaysick   edaysick. 
	adaysick   adaysick. 
	tmdpay     tmdpay.   
	amdpay     amdpay.   
	ereimb     ereimb.   
	areimb     areimb.   
	treimbur   treimbur. 
	areimbur   areimbur. 
	ehspstas   ehspstas. 
	ahspstas   ahspstas. 
	eprsdrgs   eprsdrgs. 
	aprsdrgs   aprsdrgs. 
	evsdents   evsdents. 
	avsdents   avsdents. 
	evsdocs    evsdocs.  
	avsdocs    avsdocs.  
	enowkyr    enowkyr.  
	anowkyr    anowkyr.  
	ewkfutr    ewkfutr.  
	awkfutr    awkfutr.  
	trmoops    trmoops.  
	enoindnt   enoindnt. 
	anoindnt   anoindnt. 
	enoindoc   enoindoc. 
	anoindoc   anoindoc. 
	enointrt   enointrt. 
	anointrt   anointrt. 
	enoinchk   enoinchk. 
	anoinchk   anoinchk. 
	enoindrg   enoindrg. 
	anoindrg   anoindrg. 
	enoinpay   enoinpay. 
	anoinpay   anoinpay. 
	enoindis   enoindis. 
	anoindis   anoindis. 
	enoininc   enoininc. 
	anoininc   anoininc. 
	enoincln   enoincln. 
	enoiner    enoiner.  
	enoinhsp   enoinhsp. 
	enoinva    enoinva.  
	enoindr    enoindr.  
	enoindds   enoindds. 
	enoinoth   enoinoth. 
	anoinloc   anoinloc. 
	eapvunv    eapvunv.  
	epvwk1     epvwk1l.  
	epvwk2     epvwk2l.  
	epvwk3     epvwk3l.  
	epvwk4     epvwk4l.  
	epvwk5     epvwk5l.  
	apvwk      apvwk.    
	epvmilwk   epvmilwk. 
	apvmilwk   apvmilwk. 
	epvpaprk   epvpaprk. 
	apvpaprk   apvpaprk. 
	epvpaywk   epvpaywk. 
	apvpaywk   apvpaywk. 
	epvcomut   epvcomut. 
	apvcomut   apvcomut. 
	epvwkexp   epvwkexp. 
	apvwkexp   apvwkexp. 
	epvanexp   epvanexp. 
	apvanexp   apvanexp. 
	epvchild   epvchild. 
	apvchild   apvchild. 
	epvmancd   epvmancd. 
	apvmancd   apvmancd. 
	epvmosup   epvmosup. 
	apvmosup   apvmosup. 
	tpvchpa1   tpvchpap. 
	tpvchpa2   tpvchpak. 
	tpvchpa3   tpvchpal. 
	tpvchpa4   tpvchpam. 
	apvchpa    apvchpa.  
	epvccarr   epvccarr. 
	apvccarr   apvccarr. 
	tpvccfp1   tpvccfpr. 
	apvccfp1   apvccfpr. 
	tpvccfp2   tpvccfpk. 
	apvccfp2   apvccfpk. 
	tpvccfp3   tpvccfpl. 
	apvccfp3   apvccfpl. 
	tpvccfp4   tpvccfpm. 
	apvccfp4   apvccfpm. 
	epvccoth   epvccoth. 
	apvccoth   apvccoth. 
	epvcwho1   epvcwhoh. 
	epvcwho2   epvcwhok. 
	epvcwho3   epvcwhol. 
	epvcwho4   epvcwhom. 
	epvcwho5   epvcwhon. 
	apvcwho    apvcwho.  
	epvdays    epvdays.  
	epvweeks   epvweeks. 
	epvmnths   epvmnths. 
	apvdwm     apvdwm.   
	ealunv     ealunv.   
	ealow      ealow.    
	aalow      aalow.    
	ealowa     ealowa.   
	aalowa     aalowa.   
	ealsb      ealsb.    
	aalsb      aalsb.    
	talsbv     talsbv.   
	aalsbv     aalsbv.   
	ealjch     ealjch.   
	aaljch     aaljch.   
	taljcha    taljcha.  
	aaljcha    aaljcha.  
	ealjdb     ealjdb.   
	aaljdb     aaljdb.   
	ealjdl     ealjdl.   
	aaljdl     aaljdl.   
	ealjdo     ealjdo.   
	aaljdo     aaljdo.   
	ealjdab    ealjdab.  
	aaljdab    aaljdab.  
	ealjdal    ealjdal.  
	aaljdal    aaljdal.  
	ealjdao    ealjdao.  
	aaljdao    aaljdao.  
	ealich     ealich.   
	aalich     aalich.   
	talicha    talicha.  
	aalicha    aalicha.  
	ealil      ealil.    
	aalil      aalil.    
	ealidb     ealidb.   
	aalidb     aalidb.   
	ealidl     ealidl.   
	aalidl     aalidl.   
	ealido     ealido.   
	aalido     aalido.   
	ealidab    ealidab.  
	aalidab    aalidab.  
	ealidal    ealidal.  
	aalidal    aalidal.  
	ealidao    ealidao.  
	aalidao    aalidao.  
	ealr       ealr.     
	aalr       aalr.     
	ealry      ealry.    
	aalry      aalry.    
	talrb      talrb.    
	aalrb      aalrb.    
	ealra1     ealra1l.  
	aalra1     aalra1l.  
	ealra2     ealra2l.  
	aalra2     aalra2l.  
	ealra3     ealra3l.  
	aalra3     aalra3l.  
	ealra4     ealra4l.  
	aalra4     aalra4l.  
	ealk       ealk.     
	aalk       aalk.     
	ealky      ealky.    
	aalky      aalky.    
	talkb      talkb.    
	aalkb      aalkb.    
	ealka1     ealka1l.  
	aalka1     aalka1l.  
	ealka2     ealka2l.  
	aalka2     aalka2l.  
	ealka3     ealka3l.  
	aalka3     aalka3l.  
	ealka4     ealka4l.  
	aalka4     aalka4l.  
	ealt       ealt.     
	aalt       aalt.     
	ealty      ealty.    
	aalty      aalty.    
	taltb      taltb.    
	aaltb      aaltb.    
	ealta1     ealta1l.  
	aalta1     aalta1l.  
	ealta2     ealta2l.  
	aalta2     aalta2l.  
	ealta3     ealta3l.  
	aalta3     aalta3l.  
	ealta4     ealta4l.  
	aalta4     aalta4l.  
	ealli      ealli.    
	aalli      aalli.    
	talliv     talliv.   
	aalliv     aalliv.   
	eallit     eallit.   
	aallit     aallit.   
	eallie     eallie.   
	aallie     aallie.   
	talliev    talliev.  
	aalliev    aalliev.  
	ehreunv    ehreunv.  
	eremobho   eremobho. 
	aremobho   aremobho. 
	ehowner1   ehownero. 
	ahowner1   ahownero. 
	ehowner2   ehownerk. 
	ahowner2   ahownerk. 
	ehowner3   ehownerl. 
	ehbuymo    ehbuymo.  
	ahbuymo    ahbuymo.  
	ehbuyyr    ehbuyyr.  
	ahbuyyr    ahbuyyr.  
	ehmort     ehmort.   
	ahmort     ahmort.   
	enummort   enummort. 
	anummort   anummort. 
	tmor1pr    tmor1pr.  
	amor1pr    amor1pr.  
	emor1yr    emor1yr.  
	amor1yr    amor1yr.  
	emor1mo    emor1mo.  
	amor1mo    amor1mo.  
	tmor1amt   tmor1amt. 
	amor1amt   amor1amt. 
	emor1yrs   emor1yrs. 
	amor1yrs   amor1yrs. 
	emor1int   emor1int. 
	amor1int   amor1int. 
	emor1var   emor1var. 
	amor1var   amor1var. 
	emor1pgm   emor1pgm. 
	amor1pgm   amor1pgm. 
	tmor2pr    tmor2pr.  
	amor2pr    amor2pr.  
	emor2yr    emor2yr.  
	amor2yr    amor2yr.  
	emor2mo    emor2mo.  
	amor2mo    amor2mo.  
	tmor2amt   tmor2amt. 
	amor2amt   amor2amt. 
	emor2yrs   emor2yrs. 
	amor2yrs   amor2yrs. 
	emor2int   emor2int. 
	amor2int   amor2int. 
	emor2var   emor2var. 
	amor2var   amor2var. 
	emor2pgm   emor2pgm. 
	amor2pgm   amor2pgm. 
	tmor3pr    tmor3pr.  
	amor3pr    amor3pr.  
	tpropval   tpropval. 
	apropval   apropval. 
	emhloan    emhloan.  
	amhloan    amhloan.  
	emhtype    emhtype.  
	amhtype    amhtype.  
	tmhpr      tmhpr.    
	amhpr      amhpr.    
	tmhval     tmhval.   
	amhval     amhval.   
	thomeamt   thomeamt. 
	ahomeamt   ahomeamt. 
	tutils     tutils.   
	autils     autils.   
	eperspay   eperspay. 
	aperspay   aperspay. 
	eperspya   eperspya. 
	aperspya   aperspya. 
	eperspy1   eperspyk. 
	aperspy1   aperspyk. 
	eperspy2   eperspyl. 
	eperspy3   eperspym. 
	tpersam1   tpersama. 
	apersam1   apersama. 
	tpersam2   tpersamk. 
	apersam2   apersamk. 
	tpersam3   tpersaml. 
	apersam3   apersaml. 
	epaycare   epaycare. 
	apaycare   apaycare. 
	tcarecst   tcarecst. 
	acarecst   acarecst. 
	eothre     eothre.   
	aothre     aothre.   
	eothreo1   eothreoe. 
	aothreo1   aothreoe. 
	eothreo2   eothreok. 
	eothreo3   eothreol. 
	tothreva   tothreva. 
	aothreva   aothreva. 
	eautoown   eautoown. 
	aautoown   aautoown. 
	eautonum   eautonum. 
	aautonum   aautonum. 
	ea1own1    ea1own1l. 
	aa1own1    aa1own1l. 
	ea1own2    ea1own2l. 
	tcarval1   tcarvalm. 
	acarval1   acarvalm. 
	ta1year    ta1year.  
	ea1owed    ea1owed.  
	aa1owed    aa1owed.  
	ta1amt     ta1amt.   
	aa1amt     aa1amt.   
	ea1use     ea1use.   
	aa1use     aa1use.   
	ea2own1    ea2own1l. 
	aa2own1    aa2own1l. 
	ea2own2    ea2own2l. 
	tcarval2   tcarvale. 
	acarval2   acarvale. 
	ta2year    ta2year.  
	ea2owed    ea2owed.  
	aa2owed    aa2owed.  
	ta2amt     ta2amt.   
	aa2amt     aa2amt.   
	ea2use     ea2use.   
	aa2use     aa2use.   
	ea3own1    ea3own1l. 
	aa3own1    aa3own1l. 
	ea3own2    ea3own2l. 
	tcarval3   tcarvalk. 
	acarval3   acarvalk. 
	ta3year    ta3year.  
	ea3owed    ea3owed.  
	aa3owed    aa3owed.  
	ta3amt     ta3amt.   
	aa3amt     aa3amt.   
	ea3use     ea3use.   
	aa3use     aa3use.   
	eothveh    eothveh.  
	aothveh    aothveh.  
	eovmtrcy   eovmtrcy. 
	aovmtrcy   aovmtrcy. 
	eovboat    eovboat.  
	aovboat    aovboat.  
	eovrv      eovrv.    
	aovrv      aovrv.    
	eovothrv   eovothrv. 
	aovothrv   aovothrv. 
	eov1own1   eov1ownv. 
	aov1own1   aov1ownv. 
	eov1own2   eov1ownk. 
	tov1val    tov1val.  
	aov1val    aov1val.  
	eov1owe    eov1owe.  
	aov1owe    aov1owe.  
	tov1amt    tov1amt.  
	aov1amt    aov1amt.  
	eov2own1   eov2ownt. 
	aov2own1   aov2ownt. 
	eov2own2   eov2ownk. 
	tov2val    tov2val.  
	aov2val    aov2val.  
	eov2owe    eov2owe.  
	aov2owe    aov2owe.  
	tov2amt    tov2amt.  
	aov2amt    aov2amt.  
	thhtnw     thhtnw.   
	thhtwlth   thhtwlth. 
	thhtheq    thhtheq.  
	thhmortg   thhmortg. 
	thhvehcl   thhvehcl. 
	thhbeq     thhbeq.   
	thhintbk   thhintbk. 
	thhintot   thhintot. 
	rhhstk     rhhstk.   
	thhore     thhore.   
	thhotast   thhotast. 
	thhira     thhira.   
	thhthrif   thhthrif. 
	thhdebt    thhdebt.  
	thhscdbt   thhscdbt. 
	rhhuscbt   rhhuscbt. 
	evbunv1    evbunv1l. 
	evbno1     evbno1l.  
	evbow1     evbow1l.  
	avbow1     avbow1l.  
	tvbva1     tvbva1l.  
	avbva1     avbva1l.  
	tvbde1     tvbde1l.  
	avbde1     avbde1l.  
	evbunv2    evbunv2l. 
	evbno2     evbno2l.  
	evbow2     evbow2l.  
	avbow2     avbow2l.  
	tvbva2     tvbva2l.  
	avbva2     avbva2l.  
	tvbde2     tvbde2l.  
	avbde2     avbde2l.  
	eaoaunv    eaoaunv.  
	eoaeq      eoaeq.    
	aoaeq      aoaeq.    
	tiajta     tiajta.   
	aiajta     aiajta.   
	tiaita     tiaita.   
	aiaita     aiaita.   
	timja      timja.    
	aimja      aimja.    
	timia      timia.    
	aimia      aimia.    
	esmjm      esmjm.    
	asmjm      asmjm.    
	esmjs      esmjs.    
	asmjs      asmjs.    
	esmjv      esmjv.    
	asmjv      asmjv.    
	esmjma     esmjma.   
	asmjma     asmjma.   
	esmjmav    esmjmav.  
	asmjmav    asmjmav.  
	esmi       esmi.     
	asmi       asmi.     
	esmiv      esmiv.    
	asmiv      asmiv.    
	esmima     esmima.   
	asmima     asmima.   
	esmimav    esmimav.  
	asmimav    asmimav.  
	erjown     erjown.   
	arjown     arjown.   
	erjnum     erjnum.   
	arjnum     arjnum.   
	erjtyp1    erjtyp1l. 
	arjtyp1    arjtyp1l. 
	erjtyp2    erjtyp2l. 
	arjtyp2    arjtyp2l. 
	erjtyp3    erjtyp3l. 
	arjtyp3    arjtyp3l. 
	erjtyp4    erjtyp4l. 
	arjtyp4    arjtyp4l. 
	erjtyp5    erjtyp5l. 
	arjtyp5    arjtyp5l. 
	erjtyp6    erjtyp6l. 
	arjtyp6    arjtyp6l. 
	erjat      erjat.    
	arjat      arjat.    
	erjata     erjata.   
	arjata     arjata.   
	trjmv      trjmv.    
	arjmv      arjmv.    
	erjdeb     erjdeb.   
	arjdeb     arjdeb.   
	trjpri     trjpri.   
	arjpri     arjpri.   
	eriown     eriown.   
	ariown     ariown.   
	erinum     erinum.   
	arinum     arinum.   
	eritype1   eritypem. 
	aritype1   aritypem. 
	eritype2   eritypek. 
	aritype2   aritypek. 
	eritype3   eritypel. 
	aritype3   aritypel. 
	eritype4   eritypen. 
	aritype4   aritypen. 
	eritype5   eritypeo. 
	aritype5   aritypeo. 
	eritype6   eritypep. 
	aritype6   aritypep. 
	eriat      eriat.    
	ariat      ariat.    
	eriata     eriata.   
	ariata     ariata.   
	trimv      trimv.    
	arimv      arimv.    
	erideb     erideb.   
	arideb     arideb.   
	tripri     tripri.   
	aripri     aripri.   
	ertown     ertown.   
	artown     artown.   
	ertnum     ertnum.   
	artnum     artnum.   
	erttype1   erttypem. 
	arttype1   arttypem. 
	erttype2   erttypek. 
	arttype2   arttypek. 
	erttype3   erttypel. 
	arttype3   arttypel. 
	erttype4   erttypen. 
	arttype4   arttypen. 
	erttype5   erttypeo. 
	arttype5   arttypeo. 
	erttype6   erttypep. 
	arttype6   arttypep. 
	trtmv      trtmv.    
	artmv      artmv.    
	ertdeb     ertdeb.   
	artdeb     artdeb.   
	trtpri     trtpri.   
	artpri     artpri.   
	trtsha     trtsha.   
	artsha     artsha.   
	tmjp       tmjp.     
	amjp       amjp.     
	tmip       tmip.     
	amip       amip.     
;
proc contents data=library.sip04t6;

** Copyright 2010 shared by the National Bureau of Economic Research and Jean Roth ;

** National Bureau of Economic Research. ;
** 1050 Massachusetts Avenue ;
** Cambridge, MA 02138 ;
** jroth@nber.org ;

** This program and all programs referenced in it are free software. You ;
** can redistribute the program or modify it under the terms of the GNU ;
** General Public License as published by the Free Software Foundation; 
** either version 2 of the License, or (at your option) any later version. ;

** This program is distributed in the hope that it will be useful, ;
** but WITHOUT ANY WARRANTY, without even the implied warranty of ;
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the ;
** GNU General Public License for more details. ;

** You should have received a copy of the GNU General Public License ;
** along with this program, if not, write to the Free Software ;
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA. ;
