*options obs=100 ;
options nocenter ;

**------------------------------------------------;
**  by Jean Roth	Thu Mar 11 16:23:11 EST 2010
**  This program reads the 2004 SIPP Wave 7 Topical Module Data File ;
**  Report errors to jroth@nber.org ;
**  A value of -1 (or -1/# of implied decimals) indicates 'Not in Universe' ;
**  This program is distributed under the GNU GPL. ;
**  See end of this file and
**  http://www.gnu.org/licenses/ for details. ;
**-----------------------------------------------;

*  The following line should contain the directory
   where the SAS file is to be stored  ;

libname library ".";

*  The following line should contain
   the complete path and name of the raw data file.
   On a PC, use backslashes in paths as in C:\  ;

FILENAME datafile pipe "unzip -p /homes/data/sipp/2004/sipp04t7.zip ";

*  The following line should contain the name of the SAS dataset ;

%let dataset = sip04t7 ;

DATA library.&dataset ;

INFILE datafile LRECL = 20000 ;

** ------------------------------------------------ ;
**  The following variable names have been changed, ;
**  if necessary: '$' to 'd', '-' to '_', '%' to 'p' ;
** ----------------------------------------------- ;

attrib  ssuseq       length=4     label="SU: Sequence Number of Sample Unit - Primary";
attrib  ssuid        length=$12   label="SU: Sample Unit Identifier";           
attrib  spanel       length=4     label="SU: Sample Code - Indicates Panel Year";
attrib  swave        length=3     label="SU: Wave of data collection";          
attrib  srotaton     length=3     label="SU: Rotation of data collection";      
attrib  tfipsst      length=3     label="HH: FIPS State Code";                  
attrib  shhadid      length=3     label="SU: Hhld Address ID differentiates hhlds in";
attrib  eoutcome     length=3     label="HH: Interview Status code for this household";
attrib  rfid         length=3     label="FA: Family ID Number for this month";  
attrib  rfid2        length=3     label="FA: Family ID excluding related subfamily";
attrib  eppidx       length=3     label="PE: Person index";                     
attrib  eentaid      length=$3    label="PE: Address ID of hhld where person entered";
attrib  epppnum      length=$4    label="PE: Person number";                    
attrib  epopstat     length=3     label="PE: Population status based on age in 4th";
attrib  eppintvw     length=3     label="PE: Person's interview status";        
attrib  eppmis4      length=3     label="PE: Person's 4th month interview status";
attrib  esex         length=3     label="PE: Sex of this person";               
attrib  erace        length=3     label="PE: The race(s) the respondent is";    
attrib  eorigin      length=3     label="PE: Spanish, Hispanic or Latino";      
attrib  wpfinwgt     length=6     label="WW: Person weight";                    
attrib  errp         length=3     label="PE: Household relationship";           
attrib  tage         length=3     label="PE: Age as of last birthday";          
attrib  ems          length=3     label="PE: Marital status";                   
attrib  epnspous     length=4     label="PE: Person number of spouse";          
attrib  epnmom       length=4     label="PE: Person number of mother";          
attrib  epndad       length=4     label="PE: Person number of father";          
attrib  epnguard     length=4     label="PE: Person number of guardian";        
attrib  rdesgpnt     length=3     label="PE: Designated parent or guardian flag";
attrib  eeducate     length=3     label="ED: Highest Degree received or grade completed";
attrib  lgtkey       length=$8    label="PE: Person longitudinal key";          
attrib  sinthhid     length=3     label="SU: Hhld Address ID of person in interview";
attrib  eairunv      length=3     label="AIR: Universe indicator.";             
attrib  iothrbus     length=3     label="AIR: Own and operate other business in 2005";
attrib  iownbs04     length=3     label="AIR: Own and operate business in 2005";
attrib  ibsform1     length=3     label="AIR: Form of business/practice";       
attrib  ibsloct1     length=3     label="AIR: Location of business";            
attrib  iprtown1     length=3     label="AIR: Part owner lives in this HH";     
attrib  iownrs11     length=4     label="AIR: First other HH member owner";     
attrib  iownrs12     length=4     label="AIR: Second other HH member owner";    
attrib  ihhown1      length=3     label="AIR: Business owned only by members of HH";
attrib  rpcnthh1     length=3     label="AIR: Percentage of business owned by HH";
attrib  rpctown1     length=3     label="AIR: Percentage of business owned in own name";
attrib  tgrsrcp1     length=4     label="AIR: Gross receipts of business in 2005";
attrib  ttotexp1     length=4     label="AIR: Total expenses of business in 2005";
attrib  tnetinc1     length=4     label="AIR: Net income from business in 2005-profit";
attrib  tnetinc2     length=4     label="AIR: Net income from business in 2005-loss";
attrib  iothinc1     length=3     label="AIR: Whether first owner received net income";
attrib  tnetin12     length=4     label="AIR: Net income, first other HH owner-profit";
attrib  tnetin13     length=4     label="AIR: Net income, first other HH owner-loss";
attrib  tnetin22     length=4     label="AIR: Net income, second other HH owner-profit";
attrib  tnetin23     length=4     label="AIR: Net income, second other HH owner-loss";
attrib  ibsform2     length=3     label="AIR: Form of business/practice";       
attrib  ibsloct2     length=3     label="AIR: Location of business";            
attrib  iprtown2     length=3     label="AIR: Whether other HH members were part owners";
attrib  iownrs21     length=4     label="AIR: Which other HH members part-owners-";
attrib  iownrs22     length=4     label="AIR: Which other HH members part-owners-";
attrib  ihhown2      length=3     label="AIR: Business owned by members of HH"; 
attrib  rpcnthh2     length=3     label="AIR: Percentage of business owned by HH member";
attrib  rpctown2     length=3     label="AIR: Percentage of business owned in own name";
attrib  tgrsrcp2     length=4     label="AIR: Gross receipts of second business in 2005";
attrib  ttotexp2     length=4     label="AIR: Total expenses of second business in 2005";
attrib  tnetinc3     length=4     label="AIR: Net income of second business in";
attrib  tnetinc4     length=4     label="AIR: Net income of second business in";
attrib  iothinc2     length=3     label="AIR: Other income in 2005";            
attrib  tnetin32     length=4     label="AIR: Net income, first other HH owner-profit";
attrib  tnetin33     length=4     label="AIR: Net income, first other HH owner-loss";
attrib  tnetin42     length=4     label="AIR: Net income, second other HH owner-profit";
attrib  tnetin43     length=4     label="AIR: Net income, second other HH owner-loss";
attrib  tothinc3     length=4     label="AIR: Net income from other business-profit";
attrib  tothinc4     length=4     label="AIR: Net income from other business-loss";
attrib  iirayn       length=3     label="AIR: Whether retirement account is in ... name";
attrib  iiracont     length=3     label="AIR: Whether tax-deduct contributions made to";
attrib  ttaxcont     length=4     label="AIR: Amount of tax-deduct contributions made";
attrib  iirawdl      length=3     label="AIR: Whether withdrawals were made from IRA";
attrib  tamtira      length=4     label="AIR: Amount withdrawn from IRAs in 2005";
attrib  tiraearn     length=4     label="AIR: Amount IRA account in own name earned in";
attrib  iiratyp1     length=3     label="AIR: Assets in IRA accounts-CD or Savings Cert";
attrib  iiratyp2     length=3     label="AIR: Assets in IRA accounts-Money Market Funds";
attrib  iiratyp3     length=3     label="AIR: Assets in IRA accounts-U.S. Govt.";
attrib  iiratyp4     length=3     label="AIR: Assets in IRA accounts-Municipal or";
attrib  iiratyp5     length=3     label="AIR: Assets in IRA accounts-U.S. Savings Bonds";
attrib  iiratyp6     length=3     label="AIR: Assets in IRA accounts-Stocks or Mutual";
attrib  iiratyp7     length=3     label="AIR: Assets in IRA accounts-Other assets";
attrib  ikeoghyn     length=3     label="AIR: Whether ... has a Keogh account"; 
attrib  ikeoghcn     length=3     label="AIR: Whether tax-deduct contributions made to";
attrib  ttxkeogh     length=4     label="AIR: Amount of tax-deduct contributions to";
attrib  ikeoghwd     length=3     label="AIR: Whether withdrawals were made from Keogh";
attrib  tatkeogh     length=4     label="AIR: Amount withdrawn from Keogh accounts in";
attrib  tkeogher     length=4     label="AIR: Amount Keogh accounts in own name earned";
attrib  ikeohtp1     length=3     label="AIR: Assets in Keogh-CD or Savings";   
attrib  ikeohtp2     length=3     label="AIR: Assets in Keogh-Money Market Funds";
attrib  ikeohtp3     length=3     label="AIR: Assets in Keogh-U.S. Govt. Securities";
attrib  ikeohtp4     length=3     label="AIR: Assets in Keogh-Municipal or Corp. Bonds";
attrib  ikeohtp5     length=3     label="AIR: Assets in Keogh-U.S. Savings Bonds";
attrib  ikeohtp6     length=3     label="AIR: Assets in Keogh-Stocks or Mutual Funds";
attrib  ikeohtp7     length=3     label="AIR: Assets in Keogh-Other assets";    
attrib  ithrftyn     length=3     label="AIR: Whether employee involved in thrift/401k";
attrib  tthftcnt     length=4     label="AIR: Amount contributed to thrift/401k in 2005";
attrib  ithftwdl     length=3     label="AIR: Were withdrawals made from thrift/401k";
attrib  tthftamt     length=4     label="AIR: Amount withdrawn from thrift/401k plan";
attrib  tthftern     length=4     label="AIR: Amount of earnings from thrift/401K";
attrib  ithftyp1     length=3     label="AIR: Assets in 401k plan-Money Market Funds";
attrib  ithftyp2     length=3     label="AIR: Assets in 401k plan-U.S. Govt. Securities";
attrib  ithftyp3     length=3     label="AIR: Assets in 401k plan-Municipal or Corp.";
attrib  ithftyp4     length=3     label="AIR: Assets in 401k plan-Stocks or Mutual";
attrib  ithftyp5     length=3     label="AIR: Assets in 401k plan-Other assets";
attrib  eatxunv      length=3     label="TAX: Universe indicator.";             
attrib  itaxflyn     length=3     label="TAX: Whether ... filed Federal income tax for";
attrib  itaxcopy     length=3     label="TAX: Whether ... has a copy of tax form or";
attrib  tfilstat     length=3     label="TAX: Filing status on 2005 Federal tax return";
attrib  ttotexmp     length=3     label="TAX: Number of exemptions claimed on return";
attrib  iexemp01     length=4     label="TAX: First person claimed as an exemption";
attrib  iexemp02     length=4     label="TAX: Second person claimed as an exemption";
attrib  iexemp03     length=4     label="TAX: Third person claimed as an exemption";
attrib  iexemp04     length=4     label="TAX: Fourth person claimed as an exemption";
attrib  iexemp05     length=4     label="TAX: Fifth person claimed as an exemption";
attrib  iexmpout     length=3     label="TAX: Number of persons claimed as an exemption";
attrib  iexnmout     length=3     label="TAX: Number of persons claimed as an exemption";
attrib  ioutrl01     length=3     label="TAX: First person's relationship";     
attrib  ioutrl02     length=3     label="TAX: Second person's relationship";    
attrib  ioutrl03     length=3     label="TAX: Third person's relationship";     
attrib  ioutrl04     length=3     label="TAX: Fourth person's relationship";    
attrib  ioutrl05     length=3     label="TAX: Fifth person's relationship";     
attrib  ioutrl06     length=3     label="TAX: Sixth person's relationship";     
attrib  ioutrl07     length=3     label="TAX: Seventh person's relationship";   
attrib  ioutrl08     length=3     label="TAX: Eighth person's relationship";    
attrib  ioutrl09     length=3     label="TAX: Ninth person's relationship";     
attrib  ioutrl10     length=3     label="TAX: Tenth person's relationship";     
attrib  ifilform     length=3     label="TAX: Form 1040 filed";                 
attrib  ischeda      length=3     label="TAX: Schedule A filed with 2005 tax return";
attrib  ischedd      length=3     label="TAX: Schedule D filed with 2005 tax return";
attrib  tamtdedt     length=3     label="TAX: Amount of itemized deductions for 2005";
attrib  iccexpen     length=3     label="TAX: Child and dependent care expense credit";
attrib  tccamt       length=3     label="TAX: Amount of child and dependent care";
attrib  icarex01     length=4     label="TAX: First child and dependent care expense";
attrib  icarex02     length=4     label="TAX: Second child and dependent care expense";
attrib  icarex03     length=4     label="TAX: Third child and dependent care expense";
attrib  icarex04     length=4     label="TAX: Fourth child and dependent care expense";
attrib  icarex05     length=4     label="TAX: Fifth child and dependent care expense";
attrib  icarex06     length=4     label="TAX: Sixth child and dependent care expense";
attrib  icarex07     length=4     label="TAX: Seventh child and dependent care expense";
attrib  icarex08     length=4     label="TAX: Eighth child and dependent care expense";
attrib  icarex09     length=4     label="TAX: Ninth child and dependent care expense";
attrib  icarex10     length=4     label="TAX: Tenth child and dependent care expense";
attrib  icarex11     length=4     label="TAX: Eleventh child and dependent care";
attrib  icarex12     length=4     label="TAX: Twelfth child and dependent care expense";
attrib  icarex13     length=4     label="TAX: Thirteenth child and dependent care";
attrib  icarex14     length=4     label="TAX: Fourteenth child and dependent care";
attrib  icarex15     length=4     label="TAX: Fifteenth child and dependent care";
attrib  icarex16     length=4     label="TAX: Sixteenth child and dependent care";
attrib  icarex17     length=4     label="TAX: Seventeeth child and dependent care";
attrib  icarex18     length=4     label="TAX: Eighteenth child and dependent care";
attrib  icarex19     length=4     label="TAX: Nineteenth child and dependent care";
attrib  icarex20     length=4     label="TAX: Twentieth child and dependent care";
attrib  icarex21     length=4     label="TAX: 21st child and dependent care expense";
attrib  icarex22     length=4     label="TAX: 22nd child and dependent care expense";
attrib  icarex23     length=4     label="TAX: 23rd child and dependent care expense";
attrib  icarex24     length=4     label="TAX: 24th child and dependent care expense";
attrib  icarex25     length=4     label="TAX: 25th child and dependent care expense";
attrib  icarex26     length=4     label="TAX: 26th child and dependent care expense";
attrib  icarex27     length=4     label="TAX: 27th child and dependent care expense";
attrib  icarex28     length=4     label="TAX: 28th child and dependent care expense";
attrib  icarex29     length=4     label="TAX: 29th child and dependent care expense";
attrib  icarex30     length=4     label="TAX: Thirtieth child and dependent care";
attrib  idsabcrd     length=3     label="TAX: Credit claimed for elderly or disabled";
attrib  tsapgain     length=3     label="TAX: Amount of capital gains or losses from";
attrib  tadjincm     length=3     label="TAX: Adjusted gross income in 2005";   
attrib  tnettax      length=3     label="TAX: Net tax liability in 2005";       
attrib  ierndcrd     length=3     label="TAX: Whether earned income credit was claimed";
attrib  terndamt     length=3     label="TAX: Amount of earned income credit claimed";
attrib  ieicex01     length=4     label="TAX: First person where earned income cr was";
attrib  ieicex02     length=4     label="TAX: Second person where earned income cr was";
attrib  ieicex03     length=4     label="TAX: Third person where earned income cr was";
attrib  ieicex04     length=4     label="TAX: 4th person where earned income cr was";
attrib  ieicex05     length=4     label="TAX: Fifth person where earned income cr was";
attrib  ieicex06     length=4     label="TAX: Sixth person where earned income cr was";
attrib  ieicex07     length=4     label="TAX: Seventh person where earned income cr";
attrib  ieicex08     length=4     label="TAX: Eighth person where earned income cr was";
attrib  ieicex09     length=4     label="TAX: Ninth person where earned income cr was";
attrib  ieicex10     length=4     label="TAX: Tenth person where earned income cr was";
attrib  ieicex11     length=4     label="TAX: Eleventh person where earned income cr";
attrib  ieicex12     length=4     label="TAX: Twelfth person where earned income cr";
attrib  ieicex13     length=4     label="TAX: Thirteenth person where earned income cr";
attrib  ieicex14     length=4     label="TAX: Fourteenth person where earned income cr";
attrib  ieicex15     length=4     label="TAX: Fifteenth person where earned income cr";
attrib  ieicex16     length=4     label="TAX: Sixteenth person where earned income cr";
attrib  ieicex17     length=4     label="TAX: Seventeenth person where earned income";
attrib  ieicex18     length=4     label="TAX: Eighteenth person where earned income cr";
attrib  ieicex19     length=4     label="TAX: Nineteenth person where earned income cr";
attrib  ieicex20     length=4     label="TAX: Twentieth person where earned income cr";
attrib  ieicex21     length=4     label="TAX: Twenty-first person where earned inc cr";
attrib  ieicex22     length=4     label="TAX: Twenty-second person where earned inc cr";
attrib  ieicex23     length=4     label="TAX: Twenty-third person where earned inc cr";
attrib  ieicex24     length=4     label="TAX: Twenty-fourth person where earned inc cr";
attrib  ieicex25     length=4     label="TAX: Twenty-fifth person where earned inc cr";
attrib  ieicex26     length=4     label="TAX: Twenty-sixth person where earned inc cr";
attrib  ieicex27     length=4     label="TAX: Twenty-seventh person where earned inc";
attrib  ieicex28     length=4     label="TAX: Twenty-eighth person where earned inc cr";
attrib  ieicex29     length=4     label="TAX: Twenty-ninth person where earned inc cr";
attrib  ieicex30     length=4     label="TAX: Thirtieth person where earned inc cr was";
attrib  iproptax     length=3     label="TAX: Property taxes paid on residence in 2005";
attrib  ipropjnt     length=3     label="TAX: Property tax paid jointly with someone";
attrib  ipropn01     length=4     label="TAX: First person who made joint payments";
attrib  ipropn02     length=4     label="TAX: Second person who made joint payments";
attrib  ipropn03     length=4     label="TAX: Third person who made joint payments";
attrib  ipropn04     length=4     label="TAX: Fourth person who made joint payments";
attrib  ipropn05     length=4     label="TAX: Fifth person who made joint payments";
attrib  ipropn06     length=4     label="TAX: Sixth person who made joint payments";
attrib  ipropn07     length=4     label="TAX: Seventh person who made joint payments";
attrib  ipropn08     length=4     label="TAX: Eighth person who made joint payments";
attrib  ipropn09     length=4     label="TAX: Ninth person who made joint payments";
attrib  ipropn10     length=4     label="TAX: Tenth person who made joint payments";
attrib  ipropn11     length=4     label="TAX: Eleventh person who made joint payments";
attrib  ipropn12     length=4     label="TAX: Twelfth person who made joint payments";
attrib  ipropn13     length=4     label="TAX: Thirteenth person who made joint payments";
attrib  ipropn14     length=4     label="TAX: Fourteenth person who made joint payments";
attrib  ipropn15     length=4     label="TAX: Fifteenth person who made joint payments";
attrib  ipropn16     length=4     label="TAX: Sixteenth person who made joint payments";
attrib  ipropn17     length=4     label="TAX: Seventeenth person who made joint";
attrib  ipropn18     length=4     label="TAX: Eighteenth person who made joint payments";
attrib  ipropn19     length=4     label="TAX: Nineteenth person who made joint payments";
attrib  ipropn20     length=4     label="TAX: Twentieth person who made joint payments";
attrib  ipropn21     length=4     label="TAX: Twenty-first person who made joint";
attrib  ipropn22     length=4     label="TAX: Twenty-second person who made joint";
attrib  ipropn23     length=4     label="TAX: Twenty-third person who made joint";
attrib  ipropn24     length=4     label="TAX: Twenty-fourth person who made joint";
attrib  ipropn25     length=4     label="TAX: Twenty-fifth person who made joint";
attrib  ipropn26     length=4     label="TAX: Twenty-sixth person who made joint";
attrib  ipropn27     length=4     label="TAX: Twenty-seventh person who made joint";
attrib  ipropn28     length=4     label="TAX: Twenty-eighth person who made joint";
attrib  ipropn29     length=4     label="TAX: Twenty-ninth person who made joint";
attrib  ipropn30     length=4     label="TAX: Thirtieth person who made joint payments";
attrib  ttaxbill     length=3     label="TAX: Property tax bill for your residence in";
attrib  earpunv      length=3     label="PR: Universe indicator.";              
attrib  rmjb         length=3     label="PR: Main job number";                  
attrib  rmbs         length=3     label="PR: Main business number";             
attrib  rmnjbbs      length=3     label="PR: Reference job or business for topical";
attrib  therempl     length=3     label="PR: Verification of number of employees";
attrib  aherempl     length=3     label="PR: Allocation flag for THEREMPL";     
attrib  ttotempl     length=3     label="PR: Verification of number of employees";
attrib  atotempl     length=3     label="PR: Allocation flag for TTOTEMPL";     
attrib  tbustotl     length=3     label="PR: Verification of number of people"; 
attrib  abustotl     length=3     label="PR: Allocation flag for TBUSTOTL";     
attrib  ewksyear     length=3     label="PR: Number of weeks worked annually";  
attrib  awksyear     length=3     label="PR: Allocation flag for EWKSYEAR";     
attrib  tnumlen      length=3     label="PR: Number of years/months respondent has";
attrib  emthyear     length=3     label="PR: Units of reporting";               
attrib  anumyear     length=3     label="PR: Allocation flag for ENUMLEN and EMTHYEAR";
attrib  epensnyn     length=3     label="PR: Availability of pension or retirement";
attrib  apensnyn     length=3     label="PR: Allocation flag for EPENSNYN";     
attrib  eincpens     length=3     label="PR: Respondent's participation in pension";
attrib  aincpens     length=3     label="PR: Allocation flag for EINCPENS";     
attrib  enoina01     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina02     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina03     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina04     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina05     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina06     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina07     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina08     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina09     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina10     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina11     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina12     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina13     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoina14     length=3     label="PR: Reason respondent not covered by pension";
attrib  anoina       length=3     label="PR: Allocation flag for ENOINA01-ENOINA14";
attrib  etdeffen     length=3     label="PR: Asks if pension plan is like a 401(k)";
attrib  atdeffen     length=3     label="PR: Allocation flag for ETDEFFEN";     
attrib  emultpen     length=3     label="PR: Asks how many pension plans respondent has";
attrib  amultpen     length=3     label="PR: Allocation flag for EMULTPEN";     
attrib  e1pentyp     length=3     label="PR: Asks which type of pension plan";  
attrib  a1pentyp     length=3     label="PR: Allocation flag for E1PENTYP";     
attrib  e2pentyp     length=3     label="PR: Asks second type of pension plan"; 
attrib  a2pentyp     length=3     label="PR: Allocation flag for E2PENTYP";     
attrib  e1penctr     length=3     label="PR: Asks if respondent contributes to pension";
attrib  a1penctr     length=3     label="PR: Allocation flag for E1PENCTR";     
attrib  e1taxdef     length=3     label="PR: Asks if contributions are tax-deferred";
attrib  a1taxdef     length=3     label="PR: Allocation flag for E1TAXDEF";     
attrib  e1recben     length=3     label="PR: Asks if respondent keeps retirement";
attrib  a1recben     length=3     label="PR: Allocation flag for E1RECBEN";     
attrib  e1lvlmps     length=3     label="PR: Asks if respondent can get lump-sum";
attrib  a1lvlmps     length=3     label="PR: Allocation flag for E1LVLMPS";     
attrib  t1yrsinc     length=3     label="PR: Asks number of years in the plan"; 
attrib  a1yrsinc     length=3     label="PR: Allocation flag for T1YRSINC";     
attrib  e1ssofst     length=3     label="PR: Asks if benefits affected by social";
attrib  a1ssofst     length=3     label="PR: Allocation flag for E1SSOFST";     
attrib  t1yrcont     length=5     label="PR: Asks amount contributed to plan last year";
attrib  a1yrcont     length=3     label="PR: Allocation flag for T1YRCONT";     
attrib  t1totamt     length=5     label="PR: Asks plan balance at end of reference";
attrib  a1totamt     length=3     label="PR: Allocation flag for T1TOTAMT";     
attrib  e2penctr     length=3     label="PR: Asks if respondent contributes to second";
attrib  a2penctr     length=3     label="PR: Allocation flag for E2PENCTR";     
attrib  e2taxdef     length=3     label="PR: Asks if contributions are tax-deferred";
attrib  a2taxdef     length=3     label="PR: Allocation flag for E2TAXDEF";     
attrib  e2recben     length=3     label="PR: Asks if respondent keeps benefits";
attrib  a2recben     length=3     label="PR: Allocation flag for E2RECBEN";     
attrib  e2lvlmps     length=3     label="PR: Asks if respondent can get lump-sum";
attrib  a2lvlmps     length=3     label="PR: Allocation flag for E2LVLMPS";     
attrib  t2yrsinc     length=3     label="PR: Asks number of years in second plan";
attrib  a2yrsinc     length=3     label="PR: Allocation flag for T2YRSINC";     
attrib  e2ssofst     length=3     label="PR: Asks if Soc. Sec. participation affects";
attrib  a2ssofst     length=3     label="PR: Allocation flag for E2SSOFST";     
attrib  t2yrcont     length=5     label="PR: Asks amount contributed to second plan";
attrib  a2yrcont     length=3     label="PR: Allocation flag for T2YRCONT";     
attrib  t2totamt     length=5     label="PR: Asks second plan balance";         
attrib  a2totamt     length=3     label="PR: Allocation flag for T2TOTAMT";     
attrib  e3taxdef     length=3     label="PR: Availability of tax-deferred retirement";
attrib  a3taxdef     length=3     label="PR: Allocation flag for E3TAXDEF";     
attrib  e3partic     length=3     label="PR: Participation in tax-deferred retirement";
attrib  a3partic     length=3     label="PR: Allocation flag for E3PARTIC";     
attrib  enoinb01     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb02     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb03     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb04     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb05     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb06     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb07     length=3     label="PR: Reason respondent is not covered"; 
attrib  enoinb08     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb09     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb10     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb11     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb12     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb13     length=3     label="PR: Reason respondent not covered by pension";
attrib  enoinb14     length=3     label="PR: Reason respondent not covered by pension";
attrib  anoinb       length=3     label="PR: Allocation flag for ENOINB01 - ENOINB14";
attrib  ematchyn     length=3     label="PR: Contributions to the plan by employer";
attrib  amatchyn     length=3     label="PR: Allocation flag for EMATCHYN";     
attrib  efutpart     length=3     label="PR: Respondent expectation of future"; 
attrib  afutpart     length=3     label="PR: Allocation flag for EFUTPART";     
attrib  tslfcon1     length=5     label="PR: Amount of respondent's contributions";
attrib  eslfcon2     length=3     label="PR: Frequency of contributions";       
attrib  eslfcon3     length=8     label="PR: Percent of salary contributed";    
attrib  aslfcon      length=3     label="PR: Allocation flag for TSLFCON1";     
attrib  eempcont     length=3     label="PR: Asks if job/business contribute towards";
attrib  aempcont     length=3     label="PR: Allocation flag for EEMPCONT";     
attrib  econtdep     length=3     label="PR: Asks about linkage of contribution amounts";
attrib  acontdep     length=3     label="PR: Allocation flag for ECONTDEP";     
attrib  tjbcont1     length=5     label="PR: Amount of job/business contributions to";
attrib  ejbcont2     length=3     label="PR: Frequency of contributions";       
attrib  ejbcont3     length=8     label="PR: Percent of salary contibuted";     
attrib  ejbcont4     length=3     label="PR: Other types of contributions";     
attrib  ajbcont      length=3     label="PR: Allocation flag for TJBCONT1";     
attrib  einvchos     length=3     label="PR: Can respondent choose how money is";
attrib  ainvchos     length=3     label="PR: Allocation flag for EINVCHOS";     
attrib  einvsdec     length=3     label="PR: Can respondent choose how money is";
attrib  ainvsdec     length=3     label="PR: Allocation flag for EINVSDEC";     
attrib  ehowinv1     length=3     label="PR: Investment type selected for plan";
attrib  ehowinv2     length=3     label="PR: Investment type selected for plan";
attrib  ehowinv3     length=3     label="PR: Investment type selected for plan";
attrib  ehowinv4     length=3     label="PR: Investment type selected for plan";
attrib  ehowinv5     length=3     label="PR: Investment type selected for plan";
attrib  ehowinv6     length=3     label="PR: Investment type selected for plan";
attrib  ehowinv7     length=3     label="PR: Investment type selected for plan";
attrib  ehowinv8     length=3     label="PR: Investment type selected for plan";
attrib  ahowinvs     length=3     label="PR: Allocation flag for EHOWINVS";     
attrib  emostinv     length=3     label="PR: Investment receiving largest share";
attrib  amostinv     length=3     label="PR: Allocation flag for EMOSTINV";     
attrib  t3totamt     length=5     label="PR: Plan balance";                     
attrib  a3totamt     length=3     label="PR: Allocation flag for T3TOTAMT";     
attrib  epenloan     length=3     label="PR: Withdrawal of money from plan as loan";
attrib  apenloan     length=3     label="PR: Allocation flag for EPENLOAN";     
attrib  eletloan     length=3     label="PR: Does respondent's plan permit loan";
attrib  aletloan     length=3     label="PR: Allocation flag for ELETLOAN";     
attrib  tloanbal     length=5     label="PR: Current balance due on loan";      
attrib  aloanbal     length=3     label="PR: Allocation flag for TLOANBAL";     
attrib  eothrpen     length=3     label="PR: Pension plan(s) with second job/business";
attrib  aothrpen     length=3     label="PR: Allocation flag for EOTHRPEN";     
attrib  eprevpen     length=3     label="PR: Pension plan(s) with previous job/business";
attrib  aprevpen     length=3     label="PR: Allocation flag for EPREVPEN";     
attrib  eprevexp     length=3     label="PR: Previous plans with benefits not yet";
attrib  aprevexp     length=3     label="PR: Allocation flag for EPREVEXP";     
attrib  tprevyrs     length=3     label="PR: Years worked before receiving pension";
attrib  aprevyrs     length=3     label="PR: Allocation flag for TPREVYRS";     
attrib  ewhnleft     length=4     label="PR: Year respondent left previous job/business";
attrib  awhnleft     length=3     label="PR: Allocation flag for EWHNLEFT";     
attrib  eprevtyp     length=3     label="PR: How job's benefits are determined";
attrib  aprevtyp     length=3     label="PR: Allocation flag for EPREVTYP";     
attrib  tprevamt     length=5     label="PR: Balance in retirement/pension plan";
attrib  aprevamt     length=3     label="PR: Allocation flag for TPREVAMT";     
attrib  eprewith     length=3     label="PR: Withdrawal allowed from pension plan";
attrib  aprewith     length=3     label="PR: Allocation flag for EPREWITH";     
attrib  eprevlmp     length=3     label="PR: Recipiency of lump-sum from a plan";
attrib  aprevlmp     length=3     label="PR: Allocation flag for EPREVLMP";     
attrib  ewhyleft     length=3     label="PR: Reason for leaving previous job or";
attrib  awhyleft     length=3     label="PR: Allocation flag for EWHYLEFT";     
attrib  esurvlmp     length=3     label="PR: Recipiency of lump-sum survivor benefits";
attrib  asurvlmp     length=3     label="PR: Allocation flag for ESURVLMP";     
attrib  elumpnum     length=$2    label="PR: Number of lump-sum distributions received";
attrib  alumpnum     length=$1    label="PR: Allocation flag for ELUMPNUM";     
attrib  elmpyear     length=4     label="PR: Year latest lump-sum or rollover was";
attrib  almpyear     length=3     label="PR: Allocation flag for ELMPYEAR";     
attrib  elumpn97     length=3     label="PR: Lump-sum payments for 2002";       
attrib  alumpn97     length=3     label="PR: Allocation flag for ELUMPN97";     
attrib  elumpsrc     length=3     label="PR: Source of lump-sum payment";       
attrib  alumpsrc     length=3     label="PR: Allocation flag for ELUMPSRC";     
attrib  elumphow     length=3     label="PR: Type of Lump-sum payment withdrawal";
attrib  alumphow     length=3     label="PR: Allocation flag for ELUMPHOW";     
attrib  tlumptot     length=5     label="PR: Total amount of lump-sum payment"; 
attrib  alumptot     length=3     label="PR: Allocation flag for TLUMPTOT";     
attrib  elumprec     length=3     label="PR: Lump-sum payment retained or rolled over";
attrib  alumprec     length=3     label="PR: Allocation flag for ELUMPREC";     
attrib  elmproll     length=3     label="PR: Lump-sum payment retained or rolled over";
attrib  almproll     length=3     label="PR: Allocation flag for ELMPROLL";     
attrib  elmpwher     length=3     label="PR: Type of plan used for rollover";   
attrib  almpwher     length=3     label="PR: Allocation flag for ELMPWHER";     
attrib  elumpent     length=3     label="PR: Rollover of all or part of lump-sum";
attrib  alumpent     length=3     label="PR: Allocation flag for ELUMPENT";     
attrib  elmpsp01     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp02     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp03     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp04     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp05     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp06     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp07     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp08     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp09     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp10     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp11     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp12     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp13     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp14     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp15     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp16     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp17     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp18     length=3     label="PR: Use of lump-sum payment";          
attrib  elmpsp19     length=3     label="PR: Use of lump-sum payment";          
attrib  almpsp       length=3     label="PR: Allocation flag for ELMPSP01-ELMPSP19";
attrib  epenlng1     length=3     label="PR: Duration of receipt of retirement income";
attrib  epenlng2     length=3     label="PR: Duration of receipt of retirement income";
attrib  epengng3     length=3     label="PR: Duration of receipt of retirement income";
attrib  apenlgth     length=3     label="PR: Allocation flag for EPENLNG1-EPENLNG2 and";
attrib  epennumb     length=3     label="PR: Income received from more than one plan";
attrib  apennumb     length=3     label="PR: Allocation flag for EPENNUMB";     
attrib  epennums     length=3     label="PR: Number of plans producing income"; 
attrib  apennums     length=3     label="PR: Allocation flag for EPENNUMS";     
attrib  epensrce     length=3     label="PR: Pension from own or former spouse's";
attrib  apensrce     length=3     label="PR: Allocation flag for EPENSRCE";     
attrib  epenwhen     length=4     label="PR: Year when receipts from pension began";
attrib  apenwhen     length=3     label="PR: Allocation flag for EPENWHEN";     
attrib  epenbase     length=3     label="PR: Calculation method of pension amount";
attrib  apenbase     length=3     label="PR: Allocation flag for EPENBASE";     
attrib  epensurv     length=3     label="PR: Reduced benefits for survivor's option";
attrib  apensurv     length=3     label="PR: Allocation flag for EPENSURV";     
attrib  epenincr     length=3     label="PR: Has pension amount ever increased";
attrib  apenincr     length=3     label="PR: Allocation flag for EPENINCR";     
attrib  epencola     length=3     label="PR: Cost-of-living adjustments";       
attrib  apencola     length=3     label="PR: Allocation flag for EPENCOLA";     
attrib  ependecr     length=3     label="PR: Increment in pension payment";     
attrib  apendecr     length=3     label="PR: Allocation flag for EPENDECR";     
attrib  tpensamt     length=5     label="PR: Recode for current monthly pension amount";
attrib  apensamt     length=3     label="PR: Allocation flag for TPENSAMT";     
attrib  tpenamt1     length=5     label="PR: Initial monthly pension payment amount";
attrib  apenamt1     length=3     label="PR: Allocation flag for TPENAMT1";     
attrib  elmpsrce     length=3     label="PR: Source of most recent lump-sum payment";
attrib  almpsrce     length=3     label="PR: Allocation flag for ELMPSRCE";     
attrib  ejobreti     length=3     label="PR: Retired from a job or business";   
attrib  ajobreti     length=3     label="PR: Allocation flag for EJOBRETI";     
attrib  ewrk5yrs     length=3     label="PR: Worked for five years or more";    
attrib  awrk5yrs     length=3     label="PR: Allocation flag for EWRK5YRS";     
attrib  escrepen     length=3     label="PR: Retirement benefits from job or business";
attrib  ascrepen     length=3     label="PR: Allocation flag for ESCREPEN";     
attrib  ejbindrp     length=4     label="PR: Job industry code";                
attrib  ajbindrp     length=3     label="PR: Allocation flag for EJBINDRP";     
attrib  tjboccrp     length=4     label="PR: Job occupational code";            
attrib  ajboccrp     length=3     label="PR: Allocation flag for EJBOCCRP";     
attrib  rclwrkr      length=3     label="PR: Class of worker recode";           
attrib  aclwrkr      length=3     label="PR: Allocation flag for Class of worker";
attrib  emultloc     length=3     label="PR: Number of employer's locations";   
attrib  amultloc     length=3     label="PR: Allocation flag for EMULTLOC";     
attrib  tnumwork     length=3     label="PR: Number of employees";              
attrib  anumwork     length=3     label="PR: Allocation flag for TNUMWORK";     
attrib  templall     length=3     label="PR: Number of employees at all locations";
attrib  aemplall     length=3     label="PR: Allocation flag for TEMPLALL";     
attrib  eunionyn     length=3     label="PR: Union/employee association contract";
attrib  aunionyn     length=3     label="PR: Allocation flag for EUNIONYN";     
attrib  thrsweek     length=3     label="PR: Hours per week at past job";       
attrib  ahrsweek     length=3     label="PR: Allocation flag for THRSWEEK";     
attrib  ewksyrs      length=3     label="PR: Weeks per year at past job";       
attrib  awksyrs      length=3     label="PR: Allocation flag for EWKSYRS";      
attrib  tyrswrkd     length=3     label="PR: Total years worked at past job";   
attrib  ayrswrkd     length=3     label="PR: Allocation flag for TYRSWRKD";     
attrib  eyrlrftj     length=4     label="PR: Year left past job";               
attrib  ayrlrftj     length=3     label="PR: Allocation flag for EYRLRFTJ";     
attrib  ternlev1     length=5     label="PR: Amount of pre-tax earnings at past job";
attrib  eernlev2     length=3     label="PR: Frequency of earnings at past job";
attrib  aernleav     length=3     label="PR: Allocation flag for TERNLEV1-EERNLEV2";
attrib  ehlthpln     length=3     label="PR: Current health plan from former employer";
attrib  ahlthpln     length=3     label="PR: Allocation flag for EHLTHPLN";     
attrib  tbsindrp     length=3     label="PR: Business industry code";           
attrib  absindrp     length=3     label="PR: Allocation flag for EBSINDRP";     
attrib  ebsoccrp     length=4     label="PR: Business occupational code";       
attrib  absoccrp     length=3     label="PR: Allocation flag for EBSOCCRP";     
attrib  tmakempl     length=3     label="PR: Maximum number of employees";      
attrib  amakempl     length=3     label="PR: Allocation flag for TMAKEMPL";     
attrib  ebusninc     length=3     label="PR: Was respondent's business incorporated";
attrib  abusninc     length=3     label="PR: Allocation flag for EBUSNINC";     
attrib  tbushrsw     length=3     label="PR: Number of hours per week";         
attrib  abushrsw     length=3     label="PR: Allocation flag for TBUSHRSW";     
attrib  ebuswksy     length=3     label="PR: Number of weeks per year";         
attrib  abuswksy     length=3     label="PR: Allocation flag for EBUSWKSY";     
attrib  tbuslong     length=3     label="PR: Number of years";                  
attrib  abuslong     length=3     label="PR: Allocation flag for TBUSLONG";     
attrib  ebusleav     length=4     label="PR: Year respondent left own business";
attrib  abusleav     length=3     label="PR: Allocation flag for EBUSLEAV";     
attrib  tbusern1     length=5     label="PR: Pre-tax earnings at past business";
attrib  ebusern2     length=3     label="PR: Frequency of earnings";            
attrib  abusern      length=3     label="PR: Allocation flag for TBUSERN1-EBUSERN2";
attrib  ebushlth     length=3     label="PR: Present health plan by former business";
attrib  abushlth     length=3     label="PR: Allocation flag for EBUSHLTH";     
attrib  estdlvng     length=3     label="PR: Standard of living query";         
attrib  astdlvng     length=3     label="PR: Allocation flag for ESTDLVNG";     
attrib  eaicunv      length=3     label="IC: Universe indicator.";              
attrib  epvdcare     length=3     label="IC: Provides care or assistance to HH or NH";
attrib  apvdcare     length=3     label="IC: Allocation flag for EPVDCARE";     
attrib  ecarehhm     length=3     label="IC: Provides care or assistance to household";
attrib  acarehhm     length=3     label="IC: Allocation flag for ECAREHHM";     
attrib  tcarenum     length=3     label="IC: Provide care/assistance to- number of HH";
attrib  acarenum     length=3     label="IC: Allocation flag for TCARENUM";     
attrib  ehhm1        length=4     label="IC: For which person(s) assist provided to";
attrib  ahhm1        length=3     label="IC: Allocation flag for EHHM1";        
attrib  erelt01      length=3     label="IC: Relationship of giver to HH receiver 1";
attrib  arelt01      length=3     label="IC: Allocation flag for ERELT01";      
attrib  tyrst01      length=3     label="IC: Number of years care provided to HH";
attrib  ayrst01      length=3     label="IC: Allocation flag for TYRST01";      
attrib  eadlt01      length=3     label="IC: Dress assistance provided to HH member 1";
attrib  aadlt01      length=3     label="IC: Allocation flag for EADLT01";      
attrib  emedt01      length=3     label="IC: Medical assistance provided to HH member 1";
attrib  amedt01      length=3     label="IC: Allocation flag for EMEDT01";      
attrib  emnyt01      length=3     label="IC: Financial assistance provided to HH";
attrib  amnyt01      length=3     label="IC: Allocation flag for EMNYT01";      
attrib  eoutt01      length=3     label="IC: Transportation assistance provided to HH";
attrib  aoutt01      length=3     label="IC: Allocation flag for EOUTT01";      
attrib  eothlp01     length=3     label="IC: Other assistance provided to HH member 1";
attrib  aothlp01     length=3     label="IC: Allocation flag for EOTHLP01";     
attrib  thrst01      length=3     label="IC: Hours per week care provided to HH member";
attrib  ahrst01      length=3     label="IC: Allocation flag for THRST01";      
attrib  eopt01       length=3     label="IC: Similar unpaid care provided by other to";
attrib  aopt01       length=3     label="IC: Allocation flag for EOPT01";       
attrib  thrst02      length=3     label="IC: Hrs unpaid care/assistance by other(s) to";
attrib  ahrst02      length=3     label="IC: Allocation flag for THRST02";      
attrib  ehct01       length=3     label="IC: Receipt of professional hlth care";
attrib  ahct01       length=3     label="IC: Allocation flag for EHCT01";       
attrib  thrst03      length=3     label="IC: Hrs of professional care/assistance to HH";
attrib  ahrst03      length=3     label="IC: Allocation flag for THRST03";      
attrib  ehhm2        length=4     label="IC: For which person(s) assist provided to";
attrib  ahhm2        length=3     label="IC: Allocation flag for EHHM2";        
attrib  erelt02      length=3     label="IC: Relationship of giver to HH receiver 2";
attrib  arelt02      length=3     label="IC: Allocation flag for ERELT02";      
attrib  tyrst02      length=3     label="IC: Number of years care provided to HH";
attrib  ayrst02      length=3     label="IC: Allocation flag for TYRST02";      
attrib  eadlt02      length=3     label="IC: Dress assistance provided to HH member 2";
attrib  aadlt02      length=3     label="IC: Allocation flag for EADLT02";      
attrib  emedt02      length=3     label="IC: Medical assistance provided to HH member 2";
attrib  amedt02      length=3     label="IC: Allocation flag for EMEDT02";      
attrib  emnyt02      length=3     label="IC: Financial assistance provided to HH";
attrib  amnyt02      length=3     label="IC: Allocation flag for EMNYT02";      
attrib  eoutt02      length=3     label="IC: Transportation assistance provided to HH";
attrib  aoutt02      length=3     label="IC: Allocation flag for EOUTT02";      
attrib  eothlp02     length=3     label="IC: Other assistance provided to HH member 2";
attrib  aothlp02     length=3     label="IC: Allocation flag for EOTHLP02";     
attrib  thrst04      length=3     label="IC: Hours per week care provided to HH member";
attrib  ahrst04      length=3     label="IC: Allocation flag for THRST04";      
attrib  eopt02       length=3     label="IC: Similar unpaid care provided by other to";
attrib  aopt02       length=3     label="IC: Allocation flag for EOPT02";       
attrib  thrst05      length=3     label="IC: Hrs unpaid care/assistance by other(s) to";
attrib  ahrst05      length=3     label="IC: Allocation flag for THRST05";      
attrib  ehct02       length=3     label="IC: Receipt of professional hlth care";
attrib  ahct02       length=3     label="IC: Allocation flag for EHCT02";       
attrib  thrst06      length=3     label="IC: Hrs of professional care/assistance to HH";
attrib  ahrst06      length=3     label="IC: Allocation flag for THRST06";      
attrib  ecarenhm     length=3     label="IC: Provide care/assistance to persons";
attrib  acarenhm     length=3     label="IC: Allocation flag for ECARENHM";     
attrib  tnumnhm      length=3     label="IC: Provide care/assistance to- number of NH";
attrib  anumnhm      length=3     label="IC: Allocation flag for TNUMNHM";      
attrib  erelt03      length=3     label="IC: Relationship of giver to Non-HH member";
attrib  arelt03      length=3     label="IC: Allocation flag for ERELT03";      
attrib  tyrst03      length=3     label="IC: Number of years care provided to Non-HH";
attrib  ayrst03      length=3     label="IC: Allocation flag for TYRST03";      
attrib  eresof3      length=3     label="IC: Type of residence of Non-HH member 1";
attrib  aresof3      length=3     label="IC: Allocation flag for ERESOF3";      
attrib  eadlt03      length=3     label="IC: Dress assistance provided to Non-HH";
attrib  aadlt03      length=3     label="IC: Allocation flag for EADLT03";      
attrib  emedt03      length=3     label="IC: Medical assistance provided to Non-HH";
attrib  amedt03      length=3     label="IC: Allocation flag for EMEDT03";      
attrib  emnyt03      length=3     label="IC: Financial assistance provided to Non-HH";
attrib  amnyt03      length=3     label="IC: Allocation flag for EMNYT03";      
attrib  eoutt03      length=3     label="IC: Transportation assistance provided to";
attrib  aoutt03      length=3     label="IC: Allocation flag for EOUTT03";      
attrib  eothlp03     length=3     label="IC: Other assistance provided to Non-HH";
attrib  aothlp03     length=3     label="IC: Allocation flag for EOTHLP03";     
attrib  thrst07      length=3     label="IC: Hours per week care provided to Non-HH";
attrib  ahrst07      length=3     label="IC: Allocation flag for THRST07";      
attrib  eopt03       length=3     label="IC: Similar unpaid care provided by other to";
attrib  aopt03       length=3     label="IC: Allocation flag for EOPT03";       
attrib  thrst08      length=3     label="IC: Hours unpaid care/assist from other to NH";
attrib  ahrst08      length=3     label="IC: Allocation flag for THRST08";      
attrib  ecompt03     length=3     label="IC: Companionship provided to Non-HH member 1";
attrib  acompt03     length=3     label="IC: Allocation flag for ECOMPT03";     
attrib  ehct03       length=3     label="IC: Receipt of professional hlth care";
attrib  ahct03       length=3     label="IC: Allocation flag for EHCT03";       
attrib  thrst09      length=3     label="IC: Hrs of professional care/assist to Non-HH";
attrib  ahrst09      length=3     label="IC: Allocation flag for THRST09";      
attrib  erelt04      length=3     label="IC: Relationship of giver to Non-HH member";
attrib  arelt04      length=3     label="IC: Allocation flag for ERELT04";      
attrib  tyrst04      length=3     label="IC: Number of years care provided to Non-HH";
attrib  ayrst04      length=3     label="IC: Allocation flag for TYRST04";      
attrib  eresof4      length=3     label="IC: Type of residence of Non-HH member 2";
attrib  aresof4      length=3     label="IC: Allocation flag for ERESOF4";      
attrib  eadlt04      length=3     label="IC: Dress assistance provided to Non-HH";
attrib  aadlt04      length=3     label="IC: Allocation flag for EADLT04";      
attrib  emedt04      length=3     label="IC: Medical assistance provided to Non-HH";
attrib  amedt04      length=3     label="IC: Allocation flag for EMEDT04";      
attrib  emnyt04      length=3     label="IC: Financial assistance provided to Non-HH";
attrib  amnyt04      length=3     label="IC: Allocation flag for EMNYT04";      
attrib  eoutt04      length=3     label="IC: Transportation assistance provided to";
attrib  aoutt04      length=3     label="IC: Allocation flag for EOUTT04";      
attrib  eothlp04     length=3     label="IC: Other assistance provided to Non-HH";
attrib  aothlp04     length=3     label="IC: Allocation flag for EOTHLP04";     
attrib  thrst10      length=3     label="IC: Hours per week care provided to Non-HH";
attrib  ahrst10      length=3     label="IC: Allocation flag for THRST10";      
attrib  eopt04       length=3     label="IC: Similar unpaid care provided by other to";
attrib  aopt04       length=3     label="IC: Allocation flag for EOPT04";       
attrib  thrst11      length=3     label="IC: Similar unpaid care provided by other to";
attrib  ahrst11      length=3     label="IC: Allocation flag for THRST11";      
attrib  ecompt04     length=3     label="IC: Companionship provided to Non-HH member 2";
attrib  acompt04     length=3     label="IC: Allocation flag for ECOMPT04";     
attrib  ehct04       length=3     label="IC: Receipt of professional hlth care";
attrib  ahct04       length=3     label="IC: Allocation flag for EHCT04";       
attrib  thrst12      length=3     label="IC: Hrs of professional care/assist to Non-HH";
attrib  ahrst12      length=3     label="IC: Allocation flag for THRST12";      


INPUT

@1    ssuseq       5. 
@6    ssuid      $12. 
@18   spanel       4. 
@22   swave        2. 
@24   srotaton     1. 
@25   tfipsst      2. 
@27   shhadid      3. 
@30   eoutcome     3. 
@33   rfid         3. 
@36   rfid2        3. 
@39   eppidx       3. 
@42   eentaid     $3. 
@45   epppnum     $4. 
@49   epopstat     1. 
@50   eppintvw     2. 
@52   eppmis4      1. 
@53   esex         1. 
@54   erace        1. 
@55   eorigin      2. 
@57   wpfinwgt    10. 
@67   errp         2. 
@69   tage         2. 
@71   ems          1. 
@72   epnspous     4. 
@76   epnmom       4. 
@80   epndad       4. 
@84   epnguard     4. 
@88   rdesgpnt     2. 
@90   eeducate     2. 
@92   lgtkey      $8. 
@100  sinthhid     3. 
@103  eairunv      2. 
@105  iothrbus     2. 
@107  iownbs04     2. 
@109  ibsform1     2. 
@111  ibsloct1     2. 
@113  iprtown1     2. 
@115  iownrs11     4. 
@119  iownrs12     4. 
@123  ihhown1      2. 
@125  rpcnthh1     2. 
@127  rpctown1     2. 
@129  tgrsrcp1     6. 
@135  ttotexp1     6. 
@141  tnetinc1     6. 
@147  tnetinc2     6. 
@153  iothinc1     2. 
@155  tnetin12     6. 
@161  tnetin13     6. 
@167  tnetin22     6. 
@173  tnetin23     6. 
@179  ibsform2     2. 
@181  ibsloct2     2. 
@183  iprtown2     2. 
@185  iownrs21     4. 
@189  iownrs22     4. 
@193  ihhown2      2. 
@195  rpcnthh2     2. 
@197  rpctown2     2. 
@199  tgrsrcp2     6. 
@205  ttotexp2     6. 
@211  tnetinc3     6. 
@217  tnetinc4     6. 
@223  iothinc2     2. 
@225  tnetin32     6. 
@231  tnetin33     6. 
@237  tnetin42     6. 
@243  tnetin43     6. 
@249  tothinc3     6. 
@255  tothinc4     6. 
@261  iirayn       2. 
@263  iiracont     2. 
@265  ttaxcont     4. 
@269  iirawdl      2. 
@271  tamtira      5. 
@276  tiraearn     5. 
@281  iiratyp1     2. 
@283  iiratyp2     2. 
@285  iiratyp3     2. 
@287  iiratyp4     2. 
@289  iiratyp5     2. 
@291  iiratyp6     2. 
@293  iiratyp7     2. 
@295  ikeoghyn     2. 
@297  ikeoghcn     2. 
@299  ttxkeogh     5. 
@304  ikeoghwd     2. 
@306  tatkeogh     5. 
@311  tkeogher     5. 
@316  ikeohtp1     2. 
@318  ikeohtp2     2. 
@320  ikeohtp3     2. 
@322  ikeohtp4     2. 
@324  ikeohtp5     2. 
@326  ikeohtp6     2. 
@328  ikeohtp7     2. 
@330  ithrftyn     2. 
@332  tthftcnt     5. 
@337  ithftwdl     2. 
@339  tthftamt     5. 
@344  tthftern     5. 
@349  ithftyp1     2. 
@351  ithftyp2     2. 
@353  ithftyp3     2. 
@355  ithftyp4     2. 
@357  ithftyp5     2. 
@359  eatxunv      2. 
@361  itaxflyn     2. 
@363  itaxcopy     2. 
@365  tfilstat     2. 
@367  ttotexmp     2. 
@369  iexemp01     4. 
@373  iexemp02     4. 
@377  iexemp03     4. 
@381  iexemp04     4. 
@385  iexemp05     4. 
@389  iexmpout     2. 
@391  iexnmout     2. 
@393  ioutrl01     2. 
@395  ioutrl02     2. 
@397  ioutrl03     2. 
@399  ioutrl04     2. 
@401  ioutrl05     2. 
@403  ioutrl06     2. 
@405  ioutrl07     2. 
@407  ioutrl08     2. 
@409  ioutrl09     2. 
@411  ioutrl10     2. 
@413  ifilform     2. 
@415  ischeda      2. 
@417  ischedd      2. 
@419  tamtdedt     2. 
@421  iccexpen     2. 
@423  tccamt       2. 
@425  icarex01     4. 
@429  icarex02     4. 
@433  icarex03     4. 
@437  icarex04     4. 
@441  icarex05     4. 
@445  icarex06     4. 
@449  icarex07     4. 
@453  icarex08     4. 
@457  icarex09     4. 
@461  icarex10     4. 
@465  icarex11     4. 
@469  icarex12     4. 
@473  icarex13     4. 
@477  icarex14     4. 
@481  icarex15     4. 
@485  icarex16     4. 
@489  icarex17     4. 
@493  icarex18     4. 
@497  icarex19     4. 
@501  icarex20     4. 
@505  icarex21     4. 
@509  icarex22     4. 
@513  icarex23     4. 
@517  icarex24     4. 
@521  icarex25     4. 
@525  icarex26     4. 
@529  icarex27     4. 
@533  icarex28     4. 
@537  icarex29     4. 
@541  icarex30     4. 
@545  idsabcrd     2. 
@547  tsapgain     2. 
@549  tadjincm     2. 
@551  tnettax      2. 
@553  ierndcrd     2. 
@555  terndamt     2. 
@557  ieicex01     4. 
@561  ieicex02     4. 
@565  ieicex03     4. 
@569  ieicex04     4. 
@573  ieicex05     4. 
@577  ieicex06     4. 
@581  ieicex07     4. 
@585  ieicex08     4. 
@589  ieicex09     4. 
@593  ieicex10     4. 
@597  ieicex11     4. 
@601  ieicex12     4. 
@605  ieicex13     4. 
@609  ieicex14     4. 
@613  ieicex15     4. 
@617  ieicex16     4. 
@621  ieicex17     4. 
@625  ieicex18     4. 
@629  ieicex19     4. 
@633  ieicex20     4. 
@637  ieicex21     4. 
@641  ieicex22     4. 
@645  ieicex23     4. 
@649  ieicex24     4. 
@653  ieicex25     4. 
@657  ieicex26     4. 
@661  ieicex27     4. 
@665  ieicex28     4. 
@669  ieicex29     4. 
@673  ieicex30     4. 
@677  iproptax     2. 
@679  ipropjnt     2. 
@681  ipropn01     4. 
@685  ipropn02     4. 
@689  ipropn03     4. 
@693  ipropn04     4. 
@697  ipropn05     4. 
@701  ipropn06     4. 
@705  ipropn07     4. 
@709  ipropn08     4. 
@713  ipropn09     4. 
@717  ipropn10     4. 
@721  ipropn11     4. 
@725  ipropn12     4. 
@729  ipropn13     4. 
@733  ipropn14     4. 
@737  ipropn15     4. 
@741  ipropn16     4. 
@745  ipropn17     4. 
@749  ipropn18     4. 
@753  ipropn19     4. 
@757  ipropn20     4. 
@761  ipropn21     4. 
@765  ipropn22     4. 
@769  ipropn23     4. 
@773  ipropn24     4. 
@777  ipropn25     4. 
@781  ipropn26     4. 
@785  ipropn27     4. 
@789  ipropn28     4. 
@793  ipropn29     4. 
@797  ipropn30     4. 
@801  ttaxbill     2. 
@803  earpunv      2. 
@805  rmjb         2. 
@807  rmbs         2. 
@809  rmnjbbs      2. 
@811  therempl     2. 
@813  aherempl     1. 
@814  ttotempl     2. 
@816  atotempl     1. 
@817  tbustotl     2. 
@819  abustotl     1. 
@820  ewksyear     2. 
@822  awksyear     1. 
@823  tnumlen      2. 
@825  emthyear     2. 
@827  anumyear     1. 
@828  epensnyn     2. 
@830  apensnyn     1. 
@831  eincpens     2. 
@833  aincpens     1. 
@834  enoina01     2. 
@836  enoina02     2. 
@838  enoina03     2. 
@840  enoina04     2. 
@842  enoina05     2. 
@844  enoina06     2. 
@846  enoina07     2. 
@848  enoina08     2. 
@850  enoina09     2. 
@852  enoina10     2. 
@854  enoina11     2. 
@856  enoina12     2. 
@858  enoina13     2. 
@860  enoina14     2. 
@862  anoina       1. 
@863  etdeffen     2. 
@865  atdeffen     1. 
@866  emultpen     2. 
@868  amultpen     1. 
@869  e1pentyp     2. 
@871  a1pentyp     1. 
@872  e2pentyp     2. 
@874  a2pentyp     1. 
@875  e1penctr     2. 
@877  a1penctr     1. 
@878  e1taxdef     2. 
@880  a1taxdef     1. 
@881  e1recben     2. 
@883  a1recben     1. 
@884  e1lvlmps     2. 
@886  a1lvlmps     1. 
@887  t1yrsinc     2. 
@889  a1yrsinc     1. 
@890  e1ssofst     2. 
@892  a1ssofst     1. 
@893  t1yrcont     8. 
@901  a1yrcont     1. 
@902  t1totamt     8. 
@910  a1totamt     1. 
@911  e2penctr     2. 
@913  a2penctr     1. 
@914  e2taxdef     2. 
@916  a2taxdef     1. 
@917  e2recben     2. 
@919  a2recben     1. 
@920  e2lvlmps     2. 
@922  a2lvlmps     1. 
@923  t2yrsinc     2. 
@925  a2yrsinc     1. 
@926  e2ssofst     2. 
@928  a2ssofst     2. 
@930  t2yrcont     8. 
@938  a2yrcont     1. 
@939  t2totamt     8. 
@947  a2totamt     1. 
@948  e3taxdef     2. 
@950  a3taxdef     1. 
@951  e3partic     2. 
@953  a3partic     1. 
@954  enoinb01     2. 
@956  enoinb02     2. 
@958  enoinb03     2. 
@960  enoinb04     2. 
@962  enoinb05     2. 
@964  enoinb06     2. 
@966  enoinb07     2. 
@968  enoinb08     2. 
@970  enoinb09     2. 
@972  enoinb10     2. 
@974  enoinb11     2. 
@976  enoinb12     2. 
@978  enoinb13     2. 
@980  enoinb14     2. 
@982  anoinb       1. 
@983  ematchyn     2. 
@985  amatchyn     1. 
@986  efutpart     2. 
@988  afutpart     1. 
@989  tslfcon1     8. 
@997  eslfcon2     2. 
@999  eslfcon3    4.2 
@1003 aslfcon      1. 
@1004 eempcont     2. 
@1006 aempcont     1. 
@1007 econtdep     2. 
@1009 acontdep     1. 
@1010 tjbcont1     8. 
@1018 ejbcont2     2. 
@1020 ejbcont3    4.2 
@1024 ejbcont4     2. 
@1026 ajbcont      1. 
@1027 einvchos     2. 
@1029 ainvchos     1. 
@1030 einvsdec     2. 
@1032 ainvsdec     1. 
@1033 ehowinv1     2. 
@1035 ehowinv2     2. 
@1037 ehowinv3     2. 
@1039 ehowinv4     2. 
@1041 ehowinv5     2. 
@1043 ehowinv6     2. 
@1045 ehowinv7     2. 
@1047 ehowinv8     2. 
@1049 ahowinvs     1. 
@1050 emostinv     2. 
@1052 amostinv     1. 
@1053 t3totamt     8. 
@1061 a3totamt     1. 
@1062 epenloan     2. 
@1064 apenloan     1. 
@1065 eletloan     2. 
@1067 aletloan     1. 
@1068 tloanbal     8. 
@1076 aloanbal     1. 
@1077 eothrpen     2. 
@1079 aothrpen     1. 
@1080 eprevpen     2. 
@1082 aprevpen     1. 
@1083 eprevexp     2. 
@1085 aprevexp     1. 
@1086 tprevyrs     2. 
@1088 aprevyrs     1. 
@1089 ewhnleft     4. 
@1093 awhnleft     1. 
@1094 eprevtyp     2. 
@1096 aprevtyp     1. 
@1097 tprevamt     8. 
@1105 aprevamt     1. 
@1106 eprewith     2. 
@1108 aprewith     1. 
@1109 eprevlmp     2. 
@1111 aprevlmp     1. 
@1112 ewhyleft     2. 
@1114 awhyleft     1. 
@1115 esurvlmp     2. 
@1117 asurvlmp     1. 
@1118 elumpnum    $2. 
@1120 alumpnum    $1. 
@1121 elmpyear     4. 
@1125 almpyear     1. 
@1126 elumpn97     2. 
@1128 alumpn97     1. 
@1129 elumpsrc     2. 
@1131 alumpsrc     1. 
@1132 elumphow     2. 
@1134 alumphow     1. 
@1135 tlumptot     8. 
@1143 alumptot     1. 
@1144 elumprec     2. 
@1146 alumprec     1. 
@1147 elmproll     2. 
@1149 almproll     1. 
@1150 elmpwher     2. 
@1152 almpwher     1. 
@1153 elumpent     2. 
@1155 alumpent     1. 
@1156 elmpsp01     2. 
@1158 elmpsp02     2. 
@1160 elmpsp03     2. 
@1162 elmpsp04     2. 
@1164 elmpsp05     2. 
@1166 elmpsp06     2. 
@1168 elmpsp07     2. 
@1170 elmpsp08     2. 
@1172 elmpsp09     2. 
@1174 elmpsp10     2. 
@1176 elmpsp11     2. 
@1178 elmpsp12     2. 
@1180 elmpsp13     2. 
@1182 elmpsp14     2. 
@1184 elmpsp15     2. 
@1186 elmpsp16     2. 
@1188 elmpsp17     2. 
@1190 elmpsp18     2. 
@1192 elmpsp19     2. 
@1194 almpsp       1. 
@1195 epenlng1     2. 
@1197 epenlng2     2. 
@1199 epengng3     2. 
@1201 apenlgth     1. 
@1202 epennumb     2. 
@1204 apennumb     1. 
@1205 epennums     2. 
@1207 apennums     1. 
@1208 epensrce     2. 
@1210 apensrce     1. 
@1211 epenwhen     4. 
@1215 apenwhen     1. 
@1216 epenbase     2. 
@1218 apenbase     1. 
@1219 epensurv     2. 
@1221 apensurv     1. 
@1222 epenincr     2. 
@1224 apenincr     1. 
@1225 epencola     2. 
@1227 apencola     1. 
@1228 ependecr     2. 
@1230 apendecr     1. 
@1231 tpensamt     8. 
@1239 apensamt     1. 
@1240 tpenamt1     8. 
@1248 apenamt1     1. 
@1249 elmpsrce     2. 
@1251 almpsrce     1. 
@1252 ejobreti     2. 
@1254 ajobreti     1. 
@1255 ewrk5yrs     2. 
@1257 awrk5yrs     1. 
@1258 escrepen     2. 
@1260 ascrepen     1. 
@1261 ejbindrp     4. 
@1265 ajbindrp     1. 
@1266 tjboccrp     4. 
@1270 ajboccrp     1. 
@1271 rclwrkr      2. 
@1273 aclwrkr      1. 
@1274 emultloc     2. 
@1276 amultloc     1. 
@1277 tnumwork     2. 
@1279 anumwork     1. 
@1280 templall     2. 
@1282 aemplall     1. 
@1283 eunionyn     2. 
@1285 aunionyn     1. 
@1286 thrsweek     3. 
@1289 ahrsweek     1. 
@1290 ewksyrs      2. 
@1292 awksyrs      1. 
@1293 tyrswrkd     2. 
@1295 ayrswrkd     1. 
@1296 eyrlrftj     4. 
@1300 ayrlrftj     1. 
@1301 ternlev1     8. 
@1309 eernlev2     2. 
@1311 aernleav     1. 
@1312 ehlthpln     2. 
@1314 ahlthpln     1. 
@1315 tbsindrp     2. 
@1317 absindrp     1. 
@1318 ebsoccrp     4. 
@1322 absoccrp     1. 
@1323 tmakempl     2. 
@1325 amakempl     1. 
@1326 ebusninc     2. 
@1328 abusninc     1. 
@1329 tbushrsw     3. 
@1332 abushrsw     1. 
@1333 ebuswksy     2. 
@1335 abuswksy     1. 
@1336 tbuslong     2. 
@1338 abuslong     1. 
@1339 ebusleav     4. 
@1343 abusleav     1. 
@1344 tbusern1     8. 
@1352 ebusern2     2. 
@1354 abusern      1. 
@1355 ebushlth     2. 
@1357 abushlth     1. 
@1358 estdlvng     2. 
@1360 astdlvng     1. 
@1361 eaicunv      2. 
@1363 epvdcare     2. 
@1365 apvdcare     1. 
@1366 ecarehhm     2. 
@1368 acarehhm     1. 
@1369 tcarenum     2. 
@1371 acarenum     1. 
@1372 ehhm1        4. 
@1376 ahhm1        1. 
@1377 erelt01      2. 
@1379 arelt01      1. 
@1380 tyrst01      2. 
@1382 ayrst01      1. 
@1383 eadlt01      2. 
@1385 aadlt01      1. 
@1386 emedt01      2. 
@1388 amedt01      1. 
@1389 emnyt01      2. 
@1391 amnyt01      1. 
@1392 eoutt01      2. 
@1394 aoutt01      1. 
@1395 eothlp01     2. 
@1397 aothlp01     1. 
@1398 thrst01      2. 
@1400 ahrst01      1. 
@1401 eopt01       2. 
@1403 aopt01       1. 
@1404 thrst02      2. 
@1406 ahrst02      1. 
@1407 ehct01       2. 
@1409 ahct01       1. 
@1410 thrst03      2. 
@1412 ahrst03      1. 
@1413 ehhm2        4. 
@1417 ahhm2        1. 
@1418 erelt02      2. 
@1420 arelt02      1. 
@1421 tyrst02      2. 
@1423 ayrst02      1. 
@1424 eadlt02      2. 
@1426 aadlt02      1. 
@1427 emedt02      2. 
@1429 amedt02      1. 
@1430 emnyt02      2. 
@1432 amnyt02      1. 
@1433 eoutt02      2. 
@1435 aoutt02      1. 
@1436 eothlp02     2. 
@1438 aothlp02     1. 
@1439 thrst04      2. 
@1441 ahrst04      1. 
@1442 eopt02       2. 
@1444 aopt02       1. 
@1445 thrst05      2. 
@1447 ahrst05      1. 
@1448 ehct02       2. 
@1450 ahct02       1. 
@1451 thrst06      2. 
@1453 ahrst06      1. 
@1454 ecarenhm     2. 
@1456 acarenhm     1. 
@1457 tnumnhm      2. 
@1459 anumnhm      1. 
@1460 erelt03      2. 
@1462 arelt03      1. 
@1463 tyrst03      2. 
@1465 ayrst03      1. 
@1466 eresof3      2. 
@1468 aresof3      1. 
@1469 eadlt03      2. 
@1471 aadlt03      1. 
@1472 emedt03      2. 
@1474 amedt03      1. 
@1475 emnyt03      2. 
@1477 amnyt03      1. 
@1478 eoutt03      2. 
@1480 aoutt03      1. 
@1481 eothlp03     2. 
@1483 aothlp03     1. 
@1484 thrst07      2. 
@1486 ahrst07      1. 
@1487 eopt03       2. 
@1489 aopt03       1. 
@1490 thrst08      2. 
@1492 ahrst08      1. 
@1493 ecompt03     2. 
@1495 acompt03     1. 
@1496 ehct03       2. 
@1498 ahct03       1. 
@1499 thrst09      2. 
@1501 ahrst09      1. 
@1502 erelt04      2. 
@1504 arelt04      1. 
@1505 tyrst04      2. 
@1507 ayrst04      1. 
@1508 eresof4      2. 
@1510 aresof4      1. 
@1511 eadlt04      2. 
@1513 aadlt04      1. 
@1514 emedt04      2. 
@1516 amedt04      1. 
@1517 emnyt04      2. 
@1519 amnyt04      1. 
@1520 eoutt04      2. 
@1522 aoutt04      1. 
@1523 eothlp04     2. 
@1525 aothlp04     1. 
@1526 thrst10      2. 
@1528 ahrst10      1. 
@1529 eopt04       2. 
@1531 aopt04       1. 
@1532 thrst11      2. 
@1534 ahrst11      1. 
@1535 ecompt04     2. 
@1537 acompt04     1. 
@1538 ehct04       2. 
@1540 ahct04       1. 
@1541 thrst12      2. 
@1543 ahrst12      1. 
;

**------------------------------------------------;
** The PROC FORMAT statement will store the formats ;
** in a sas data set called fsip04t7 ;
** To use the stored formats in a subsequent program, ;
** use code like the following;

** proc format cntlin=library.fsp04t7;
** PROC freq;
**        tables pesex ;
**        format pesex      P135L.;

** For more information, consult PROC FORMAT in the SAS Procedures Guide ;
**-----------------------------------------------;

PROC FORMAT cntlout=library.fsp04t7;

;
VALUE spanel  	(default=32)
	2004      =  "Panel Year"                    
;
VALUE tfipsst 	(default=32)
	1         =  "Alabama"                       
	2         =  "Alaska"                        
	4         =  "Arizona"                       
	5         =  "Arkansas"                      
	6         =  "California"                    
	8         =  "Colorado"                      
	9         =  "Connecticut"                   
	10        =  "Delaware"                      
	11        =  "DC"                            
	12        =  "Florida"                       
	13        =  "Georgia"                       
	15        =  "Hawaii"                        
	16        =  "Idaho"                         
	17        =  "Illinois"                      
	18        =  "Indiana"                       
	19        =  "Iowa"                          
	20        =  "Kansas"                        
	21        =  "Kentucky"                      
	22        =  "Louisiana"                     
	23        =  "Maine"                         
	24        =  "Maryland"                      
	25        =  "Massachusetts"                 
	26        =  "Michigan"                      
	27        =  "Minnesota"                     
	28        =  "Mississippi"                   
	29        =  "Missouri"                      
	30        =  "Montana"                       
	31        =  "Nebraska"                      
	32        =  "Nevada"                        
	33        =  "New Hampshire"                 
	34        =  "New Jersey"                    
	35        =  "New Mexico"                    
	36        =  "New York"                      
	37        =  "North Carolina"                
	38        =  "North Dakota"                  
	39        =  "Ohio"                          
	40        =  "Oklahoma"                      
	41        =  "Oregon"                        
	42        =  "Pennsylvania"                  
	44        =  "Rhode Island"                  
	45        =  "South Carolina"                
	46        =  "South Dakota"                  
	47        =  "Tennessee"                     
	48        =  "Texas"                         
	49        =  "Utah"                          
	50        =  "Vermont"                       
	51        =  "Virginia"                      
	53        =  "Washington"                    
	54        =  "West Virginia"                 
	55        =  "Wisconsin"                     
	56        =  "Wyoming"                       
;
VALUE eoutcome	(default=32)
	201       =  "Completed interview"           
	203       =  "Compl. partial- missing data; no"
	207       =  "Complete partial - TYPE-Z; no" 
	213       =  "TYPE-A, language problem"      
	216       =  "TYPE-A, no one home (noh)"     
	217       =  "TYPE-A, temporarily absent (ta)"
	218       =  "TYPE-A, hh refused"            
	219       =  "TYPE-A, other occupied (specify)"
	234       =  "TYPE-B, entire hh institut. or"
	248       =  "TYPE-C, other (specify)"       
	249       =  "TYPE-C, sample adjustment"     
	250       =  "TYPE-C, hh deceased"           
	251       =  "TYPE-C, moved out of country"  
	252       =  "TYPE-C, living in armed forces"
	253       =  "TYPE-C, on active duty in Armed"
	254       =  "TYPE-C, no one over age 15 years"
	255       =  "TYPE-C, no Wave 1 persons"     
	260       =  "TYPE-D, moved address unknown" 
	261       =  "TYPE-D, moved within U.S. but" 
	262       =  "TYPE-C, merged with another SIPP"
	270       =  "TYPE-C, mover, no longer located"
	271       =  "TYPE-C, mover, new address"    
	280       =  "TYPE-D, mover, no longer located"
;
VALUE rfid2l  	(default=32)
	-1        =  "Not in Universe"               
;
VALUE epopstat	(default=32)
	1         =  "Adult (15 years of age or older)"
	2         =  "Child (Under 15 years of age)" 
;
VALUE eppintvw	(default=32)
	1         =  "Interview (self)"              
	2         =  "Interview (proxy)"             
	3         =  "Noninterview - Type Z"         
	4         =  "Noninterview - pseudo Type Z." 
	5         =  "Children under 15 during"      
;
VALUE eppmis4l	(default=32)
	1         =  "Interview"                     
	2         =  "Non-interview"                 
;
VALUE esex    	(default=32)
	1         =  "MALE"                          
	2         =  "FEMALE"                        
;
VALUE erace   	(default=32)
	1         =  "White alone"                   
	2         =  "Black alone"                   
	3         =  "Asian alone"                   
	4         =  "Residual"                      
;
VALUE eorigin 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
;
VALUE wpfinwgt	(default=32)
	0         =  "0000:999999.9999 .Final person weight"
;
VALUE errp    	(default=32)
	1         =  "Reference person with related" 
	2         =  "Reference Person without related"
	3         =  "Spouse of reference person"    
	4         =  "Child of reference person"     
	5         =  "Grandchild of reference person"
	6         =  "Parent of reference person"    
	7         =  "Brother/sister of reference person"
	8         =  "Other relative of reference person"
	9         =  "Foster child of reference person"
	10        =  "Unmarried partner of reference"
	11        =  "Housemate/roommate"            
	12        =  "Roomer/boarder"                
	13        =  "Other non-relative of reference"
;
VALUE tage    	(default=32)
	0         =  "Less than 1 full year old"     
;
VALUE ems     	(default=32)
	1         =  "Married, spouse present"       
	2         =  "Married, spouse absent"        
	3         =  "Widowed"                       
	4         =  "Divorced"                      
	5         =  "Separated"                     
	6         =  "Never Married"                 
;
VALUE epnspous	(default=32)
	9999      =  "Spouse not in household or person"
;
VALUE epnmom  	(default=32)
	9999      =  "No mother in household"        
;
VALUE epndad  	(default=32)
	9999      =  "No father in household"        
;
VALUE epnguard	(default=32)
	9999      =  "Guardian not in household"     
	-1        =  "Not in Universe"               
;
VALUE rdesgpnt	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE eeducate	(default=32)
	31        =  "Less Than 1st Grade"           
	32        =  "1st, 2nd, 3rd or 4th grade"    
	33        =  "5th Or 6th Grade"              
	34        =  "7th Or 8th Grade"              
	35        =  "9th Grade"                     
	36        =  "10th Grade"                    
	37        =  "11th Grade"                    
	38        =  "12th grade, no diploma"        
	39        =  "High School Graduate - (diploma"
	40        =  "Some college, but no degree"   
	41        =  "Diploma or certificate from a" 
	43        =  "Associate (2-yr) college degree"
	44        =  "Bachelor's degree (for example:"
	45        =  "Master's degree (For example: MA,"
	46        =  "Professional School degree (for"
	47        =  "Doctorate degree (for example:"
	-1        =  "Not in Universe"               
;
VALUE sinthhid	(default=32)
	0         =  "Not In Universe"               
;
VALUE eairunv 	(default=32)
	1         =  "In universe"                   
	-1        =  "Not in Universe"               
;
VALUE iothrbus	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE iownbs0s	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ibsforms	(default=32)
	3         =  "Corporation"                   
	2         =  "Partnership"                   
	1         =  "Sole proprietorship"           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ibslocts	(default=32)
	2         =  "Somewhere else"                
	1         =  "Own home"                      
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE iprtowns	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE iownrs1s	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE iownrs1k	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ihhown1l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE rpcnthhs	(default=32)
	2         =  "51-99 Percentage of business"  
	1         =  "1-50 Percentage of business"   
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE rpctowns	(default=32)
	3         =  "50-100 Percentage of business" 
	2         =  "26-49 Percentage of business"  
	1         =  "1-25 Percentage of business"   
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE tgrsrcps	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ttotexps	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE tnetincs	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE tnetinck	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE iothincs	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE tnetin1s	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE tnetin1k	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE tnetin2s	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE tnetin2k	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ibsformk	(default=32)
	3         =  "Corporation"                   
	2         =  "Partnership"                   
	1         =  "Sole proprietorship"           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ibsloctk	(default=32)
	2         =  "Somewhere else"                
	1         =  "Own home"                      
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE iprtownk	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE iownrs2s	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE iownrs2k	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ihhown2l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE rpcnthhk	(default=32)
	2         =  "51-99 Percentage of business"  
	1         =  "1-50 Percentage of business"   
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE rpctownk	(default=32)
	3         =  "50-100 Percentage of business" 
	2         =  "26-49 Percentage of business"  
	1         =  "1-25 Percentage of business"   
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE tgrsrcpk	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ttotexpk	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE tnetincl	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE tnetincm	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE iothinck	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE tnetin3s	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE tnetin3k	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE tnetin4s	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE tnetin4k	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE tothincs	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE tothinck	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE iirayn  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE iiracont	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ttaxcont	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE iirawdl 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE tamtira 	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE tiraearn	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE iiratypn	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE iiratypk	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE iiratypl	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE iiratypm	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE iiratypo	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE iiratypp	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE iiratypq	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ikeoghyn	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ikeoghcn	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ttxkeogh	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ikeoghwd	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE tatkeogh	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE tkeogher	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ikeohtpr	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ikeohtpk	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ikeohtpl	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ikeohtpm	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ikeohtpn	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ikeohtpo	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ikeohtpp	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ithrftyn	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE tthftcnt	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ithftwdl	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE tthftamt	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE tthftern	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ithftypn	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ithftypk	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ithftypl	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ithftypm	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ithftypo	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE eatxunv 	(default=32)
	1         =  "In universe"                   
	-1        =  "Not in Universe"               
;
VALUE itaxflyn	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE itaxcopy	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE tfilstat	(default=32)
	4         =  "Unmarried head of Household and"
	3         =  "Married, filing separately"    
	2         =  "Married, Filing joint return"  
	1         =  "Single taxpayer"               
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ttotexmp	(default=32)
	4         =  "5 or more exemptions"          
	3         =  "3-4 exemptions"                
	2         =  "2 exemptions"                  
	1         =  "1 exemption"                   
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE iexemp0p	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
	-5        =  "All"                           
;
VALUE iexemp0k	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE iexemp0l	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE iexemp0m	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE iexemp0n	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE iexmpout	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE iexnmout	(default=32)
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ioutrl0t	(default=32)
	4         =  "OTHER"                         
	3         =  "Brother/sister"                
	2         =  "Child"                         
	1         =  "Parent"                        
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ioutrl0k	(default=32)
	4         =  "OTHER"                         
	3         =  "Brother/sister"                
	2         =  "Child"                         
	1         =  "Parent"                        
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ioutrl0l	(default=32)
	4         =  "OTHER"                         
	3         =  "Brother/sister"                
	2         =  "Child"                         
	1         =  "Parent"                        
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ioutrl0m	(default=32)
	4         =  "OTHER"                         
	3         =  "Brother/sister"                
	2         =  "Child"                         
	1         =  "Parent"                        
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ioutrl0n	(default=32)
	4         =  "OTHER"                         
	3         =  "Brother/sister"                
	2         =  "Child"                         
	1         =  "Parent"                        
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ioutrl0o	(default=32)
	4         =  "OTHER"                         
	3         =  "Brother/sister"                
	2         =  "Child"                         
	1         =  "Parent"                        
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ioutrl0p	(default=32)
	4         =  "OTHER"                         
	3         =  "Brother/sister"                
	2         =  "Child"                         
	1         =  "Parent"                        
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ioutrl0q	(default=32)
	4         =  "OTHER"                         
	3         =  "Brother/sister"                
	2         =  "Child"                         
	1         =  "Parent"                        
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ioutrl0r	(default=32)
	4         =  "OTHER"                         
	3         =  "Brother/sister"                
	2         =  "Child"                         
	1         =  "Parent"                        
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ioutrl1t	(default=32)
	4         =  "OTHER"                         
	3         =  "Brother/sister"                
	2         =  "Child"                         
	1         =  "Parent"                        
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ifilform	(default=32)
	3         =  "Form 1040EZ"                   
	2         =  "Form 1040A"                    
	1         =  "Form 1040"                     
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ischeda 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ischedd 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE tamtdedt	(default=32)
	16        =  "36000+ Amount of itemized"     
	15        =  "25000-35999 Amount of itemized"
	14        =  "22000-24999 Amount of itemized"
	13        =  "19000-21999 Amount of itemized"
	12        =  "17000-18999 Amount of itemized"
	11        =  "16000-16999 Amount of itemized"
	10        =  "15000-15999 Amount of itemized"
	9         =  "14000-14999 Amount of itemized"
	8         =  "13000-13999 Amount of itemized"
	7         =  "12000-12999 Amount of itemized"
	6         =  "11000-11999 Amount of itemized"
	5         =  "10000-10999 Amount of itemized"
	4         =  "9000-9999 Amount of itemized"  
	3         =  "7000-8999 Amount of itemized"  
	2         =  "5000-6999 Amount of itemized"  
	1         =  "1-4999 Amount of itemized"     
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE iccexpen	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE tccamt  	(default=32)
	15        =  "2400+ Child and dependent care"
	14        =  "1300-2399 Child and dependent" 
	13        =  "1200-1299 Child and dependent" 
	12        =  "1000-1199 Child and dependent" 
	11        =  "900-999 Child and dependent care"
	10        =  "800-899 Child and dependent care"
	9         =  "700-799 Child and dependent care"
	8         =  "600-699 Child and dependent care"
	7         =  "500-599 Child and dependent care"
	6         =  "400-499 Child and dependent care"
	5         =  "300-399 Child and dependent care"
	4         =  "250-299 Child and dependent care"
	3         =  "200-249 Child and dependent care"
	2         =  "100-199 Child and dependent care"
	1         =  "1-99 Child and dependent care" 
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE icarex0t	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
	-5        =  "All"                           
;
VALUE icarex0k	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex0l	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex0m	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex0n	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex0o	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex0p	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex0q	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex0r	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex1t	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex1k	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex1l	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex1m	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex1n	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex1o	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex1p	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex1q	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex1r	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex1s	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex2t	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex2k	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex2l	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex2m	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex2n	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex2o	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex2p	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex2q	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex2r	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex2s	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE icarex3t	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE idsabcrd	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE tsapgain	(default=32)
	14        =  "20000+ Amount of capital gains"
	13        =  "10000-19999 Amount of capital" 
	12        =  "6000-9999 Amount of capital gains"
	11        =  "4000-5999 Amount of capital gains"
	10        =  "3000-3999 Amount of capital gains"
	9         =  "2000-2999 Amount of capital gains"
	8         =  "1500-1999 Amount of capital gains"
	7         =  "1000-1499 Amount of capital gains"
	6         =  "700-999 Amount of capital gains"
	5         =  "500-699 Amount of capital gains"
	4         =  "300-499 Amount of capital gains"
	3         =  "200-299 Amount of capital gains"
	2         =  "100-199 Amount of capital gains"
	1         =  "1-99 Amount of capital gains"  
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
	-4        =  "Negative values (losses)"      
;
VALUE tadjincm	(default=32)
	11        =  "75000+ Amount of adjusted gross"
	10        =  "60000-74999 Amount of adjusted"
	9         =  "50000-59999 Amount of adjusted"
	8         =  "40000-49999 Amount of adjusted"
	7         =  "30000-39999 Amount of adjusted"
	6         =  "25000-29999 Amount of adjusted"
	5         =  "20000-24999 Amount of adjusted"
	4         =  "15000-19999 Amount of adjusted"
	3         =  "10000-14999 Amount of adjusted"
	2         =  "5000-9999 Amount of adjusted"  
	1         =  "1-4999 Amount of adjusted gross"
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
	-4        =  "Negative values (losses)"      
;
VALUE tnettax 	(default=32)
	17        =  "30000+ Amount of net tax liability"
	16        =  "20000-29999 Amount of net tax" 
	15        =  "15000-19999 Amount of net tax" 
	14        =  "12000-14999 Amount of net tax" 
	13        =  "9000-11999 Amount of net tax"  
	12        =  "7000-8999 Amount of net tax"   
	11        =  "5000-6999 Amount of net tax"   
	10        =  "4000-4999 Amount of net tax"   
	9         =  "3000-3999 Amount of net tax"   
	8         =  "2500-2999 Amount of net tax"   
	7         =  "2000-2499 Amount of net tax"   
	6         =  "1500-1999 Amount of net tax"   
	5         =  "1000-1499 Amount of net tax"   
	4         =  "500-999 Amount of net tax"     
	3         =  "300-499 Amount of net tax"     
	2         =  "200-299 Amount of net tax"     
	1         =  "1-199 Amount of net tax liability"
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
	-4        =  "Negative values (losses)"      
;
VALUE ierndcrd	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE terndamt	(default=32)
	16        =  "4000+ Amount of earned income" 
	15        =  "3200-3999 Amount of earned income"
	14        =  "2700-3199 Amount of earned income"
	13        =  "2500-2699 Amount of earned income"
	12        =  "2200-2499 Amount of earned income"
	11        =  "2000-2199 Amount of earned income"
	10        =  "1750-1999 Amount of earned income"
	9         =  "1500-1749 Amount of earned income"
	8         =  "1200-1499 Amount of earned income"
	7         =  "1000-1199 Amount of earned income"
	6         =  "600-999 Amount of earned income"
	5         =  "400-599 Amount of earned income"
	4         =  "300-399 Amount of earned income"
	3         =  "200-299 Amount of earned income"
	2         =  "100-199 Amount of earned income"
	1         =  "1-99 Amount of earned income"  
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ieicex0t	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
	-5        =  "All"                           
;
VALUE ieicex0k	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex0l	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex0m	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex0n	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex0o	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex0p	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex0q	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex0r	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex1t	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex1k	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex1l	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex1m	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex1n	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex1o	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex1p	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex1q	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex1r	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex1s	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex2t	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex2k	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex2l	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex2m	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex2n	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex2o	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex2p	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex2q	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex2r	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex2s	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ieicex3t	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE iproptax	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ipropjnt	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE ipropn0t	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
	-5        =  "All"                           
;
VALUE ipropn0k	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn0l	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn0m	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn0n	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn0o	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn0p	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn0q	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn0r	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn1t	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn1k	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn1l	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn1m	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn1n	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn1o	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn1p	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn1q	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn1r	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn1s	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn2t	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn2k	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn2l	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn2m	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn2n	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn2o	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn2p	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn2q	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn2r	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn2s	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ipropn3t	(default=32)
	9999      =  "Unknown person number"         
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
	-3        =  "None"                          
;
VALUE ttaxbill	(default=32)
	15        =  "5000+ Amount of property tax"  
	14        =  "4000-4999 Amount of property tax"
	13        =  "3000-3999 Amount of property tax"
	12        =  "2600-2999 Amount of property tax"
	11        =  "2200-2599 Amount of property tax"
	10        =  "1900-2199 Amount of property tax"
	9         =  "1700-1899 Amount of property tax"
	8         =  "1400-1699 Amount of property tax"
	7         =  "1200-1399 Amount of property tax"
	6         =  "900-1199 Amount of property tax"
	5         =  "700-899 Amount of property tax"
	4         =  "500-699 Amount of property tax"
	3         =  "400-499 Amount of property tax"
	2         =  "200-399 Amount of property tax"
	1         =  "1-199 Amount of property tax"  
	0         =  "Not answered"                  
	-1        =  "Don't know"                    
	-2        =  "Refused"                       
;
VALUE earpunv 	(default=32)
	1         =  "In universe"                   
	-1        =  "Not in Universe"               
;
VALUE rmjb    	(default=32)
	0         =  "No current job but in universe"
	-1        =  "Not in Universe"               
;
VALUE rmbs    	(default=32)
	0         =  "No current business but in"    
	-1        =  "Not in Universe"               
;
VALUE rmnjbbs 	(default=32)
	2         =  "Business"                      
	1         =  "Job"                           
	-1        =  "Not in Universe"               
;
VALUE therempl	(default=32)
	5         =  "100 or more"                   
	4         =  "50 to 99"                      
	3         =  "25 to 49"                      
	2         =  "10 to 24"                      
	1         =  "Less than 10"                  
	-1        =  "Not in Universe"               
;
VALUE aherempl	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE ttotempl	(default=32)
	5         =  "100 or more"                   
	4         =  "50 to 99"                      
	3         =  "25 to 49"                      
	2         =  "10 to 24"                      
	1         =  "Less than 10"                  
	-1        =  "Not in Universe"               
;
VALUE atotempl	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE tbustotl	(default=32)
	4         =  "50 or more"                    
	3         =  "25 to 49"                      
	2         =  "10 to 24"                      
	1         =  "Less than 10"                  
	-1        =  "Not in Universe"               
;
VALUE abustotl	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE ewksyear	(default=32)
	-1        =  "Not in Universe"               
;
VALUE awksyear	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE tnumlen 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE emthyear	(default=32)
	2         =  "Years"                         
	1         =  "Months"                        
	-1        =  "Not in Universe"               
;
VALUE anumyear	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE epensnyn	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE apensnyn	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE eincpens	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aincpens	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE enoina0s	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoina0k	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoina0l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoina0m	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoina0n	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoina0o	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoina0p	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoina0q	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoina0r	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoina1s	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoina1k	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoina1l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoina1m	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoina1n	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE anoina  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE etdeffen	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE atdeffen	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE emultpen	(default=32)
	-1        =  "Not in Universe"               
;
VALUE amultpen	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE e1pentyp	(default=32)
	3         =  "Cash balance plan"             
	2         =  "Individual account plan"       
	1         =  "Plan based on earnings and years"
	-1        =  "Not in Universe"               
;
VALUE a1pentyp	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE e2pentyp	(default=32)
	3         =  "Cash balance plan"             
	2         =  "Individual account plan"       
	1         =  "Plan based on earnings and years"
	-1        =  "Not in Universe"               
;
VALUE a2pentyp	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE e1penctr	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE a1penctr	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE e1taxdef	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE a1taxdef	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE e1recben	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE a1recben	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE e1lvlmps	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE a1lvlmps	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE t1yrsinc	(default=32)
	-1        =  "Not in Universe"               
;
VALUE a1yrsinc	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE e1ssofst	(default=32)
	3         =  "Do not participate in Social"  
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE a1ssofst	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE t1yrcont	(default=32)
	0         =  "Not In Universe"               
;
VALUE a1yrcont	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE t1totamt	(default=32)
	0         =  "Not In Universe"               
;
VALUE a1totamt	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE e2penctr	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE a2penctr	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE e2taxdef	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE a2taxdef	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE e2recben	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE a2recben	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE e2lvlmps	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE a2lvlmps	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE t2yrsinc	(default=32)
	-1        =  "Not in Universe"               
;
VALUE a2yrsinc	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE e2ssofst	(default=32)
	3         =  "Do not participate in Social"  
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE a2ssofst	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE t2yrcont	(default=32)
	0         =  "Not In Universe"               
;
VALUE a2yrcont	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE t2totamt	(default=32)
	0         =  "Not In Universe"               
;
VALUE a2totamt	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE e3taxdef	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE a3taxdef	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE e3partic	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE a3partic	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE enoinb0c	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoinb0k	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoinb0l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoinb0m	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoinb0n	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoinb0o	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoinb0p	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoinb0q	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoinb0r	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoinb1c	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoinb1k	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoinb1l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoinb1m	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE enoinb1n	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE anoinb  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE ematchyn	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE amatchyn	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE efutpart	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE afutpart	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE tslfcont	(default=32)
	0         =  "Not In Universe"               
	-4        =  "No contributions"              
;
VALUE eslfcont	(default=32)
	5         =  "Year"                          
	4         =  "Quarter"                       
	3         =  "Month"                         
	2         =  "Biweekly"                      
	1         =  "Week"                          
	-1        =  "Not in Universe"               
;
VALUE eslfconk	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aslfcon 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE eempcont	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aempcont	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE econtdep	(default=32)
	3         =  "Not at all"                    
	2         =  "Depends partly"                
	1         =  "Depends entirely"              
	-1        =  "Not in Universe"               
;
VALUE acontdep	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE tjbcontp	(default=32)
	0         =  "Not In Universe"               
;
VALUE ejbcontp	(default=32)
	5         =  "Year"                          
	4         =  "Quarter"                       
	3         =  "Month"                         
	2         =  "Biweekly"                      
	1         =  "Week"                          
	-1        =  "Not in Universe"               
;
VALUE ejbcontk	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ejbcontl	(default=32)
	7         =  "Contribution varies"           
	6         =  "Contributions out of profits"  
	-1        =  "Not in Universe"               
;
VALUE ajbcont 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE einvchos	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ainvchos	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE einvsdec	(default=32)
	2         =  "Part of the money"             
	1         =  "All of the money"              
	-1        =  "Not in Universe"               
;
VALUE ainvsdec	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE ehowinvc	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ehowinvk	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ehowinvl	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ehowinvm	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ehowinvn	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ehowinvo	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ehowinvp	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ehowinvq	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ahowinvs	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE emostinv	(default=32)
	8         =  "Other investments"             
	7         =  "Money market funds"            
	6         =  "Government securities"         
	5         =  "Diversified stock and bond funds"
	4         =  "Long term interest bearing"    
	3         =  "Corporate bonds or bond funds" 
	2         =  "Stock funds"                   
	1         =  "Employer company stock"        
	-1        =  "Not in Universe"               
;
VALUE amostinv	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE t3totamt	(default=32)
	0         =  "Not In Universe"               
;
VALUE a3totamt	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE epenloan	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE apenloan	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE eletloan	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aletloan	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE tloanbal	(default=32)
	0         =  "Not In Universe"               
;
VALUE aloanbal	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE eothrpen	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aothrpen	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE eprevpen	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aprevpen	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE eprevexp	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aprevexp	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE tprevyrs	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aprevyrs	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE ewhnleft	(default=32)
	-1        =  "Not in Universe"               
;
VALUE awhnleft	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE eprevtyp	(default=32)
	2         =  "Based on the amount of money in"
	1         =  "Based on a formula"            
	-1        =  "Not in Universe"               
;
VALUE aprevtyp	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE tprevamt	(default=32)
	0         =  "Not In Universe"               
;
VALUE aprevamt	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE eprewith	(default=32)
	2         =  "Must wait until retirement"    
	1         =  "Could withdraw money now"      
	-1        =  "Not in Universe"               
;
VALUE aprewith	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE eprevlmp	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aprevlmp	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE ewhyleft	(default=32)
	14        =  "Unsatisfactory work arrangements"
	13        =  "Slack work/business conditions"
	12        =  "Quit to take another job"      
	11        =  "Job temporary and ended"       
	10        =  "Employer sold business"        
	9         =  "Employer bankrupt"             
	8         =  "Discharged/fired"              
	7         =  "School/Training"               
	6         =  "Own injury"                    
	5         =  "Own illness"                   
	4         =  "Other family obligations"      
	3         =  "Child care problems"           
	2         =  "Retired or old age"            
	1         =  "Laid Off"                      
	-1        =  "Not in Universe"               
;
VALUE awhyleft	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE esurvlmp	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE asurvlmp	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE $elumpnu	(default=32)
	"-1"      =  "Not in Universe"               
;
VALUE $alumpnu	(default=32)
	"3"       =  "Logical imputation (derivation)"
	"2"       =  "Cold deck imputation"          
	"1"       =  "Statistical imputation (hotdeck)"
	"0"       =  "Not imputed"                   
;
VALUE elmpyear	(default=32)
	-1        =  "Not in Universe"               
;
VALUE almpyear	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE elumpn9r	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE alumpn9r	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE elumpsrc	(default=32)
	5         =  "Other"                         
	4         =  "State or local government"     
	3         =  "Other federal plans"           
	2         =  "Military plan"                 
	1         =  "Private employer or union plan"
	-1        =  "Not in Universe"               
;
VALUE alumpsrc	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE elumphow	(default=32)
	2         =  "Required to withdraw"          
	1         =  "Voluntarily"                   
	-1        =  "Not in Universe"               
;
VALUE alumphow	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE tlumptot	(default=32)
	0         =  "Not In Universe"               
;
VALUE alumptot	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE elumprec	(default=32)
	2         =  "Directly rolled over"          
	1         =  "Actually received"             
	-1        =  "Not in Universe"               
;
VALUE alumprec	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE elmproll	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE almproll	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE elmpwher	(default=32)
	4         =  "OTHER"                         
	3         =  "IRA"                           
	2         =  "Individual annuity"            
	1         =  "Plan on job"                   
	-1        =  "Not in Universe"               
;
VALUE almpwher	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE elumpent	(default=32)
	2         =  "Partial amount"                
	1         =  "Entire amount"                 
	-1        =  "Not in Universe"               
;
VALUE alumpent	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE elmpsp0t	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE elmpsp0k	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE elmpsp0l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE elmpsp0m	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE elmpsp0n	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE elmpsp0o	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE elmpsp0p	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE elmpsp0q	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE elmpsp0r	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE elmpsp1t	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE elmpsp1k	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE elmpsp1l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE elmpsp1m	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE elmpsp1n	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE elmpsp1o	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE elmpsp1p	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE elmpsp1q	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE elmpsp1r	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE elmpsp1s	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE almpsp  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE epenlngp	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE epenlngk	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE epengngp	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE apenlgth	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE epennumb	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE apennumb	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE epennums	(default=32)
	-1        =  "Not in Universe"               
;
VALUE apennums	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE epensrce	(default=32)
	3         =  "Other"                         
	2         =  "Respondent's former spouse's job"
	1         =  "Respondent's job"              
	-1        =  "Not in Universe"               
;
VALUE apensrce	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE epenwhen	(default=32)
	-1        =  "Not in Universe"               
;
VALUE apenwhen	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE epenbase	(default=32)
	2         =  "Amount in individual account"  
	1         =  "Years of service and pay"      
	-1        =  "Not in Universe"               
;
VALUE apenbase	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE epensurv	(default=32)
	3         =  "No survivor's option offered"  
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE apensurv	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE epenincr	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE apenincr	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE epencola	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE apencola	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE ependecr	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE apendecr	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE tpensamt	(default=32)
	0         =  "Not In Universe"               
;
VALUE apensamt	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE tpenamtt	(default=32)
	0         =  "Not In Universe"               
;
VALUE apenamtt	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE elmpsrce	(default=32)
	3         =  "Other"                         
	2         =  "Respondent's former spouse's job"
	1         =  "Respondent's former job"       
	-1        =  "Not in Universe"               
;
VALUE almpsrce	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE ejobreti	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ajobreti	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE ewrk5yrs	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE awrk5yrs	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE escrepen	(default=32)
	2         =  "Business"                      
	1         =  "Job"                           
	-1        =  "Not in Universe"               
;
VALUE ascrepen	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE ejbindrp	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ajbindrp	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE tjboccrp	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ajboccrp	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE rclwrkr 	(default=32)
	7         =  "Active duty Armed Forces"      
	6         =  "Family worker without pay"     
	5         =  "Federal government worker"     
	4         =  "State government worker"       
	3         =  "Local government worker"       
	2         =  "Private not for profit employee"
	1         =  "Private for profit employee"   
	-1        =  "Not in Universe"               
;
VALUE aclwrkr 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE emultloc	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE amultloc	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE tnumwork	(default=32)
	5         =  "100 or more"                   
	4         =  "50 to 99"                      
	3         =  "25 to 49"                      
	2         =  "10 to 24"                      
	1         =  "Less than 10"                  
	-1        =  "Not in Universe"               
;
VALUE anumwork	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE templall	(default=32)
	5         =  "100 or more"                   
	4         =  "50 to 99"                      
	3         =  "25 to 49"                      
	2         =  "10 to 24"                      
	1         =  "Less than 10"                  
	-1        =  "Not in Universe"               
;
VALUE aemplall	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE eunionyn	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aunionyn	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE thrsweek	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ahrsweek	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE ewksyrs 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE awksyrs 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE tyrswrkd	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ayrswrkd	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE eyrlrftj	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ayrlrftj	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE ternlevj	(default=32)
	0         =  "Not In Universe"               
;
VALUE eernlevj	(default=32)
	4         =  "Per year"                      
	3         =  "Per month"                     
	2         =  "Biweekly"                      
	1         =  "Per week"                      
	-1        =  "Not in Universe"               
;
VALUE aernleav	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE ehlthpln	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ahlthpln	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE tbsindrp	(default=32)
	99        =  "Unable to code"                
	15        =  "Public administration"         
	14        =  "Professional and related services"
	13        =  "Entertainment and recreation"  
	12        =  "Personal services"             
	11        =  "Business and repair services"  
	10        =  "Finance, Insurance, and Real"  
	9         =  "Retail trade"                  
	8         =  "Wholesale trade Nondurable Goods"
	7         =  "Wholesale Trade Durable Goods" 
	6         =  "Transportation, Communications"
	5         =  "Manufacturing Durable Goods"   
	4         =  "Manufacturing Nondurable Goods"
	3         =  "Construction"                  
	2         =  "Mining"                        
	1         =  "Agriculture, forestry and"     
	-1        =  "Not in Universe"               
;
VALUE absindrp	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE ebsoccrp	(default=32)
	-1        =  "Not in Universe"               
;
VALUE absoccrp	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE tmakempl	(default=32)
	5         =  "100 or more"                   
	4         =  "50 to 99"                      
	3         =  "25 to 49"                      
	2         =  "10 to 24"                      
	1         =  "Less than 10"                  
	-1        =  "Not in Universe"               
;
VALUE amakempl	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE ebusninc	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE abusninc	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE tbushrsw	(default=32)
	-1        =  "Not in Universe"               
;
VALUE abushrsw	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE ebuswksy	(default=32)
	-1        =  "Not in Universe"               
;
VALUE abuswksy	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE tbuslong	(default=32)
	-1        =  "Not in Universe"               
;
VALUE abuslong	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE ebusleav	(default=32)
	-1        =  "Not in Universe"               
;
VALUE abusleav	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE tbusernv	(default=32)
	0         =  "Not In Universe"               
;
VALUE ebusernv	(default=32)
	4         =  "Per year"                      
	3         =  "Per month"                     
	2         =  "Biweekly"                      
	1         =  "Per week"                      
	-1        =  "Not in Universe"               
;
VALUE abusern 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE ebushlth	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE abushlth	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE estdlvng	(default=32)
	-1        =  "Not in Universe"               
;
VALUE astdlvng	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hotdeck)"
	0         =  "Not imputed"                   
;
VALUE eaicunv 	(default=32)
	1         =  "In universe"                   
	-1        =  "Not in Universe"               
;
VALUE epvdcare	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE apvdcare	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ecarehhm	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE acarehhm	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tcarenum	(default=32)
	-1        =  "Not in Universe"               
;
VALUE acarenum	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehhm1l  	(default=32)
	9999      =  "Unknown person number"         
	-1        =  "Not in Universe"               
;
VALUE ahhm1l  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erelt01l	(default=32)
	9         =  "Relationship not identified"   
	8         =  "Nonrelative"                   
	7         =  "Other relative"                
	6         =  "Brother/sister"                
	5         =  "Parent"                        
	4         =  "Grandchild"                    
	3         =  "Child"                         
	2         =  "Partner"                       
	1         =  "Spouse"                        
	-1        =  "Not in Universe"               
;
VALUE arelt01l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tyrst01l	(default=32)
	12        =  "21+ years of care provided"    
	11        =  "16 to 20 years of care provided"
	10        =  "13 to 15 years of care provided"
	9         =  "11 to 12 years of care provided"
	8         =  "10 years of care provided"     
	7         =  "8 to 9 years of care provided" 
	6         =  "6 to 7 years of care provided" 
	5         =  "5 years of care provided"      
	4         =  "4 years of care provided"      
	3         =  "3 years of care provided"      
	2         =  "2 years of care provided"      
	1         =  "1 year of care provided"       
	0         =  "Less than 1 year of care provided"
	-1        =  "Not in Universe"               
;
VALUE ayrst01l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eadlt01l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aadlt01l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emedt01l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE amedt01l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emnyt01l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE amnyt01l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eoutt01l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aoutt01l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eothlp0m	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aothlp0m	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE thrst01l	(default=32)
	19        =  "160+ hours of care provided"   
	18        =  "120 to 159 hours of care provided"
	17        =  "100 to 119 hours of care provided"
	16        =  "81 to 99 hours of care provided"
	15        =  "61 to 80 hours of care provided"
	14        =  "51 to 60 hours of care provided"
	13        =  "42 to 50 hours of care provided"
	12        =  "40 to 41 hours of care provided"
	11        =  "30 to 39 hours of care provided"
	10        =  "25 to 29 hours of care provided"
	9         =  "21 to 24 hours of care provided"
	8         =  "19 to 20 hours of care provided"
	7         =  "15 to 18 hours of care provided"
	6         =  "12 to 14 hours of care provided"
	5         =  "10 to 11 hours of care provided"
	4         =  "7 to 9 hours of care provided" 
	3         =  "5 to 6 hours of care provided" 
	2         =  "3 to 4 hours of care provided" 
	1         =  "1 to 2 hours of care provided" 
	-1        =  "Not in Universe"               
;
VALUE ahrst01l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eopt01l 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aopt01l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE thrst02l	(default=32)
	18        =  "121+ hours of unpaid care provided"
	17        =  "100 to 120 hours of unpaid care"
	16        =  "76 to 99 hours of unpaid care" 
	15        =  "61 to 75 hours of unpaid care" 
	14        =  "51 to 60 hours of unpaid care" 
	13        =  "41 to 50 hours of unpaid care" 
	12        =  "31 to 40 hours of unpaid care" 
	11        =  "26 to 30 hours of unpaid care" 
	10        =  "21 to 25 hours of unpaid care" 
	9         =  "20 hours of unpaid care provided"
	8         =  "15 to 19 hours of unpaid care" 
	7         =  "11 to 14 hours of unpaid care" 
	6         =  "9 to 10 hours of unpaid care"  
	5         =  "7 to 8 hours of unpaid care"   
	4         =  "5 to 6 hours of unpaid care"   
	3         =  "3 to 4 hours of unpaid care"   
	2         =  "2 hours of unpaid care provided"
	1         =  "1 hour of unpaid care provided"
	-1        =  "Not in Universe"               
;
VALUE ahrst02l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehct01l 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ahct01l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE thrst03l	(default=32)
	15        =  "41+ hours of professional care"
	14        =  "36 to 40 hours of professional"
	13        =  "23 to 35 hours of professional"
	12        =  "21 to 22 hours of professional"
	11        =  "16 to 20 hours of professional"
	10        =  "15 hours of professional care" 
	9         =  "11 to 14 hours of professional"
	8         =  "9 to 10 hours of professional" 
	7         =  "7 to 8 hours of professional care"
	6         =  "6 hours of professional care"  
	5         =  "5 hours of professional care"  
	4         =  "4 hours of professional care"  
	3         =  "3 hours of professional care"  
	2         =  "2 hours of professional care"  
	1         =  "1 hour of professional care"   
	-1        =  "Not in Universe"               
;
VALUE ahrst03l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehhm2l  	(default=32)
	9999      =  "Unknown person number"         
	-1        =  "Not in Universe"               
;
VALUE ahhm2l  	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erelt02l	(default=32)
	9         =  "Relationship not identified"   
	8         =  "Nonrelative"                   
	7         =  "Other relative"                
	6         =  "Brother/sister"                
	5         =  "Parent"                        
	4         =  "Grandchild"                    
	3         =  "Child"                         
	2         =  "Partner"                       
	1         =  "Spouse"                        
	-1        =  "Not in Universe"               
;
VALUE arelt02l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tyrst02l	(default=32)
	9         =  "20+ years of care provided"    
	8         =  "15 to 19 years of care provided"
	7         =  "13 to 14 years of care provided"
	6         =  "11 to 12 years of care provided"
	5         =  "10 years of care provided"     
	4         =  "4 to 9 years of care provided" 
	3         =  "3 years of care provided"      
	2         =  "2 years of care provided"      
	1         =  "1 year of care provided"       
	0         =  "Less than 1 year of care provided"
	-1        =  "Not in Universe"               
;
VALUE ayrst02l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eadlt02l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aadlt02l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emedt02l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE amedt02l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emnyt02l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE amnyt02l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eoutt02l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aoutt02l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eothlp0k	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aothlp0k	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE thrst04l	(default=32)
	13        =  "116+ hours of care provided"   
	12        =  "81 to 115 hours of care provided"
	11        =  "66 to 80 hours of care provided"
	10        =  "41 to 65 hours of care provided"
	9         =  "36 to 40 hours of care provided"
	8         =  "35 hours of care provided"     
	7         =  "21 to 34 hours of care provided"
	6         =  "16 to 20 hours of care provided"
	5         =  "11 to 15 hours of care provided"
	4         =  "10 hours of care provided"     
	3         =  "4 to 9 hours of care provided" 
	2         =  "3 hours of care provided"      
	1         =  "1 to 2 hours of care provided" 
	-1        =  "Not in Universe"               
;
VALUE ahrst04l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eopt02l 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aopt02l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imutation"           
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE thrst05l	(default=32)
	5         =  "40+ hours of unpaid care provided"
	4         =  "20 to 39 hours of unpaid care" 
	3         =  "10 to 19 hours of unpaid care" 
	2         =  "4 to 9 hours of unpaid care"   
	1         =  "1 to 3 hours of unpaid care"   
	-1        =  "Not in Universe"               
;
VALUE ahrst05l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehct02l 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ahct02l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE thrst06l	(default=32)
	3         =  "15+ hours of professional care"
	2         =  "3 to 14 hours of professional" 
	1         =  "1 to 2 hours of professional care"
	-1        =  "Not in Universe"               
;
VALUE ahrst06l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ecarenhm	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE acarenhm	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tnumnhm 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE anumnhm 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erelt03l	(default=32)
	9         =  "Relationship not identified"   
	8         =  "Nonrelative"                   
	7         =  "Other relative"                
	6         =  "Brother/sister"                
	5         =  "Parent"                        
	4         =  "Grandchild"                    
	3         =  "Child"                         
	2         =  "Partner"                       
	1         =  "Spouse"                        
	-1        =  "Not in Universe"               
;
VALUE arelt03l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tyrst03l	(default=32)
	9         =  "20+ years of care provided"    
	8         =  "11 to 19 years of care provided"
	7         =  "8 to 10 years of care provided"
	6         =  "6 to 7 years of care provided" 
	5         =  "5 years of care provided"      
	4         =  "4 years of care provided"      
	3         =  "3 years of care provided"      
	2         =  "2 years of care provided"      
	1         =  "1 year of care provided"       
	0         =  "Less than 1 year of care provided"
	-1        =  "Not in Universe"               
;
VALUE ayrst03l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eresof3l	(default=32)
	3         =  "Other"                         
	2         =  "Care facility"                 
	1         =  "House or apartment"            
	-1        =  "Not in Universe"               
;
VALUE aresof3l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eadlt03l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aadlt03l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emedt03l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE amedt03l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emnyt03l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE amnyt03l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eoutt03l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aoutt03l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eothlp0l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aothlp0l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE thrst07l	(default=32)
	14        =  "41+ hours of care provided"    
	13        =  "30 to 40 hours of care provided"
	12        =  "21 to 29 hours of care provided"
	11        =  "19 to 20 hours of care provided"
	10        =  "15 to 18 hours of care provided"
	9         =  "12 to 14  hours of care provided"
	8         =  "10 to 11 hours of care provided"
	7         =  "8 to 9 hours of care provided" 
	6         =  "6 to 7 hours of care provided" 
	5         =  "5 hours of care provided"      
	4         =  "4 hours of care provided"      
	3         =  "3 hours of care provided"      
	2         =  "2 hours of care provided"      
	1         =  "1 hour of care provided"       
	-1        =  "Not in Universe"               
;
VALUE ahrst07l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eopt03l 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aopt03l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE thrst08l	(default=32)
	16        =  "141+ hours of unpaid care provided"
	15        =  "91 to 140 hours of unpaid care"
	14        =  "61 to 90 hours of unpaid care" 
	13        =  "41 to 60 hours of unpaid care" 
	12        =  "31 to 40 hours of unpaid care" 
	11        =  "26 to 30 hours of unpaid care" 
	10        =  "21 to 25 hours of unpaid care" 
	9         =  "16 to 20 hours of unpaid care" 
	8         =  "11 to 15 hours of unpaid care" 
	7         =  "10 hours of unpaid care provided"
	6         =  "8 to 9 hours of unpaid care"   
	5         =  "6 to 7 hours of unpaid care"   
	4         =  "5 hours of unpaid care provided"
	3         =  "4 hours of unpaid care provided"
	2         =  "3 hours of unpaid care provided"
	1         =  "1 to 2 hour of unpaid care"    
	-1        =  "Not in Universe"               
;
VALUE ahrst08l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ecompt0m	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE acompt0m	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehct03l 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ahct03l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE thrst09l	(default=32)
	15        =  "100+ hours of care provided"   
	14        =  "41 to 99 hours of care provided"
	13        =  "37 to 40 hours of care provided"
	12        =  "25 to 36 hours of care provided"
	11        =  "21 to 24 hours of care provided"
	10        =  "18 to 20 hours of care provided"
	9         =  "12 to 17 hours of care provided"
	8         =  "10 to 11 hours of care provided"
	7         =  "8 to 9 hours of care provided" 
	6         =  "6 to 7 hours of care provided" 
	5         =  "5 hours of care provided"      
	4         =  "4 hours of care provided"      
	3         =  "3 hours of care provided"      
	2         =  "2 hours of care provided"      
	1         =  "1 hour of care provided"       
	-1        =  "Not in Universe"               
;
VALUE ahrst09l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE erelt04l	(default=32)
	9         =  "Relationship not identified"   
	8         =  "Nonrelative"                   
	7         =  "Other relative"                
	6         =  "Brother/sister"                
	5         =  "Parent"                        
	4         =  "Grandchild"                    
	3         =  "Child"                         
	2         =  "Partner"                       
	1         =  "Spouse"                        
	-1        =  "Not in Universe"               
;
VALUE arelt04l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE tyrst04l	(default=32)
	8         =  "15+ years of care provided"    
	7         =  "10 to 14 years of care provided"
	6         =  "6 to 9 years of care provided" 
	5         =  "5 years of care provided"      
	4         =  "4 years of care provided"      
	3         =  "3 years of care provided"      
	2         =  "2 years of care provided"      
	1         =  "1 year of care provided"       
	0         =  "Less than 1 year of care provided"
	-1        =  "Not in Universe"               
;
VALUE ayrst04l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eresof4l	(default=32)
	3         =  "Other"                         
	2         =  "Care facility"                 
	1         =  "House or apartment"            
	-1        =  "Not in Universe"               
;
VALUE aresof4l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eadlt04l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aadlt04l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emedt04l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE amedt04l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE emnyt04l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE amnyt04l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eoutt04l	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aoutt04l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eothlp0n	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aothlp0n	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE thrst10l	(default=32)
	12        =  "21+ hours of care provided"    
	11        =  "16 to 20 hours of care provided"
	10        =  "11 to 15 hours of care provided"
	9         =  "10 hours of care provided"     
	8         =  "8 to 9 hours of care provided" 
	7         =  "7 hours of care provided"      
	6         =  "6 hours of care provided"      
	5         =  "5 hours of care provided"      
	4         =  "4 hours of care provided"      
	3         =  "3 hours of care provided"      
	2         =  "2 hours of care provided"      
	1         =  "1 hour of care provided"       
	-1        =  "Not in Universe"               
;
VALUE ahrst10l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE eopt04l 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE aopt04l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE thrst11l	(default=32)
	13        =  "141+ hours of unpaid care provided"
	12        =  "81 to 140 hours of unpaid care"
	11        =  "41 to 80 hours of unpaid care" 
	10        =  "36 to 40 hours of unpaid care" 
	9         =  "21 to 35 hours of unpaid care" 
	8         =  "11 to 20 hours of unpaid care" 
	7         =  "8 to 10 hours of unpaid care"  
	6         =  "6 to 7 hours of unpaid care"   
	5         =  "5 hours of unpaid care provided"
	4         =  "4 hours of unpaid care provided"
	3         =  "3 hours of unpaid care provided"
	2         =  "2 hours of unpaid care provided"
	1         =  "1 hour of unpaid care provided"
	-1        =  "Not in Universe"               
;
VALUE ahrst11l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ecompt0k	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE acompt0k	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE ehct04l 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
	-1        =  "Not in Universe"               
;
VALUE ahct04l 	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;
VALUE thrst12l	(default=32)
	7         =  "81+ Hours of care provided"    
	6         =  "41 to 80 Hours of care provided"
	5         =  "10 to 40 Hours of care provided"
	4         =  "7 to 9 hours of care provided" 
	3         =  "5 to 6 hours of care provided" 
	2         =  "3 to 4 hours of care provided" 
	1         =  "1 to 2 hours of care provided" 
	-1        =  "Not in Universe"               
;
VALUE ahrst12l	(default=32)
	3         =  "Logical imputation (derivation)"
	2         =  "Cold deck imputation"          
	1         =  "Statistical imputation (hot deck)"
	0         =  "Not imputed"                   
;

proc print data=library.sip04t7 (obs=6);


FORMAT
	spanel     spanel.   
	tfipsst    tfipsst.  
	eoutcome   eoutcome. 
	rfid2      rfid2l.   
	epopstat   epopstat. 
	eppintvw   eppintvw. 
	eppmis4    eppmis4l. 
	esex       esex.     
	erace      erace.    
	eorigin    eorigin.  
	wpfinwgt   wpfinwgt. 
	errp       errp.     
	tage       tage.     
	ems        ems.      
	epnspous   epnspous. 
	epnmom     epnmom.   
	epndad     epndad.   
	epnguard   epnguard. 
	rdesgpnt   rdesgpnt. 
	eeducate   eeducate. 
	sinthhid   sinthhid. 
	eairunv    eairunv.  
	iothrbus   iothrbus. 
	iownbs04   iownbs0s. 
	ibsform1   ibsforms. 
	ibsloct1   ibslocts. 
	iprtown1   iprtowns. 
	iownrs11   iownrs1s. 
	iownrs12   iownrs1k. 
	ihhown1    ihhown1l. 
	rpcnthh1   rpcnthhs. 
	rpctown1   rpctowns. 
	tgrsrcp1   tgrsrcps. 
	ttotexp1   ttotexps. 
	tnetinc1   tnetincs. 
	tnetinc2   tnetinck. 
	iothinc1   iothincs. 
	tnetin12   tnetin1s. 
	tnetin13   tnetin1k. 
	tnetin22   tnetin2s. 
	tnetin23   tnetin2k. 
	ibsform2   ibsformk. 
	ibsloct2   ibsloctk. 
	iprtown2   iprtownk. 
	iownrs21   iownrs2s. 
	iownrs22   iownrs2k. 
	ihhown2    ihhown2l. 
	rpcnthh2   rpcnthhk. 
	rpctown2   rpctownk. 
	tgrsrcp2   tgrsrcpk. 
	ttotexp2   ttotexpk. 
	tnetinc3   tnetincl. 
	tnetinc4   tnetincm. 
	iothinc2   iothinck. 
	tnetin32   tnetin3s. 
	tnetin33   tnetin3k. 
	tnetin42   tnetin4s. 
	tnetin43   tnetin4k. 
	tothinc3   tothincs. 
	tothinc4   tothinck. 
	iirayn     iirayn.   
	iiracont   iiracont. 
	ttaxcont   ttaxcont. 
	iirawdl    iirawdl.  
	tamtira    tamtira.  
	tiraearn   tiraearn. 
	iiratyp1   iiratypn. 
	iiratyp2   iiratypk. 
	iiratyp3   iiratypl. 
	iiratyp4   iiratypm. 
	iiratyp5   iiratypo. 
	iiratyp6   iiratypp. 
	iiratyp7   iiratypq. 
	ikeoghyn   ikeoghyn. 
	ikeoghcn   ikeoghcn. 
	ttxkeogh   ttxkeogh. 
	ikeoghwd   ikeoghwd. 
	tatkeogh   tatkeogh. 
	tkeogher   tkeogher. 
	ikeohtp1   ikeohtpr. 
	ikeohtp2   ikeohtpk. 
	ikeohtp3   ikeohtpl. 
	ikeohtp4   ikeohtpm. 
	ikeohtp5   ikeohtpn. 
	ikeohtp6   ikeohtpo. 
	ikeohtp7   ikeohtpp. 
	ithrftyn   ithrftyn. 
	tthftcnt   tthftcnt. 
	ithftwdl   ithftwdl. 
	tthftamt   tthftamt. 
	tthftern   tthftern. 
	ithftyp1   ithftypn. 
	ithftyp2   ithftypk. 
	ithftyp3   ithftypl. 
	ithftyp4   ithftypm. 
	ithftyp5   ithftypo. 
	eatxunv    eatxunv.  
	itaxflyn   itaxflyn. 
	itaxcopy   itaxcopy. 
	tfilstat   tfilstat. 
	ttotexmp   ttotexmp. 
	iexemp01   iexemp0p. 
	iexemp02   iexemp0k. 
	iexemp03   iexemp0l. 
	iexemp04   iexemp0m. 
	iexemp05   iexemp0n. 
	iexmpout   iexmpout. 
	iexnmout   iexnmout. 
	ioutrl01   ioutrl0t. 
	ioutrl02   ioutrl0k. 
	ioutrl03   ioutrl0l. 
	ioutrl04   ioutrl0m. 
	ioutrl05   ioutrl0n. 
	ioutrl06   ioutrl0o. 
	ioutrl07   ioutrl0p. 
	ioutrl08   ioutrl0q. 
	ioutrl09   ioutrl0r. 
	ioutrl10   ioutrl1t. 
	ifilform   ifilform. 
	ischeda    ischeda.  
	ischedd    ischedd.  
	tamtdedt   tamtdedt. 
	iccexpen   iccexpen. 
	tccamt     tccamt.   
	icarex01   icarex0t. 
	icarex02   icarex0k. 
	icarex03   icarex0l. 
	icarex04   icarex0m. 
	icarex05   icarex0n. 
	icarex06   icarex0o. 
	icarex07   icarex0p. 
	icarex08   icarex0q. 
	icarex09   icarex0r. 
	icarex10   icarex1t. 
	icarex11   icarex1k. 
	icarex12   icarex1l. 
	icarex13   icarex1m. 
	icarex14   icarex1n. 
	icarex15   icarex1o. 
	icarex16   icarex1p. 
	icarex17   icarex1q. 
	icarex18   icarex1r. 
	icarex19   icarex1s. 
	icarex20   icarex2t. 
	icarex21   icarex2k. 
	icarex22   icarex2l. 
	icarex23   icarex2m. 
	icarex24   icarex2n. 
	icarex25   icarex2o. 
	icarex26   icarex2p. 
	icarex27   icarex2q. 
	icarex28   icarex2r. 
	icarex29   icarex2s. 
	icarex30   icarex3t. 
	idsabcrd   idsabcrd. 
	tsapgain   tsapgain. 
	tadjincm   tadjincm. 
	tnettax    tnettax.  
	ierndcrd   ierndcrd. 
	terndamt   terndamt. 
	ieicex01   ieicex0t. 
	ieicex02   ieicex0k. 
	ieicex03   ieicex0l. 
	ieicex04   ieicex0m. 
	ieicex05   ieicex0n. 
	ieicex06   ieicex0o. 
	ieicex07   ieicex0p. 
	ieicex08   ieicex0q. 
	ieicex09   ieicex0r. 
	ieicex10   ieicex1t. 
	ieicex11   ieicex1k. 
	ieicex12   ieicex1l. 
	ieicex13   ieicex1m. 
	ieicex14   ieicex1n. 
	ieicex15   ieicex1o. 
	ieicex16   ieicex1p. 
	ieicex17   ieicex1q. 
	ieicex18   ieicex1r. 
	ieicex19   ieicex1s. 
	ieicex20   ieicex2t. 
	ieicex21   ieicex2k. 
	ieicex22   ieicex2l. 
	ieicex23   ieicex2m. 
	ieicex24   ieicex2n. 
	ieicex25   ieicex2o. 
	ieicex26   ieicex2p. 
	ieicex27   ieicex2q. 
	ieicex28   ieicex2r. 
	ieicex29   ieicex2s. 
	ieicex30   ieicex3t. 
	iproptax   iproptax. 
	ipropjnt   ipropjnt. 
	ipropn01   ipropn0t. 
	ipropn02   ipropn0k. 
	ipropn03   ipropn0l. 
	ipropn04   ipropn0m. 
	ipropn05   ipropn0n. 
	ipropn06   ipropn0o. 
	ipropn07   ipropn0p. 
	ipropn08   ipropn0q. 
	ipropn09   ipropn0r. 
	ipropn10   ipropn1t. 
	ipropn11   ipropn1k. 
	ipropn12   ipropn1l. 
	ipropn13   ipropn1m. 
	ipropn14   ipropn1n. 
	ipropn15   ipropn1o. 
	ipropn16   ipropn1p. 
	ipropn17   ipropn1q. 
	ipropn18   ipropn1r. 
	ipropn19   ipropn1s. 
	ipropn20   ipropn2t. 
	ipropn21   ipropn2k. 
	ipropn22   ipropn2l. 
	ipropn23   ipropn2m. 
	ipropn24   ipropn2n. 
	ipropn25   ipropn2o. 
	ipropn26   ipropn2p. 
	ipropn27   ipropn2q. 
	ipropn28   ipropn2r. 
	ipropn29   ipropn2s. 
	ipropn30   ipropn3t. 
	ttaxbill   ttaxbill. 
	earpunv    earpunv.  
	rmjb       rmjb.     
	rmbs       rmbs.     
	rmnjbbs    rmnjbbs.  
	therempl   therempl. 
	aherempl   aherempl. 
	ttotempl   ttotempl. 
	atotempl   atotempl. 
	tbustotl   tbustotl. 
	abustotl   abustotl. 
	ewksyear   ewksyear. 
	awksyear   awksyear. 
	tnumlen    tnumlen.  
	emthyear   emthyear. 
	anumyear   anumyear. 
	epensnyn   epensnyn. 
	apensnyn   apensnyn. 
	eincpens   eincpens. 
	aincpens   aincpens. 
	enoina01   enoina0s. 
	enoina02   enoina0k. 
	enoina03   enoina0l. 
	enoina04   enoina0m. 
	enoina05   enoina0n. 
	enoina06   enoina0o. 
	enoina07   enoina0p. 
	enoina08   enoina0q. 
	enoina09   enoina0r. 
	enoina10   enoina1s. 
	enoina11   enoina1k. 
	enoina12   enoina1l. 
	enoina13   enoina1m. 
	enoina14   enoina1n. 
	anoina     anoina.   
	etdeffen   etdeffen. 
	atdeffen   atdeffen. 
	emultpen   emultpen. 
	amultpen   amultpen. 
	e1pentyp   e1pentyp. 
	a1pentyp   a1pentyp. 
	e2pentyp   e2pentyp. 
	a2pentyp   a2pentyp. 
	e1penctr   e1penctr. 
	a1penctr   a1penctr. 
	e1taxdef   e1taxdef. 
	a1taxdef   a1taxdef. 
	e1recben   e1recben. 
	a1recben   a1recben. 
	e1lvlmps   e1lvlmps. 
	a1lvlmps   a1lvlmps. 
	t1yrsinc   t1yrsinc. 
	a1yrsinc   a1yrsinc. 
	e1ssofst   e1ssofst. 
	a1ssofst   a1ssofst. 
	t1yrcont   t1yrcont. 
	a1yrcont   a1yrcont. 
	t1totamt   t1totamt. 
	a1totamt   a1totamt. 
	e2penctr   e2penctr. 
	a2penctr   a2penctr. 
	e2taxdef   e2taxdef. 
	a2taxdef   a2taxdef. 
	e2recben   e2recben. 
	a2recben   a2recben. 
	e2lvlmps   e2lvlmps. 
	a2lvlmps   a2lvlmps. 
	t2yrsinc   t2yrsinc. 
	a2yrsinc   a2yrsinc. 
	e2ssofst   e2ssofst. 
	a2ssofst   a2ssofst. 
	t2yrcont   t2yrcont. 
	a2yrcont   a2yrcont. 
	t2totamt   t2totamt. 
	a2totamt   a2totamt. 
	e3taxdef   e3taxdef. 
	a3taxdef   a3taxdef. 
	e3partic   e3partic. 
	a3partic   a3partic. 
	enoinb01   enoinb0c. 
	enoinb02   enoinb0k. 
	enoinb03   enoinb0l. 
	enoinb04   enoinb0m. 
	enoinb05   enoinb0n. 
	enoinb06   enoinb0o. 
	enoinb07   enoinb0p. 
	enoinb08   enoinb0q. 
	enoinb09   enoinb0r. 
	enoinb10   enoinb1c. 
	enoinb11   enoinb1k. 
	enoinb12   enoinb1l. 
	enoinb13   enoinb1m. 
	enoinb14   enoinb1n. 
	anoinb     anoinb.   
	ematchyn   ematchyn. 
	amatchyn   amatchyn. 
	efutpart   efutpart. 
	afutpart   afutpart. 
	tslfcon1   tslfcont. 
	eslfcon2   eslfcont. 
	eslfcon3   eslfconk. 
	aslfcon    aslfcon.  
	eempcont   eempcont. 
	aempcont   aempcont. 
	econtdep   econtdep. 
	acontdep   acontdep. 
	tjbcont1   tjbcontp. 
	ejbcont2   ejbcontp. 
	ejbcont3   ejbcontk. 
	ejbcont4   ejbcontl. 
	ajbcont    ajbcont.  
	einvchos   einvchos. 
	ainvchos   ainvchos. 
	einvsdec   einvsdec. 
	ainvsdec   ainvsdec. 
	ehowinv1   ehowinvc. 
	ehowinv2   ehowinvk. 
	ehowinv3   ehowinvl. 
	ehowinv4   ehowinvm. 
	ehowinv5   ehowinvn. 
	ehowinv6   ehowinvo. 
	ehowinv7   ehowinvp. 
	ehowinv8   ehowinvq. 
	ahowinvs   ahowinvs. 
	emostinv   emostinv. 
	amostinv   amostinv. 
	t3totamt   t3totamt. 
	a3totamt   a3totamt. 
	epenloan   epenloan. 
	apenloan   apenloan. 
	eletloan   eletloan. 
	aletloan   aletloan. 
	tloanbal   tloanbal. 
	aloanbal   aloanbal. 
	eothrpen   eothrpen. 
	aothrpen   aothrpen. 
	eprevpen   eprevpen. 
	aprevpen   aprevpen. 
	eprevexp   eprevexp. 
	aprevexp   aprevexp. 
	tprevyrs   tprevyrs. 
	aprevyrs   aprevyrs. 
	ewhnleft   ewhnleft. 
	awhnleft   awhnleft. 
	eprevtyp   eprevtyp. 
	aprevtyp   aprevtyp. 
	tprevamt   tprevamt. 
	aprevamt   aprevamt. 
	eprewith   eprewith. 
	aprewith   aprewith. 
	eprevlmp   eprevlmp. 
	aprevlmp   aprevlmp. 
	ewhyleft   ewhyleft. 
	awhyleft   awhyleft. 
	esurvlmp   esurvlmp. 
	asurvlmp   asurvlmp. 
	elumpnum   $elumpnu. 
	alumpnum   $alumpnu. 
	elmpyear   elmpyear. 
	almpyear   almpyear. 
	elumpn97   elumpn9r. 
	alumpn97   alumpn9r. 
	elumpsrc   elumpsrc. 
	alumpsrc   alumpsrc. 
	elumphow   elumphow. 
	alumphow   alumphow. 
	tlumptot   tlumptot. 
	alumptot   alumptot. 
	elumprec   elumprec. 
	alumprec   alumprec. 
	elmproll   elmproll. 
	almproll   almproll. 
	elmpwher   elmpwher. 
	almpwher   almpwher. 
	elumpent   elumpent. 
	alumpent   alumpent. 
	elmpsp01   elmpsp0t. 
	elmpsp02   elmpsp0k. 
	elmpsp03   elmpsp0l. 
	elmpsp04   elmpsp0m. 
	elmpsp05   elmpsp0n. 
	elmpsp06   elmpsp0o. 
	elmpsp07   elmpsp0p. 
	elmpsp08   elmpsp0q. 
	elmpsp09   elmpsp0r. 
	elmpsp10   elmpsp1t. 
	elmpsp11   elmpsp1k. 
	elmpsp12   elmpsp1l. 
	elmpsp13   elmpsp1m. 
	elmpsp14   elmpsp1n. 
	elmpsp15   elmpsp1o. 
	elmpsp16   elmpsp1p. 
	elmpsp17   elmpsp1q. 
	elmpsp18   elmpsp1r. 
	elmpsp19   elmpsp1s. 
	almpsp     almpsp.   
	epenlng1   epenlngp. 
	epenlng2   epenlngk. 
	epengng3   epengngp. 
	apenlgth   apenlgth. 
	epennumb   epennumb. 
	apennumb   apennumb. 
	epennums   epennums. 
	apennums   apennums. 
	epensrce   epensrce. 
	apensrce   apensrce. 
	epenwhen   epenwhen. 
	apenwhen   apenwhen. 
	epenbase   epenbase. 
	apenbase   apenbase. 
	epensurv   epensurv. 
	apensurv   apensurv. 
	epenincr   epenincr. 
	apenincr   apenincr. 
	epencola   epencola. 
	apencola   apencola. 
	ependecr   ependecr. 
	apendecr   apendecr. 
	tpensamt   tpensamt. 
	apensamt   apensamt. 
	tpenamt1   tpenamtt. 
	apenamt1   apenamtt. 
	elmpsrce   elmpsrce. 
	almpsrce   almpsrce. 
	ejobreti   ejobreti. 
	ajobreti   ajobreti. 
	ewrk5yrs   ewrk5yrs. 
	awrk5yrs   awrk5yrs. 
	escrepen   escrepen. 
	ascrepen   ascrepen. 
	ejbindrp   ejbindrp. 
	ajbindrp   ajbindrp. 
	tjboccrp   tjboccrp. 
	ajboccrp   ajboccrp. 
	rclwrkr    rclwrkr.  
	aclwrkr    aclwrkr.  
	emultloc   emultloc. 
	amultloc   amultloc. 
	tnumwork   tnumwork. 
	anumwork   anumwork. 
	templall   templall. 
	aemplall   aemplall. 
	eunionyn   eunionyn. 
	aunionyn   aunionyn. 
	thrsweek   thrsweek. 
	ahrsweek   ahrsweek. 
	ewksyrs    ewksyrs.  
	awksyrs    awksyrs.  
	tyrswrkd   tyrswrkd. 
	ayrswrkd   ayrswrkd. 
	eyrlrftj   eyrlrftj. 
	ayrlrftj   ayrlrftj. 
	ternlev1   ternlevj. 
	eernlev2   eernlevj. 
	aernleav   aernleav. 
	ehlthpln   ehlthpln. 
	ahlthpln   ahlthpln. 
	tbsindrp   tbsindrp. 
	absindrp   absindrp. 
	ebsoccrp   ebsoccrp. 
	absoccrp   absoccrp. 
	tmakempl   tmakempl. 
	amakempl   amakempl. 
	ebusninc   ebusninc. 
	abusninc   abusninc. 
	tbushrsw   tbushrsw. 
	abushrsw   abushrsw. 
	ebuswksy   ebuswksy. 
	abuswksy   abuswksy. 
	tbuslong   tbuslong. 
	abuslong   abuslong. 
	ebusleav   ebusleav. 
	abusleav   abusleav. 
	tbusern1   tbusernv. 
	ebusern2   ebusernv. 
	abusern    abusern.  
	ebushlth   ebushlth. 
	abushlth   abushlth. 
	estdlvng   estdlvng. 
	astdlvng   astdlvng. 
	eaicunv    eaicunv.  
	epvdcare   epvdcare. 
	apvdcare   apvdcare. 
	ecarehhm   ecarehhm. 
	acarehhm   acarehhm. 
	tcarenum   tcarenum. 
	acarenum   acarenum. 
	ehhm1      ehhm1l.   
	ahhm1      ahhm1l.   
	erelt01    erelt01l. 
	arelt01    arelt01l. 
	tyrst01    tyrst01l. 
	ayrst01    ayrst01l. 
	eadlt01    eadlt01l. 
	aadlt01    aadlt01l. 
	emedt01    emedt01l. 
	amedt01    amedt01l. 
	emnyt01    emnyt01l. 
	amnyt01    amnyt01l. 
	eoutt01    eoutt01l. 
	aoutt01    aoutt01l. 
	eothlp01   eothlp0m. 
	aothlp01   aothlp0m. 
	thrst01    thrst01l. 
	ahrst01    ahrst01l. 
	eopt01     eopt01l.  
	aopt01     aopt01l.  
	thrst02    thrst02l. 
	ahrst02    ahrst02l. 
	ehct01     ehct01l.  
	ahct01     ahct01l.  
	thrst03    thrst03l. 
	ahrst03    ahrst03l. 
	ehhm2      ehhm2l.   
	ahhm2      ahhm2l.   
	erelt02    erelt02l. 
	arelt02    arelt02l. 
	tyrst02    tyrst02l. 
	ayrst02    ayrst02l. 
	eadlt02    eadlt02l. 
	aadlt02    aadlt02l. 
	emedt02    emedt02l. 
	amedt02    amedt02l. 
	emnyt02    emnyt02l. 
	amnyt02    amnyt02l. 
	eoutt02    eoutt02l. 
	aoutt02    aoutt02l. 
	eothlp02   eothlp0k. 
	aothlp02   aothlp0k. 
	thrst04    thrst04l. 
	ahrst04    ahrst04l. 
	eopt02     eopt02l.  
	aopt02     aopt02l.  
	thrst05    thrst05l. 
	ahrst05    ahrst05l. 
	ehct02     ehct02l.  
	ahct02     ahct02l.  
	thrst06    thrst06l. 
	ahrst06    ahrst06l. 
	ecarenhm   ecarenhm. 
	acarenhm   acarenhm. 
	tnumnhm    tnumnhm.  
	anumnhm    anumnhm.  
	erelt03    erelt03l. 
	arelt03    arelt03l. 
	tyrst03    tyrst03l. 
	ayrst03    ayrst03l. 
	eresof3    eresof3l. 
	aresof3    aresof3l. 
	eadlt03    eadlt03l. 
	aadlt03    aadlt03l. 
	emedt03    emedt03l. 
	amedt03    amedt03l. 
	emnyt03    emnyt03l. 
	amnyt03    amnyt03l. 
	eoutt03    eoutt03l. 
	aoutt03    aoutt03l. 
	eothlp03   eothlp0l. 
	aothlp03   aothlp0l. 
	thrst07    thrst07l. 
	ahrst07    ahrst07l. 
	eopt03     eopt03l.  
	aopt03     aopt03l.  
	thrst08    thrst08l. 
	ahrst08    ahrst08l. 
	ecompt03   ecompt0m. 
	acompt03   acompt0m. 
	ehct03     ehct03l.  
	ahct03     ahct03l.  
	thrst09    thrst09l. 
	ahrst09    ahrst09l. 
	erelt04    erelt04l. 
	arelt04    arelt04l. 
	tyrst04    tyrst04l. 
	ayrst04    ayrst04l. 
	eresof4    eresof4l. 
	aresof4    aresof4l. 
	eadlt04    eadlt04l. 
	aadlt04    aadlt04l. 
	emedt04    emedt04l. 
	amedt04    amedt04l. 
	emnyt04    emnyt04l. 
	amnyt04    amnyt04l. 
	eoutt04    eoutt04l. 
	aoutt04    aoutt04l. 
	eothlp04   eothlp0n. 
	aothlp04   aothlp0n. 
	thrst10    thrst10l. 
	ahrst10    ahrst10l. 
	eopt04     eopt04l.  
	aopt04     aopt04l.  
	thrst11    thrst11l. 
	ahrst11    ahrst11l. 
	ecompt04   ecompt0k. 
	acompt04   acompt0k. 
	ehct04     ehct04l.  
	ahct04     ahct04l.  
	thrst12    thrst12l. 
	ahrst12    ahrst12l. 
;
proc contents data=library.sip04t7;

** Copyright 2010 shared by the National Bureau of Economic Research and Jean Roth ;

** National Bureau of Economic Research. ;
** 1050 Massachusetts Avenue ;
** Cambridge, MA 02138 ;
** jroth@nber.org ;

** This program and all programs referenced in it are free software. You ;
** can redistribute the program or modify it under the terms of the GNU ;
** General Public License as published by the Free Software Foundation; 
** either version 2 of the License, or (at your option) any later version. ;

** This program is distributed in the hope that it will be useful, ;
** but WITHOUT ANY WARRANTY, without even the implied warranty of ;
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the ;
** GNU General Public License for more details. ;

** You should have received a copy of the GNU General Public License ;
** along with this program, if not, write to the Free Software ;
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA. ;
