*options obs=100 ;
options nocenter ;

**------------------------------------------------;
**  by Jean Roth	Thu Mar 11 16:57:01 EST 2010
**  This program reads the 2004 SIPP Wave 11 Core Data File ;
**  Report errors to jroth@nber.org ;
**  A value of -1 (or -1/# of implied decimals) indicates 'Not in Universe' ;
**  This program is distributed under the GNU GPL. ;
**  See end of this file and
**  http://www.gnu.org/licenses/ for details. ;
**-----------------------------------------------;

*  The following line should contain the directory
   where the SAS file is to be stored  ;

libname library ".";

*  The following line should contain
   the complete path and name of the raw data file.
   On a PC, use backslashes in paths as in C:\  ;

FILENAME datafile pipe "unzip -p /homes/data/sipp/2004/sipp04w11.zip ";

*  The following line should contain the name of the SAS dataset ;

%let dataset = sip04w11 ;

DATA library.&dataset ;

INFILE datafile LRECL = 20000 ;

** ------------------------------------------------ ;
**  The following variable names have been changed, ;
**  if necessary: '$' to 'd', '-' to '_', '%' to 'p' ;
** ----------------------------------------------- ;

attrib  ssuseq       length=4     label="SU: Sequence Number of Sample Unit - Primary";
attrib  ssuid        length=$12   label="SU: Sample Unit Identifier";           
attrib  spanel       length=4     label="SU: Sample Code - Indicates Panel Year";
attrib  swave        length=3     label="SU: Wave of data collection";          
attrib  srotaton     length=3     label="SU: Rotation of data collection";      
attrib  srefmon      length=3     label="SU: Reference month of this record";   
attrib  rhcalmn      length=3     label="SU: Calendar month for this reference month.";
attrib  rhcalyr      length=4     label="SU: Calendar year for this reference month";
attrib  shhadid      length=3     label="SU: Hhld Address ID differentiates hhlds in";
attrib  gvarstr      length=3     label="SU: Variance Stratum Code";            
attrib  ghlfsam      length=3     label="SU: Half Sample Code";                 
attrib  grgc         length=3     label="SU: Reduction Group Code";             
attrib  tfipsst      length=3     label="HH: FIPS State Code";                  
attrib  tmovrflg     length=3     label="PE: Mover flag";                       
attrib  eoutcome     length=3     label="HH: Interview Status code for this household";
attrib  rhnf         length=3     label="HH: Number of families and pseudo families in";
attrib  rhnfam       length=3     label="HH: No. of fams and psuedo fams (excluding";
attrib  rhnsf        length=3     label="HH: Number of related subfamilies for this";
attrib  ehrefper     length=4     label="HH: Person number of household reference";
attrib  ehhnumpp     length=3     label="HH: Total number of persons in this household";
attrib  rhtype       length=3     label="HH: Household type";                   
attrib  whfnwgt      length=8     label="WW: Household weight";                 
attrib  tmetro       length=3     label="HH: Metro status";                     
attrib  rhchange     length=3     label="HH: Change in household composition from";
attrib  rhnssr       length=3     label="HH: Number of Social Security recipients in";
attrib  etenure      length=3     label="HH: Ownership status of living quarters";
attrib  atenure      length=3     label="HH: Allocation flag for ETENURE";      
attrib  epubhse      length=3     label="HH: Residence in public housing project";
attrib  apubhse      length=3     label="HH: Allocation flag for EPUBHSE";      
attrib  egvtrnt      length=3     label="HH: Receipt of government subsidized rent";
attrib  agvtrnt      length=3     label="HH: Allocation flag for EGVTRNT";      
attrib  tmthrnt      length=4     label="HH: Amount of monthly rent";           
attrib  amthrnt      length=3     label="HH: Allocation flag for TMTHRNT";      
attrib  ewrsect8     length=3     label="HH: Residence in Section 8 or other program";
attrib  awrsect8     length=3     label="HH: Allocation flag for EWRSECT8";     
attrib  eutilyn      length=3     label="HH: Payment of utilities in public housing";
attrib  autilyn      length=3     label="HH: Allocation flag for EUTILYN";      
attrib  eegyast      length=3     label="HH: Receipt of energy assistance";     
attrib  aegyast      length=3     label="HH: Allocation Flag for EEGYAST";      
attrib  eegypmt1     length=3     label="HH: Energy assistance payment by check";
attrib  eegypmt2     length=3     label="HH: Energy assistance payment by coupons";
attrib  eegypmt3     length=3     label="HH: Energy assist paymnt to utils, fuel";
attrib  aegypmt      length=3     label="HH: Allocation flag for EEGYPMT1-EEGYPMT3";
attrib  eegyamt      length=4     label="HH: Amount of energy assistance";      
attrib  aegyamt      length=3     label="HH: Allocation flag for EEGYAMT";      
attrib  ehotlunc     length=3     label="HH: Receipt of a school lunch";        
attrib  ahotlunc     length=3     label="HH: Allocation flag for EHOTLUNC";     
attrib  rnklun       length=3     label="HH: Number of children receiving lunch at";
attrib  efreelun     length=3     label="HH: Qualify for free or reduced price school";
attrib  afreelun     length=3     label="HH: Allocation flag for EFREELUN";     
attrib  efrerdln     length=3     label="HH: Were the lunches free or reduced price?";
attrib  afrerdln     length=3     label="HH: Allocation flag for EFRERDLN";     
attrib  ebrkfst      length=3     label="HH: Receipt of school breakfast";      
attrib  abrkfst      length=3     label="HH: Allocation flag for EBRKFST";      
attrib  rnkbrk       length=3     label="HH: Number of children receiving complete";
attrib  efreebrk     length=3     label="HH: Qualify for free or reduced price";
attrib  afreebrk     length=3     label="HH: Allocation flag for EFREEBRK";     
attrib  efrerdbk     length=3     label="HH: Were they free or reduced price?"; 
attrib  afrerdbk     length=3     label="HH: Allocation flag for EFRERDBK";     
attrib  rprgques     length=3     label="HH: Flag indicating transfer of program";
attrib  thearn       length=5     label="HH: Total household earned income";    
attrib  thprpinc     length=5     label="HH: Total household property income";  
attrib  thtrninc     length=5     label="HH: Total household means-tested cash";
attrib  thothinc     length=5     label="HH: Total 'other' household income";   
attrib  thtotinc     length=5     label="HH: Total household income";           
attrib  rhnbrf       length=3     label="HH: Household noncash benefits receipt flag";
attrib  rhcbrf       length=3     label="HH: Household cash benefits receipt flag";
attrib  rhmtrf       length=3     label="HH: Household means-tested cash or noncash";
attrib  rhpov        length=4     label="HH: Poverty threshold for this household in";
attrib  thpndist     length=5     label="HH: Distributions from pension plans"; 
attrib  thlumpsm     length=5     label="HH: Retirement lump sum payments";     
attrib  thnoncsh     length=4     label="HH: Total Household Noncash Income Recode";
attrib  thsocsec     length=4     label="HH: Total Household Social Security Income";
attrib  thssi        length=4     label="HH: Total Household Supplemental Security";
attrib  thunemp      length=4     label="HH: Total Household Unemployment Income Recode";
attrib  thvets       length=4     label="HH: Total Household Veterans Payments Recode";
attrib  thafdc       length=4     label="HH: Total household public assistance payments";
attrib  thfdstp      length=4     label="HH: Total Household Food Stamps Received";
attrib  rfid         length=3     label="FA: Family ID Number for this month";  
attrib  rfid2        length=3     label="FA: Family ID excluding related subfamily";
attrib  efnp         length=3     label="FA: Number of persons in this family or";
attrib  efrefper     length=4     label="FA: Person number of the family reference";
attrib  efspouse     length=4     label="FA: Person number of spouse of family";
attrib  eftype       length=3     label="FA: Type of family (or pseudo-family)";
attrib  rfchange     length=3     label="FA: Change in family composition from";
attrib  efkind       length=3     label="FA: Kind of family (or pseudo-family)";
attrib  rfnkids      length=3     label="FA: Total number of children under 18 in";
attrib  rfownkid     length=3     label="FA: Number of own children in family"; 
attrib  rfoklt18     length=3     label="FA: Number of own children under 18 in family";
attrib  rfnssr       length=3     label="FA: Number of Social Security recipients in";
attrib  wffinwgt     length=8     label="WW: 'WPFINWGT' for head of family";    
attrib  tfearn       length=5     label="FA: Total family earned income for this month";
attrib  tfprpinc     length=5     label="FA: Total family property income for this";
attrib  tftrninc     length=5     label="FA: Total family means-tested cash transfers";
attrib  tfothinc     length=5     label="FA: Total 'other' family income for this month";
attrib  tftotinc     length=5     label="FA: Total family income for this month";
attrib  rfpov        length=4     label="FA: Poverty threshold for this family in this";
attrib  tfpndist     length=5     label="FA: Family distributions from pension plans";
attrib  tflumpsm     length=5     label="FA: Family retirement lump sum payments";
attrib  tfsocsec     length=4     label="FA: Total Family Social Security Income Recode";
attrib  tfssi        length=4     label="FA: Total Family Supplemental Security Income";
attrib  tfunemp      length=4     label="FA: Total Family Unemployment Income Recode";
attrib  tfvets       length=4     label="FA: Total Family Veterans Payments Recode";
attrib  tfafdc       length=4     label="FA: Total Family public assistance payments";
attrib  tffdstp      length=4     label="FA: Total Family Food Stamps Received Recode";
attrib  rsid         length=3     label="FA: Related or unrelated subfamily ID Number";
attrib  esfnp        length=3     label="SF: Number of persons in this related";
attrib  esfrfper     length=4     label="SF: Person number of the related subfamily";
attrib  esfspse      length=4     label="SF: Person number of spouse of related subfam";
attrib  esftype      length=3     label="SF: Type of family (or pseudo-family)";
attrib  esfkind      length=3     label="SF: Kind of family (or pseudo-family)";
attrib  rschange     length=3     label="SF: Change in related subfam composition from";
attrib  esownkid     length=3     label="SF: Number of own children in related";
attrib  esoklt18     length=3     label="SF: Number of own children under 18 in";
attrib  wsfinwgt     length=8     label="WW: 'WPFINWGT' for head of subfamily"; 
attrib  tsfearn      length=5     label="SF: Total related subfamily earned income for";
attrib  tsprpinc     length=5     label="SF: Total related subfamily property inc for";
attrib  tstrninc     length=5     label="SF: Total related subfamily means-tested cash";
attrib  tsothinc     length=5     label="SF: Total 'other' related subfamily income";
attrib  tstotinc     length=5     label="SF: Total related subfamily income for this";
attrib  rsfpov       length=4     label="SF: Poverty threshold for this related";
attrib  tspndist     length=5     label="SF: Related subfamily distributions from";
attrib  tslumpsm     length=5     label="SF: Related subfamily retirement lump sum";
attrib  tssocsec     length=4     label="SF: Total related subfamily Social Security";
attrib  tsssi        length=4     label="SF: Total related subfamily Supplemental";
attrib  tsvets       length=4     label="SF: Total related subfamily Veterans Payments";
attrib  tsunemp      length=4     label="SF: Total related subfamily unemployment";
attrib  tsafdc       length=4     label="SF: Total related subfamily public assistance";
attrib  tsfdstp      length=4     label="SF: Total related subfamily Food Stamps income";
attrib  eentaid      length=$3    label="PE: Address ID of hhld where person entered";
attrib  epppnum      length=$4    label="PE: Person number";                    
attrib  eppintvw     length=3     label="PE: Person's interview status";        
attrib  epopstat     length=3     label="PE: Population status based on age in 4th";
attrib  ebmnth       length=3     label="PE: Month of birth";                   
attrib  abmnth       length=3     label="PE: Allocation flag for EBMNTH";       
attrib  tbyear       length=4     label="PE: Year of birth";                    
attrib  abyear       length=3     label="PE: Allocation flag for TBYEAR";       
attrib  esex         length=3     label="PE: Sex of this person";               
attrib  asex         length=3     label="PE: Allocation flag for ESEX";         
attrib  erace        length=3     label="PE: The race(s) the respondent is";    
attrib  arace        length=3     label="PE: Allocation flag for ERACE";        
attrib  eorigin      length=3     label="PE: Spanish, Hispanic or Latino";      
attrib  aorigin      length=3     label="PE: Allocation flag for EORIGIN";      
attrib  ebornus      length=3     label="PE: Respondent was born in the U.S.";  
attrib  abornus      length=3     label="PE: Allocation flag for EBORNUS";      
attrib  ecitizen     length=3     label="PE: US Citizenship Status of Respondent";
attrib  acitizen     length=3     label="PE: Allocation flag for ECITIZEN";     
attrib  enatcit      length=3     label="PE: How the respondent became a US citizen";
attrib  anatcit      length=3     label="PE: Allocation flag for ENATCIT";      
attrib  espeak       length=3     label="HH: Speak language other than English";
attrib  aspeak       length=3     label="HH: Allocation flag for ESPEAK";       
attrib  tlang1       length=3     label="HH: What language is spoken at home";  
attrib  alang1       length=3     label="HH: Allocation flag for TLANG";        
attrib  ehowwell     length=3     label="HH: Ability to speak English";         
attrib  ahowwell     length=3     label="HH: Allocation flag for EHOWWELL";     
attrib  rlngisol     length=3     label="HH: Linguistic isolation";             
attrib  uevrwid      length=3     label="PE: UNEDITED VARIABLE - Has ... ever been";
attrib  uevrdiv      length=3     label="PE: UNEDITED VARIABLE - Has ... ever been";
attrib  eafnow       length=3     label="AF: Current Armed Forces status";      
attrib  aafnow       length=3     label="AF: Allocation flag for EAFNOW";       
attrib  eafever      length=3     label="AF: Lifetime Armed Forces status";     
attrib  aafever      length=3     label="AF: Allocation flag for EAFEVER";      
attrib  uaf1         length=3     label="AF: UNEDITED - From August 1990 to present";
attrib  uaf2         length=3     label="AF: UNEDITED - From September 1980 to July";
attrib  uaf3         length=3     label="AF: UNEDITED - From May 1975 to August 1980";
attrib  uaf4         length=3     label="AF: UNEDITED - From August 1964 - April 1975";
attrib  uaf5         length=3     label="AF: UNEDITED - Other service (All other";
attrib  evayn        length=3     label="AF: Receipt of payments from the VA this wave";
attrib  avayn        length=3     label="AF: Allocation flag for EVAYN";        
attrib  evettyp      length=3     label="AF: Type of Veteran's payments";       
attrib  avettyp      length=3     label="AF: Allocation flag for EVETTYP";      
attrib  evaques      length=3     label="AF: Veteran's annual income questionnaire";
attrib  avaques      length=3     label="AF: Allocation flag for EVAQUES";      
attrib  wpfinwgt     length=8     label="WW: Person weight";                    
attrib  esfr         length=3     label="PE: Subfamily relationship";           
attrib  esft         length=3     label="PE: Family type";                      
attrib  tage         length=3     label="PE: Age as of last birthday";          
attrib  aage         length=3     label="PE: Allocation flag for TAGE";         
attrib  errp         length=3     label="PE: Household relationship";           
attrib  arrp         length=3     label="PE: Allocation flag for ERRP";         
attrib  ems          length=3     label="PE: Marital status";                   
attrib  ams          length=3     label="PE: Allocation flag for EMS";          
attrib  epnspous     length=4     label="PE: Person number of spouse";          
attrib  apnspous     length=3     label="PE: Allocation flag for EPNSPOUS";     
attrib  epnmom       length=4     label="PE: Person number of mother";          
attrib  apnmom       length=3     label="PE: Allocation flag for EPNMOM";       
attrib  epndad       length=4     label="PE: Person number of father";          
attrib  apndad       length=3     label="PE: Allocation flag for EPNDAD";       
attrib  epnguard     length=4     label="PE: Person number of guardian";        
attrib  apnguard     length=3     label="PE: Allocation flag for EPNGUARD";     
attrib  etypmom      length=3     label="PE: Type of child to mother";          
attrib  atypmom      length=3     label="PE: Allocation flag for ETYPMOM";      
attrib  etypdad      length=3     label="PE: Type of child to father";          
attrib  atypdad      length=3     label="PE: Allocation flag for ETYPDAD";      
attrib  rdesgpnt     length=3     label="PE: Designated parent or guardian flag";
attrib  ulftmain     length=3     label="PE: UNEDITED VARIABLE - Main reason left";
attrib  uentmain     length=3     label="PE: UNEDITED VARIABLE - Main reason entered";
attrib  tpearn       length=5     label="PE: Total person's earned income for the";
attrib  tpprpinc     length=5     label="PE: Total property (asset) income for the";
attrib  tptrninc     length=5     label="PE: Total means-tested cash transfer for the";
attrib  tpothinc     length=5     label="PE: Total person's other income for the";
attrib  tptotinc     length=5     label="PE: Total person's income for the reference";
attrib  tppndist     length=4     label="PE: Distributions from pension plans"; 
attrib  tplumpsm     length=4     label="PE: Retirement lump sum payments";     
attrib  ehtlnyn      length=3     label="PE: Receipt of school lunch";          
attrib  ahtlnyn      length=3     label="PE: Allocation flag for EHTLNYN";      
attrib  ebkfsyn      length=3     label="PE: Receipt of breakfast under Fed School";
attrib  abkfsyn      length=3     label="PE: Allocation flag for EBKFSYN";      
attrib  rcutyp01     length=3     label="PE: Social Security coverage flag (ISS 1)";
attrib  rcuown01     length=4     label="PE: Person number of the owner of the SS";
attrib  rcutyp03     length=3     label="PE: Federal SSI coverage flag";        
attrib  rcuown03     length=4     label="PE: Person number of the owner of the Federal";
attrib  rcutyp04     length=3     label="PE: State SSI coverage flag";          
attrib  rcuown04     length=4     label="PE: Person number of the owner of the State";
attrib  rcutyp08     length=3     label="PE: Veteran payment coverage flag";    
attrib  rcuown8a     length=4     label="PE: Person number of the 1st owner of Vet.";
attrib  rcuown8b     length=4     label="PE: Person number of the 2nd owner of Vet.";
attrib  rcutyp20     length=3     label="PE: Public assistance payments program";
attrib  rcuown20     length=4     label="PE: Person number of owner of public"; 
attrib  rcutyp21     length=3     label="PE: General Assistance coverage flag"; 
attrib  rcuow21a     length=4     label="PE: Person number of first owner of Gen";
attrib  rcuow21b     length=4     label="PE: Person number of second owner of Gen";
attrib  rcutyp23     length=3     label="PE: Foster Child Care coverage flag";  
attrib  rcuown23     length=4     label="PE: Person number of owner of Foster Child";
attrib  rcutyp24     length=3     label="PE: Other welfare coverage flag";      
attrib  rcuow24a     length=4     label="PE: Person number of first owner of other";
attrib  rcuow24b     length=4     label="PE: Person number of second owner of other";
attrib  rcutyp25     length=3     label="PE: WIC coverage flag";                
attrib  rcuown25     length=4     label="PE: Person number of the owner of the WIC";
attrib  rcutyp27     length=3     label="PE: Food Stamp coverage flag";         
attrib  rcuown27     length=4     label="PE: Person number of the owner of the Food";
attrib  rcutyp57     length=3     label="PE: Medicaid coverage flag";           
attrib  rcuown57     length=4     label="PE: Person number of the owner of the";
attrib  rcutyp58     length=3     label="PE: Health insurance coverage flag";   
attrib  rcuow58a     length=4     label="PE: Person num. of first owner of health";
attrib  rcuow58b     length=4     label="PE: Person num. of second owner of health";
attrib  renroll      length=3     label="ED: Enrolled Full/Part sometime during 4";
attrib  arenroll     length=3     label="ED: Allocation flag for RENROLL";      
attrib  eenrlm       length=3     label="ED: Enrollment status in this month";  
attrib  aenrlm       length=3     label="ED: Allocation flag for EENRLM";       
attrib  renrlma      length=3     label="ED: Full period enrollment status";    
attrib  eenlevel     length=3     label="ED: Level or grade enrolled";          
attrib  aenlevel     length=3     label="ED: Allocation flag for EENLEVEL";     
attrib  eedfund      length=3     label="ED: Educational assistance";           
attrib  aedfund      length=3     label="ED: Allocation flag for EEDFUND";      
attrib  easst01      length=3     label="ED: Federal Pell Grant";               
attrib  easst03      length=3     label="ED: Assistance from college (or fed) work";
attrib  easst04      length=3     label="ED: Other Federal Grant or Program, e.g.,";
attrib  easst05      length=3     label="ED: Loan that has to be repaid (Stafford,";
attrib  easst06      length=3     label="ED: Grant, Scholarship, or Tuition remission";
attrib  easst07      length=3     label="ED: Teaching or Research Assistantship from";
attrib  easst08      length=3     label="ED: Grant/Scholarship from the state (SSIGP,";
attrib  easst09      length=3     label="ED: Grant/Scholarship from other source";
attrib  easst10      length=3     label="ED: Employer provided educational assistance";
attrib  easst11      length=3     label="ED: Other Financial Aid excl. aid from";
attrib  easst12      length=3     label="ED: Aid from a state or local welfare office";
attrib  aedasst      length=3     label="ED: Allocation flag for EASST01-EASST12";
attrib  eeducate     length=3     label="ED: Highest Degree received or grade completed";
attrib  aeducate     length=3     label="ED: Allocation flag for EEDUCATE";     
attrib  rged         length=3     label="ED: Completed high school by GED or";  
attrib  aged         length=3     label="ED: Allocation flag for RGED";         
attrib  evocat       length=3     label="ED: Attended vocational, technical, trade, or";
attrib  avocat       length=3     label="ED: Allocation flag for EVOCAT";       
attrib  rcollvoc     length=3     label="ED: Diploma or certificate from vocational";
attrib  acollvoc     length=3     label="ED: Allocation flag for RCOLLVOC";     
attrib  epdjbthn     length=3     label="LF: Paid job during the reference period";
attrib  apdjbthn     length=3     label="LF: Allocation flag for EPDJBTHN";     
attrib  eppflag      length=3     label="LF: Flag denoting imputation of labor force";
attrib  emax         length=3     label="LF: Number of weeks in the reference period";
attrib  ebuscntr     length=3     label="LF: Number of businesses owned during";
attrib  ejobcntr     length=3     label="LF: Number of jobs held during the reference";
attrib  eeveret      length=3     label="LF: Ever retired from a job";          
attrib  aeveret      length=3     label="LF: Allocation flag for EEVERET";      
attrib  edisabl      length=3     label="LF: Had a work-limiting physical or mental";
attrib  adisabl      length=3     label="LF: Allocation flag for EDISABL";      
attrib  edisprev     length=3     label="LF: Had work-preventing";              
attrib  adisprev     length=3     label="LF: Allocation flag for EDISPREV";     
attrib  ersnowrk     length=3     label="LF: Main reason for not having a job during";
attrib  arsnowrk     length=3     label="LF: Allocation flag for ERSNOWRK";     
attrib  eawop        length=3     label="LF: Had full-week unpaid absences from work";
attrib  aawop        length=3     label="LF: Allocation flag for EAWOP";        
attrib  eabre        length=3     label="LF: Main reason for being absent without pay";
attrib  aabre        length=3     label="LF: Allocation flag for EABRE";        
attrib  eptwrk       length=3     label="LF: Worked less than 35 hours some weeks";
attrib  aptwrk       length=3     label="LF: Allocation flag for EPTWRK";       
attrib  eptresn      length=3     label="LF: Main reason for working less than 35 hours";
attrib  aptresn      length=3     label="LF: Allocation flag for EPTRESN";      
attrib  elkwrk       length=3     label="LF: Spent time looking for work";      
attrib  alkwrk       length=3     label="LF: Allocation flag for ELKWRK";       
attrib  elayoff      length=3     label="LF: Spent time on layoff from a job";  
attrib  alayoff      length=3     label="LF: Allocation flag for ELAYOFF";      
attrib  rtakjob      length=3     label="LF: Could ... have started a job during";
attrib  rnotake      length=3     label="LF: Reason couldn't start job";        
attrib  ehrsall      length=3     label="LF: Usual hours worked at all jobs during the";
attrib  ahrsall      length=3     label="LF: Allocation flag for EHRSALL";      
attrib  emoonlit     length=3     label="LF: Income from additional work";      
attrib  amoonlit     length=3     label="LF: Allocation flag for EMOONLIT";     
attrib  tmlmsum      length=4     label="LF: Amount of income from moonlighting or";
attrib  amlmsum      length=3     label="LF: Allocation flag for TMLMSUM";      
attrib  ebflag       length=3     label="LF: Flag indicating worker with unknown job";
attrib  ecflag       length=3     label="LF: Flag indicating an other-work-arrangement";
attrib  rmesr        length=3     label="LF: Employment status recode for month";
attrib  rwkesr1      length=3     label="LF: Employment Status Recode for Week 1";
attrib  rwkesr2      length=3     label="LF: Employment Status Recode for Week 2";
attrib  rwkesr3      length=3     label="LF: Employment Status Recode for Week 3";
attrib  rwkesr4      length=3     label="LF: Employment Status Recode for Week 4";
attrib  rwkesr5      length=3     label="LF: Employment Status Recode for Week 5";
attrib  rmwkwjb      length=3     label="LF: Number of weeks with a job in month";
attrib  rmwksab      length=3     label="LF: Number of weeks absent without pay from";
attrib  awksab       length=3     label="LF: Allocation flag for RMWKSAB";      
attrib  rmwklkg      length=3     label="LF: Number of weeks looking for work/on";
attrib  awklkg       length=3     label="LF: Allocation flag for RMWKLKG";      
attrib  rmhrswk      length=3     label="LF: Usual hours worked per week recode in";
attrib  rwksperm     length=3     label="LF: Number of weeks in this month";    
attrib  eeno1        length=3     label="JB: Across-wave employer index/number";
attrib  estlemp1     length=3     label="JB: Still working for this employer";  
attrib  astlemp1     length=3     label="JB: Allocation flag for ESTLEMP1";     
attrib  tsjdate1     length=5     label="JB: Starting date of job";             
attrib  asjdate1     length=3     label="JB: Allocation flag for TSJDATE1";     
attrib  tejdate1     length=5     label="JB: Ending date of job";               
attrib  aejdate1     length=3     label="JB: Allocation flag for TEJDATE1";     
attrib  ersend1      length=3     label="JB: Main reason stopped working for employer";
attrib  arsend1      length=3     label="JB: Allocation flag for ERSEND1";      
attrib  ejbhrs1      length=3     label="JB: Usual hours worked per week at this job";
attrib  ajbhrs1      length=3     label="JB: Allocation flag for EJBHRS1";      
attrib  eemploc1     length=3     label="JB: Employer operations in more than one";
attrib  aemploc1     length=3     label="JB: Allocation flag for EEMPLOC1";     
attrib  tempall1     length=3     label="JB: Number of employees at all locations";
attrib  aempall1     length=3     label="JB: Allocation flag for EEMPALL1";     
attrib  tempsiz1     length=3     label="JB: Employees at worker's location";   
attrib  aempsiz1     length=3     label="JB: Allocation flag for EEMPSIZ1";     
attrib  eocctim1     length=3     label="JB: Length of time in this occupation";
attrib  aocctim1     length=3     label="JB: Allocation flag for EOCCTIM1";     
attrib  eclwrk1      length=3     label="JB: Class of worker";                  
attrib  aclwrk1      length=3     label="JB: Allocation flag for ECLWRK1";      
attrib  eunion1      length=3     label="JB: Union/employee-association membership";
attrib  aunion1      length=3     label="JB: Allocation flag for EUNION1";      
attrib  ecntrc1      length=3     label="JB: Coverage by union or something like a";
attrib  acntrc1      length=3     label="JB: Allocation flag for ECNTRC1";      
attrib  tpmsum1      length=4     label="JB: Earnings from job received in this month";
attrib  apmsum1      length=3     label="JB: Allocation flag for TPMSUM1";      
attrib  epayhr1      length=3     label="JB: Paid by the hour";                 
attrib  apayhr1      length=3     label="JB: Allocation flag for EPAYHR1";      
attrib  tpyrate1     length=8     label="JB: Regular hourly pay rate";          
attrib  apyrate1     length=3     label="JB: Allocation flag for TPYRATE1";     
attrib  rpyper1      length=3     label="JB: Frequency of payment at job";      
attrib  ejbind1      length=4     label="JB: Industry code";                    
attrib  ajbind1      length=3     label="JB: Allocation flag for EJBIND1";      
attrib  tjbocc1      length=4     label="JB: Occupation classification code";   
attrib  ajbocc1      length=3     label="JB: Allocation flag for TJBOCC1";      
attrib  eeno2        length=3     label="JB: Across-wave employer index/number";
attrib  estlemp2     length=3     label="JB: Still working for this employer";  
attrib  astlemp2     length=3     label="JB: Allocation flag for ESTLEMP2";     
attrib  tsjdate2     length=5     label="JB: Starting date of job";             
attrib  asjdate2     length=3     label="JB: Allocation flag for TSJDATE2";     
attrib  tejdate2     length=5     label="JB: Ending date of job";               
attrib  aejdate2     length=3     label="JB: Allocation flag for TEJDATE2";     
attrib  ersend2      length=3     label="JB: Main reason stopped working for employer";
attrib  arsend2      length=3     label="JB: Allocation flag for ERSEND2";      
attrib  ejbhrs2      length=3     label="JB: Usual hours worked per week at this job";
attrib  ajbhrs2      length=3     label="JB: Allocation flag for EJBHRS2";      
attrib  eemploc2     length=3     label="JB: Employer operations in more than one";
attrib  aemploc2     length=3     label="JB: Allocation flag for EEMPLOC2";     
attrib  tempall2     length=3     label="JB: Number of employees at all locations";
attrib  aempall2     length=3     label="JB: Allocation flag for EEMPALL2";     
attrib  tempsiz2     length=3     label="JB: Employees at worker's location";   
attrib  aempsiz2     length=3     label="JB: Allocation flag for EEMPSIZ1";     
attrib  eocctim2     length=3     label="JB: Length of time in this occupation";
attrib  aocctim2     length=3     label="JB: Allocation flag for EOCCTIM2";     
attrib  eclwrk2      length=3     label="JB: Class of worker";                  
attrib  aclwrk2      length=3     label="JB: Allocation flag for ECLWRK2";      
attrib  eunion2      length=3     label="JB: Union/employee-association membership";
attrib  aunion2      length=3     label="JB: Allocation flag for EUNION2";      
attrib  ecntrc2      length=3     label="JB: Coverage by union or something like a";
attrib  acntrc2      length=3     label="JB: Allocation flag for ECNTRC2";      
attrib  tpmsum2      length=4     label="JB: Earnings from job received in this month";
attrib  apmsum2      length=3     label="JB: Allocation flag for TPMSUM2";      
attrib  epayhr2      length=3     label="JB: Paid by the hour";                 
attrib  apayhr2      length=3     label="JB: Allocation flag for EPAYHR2";      
attrib  tpyrate2     length=8     label="JB: Regular hourly pay rate";          
attrib  apyrate2     length=3     label="JB: Allocation flag for TPYRATE2";     
attrib  rpyper2      length=3     label="JB: Frequency of payment at job";      
attrib  ejbind2      length=4     label="JB: Industry code";                    
attrib  ajbind2      length=3     label="JB: Allocation flag for EJBIND2";      
attrib  tjbocc2      length=4     label="JB: Occupational classification code"; 
attrib  ajbocc2      length=3     label="JB: Allocation flag for TJBOCC2";      
attrib  ebno1        length=3     label="BS: Across-wave business index/number";
attrib  ebiznow1     length=3     label="BS: Ownership of business";            
attrib  abiznow1     length=3     label="BS: Allocation flag for EBIZNOW1";     
attrib  tsbdate1     length=5     label="BS: Date operation of business began"; 
attrib  asbdate1     length=3     label="BS: Allocation flag for TSBDATE1";     
attrib  tebdate1     length=5     label="BS: Date operation of business ended"; 
attrib  aebdate1     length=3     label="BS: Allocation flag for TEBDATE1";     
attrib  erendb1      length=3     label="BS: Reason business ended";            
attrib  arendb1      length=3     label="BS: Allocation flag for ERENDB1";      
attrib  ehrsbs1      length=3     label="BS: Usual hours worked per week";      
attrib  ahrsbs1      length=3     label="BS: Allocation flag for EHRSBS1";      
attrib  egrosb1      length=3     label="BS: Anticipated gross-earnings level"; 
attrib  agrosb1      length=3     label="BS: Allocation flag for EGROSB1";      
attrib  egrssb1      length=3     label="BS: Earnings level last 12 months";    
attrib  agrssb1      length=3     label="BS: Allocation flag for EGRSSB1";      
attrib  tempb1       length=3     label="BS: Maximum number of employees";      
attrib  aempb1       length=3     label="BS: Allocation flag for EEMPB1";       
attrib  eincpb1      length=3     label="BS: Incorporated business";            
attrib  aincpb1      length=3     label="BS: Allocation flag for EINCPB1";      
attrib  epropb1      length=3     label="BS: Type of proprietorship";           
attrib  apropb1      length=3     label="BS: Allocation flag for EPROPB1";      
attrib  ehprtb1      length=3     label="BS: Other owners/partners in household";
attrib  ahprtb1      length=3     label="BS: Allocation flag for EHPRTB1";      
attrib  eslryb1      length=3     label="BS: Salary draw from business";        
attrib  aslryb1      length=3     label="BS: Allocation flag for ESLRYB1";      
attrib  eoincb1      length=3     label="BS: Receipt of non-salary income";     
attrib  aoincb1      length=3     label="BS: Allocation flag for EOINCB1";      
attrib  tprftb1      length=4     label="BS: Net profit or loss";               
attrib  aprftb1      length=3     label="BS: Allocation flag for TPRFTB1";      
attrib  tbmsum1      length=4     label="BS: Income received this month";       
attrib  abmsum1      length=3     label="BS: Allocation flag for TBMSUM1";      
attrib  epartb11     length=4     label="BS: Person number of partner 1";       
attrib  epartb21     length=4     label="BS: Person number of partner 2";       
attrib  epartb31     length=4     label="BS: Person number of partner 3";       
attrib  tbsind1      length=3     label="BS: Industry code";                    
attrib  absind1      length=3     label="BS: Allocation flag for TBSIND1";      
attrib  tbsocc1      length=4     label="BS: Occupation code";                  
attrib  absocc1      length=3     label="BS: Allocation flag for TBSOCC1";      
attrib  ebno2        length=3     label="BS: Across-wave business index/number";
attrib  ebiznow2     length=3     label="BS: Ownership of business";            
attrib  abiznow2     length=3     label="BS: Allocation flag for EBIZNOW2";     
attrib  tsbdate2     length=5     label="BS: Date operation of business began"; 
attrib  asbdate2     length=3     label="BS: Allocation flag for TSBDATE2";     
attrib  tebdate2     length=5     label="BS: Date operation of business ended"; 
attrib  aebdate2     length=3     label="BS: Allocation flag for TEBDATE2";     
attrib  erendb2      length=3     label="BS: Reason business ended";            
attrib  arendb2      length=3     label="BS: Allocation flag for ERENDB2";      
attrib  ehrsbs2      length=3     label="BS: Usual hours worked per week";      
attrib  ahrsbs2      length=3     label="BS: Allocation flag for EHRSBS2";      
attrib  egrosb2      length=3     label="BS: Anticipated gross-earnings level"; 
attrib  agrosb2      length=3     label="BS: Allocation flag for EGROSB2";      
attrib  egrssb2      length=3     label="BS: Earnings level last 12 months";    
attrib  agrssb2      length=3     label="BS: Allocation flag for EGRSSB2";      
attrib  tempb2       length=3     label="BS: Maximum number of employees";      
attrib  aempb2       length=3     label="BS: Allocation flag for EEMPB2";       
attrib  eincpb2      length=3     label="BS: Incorporated business";            
attrib  aincpb2      length=3     label="BS: Allocation flag for EINCPB2";      
attrib  epropb2      length=3     label="BS: Type of proprietorship";           
attrib  apropb2      length=3     label="BS: Allocation flag for EPROPB2";      
attrib  ehprtb2      length=3     label="BS: Other owners/partners in household";
attrib  ahprtb2      length=3     label="BS: Allocation flag for EHPRTB2";      
attrib  eslryb2      length=3     label="BS: Salary draw from business";        
attrib  aslryb2      length=3     label="BS: Allocation flag for ESLRYB2";      
attrib  eoincb2      length=3     label="BS: Receipt of non-salary income";     
attrib  aoincb2      length=3     label="BS: Allocation flag for EOINCB2";      
attrib  tprftb2      length=4     label="BS: Net profit or loss";               
attrib  aprftb2      length=3     label="BS: Allocation flag for TPRFTB2";      
attrib  tbmsum2      length=4     label="BS: Income received this month";       
attrib  abmsum2      length=3     label="BS: Allocation flag for TBMSUM2";      
attrib  epartb12     length=4     label="BS: Person number of partner 1";       
attrib  epartb22     length=4     label="BS: Person number of partner 2";       
attrib  epartb32     length=4     label="BS: Person number of partner 3";       
attrib  tbsind2      length=3     label="BS: Industry code";                    
attrib  absind2      length=3     label="BS: Allocation flag for TBSIND2";      
attrib  tbsocc2      length=4     label="BS: Occupation code";                  
attrib  absocc2      length=3     label="BS: Allocation flag for TBSOCC2";      
attrib  euectyp5     length=3     label="GI: Receipt of State unemployment comp. (ISS";
attrib  auectyp5     length=3     label="GI: Allocation flag for EUECTYP5";     
attrib  euectyp6     length=3     label="GI: Receipt of Supplemental Unemployment";
attrib  auectyp6     length=3     label="GI: Allocation flag for EUECTYP6";     
attrib  elmptyp1     length=3     label="GI: Receipt of lump sum from";         
attrib  almptyp1     length=3     label="GI: Allocation flag for ELMPTYP1";     
attrib  elmptyp2     length=3     label="GI: Receipt of severance pay (ISS Code 15)";
attrib  almptyp2     length=3     label="GI: Allocation flag for ELMPTYP2";     
attrib  elmptyp3     length=3     label="GI: Receipt of other type of lump sum payment";
attrib  almptyp3     length=3     label="GI: Allocation flag for ALMPTYP3";     
attrib  essself      length=3     label="GI: Receipt of Social Security payments for";
attrib  assself      length=3     label="GI: Allocation flag for ESSSELF";      
attrib  esschild     length=3     label="GI: Receipt of Social Security payments for";
attrib  asschild     length=3     label="GI: Allocation flag for ESSCHILD";     
attrib  essichld     length=3     label="GI: Receipt of SSI for children (ISS Code 3)";
attrib  assichld     length=3     label="GI: Allocation flag for ESSICHLD";     
attrib  essiself     length=3     label="GI: Receipt of SSI for self (ISS Code 3)";
attrib  assiself     length=3     label="GI: Allocation flag for ESSISELF";     
attrib  estssi       length=3     label="GI: Receipt of State administered SSI (ISS";
attrib  astssi       length=3     label="GI: Allocation flag for ESTSSI";       
attrib  rwcmprsn     length=3     label="GI: Reason for receipt of workers'";   
attrib  awcmprsn     length=3     label="GI: Allocation flag for RWCMPRSN";     
attrib  rinsrsn      length=3     label="GI: Reason for payment from own insurance";
attrib  ainsrsn      length=3     label="GI: Allocation flag for RINSRSN";      
attrib  rempdrsn     length=3     label="GI: Reason for receipt of employer disability";
attrib  aempdrsn     length=3     label="GI: Allocation flag for REMPDRSN";     
attrib  rpensrsn     length=3     label="GI: Reason for pension from company or union";
attrib  apensrsn     length=3     label="GI: Allocation flag for RPENSRSN";     
attrib  rfcsrsn      length=3     label="GI: Reason for receipt of federal civilian";
attrib  afcsrsn      length=3     label="GI: Allocation flag for RFCSRSN";      
attrib  rstatrsn     length=3     label="GI: Reason for receipt of state government";
attrib  astatrsn     length=3     label="GI: Allocation flag for RSTATRSN";     
attrib  rlgovrsn     length=3     label="GI: Reason for receipt of local government";
attrib  algovrsn     length=3     label="GI: Allocation flag for RLGOVRSN";     
attrib  rmilrsn      length=3     label="GI: Reason for receipt of U.S. military";
attrib  amilrsn      length=3     label="GI: Allocation flag for RMILRSN";      
attrib  rrrsn        length=3     label="GI: Reason for receipt of Railroad Retirement";
attrib  arrrsn       length=3     label="GI: Allocation flag RRRSN";            
attrib  rothrrsn     length=3     label="GI: Reason for receipt of 'other' retirement";
attrib  aothrrsn     length=3     label="GI: Allocation flag for ROTHRRSN";     
attrib  rlifirsn     length=3     label="GI: Reason for payments from paid-up life";
attrib  alifirsn     length=3     label="GI: Allocation flag for RLIFIRSN";     
attrib  rvetsrsn     length=3     label="GI: Reason for receipt of Veterans' comp. or";
attrib  avetsrsn     length=3     label="GI: Allocation flag for RVETSRSN";     
attrib  restarsn     length=3     label="GI: Reason for receiving income from estates";
attrib  aestarsn     length=3     label="GI: Allocation flag for RESTARSN";     
attrib  efccyn       length=3     label="GI: Receipt of foster child care payments";
attrib  afccyn       length=3     label="GI: Allocation flag for EFCCYN";       
attrib  ecsyn        length=3     label="GI: Receipt of child support payments (ISS";
attrib  acsyn        length=3     label="GI: Allocation flag for ECSYN";        
attrib  ealiyn       length=3     label="GI: Receipt of alimony payments (ISS Code 29)";
attrib  aaliyn       length=3     label="GI: Allocation flag for EALIYN";       
attrib  efsyn        length=3     label="GI: Receipt of food stamps (ISS Code 27)";
attrib  afsyn        length=3     label="GI: Allocation flag for EFSYN";        
attrib  epssthru     length=3     label="GI: Receipt of child support as bonus/passthru";
attrib  apssthru     length=3     label="GI: Allocation flag for EPSSTHRU";     
attrib  epaothr1     length=3     label="GI: Whether ... received transportation";
attrib  apaothr1     length=3     label="GI: Allocation flag for EPAOTHR1";     
attrib  epaothr2     length=3     label="GI: Whether ... child care services or";
attrib  apaothr2     length=3     label="GI: Allocation flag for EPAOTHR2";     
attrib  epaothr3     length=3     label="GI: Whether ... received food assistance";
attrib  apaothr3     length=3     label="GI: Allocation flag for EPAOTHR3";     
attrib  epaothr4     length=3     label="GI: Whether ... received clothing assistance";
attrib  apaothr4     length=3     label="GI: Allocation flag for EPAOTHR4";     
attrib  epaothr5     length=3     label="GI: Whether ... received housing assistance";
attrib  apaothr5     length=3     label="GI: Allocation flag for EPAOTHR5";     
attrib  epaothr6     length=3     label="GI: Whether ... received welfare assistance";
attrib  apaothr6     length=3     label="GI: Allocation flag for EPAOTHR6";     
attrib  ewelact1     length=3     label="GI: Attend classes to improve basic reading";
attrib  awelact1     length=3     label="GI: Allocation flag for EWELACT1";     
attrib  ewelac21     length=3     label="GI: Attend job readiness to learn";    
attrib  awelac21     length=3     label="GI: Allocation flag for EWELAC21";     
attrib  ewelac22     length=3     label="GI: Attend job search program or job club";
attrib  awelac22     length=3     label="GI: Allocation flag for EWELAC22";     
attrib  ewelac23     length=3     label="GI: Attend training to learn a specific job";
attrib  awelac23     length=3     label="GI: Allocation flag for EWELAC23";     
attrib  ewelact3     length=3     label="GI: Did ... attend job training";      
attrib  awelact3     length=3     label="GI: Allocation flag for EWELACT3";     
attrib  ewelact4     length=3     label="GI: Participate in a work experience"; 
attrib  awelact4     length=3     label="GI: Allocation flag for EWELACT4";     
attrib  ewrkexp1     length=3     label="GI: Already tell about this work/job"; 
attrib  awrkexp1     length=3     label="GI: Allocation flag for EWRKEXP1";     
attrib  ewhiexp1     length=3     label="GI: Which job because of arrangement"; 
attrib  awhiexp1     length=3     label="GI: Allocation flag for WHICHEXP1";    
attrib  ewrkexp2     length=3     label="GI: Worked to receive cash assistance";
attrib  awrkexp2     length=3     label="GI: Allocation flag for EWRKEXP2";     
attrib  ewrkexp3     length=3     label="GI: Worked in a work experience program";
attrib  awrkexp3     length=3     label="GI: Allocation flag for EWRKEXP3";     
attrib  ewhiexp2     length=3     label="GI: Which job worked to received cash";
attrib  awhiexp2     length=3     label="GI: Allocation flag for WHICHEXP2";    
attrib  ewicyn       length=3     label="GI: Recipiency of WIC (ISS Code 25)";  
attrib  awicyn       length=3     label="GI: Allocation flag for EWICYN";       
attrib  epatanf1     length=3     label="GI: Whether ... received TANF";        
attrib  epatanf2     length=3     label="GI: Whether ... received TANF";        
attrib  epatanf3     length=3     label="GI: Whether ... received TANF";        
attrib  epatanf4     length=3     label="GI: Whether ... received TANF";        
attrib  epatanf5     length=3     label="GI: Whether ... received AFDC assistance";
attrib  epatanf6     length=3     label="GI: Whether ... received other assistance";
attrib  apatanf      length=3     label="GI: Allocation flag for EPATANF1-EPATANF6";
attrib  easetdrw     length=3     label="GI: Receipt of income from IRA, 401k, or";
attrib  aasetdrw     length=3     label="GI: Allocation flag for EASETDRW";     
attrib  eresnss1     length=3     label="GI: First reason for receipt of Social";
attrib  aresnss1     length=3     label="GI: Allocation flag for ERESNSS1";     
attrib  eresnss2     length=3     label="GI: Second reason for receipt of Social";
attrib  aresnss2     length=3     label="GI: Allocation flag for ERESNSS2";     
attrib  tagess       length=3     label="GI: Age Social Security Disability payments";
attrib  aagess       length=3     label="GI: Allocation flag for TAGESS";       
attrib  ejntssyn     length=3     label="GI: Receipt of joint Social Security payments";
attrib  ajntssyn     length=3     label="GI: Allocation flag for EJNTSSYN";     
attrib  etrantp1     length=3     label="GI: Whether ... received transportation";
attrib  etrantp2     length=3     label="GI: Whether ... received transportation";
attrib  etrantp3     length=3     label="GI: Whether ... received transportation";
attrib  etrantp4     length=3     label="GI: Whether ... received transportation";
attrib  etrantp5     length=3     label="GI: Whether ... received transportation";
attrib  atrantp      length=3     label="GI: Allocation flag for ETRANTP1-ETRANTP5";
attrib  egassce1     length=3     label="GI: Whether ... gas vouchers -- gov't agency";
attrib  egassce2     length=3     label="GI: Whether ... gas vouchers -- someplace else";
attrib  agassce      length=3     label="GI: Allocation flag for EGASSCE1-EGASSCE2";
attrib  etoksce1     length=3     label="GI: Where ... received subway/bus";    
attrib  etoksce2     length=3     label="GI: Where ... received subway/bus";    
attrib  atoksce      length=3     label="GI: Allocation flag for ETOKSCE1-ETOKSCE2";
attrib  efoodtp1     length=3     label="GI: Food assistance received-money, vouchers";
attrib  efoodtp2     length=3     label="GI: Food assistance received-bags of groceries";
attrib  efoodtp3     length=3     label="GI: Food assistance received-meals from";
attrib  efoodtp4     length=3     label="GI: Food assistance received-other";   
attrib  afoodtyp     length=3     label="GI: Allocation flag for EFOODTP1-EFOODTP4";
attrib  efoodsc1     length=3     label="GI: Food assistance received-money, vouchers";
attrib  efoodsc2     length=3     label="GI: Food assistance received-bags of groceries";
attrib  efoodsc3     length=3     label="GI: Food assistance received-meals from";
attrib  efoodsc4     length=3     label="GI: Food assistance received-other";   
attrib  afoodsce     length=3     label="GI: Allocation flag for EFOODSC1-EFOODSC4";
attrib  eclothtp     length=3     label="GI: Type of clothing assistance ... received";
attrib  aclothtp     length=3     label="GI: Allocation flag for ECLOTHTP";     
attrib  eclthsc1     length=3     label="GI: Clothing assistance from-government agency";
attrib  eclthsc2     length=3     label="GI: Clothing assistance from-charity"; 
attrib  eclthsc3     length=3     label="GI: Clothing assistance from-family/friends";
attrib  eclthsc4     length=3     label="GI: Clothing assistance from-employer";
attrib  eclthsc5     length=3     label="GI: Clothing assistance from-some place else";
attrib  aclthsc      length=3     label="GI: Allocation flag for ECLTHSC1-ECLTHSC5";
attrib  epubhstp     length=3     label="GI: Type of housing assistance ... received";
attrib  apubhstp     length=3     label="GI: Allocation flag for EPUBHSTP";     
attrib  epubhsc1     length=3     label="GI: Source of ...'s housing";          
attrib  epubhsc2     length=3     label="GI: Source of ...'s housing";          
attrib  epubhsc3     length=3     label="GI: Source of ...'s housing";          
attrib  epubhsc4     length=3     label="GI: Source of ...'s housing";          
attrib  apubhsc      length=3     label="GI: Allocation flag for EPAOTHR1";     
attrib  ecashsc1     length=3     label="GI: Type of cash assistance ...";      
attrib  ecashsc2     length=3     label="GI: Type of cash assistance ...";      
attrib  ecashsc3     length=3     label="GI: Type of cash assistance ...";      
attrib  ecashsc4     length=3     label="GI: Type of cash assistance ...";      
attrib  acashsce     length=3     label="GI: Allocation flag for ECASHSCE1-ECASHSCE4";
attrib  ecashgvt     length=3     label="GI: Cash assistance from which government";
attrib  acashgvt     length=3     label="GI: Allocation flag for CASHGVT";      
attrib  epacash1     length=3     label="GI: Whether ... or child received cash";
attrib  apacash1     length=3     label="GI: Allocation flag for EPACASH1";     
attrib  epacash2     length=3     label="GI: Whether ... received general assistance";
attrib  apacash2     length=3     label="GI: Allocation flag for EPACASH2";     
attrib  epacash3     length=3     label="GI: Whether ... received short-term cash";
attrib  apacash3     length=3     label="GI: Allocation flag for EPACASH3";     
attrib  er01a        length=3     label="GI: Receipt of Social Security - Adult (ISS";
attrib  ar01a        length=3     label="GI: Allocation flag for ER01A";        
attrib  er01k        length=3     label="GI: Receipt of Social Security - Child (ISS";
attrib  ar01k        length=3     label="GI: Allocation flag for ER01K";        
attrib  er02         length=3     label="GI: Receipt of Railroad Retirement (ISS Code";
attrib  ar02         length=3     label="GI: Allocation flag for ER02";         
attrib  er03a        length=3     label="GI: Receipt of Federal SSI - Adult (ISS Code";
attrib  ar03a        length=3     label="GI: Allocation flag for ER03A";        
attrib  er03k        length=3     label="GI: Receipt of Federal SSI - Child (ISS Code";
attrib  ar03k        length=3     label="GI: Allocation flag for ER03K";        
attrib  er04         length=3     label="GI: Receipt of State SSI (ISS Code 4)";
attrib  ar04         length=3     label="GI: Allocation flag for ER04";         
attrib  er05         length=3     label="GI: Receipt of State Unemployment Comp. (ISS";
attrib  ar05         length=3     label="GI: Allocation flag for ER05";         
attrib  er06         length=3     label="GI: Receipt of Supplemental Unemployment";
attrib  ar06         length=3     label="GI: Allocation flag for ER06";         
attrib  er08         length=3     label="GI: Receipt of Veterans' Compensation (ISS";
attrib  ar08         length=3     label="GI: Allocation flag for ER08";         
attrib  er10         length=3     label="GI: Receipt of Workers Compensation (ISS Code";
attrib  ar10         length=3     label="GI: Allocation flag for ER10";         
attrib  er13         length=3     label="GI: Receipt of own sickness, accident";
attrib  ar13         length=3     label="GI: Allocation flag for ER13";         
attrib  er14         length=3     label="GI: Receipt of Employer Disability Payments";
attrib  ar14         length=3     label="GI: Allocation flag for ER14";         
attrib  er15         length=3     label="GI: Receipt of Severance Pay (ISS Code 15)";
attrib  ar15         length=3     label="GI: Allocation flag for ER15";         
attrib  er20         length=3     label="GI: Receipt of public assistance payments";
attrib  ar20         length=3     label="GI: Allocation flag for ER20";         
attrib  er21         length=3     label="GI: Receipt of General Assistance or General";
attrib  ar21         length=3     label="GI: Allocation flag for ER21";         
attrib  er23         length=3     label="GI: Receipt of Foster Child Care Payments";
attrib  ar23         length=3     label="GI: Allocation flag for ER23";         
attrib  er24         length=3     label="GI: Receipt of Other Welfare (ISS Code 24)";
attrib  ar24         length=3     label="GI: Allocation flag for ER24";         
attrib  er25         length=3     label="GI: Receipt of WIC (ISS Code 25)";     
attrib  ar25         length=3     label="GI: Allocation flag for ER25";         
attrib  er26         length=3     label="GI: Receipt of Pass Through Child Support";
attrib  ar26         length=3     label="GI: Allocation flag for ER26";         
attrib  er27         length=3     label="GI: Receipt of Food Stamps (ISS Code 27)";
attrib  ar27         length=3     label="GI: Allocation flag for ER27";         
attrib  er28         length=3     label="GI: Receipt of Child Support Payments (ISS";
attrib  ar28         length=3     label="GI: Allocation flag for ER28";         
attrib  er29         length=3     label="GI: Receipt of Alimony Payments (ISS Code 29)";
attrib  ar29         length=3     label="GI: Allocation flag for ER29";         
attrib  er30         length=3     label="GI: Receipt of pension from a company or union";
attrib  ar30         length=3     label="GI: Allocation flag for ER30";         
attrib  er31         length=3     label="GI: Receipt of Federal Civil Service Pension";
attrib  ar31         length=3     label="GI: Allocation flag for ER31";         
attrib  er32         length=3     label="GI: Receipt of U.S. Military Retirement Pay";
attrib  ar32         length=3     label="GI: Allocation flag for ER32";         
attrib  er34         length=3     label="GI: Receipt of State Government Pension (ISS";
attrib  ar34         length=3     label="GI: Allocation flag for ER34";         
attrib  er35         length=3     label="GI: Receipt of Local Government Pension (ISS";
attrib  ar35         length=3     label="GI: Allocation flag for ER35";         
attrib  er36         length=3     label="GI: Receipt of paid-up life insurance annuity";
attrib  ar36         length=3     label="GI: Allocation flag for ER36";         
attrib  er38         length=3     label="GI: Receipt of other retirement, disability";
attrib  ar38         length=3     label="GI: Allocation flag for ER38";         
attrib  er39         length=3     label="GI: Receipt of Pension/Retirement Lump Sums";
attrib  ar39         length=3     label="GI: Allocation flag for ER39";         
attrib  er42         length=3     label="GI: Receipt of draw from IRA/Keough/401k or";
attrib  ar42         length=3     label="GI: Allocation flag for ER42";         
attrib  er51         length=3     label="GI: Receipt of money from relatives or friends";
attrib  ar51         length=3     label="GI: Allocation flag for ER51";         
attrib  er52         length=3     label="GI: Receipt of lump sum payments (ISS Code 52)";
attrib  ar52         length=3     label="GI: Allocation flag for ER52";         
attrib  er55         length=3     label="GI: Receipt of incidental or casual earnings";
attrib  ar55         length=3     label="GI: Allocation flag for ER55";         
attrib  er56         length=3     label="GI: Receipt of miscellaneous cash income (ISS";
attrib  ar56         length=3     label="GI: Allocation flag for ER56";         
attrib  er60g        length=3     label="GI: Receipt of transportation assistance-gas";
attrib  ar60g        length=3     label="GI: Allocation flag for ER60G";        
attrib  er60t        length=3     label="GI: Receipt of transportation";        
attrib  ar60t        length=3     label="GI: Allocation flag for ER60T";        
attrib  er61         length=3     label="GI: Receipt of food assistance (ISS Code 61)";
attrib  ar61         length=3     label="GI: Allocation flag for ER61";         
attrib  er62         length=3     label="GI: Receipt of clothing assistance (ISS Code";
attrib  ar62         length=3     label="GI: Allocation flag for ER62";         
attrib  er64         length=3     label="GI: Receipt of short-term assistance (ISS";
attrib  ar64         length=3     label="GI: Allocation flag for ER64";         
attrib  er75         length=3     label="GI: Receipt of other government income (ISS";
attrib  ar75         length=3     label="GI: Allocation flag for ER75";         
attrib  t01amta      length=4     label="GI: Amount of Social Security - Adult (ISS";
attrib  a01amta      length=3     label="GI: Allocation flag for T01AMTA";      
attrib  t01amtk      length=4     label="GI: Amount of Social Security - Child (ISS";
attrib  a01amtk      length=3     label="GI: Allocation flag for T01AMTK";      
attrib  t02amt       length=4     label="GI: Amount of Railroad Retirement (ISS Code 2)";
attrib  a02amt       length=3     label="GI: Allocation flag for T02AMT";       
attrib  t03amta      length=4     label="GI: Amount of Federal SSI - Adult (ISS Code 3)";
attrib  a03amta      length=3     label="GI: Allocation flag for T03AMTA";      
attrib  t03amtk      length=4     label="GI: Amount of Federal SSI - Child (ISS Code 3)";
attrib  a03amtk      length=3     label="GI: Allocation flag for T03AMTK";      
attrib  t04amt       length=4     label="GI: Amount of State SSI (ISS Code 4)"; 
attrib  a04amt       length=3     label="GI: Allocation flag for T04AMT";       
attrib  t05amt       length=4     label="GI: Amount of State unemployment compensation";
attrib  a05amt       length=3     label="GI: Allocation flag for T05AMT";       
attrib  t06amt       length=4     label="GI: Amount of Supplemental Unemployment";
attrib  a06amt       length=3     label="GI: Allocation flag for T06AMT";       
attrib  t08amt       length=4     label="GI: Amount of Veterans compensation or pension";
attrib  a08amt       length=3     label="GI: Allocation flag for T08AMT";       
attrib  t10amt       length=4     label="GI: Amount of workers' compensation (ISS Code";
attrib  a10amt       length=3     label="GI: Allocation flag for T10AMT";       
attrib  t13amt       length=4     label="GI: Amount of own sickness, accident,";
attrib  a13amt       length=3     label="GI: Allocation flag for T13AMT";       
attrib  t14amt       length=4     label="GI: Amount of employer disability payments";
attrib  a14amt       length=3     label="GI: Allocation flag for T14AMT";       
attrib  t15amt       length=4     label="GI: Amount of severance pay (ISS Code 15)";
attrib  a15amt       length=3     label="GI: Allocation flag for T15AMT";       
attrib  t20amt       length=4     label="GI: Amount of public assistance payments (ISS";
attrib  a20amt       length=3     label="GI: Allocation flag for T20AMT";       
attrib  t21amt       length=4     label="GI: Amount of General Assistance or General";
attrib  a21amt       length=3     label="GI: Allocation flag for T21AMT";       
attrib  t23amt       length=4     label="GI: Amount of foster child care payments (ISS";
attrib  a23amt       length=3     label="GI: Allocation flag for T23AMT";       
attrib  t24amt       length=4     label="GI: Amount of other welfare (ISS Code 24)";
attrib  a24amt       length=3     label="GI: Allocation flag for T24AMT";       
attrib  t25amt       length=4     label="GI: Amount of WIC payments (ISS Code 25)";
attrib  a25amt       length=3     label="GI: Allocation flag for T25AMT";       
attrib  t26amt       length=4     label="GI: Amount of pass-through child support";
attrib  a26amt       length=3     label="GI: Allocation flag for T26AMT";       
attrib  t27amt       length=4     label="GI: Amount of Food Stamps (ISS Code 27)";
attrib  a27amt       length=3     label="GI: Allocation flag for T27AMT";       
attrib  t28amt       length=4     label="GI: Amount of child support payments (ISS";
attrib  a28amt       length=3     label="GI: Allocation flag for T28AMT";       
attrib  t29amt       length=4     label="GI: Amount of alimony payments (ISS Code 29)";
attrib  a29amt       length=3     label="GI: Allocation flag for T29AMT";       
attrib  t30amt       length=4     label="GI: Amount of pension from a company or union";
attrib  a30amt       length=3     label="GI: Allocation flag for T30AMT";       
attrib  t31amt       length=4     label="GI: Amount of Federal Civil Service pension";
attrib  a31amt       length=3     label="GI: Allocation flag for T31AMT";       
attrib  t32amt       length=4     label="GI: Amount of U.S. Military retirement pay";
attrib  a32amt       length=3     label="GI: Allocation flag for T32AMT";       
attrib  t34amt       length=4     label="GI: Amount of State government pension (ISS";
attrib  a34amt       length=3     label="GI: Allocation flag for T34AMT";       
attrib  t35amt       length=4     label="GI: Amount of local government pension (ISS";
attrib  a35amt       length=3     label="GI: Allocation flag for T35AMT";       
attrib  t36amt       length=4     label="GI: Amount of income from paid-up life";
attrib  a36amt       length=3     label="GI: Allocation flag for T36AMT";       
attrib  t38amt       length=4     label="GI: Amt. from other retirement, disability or";
attrib  a38amt       length=3     label="GI: Allocation flag for T38AMT";       
attrib  t39amt       length=4     label="GI: Amount of pension/retirement lump sums";
attrib  a39amt       length=3     label="GI: Allocation flag for T39AMT";       
attrib  t42amt       length=4     label="GI: Amount of draw from an IRA/Keough/401k or";
attrib  a42amt       length=3     label="GI: Allocation flag for T42AMT";       
attrib  t51amt       length=4     label="GI: Amount of money from relatives or friends";
attrib  a51amt       length=3     label="GI: Allocation flag for T51AMT";       
attrib  t52amt       length=4     label="GI: Amount of lump sum payments (ISS Code 52)";
attrib  a52amt       length=3     label="GI: Allocation flag for T52AMT";       
attrib  t55amt       length=4     label="GI: Amount of incidental or casual earnings";
attrib  a55amt       length=3     label="GI: Allocation flag for T55AMT";       
attrib  t56amt       length=4     label="GI: Amount of miscellaneous cash income";
attrib  a56amt       length=3     label="GI: Allocation flag for T56AMT";       
attrib  t60amtg      length=4     label="GI: Amount of transportation assistance-gas";
attrib  a60amtg      length=3     label="GI: Allocation flag for T60AMTG";      
attrib  t60amtt      length=4     label="GI: Amount of transportation";         
attrib  a60amtt      length=3     label="GI: Allocation flag for T60AMTT";      
attrib  t61amt       length=4     label="GI: Amount of food assistance";        
attrib  a61amt       length=3     label="GI: Allocation flag for T61AMT";       
attrib  t62amt       length=4     label="GI: Amount of clothing assistance";    
attrib  a62amt       length=3     label="GI: Allocation flag for T62AMT";       
attrib  t64amt       length=4     label="GI: Amount of short-term cash assistance";
attrib  a64amt       length=3     label="GI: Allocation flag for T64AMT";       
attrib  t75amt       length=4     label="GI: Amount of other government income (ISS";
attrib  a75amt       length=3     label="GI: Allocation flag for T75AMT";       
attrib  tcsagy       length=4     label="GI: Amount received by Agency on ...'s behalf";
attrib  acsagy       length=3     label="GI: Allocation flag for TCSAGY";       
attrib  erolovr1     length=3     label="GI: Money rolled over into IRA/other type of";
attrib  arolovr1     length=3     label="GI: Allocation flag for EROLOVR1";     
attrib  erolovr2     length=3     label="GI: Plan to roll over money into IRA/other";
attrib  arolovr2     length=3     label="GI: Allocation flag for EROLOVR2";     
attrib  trollamt     length=5     label="GI: Amnt rolled over into retirement acct in";
attrib  arollamt     length=3     label="GI: Allocation flag for TROLLAMT";     
attrib  rab1r1       length=3     label="GI: First reason applied for Pub Asst/AFDC";
attrib  rab1r2       length=3     label="GI: Second reason applied for Pub Asst/AFDC";
attrib  rab2r1       length=3     label="GI: First reason applied for Pub Asst/AFDC";
attrib  rab2r2       length=3     label="GI: Second reason applied for Pub Asst/AFDC";
attrib  ras1         length=3     label="GI: Reason stopped AFDC/TANF the first time";
attrib  ras2         length=3     label="GI: Reason stopped AFDC/TANF the first time";
attrib  rwb1r1       length=3     label="GI: First reason for applying for WIC the 1st";
attrib  rwb1r2       length=3     label="GI: Second reason for applying for WIC the";
attrib  rwb2r1       length=3     label="GI: First reason for applying for WIC the 2nd";
attrib  rwb2r2       length=3     label="GI: Second reason for applying for WIC the";
attrib  rws1         length=3     label="GI: Reason for stopping WIC the first time";
attrib  rws2         length=3     label="GI: Reason for stopping WIC the second time";
attrib  rfb1r1       length=3     label="GI: First reason for applying for Food Stamps";
attrib  rfb1r2       length=3     label="GI: 2nd reason for applying for Food Stamps";
attrib  rfb2r1       length=3     label="GI: 1st reason for applying for Food Stamps";
attrib  rfb2r2       length=3     label="GI: 2nd reason for applying for Food Stamps";
attrib  rfs1         length=3     label="GI: Reason for stopping Food Stamps the first";
attrib  rfs2         length=3     label="GI: Reason for stopping Food Stamps the";
attrib  rgb1r1       length=3     label="GI: 1st reason applying for General Asst the";
attrib  rgb1r2       length=3     label="GI: 2nd reason applying for General Asst the";
attrib  rgb2r1       length=3     label="GI: 1st reason applying for General Asst the";
attrib  rgb2r2       length=3     label="GI: 2nd reason applying for General Asst the";
attrib  rgs1         length=3     label="GI: Reason for stopping General Assist the";
attrib  rgs2         length=3     label="GI: Reason for stopping General Assist the";
attrib  rob1r1       length=3     label="GI: 1st reason applying for Other Welfare the";
attrib  rob1r2       length=3     label="GI: 2nd reason applying for Other Welfare the";
attrib  rob2r1       length=3     label="GI: 1st reason applying for Other Welfare the";
attrib  rob2r2       length=3     label="GI: 2nd reason applying for Other Welfare the";
attrib  ros1         length=3     label="GI: Reason for stopping Other Welfare the";
attrib  ros2         length=3     label="GI: Reason for stopping Other Welfare the";
attrib  rsb1r1       length=3     label="GI: 1st reason applying for SSI the 1st time";
attrib  rsb1r2       length=3     label="GI: 2nd reason applying for SSI the 1st time";
attrib  rsb2r1       length=3     label="GI: 1st reason applying for SSI the 2nd time";
attrib  rsb2r2       length=3     label="GI: 2nd reason applying for SSI the 2nd time";
attrib  rss1         length=3     label="GI: Reason for stopping SSI the first time";
attrib  rss2         length=3     label="GI: Reason for stopping SSI the second time";
attrib  east1a       length=3     label="AS: U.S. government savings bonds owned";
attrib  aast1a       length=3     label="AS: Allocation flag for EAST1A";       
attrib  east1b       length=3     label="AS: IRA or Keogh account owned";       
attrib  aast1b       length=3     label="AS: Allocation flag for EAST1B";       
attrib  east1c       length=3     label="AS: 401k or thrift plan owned";        
attrib  aast1c       length=3     label="AS: Allocation flag for EAST1C";       
attrib  east2a       length=3     label="AS: Interest earning checking account owned";
attrib  aast2a       length=3     label="AS: Allocation flag for EAST2A";       
attrib  east2b       length=3     label="AS: Savings account owned";            
attrib  aast2b       length=3     label="AS: Allocation flag for EAST2B";       
attrib  east2c       length=3     label="AS: Money market deposit account owned";
attrib  aast2c       length=3     label="AS: Allocation flag for EAST2C";       
attrib  east2d       length=3     label="AS: Certificate of deposit owned";     
attrib  aast2d       length=3     label="AS: Allocation flag for EAST2D";       
attrib  east3a       length=3     label="AS: Mutual funds owned";               
attrib  aast3a       length=3     label="AS: Allocation flag for EAST3A";       
attrib  east3b       length=3     label="AS: Stocks owned";                     
attrib  aast3b       length=3     label="AS: Allocation flag for EAST3B";       
attrib  east3c       length=3     label="AS: Municipal or corporate bonds owned";
attrib  aast3c       length=3     label="AS: Allocation flag for EAST3C";       
attrib  east3d       length=3     label="AS: U.S. government securities owned"; 
attrib  aast3d       length=3     label="AS: Allocation flag for EAST3D";       
attrib  east3e       length=3     label="AS: Mortgage held";                    
attrib  aast3e       length=3     label="AS: Allocation flag for EAST3E";       
attrib  east4a       length=3     label="AS: Rental property owned";            
attrib  aast4a       length=3     label="AS: Allocation flag for EAST4A";       
attrib  east4b       length=3     label="AS: Royalty income received";          
attrib  aast4b       length=3     label="AS: Allocation flag for EAST4B";       
attrib  east4c       length=3     label="AS: Other financial investments owned";
attrib  aast4c       length=3     label="AS: Allocation flag for EAST4C";       
attrib  ejntrnt      length=3     label="AS: Rent from property jointly owned with";
attrib  ajntrnt      length=3     label="AS: Allocation flag for EJNTRNT";      
attrib  tjarnt       length=4     label="AS: Amount of gross rent from property joint";
attrib  ajarnt       length=3     label="AS: Allocation flag for TJARNT";       
attrib  tjaclr       length=4     label="AS: Amt of net rent from prop. held jointly";
attrib  ajaclr       length=3     label="AS: Allocation flag for TJACLR";       
attrib  eownrnt      length=3     label="AS: Rent from property owned entirely in own";
attrib  aownrnt      length=3     label="AS: Allocation flag for EOWNRNT";      
attrib  toarnt       length=4     label="AS: Amount of gross rent from own property";
attrib  aoarnt       length=3     label="AS: Allocation flag for TOARNT";       
attrib  toaclr       length=4     label="AS: Amount of net income from own rental";
attrib  aoaclr       length=3     label="AS: Allocation flag for TOACLR";       
attrib  ejrnt2       length=3     label="AS: Rent from property owned with others";
attrib  ajrnt2       length=3     label="AS: Allocation flag for EJRNT2";       
attrib  tjaclr2      length=4     label="AS: Amount of net income from rental property";
attrib  ajaclr2      length=3     label="AS: Allocation flag for TJACLR2";      
attrib  emrtjnt      length=3     label="AS: Mortgage owned jointly with spouse";
attrib  amrtjnt      length=3     label="AS: Allocation flag for EMRTJNT";      
attrib  tmijnt       length=4     label="AS: Amount of interest paid on mortgage owned";
attrib  amijnt       length=3     label="AS: Allocation flag for TMIJNT";       
attrib  emrtown      length=3     label="AS: Mortgages held in own name";       
attrib  amrtown      length=3     label="AS: Allocation flag for EMRTOWN";      
attrib  tmiown       length=4     label="AS: Amount of interest paid on own mortgage";
attrib  amiown       length=3     label="AS: Allocation flag for TMIOWN";       
attrib  trndup1      length=4     label="AS: Amount of income from royalties";  
attrib  arndup1      length=3     label="AS: Allocation flag for TRNDUP1";      
attrib  trndup2      length=5     label="AS: Amount of other income from financial";
attrib  arndup2      length=3     label="AS: Allocation flag for TRNDUP2.";     
attrib  tothprop     length=5     label="AS: Amount of total other property income";
attrib  eckjt        length=3     label="AS: Jointly owned interest earning checking";
attrib  ackjt        length=3     label="AS: Allocation flag for ECKJT";        
attrib  tckjtint     length=4     label="AS: Amount of monthly interest from joint";
attrib  ackjtint     length=3     label="AS: Allocation flag for TCKJTINT.";    
attrib  eckoast      length=3     label="AS: Solely owned interest earning checking";
attrib  ackoast      length=3     label="AS: Allocation flag for ECKOAST";      
attrib  tckoint      length=4     label="AS: Amount of monthly interest from own";
attrib  ackoint      length=3     label="AS: Allocation flag for TCKOINT.";     
attrib  esvjt        length=3     label="AS: Ownership of jointly held savings account";
attrib  asvjt        length=3     label="AS: Allocation flag for ESVJT";        
attrib  tsvjtint     length=4     label="AS: Amount of monthly interest on joint";
attrib  asvjtint     length=3     label="AS: Allocation flag for TSVJTINT";     
attrib  esvoast      length=3     label="AS: Ownership of solely held savings account";
attrib  asvoast      length=3     label="AS: Allocation flag for ESVOAST.";     
attrib  tsvoint      length=4     label="AS: Amount of monthly interest from own";
attrib  asvoint      length=3     label="AS: Allocation flag for TSVOINT";      
attrib  emdjt        length=3     label="AS: Jointly owned money market deposit account";
attrib  amdjt        length=3     label="AS: Allocation flag for EMDJT";        
attrib  tmdjtint     length=4     label="AS: Amount of monthly interest on joint money";
attrib  amdjtint     length=3     label="AS: Allocation flag for TMDJTINT";     
attrib  emdoast      length=3     label="AS: Solely owned money market deposit account";
attrib  amdoast      length=3     label="AS: Allocation flag for EMDOAST";      
attrib  tmdoint      length=4     label="AS: Amt of monthly interest from own money";
attrib  amdoint      length=3     label="AS: Allocation flag for TMDOINT";      
attrib  ecdjt        length=3     label="AS: Jointly owned certificates of deposit";
attrib  acdjt        length=3     label="AS: Allocation flag for ECDJT";        
attrib  tcdjtint     length=4     label="AS: Amount of monthly interest from joint CDs";
attrib  acdjtint     length=3     label="AS: Allocation flag for TCDJTINT";     
attrib  ecdoast      length=3     label="AS: Solely owned certificates of deposit";
attrib  acdoast      length=3     label="AS: Allocation flag for ECDOAST.";     
attrib  tcdoint      length=4     label="AS: Amount of monthly interest from solely";
attrib  acdoint      length=3     label="AS: Allocation flag for TCDOINT";      
attrib  ebdjt        length=3     label="AS: Jointly owned municipal or corporate bonds";
attrib  abdjt        length=3     label="AS: Allocation flag for EBDJT.";       
attrib  tbdjtint     length=4     label="AS: Amt of monthly interest from joint";
attrib  abdjtint     length=3     label="AS: Allocation flag for TBDJTINT";     
attrib  ebdoast      length=3     label="AS: Solely owned municipal or corporate bonds";
attrib  abdoast      length=3     label="AS: Allocation flag for EBDOAST";      
attrib  tbdoint      length=4     label="AS: Amount of monthly int. from own";  
attrib  abdoint      length=3     label="AS: Allocation flag for TBDOINT";      
attrib  egvjt        length=3     label="AS: Jointly owned U.S. Government securities";
attrib  agvjt        length=3     label="AS: Allocation flag for EGVJT";        
attrib  tgvjtint     length=4     label="AS: Amount of monthly int from joint US Govt";
attrib  agvjtint     length=3     label="AS: Allocation flag for TGVJTINT";     
attrib  egvoast      length=3     label="AS: Solely owned U.S. Government securities";
attrib  agvoast      length=3     label="AS: Allocation flag for EGVOAST";      
attrib  tgvoint      length=4     label="AS: Amount of monthly int from own US Govt";
attrib  agvoint      length=3     label="AS: Allocation flag for TGVOINT";      
attrib  tintinc      length=4     label="AS: Amount of all interest income";    
attrib  emanychk     length=3     label="AS: Dividend check from joint/sole owned";
attrib  amanychk     length=3     label="AS: Allocation flag for EMANYCHK";     
attrib  tmjntdiv     length=4     label="AS: Amount of check from jointly held mutual";
attrib  amjntdiv     length=3     label="AS: Allocation flag for TMJNTDIV";     
attrib  tmowndiv     length=4     label="AS: Amount of check from solely held mutual";
attrib  amowndiv     length=3     label="AS: Allocation flag for TMOWNDIV";     
attrib  emothdiv     length=3     label="AS: Dividends credited against margin accounts";
attrib  amothdiv     length=3     label="AS: Allocation flag for EMOTHDIV";     
attrib  tmjadiv      length=4     label="AS: Amount of dividends credited to joint";
attrib  amjadiv      length=3     label="AS: Allocation flag for TMJADIV";      
attrib  tmownadv     length=4     label="AS: Amount of dividends credited to own";
attrib  amownadv     length=3     label="AS: Allocation flag for TMOWNADV";     
attrib  esanychk     length=3     label="AS: Dividend check for jointly or solely held";
attrib  asanychk     length=3     label="AS: Allocation flag for ESANYCHK";     
attrib  tsjntdiv     length=4     label="AS: Amount of dividend check from jointly";
attrib  asjntdiv     length=3     label="AS: Allocation flag for TSJNTDIV";     
attrib  tsowndiv     length=4     label="AS: Amount of dividend check for solely held";
attrib  asowndiv     length=3     label="AS: Allocation flag for TSOWNDIV";     
attrib  esothdiv     length=3     label="AS: Dividends credited to margin account";
attrib  asothdiv     length=3     label="AS: Allocation flag for ESOTHDIV";     
attrib  tsjadiv      length=4     label="AS: Amount of dividend credited to a joint";
attrib  asjadiv      length=3     label="AS: Allocation flag for TSJADIV";      
attrib  tsownadv     length=4     label="AS: Amount of dividend credited solely held";
attrib  asownadv     length=3     label="AS: Allocation flag for TSOWNADV";     
attrib  tdivinc      length=4     label="AS: Total amount of all dividend income";
attrib  ecrmth       length=3     label="HI: Medicare coverage in this month";  
attrib  acrmth       length=3     label="HI: Allocation flag for ECRMTH";       
attrib  rmedcode     length=3     label="HI: Type of Medicare Coverage";        
attrib  ecdmth       length=3     label="HI: Medicaid coverage in this month";  
attrib  acdmth       length=3     label="HI: Allocation flag for ECDMTH";       
attrib  emcocov      length=3     label="HI: Type of public health insurance received";
attrib  amcocov      length=3     label="HI: Allocation flag EMCOCOV";          
attrib  ecdunt1      length=3     label="HI: Medicaid coverage unit for this month";
attrib  ehimth       length=3     label="HI: Private health insurance coverage in this";
attrib  ahimth       length=3     label="HI: Allocation flag for EHIMTH";       
attrib  ehiowner     length=3     label="HI: Covered by own plan, someone else's, both";
attrib  ahiowner     length=3     label="HI: Allocation flag for EHIOWNER";     
attrib  enonhh       length=3     label="HI: Covered by plan owned by person outside";
attrib  rchampm      length=3     label="HI: Military related health care coverage in";
attrib  ehiunt1      length=3     label="HI: 1st health insurance coverage unit for";
attrib  ehiunt2      length=3     label="HI: 2nd health insurance coverage unit for";
attrib  ehiunt3      length=3     label="HI: 3rd health insurance coverage unit for";
attrib  ehemply      length=3     label="HI: Source of health insurance";       
attrib  ahemply      length=3     label="HI: Allocation flag for EHEMPLY";      
attrib  ehicost      length=3     label="HI: Employer/union paid all or part of health";
attrib  ahicost      length=3     label="HI: Allocation flag for EHICOST";      
attrib  ehiother     length=3     label="HI: Health insurance coverage of nonhousehold";
attrib  ahiother     length=3     label="HI: Allocation flag for EHIOTHER";     
attrib  ehispse      length=3     label="HI: Coverage of spouse outside the household";
attrib  ahispse      length=3     label="HI: Allocation flag for EHISPSE";      
attrib  ehioldkd     length=3     label="HI: Coverage of older child (20+) outside the";
attrib  ahioldkd     length=3     label="HI: Allocation flag for EHIOLDKD";     
attrib  ehiyngkd     length=3     label="HI: Coverage of younger child (under 20)";
attrib  ahiyngkd     length=3     label="HI: Allocation flag for EHIYNGKD";     
attrib  ehiothr      length=3     label="HI: Coverage of other person(s) outside the";
attrib  ahiothr      length=3     label="HI: Allocation flag for EHIOTHR";      
attrib  ehirsn01     length=3     label="HI: Reason not covered: too expensive, can't";
attrib  ehirsn02     length=3     label="HI: Reason not covered: HI not offered by";
attrib  ehirsn03     length=3     label="HI: Reason not covered: not at job long";
attrib  ehirsn04     length=3     label="HI: Reason not covered: job layoff, job loss,";
attrib  ehirsn05     length=3     label="HI: Reason not covered: not eligible-part";
attrib  ehirsn06     length=3     label="HI: Reason not covered: poor health, illness,";
attrib  ehirsn07     length=3     label="HI: Reason not covered: don't believe in";
attrib  ehirsn08     length=3     label="HI: Reason not covered: haven't needed health";
attrib  ehirsn09     length=3     label="HI: Reason not covered: Use VA or military";
attrib  ehirsn10     length=3     label="HI: Reason not covered: covered by other";
attrib  ehirsn11     length=3     label="HI: Reason not covered: no longer covered by";
attrib  ehirsn12     length=3     label="HI: Reason not covered: some other reason";
attrib  ahirsn       length=3     label="HI: Allocation for variables EHIRSN01 through";
attrib  rprvhi       length=3     label="HI: Recode for type of health care/insurance";
attrib  rprvhi2      length=3     label="HI: Recode for type of health care/insurance";
attrib  tcdbegyr     length=4     label="HI: In what year did ... become covered by";
attrib  acdbegyr     length=3     label="HI: Allocation flag for TCDBEGYR";     
attrib  ecdbegmo     length=3     label="HI: In what year did ... become covered by";
attrib  acdbegmo     length=3     label="HI: Allocation flag for ECDBEGMO";     
attrib  ehiallcv     length=3     label="HI: Has ... always been covered by health";
attrib  ahiallcv     length=3     label="HI: Allocation flag for EHIALLCV";     
attrib  thinoyr      length=4     label="HI: In what year was...last not covered by";
attrib  ahinoyr      length=3     label="HI: Allocation flag for THINOYR";      
attrib  ehinomth     length=3     label="HI: In what year was ... last not covered by";
attrib  ahinomth     length=3     label="HI: Allocation flag for EHINOMTH";     
attrib  ehievrcv     length=3     label="HI: Has ... ever been covered by health";
attrib  ahievrcv     length=3     label="HI: Allocation flag for EHIEVRCV";     
attrib  thicvyr      length=4     label="HI: In what year was ... last covered by";
attrib  ahicvyr      length=3     label="HI: Allocation flag for EHICVYR";      
attrib  ehicvmth     length=3     label="HI: What month was ... last covered by health";
attrib  ahicvmth     length=3     label="HI: Allocation flag for EHICVMTH";     
attrib  lgtkey       length=$8    label="PE: Person longitudinal key";          
attrib  lgtmon       length=3     label="PE: Longitudinal month";               
attrib  acarovr1     length=3     label="JB: Flag indicating relationship of job to a";
attrib  acarovr2     length=3     label="JB: Flag indicating relationship of job to a";


INPUT

@1    ssuseq       5. 
@6    ssuid      $12. 
@18   spanel       4. 
@22   swave        2. 
@24   srotaton     1. 
@25   srefmon      1. 
@26   rhcalmn      2. 
@28   rhcalyr      4. 
@32   shhadid      3. 
@35   gvarstr      3. 
@38   ghlfsam      1. 
@39   grgc         3. 
@42   tfipsst      2. 
@44   tmovrflg     2. 
@46   eoutcome     3. 
@49   rhnf         2. 
@51   rhnfam       2. 
@53   rhnsf        2. 
@55   ehrefper     4. 
@59   ehhnumpp     3. 
@62   rhtype       1. 
@63   whfnwgt    10.4 
@73   tmetro       1. 
@74   rhchange     1. 
@75   rhnssr       2. 
@77   etenure      1. 
@78   atenure      1. 
@79   epubhse      2. 
@81   apubhse      1. 
@82   egvtrnt      2. 
@84   agvtrnt      1. 
@85   tmthrnt      6. 
@91   amthrnt      1. 
@92   ewrsect8     2. 
@94   awrsect8     1. 
@95   eutilyn      2. 
@97   autilyn      1. 
@98   eegyast      2. 
@100  aegyast      1. 
@101  eegypmt1     2. 
@103  eegypmt2     2. 
@105  eegypmt3     2. 
@107  aegypmt      1. 
@108  eegyamt      5. 
@113  aegyamt      1. 
@114  ehotlunc     2. 
@116  ahotlunc     1. 
@117  rnklun       2. 
@119  efreelun     2. 
@121  afreelun     1. 
@122  efrerdln     2. 
@124  afrerdln     1. 
@125  ebrkfst      2. 
@127  abrkfst      1. 
@128  rnkbrk       2. 
@130  efreebrk     2. 
@132  afreebrk     1. 
@133  efrerdbk     2. 
@135  afrerdbk     1. 
@136  rprgques     1. 
@137  thearn       7. 
@144  thprpinc     8. 
@152  thtrninc     7. 
@159  thothinc     7. 
@166  thtotinc     8. 
@174  rhnbrf       2. 
@176  rhcbrf       2. 
@178  rhmtrf       2. 
@180  rhpov        5. 
@185  thpndist     7. 
@192  thlumpsm     8. 
@200  thnoncsh     6. 
@206  thsocsec     6. 
@212  thssi        6. 
@218  thunemp      6. 
@224  thvets       6. 
@230  thafdc       6. 
@236  thfdstp      6. 
@242  rfid         3. 
@245  rfid2        3. 
@248  efnp         2. 
@250  efrefper     4. 
@254  efspouse     4. 
@258  eftype       2. 
@260  rfchange     1. 
@261  efkind       2. 
@263  rfnkids      2. 
@265  rfownkid     2. 
@267  rfoklt18     2. 
@269  rfnssr       2. 
@271  wffinwgt   10.4 
@281  tfearn       7. 
@288  tfprpinc     8. 
@296  tftrninc     7. 
@303  tfothinc     7. 
@310  tftotinc     8. 
@318  rfpov        5. 
@323  tfpndist     7. 
@330  tflumpsm     8. 
@338  tfsocsec     6. 
@344  tfssi        6. 
@350  tfunemp      6. 
@356  tfvets       6. 
@362  tfafdc       6. 
@368  tffdstp      6. 
@374  rsid         3. 
@377  esfnp        2. 
@379  esfrfper     4. 
@383  esfspse      4. 
@387  esftype      2. 
@389  esfkind      2. 
@391  rschange     2. 
@393  esownkid     2. 
@395  esoklt18     2. 
@397  wsfinwgt   10.4 
@407  tsfearn      7. 
@414  tsprpinc     8. 
@422  tstrninc     7. 
@429  tsothinc     7. 
@436  tstotinc     8. 
@444  rsfpov       5. 
@449  tspndist     7. 
@456  tslumpsm     8. 
@464  tssocsec     6. 
@470  tsssi        6. 
@476  tsvets       6. 
@482  tsunemp      6. 
@488  tsafdc       6. 
@494  tsfdstp      6. 
@500  eentaid     $3. 
@503  epppnum     $4. 
@507  eppintvw     2. 
@509  epopstat     1. 
@510  ebmnth       2. 
@512  abmnth       1. 
@513  tbyear       4. 
@517  abyear       1. 
@518  esex         1. 
@519  asex         1. 
@520  erace        1. 
@521  arace        1. 
@522  eorigin      2. 
@524  aorigin      1. 
@525  ebornus      2. 
@527  abornus      1. 
@528  ecitizen     2. 
@530  acitizen     1. 
@531  enatcit      2. 
@533  anatcit      1. 
@534  espeak       2. 
@536  aspeak       1. 
@537  tlang1       2. 
@539  alang1       1. 
@540  ehowwell     2. 
@542  ahowwell     1. 
@543  rlngisol     2. 
@545  uevrwid      1. 
@546  uevrdiv      1. 
@547  eafnow       2. 
@549  aafnow       1. 
@550  eafever      2. 
@552  aafever      1. 
@553  uaf1         1. 
@554  uaf2         1. 
@555  uaf3         1. 
@556  uaf4         1. 
@557  uaf5         1. 
@558  evayn        2. 
@560  avayn        1. 
@561  evettyp      2. 
@563  avettyp      1. 
@564  evaques      2. 
@566  avaques      1. 
@567  wpfinwgt   10.4 
@577  esfr         1. 
@578  esft         1. 
@579  tage         2. 
@581  aage         1. 
@582  errp         2. 
@584  arrp         1. 
@585  ems          1. 
@586  ams          1. 
@587  epnspous     4. 
@591  apnspous     1. 
@592  epnmom       4. 
@596  apnmom       1. 
@597  epndad       4. 
@601  apndad       1. 
@602  epnguard     4. 
@606  apnguard     1. 
@607  etypmom      2. 
@609  atypmom      1. 
@610  etypdad      2. 
@612  atypdad      1. 
@613  rdesgpnt     2. 
@615  ulftmain     2. 
@617  uentmain     2. 
@619  tpearn       7. 
@626  tpprpinc     8. 
@634  tptrninc     7. 
@641  tpothinc     7. 
@648  tptotinc     8. 
@656  tppndist     5. 
@661  tplumpsm     6. 
@667  ehtlnyn      2. 
@669  ahtlnyn      1. 
@670  ebkfsyn      2. 
@672  abkfsyn      1. 
@673  rcutyp01     1. 
@674  rcuown01     4. 
@678  rcutyp03     1. 
@679  rcuown03     4. 
@683  rcutyp04     1. 
@684  rcuown04     4. 
@688  rcutyp08     1. 
@689  rcuown8a     4. 
@693  rcuown8b     4. 
@697  rcutyp20     1. 
@698  rcuown20     4. 
@702  rcutyp21     1. 
@703  rcuow21a     4. 
@707  rcuow21b     4. 
@711  rcutyp23     1. 
@712  rcuown23     4. 
@716  rcutyp24     1. 
@717  rcuow24a     4. 
@721  rcuow24b     4. 
@725  rcutyp25     1. 
@726  rcuown25     4. 
@730  rcutyp27     1. 
@731  rcuown27     4. 
@735  rcutyp57     1. 
@736  rcuown57     4. 
@740  rcutyp58     1. 
@741  rcuow58a     4. 
@745  rcuow58b     4. 
@749  renroll      2. 
@751  arenroll     1. 
@752  eenrlm       2. 
@754  aenrlm       1. 
@755  renrlma      2. 
@757  eenlevel     2. 
@759  aenlevel     1. 
@760  eedfund      2. 
@762  aedfund      1. 
@763  easst01      2. 
@765  easst03      2. 
@767  easst04      2. 
@769  easst05      2. 
@771  easst06      2. 
@773  easst07      2. 
@775  easst08      2. 
@777  easst09      2. 
@779  easst10      2. 
@781  easst11      2. 
@783  easst12      2. 
@785  aedasst      1. 
@786  eeducate     2. 
@788  aeducate     1. 
@789  rged         2. 
@791  aged         1. 
@792  evocat       2. 
@794  avocat       1. 
@795  rcollvoc     2. 
@797  acollvoc     1. 
@798  epdjbthn     2. 
@800  apdjbthn     1. 
@801  eppflag      2. 
@803  emax         2. 
@805  ebuscntr     2. 
@807  ejobcntr     2. 
@809  eeveret      2. 
@811  aeveret      1. 
@812  edisabl      2. 
@814  adisabl      1. 
@815  edisprev     2. 
@817  adisprev     1. 
@818  ersnowrk     2. 
@820  arsnowrk     1. 
@821  eawop        2. 
@823  aawop        1. 
@824  eabre        2. 
@826  aabre        1. 
@827  eptwrk       2. 
@829  aptwrk       1. 
@830  eptresn      2. 
@832  aptresn      1. 
@833  elkwrk       2. 
@835  alkwrk       1. 
@836  elayoff      2. 
@838  alayoff      1. 
@839  rtakjob      2. 
@841  rnotake      2. 
@843  ehrsall      2. 
@845  ahrsall      1. 
@846  emoonlit     2. 
@848  amoonlit     1. 
@849  tmlmsum      5. 
@854  amlmsum      1. 
@855  ebflag       2. 
@857  ecflag       2. 
@859  rmesr        2. 
@861  rwkesr1      2. 
@863  rwkesr2      2. 
@865  rwkesr3      2. 
@867  rwkesr4      2. 
@869  rwkesr5      2. 
@871  rmwkwjb      2. 
@873  rmwksab      2. 
@875  awksab       1. 
@876  rmwklkg      2. 
@878  awklkg       1. 
@879  rmhrswk      2. 
@881  rwksperm     2. 
@883  eeno1        2. 
@885  estlemp1     2. 
@887  astlemp1     1. 
@888  tsjdate1     8. 
@896  asjdate1     1. 
@897  tejdate1     8. 
@905  aejdate1     1. 
@906  ersend1      2. 
@908  arsend1      1. 
@909  ejbhrs1      2. 
@911  ajbhrs1      1. 
@912  eemploc1     2. 
@914  aemploc1     1. 
@915  tempall1     2. 
@917  aempall1     1. 
@918  tempsiz1     2. 
@920  aempsiz1     1. 
@921  eocctim1     3. 
@924  aocctim1     1. 
@925  eclwrk1      2. 
@927  aclwrk1      1. 
@928  eunion1      2. 
@930  aunion1      1. 
@931  ecntrc1      2. 
@933  acntrc1      1. 
@934  tpmsum1      5. 
@939  apmsum1      1. 
@940  epayhr1      2. 
@942  apayhr1      1. 
@943  tpyrate1    4.2 
@947  apyrate1     1. 
@948  rpyper1      2. 
@950  ejbind1      4. 
@954  ajbind1      1. 
@955  tjbocc1      4. 
@959  ajbocc1      1. 
@960  eeno2        2. 
@962  estlemp2     2. 
@964  astlemp2     1. 
@965  tsjdate2     8. 
@973  asjdate2     1. 
@974  tejdate2     8. 
@982  aejdate2     1. 
@983  ersend2      2. 
@985  arsend2      1. 
@986  ejbhrs2      2. 
@988  ajbhrs2      1. 
@989  eemploc2     2. 
@991  aemploc2     1. 
@992  tempall2     2. 
@994  aempall2     1. 
@995  tempsiz2     2. 
@997  aempsiz2     1. 
@998  eocctim2     3. 
@1001 aocctim2     1. 
@1002 eclwrk2      2. 
@1004 aclwrk2      1. 
@1005 eunion2      2. 
@1007 aunion2      1. 
@1008 ecntrc2      2. 
@1010 acntrc2      1. 
@1011 tpmsum2      5. 
@1016 apmsum2      1. 
@1017 epayhr2      2. 
@1019 apayhr2      1. 
@1020 tpyrate2    4.2 
@1024 apyrate2     1. 
@1025 rpyper2      2. 
@1027 ejbind2      4. 
@1031 ajbind2      1. 
@1032 tjbocc2      4. 
@1036 ajbocc2      1. 
@1037 ebno1        2. 
@1039 ebiznow1     2. 
@1041 abiznow1     1. 
@1042 tsbdate1     8. 
@1050 asbdate1     1. 
@1051 tebdate1     8. 
@1059 aebdate1     1. 
@1060 erendb1      2. 
@1062 arendb1      1. 
@1063 ehrsbs1      2. 
@1065 ahrsbs1      1. 
@1066 egrosb1      2. 
@1068 agrosb1      1. 
@1069 egrssb1      2. 
@1071 agrssb1      1. 
@1072 tempb1       2. 
@1074 aempb1       1. 
@1075 eincpb1      2. 
@1077 aincpb1      1. 
@1078 epropb1      2. 
@1080 apropb1      1. 
@1081 ehprtb1      2. 
@1083 ahprtb1      1. 
@1084 eslryb1      2. 
@1086 aslryb1      1. 
@1087 eoincb1      2. 
@1089 aoincb1      1. 
@1090 tprftb1      6. 
@1096 aprftb1      1. 
@1097 tbmsum1      5. 
@1102 abmsum1      1. 
@1103 epartb11     4. 
@1107 epartb21     4. 
@1111 epartb31     4. 
@1115 tbsind1      2. 
@1117 absind1      1. 
@1118 tbsocc1      4. 
@1122 absocc1      1. 
@1123 ebno2        2. 
@1125 ebiznow2     2. 
@1127 abiznow2     1. 
@1128 tsbdate2     8. 
@1136 asbdate2     1. 
@1137 tebdate2     8. 
@1145 aebdate2     1. 
@1146 erendb2      2. 
@1148 arendb2      1. 
@1149 ehrsbs2      2. 
@1151 ahrsbs2      1. 
@1152 egrosb2      2. 
@1154 agrosb2      1. 
@1155 egrssb2      2. 
@1157 agrssb2      1. 
@1158 tempb2       2. 
@1160 aempb2       1. 
@1161 eincpb2      2. 
@1163 aincpb2      1. 
@1164 epropb2      2. 
@1166 apropb2      1. 
@1167 ehprtb2      2. 
@1169 ahprtb2      1. 
@1170 eslryb2      2. 
@1172 aslryb2      1. 
@1173 eoincb2      2. 
@1175 aoincb2      1. 
@1176 tprftb2      6. 
@1182 aprftb2      1. 
@1183 tbmsum2      5. 
@1188 abmsum2      1. 
@1189 epartb12     4. 
@1193 epartb22     4. 
@1197 epartb32     4. 
@1201 tbsind2      2. 
@1203 absind2      1. 
@1204 tbsocc2      4. 
@1208 absocc2      1. 
@1209 euectyp5     2. 
@1211 auectyp5     1. 
@1212 euectyp6     2. 
@1214 auectyp6     1. 
@1215 elmptyp1     2. 
@1217 almptyp1     1. 
@1218 elmptyp2     2. 
@1220 almptyp2     1. 
@1221 elmptyp3     2. 
@1223 almptyp3     1. 
@1224 essself      2. 
@1226 assself      1. 
@1227 esschild     2. 
@1229 asschild     1. 
@1230 essichld     2. 
@1232 assichld     1. 
@1233 essiself     2. 
@1235 assiself     1. 
@1236 estssi       2. 
@1238 astssi       1. 
@1239 rwcmprsn     2. 
@1241 awcmprsn     1. 
@1242 rinsrsn      2. 
@1244 ainsrsn      1. 
@1245 rempdrsn     2. 
@1247 aempdrsn     1. 
@1248 rpensrsn     2. 
@1250 apensrsn     1. 
@1251 rfcsrsn      2. 
@1253 afcsrsn      1. 
@1254 rstatrsn     2. 
@1256 astatrsn     1. 
@1257 rlgovrsn     2. 
@1259 algovrsn     1. 
@1260 rmilrsn      2. 
@1262 amilrsn      1. 
@1263 rrrsn        2. 
@1265 arrrsn       1. 
@1266 rothrrsn     2. 
@1268 aothrrsn     1. 
@1269 rlifirsn     2. 
@1271 alifirsn     1. 
@1272 rvetsrsn     2. 
@1274 avetsrsn     1. 
@1275 restarsn     2. 
@1277 aestarsn     1. 
@1278 efccyn       2. 
@1280 afccyn       1. 
@1281 ecsyn        2. 
@1283 acsyn        1. 
@1284 ealiyn       2. 
@1286 aaliyn       1. 
@1287 efsyn        2. 
@1289 afsyn        1. 
@1290 epssthru     2. 
@1292 apssthru     1. 
@1293 epaothr1     2. 
@1295 apaothr1     1. 
@1296 epaothr2     2. 
@1298 apaothr2     1. 
@1299 epaothr3     2. 
@1301 apaothr3     1. 
@1302 epaothr4     2. 
@1304 apaothr4     1. 
@1305 epaothr5     2. 
@1307 apaothr5     1. 
@1308 epaothr6     2. 
@1310 apaothr6     1. 
@1311 ewelact1     2. 
@1313 awelact1     1. 
@1314 ewelac21     2. 
@1316 awelac21     1. 
@1317 ewelac22     2. 
@1319 awelac22     1. 
@1320 ewelac23     2. 
@1322 awelac23     1. 
@1323 ewelact3     2. 
@1325 awelact3     1. 
@1326 ewelact4     2. 
@1328 awelact4     1. 
@1329 ewrkexp1     2. 
@1331 awrkexp1     1. 
@1332 ewhiexp1     2. 
@1334 awhiexp1     1. 
@1335 ewrkexp2     2. 
@1337 awrkexp2     1. 
@1338 ewrkexp3     2. 
@1340 awrkexp3     1. 
@1341 ewhiexp2     2. 
@1343 awhiexp2     1. 
@1344 ewicyn       2. 
@1346 awicyn       1. 
@1347 epatanf1     2. 
@1349 epatanf2     2. 
@1351 epatanf3     2. 
@1353 epatanf4     2. 
@1355 epatanf5     2. 
@1357 epatanf6     2. 
@1359 apatanf      1. 
@1360 easetdrw     2. 
@1362 aasetdrw     1. 
@1363 eresnss1     2. 
@1365 aresnss1     1. 
@1366 eresnss2     2. 
@1368 aresnss2     1. 
@1369 tagess       2. 
@1371 aagess       1. 
@1372 ejntssyn     2. 
@1374 ajntssyn     1. 
@1375 etrantp1     2. 
@1377 etrantp2     2. 
@1379 etrantp3     2. 
@1381 etrantp4     2. 
@1383 etrantp5     2. 
@1385 atrantp      1. 
@1386 egassce1     2. 
@1388 egassce2     2. 
@1390 agassce      1. 
@1391 etoksce1     2. 
@1393 etoksce2     2. 
@1395 atoksce      1. 
@1396 efoodtp1     2. 
@1398 efoodtp2     2. 
@1400 efoodtp3     2. 
@1402 efoodtp4     2. 
@1404 afoodtyp     1. 
@1405 efoodsc1     2. 
@1407 efoodsc2     2. 
@1409 efoodsc3     2. 
@1411 efoodsc4     2. 
@1413 afoodsce     1. 
@1414 eclothtp     2. 
@1416 aclothtp     1. 
@1417 eclthsc1     2. 
@1419 eclthsc2     2. 
@1421 eclthsc3     2. 
@1423 eclthsc4     2. 
@1425 eclthsc5     2. 
@1427 aclthsc      1. 
@1428 epubhstp     2. 
@1430 apubhstp     1. 
@1431 epubhsc1     2. 
@1433 epubhsc2     2. 
@1435 epubhsc3     2. 
@1437 epubhsc4     2. 
@1439 apubhsc      1. 
@1440 ecashsc1     2. 
@1442 ecashsc2     2. 
@1444 ecashsc3     2. 
@1446 ecashsc4     2. 
@1448 acashsce     1. 
@1449 ecashgvt     2. 
@1451 acashgvt     1. 
@1452 epacash1     2. 
@1454 apacash1     1. 
@1455 epacash2     2. 
@1457 apacash2     1. 
@1458 epacash3     2. 
@1460 apacash3     1. 
@1461 er01a        2. 
@1463 ar01a        1. 
@1464 er01k        2. 
@1466 ar01k        1. 
@1467 er02         2. 
@1469 ar02         1. 
@1470 er03a        2. 
@1472 ar03a        1. 
@1473 er03k        2. 
@1475 ar03k        1. 
@1476 er04         2. 
@1478 ar04         1. 
@1479 er05         2. 
@1481 ar05         1. 
@1482 er06         2. 
@1484 ar06         1. 
@1485 er08         2. 
@1487 ar08         1. 
@1488 er10         2. 
@1490 ar10         1. 
@1491 er13         2. 
@1493 ar13         1. 
@1494 er14         2. 
@1496 ar14         1. 
@1497 er15         2. 
@1499 ar15         1. 
@1500 er20         2. 
@1502 ar20         1. 
@1503 er21         2. 
@1505 ar21         1. 
@1506 er23         2. 
@1508 ar23         1. 
@1509 er24         2. 
@1511 ar24         1. 
@1512 er25         2. 
@1514 ar25         1. 
@1515 er26         2. 
@1517 ar26         1. 
@1518 er27         2. 
@1520 ar27         1. 
@1521 er28         2. 
@1523 ar28         1. 
@1524 er29         2. 
@1526 ar29         1. 
@1527 er30         2. 
@1529 ar30         1. 
@1530 er31         2. 
@1532 ar31         1. 
@1533 er32         2. 
@1535 ar32         1. 
@1536 er34         2. 
@1538 ar34         1. 
@1539 er35         2. 
@1541 ar35         1. 
@1542 er36         2. 
@1544 ar36         1. 
@1545 er38         2. 
@1547 ar38         1. 
@1548 er39         2. 
@1550 ar39         1. 
@1551 er42         2. 
@1553 ar42         1. 
@1554 er51         2. 
@1556 ar51         1. 
@1557 er52         2. 
@1559 ar52         1. 
@1560 er55         2. 
@1562 ar55         1. 
@1563 er56         2. 
@1565 ar56         1. 
@1566 er60g        2. 
@1568 ar60g        1. 
@1569 er60t        2. 
@1571 ar60t        1. 
@1572 er61         2. 
@1574 ar61         1. 
@1575 er62         2. 
@1577 ar62         1. 
@1578 er64         2. 
@1580 ar64         1. 
@1581 er75         2. 
@1583 ar75         1. 
@1584 t01amta      5. 
@1589 a01amta      1. 
@1590 t01amtk      5. 
@1595 a01amtk      1. 
@1596 t02amt       5. 
@1601 a02amt       1. 
@1602 t03amta      5. 
@1607 a03amta      1. 
@1608 t03amtk      5. 
@1613 a03amtk      1. 
@1614 t04amt       5. 
@1619 a04amt       1. 
@1620 t05amt       5. 
@1625 a05amt       1. 
@1626 t06amt       5. 
@1631 a06amt       1. 
@1632 t08amt       5. 
@1637 a08amt       1. 
@1638 t10amt       5. 
@1643 a10amt       1. 
@1644 t13amt       5. 
@1649 a13amt       1. 
@1650 t14amt       5. 
@1655 a14amt       1. 
@1656 t15amt       5. 
@1661 a15amt       1. 
@1662 t20amt       5. 
@1667 a20amt       1. 
@1668 t21amt       5. 
@1673 a21amt       1. 
@1674 t23amt       5. 
@1679 a23amt       1. 
@1680 t24amt       5. 
@1685 a24amt       1. 
@1686 t25amt       5. 
@1691 a25amt       1. 
@1692 t26amt       5. 
@1697 a26amt       1. 
@1698 t27amt       5. 
@1703 a27amt       1. 
@1704 t28amt       5. 
@1709 a28amt       1. 
@1710 t29amt       5. 
@1715 a29amt       1. 
@1716 t30amt       5. 
@1721 a30amt       1. 
@1722 t31amt       5. 
@1727 a31amt       1. 
@1728 t32amt       5. 
@1733 a32amt       1. 
@1734 t34amt       5. 
@1739 a34amt       1. 
@1740 t35amt       5. 
@1745 a35amt       1. 
@1746 t36amt       5. 
@1751 a36amt       1. 
@1752 t38amt       6. 
@1758 a38amt       1. 
@1759 t39amt       6. 
@1765 a39amt       1. 
@1766 t42amt       5. 
@1771 a42amt       1. 
@1772 t51amt       5. 
@1777 a51amt       1. 
@1778 t52amt       5. 
@1783 a52amt       1. 
@1784 t55amt       5. 
@1789 a55amt       1. 
@1790 t56amt       5. 
@1795 a56amt       1. 
@1796 t60amtg      4. 
@1800 a60amtg      1. 
@1801 t60amtt      4. 
@1805 a60amtt      1. 
@1806 t61amt       4. 
@1810 a61amt       1. 
@1811 t62amt       4. 
@1815 a62amt       1. 
@1816 t64amt       4. 
@1820 a64amt       1. 
@1821 t75amt       6. 
@1827 a75amt       1. 
@1828 tcsagy       5. 
@1833 acsagy       1. 
@1834 erolovr1     2. 
@1836 arolovr1     1. 
@1837 erolovr2     2. 
@1839 arolovr2     1. 
@1840 trollamt     7. 
@1847 arollamt     1. 
@1848 rab1r1       2. 
@1850 rab1r2       2. 
@1852 rab2r1       2. 
@1854 rab2r2       2. 
@1856 ras1         2. 
@1858 ras2         2. 
@1860 rwb1r1       2. 
@1862 rwb1r2       2. 
@1864 rwb2r1       2. 
@1866 rwb2r2       2. 
@1868 rws1         2. 
@1870 rws2         2. 
@1872 rfb1r1       2. 
@1874 rfb1r2       2. 
@1876 rfb2r1       2. 
@1878 rfb2r2       2. 
@1880 rfs1         2. 
@1882 rfs2         2. 
@1884 rgb1r1       2. 
@1886 rgb1r2       2. 
@1888 rgb2r1       2. 
@1890 rgb2r2       2. 
@1892 rgs1         2. 
@1894 rgs2         2. 
@1896 rob1r1       2. 
@1898 rob1r2       2. 
@1900 rob2r1       2. 
@1902 rob2r2       2. 
@1904 ros1         2. 
@1906 ros2         2. 
@1908 rsb1r1       2. 
@1910 rsb1r2       2. 
@1912 rsb2r1       2. 
@1914 rsb2r2       2. 
@1916 rss1         2. 
@1918 rss2         2. 
@1920 east1a       2. 
@1922 aast1a       1. 
@1923 east1b       2. 
@1925 aast1b       1. 
@1926 east1c       2. 
@1928 aast1c       1. 
@1929 east2a       2. 
@1931 aast2a       1. 
@1932 east2b       2. 
@1934 aast2b       1. 
@1935 east2c       2. 
@1937 aast2c       1. 
@1938 east2d       2. 
@1940 aast2d       1. 
@1941 east3a       2. 
@1943 aast3a       1. 
@1944 east3b       2. 
@1946 aast3b       1. 
@1947 east3c       2. 
@1949 aast3c       1. 
@1950 east3d       2. 
@1952 aast3d       1. 
@1953 east3e       2. 
@1955 aast3e       1. 
@1956 east4a       2. 
@1958 aast4a       1. 
@1959 east4b       2. 
@1961 aast4b       1. 
@1962 east4c       2. 
@1964 aast4c       1. 
@1965 ejntrnt      2. 
@1967 ajntrnt      1. 
@1968 tjarnt       5. 
@1973 ajarnt       1. 
@1974 tjaclr       6. 
@1980 ajaclr       1. 
@1981 eownrnt      2. 
@1983 aownrnt      1. 
@1984 toarnt       5. 
@1989 aoarnt       1. 
@1990 toaclr       6. 
@1996 aoaclr       1. 
@1997 ejrnt2       2. 
@1999 ajrnt2       1. 
@2000 tjaclr2      6. 
@2006 ajaclr2      1. 
@2007 emrtjnt      2. 
@2009 amrtjnt      1. 
@2010 tmijnt       5. 
@2015 amijnt       1. 
@2016 emrtown      2. 
@2018 amrtown      1. 
@2019 tmiown       5. 
@2024 amiown       1. 
@2025 trndup1      5. 
@2030 arndup1      1. 
@2031 trndup2      7. 
@2038 arndup2      1. 
@2039 tothprop     7. 
@2046 eckjt        2. 
@2048 ackjt        1. 
@2049 tckjtint     5. 
@2054 ackjtint     1. 
@2055 eckoast      2. 
@2057 ackoast      1. 
@2058 tckoint      5. 
@2063 ackoint      1. 
@2064 esvjt        2. 
@2066 asvjt        1. 
@2067 tsvjtint     5. 
@2072 asvjtint     1. 
@2073 esvoast      2. 
@2075 asvoast      1. 
@2076 tsvoint      5. 
@2081 asvoint      1. 
@2082 emdjt        2. 
@2084 amdjt        1. 
@2085 tmdjtint     5. 
@2090 amdjtint     1. 
@2091 emdoast      2. 
@2093 amdoast      1. 
@2094 tmdoint      5. 
@2099 amdoint      1. 
@2100 ecdjt        2. 
@2102 acdjt        1. 
@2103 tcdjtint     5. 
@2108 acdjtint     1. 
@2109 ecdoast      2. 
@2111 acdoast      1. 
@2112 tcdoint      5. 
@2117 acdoint      1. 
@2118 ebdjt        2. 
@2120 abdjt        1. 
@2121 tbdjtint     5. 
@2126 abdjtint     1. 
@2127 ebdoast      2. 
@2129 abdoast      1. 
@2130 tbdoint      5. 
@2135 abdoint      1. 
@2136 egvjt        2. 
@2138 agvjt        1. 
@2139 tgvjtint     5. 
@2144 agvjtint     1. 
@2145 egvoast      2. 
@2147 agvoast      1. 
@2148 tgvoint      5. 
@2153 agvoint      1. 
@2154 tintinc      6. 
@2160 emanychk     2. 
@2162 amanychk     1. 
@2163 tmjntdiv     5. 
@2168 amjntdiv     1. 
@2169 tmowndiv     5. 
@2174 amowndiv     1. 
@2175 emothdiv     2. 
@2177 amothdiv     1. 
@2178 tmjadiv      5. 
@2183 amjadiv      1. 
@2184 tmownadv     5. 
@2189 amownadv     1. 
@2190 esanychk     2. 
@2192 asanychk     1. 
@2193 tsjntdiv     5. 
@2198 asjntdiv     1. 
@2199 tsowndiv     5. 
@2204 asowndiv     1. 
@2205 esothdiv     2. 
@2207 asothdiv     1. 
@2208 tsjadiv      5. 
@2213 asjadiv      1. 
@2214 tsownadv     5. 
@2219 asownadv     1. 
@2220 tdivinc      5. 
@2225 ecrmth       2. 
@2227 acrmth       1. 
@2228 rmedcode     2. 
@2230 ecdmth       2. 
@2232 acdmth       1. 
@2233 emcocov      2. 
@2235 amcocov      1. 
@2236 ecdunt1      3. 
@2239 ehimth       2. 
@2241 ahimth       1. 
@2242 ehiowner     2. 
@2244 ahiowner     1. 
@2245 enonhh       1. 
@2246 rchampm      2. 
@2248 ehiunt1      3. 
@2251 ehiunt2      3. 
@2254 ehiunt3      3. 
@2257 ehemply      2. 
@2259 ahemply      1. 
@2260 ehicost      2. 
@2262 ahicost      1. 
@2263 ehiother     2. 
@2265 ahiother     1. 
@2266 ehispse      2. 
@2268 ahispse      1. 
@2269 ehioldkd     2. 
@2271 ahioldkd     1. 
@2272 ehiyngkd     2. 
@2274 ahiyngkd     1. 
@2275 ehiothr      2. 
@2277 ahiothr      1. 
@2278 ehirsn01     2. 
@2280 ehirsn02     2. 
@2282 ehirsn03     2. 
@2284 ehirsn04     2. 
@2286 ehirsn05     2. 
@2288 ehirsn06     2. 
@2290 ehirsn07     2. 
@2292 ehirsn08     2. 
@2294 ehirsn09     2. 
@2296 ehirsn10     2. 
@2298 ehirsn11     2. 
@2300 ehirsn12     2. 
@2302 ahirsn       1. 
@2303 rprvhi       2. 
@2305 rprvhi2      2. 
@2307 tcdbegyr     4. 
@2311 acdbegyr     1. 
@2312 ecdbegmo     2. 
@2314 acdbegmo     1. 
@2315 ehiallcv     2. 
@2317 ahiallcv     1. 
@2318 thinoyr      4. 
@2322 ahinoyr      1. 
@2323 ehinomth     2. 
@2325 ahinomth     1. 
@2326 ehievrcv     2. 
@2328 ahievrcv     1. 
@2329 thicvyr      4. 
@2333 ahicvyr      1. 
@2334 ehicvmth     2. 
@2336 ahicvmth     1. 
@2337 lgtkey      $8. 
@2345 lgtmon       2. 
@2347 acarovr1     1. 
@2348 acarovr2     1. 
;

**------------------------------------------------;
** The PROC FORMAT statement will store the formats ;
** in a sas data set called fsip04w11 ;
** To use the stored formats in a subsequent program, ;
** use code like the following;

** proc format cntlin=library.fsp04w11;
** PROC freq;
**        tables pesex ;
**        format pesex      P135L.;

** For more information, consult PROC FORMAT in the SAS Procedures Guide ;
**-----------------------------------------------;

PROC FORMAT cntlout=library.fsp04w11;

;
VALUE spanel  	(default=32)
	2004      =  "Panel Year"                    
;
VALUE srefmon 	(default=32)
	1         =  "First Reference month"         
	2         =  "Second Reference month"        
	3         =  "Third Reference month"         
	4         =  "Fourth Reference month"        
;
VALUE rhcalmn 	(default=32)
	1         =  "January"                       
	2         =  "February"                      
	3         =  "March"                         
	4         =  "April"                         
	5         =  "May"                           
	6         =  "June"                          
	7         =  "July"                          
	8         =  "August"                        
	9         =  "September"                     
	10        =  "October"                       
	11        =  "November"                      
	12        =  "December"                      
;
VALUE tfipsst 	(default=32)
	1         =  "Alabama"                       
	2         =  "Alaska"                        
	4         =  "Arizona"                       
	5         =  "Arkansas"                      
	6         =  "California"                    
	8         =  "Colorado"                      
	9         =  "Connecticut"                   
	10        =  "Delaware"                      
	11        =  "DC"                            
	12        =  "Florida"                       
	13        =  "Georgia"                       
	15        =  "Hawaii"                        
	16        =  "Idaho"                         
	17        =  "Illinois"                      
	18        =  "Indiana"                       
	19        =  "Iowa"                          
	20        =  "Kansas"                        
	21        =  "Kentucky"                      
	22        =  "Louisiana"                     
	23        =  "Maine"                         
	24        =  "Maryland"                      
	25        =  "Massachusetts"                 
	26        =  "Michigan"                      
	27        =  "Minnesota"                     
	28        =  "Mississippi"                   
	29        =  "Missouri"                      
	30        =  "Montana"                       
	31        =  "Nebraska"                      
	32        =  "Nevada"                        
	33        =  "New Hampshire"                 
	34        =  "New Jersey"                    
	35        =  "New Mexico"                    
	36        =  "New York"                      
	37        =  "North Carolina"                
	38        =  "North Dakota"                  
	39        =  "Ohio"                          
	40        =  "Oklahoma"                      
	41        =  "Oregon"                        
	42        =  "Pennsylvania"                  
	44        =  "Rhode Island"                  
	45        =  "South Carolina"                
	46        =  "South Dakota"                  
	47        =  "Tennessee"                     
	48        =  "Texas"                         
	49        =  "Utah"                          
	50        =  "Vermont"                       
	51        =  "Virginia"                      
	53        =  "Washington"                    
	54        =  "West Virginia"                 
	55        =  "Wisconsin"                     
	56        =  "Wyoming"                       
;
VALUE tmovrflg	(default=32)
	-1        =  "Not in Sample (Not in universe"
	0         =  "New to sample"                 
	1         =  "Nonmover"                      
	2         =  "Moved, same county"            
	3         =  "Moved, different county within"
	4         =  "Moved, different state"        
	5         =  "Moved, unable to follow (Type D)"
	6         =  "Moved, out of scope (Type C)"  
;
VALUE eoutcome	(default=32)
	201       =  "Completed interview"           
	203       =  "Compl. partial- missing data; no TYPE-Z"
	207       =  "Complete partial - TYPE-Z; no futher followup"
	213       =  "TYPE-A, language problem"      
	216       =  "TYPE-A, no one home (noh)"     
	217       =  "TYPE-A, temporarily absent (ta)"
	218       =  "TYPE-A, hh refused"            
	219       =  "TYPE-A, other occupied (specify)"
	234       =  "TYPE-B, entire hh institut. or temp. ineligible"
	248       =  "TYPE-C, other (specify)"       
	249       =  "TYPE-C, sample adjustment"     
	250       =  "TYPE-C, hh deceased"           
	251       =  "TYPE-C, moved out of country"  
	252       =  "TYPE-C, living in armed forces barracks"
	253       =  "TYPE-C, on active duty in Armed Forces"
	254       =  "TYPE-C, no one over age 15 years in household"
	255       =  "TYPE-C, no Wave 1 persons remaining in household"
	260       =  "TYPE-D, moved address unknown -SPAWN"
	261       =  "TYPE-D, moved within U.S. but outside SIPP -SPAWN"
	262       =  "TYPE-C, merged with another SIPP household"
	270       =  "TYPE-C, mover, no longer located in FR's area -PARENT"
	271       =  "TYPE-C, mover, new address located in same FR's area -PARENT"
	280       =  "TYPE-D, mover, no longer located in FR's assignment area -SPAWN"
;
VALUE rhtype  	(default=32)
	1         =  "Family hh - Married couple"    
	2         =  "Family hh - Male householder"  
	3         =  "Family hh - Female householder"
	4         =  "Nonfamily hh - Male householder nonfamily household"
	5         =  "Nonfamily hh - Female householder nonfamily household"
	6         =  "Group Quarters"                
;
VALUE whfnwgt 	(default=32)
	0         =  "0000:999999.9999 .Weight"      
;
VALUE tmetro  	(default=32)
	1         =  "Metro"                         
	2         =  "Not metro"                     
	3         =  "Not Identified"                
;
VALUE rhchange	(default=32)
	1         =  "Change occurred"               
	2         =  "No change occurred"            
;
VALUE etenure 	(default=32)
	1         =  "Owned or being bought by ... or someone in ...'s household"
	2         =  "Rented"                        
	3         =  "Occupied without payment of cash rent"
;
VALUE atenure 	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE epubhse 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apubhse 	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE egvtrnt 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE agvtrnt 	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tmthrnt 	(default=32)
	0         =  "None or not in universe"       
;
VALUE amthrnt 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ewrsectt	(default=32)
	1         =  "Section 8"                     
	2         =  "Some other government program" 
	-1        =  "Not in Universe"               
;
VALUE awrsectt	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eutilyn 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE autilyn 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eegyast 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aegyast 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eegypmtt	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE eegypmtk	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE eegypmtl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aegypmt 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eegyamt 	(default=32)
	0         =  "None or not in universe"       
;
VALUE aegyamt 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ehotlunc	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahotlunc	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rnklun  	(default=32)
	-1        =  "Not in Universe"               
;
VALUE efreelun	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE afreelun	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE efrerdln	(default=32)
	1         =  "Free lunch"                    
	2         =  "Reduced-price lunch"           
	-1        =  "Not in Universe"               
;
VALUE afrerdln	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ebrkfst 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE abrkfst 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation"            
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rnkbrk  	(default=32)
	-1        =  "Not in Universe"               
;
VALUE efreebrk	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE afreebrk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE efrerdbk	(default=32)
	1         =  "Free breakfast"                
	2         =  "Reduced-price breakfast"       
	-1        =  "Not in Universe"               
;
VALUE afrerdbk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rprgques	(default=32)
	0         =  "Residence this month not in sample at intrvw - no data transferred"
	1         =  "Res. this mo. was intrvwed address - program data collected"
	2         =  "Res. this mo. in sample but nonintrvw - no program data coll"
	3         =  "Res. this mo. not in sample at intrvw - program data transferred"
;
VALUE rhnbrf  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
;
VALUE rhcbrf  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
;
VALUE rhmtrf  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
;
VALUE rfid2l  	(default=32)
	-1        =  "Not in Universe"               
;
VALUE efspouse	(default=32)
	9999      =  "Persons with EFKIND=2 or 3"    
;
VALUE eftype  	(default=32)
	1         =  "Primary family (including those"
	3         =  "Unrelated Subfamily"           
	4         =  "Primary Individual"            
	5         =  "Secondary individual"          
;
VALUE rfchange	(default=32)
	1         =  "Change occurred"               
	2         =  "No change occurred"            
;
VALUE efkind  	(default=32)
	1         =  "Headed by Husband/Wife"        
	2         =  "Male Headed"                   
	3         =  "Female Headed"                 
;
VALUE wffinwgt	(default=32)
	0         =  "0000:999999.9999 .Person weight for family"
;
VALUE rsid    	(default=32)
	-1        =  "Not in Universe"               
;
VALUE esfnp   	(default=32)
	-1        =  "Not in Universe"               
;
VALUE esfrfper	(default=32)
	-1        =  "Not in Universe"               
;
VALUE esfspse 	(default=32)
	9999      =  "No spouse in subfamily"        
	-1        =  "Not in Universe"               
;
VALUE esftype 	(default=32)
	2         =  "Related Subfamily"             
	-1        =  "Not in Universe"               
;
VALUE esfkind 	(default=32)
	1         =  "Headed by Husband/Wife"        
	2         =  "Male Headed"                   
	3         =  "Female Headed"                 
	-1        =  "Not in Universe"               
;
VALUE rschange	(default=32)
	1         =  "Change occurred"               
	2         =  "No change occurred"            
	0         =  "Not In Universe"               
;
VALUE esownkid	(default=32)
	0         =  "No children"                   
	-1        =  "Not in Universe"               
;
VALUE esoklt1d	(default=32)
	0         =  "No children"                   
	-1        =  "Not in Universe"               
;
VALUE wsfinwgt	(default=32)
	0         =  "0000:999999.9999 .Weight of related subfamily"
	-1        =  "Not in Universe"               
;
VALUE tsfearn 	(default=32)
	0         =  "None or not in universe"       
;
VALUE tsprpinc	(default=32)
	0         =  "None or not in universe"       
;
VALUE tstrninc	(default=32)
	0         =  "None or not in universe"       
;
VALUE tsothinc	(default=32)
	0         =  "None or not in universe"       
;
VALUE tstotinc	(default=32)
	0         =  "None or not in universe"       
;
VALUE rsfpov  	(default=32)
	0         =  "Not In Universe"               
;
VALUE tspndist	(default=32)
	0         =  "None or not in universe"       
;
VALUE tslumpsm	(default=32)
	0         =  "None or not in universe"       
;
VALUE tssocsec	(default=32)
	0         =  "None or not in universe"       
;
VALUE tsssi   	(default=32)
	0         =  "None or not in universe"       
;
VALUE tsvets  	(default=32)
	0         =  "None or not in universe"       
;
VALUE tsunemp 	(default=32)
	0         =  "None or not in universe"       
;
VALUE tsafdc  	(default=32)
	0         =  "None or not in universe"       
;
VALUE tsfdstp 	(default=32)
	0         =  "None or not in universe"       
;
VALUE eppintvw	(default=32)
	1         =  "Interview (self)"              
	2         =  "Interview (proxy)"             
	3         =  "Noninterview - Type Z"         
	4         =  "Noninterview - pseudo Type Z. Left sample during the reference period"
	5         =  "Children under 15 during reference period"
;
VALUE epopstat	(default=32)
	1         =  "Adult (15 years of age or older)"
	2         =  "Child (Under 15 years of age)" 
;
VALUE abmnth  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE abyear  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE esex    	(default=32)
	1         =  "MALE"                          
	2         =  "FEMALE"                        
;
VALUE asex    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE erace   	(default=32)
	1         =  "White alone"                   
	2         =  "Black alone"                   
	3         =  "Asian alone"                   
	4         =  "Residual"                      
;
VALUE arace   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE eorigin 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
;
VALUE aorigin 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE ebornus 	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
;
VALUE abornus 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE ecitizen	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
;
VALUE acitizen	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE enatcit 	(default=32)
	1         =  "Naturalized"                   
	2         =  "Through you or your spouse's military service in U.S. Armed Forces"
	3         =  "Adopted by U.S. citizen parent or parents"
	4         =  "Born in a U.S. Island Area or born in the United States"
	5         =  "Born abroad of U.S. citizen parent or parents"
	-1        =  "Not in Universe"               
;
VALUE anatcit 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE espeak  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aspeak  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE tlang1l 	(default=32)
	1         =  "Spanish"                       
	2         =  "French (include Creole)"       
	3         =  "German"                        
	4         =  "Slavic languages (Polish, Russian, Serbo-Croatin, Bosnian, Yugoslavian)"
	5         =  "Other Indo-European languages (Greek, Italian, Portuguese, Hindi,Urdu)"
	6         =  "Chinese, Mandarin, Cantonese"  
	7         =  "Tagalog, Philipino"            
	8         =  "Vietnamese"                    
	9         =  "Other Asian languages (Japanese, Korean)"
	10        =  "Other And Unspecified Languages"
	-1        =  "Not in Universe"               
;
VALUE alang1l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE ehowwell	(default=32)
	1         =  "Very well"                     
	2         =  "Well"                          
	3         =  "Not well"                      
	4         =  "Not at all"                    
	-1        =  "Not in Universe"               
;
VALUE ahowwell	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE rlngisol	(default=32)
	1         =  "In linguistically isolated household"
	2         =  "Not in linguistically isolated household"
	-1        =  "Not in Universe"               
;
VALUE uevrwid 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	6         =  "Don't know"                    
	7         =  "Refused"                       
;
VALUE uevrdiv 	(default=32)
	0         =  "Not answered"                  
	1         =  "Yes"                           
	2         =  "No"                            
	6         =  "Don't know"                    
	7         =  "Refused"                       
;
VALUE eafnow  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aafnow  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eafever 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aafever 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE uaf1l   	(default=32)
	0         =  "Not answered"                  
	1         =  "August 1990 to the present (including Persian Gulf War)"
	6         =  "Don't know"                    
	7         =  "Refuse"                        
;
VALUE uaf2l   	(default=32)
	0         =  "Not answered"                  
	2         =  "September 1980 to July 1990"   
;
VALUE uaf3l   	(default=32)
	0         =  "Not answered"                  
	3         =  "May 1975 to August 1980"       
;
VALUE uaf4l   	(default=32)
	0         =  "Not answered"                  
	4         =  "August 1964 to April 1975 (Vietnam Era)"
;
VALUE uaf5l   	(default=32)
	0         =  "Not answered"                  
	5         =  "Some other time period (other than those in UAF1-UAF4)"
;
VALUE evayn   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE avayn   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE evettyp 	(default=32)
	1         =  "Service-connected disability compensation"
	2         =  "Survivor Benefits"             
	3         =  "Veteran's Pension"             
	4         =  "Other Veteran's Payments"      
	-1        =  "Not in Universe"               
;
VALUE avettyp 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE evaques 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE avaques 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE wpfinwgt	(default=32)
	0         =  "0000:999999.9999 .Final person weight"
;
VALUE esfr    	(default=32)
	1         =  "Reference person of a related or unrelated subfamily"
	2         =  "Spouse of reference person of a related or unrelated subfamily"
	3         =  "Child (under 18) of reference person of related or unrelated subfamily"
	0         =  "Not In Universe"               
;
VALUE esft    	(default=32)
	0         =  "Primary family"                
	1         =  "Secondary individual (not a family member)"
	2         =  "Unrelated subfamily"           
	3         =  "Related subfamily"             
	4         =  "Primary Individual"            
;
VALUE tage    	(default=32)
	0         =  "Less than 1 full year old"     
;
VALUE aage    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE errp    	(default=32)
	1         =  "Reference person with related persons in household"
	2         =  "Reference Person without related persons in household"
	3         =  "Spouse of reference person"    
	4         =  "Child of reference person"     
	5         =  "Grandchild of reference person"
	6         =  "Parent of reference person"    
	7         =  "Brother/sister of reference person"
	8         =  "Other relative of reference person"
	9         =  "Foster child of reference person"
	10        =  "Unmarried partner of reference person"
	11        =  "Housemate/roommate"            
	12        =  "Roomer/boarder"                
	13        =  "Other non-relative of reference person"
;
VALUE arrp    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE ems     	(default=32)
	1         =  "Married, spouse present"       
	2         =  "Married, spouse absent"        
	3         =  "Widowed"                       
	4         =  "Divorced"                      
	5         =  "Separated"                     
	6         =  "Never Married"                 
;
VALUE ams     	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE epnspous	(default=32)
	9999      =  "Spouse not in household or person not married"
;
VALUE apnspous	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE epnmom  	(default=32)
	9999      =  "No mother in household"        
;
VALUE apnmom  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE epndad  	(default=32)
	9999      =  "No father in household"        
;
VALUE apndad  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE epnguard	(default=32)
	9999      =  "Guardian not in household"     
	-1        =  "Not in Universe"               
;
VALUE apnguard	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE etypmom 	(default=32)
	1         =  "Biological or natural child"   
	2         =  "Stepchild"                     
	3         =  "Adopted child"                 
	-1        =  "Not in Universe"               
;
VALUE atypmom 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE etypdad 	(default=32)
	1         =  "Biological or natural child"   
	2         =  "Stepchild"                     
	3         =  "Adopted child"                 
	-1        =  "Not in Universe"               
;
VALUE atypdad 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE rdesgpnt	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ulftmain	(default=32)
	0         =  "Not answered"                  
	1         =  "Deceased"                      
	2         =  "Institutionalized"             
	3         =  "On active duty in the Armed Forces"
	4         =  "Moved outside of U.S."         
	5         =  "Separation or divorce"         
	6         =  "Marriage"                      
	7         =  "Became employed/unemployed"    
	8         =  "Due to job change - other"     
	9         =  "Listed in error in prior wave" 
	10        =  "Other"                         
	11        =  "Moved to type C household"     
;
VALUE uentmain	(default=32)
	0         =  "Not answered"                  
	1         =  "Birth"                         
	2         =  "Marriage"                      
	3         =  "Returned to household after missing one or more waves"
	4         =  "Due to separation or divorce"  
	5         =  "From an institution"           
	6         =  "From Armed  Forces barracks"   
	7         =  "From outside the U.S."         
	8         =  "Should have been listed as member in previous wave"
	9         =  "Became employed/unemployed"    
	10        =  "Job change - other"            
	11        =  "Lived at this address before sample person{s} entered"
	12        =  "Other"                         
;
VALUE tpearn  	(default=32)
	0         =  "None or not in universe"       
;
VALUE tpprpinc	(default=32)
	0         =  "None or not in universe"       
;
VALUE tptrninc	(default=32)
	0         =  "None or not in universe"       
;
VALUE tpothinc	(default=32)
	0         =  "None or not in universe"       
;
VALUE tptotinc	(default=32)
	0         =  "None or not in universe"       
;
VALUE tppndist	(default=32)
	0         =  "None or not in universe"       
;
VALUE tplumpsm	(default=32)
	0         =  "None or not in universe"       
;
VALUE ehtlnyn 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahtlnyn 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ebkfsyn 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE abkfsyn 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rcutyp0n	(default=32)
	1         =  "Yes, covered"                  
	2         =  "No, not covered"               
;
VALUE rcuown0n	(default=32)
	0         =  "Not In Universe"               
;
VALUE rcutyp0k	(default=32)
	1         =  "Yes, covered"                  
	2         =  "No, not covered"               
;
VALUE rcuown0k	(default=32)
	0         =  "Not In Universe"               
;
VALUE rcutyp0l	(default=32)
	1         =  "Yes, covered"                  
	2         =  "No, not covered"               
;
VALUE rcuown0l	(default=32)
	0         =  "Not In Universe"               
;
VALUE rcutyp0m	(default=32)
	1         =  "Yes, covered"                  
	2         =  "No, not covered"               
;
VALUE rcuown8a	(default=32)
	0         =  "Not In Universe"               
;
VALUE rcuown8b	(default=32)
	0         =  "Not In Universe"               
;
VALUE rcutyp2b	(default=32)
	1         =  "Yes, covered"                  
	2         =  "No, not covered"               
;
VALUE rcuown2b	(default=32)
	0         =  "Not In Universe"               
;
VALUE rcutyp2k	(default=32)
	1         =  "Yes, covered"                  
	2         =  "No, not covered"               
;
VALUE rcuow21a	(default=32)
	0         =  "Not In Universe"               
;
VALUE rcuow21b	(default=32)
	0         =  "Not In Universe"               
;
VALUE rcutyp2l	(default=32)
	1         =  "Yes, covered"                  
	2         =  "No, not covered"               
;
VALUE rcuown2k	(default=32)
	0         =  "Not In Universe"               
;
VALUE rcutyp2m	(default=32)
	1         =  "Yes, covered"                  
	2         =  "No, not covered"               
;
VALUE rcuow24a	(default=32)
	0         =  "Not In Universe"               
;
VALUE rcuow24b	(default=32)
	0         =  "Not In Universe"               
;
VALUE rcutyp2n	(default=32)
	1         =  "Yes, covered"                  
	2         =  "No, not covered"               
;
VALUE rcuown2l	(default=32)
	0         =  "Not In Universe"               
;
VALUE rcutyp2o	(default=32)
	1         =  "Yes, covered"                  
	2         =  "No, not covered"               
;
VALUE rcuown2m	(default=32)
	0         =  "Not In Universe"               
;
VALUE rcutyp5b	(default=32)
	1         =  "Yes, covered"                  
	2         =  "No, not covered"               
;
VALUE rcuown5b	(default=32)
	0         =  "Not In Universe"               
;
VALUE rcutyp5k	(default=32)
	1         =  "Yes, covered"                  
	2         =  "No, not covered"               
;
VALUE rcuow58a	(default=32)
	0         =  "Not In Universe"               
;
VALUE rcuow58b	(default=32)
	0         =  "Not In Universe"               
;
VALUE renroll 	(default=32)
	1         =  "Enrolled full-time"            
	2         =  "Enrolled part-time"            
	3         =  "Not enrolled"                  
	-1        =  "Not in Universe"               
;
VALUE arenroll	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE eenrlm  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aenrlm  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE renrlma 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE eenlevel	(default=32)
	1         =  "Elementary grades 1-8"         
	2         =  "High school grades 9-12"       
	3         =  "College year 1 (freshman)"     
	4         =  "College year 2 (sophomore)"    
	5         =  "College year 3 (junior)"       
	6         =  "College year 4 (senior)"       
	7         =  "First year graduate or professional school"
	8         =  "Second year or higher in graduate or professional school"
	9         =  "Vocational, technical, or business school beyond high school level"
	10        =  "Enrolled in college, but not working towards a degree"
	-1        =  "Not in Universe"               
;
VALUE aenlevel	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE eedfund 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aedfund 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE easst01l	(default=32)
	1         =  "Received"                      
	2         =  "Did not receive"               
	-1        =  "Not in Universe"               
;
VALUE easst03l	(default=32)
	1         =  "Received"                      
	2         =  "Did not receive"               
	-1        =  "Not in Universe"               
;
VALUE easst04l	(default=32)
	1         =  "Received"                      
	2         =  "Did not receive"               
	-1        =  "Not in Universe"               
;
VALUE easst05l	(default=32)
	1         =  "Received"                      
	2         =  "Did not receive"               
	-1        =  "Not in Universe"               
;
VALUE easst06l	(default=32)
	1         =  "Received"                      
	2         =  "Did not receive"               
	-1        =  "Not in Universe"               
;
VALUE easst07l	(default=32)
	1         =  "Received"                      
	2         =  "Did not receive"               
	-1        =  "Not in Universe"               
;
VALUE easst08l	(default=32)
	1         =  "Received"                      
	2         =  "Did not receive"               
	-1        =  "Not in Universe"               
;
VALUE easst09l	(default=32)
	1         =  "Received"                      
	2         =  "Did not receive"               
	-1        =  "Not in Universe"               
;
VALUE easst10l	(default=32)
	1         =  "Received"                      
	2         =  "Did not receive"               
	-1        =  "Not in Universe"               
;
VALUE easst11l	(default=32)
	1         =  "Received"                      
	2         =  "Did not receive"               
	-1        =  "Not in Universe"               
;
VALUE easst12l	(default=32)
	1         =  "Received"                      
	2         =  "Did not receive"               
	-1        =  "Not in Universe"               
;
VALUE aedasst 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eeducate	(default=32)
	31        =  "Less Than 1st Grade"           
	32        =  "1st, 2nd, 3rd or 4th grade"    
	33        =  "5th Or 6th Grade"              
	34        =  "7th Or 8th Grade"              
	35        =  "9th Grade"                     
	36        =  "10th Grade"                    
	37        =  "11th Grade"                    
	38        =  "12th grade, no diploma"        
	39        =  "High School Graduate - (diploma or GED or equivalent)"
	40        =  "Some college, but no degree"   
	41        =  "Diploma or certificate from a vocational, technical, trade or business school beyond high"
	43        =  "Associate (2-yr) college degree (include academic/occupational degree)"
	44        =  "Bachelor's degree (for example: .BA, AB, BS)"
	45        =  "Master's degree (For example: MA, MS, MEng, MEd, MSW, MBA)"
	46        =  "Professional School degree (for example: MD,(doctor),DDS (dentist),JD(lawyer)"
	47        =  "Doctorate degree (for example: .Ph.D., Ed.D)"
	-1        =  "Not in Universe"               
;
VALUE aeducate	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Longitudinal statistical imputation (hot deck)"
	6         =  "Longitudinal logical imputation (derivation)"
;
VALUE rged    	(default=32)
	1         =  "Yes (GED)"                     
	2         =  "No (Graduated from high school)"
	-1        =  "Not in Universe"               
;
VALUE aged    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE evocat  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE avocat  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rcollvoc	(default=32)
	1         =  "No vocational certificate or under 18, less than high school education"
	2         =  "No vocational certificate or under 18, high school diploma"
	3         =  "No vocational certificate or under 18, less than one year of college, no degree"
	4         =  "No vocational certificate or under 18, one or more years of college, no degree"
	5         =  "No vocational certificate or under 18, associate degree or higher degree"
	6         =  "Vocational certificate, less than high school education"
	7         =  "Vocational certificate, high school diploma"
	8         =  "Vocational certificate, less than one year of college, no degree"
	9         =  "Vocational certificate, one or more years of college, no degree"
	10        =  "Vocational certificate, associate degree, or higher degree"
	-1        =  "Not in Universe"               
;
VALUE acollvoc	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE epdjbthn	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apdjbthn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Edited value set equal to 2. Applies only to Wave 3. (See User Note)"
;
VALUE eppflag 	(default=32)
	-1        =  "Not applicable"                
	1         =  "Yes"                           
;
VALUE emax    	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ebuscntr	(default=32)
	0         =  "Owned contingent business(es) only"
	-1        =  "Not in Universe"               
;
VALUE ejobcntr	(default=32)
	0         =  "Contingent worker"             
	-1        =  "Not in Universe"               
;
VALUE eeveret 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aeveret 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE edisabl 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE adisabl 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE edisprev	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE adisprev	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ersnowrk	(default=32)
	1         =  "Temporarily unable to work because of an injury"
	2         =  "Temporarily unable to work because of an illness"
	3         =  "Unable to work because of chronic health condition or disablity"
	4         =  "Retired"                       
	5         =  "Pregnancy/childbirth"          
	6         =  "Taking care of children/other persons"
	7         =  "Going to school"               
	8         =  "Unable to find work"           
	9         =  "On layoff (temporary or indefinite)"
	10        =  "Not interested in working at a job"
	11        =  "Other"                         
	-1        =  "Not in Universe"               
;
VALUE arsnowrk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eawop   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aawop   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eabre   	(default=32)
	1         =  "On layoff (temporary or indefinite)"
	2         =  "Slack work or business conditions"
	3         =  "Own injury"                    
	4         =  "Own illness/medical problems"  
	5         =  "Pregnancy/childbirth"          
	6         =  "Taking care of children"       
	7         =  "On vacation/personal days"     
	8         =  "Bad weather"                   
	9         =  "Labor Dispute"                 
	10        =  "New job to begin within 30 days"
	11        =  "Participated in a job-sharing arrangement"
	12        =  "Other"                         
	-1        =  "Not in Universe"               
;
VALUE aabre   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eptwrk  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aptwrk  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eptresn 	(default=32)
	1         =  "Could not find full-time job"  
	2         =  "Wanted to work part time"      
	3         =  "Temporarily unable to work full-time because of injury"
	4         =  "Temporarily not able to work full-time because of illness"
	5         =  "Unable to work full-time due to chronic health condition/disability"
	6         =  "Taking care of children/other persons"
	7         =  "Full-time workweek is less than 35 hours"
	8         =  "Slack work or material shortage"
	9         =  "Participated in a job sharing arrangement"
	10        =  "On vacation"                   
	11        =  "In school"                     
	12        =  "Other"                         
	-1        =  "Not in Universe"               
;
VALUE aptresn 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE elkwrk  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE alkwrk  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE elayoff 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE alayoff 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rtakjob 	(default=32)
	-1        =  "Not in Universe"               
	0         =  "Not reported"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE rnotake 	(default=32)
	1         =  "Waiting for a new job to begin"
	2         =  "Own Temporary Illness"         
	3         =  "School"                        
	4         =  "OTHER"                         
	-1        =  "Not in Universe"               
	0         =  "Not reported"                  
;
VALUE ehrsall 	(default=32)
	0         =  "Not Determined (See User NOTE)"
	-1        =  "Not in Universe"               
;
VALUE ahrsall 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE emoonlit	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amoonlit	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tmlmsum 	(default=32)
	0         =  "None or not in universe"       
;
VALUE amlmsum 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ebflag  	(default=32)
	-1        =  "Not applicable"                
	1         =  "Yes"                           
;
VALUE ecflag  	(default=32)
	-1        =  "Not applicable"                
	1         =  "Yes"                           
;
VALUE rmesr   	(default=32)
	1         =  "With a job entire month, worked all weeks."
	2         =  "With a job all month, absent from work without pay 1+ weeks, absence not due to layoff"
	3         =  "With a job all month, absent from work without pay 1+ weeks, absence due to layoff"
	4         =  "With a job at least 1 but not all weeks, no time on layoff and no time looking for work"
	5         =  "With a job at least 1 but not all weeks, some weeks on layoff or looking for work"
	6         =  "No job all month, on layoff or looking for work all weeks."
	7         =  "No job all month, at least one but not all weeks on layoff or looking for work"
	8         =  "No job all month, no time on layoff and no time looking for work."
	-1        =  "Not in Universe"               
;
VALUE rwkesr1l	(default=32)
	1         =  "With job/bus - working"        
	2         =  "With job/bus - not on layoff, absent without pay"
	3         =  "With job/bus - on layoff, absent without pay"
	4         =  "No job/bus - looking for work or on layoff"
	5         =  "No job/bus - not looking and not on layoff"
	-1        =  "Not in Universe"               
;
VALUE rwkesr2l	(default=32)
	1         =  "With job/bus - working"        
	2         =  "With job/bus - not on layoff, absent without pay"
	3         =  "With job/bus - on layoff, absent without pay"
	4         =  "No job/bus - looking for work or on layoff"
	5         =  "No job/bus - not looking and not on layoff"
	-1        =  "Not in Universe"               
;
VALUE rwkesr3l	(default=32)
	1         =  "With job/bus - working"        
	2         =  "With job/bus - not on layoff, absent without pay"
	3         =  "With job/bus - on layoff, absent without pay"
	4         =  "No job/bus - looking for work or on layoff"
	5         =  "No job/bus - not looking and not on layoff"
	-1        =  "Not in Universe"               
;
VALUE rwkesr4l	(default=32)
	1         =  "With job/bus - working"        
	2         =  "With job/bus - not on layoff, absent without pay"
	3         =  "With job/bus - on layoff, absent without pay"
	4         =  "No job/bus - looking for work or on layoff"
	5         =  "No job/bus - not looking and not on layoff"
	-1        =  "Not in Universe"               
;
VALUE rwkesr5l	(default=32)
	1         =  "With job/bus - working"        
	2         =  "With job/bus - not on layoff, absent without pay"
	3         =  "With job/bus - on layoff, absent without pay"
	4         =  "No job/bus - looking for work or on layoff"
	5         =  "No job/bus - not looking and not on layoff"
	-1        =  "Not in Universe"               
;
VALUE rmwkwjb 	(default=32)
	0         =  "0 weeks (that is, did not look for work, and was not on layoff)"
	1         =  "1 week"                        
	2         =  "2 weeks"                       
	3         =  "3 weeks"                       
	4         =  "4 weeks"                       
	5         =  "5 weeks (if applicable)"       
	-1        =  "Not in Universe"               
;
VALUE rmwksab 	(default=32)
	0         =  "0 weeks (that is, did not have a job, or not absent without pay from a job)"
	1         =  "1 week"                        
	2         =  "2 weeks"                       
	3         =  "3 weeks"                       
	4         =  "4 weeks"                       
	5         =  "5 weeks (if applicable)"       
	-1        =  "Not in Universe"               
;
VALUE awksab  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rmwklkg 	(default=32)
	0         =  "0 weeks (that is, did not look for work, and was not on layoff)"
	1         =  "1 week"                        
	2         =  "2 weeks"                       
	3         =  "3 weeks"                       
	4         =  "4 weeks"                       
	5         =  "5 weeks (if applicable)"       
	-1        =  "Not in Universe"               
;
VALUE awklkg  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rmhrswk 	(default=32)
	0         =  "Did not work (did not have a job, or was absent without pay from a job all weeks in month)"
	1         =  "All weeks 35+"                 
	2         =  "All weeks 1-34 hours"          
	3         =  "Some weeks 35+ and some weeks less than 35, all weeks equal to or greater than 1"
	4         =  "Some weeks 35+, some 1-34 hours, some 0 hours"
	5         =  "At least 1 but not all weeks 35+ hours, all other weeks 0 hours"
	6         =  "At least 1 week but not all weeks 1 to 34 hours, all other weeks 0 hours"
	-1        =  "Not in Universe"               
;
VALUE rwksperm	(default=32)
	4         =  "Four weeks"                    
	5         =  "Five weeks"                    
	-1        =  "Not in Universe"               
;
VALUE eeno1l  	(default=32)
	-1        =  "Not in Universe"               
;
VALUE estlempm	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE astlempm	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tsjdatem	(default=32)
	-1        =  "Not in Universe"               
;
VALUE asjdatem	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tejdatem	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aejdatem	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ersend1l	(default=32)
	1         =  "On Layoff"                     
	2         =  "Retirement or old age"         
	3         =  "Childcare problems"            
	4         =  "Other family/personal obligations"
	5         =  "Own illness"                   
	6         =  "Own injury"                    
	7         =  "School/Training"               
	8         =  "Discharged/fired"              
	9         =  "Employer bankrupt"             
	10        =  "Employer sold business"        
	11        =  "Job was temporary and ended"   
	12        =  "Quit to take another job"      
	13        =  "Slack work or business conditions"
	14        =  "Unsatisfactory work arrangements"
	15        =  "Quit for some other reason"    
	-1        =  "Not in Universe"               
;
VALUE arsend1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ejbhrs1l	(default=32)
	-8        =  "Hours vary"                    
	-1        =  "Not in Universe"               
;
VALUE ajbhrs1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eemplocm	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aemplocm	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tempallm	(default=32)
	1         =  "Under 25 employees"            
	2         =  "25 to 99 employees"            
	3         =  "100+ employees"                
	-1        =  "Not in Universe"               
;
VALUE aempallm	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tempsizm	(default=32)
	1         =  "Under 25 employees"            
	2         =  "25 to 99 employees"            
	3         =  "100+ employees"                
	-1        =  "Not in Universe"               
;
VALUE aempsizm	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eocctimm	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aocctimm	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
;
VALUE eclwrk1l	(default=32)
	1         =  "Private for profit employee"   
	2         =  "Private not for profit employee"
	3         =  "Local government worker"       
	4         =  "State government worker"       
	5         =  "Federal government worker"     
	6         =  "Family worker without pay"     
	-1        =  "Not in Universe"               
;
VALUE aclwrk1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eunion1l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aunion1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ecntrc1l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE acntrc1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tpmsum1l	(default=32)
	0         =  "None or not in universe"       
;
VALUE apmsum1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE epayhr1l	(default=32)
	1         =  "Yes (paid by the hour)"        
	2         =  "No (set annual salary or other"
	-1        =  "Not in Universe"               
;
VALUE apayhr1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tpyratem	(default=32)
	0         =  "Not in universe or none"       
;
VALUE apyratem	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rpyper1l	(default=32)
	1         =  "Once a week"                   
	2         =  "Once every two weeks"          
	3         =  "Once a month"                  
	4         =  "Twice a month"                 
	5         =  "Unpaid in a family business or"
	6         =  "On commission"                 
	7         =  "Some other way"                
	8         =  "Not reported"                  
	-1        =  "Not in Universe"               
;
VALUE ejbind1l	(default=32)
	0170      =  "Crop production (111)"         
	0180      =  "Animal production (112)"       
	0190      =  "Forestry except logging (1131,1132)"
	0270      =  "Logging (1133)"                
	0280      =  "Fishing, hunting, and trapping (114)"
	0290      =  "Support activities for agriculture and forestry (115)"
	0370      =  "Oil and gas extraction (211)"  
	0380      =  "Coal mining (2121)"            
	0390      =  "Metal ore mining (2122)"       
	0470      =  "Nonmetallic mineral mining and quarrying (2123)"
	0480      =  "Not specified type of mining (Part 21)"
	0490      =  "Support activities for mining (213)"
	0570      =  "Electric power generation, transmission and distribution (2211)"
	0580      =  "Natural gas distribution (2212)"
	0590      =  "Electric and gas, and other combinations (Parts 2211, 2212)"
	0670      =  "Water, steam, air-conditioning, and irrigation systems (22131,22133)"
	0680      =  "Sewage treatment facilities (22132)"
	0690      =  "Not specified utilities (Part 22)"
	0770      =  "Construction (23)"             
	1070      =  "Animal food, grain and oilseed milling (3111, 3112)"
	1080      =  "Sugar and confectionery products (3113)"
	1090      =  "Fruit and vegetable preserving and specialty food manufacturing (3114)"
	1170      =  "Dairy product manufacturing (3115)"
	1180      =  "Animal slaughtering and processing (3116)"
	1190      =  "Retail bakeries (311811)"      
	1270      =  "Bakeries, except retail  (3118 .exc. 311811)"
	1280      =  "Seafood and other miscellaneous foods, n.e.c. (3117, 3119)"
	1290      =  "Not specified food industries (Part 311)"
	1370      =  "Beverage manufacturing (3121)" 
	1390      =  "Tobacco manufacturing (3122)"  
	1470      =  "Fiber, yarn, and thread mills (3131)"
	1480      =  "Fabric mills, except knitting (3132 except 31324)"
	1490      =  "Textile and fabric finishing and coating mills (3133)"
	1570      =  "Carpet and rug mills (31411)"  
	1590      =  "Textile product mills, except carpets and rugs (314 except 31411)"
	1670      =  "Knitting mills (31324, 3151)"  
	1680      =  "Cut and sew apparel manufacturing (3152)"
	1690      =  "Apparel accessories and other apparel manufacturing (3159)"
	1770      =  "Footwear manufacturing (3162)" 
	1790      =  "Leather tanning and products, except footwear manufacturing (3161, 3169)"
	1870      =  "Pulp, paper, and paperboard mills (3221)"
	1880      =  "Paperboard containers and boxes (32221)"
	1890      =  "Miscellaneous paper and pulp products  (32222, 32223, 32229)"
	1990      =  "Printing and related support activities (3231)"
	2070      =  "Petroleum refining (32411)"    
	2090      =  "Miscellaneous petroleum and coal products (32419)"
	2170      =  "Resin, synthetic rubber and fibers, and filaments manufacturing (3252)"
	2180      =  "Agricultural chemical manufacturing  (3253)"
	2190      =  "Pharmaceutical and medicine manufacturing (3254)"
	2270      =  "Paint, coating, and adhesive manufacturing (3255)"
	2280      =  "Soap, cleaning compound, and cosmetics manufacturing (3256)"
	2290      =  "Industrial and miscellaneous chemicals (3251, 3259)"
	2370      =  "Plastics product manufacturing (3261)"
	2380      =  "Tire manufacturing (32621)"    
	2390      =  "Rubber products, except tires, manufacturing (32622, 32629)"
	2470      =  "Pottery, ceramics, and related products manufacturing (32711)"
	2480      =  "Structural clay product manufacturing (32712)"
	2490      =  "Glass and glass product manufacturing  (3272)"
	2570      =  "Cement, concrete, lime, and gypsum product manufacturing (3273, 3274)"
	2590      =  "Miscellaneous nonmetallic mineral product manufacturing (3279)"
	2670      =  "Iron and steel mills and steel product manufacturing (3311, 3312)"
	2680      =  "Aluminum production and processing  (3313)"
	2690      =  "Nonferrous metal, except aluminum, production and processing (3314)"
	2770      =  "Foundries (3315)"              
	2780      =  "Metal forgings and stampings (3321)"
	2790      =  "Cutlery and hand tool manufacturing  (3322)"
	2870      =  "Structural metals, and tank and shipping container manufacturing (3323, 3324)"
	2880      =  "Machine shops; turned product; screw, nut and bolt manufacturing  (3327)"
	2890      =  "Coating, engraving, heat treating and allied activities (3328)"
	2970      =  "Ordnance (332992, 332993, 332994, 332995)"
	2980      =  "Miscellaneous fabricated metal products manufacturing (3325, 3326, 3329 except 332992, )"
	2990      =  "Not specified metal industries (Part 331 and 332)"
	3070      =  "Agricultural implement manufacturing (33311)"
	3080      =  "Construction, mining and oil field machinery manufacturing (33312, 33313)"
	3090      =  "Commercial and service industry machinery manufacturing (3333)"
	3170      =  "Metalworking machinery manufacturing (3335)"
	3180      =  "Engines, turbines, and power transmission equipment manufacturing (3336)"
	3190      =  "Machinery manufacturing, n.e.c. (3332, 3334, 3339)"
	3290      =  "Not specified machinery manufacturing (Part 333)"
	3360      =  "Computer and peripheral equipment manufacturing (3341)"
	3370      =  "Communications, audio, and video equipment manufacturing (3342, 3343)"
	3380      =  "Navigational, measuring, electromedical, and control instruments manufacturing (3345)"
	3390      =  "Electronic component and product manufacturing, n.e.c. (3344, 3346)"
	3470      =  "Household appliance manufacturing (3352)"
	3490      =  "Electrical lighting, equipment, and supplies manufacturing, n.e.c. (3351, 3353, 3359)"
	3570      =  "Motor vehicles and motor vehicle equipment manufacturing (3361, 3362, 3363)"
	3580      =  "Aircraft and parts manufacturing (336411, 336412, 336413)"
	3590      =  "Aerospace products and parts manufacturing (336414, 336415, 336419)"
	3670      =  "Railroad rolling stock manufacturing (3365)"
	3680      =  "Ship and boat building (3366)" 
	3690      =  "Other transportation equipment manufacturing (3369)"
	3770      =  "Sawmills and wood preservation (3211)"
	3780      =  "Veneer, plywood, and engineered wood products (3212)"
	3790      =  "Prefabricated wood buildings and mobile homes (321991, 321992)"
	3870      =  "Miscellaneous wood products (3219 except 321991, 321992)"
	3890      =  "Furniture and related product manufacturing (337)"
	3960      =  "Medical equipment and supplies manufacturing (3391)"
	3970      =  "Toys, amusement, and sporting goods manufacturing (33992, 33993)"
	3980      =  "Miscellaneous manufacturing, n.e.c.  (3399 except 33992, 33993)"
	3990      =  "Not specified manufacturing industries (Part 31, 32, 33)"
	4070      =  "Motor vehicles, parts and supplies, merchant wholesalers  (4231)"
	4080      =  "Furniture and home furnishing, merchant wholesalers (4232 )"
	4090      =  "Lumber and other construction materials, merchant wholesalers (4233)"
	4170      =  "Professional and commercial equipment and supplies, merchant wholesalers (4234)"
	4180      =  "Metals and minerals, except petroleum, merchant wholesalers (4235)"
	4190      =  "Electrical goods, merchant wholesalers (4236)"
	4260      =  "Hardware, plumbing and heating equipment, and supplies, merchant wholesalers (4237)"
	4270      =  "Machinery, equipment, and supplies, merchant wholesalers  (4238)"
	4280      =  "Recyclable material, merchant wholesalers (42393)"
	4290      =  "Miscellaneous durable goods, merchant wholesalers (4239 except 42393)"
	4370      =  "Paper and paper products, merchant wholesalers (4241)"
	4380      =  "Drugs, sundries, and chemical and allied products, merchant wholesalers (4242, 4246)"
	4390      =  "Apparel, fabrics, and notions, merchant wholesalers (4243)"
	4470      =  "Groceries and related products, merchant wholesalers (4244)"
	4480      =  "Farm product raw materials, merchant wholesalers (4245)"
	4490      =  "Petroleum and petroleum products, merchant wholesalers (4247)"
	4560      =  "Alcoholic beverages, merchant wholesalers (4248)"
	4570      =  "Farm supplies, merchant wholesalers (42491)"
	4580      =  "Miscellaneous nondurable goods, merchant wholesalers (4249 except 42491)"
	4585      =  "Wholesale electronic markets, agents and brokers (4251)"
	4590      =  "Not specified wholesale trade (Part 42)"
	4670      =  "Automobile dealers (4411)"     
	4680      =  "Other motor vehicle dealers (4412)"
	4690      =  "Auto parts, accessories, and tire stores  (4413)"
	4770      =  "Furniture and home furnishings stores (442)"
	4780      =  "Household appliance stores (443111)"
	4790      =  "Radio, TV, and computer stores (443112, 44312)"
	4870      =  "Building material and supplies dealers  (4441 except 44413)"
	4880      =  "Hardware stores (44413)"       
	4890      =  "Lawn and garden equipment and supplies stores (4442)"
	4970      =  "Grocery stores (4451)"         
	4980      =  "Specialty food stores (4452)"  
	4990      =  "Beer, wine, and liquor stores (4453)"
	5070      =  "Pharmacies and drug stores (4461)"
	5080      =  "Health and personal care, except drug, stores (446 except 44611)"
	5090      =  "Gasoline stations (447)"       
	5170      =  "Clothing and accessories, except shoe, stores (448 except 44821, 4483)"
	5180      =  "Shoe stores (44821)"           
	5190      =  "Jewelry, luggage, and leather goods stores (4483)"
	5270      =  "Sporting goods, camera, and hobby and toy stores (44313, 45111, 45112)"
	5280      =  "Sewing, needlework, and piece goods stores (45113)"
	5290      =  "Music stores (45114, 45122)"   
	5370      =  "Book stores and news dealers (45121)"
	5380      =  "Department stores and discount stores (45211)"
	5390      =  "Miscellaneous general merchandise stores (4529)"
	5470      =  "Retail florists (4531)"        
	5480      =  "Office supplies and stationery stores (45321)"
	5490      =  "Used merchandise stores (4533)"
	5570      =  "Gift, novelty, and souvenir shops (45322)"
	5580      =  "Miscellaneous retail stores (4539)"
	5590      =  "Electronic shopping   (454111)"
	5591      =  "Electronic auctions   (454112)"
	5592      =  "Mail order houses (454113)"    
	5670      =  "Vending machine operators (4542)"
	5680      =  "Fuel dealers (45431)"          
	5690      =  "Other direct selling establishments (45439)"
	5790      =  "Not specified retail trade (Part 44, 45)"
	6070      =  "Air transportation (481)"      
	6080      =  "Rail transportation (482)"     
	6090      =  "Water transportation (483)"    
	6170      =  "Truck transportation (484)"    
	6180      =  "Bus service and urban transit (4851, 4852, 4854, 4855, 4859)"
	6190      =  "Taxi and limousine service (4853)"
	6270      =  "Pipeline transportation (486)" 
	6280      =  "Scenic and sightseeing transportation (487)"
	6290      =  "Services incidental to transportation (488)"
	6370      =  "Postal Service (491)"          
	6380      =  "Couriers and messengers (492)" 
	6390      =  "Warehousing and storage (493)" 
	6470      =  "Newspaper publishers (51111)"  
	6480      =  "Publishing, except newspapers and software (5111 except 51111)"
	6490      =  "Software publishing (5112)"    
	6570      =  "Motion pictures and video industries (5121)"
	6590      =  "Sound recording industries (5122)"
	6670      =  "Radio and television broadcasting and cable (5151, 5152, 5175)"
	6675      =  "Internet publishing and broadcasting (5161)"
	6680      =  "Wired telecommunications carriers (5171)"
	6690      =  "Other telecommunications services (517 except 5171, 5175)"
	6692      =  "Internet service providers (5181)"
	6695      =  "Data processing, hosting, and related services (5182)"
	6770      =  "Libraries and archives (51912)"
	6780      =  "Other information services (5191 except 51912)"
	6870      =  "Banking and related activities (521, 52211,52219)"
	6880      =  "Savings institutions, including credit unions (52212, 52213)"
	6890      =  "Non-depository credit and related activities (5222, 5223)"
	6970      =  "Securities, commodities, funds, trusts, and other financial investments (523, 525)"
	6990      =  "Insurance carriers and related activities (524)"
	7070      =  "Real estate (531)"             
	7080      =  "Automotive equipment rental and leasing (5321)"
	7170      =  "Video tape and disk rental (53223)"
	7180      =  "Other consumer goods rental (53221, 53222, 53229, 5323)"
	7190      =  "Commercial, industrial, and other intangible assets rental and leasing (5324, 533)"
	7270      =  "Legal services (5411)"         
	7280      =  "Accounting, tax preparation, bookkeeping, and payroll services (5412)"
	7290      =  "Architectural, engineering, and related services (5413)"
	7370      =  "Specialized design services (5414)"
	7380      =  "Computer systems design and related services (5415)"
	7390      =  "Management, scientific, and technical consulting services (5416)"
	7460      =  "Scientific research and development services (5417)"
	7470      =  "Advertising and related services (5418)"
	7480      =  "Veterinary services (54194)"   
	7490      =  "Other professional, scientific, and technical services (5419 except 54194)"
	7570      =  "Management of companies and enterprises (551)"
	7580      =  "Employment services (5613)"    
	7590      =  "Business support services (5614)"
	7670      =  "Travel arrangements and reservation services (5615)"
	7680      =  "Investigation and security services (5616)"
	7690      =  "Services to buildings and dwellings (except cleaning during construction and immediately"
	7770      =  "Landscaping services (56173)"  
	7780      =  "Other administrative and other support services (5611, 5612, 5619)"
	7790      =  "Waste management and remediation services (562)"
	7860      =  "Elementary and secondary schools (6111)"
	7870      =  "Colleges and universities, including junior colleges (6112, 6113)"
	7880      =  "Business, technical, and trade schools and training (6114, 6115)"
	7890      =  "Other schools, instruction, and educational services (6116, 6117)"
	7970      =  "Offices of physicians (6211)"  
	7980      =  "Offices of dentists (6212)"    
	7990      =  "Offices of chiropractors (62131)"
	8070      =  "Offices of optometrists (62132)"
	8080      =  "Offices of other health practitioners (6213 except 62131, 62132)"
	8090      =  "Outpatient care centers (6214)"
	8170      =  "Home health care services (6216)"
	8180      =  "Other health care services (6215, 6219)"
	8190      =  "Hospitals (622)"               
	8270      =  "Nursing care facilities (6231)"
	8290      =  "Residential care facilities, without nursing (6232, 6233, 6239)"
	8370      =  "Individual and family services (6241)"
	8380      =  "Community food and housing, and emergency services (6242)"
	8390      =  "Vocational rehabilitation services (6243)"
	8470      =  "Child day care services (6244)"
	8560      =  "Independent artists, performing arts, spectator sports, and related industries (711)"
	8570      =  "Museums, art galleries, historical sites, and similar institutions (712)"
	8580      =  "Bowling centers (71395)"       
	8590      =  "Other amusement, gambling, and recreation industries (713 except 71395)"
	8660      =  "Traveler accommodation (7211)" 
	8670      =  "Recreational vehicle parks and camps, and rooming and boarding houses (7212, 7213)"
	8680      =  "Restaurants and other food services (722 except 7224)"
	8690      =  "Drinking places, alcoholic beverages (7224)"
	8770      =  "Automotive repair and maintenance (8111 except 811192)"
	8780      =  "Car washes (811192)"           
	8790      =  "Electronic and precision equipment repair and maintenance (8112)"
	8870      =  "Commercial and industrial machinery and equipment repair and maintenance (8113)"
	8880      =  "Personal and household goods repair and maintenance (8114 except 81143)"
	8890      =  "Footwear and leather goods repair (81143)"
	8970      =  "Barber shops (812111)"         
	8980      =  "Beauty salons (812112)"        
	8990      =  "Nail salons and other personal care services  (812113, 81219)"
	9070      =  "Drycleaning and laundry services (8123)"
	9080      =  "Funeral homes, cemeteries, and crematories (8122)"
	9090      =  "Other personal services (8129)"
	9160      =  "Religious organizations (8131)"
	9170      =  "Civic, social, advocacy organizations, and grantmaking and giving services (8132, 8133,"
	9180      =  "Labor unions (81393)"          
	9190      =  "Business, professional, political, and similar organizations (8139 except 81393)"
	9290      =  "Private households (814)"      
	9370      =  "Executive offices and legislative bodies (92111, 92112, 92114, part 92115)"
	9380      =  "Public finance activities (92113)"
	9390      =  "Other general government and support (92119)"
	9470      =  "Justice, public order, and safety activities (922, part 92115)"
	9480      =  "Administration of human resource programs  (923)"
	9490      =  "Administration of environmental quality and housing programs (924, 925)"
	9570      =  "Administration of economic programs and space research (926, 927)"
	9590      =  "National security and international affairs (928)"
	9890      =  "Persons whose last job was Armed Forces"
	-1        =  "Not in Universe"               
;
VALUE ajbind1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tjbocc1l	(default=32)
	10        =  "Chief executives (11-1011)"    
	0020      =  "General and operations managers (11-1021)"
	0040      =  "Advertising and promotions managers (11-2011)"
	0050      =  "Marketing and sales managers (11-2020)"
	0060      =  "Public relations managers (11-2031)"
	100       =  "Administrative services managers (11-3011)"
	0110      =  "Computer and information systems managers (11-3021)"
	0120      =  "Financial managers (11-3031)"  
	0130      =  "Human resources managers (11-3040)"
	0140      =  "Industrial production managers(11-3051)"
	0150      =  "Purchasing managers (11-3061)" 
	160       =  "Transportation, storage, and distribution managers (11-3071)"
	200       =  "Farm, ranch, and other agricultural managers (11-9011)"
	0210      =  "Farmers and ranchers (11-9012)"
	0220      =  "Construction managers (11-9021)"
	0230      =  "Education administrators (11-9030)"
	0300      =  "Engineering managers (11-9041)"
	0310      =  "Food service managers (11-9051)"
	0320      =  "Funeral directors (11-9061)"   
	0330      =  "Gaming managers (11-9071)"     
	0340      =  "Lodging managers (11-9081)"    
	0350      =  "Medical and health services managers (11-9111)"
	0360      =  "Natural sciences managers (11-9121)"
	0410      =  "Property, real estate, and community association managers (11-9141)"
	0420      =  "Social and community service managers (11-9151)"
	0430      =  "Managers, all other (11-9199)" 
	0500      =  "Agents and business managers of artists, performers, and athletes (13-1011)"
	0510      =  "Purchasing agents and buyers, farm products (13-1021)"
	520       =  "Wholesale and retail buyers, except farm products (13-1022)"
	0530      =  "Purchasing agents, except wholesale, retail, and farm products (13-1023)"
	0540      =  "Claims adjusters, appraisers, examiners, and investigators (13-1030)"
	0560      =  "Compliance officers, except agriculture, construction, health and safety, and transporta"
	0600      =  "Cost estimators (13-1051)"     
	0620      =  "Human resources, training, and labor relations specialists (13-1070)"
	0700      =  "Logisticians (13-1081)"        
	0710      =  "Management analysts (13-1111)" 
	0720      =  "Meeting and convention planners (13-1121)"
	0730      =  "Other business operations specialists (13-11XX)"
	0800      =  "Accountants and auditors (13-2011)"
	0810      =  "Appraisers and assessors of real estate (13-2021)"
	0820      =  "Budget analysts (13-2031)"     
	0830      =  "Credit analysts (13-2041)"     
	840       =  "Financial analysts (13-2051)"  
	0850      =  "Personal financial advisors (13-2052)"
	0860      =  "Insurance underwriters (13-2053)"
	0900      =  "Financial examiners (13-2061)" 
	0910      =  "Loan counselors and officers (13-2070)"
	0930      =  "Tax examiners, collectors, and revenue agents (13-2081)"
	0940      =  "Tax preparers (13-2082)"       
	0950      =  "Financial specialists, all other (13-2099)"
	1000      =  "Computer scientists and systems analysts (15-10XX)"
	1010      =  "Computer programmers (15-1021)"
	1020      =  "Computer software engineers (15-1030)"
	1040      =  "Computer support specialists (15-1041)"
	1060      =  "Database administrators (15-1061)"
	1100      =  "Network and computer systems administrators (15-1071)"
	1110      =  "Network systems and data communications analysts (15-1081)"
	1200      =  "Actuaries (15-2011)"           
	1210      =  "Mathematicians (15-2021)"      
	1220      =  "Operations research analysts (15-2031)"
	1230      =  "Statisticians (15-2041)"       
	1240      =  "Miscellaneous mathematical science occupations (15-2090)"
	1300      =  "Architects, except naval (17-1010)"
	1310      =  "Surveyors, cartographers, and photogrammetrists (17-1020)"
	1320      =  "Aerospace engineers (17-2011)" 
	1330      =  "Agricultural engineers (17-2021)"
	1340      =  "Biomedical engineers (17-2031)"
	1350      =  "Chemical engineers (17-2041)"  
	1360      =  "Civil engineers (17-2051)"     
	1400      =  "Computer hardware engineers (17-2061)"
	1410      =  "Electrical and electronic engineers (17-2070)"
	1420      =  "Environmental engineers (17-2081)"
	1430      =  "Industrial engineers, including health and safety (17-2110)"
	1440      =  "Marine engineers and naval architects (17-2121)"
	1450      =  "Materials engineers (17-2131)" 
	1460      =  "Mechanical engineers (17-2141)"
	1500      =  "Mining and geological engineers, including mining safety engineers (17-2151)"
	1510      =  "Nuclear engineers (17-2161)"   
	1520      =  "Petroleum engineers (17-2171)" 
	1530      =  "Engineers, all other (17-2199)"
	1540      =  "Drafters (17-3010)"            
	1550      =  "Engineering technicians, except drafters (17-3020)"
	1560      =  "Surveying and mapping technicians (17-3031)"
	1600      =  "Agricultural and food scientists (19-1010)"
	1610      =  "Biological scientists (19-1020)"
	1640      =  "Conservation scientists and foresters (19-1030)"
	1650      =  "Medical scientists (19-1040)"  
	1700      =  "Astronomers and physicists (19-2010)"
	1710      =  "Atmospheric and space scientists (19-2021)"
	1720      =  "Chemists and materials scientists (19-2030)"
	1740      =  "Environmental scientists and geoscientists (19-2040)"
	1760      =  "Physical scientists, all other (19-2099)"
	1800      =  "Economists (19-3011)"          
	1810      =  "Market and survey researchers (19-3020)"
	1820      =  "Psychologists (19-3030)"       
	1830      =  "Sociologists (19-3041)"        
	1840      =  "Urban and regional planners (19-3051)"
	1860      =  "Miscellaneous social scientists and related workers (19-3090)"
	1900      =  "Agricultural and food science technicians (19-4011)"
	1910      =  "Biological technicians (19-4021)"
	1920      =  "Chemical technicians (19-4031)"
	1930      =  "Geological and petroleum technicians (19-4041)"
	1940      =  "Nuclear technicians (19-4051)" 
	1960      =  "Other life, physical, and social science technicians (19-40XX)"
	2000      =  "Counselors (21-1010)"          
	2010      =  "Social workers (21-1020)"      
	2020      =  "Miscellaneous community and social service specialists (21-1090)"
	2040      =  "Clergy (21-2011)"              
	2050      =  "Directors, religious activities and education (21-2021)"
	2060      =  "Religious workers, all other (21-2099)"
	2100      =  "Lawyers (23-1011)"             
	2140      =  "Paralegals and legal assistants (23-2011)"
	2150      =  "Miscellaneous legal support workers (23-2090)"
	2200      =  "Postsecondary teachers (25-1000)"
	2300      =  "Preschool and kindergarten teachers (25-2010)"
	2310      =  "Elementary and middle school teachers (25-2020)"
	2320      =  "Secondary school teachers (25-2030)"
	2330      =  "Special education teachers (25-2040)"
	2340      =  "Other teachers and instructors (25-3000)"
	2400      =  "Archivists, curators, and museum technicians (25-4010)"
	2430      =  "Librarians (25-4021)"          
	2440      =  "Library technicians (25-4031)" 
	2540      =  "Teacher assistants (25-9041)"  
	2550      =  "Other education, training, and library workers (25-90XX)"
	2600      =  "Artists and related workers (27-1010)"
	2630      =  "Designers (27-1020)"           
	2700      =  "Actors (27-2011)"              
	2710      =  "Producers and directors (27-2012)"
	2720      =  "Athletes, coaches, umpires, and related workers (27-2020)"
	2740      =  "Dancers and choreographers (27-2030)"
	2750      =  "Musicians, singers, and related workers (27-2040)"
	2760      =  "Entertainers and performers, sports and related workers, all other (27-2099)"
	2800      =  "Announcers (27-3010)"          
	2810      =  "News analysts, reporters and correspondents (27-3020)"
	2820      =  "Public relations specialists (27-3031)"
	2830      =  "Editors (27-3041)"             
	2840      =  "Technical writers (27-3042)"   
	2850      =  "Writers and authors (27-3043)" 
	2860      =  "Miscellaneous media and communication workers (27-3090)"
	2900      =  "Broadcast and sound engineering technicians and radio operators (27-4010)"
	2910      =  "Photographers (27-4021)"       
	2920      =  "Television, video, and motion picture camera operators and editors (27-4030)"
	2960      =  "Media and communication equipment workers, all other (27-4099)"
	3000      =  "Chiropractors (29-1011)"       
	3010      =  "Dentists (29-1020)"            
	3030      =  "Dietitians and nutritionists (29-1031)"
	3040      =  "Optometrists (29-1041)"        
	3050      =  "Pharmacists (29-1051)"         
	3060      =  "Physicians and surgeons (29-1060)"
	3110      =  "Physician assistants (29-1071)"
	3120      =  "Podiatrists (29-1081)"         
	3130      =  "Registered nurses (29-1111)"   
	3140      =  "Audiologists (29-1121)"        
	3150      =  "Occupational therapists (29-1122)"
	3160      =  "Physical therapists (29-1123)" 
	3200      =  "Radiation therapists (29-1124)"
	3210      =  "Recreational therapists (29-1125)"
	3220      =  "Respiratory therapists (29-1126)"
	3230      =  "Speech-language pathologists (29-1127)"
	3240      =  "Therapists, all other (29-1129)"
	3250      =  "Veterinarians (29-1131)"       
	3260      =  "Health diagnosing and treating practitioners, all other (29-1199 )"
	3300      =  "Clinical laboratory technologists and technicians (29-2010)"
	3310      =  "Dental hygienists (29-2021)"   
	3320      =  "Diagnostic related technologists and technicians (29-2030)"
	3400      =  "Emergency medical technicians and paramedics (29-2041)"
	3410      =  "Health diagnosing and treating practitioner support technicians (29-2050)"
	3500      =  "Licensed practical and licensed vocational nurses (29-2061)"
	3510      =  "Medical records and health information technicians (29-2071)"
	3520      =  "Opticians, dispensing (29-2081)"
	3530      =  "Miscellaneous health technologists and technicians (29-2090)"
	3540      =  "Other healthcare practitioners and technical occupations (29-9000)"
	3600      =  "Nursing, psychiatric, and home health aides (31-1010 )"
	3610      =  "Occupational therapist assistants and aides (31-2010)"
	3620      =  "Physical therapist assistants and aides (31-2020)"
	3630      =  "Massage therapists (31-9011)"  
	3640      =  "Dental assistants (31-9091)"   
	3650      =  "Medical assistants and other healthcare support occupations (31-909X)"
	3700      =  "First-line supervisors/managers of correctional officers (33-1011)"
	3710      =  "First-line supervisors/managers of police and detectives (33-1012)"
	3720      =  "First-line supervisors/managers of fire fighting and prevention workers (33-1021)"
	3730      =  "Supervisors, protective service workers, all other (33-1099)"
	3740      =  "Fire fighters (33-2011)"       
	3750      =  "Fire inspectors (33-2020)"     
	3800      =  "Bailiffs, correctional officers, and jailers (33-3010)"
	3820      =  "Detectives and criminal investigators (33-3021)"
	3830      =  "Fish and game wardens (33-3031)"
	3840      =  "Parking enforcement workers (33-3041)"
	3850      =  "Police and sheriff's patrol officers(33-3051)"
	3860      =  "Transit and railroad police (33-3052)"
	3900      =  "Animal control workers (33-9011)"
	3910      =  "Private detectives and investigators (33-9021)"
	3920      =  "Security guards and gaming surveillance officers (33-9030)"
	3940      =  "Crossing guards (33-9091)"     
	3950      =  "Lifeguards and other protective service workers (33-909X)"
	4000      =  "Chefs and head cooks (35-1011)"
	4010      =  "First-line supervisors/managers of food preparation and serving workers (35-1012 )"
	4020      =  "Cooks (35-2010)"               
	4030      =  "Food preparation workers (35-2021)"
	4040      =  "Bartenders (35-3011)"          
	4050      =  "Combined food preparation and serving workers, including fast food (35-3021)"
	4060      =  "Counter attendants, cafeteria, food concession, and coffee shop (35-3022)"
	4110      =  "Waiters and waitresses (35-3031)"
	4120      =  "Food servers, nonrestaurant (35-3041)"
	4130      =  "Dining room and cafeteria attendants and bartender helpers (35-9011)"
	4140      =  "Dishwashers (35-9021)"         
	4150      =  "Hosts and hostesses, restaurant, lounge, and coffee shop (35-9031)"
	4160      =  "Food preparation and serving related workers, all other (35-9099)"
	4200      =  "First-line supervisors/managers of housekeeping and janitorial workers (37-1011)"
	4210      =  "First-line supervisors/managers of landscaping, lawn service, and groundskeeping workers"
	4220      =  "Janitors and building cleaners (37-201X)"
	4230      =  "Maids and housekeeping cleaners (37-2012)"
	4240      =  "Pest control workers (37-2021)"
	4250      =  "Grounds maintenance workers (37-3010)"
	4300      =  "First-line supervisors/managers of gaming workers (39-1010)"
	4320      =  "First-line supervisors/managers of personal service workers (39-1021)"
	4340      =  "Animal trainers (39-2011)"     
	4350      =  "Nonfarm animal caretakers (39-2021)"
	4400      =  "Gaming services workers (39-3010)"
	4410      =  "Motion picture projectionists (39-3021)"
	4420      =  "Ushers, lobby attendants, and ticket takers (39-3031)"
	4430      =  "Miscellaneous entertainment attendants and related workers (39-3090)"
	4460      =  "Funeral service workers (39-4000)"
	4500      =  "Barbers (39-5011)"             
	4510      =  "Hairdressers, hairstylists, and cosmetologists (39-5012)"
	4520      =  "Miscellaneous personal appearance workers (39-5090)"
	4530      =  "Baggage porters, bellhops, and concierges (39-6010)"
	4540      =  "Tour and travel guides (39-6020)"
	4550      =  "Transportation attendants (39-6030)"
	4600      =  "Child care workers (39-9011)"  
	4610      =  "Personal and home care aides (39-9021)"
	4620      =  "Recreation and fitness workers (39-9030)"
	4640      =  "Residential advisors (39-9041)"
	4650      =  "Personal care and service workers, all other (39-9099)"
	4700      =  "First-line supervisors/managers of retail sales workers (41-1011)"
	4710      =  "First-line supervisors/managers of non-retail sales workers (41-1012)"
	4720      =  "Cashiers (41-2010)"            
	4740      =  "Counter and rental clerks (41-2021)"
	4750      =  "Parts salespersons (41-2022)"  
	4760      =  "Retail salespersons (41-2031)" 
	4800      =  "Advertising sales agents (41-3011)"
	4810      =  "Insurance sales agents (41-3021)"
	4820      =  "Securities, commodities, and financial services sales agents (41-3031)"
	4830      =  "Travel agents (41-3041)"       
	4840      =  "Sales representatives, services, all other (41-3099)"
	4850      =  "Sales representatives, wholesale and manufacturing (41-4010)"
	4900      =  "Models, demonstrators, and product promoters (41-9010)"
	4920      =  "Real estate brokers and sales agents (41-9020)"
	4930      =  "Sales engineers (41-9031)"     
	4940      =  "Telemarketers (41-9041)"       
	4950      =  "Door-to-door sales workers, news and street vendors, and related workers (41-9091)"
	4960      =  "Sales and related workers, all other (41-9099)"
	5000      =  "First-line supervisors/managers of office and administrative support workers (43-1011)"
	5010      =  "Switchboard operators, including answering service (43-2011)"
	5020      =  "Telephone operators (43-2021)" 
	5030      =  "Communications equipment operators, all other (43-2099)"
	5100      =  "Bill and account collectors (43-3011)"
	5110      =  "Billing and posting clerks and machine operators (43-3021)"
	5120      =  "Bookkeeping, accounting, and auditing clerks (43-3031)"
	5130      =  "Gaming cage workers (43-3041)" 
	5140      =  "Payroll and timekeeping clerks (43-3051)"
	5150      =  "Procurement clerks (43-3061)"  
	5160      =  "Tellers (43-3071)"             
	5200      =  "Brokerage clerks (43-4011)"    
	5210      =  "Correspondence clerks (43-4021)"
	5220      =  "Court, municipal, and license clerks (43-4031)"
	5230      =  "Credit authorizers, checkers, and clerks (43-4041)"
	5240      =  "Customer service representatives (43-4051)"
	5250      =  "Eligibility interviewers, government programs (43-4061)"
	5260      =  "File Clerks (43-4071)"         
	5300      =  "Hotel, motel, and resort desk clerks (43-4081)"
	5310      =  "Interviewers, except eligibility and loan (43-4111)"
	5320      =  "Library assistants, clerical (43-4121)"
	5330      =  "Loan interviewers and clerks (43-4131)"
	5340      =  "New accounts clerks (43-4141)" 
	5350      =  "Order clerks (43-4151)"        
	5360      =  "Human resources assistants, except payroll and timekeeping (43-4161)"
	5400      =  "Receptionists and information clerks (43-4171)"
	5410      =  "Reservation and transportation ticket agents and travel clerks (43-4181)"
	5420      =  "Information and record clerks, all other (43-4199)"
	5500      =  "Cargo and freight agents (43-5011)"
	5510      =  "Couriers and messengers (43-5021)"
	5520      =  "Dispatchers (43-5030)"         
	5530      =  "Meter readers, utilities (43-5041)"
	5540      =  "Postal service clerks (43-5051)"
	5550      =  "Postal service mail carriers (43-5052)"
	5560      =  "Postal service mail sorters, processors, and processing machine operators (43-5053)"
	5600      =  "Production, planning, and expediting clerks (43-5061)"
	5610      =  "Shipping, receiving, and traffic clerks (43-5071)"
	5620      =  "Stock clerks and order fillers (43-5081)"
	5630      =  "Weighers, measurers, checkers, and samplers, recordkeeping (43-5111)"
	5700      =  "Secretaries and administrative assistants (43-6010)"
	5800      =  "Computer operators (43-9011)"  
	5810      =  "Data entry keyers (43-9021)"   
	5820      =  "Word processors and typists (43-9022)"
	5830      =  "Desktop publishers (43-9031)"  
	5840      =  "Insurance claims and policy processing clerks (43-9041)"
	5850      =  "Mail clerks and mail machine operators, except postal service (43-9051)"
	5860      =  "Office clerks, general (43-9061)"
	5900      =  "Office machine operators, except computer (43-9071)"
	5910      =  "Proofreaders and copy markers (43-9081)"
	5920      =  "Statistical assistants (43-9111)"
	5930      =  "Office and administrative support workers, all other (43-9199)"
	6000      =  "First-line supervisors/managers of farming, fishing, and forestry workers (45-1010)"
	6010      =  "Agricultural inspectors (45-2011)"
	6020      =  "Animal breeders (45-2021)"     
	6040      =  "Graders and sorters, agricultural products (45-2041)"
	6050      =  "Miscellaneous agricultural workers (45-2090)"
	6100      =  "Fishers and related fishing workers (45-3011)"
	6110      =  "Hunters and trappers (45-3021)"
	6120      =  "Forest and conservation workers (45-4011)"
	6130      =  "Logging workers (45-4020)"     
	6200      =  "First-line supervisors/managers of construction trades and extraction workers (47-1011)"
	6210      =  "Boilermakers (47-2011)"        
	6220      =  "Brickmasons, blockmasons, and stonemasons (47-2020)"
	6230      =  "Carpenters (47-2031)"          
	6240      =  "Carpet, floor, and tile installers and finishers (47-2040)"
	6250      =  "Cement masons, concrete finishers, and terrazzo workers (47-2050)"
	6260      =  "Construction laborers (47-2061)"
	6300      =  "Paving, surfacing, and tamping equipment operators (47-2071)"
	6310      =  "Pile-driver operators (47-2072)"
	6320      =  "Operating engineers and other construction equipment operators (47-2073)"
	6330      =  "Drywall installers, ceiling tile installers, and tapers (47-2080)"
	6350      =  "Electricians (47-2111)"        
	6360      =  "Glaziers (47-2121)"            
	6400      =  "Insulation workers (47-2130)"  
	6420      =  "Painters, construction and maintenance (47-2141)"
	6430      =  "Paperhangers (47-2142)"        
	6440      =  "Pipelayers, plumbers, pipefitters, and steamfitters (47-2150)"
	6460      =  "Plasterers and stucco masons (47-2161)"
	6500      =  "Reinforcing iron and rebar workers (47-2171)"
	6510      =  "Roofers (47-2181)"             
	6520      =  "Sheet metal workers (47-2211)" 
	6530      =  "Structural iron and steel workers (47-2221)"
	6600      =  "Helpers, construction trades (47-3010)"
	6660      =  "Construction and building inspectors (47-4011)"
	6700      =  "Elevator installers and repairers (47-4021)"
	6710      =  "Fence erectors (47-4031)"      
	6720      =  "Hazardous materials removal workers (47-4041)"
	6730      =  "Highway maintenance workers (47-4051)"
	6740      =  "Rail-track laying and maintenance equipment operators (47-4061)"
	6750      =  "Septic tank servicers and sewer pipe cleaners (47-4071)"
	6760      =  "Miscellaneous construction and related workers (47-4090)"
	6800      =  "Derrick, rotary drill, and service unit operators, oil, gas, and mining (47-5010)"
	6820      =  "Earth drillers, except oil and gas (47-5021)"
	6830      =  "Explosives workers, ordnance handling experts, and blasters (47-5031)"
	6840      =  "Mining machine operators (47-5040)"
	6910      =  "Roof bolters, mining (47-5061)"
	6920      =  "Roustabouts, oil and gas (47-5071)"
	6930      =  "Helpers--extraction workers (47-5081)"
	6940      =  "Other extraction workers (47-50XX)"
	7000      =  "First-line supervisors/managers of mechanics, installers, and repairers (49-1011)"
	7010      =  "Computer, automated teller, and office machine repairers (49-2011)"
	7020      =  "Radio and telecommunications equipment installers and repairers (49-2020)"
	7030      =  "Avionics technicians (49-2091)"
	7040      =  "Electric motor, power tool, and related repairers (49-2092)"
	7050      =  "Electrical and electronics installers and repairers, transportation equipment (49-2093)"
	7100      =  "Electrical and electronics repairers, industrial and utility (49-209X)"
	7110      =  "Electronic equipment installers and repairers, motor vehicles (49-2096)"
	7120      =  "Electronic home entertainment equipment installers and repairers (49-2097)"
	7130      =  "Security and fire alarm systems installers (49-2098)"
	7140      =  "Aircraft mechanics and service technicians (49-3011)"
	7150      =  "Automotive body and related repairers (49-3021)"
	7160      =  "Automotive glass installers and repairers (49-3022 )"
	7200      =  "Automotive service technicians and mechanics (49-3023)"
	7210      =  "Bus and truck mechanics and diesel engine specialists (49-3031)"
	7220      =  "Heavy vehicle and mobile equipment service technicians and mechanics (49-3040)"
	7240      =  "Small engine mechanics (49-3050)"
	7260      =  "Miscellaneous vehicle and mobile equipment mechanics, installers, and repairers (49-3090"
	7300      =  "Control and valve installers and repairers (49-9010)"
	7310      =  "Heating, air conditioning, and refrigeration mechanics and installers (49-9021)"
	7320      =  "Home appliance repairers (49-9031)"
	7330      =  "Industrial and refractory machinery mechanics (49-904X)"
	7340      =  "Maintenance and repair workers, general (49-9042)"
	7350      =  "Maintenance workers, machinery (49-9043)"
	7360      =  "Millwrights (49-9044)"         
	7410      =  "Electrical power-line installers and repairers (49-9051)"
	7420      =  "Telecommunications line installers and repairers (49-9052)"
	7430      =  "Precision instrument and equipment repairers (49-9060)"
	7510      =  "Coin, vending, and amusement machine servicers and repairers (49-9091)"
	7520      =  "Commercial divers (49-9092)"   
	7540      =  "Locksmiths and safe repairers (49-9094)"
	7550      =  "Manufactured building and mobile home installers (49-9095)"
	7560      =  "Riggers (49-9096)"             
	7600      =  "Signal and track switch repairers (49-9097)"
	7610      =  "Helpers--installation, maintenance, and repair workers (49-9098)"
	7620      =  "Other installation, maintenance, and repair workers (49-909X)"
	7700      =  "First-line supervisors/managers of production and operating workers (51-1011)"
	7710      =  "Aircraft structure, surfaces, rigging, and systems assemblers (51-2011)"
	7720      =  "Electrical, electronics, and electromechanical assemblers (51-2020)"
	7730      =  "Engine and other machine assemblers (51-2031)"
	7740      =  "Structural metal fabricators and fitters (51-2041)"
	7750      =  "Miscellaneous assemblers and fabricators (51-2090)"
	7800      =  "Bakers (51-3011)"              
	7810      =  "Butchers and other meat, poultry, and fish processing workers (51-3020)"
	7830      =  "Food and tobacco roasting, baking, and drying machine operators and tenders (51-3091)"
	7840      =  "Food batchmakers (51-3092)"    
	7850      =  "Food cooking machine operators and tenders (51-3093)"
	7900      =  "Computer control programmers and operators (51-4010)"
	7920      =  "Extruding and drawing machine setters, operators, and tenders, metal and plastic (51-402"
	7930      =  "Forging machine setters, operators, and tenders, metal and plastic (51-4022)"
	7940      =  "Rolling machine setters, operators, and tenders, metal and plastic (51-4023)"
	7950      =  "Cutting, punching, and press machine setters, operators, and tenders, metal and plastic"
	7960      =  "Drilling and boring machine tool setters, operators, and tenders, metal and plastic (51-"
	8000      =  "Grinding, lapping, polishing, and buffing machine tool setters, operators, and tenders,"
	8010      =  "Lathe and turning machine tool setters, operators, and tenders, metal and plastic (51-40"
	8020      =  "Milling and planing machine setters, operators, and tenders, metal and plastic (51-4035)"
	8030      =  "Machinists (51-4041)"          
	8040      =  "Metal furnace and kiln operators and tenders (51-4050)"
	8060      =  "Model makers and patternmakers, metal and plastic (51-4060)"
	8100      =  "Molders and molding machine setters, operators, and tenders, metal and plastic (51-4070)"
	8120      =  "Multiple machine tool setters, operators, and tenders, metal and plastic (51-4081)"
	8130      =  "Tool and die makers (51-4111)" 
	8140      =  "Welding, soldering, and brazing workers (51-4120)"
	8150      =  "Heat treating equipment setters, operators, and tenders, metal and plastic (51-4191)"
	8160      =  "Lay-out workers, metal and plastic (51-4192)"
	8200      =  "Plating and coating machine setters, operators, and tenders, metal and plastic (51-4193)"
	8210      =  "Tool grinders, filers, and sharpeners (51-4194)"
	8220      =  "Metalworkers and plastic workers, all other (51-4199)"
	8230      =  "Bookbinders and bindery workers (51-5010)"
	8240      =  "Job printers (51-5021)"        
	8250      =  "Prepress technicians and workers (51-5022)"
	8260      =  "Printing machine operators (51-5023)"
	8300      =  "Laundry and dry-cleaning workers (51-6011)"
	8310      =  "Pressers, textile, garment, and related materials (51-6021)"
	8320      =  "Sewing machine operators (51-6031)"
	8330      =  "Shoe and leather workers and repairers (51-6041)"
	8340      =  "Shoe machine operators and tenders (51-6042)"
	8350      =  "Tailors, dressmakers, and sewers (51-6050)"
	8360      =  "Textile bleaching and dyeing machine operators and tenders (51-6061)"
	8400      =  "Textile cutting machine setters, operators, and tenders (51-6062)"
	8410      =  "Textile knitting and weaving machine setters, operators, and tenders (51-6063)"
	8420      =  "Textile winding, twisting, and drawing out machine setters, operators, and tenders (51-6"
	8430      =  "Extruding and forming machine setters, operators, and tenders, synthetic and glass fiber"
	8440      =  "Fabric and apparel patternmakers (51-6092)"
	8450      =  "Upholsterers (51-6093)"        
	8460      =  "Textile, apparel, and furnishings workers, all other (51-6099)"
	8500      =  "Cabinetmakers and bench carpenters (51-7011)"
	8510      =  "Furniture finishers (51-7021)" 
	8520      =  "Model makers and patternmakers, wood (51-7030)"
	8530      =  "Sawing machine setters, operators, and tenders, wood (51-7041)"
	8540      =  "Woodworking machine setters, operators, and tenders, except sawing (51-7042)"
	8550      =  "Woodworkers, all other (51-7099)"
	8600      =  "Power plant operators, distributors, and dispatchers (51-8010)"
	8610      =  "Stationary engineers and boiler operators (51-8021)"
	8620      =  "Water and liquid waste treatment plant and system operators (51-8031)"
	8630      =  "Miscellaneous plant and system operators (51-8090)"
	8640      =  "Chemical processing machine setters, operators, and tenders (51-9010)"
	8650      =  "Crushing, grinding, polishing, mixing, and blending workers (51-9020)"
	8710      =  "Cutting workers (51-9030)"     
	8720      =  "Extruding, forming, pressing, and compacting machine setters, operators, and tenders (51"
	8730      =  "Furnace, kiln, oven, drier, and kettle operators and tenders (51-9051)"
	8740      =  "Inspectors, testers, sorters, samplers, and weighers (51-9061)"
	8750      =  "Jewelers and precious stone and metal workers (51-9071)"
	8760      =  "Medical, dental, and ophthalmic laboratory technicians (51-9080)"
	8800      =  "Packaging and filling machine operators and tenders (51-9111)"
	8810      =  "Painting workers (51-9120)"    
	8830      =  "Photographic process workers and processing machine operators (51-9130)"
	8840      =  "Semiconductor processors (51-9141)"
	8850      =  "Cementing and gluing machine operators and tenders (51-9191)"
	8860      =  "Cleaning, washing, and metal pickling equipment operators and tenders (51-9192)"
	8900      =  "Cooling and freezing equipment operators and tenders (51-9193)"
	8910      =  "Etchers and engravers (51-9194)"
	8920      =  "Molders, shapers, and casters, except metal and plastic (51-9195)"
	8930      =  "Paper goods machine setters, operators, and tenders (51-9196)"
	8940      =  "Tire builders (51-9197)"       
	8950      =  "Helpers--production workers (51-9198)"
	8960      =  "Production workers, all other (51-9199)"
	9000      =  "Supervisors, transportation and material moving workers (53-1000)"
	9030      =  "Aircraft pilots and flight engineers (53-2010)"
	9040      =  "Air traffic controllers and airfield operations specialists (53-2020)"
	9110      =  "Ambulance drivers and attendants, except emergency medical technicians (53-3011)"
	9120      =  "Bus drivers (53-3020)"         
	9130      =  "Driver/sales workers and truck drivers (53-3030)"
	9140      =  "Taxi drivers and chauffeurs (53-3041)"
	9150      =  "Motor vehicle operators, all other (53-3099)"
	9200      =  "Locomotive engineers and operators (53-4010)"
	9230      =  "Railroad brake, signal, and switch operators (53-4021)"
	9240      =  "Railroad conductors and yardmasters (53-4031)"
	9260      =  "Subway, streetcar, and other rail transportation workers (53-30XX)"
	9300      =  "Sailors and marine oilers (53-5011)"
	9310      =  "Ship and boat captains and operators (53-5020)"
	9330      =  "Ship engineers (53-5031)"      
	9340      =  "Bridge and lock tenders (53-6011)"
	9350      =  "Parking lot attendants (53-6021)"
	9360      =  "Service station attendants (53-6031)"
	9410      =  "Transportation inspectors (53-6051)"
	9420      =  "Other transportation workers (53-60XX)"
	9500      =  "Conveyor operators and tenders (53-7011)"
	9510      =  "Crane and tower operators (53-7021)"
	9520      =  "Dredge, excavating, and loading machine operators (53-7030)"
	9560      =  "Hoist and winch operators (53-7041)"
	9600      =  "Industrial truck and tractor operators (53-7051)"
	9610      =  "Cleaners of vehicles and equipment (53-7061)"
	9620      =  "Laborers and freight, stock, and material movers, hand (53-7062)"
	9630      =  "Machine feeders and offbearers (53-7063)"
	9640      =  "Packers and packagers, hand (53-7064)"
	9650      =  "Pumping station operators (53-7070)"
	9720      =  "Refuse and recyclable material collectors (53-7081)"
	9730      =  "Shuttle car operators (53-7111)"
	9740      =  "Tank car, truck, and ship loaders (53-7121)"
	9750      =  "Material moving workers, all other (53-7199)"
	9840      =  "Persons whose current labor force status is unemployed and last job was Armed Forces"
	-1        =  "Not in Universe"               
;
VALUE ajbocc1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eeno2l  	(default=32)
	-1        =  "Not in Universe"               
;
VALUE estlempk	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE astlempk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tsjdatek	(default=32)
	-1        =  "Not in Universe"               
;
VALUE asjdatek	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tejdatek	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aejdatek	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ersend2l	(default=32)
	1         =  "On Layoff"                     
	2         =  "Retirement or old age"         
	3         =  "Childcare problems"            
	4         =  "Other family/personal obligations"
	5         =  "Own illness"                   
	6         =  "Own injury"                    
	7         =  "School/Training"               
	8         =  "Discharged/fired"              
	9         =  "Employer bankrupt"             
	10        =  "Employer sold business"        
	11        =  "Job was temporary and ended"   
	12        =  "Quit to take another job"      
	13        =  "Slack work or business conditions"
	14        =  "Unsatisfactory work arrangements (hours, pay, etc)"
	15        =  "Quit for some other reason"    
	-1        =  "Not in Universe"               
;
VALUE arsend2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ejbhrs2l	(default=32)
	-8        =  "Hours vary"                    
	-1        =  "Not in Universe"               
;
VALUE ajbhrs2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eemplock	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aemplock	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tempallk	(default=32)
	1         =  "Under 25 employees"            
	2         =  "25 to 99 employees"            
	3         =  "100+ employees"                
	-1        =  "Not in Universe"               
;
VALUE aempallk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tempsizk	(default=32)
	1         =  "Under 25 employees"            
	2         =  "25 to 99 employees"            
	3         =  "100+ employees"                
	-1        =  "Not in Universe"               
;
VALUE aempsizk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eocctimk	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aocctimk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
;
VALUE eclwrk2l	(default=32)
	1         =  "Private for profit employee"   
	2         =  "Private not for profit employee"
	3         =  "Local government worker"       
	4         =  "State government worker"       
	5         =  "Federal government worker"     
	6         =  "Family worker without pay"     
	-1        =  "Not in Universe"               
;
VALUE aclwrk2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eunion2l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aunion2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ecntrc2l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE acntrc2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tpmsum2l	(default=32)
	0         =  "None or not in universe"       
;
VALUE apmsum2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE epayhr2l	(default=32)
	1         =  "Yes (paid by the hour)"        
	2         =  "No (set annual salary or other"
	-1        =  "Not in Universe"               
;
VALUE apayhr2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tpyratek	(default=32)
	0         =  "Not in universe or none"       
;
VALUE apyratek	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rpyper2l	(default=32)
	1         =  "Once a week"                   
	2         =  "Once every two weeks"          
	3         =  "Once a month"                  
	4         =  "Twice a month"                 
	5         =  "Unpaid in a family business or farm"
	6         =  "On commission"                 
	7         =  "Some other way"                
	8         =  "Not reported"                  
	-1        =  "Not in Universe"               
;
VALUE ejbind2l	(default=32)
	0170      =  "Crop production (111)"         
	0180      =  "Animal production (112)"       
	0190      =  "Forestry except logging (1131,1132)"
	0270      =  "Logging (1133)"                
	0280      =  "Fishing, hunting, and trapping (114)"
	0290      =  "Support activities for agriculture and forestry (115)"
	0370      =  "Oil and gas extraction (211)"  
	0380      =  "Coal mining (2121)"            
	0390      =  "Metal ore mining (2122)"       
	0470      =  "Nonmetallic mineral mining and quarrying (2123)"
	0480      =  "Not specified type of mining (Part 21)"
	0490      =  "Support activities for mining (213)"
	0570      =  "Electric power generation, transmission and distribution (2211)"
	0580      =  "Natural gas distribution (2212)"
	0590      =  "Electric and gas, and other combinations (Parts 2211, 2212)"
	0670      =  "Water, steam, air-conditioning, and irrigation systems (22131,22133)"
	0680      =  "Sewage treatment facilities (22132)"
	0690      =  "Not specified utilities (Part 22)"
	0770      =  "Construction (23)"             
	1070      =  "Animal food, grain and oilseed milling (3111, 3112)"
	1080      =  "Sugar and confectionery products (3113)"
	1090      =  "Fruit and vegetable preserving and specialty food manufacturing (3114)"
	1170      =  "Dairy product manufacturing (3115)"
	1180      =  "Animal slaughtering and processing (3116)"
	1190      =  "Retail bakeries (311811)"      
	1270      =  "Bakeries, except retail  (3118 .exc. 311811)"
	1280      =  "Seafood and other miscellaneous foods, n.e.c. (3117, 3119)"
	1290      =  "Not specified food industries (Part 311)"
	1370      =  "Beverage manufacturing (3121)" 
	1390      =  "Tobacco manufacturing (3122)"  
	1470      =  "Fiber, yarn, and thread mills (3131)"
	1480      =  "Fabric mills, except knitting (3132 except 31324)"
	1490      =  "Textile and fabric finishing and coating mills (3133)"
	1570      =  "Carpet and rug mills (31411)"  
	1590      =  "Textile product mills, except carpets and rugs (314 except 31411)"
	1670      =  "Knitting mills (31324, 3151)"  
	1680      =  "Cut and sew apparel manufacturing (3152)"
	1690      =  "Apparel accessories and other apparel manufacturing (3159)"
	1770      =  "Footwear manufacturing (3162)" 
	1790      =  "Leather tanning and products, except footwear manufacturing (3161, 3169)"
	1870      =  "Pulp, paper, and paperboard mills (3221)"
	1880      =  "Paperboard containers and boxes (32221)"
	1890      =  "Miscellaneous paper and pulp products  (32222, 32223, 32229)"
	1990      =  "Printing and related support activities (3231)"
	2070      =  "Petroleum refining (32411)"    
	2090      =  "Miscellaneous petroleum and coal products (32419)"
	2170      =  "Resin, synthetic rubber and fibers, and filaments manufacturing (3252)"
	2180      =  "Agricultural chemical manufacturing  (3253)"
	2190      =  "Pharmaceutical and medicine manufacturing (3254)"
	2270      =  "Paint, coating, and adhesive manufacturing (3255)"
	2280      =  "Soap, cleaning compound, and cosmetics manufacturing (3256)"
	2290      =  "Industrial and miscellaneous chemicals (3251, 3259)"
	2370      =  "Plastics product manufacturing (3261)"
	2380      =  "Tire manufacturing (32621)"    
	2390      =  "Rubber products, except tires, manufacturing (32622, 32629)"
	2470      =  "Pottery, ceramics, and related products manufacturing (32711)"
	2480      =  "Structural clay product manufacturing (32712)"
	2490      =  "Glass and glass product manufacturing  (3272)"
	2570      =  "Cement, concrete, lime, and gypsum product manufacturing (3273, 3274)"
	2590      =  "Miscellaneous nonmetallic mineral product manufacturing (3279)"
	2670      =  "Iron and steel mills and steel product manufacturing (3311, 3312)"
	2680      =  "Aluminum production and processing  (3313)"
	2690      =  "Nonferrous metal, except aluminum, production and processing (3314)"
	2770      =  "Foundries (3315)"              
	2780      =  "Metal forgings and stampings (3321)"
	2790      =  "Cutlery and hand tool manufacturing  (3322)"
	2870      =  "Structural metals, and tank and shipping container manufacturing (3323, 3324)"
	2880      =  "Machine shops; turned product; screw, nut and bolt manufacturing  (3327)"
	2890      =  "Coating, engraving, heat treating and allied activities (3328)"
	2970      =  "Ordnance (332992, 332993, 332994, 332995)"
	2980      =  "Miscellaneous fabricated metal products manufacturing (3325, 3326, 3329 except 332992, )"
	2990      =  "Not specified metal industries (Part 331 and 332)"
	3070      =  "Agricultural implement manufacturing (33311)"
	3080      =  "Construction, mining and oil field machinery manufacturing (33312, 33313)"
	3090      =  "Commercial and service industry machinery manufacturing (3333)"
	3170      =  "Metalworking machinery manufacturing (3335)"
	3180      =  "Engines, turbines, and power transmission equipment manufacturing (3336)"
	3190      =  "Machinery manufacturing, n.e.c. (3332, 3334, 3339)"
	3290      =  "Not specified machinery manufacturing (Part 333)"
	3360      =  "Computer and peripheral equipment manufacturing (3341)"
	3370      =  "Communications, audio, and video equipment manufacturing (3342, 3343)"
	3380      =  "Navigational, measuring, electromedical, and control instruments manufacturing (3345)"
	3390      =  "Electronic component and product manufacturing, n.e.c. (3344, 3346)"
	3470      =  "Household appliance manufacturing (3352)"
	3490      =  "Electrical lighting, equipment, and supplies manufacturing, n.e.c. (3351, 3353, 3359)"
	3570      =  "Motor vehicles and motor vehicle equipment manufacturing (3361, 3362, 3363)"
	3580      =  "Aircraft and parts manufacturing (336411, 336412, 336413)"
	3590      =  "Aerospace products and parts manufacturing (336414, 336415, 336419)"
	3670      =  "Railroad rolling stock manufacturing (3365)"
	3680      =  "Ship and boat building (3366)" 
	3690      =  "Other transportation equipment manufacturing (3369)"
	3770      =  "Sawmills and wood preservation (3211)"
	3780      =  "Veneer, plywood, and engineered wood products (3212)"
	3790      =  "Prefabricated wood buildings and mobile homes (321991, 321992)"
	3870      =  "Miscellaneous wood products (3219 except 321991, 321992)"
	3890      =  "Furniture and related product manufacturing (337)"
	3960      =  "Medical equipment and supplies manufacturing (3391)"
	3970      =  "Toys, amusement, and sporting goods manufacturing (33992, 33993)"
	3980      =  "Miscellaneous manufacturing, n.e.c.  (3399 except 33992, 33993)"
	3990      =  "Not specified manufacturing industries (Part 31, 32, 33)"
	4070      =  "Motor vehicles, parts and supplies, merchant wholesalers  (4231)"
	4080      =  "Furniture and home furnishing, merchant wholesalers (4232 )"
	4090      =  "Lumber and other construction materials, merchant wholesalers (4233)"
	4170      =  "Professional and commercial equipment and supplies, merchant wholesalers (4234)"
	4180      =  "Metals and minerals, except petroleum, merchant wholesalers (4235)"
	4190      =  "Electrical goods, merchant wholesalers (4236)"
	4260      =  "Hardware, plumbing and heating equipment, and supplies, merchant wholesalers (4237)"
	4270      =  "Machinery, equipment, and supplies, merchant wholesalers  (4238)"
	4280      =  "Recyclable material, merchant wholesalers (42393)"
	4290      =  "Miscellaneous durable goods, merchant wholesalers (4239 except 42393)"
	4370      =  "Paper and paper products, merchant wholesalers (4241)"
	4380      =  "Drugs, sundries, and chemical and allied products, merchant wholesalers (4242, 4246)"
	4390      =  "Apparel, fabrics, and notions, merchant wholesalers (4243)"
	4470      =  "Groceries and related products, merchant wholesalers (4244)"
	4480      =  "Farm product raw materials, merchant wholesalers (4245)"
	4490      =  "Petroleum and petroleum products, merchant wholesalers (4247)"
	4560      =  "Alcoholic beverages, merchant wholesalers (4248)"
	4570      =  "Farm supplies, merchant wholesalers (42491)"
	4580      =  "Miscellaneous nondurable goods, merchant wholesalers (4249 except 42491)"
	4585      =  "Wholesale electronic markets, agents and brokers (4251)"
	4590      =  "Not specified wholesale trade (Part 42)"
	4670      =  "Automobile dealers (4411)"     
	4680      =  "Other motor vehicle dealers (4412)"
	4690      =  "Auto parts, accessories, and tire stores  (4413)"
	4770      =  "Furniture and home furnishings stores (442)"
	4780      =  "Household appliance stores (443111)"
	4790      =  "Radio, TV, and computer stores (443112, 44312)"
	4870      =  "Building material and supplies dealers  (4441 except 44413)"
	4880      =  "Hardware stores (44413)"       
	4890      =  "Lawn and garden equipment and supplies stores (4442)"
	4970      =  "Grocery stores (4451)"         
	4980      =  "Specialty food stores (4452)"  
	4990      =  "Beer, wine, and liquor stores (4453)"
	5070      =  "Pharmacies and drug stores (4461)"
	5080      =  "Health and personal care, except drug, stores (446 except 44611)"
	5090      =  "Gasoline stations (447)"       
	5170      =  "Clothing and accessories, except shoe, stores (448 except 44821, 4483)"
	5180      =  "Shoe stores (44821)"           
	5190      =  "Jewelry, luggage, and leather goods stores (4483)"
	5270      =  "Sporting goods, camera, and hobby and toy stores (44313, 45111, 45112)"
	5280      =  "Sewing, needlework, and piece goods stores (45113)"
	5290      =  "Music stores (45114, 45122)"   
	5370      =  "Book stores and news dealers (45121)"
	5380      =  "Department stores and discount stores (45211)"
	5390      =  "Miscellaneous general merchandise stores (4529)"
	5470      =  "Retail florists (4531)"        
	5480      =  "Office supplies and stationery stores (45321)"
	5490      =  "Used merchandise stores (4533)"
	5570      =  "Gift, novelty, and souvenir shops (45322)"
	5580      =  "Miscellaneous retail stores (4539)"
	5590      =  "Electronic shopping   (454111)"
	5591      =  "Electronic auctions   (454112)"
	5592      =  "Mail order houses (454113)"    
	5670      =  "Vending machine operators (4542)"
	5680      =  "Fuel dealers (45431)"          
	5690      =  "Other direct selling establishments (45439)"
	5790      =  "Not specified retail trade (Part 44, 45)"
	6070      =  "Air transportation (481)"      
	6080      =  "Rail transportation (482)"     
	6090      =  "Water transportation (483)"    
	6170      =  "Truck transportation (484)"    
	6180      =  "Bus service and urban transit (4851, 4852, 4854, 4855, 4859)"
	6190      =  "Taxi and limousine service (4853)"
	6270      =  "Pipeline transportation (486)" 
	6280      =  "Scenic and sightseeing transportation (487)"
	6290      =  "Services incidental to transportation (488)"
	6370      =  "Postal Service (491)"          
	6380      =  "Couriers and messengers (492)" 
	6390      =  "Warehousing and storage (493)" 
	6470      =  "Newspaper publishers (51111)"  
	6480      =  "Publishing, except newspapers and software (5111 except 51111)"
	6490      =  "Software publishing (5112)"    
	6570      =  "Motion pictures and video industries (5121)"
	6590      =  "Sound recording industries (5122)"
	6670      =  "Radio and television broadcasting and cable (5151, 5152, 5175)"
	6675      =  "Internet publishing and broadcasting (5161)"
	6680      =  "Wired telecommunications carriers (5171)"
	6690      =  "Other telecommunications services (517 except 5171, 5175)"
	6692      =  "Internet service providers (5181)"
	6695      =  "Data processing, hosting, and related services (5182)"
	6770      =  "Libraries and archives (51912)"
	6780      =  "Other information services (5191 except 51912)"
	6870      =  "Banking and related activities (521, 52211,52219)"
	6880      =  "Savings institutions, including credit unions (52212, 52213)"
	6890      =  "Non-depository credit and related activities (5222, 5223)"
	6970      =  "Securities, commodities, funds, trusts, and other financial investments (523, 525)"
	6990      =  "Insurance carriers and related activities (524)"
	7070      =  "Real estate (531)"             
	7080      =  "Automotive equipment rental and leasing (5321)"
	7170      =  "Video tape and disk rental (53223)"
	7180      =  "Other consumer goods rental (53221, 53222, 53229, 5323)"
	7190      =  "Commercial, industrial, and other intangible assets rental and leasing (5324, 533)"
	7270      =  "Legal services (5411)"         
	7280      =  "Accounting, tax preparation, bookkeeping, and payroll services (5412)"
	7290      =  "Architectural, engineering, and related services (5413)"
	7370      =  "Specialized design services (5414)"
	7380      =  "Computer systems design and related services (5415)"
	7390      =  "Management, scientific, and technical consulting services (5416)"
	7460      =  "Scientific research and development services (5417)"
	7470      =  "Advertising and related services (5418)"
	7480      =  "Veterinary services (54194)"   
	7490      =  "Other professional, scientific, and technical services (5419 except 54194)"
	7570      =  "Management of companies and enterprises (551)"
	7580      =  "Employment services (5613)"    
	7590      =  "Business support services (5614)"
	7670      =  "Travel arrangements and reservation services (5615)"
	7680      =  "Investigation and security services (5616)"
	7690      =  "Services to buildings and dwellings (except cleaning during construction and immediately"
	7770      =  "Landscaping services (56173)"  
	7780      =  "Other administrative and other support services (5611, 5612, 5619)"
	7790      =  "Waste management and remediation services (562)"
	7860      =  "Elementary and secondary schools (6111)"
	7870      =  "Colleges and universities, including junior colleges (6112, 6113)"
	7880      =  "Business, technical, and trade schools and training (6114, 6115)"
	7890      =  "Other schools, instruction, and educational services (6116, 6117)"
	7970      =  "Offices of physicians (6211)"  
	7980      =  "Offices of dentists (6212)"    
	7990      =  "Offices of chiropractors (62131)"
	8070      =  "Offices of optometrists (62132)"
	8080      =  "Offices of other health practitioners (6213 except 62131, 62132)"
	8090      =  "Outpatient care centers (6214)"
	8170      =  "Home health care services (6216)"
	8180      =  "Other health care services (6215, 6219)"
	8190      =  "Hospitals (622)"               
	8270      =  "Nursing care facilities (6231)"
	8290      =  "Residential care facilities, without nursing (6232, 6233, 6239)"
	8370      =  "Individual and family services (6241)"
	8380      =  "Community food and housing, and emergency services (6242)"
	8390      =  "Vocational rehabilitation services (6243)"
	8470      =  "Child day care services (6244)"
	8560      =  "Independent artists, performing arts, spectator sports, and related industries (711)"
	8570      =  "Museums, art galleries, historical sites, and similar institutions (712)"
	8580      =  "Bowling centers (71395)"       
	8590      =  "Other amusement, gambling, and recreation industries (713 except 71395)"
	8660      =  "Traveler accommodation (7211)" 
	8670      =  "Recreational vehicle parks and camps, and rooming and boarding houses (7212, 7213)"
	8680      =  "Restaurants and other food services (722 except 7224)"
	8690      =  "Drinking places, alcoholic beverages (7224)"
	8770      =  "Automotive repair and maintenance (8111 except 811192)"
	8780      =  "Car washes (811192)"           
	8790      =  "Electronic and precision equipment repair and maintenance (8112)"
	8870      =  "Commercial and industrial machinery and equipment repair and maintenance (8113)"
	8880      =  "Personal and household goods repair and maintenance (8114 except 81143)"
	8890      =  "Footwear and leather goods repair (81143)"
	8970      =  "Barber shops (812111)"         
	8980      =  "Beauty salons (812112)"        
	8990      =  "Nail salons and other personal care services  (812113, 81219)"
	9070      =  "Drycleaning and laundry services (8123)"
	9080      =  "Funeral homes, cemeteries, and crematories (8122)"
	9090      =  "Other personal services (8129)"
	9160      =  "Religious organizations (8131)"
	9170      =  "Civic, social, advocacy organizations, and grantmaking and giving services (8132, 8133,"
	9180      =  "Labor unions (81393)"          
	9190      =  "Business, professional, political, and similar organizations (8139 except 81393)"
	9290      =  "Private households (814)"      
	9370      =  "Executive offices and legislative bodies (92111, 92112, 92114, part 92115)"
	9380      =  "Public finance activities (92113)"
	9390      =  "Other general government and support (92119)"
	9470      =  "Justice, public order, and safety activities (922, part 92115)"
	9480      =  "Administration of human resource programs  (923)"
	9490      =  "Administration of environmental quality and housing programs (924, 925)"
	9570      =  "Administration of economic programs and space research (926, 927)"
	9590      =  "National security and international affairs (928)"
	9890      =  "Persons whose last job was Armed Forces"
	-1        =  "Not in Universe"               
;
VALUE ajbind2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tjbocc2l	(default=32)
	10        =  "Chief executives (11-1011)"    
	0020      =  "General and operations managers (11-1021)"
	0040      =  "Advertising and promotions managers (11-2011)"
	0050      =  "Marketing and sales managers (11-2020)"
	0060      =  "Public relations managers (11-2031)"
	100       =  "Administrative services managers (11-3011)"
	0110      =  "Computer and information systems managers (11-3021)"
	0120      =  "Financial managers (11-3031)"  
	0130      =  "Human resources managers (11-3040)"
	0140      =  "Industrial production managers(11-3051)"
	0150      =  "Purchasing managers (11-3061)" 
	160       =  "Transportation, storage, and distribution managers (11-3071)"
	200       =  "Farm, ranch, and other agricultural managers (11-9011)"
	0210      =  "Farmers and ranchers (11-9012)"
	0220      =  "Construction managers (11-9021)"
	0230      =  "Education administrators (11-9030)"
	0300      =  "Engineering managers (11-9041)"
	0310      =  "Food service managers (11-9051)"
	0320      =  "Funeral directors (11-9061)"   
	0330      =  "Gaming managers (11-9071)"     
	0340      =  "Lodging managers (11-9081)"    
	0350      =  "Medical and health services managers (11-9111)"
	0360      =  "Natural sciences managers (11-9121)"
	0410      =  "Property, real estate, and community association managers (11-9141)"
	0420      =  "Social and community service managers (11-9151)"
	0430      =  "Managers, all other (11-9199)" 
	0500      =  "Agents and business managers of artists, performers, and athletes (13-1011)"
	0510      =  "Purchasing agents and buyers, farm products (13-1021)"
	520       =  "Wholesale and retail buyers, except farm products (13-1022)"
	0530      =  "Purchasing agents, except wholesale, retail, and farm products (13-1023)"
	0540      =  "Claims adjusters, appraisers, examiners, and investigators (13-1030)"
	0560      =  "Compliance officers, except agriculture, construction, health and safety, and transporta"
	0600      =  "Cost estimators (13-1051)"     
	0620      =  "Human resources, training, and labor relations specialists (13-1070)"
	0700      =  "Logisticians (13-1081)"        
	0710      =  "Management analysts (13-1111)" 
	0720      =  "Meeting and convention planners (13-1121)"
	0730      =  "Other business operations specialists (13-11XX)"
	0800      =  "Accountants and auditors (13-2011)"
	0810      =  "Appraisers and assessors of real estate (13-2021)"
	0820      =  "Budget analysts (13-2031)"     
	0830      =  "Credit analysts (13-2041)"     
	840       =  "Financial analysts (13-2051)"  
	0850      =  "Personal financial advisors (13-2052)"
	0860      =  "Insurance underwriters (13-2053)"
	0900      =  "Financial examiners (13-2061)" 
	0910      =  "Loan counselors and officers (13-2070)"
	0930      =  "Tax examiners, collectors, and revenue agents (13-2081)"
	0940      =  "Tax preparers (13-2082)"       
	0950      =  "Financial specialists, all other (13-2099)"
	1000      =  "Computer scientists and systems analysts (15-10XX)"
	1010      =  "Computer programmers (15-1021)"
	1020      =  "Computer software engineers (15-1030)"
	1040      =  "Computer support specialists (15-1041)"
	1060      =  "Database administrators (15-1061)"
	1100      =  "Network and computer systems administrators (15-1071)"
	1110      =  "Network systems and data communications analysts (15-1081)"
	1200      =  "Actuaries (15-2011)"           
	1210      =  "Mathematicians (15-2021)"      
	1220      =  "Operations research analysts (15-2031)"
	1230      =  "Statisticians (15-2041)"       
	1240      =  "Miscellaneous mathematical science occupations (15-2090)"
	1300      =  "Architects, except naval (17-1010)"
	1310      =  "Surveyors, cartographers, and photogrammetrists (17-1020)"
	1320      =  "Aerospace engineers (17-2011)" 
	1330      =  "Agricultural engineers (17-2021)"
	1340      =  "Biomedical engineers (17-2031)"
	1350      =  "Chemical engineers (17-2041)"  
	1360      =  "Civil engineers (17-2051)"     
	1400      =  "Computer hardware engineers (17-2061)"
	1410      =  "Electrical and electronic engineers (17-2070)"
	1420      =  "Environmental engineers (17-2081)"
	1430      =  "Industrial engineers, including health and safety (17-2110)"
	1440      =  "Marine engineers and naval architects (17-2121)"
	1450      =  "Materials engineers (17-2131)" 
	1460      =  "Mechanical engineers (17-2141)"
	1500      =  "Mining and geological engineers, including mining safety engineers (17-2151)"
	1510      =  "Nuclear engineers (17-2161)"   
	1520      =  "Petroleum engineers (17-2171)" 
	1530      =  "Engineers, all other (17-2199)"
	1540      =  "Drafters (17-3010)"            
	1550      =  "Engineering technicians, except drafters (17-3020)"
	1560      =  "Surveying and mapping technicians (17-3031)"
	1600      =  "Agricultural and food scientists (19-1010)"
	1610      =  "Biological scientists (19-1020)"
	1640      =  "Conservation scientists and foresters (19-1030)"
	1650      =  "Medical scientists (19-1040)"  
	1700      =  "Astronomers and physicists (19-2010)"
	1710      =  "Atmospheric and space scientists (19-2021)"
	1720      =  "Chemists and materials scientists (19-2030)"
	1740      =  "Environmental scientists and geoscientists (19-2040)"
	1760      =  "Physical scientists, all other (19-2099)"
	1800      =  "Economists (19-3011)"          
	1810      =  "Market and survey researchers (19-3020)"
	1820      =  "Psychologists (19-3030)"       
	1830      =  "Sociologists (19-3041)"        
	1840      =  "Urban and regional planners (19-3051)"
	1860      =  "Miscellaneous social scientists and related workers (19-3090)"
	1900      =  "Agricultural and food science technicians (19-4011)"
	1910      =  "Biological technicians (19-4021)"
	1920      =  "Chemical technicians (19-4031)"
	1930      =  "Geological and petroleum technicians (19-4041)"
	1940      =  "Nuclear technicians (19-4051)" 
	1960      =  "Other life, physical, and social science technicians (19-40XX)"
	2000      =  "Counselors (21-1010)"          
	2010      =  "Social workers (21-1020)"      
	2020      =  "Miscellaneous community and social service specialists (21-1090)"
	2040      =  "Clergy (21-2011)"              
	2050      =  "Directors, religious activities and education (21-2021)"
	2060      =  "Religious workers, all other (21-2099)"
	2100      =  "Lawyers (23-1011)"             
	2140      =  "Paralegals and legal assistants (23-2011)"
	2150      =  "Miscellaneous legal support workers (23-2090)"
	2200      =  "Postsecondary teachers (25-1000)"
	2300      =  "Preschool and kindergarten teachers (25-2010)"
	2310      =  "Elementary and middle school teachers (25-2020)"
	2320      =  "Secondary school teachers (25-2030)"
	2330      =  "Special education teachers (25-2040)"
	2340      =  "Other teachers and instructors (25-3000)"
	2400      =  "Archivists, curators, and museum technicians (25-4010)"
	2430      =  "Librarians (25-4021)"          
	2440      =  "Library technicians (25-4031)" 
	2540      =  "Teacher assistants (25-9041)"  
	2550      =  "Other education, training, and library workers (25-90XX)"
	2600      =  "Artists and related workers (27-1010)"
	2630      =  "Designers (27-1020)"           
	2700      =  "Actors (27-2011)"              
	2710      =  "Producers and directors (27-2012)"
	2720      =  "Athletes, coaches, umpires, and related workers (27-2020)"
	2740      =  "Dancers and choreographers (27-2030)"
	2750      =  "Musicians, singers, and related workers (27-2040)"
	2760      =  "Entertainers and performers, sports and related workers, all other (27-2099)"
	2800      =  "Announcers (27-3010)"          
	2810      =  "News analysts, reporters and correspondents (27-3020)"
	2820      =  "Public relations specialists (27-3031)"
	2830      =  "Editors (27-3041)"             
	2840      =  "Technical writers (27-3042)"   
	2850      =  "Writers and authors (27-3043)" 
	2860      =  "Miscellaneous media and communication workers (27-3090)"
	2900      =  "Broadcast and sound engineering technicians and radio operators (27-4010)"
	2910      =  "Photographers (27-4021)"       
	2920      =  "Television, video, and motion picture camera operators and editors (27-4030)"
	2960      =  "Media and communication equipment workers, all other (27-4099)"
	3000      =  "Chiropractors (29-1011)"       
	3010      =  "Dentists (29-1020)"            
	3030      =  "Dietitians and nutritionists (29-1031)"
	3040      =  "Optometrists (29-1041)"        
	3050      =  "Pharmacists (29-1051)"         
	3060      =  "Physicians and surgeons (29-1060)"
	3110      =  "Physician assistants (29-1071)"
	3120      =  "Podiatrists (29-1081)"         
	3130      =  "Registered nurses (29-1111)"   
	3140      =  "Audiologists (29-1121)"        
	3150      =  "Occupational therapists (29-1122)"
	3160      =  "Physical therapists (29-1123)" 
	3200      =  "Radiation therapists (29-1124)"
	3210      =  "Recreational therapists (29-1125)"
	3220      =  "Respiratory therapists (29-1126)"
	3230      =  "Speech-language pathologists (29-1127)"
	3240      =  "Therapists, all other (29-1129)"
	3250      =  "Veterinarians (29-1131)"       
	3260      =  "Health diagnosing and treating practitioners, all other (29-1199 )"
	3300      =  "Clinical laboratory technologists and technicians (29-2010)"
	3310      =  "Dental hygienists (29-2021)"   
	3320      =  "Diagnostic related technologists and technicians (29-2030)"
	3400      =  "Emergency medical technicians and paramedics (29-2041)"
	3410      =  "Health diagnosing and treating practitioner support technicians (29-2050)"
	3500      =  "Licensed practical and licensed vocational nurses (29-2061)"
	3510      =  "Medical records and health information technicians (29-2071)"
	3520      =  "Opticians, dispensing (29-2081)"
	3530      =  "Miscellaneous health technologists and technicians (29-2090)"
	3540      =  "Other healthcare practitioners and technical occupations (29-9000)"
	3600      =  "Nursing, psychiatric, and home health aides (31-1010 )"
	3610      =  "Occupational therapist assistants and aides (31-2010)"
	3620      =  "Physical therapist assistants and aides (31-2020)"
	3630      =  "Massage therapists (31-9011)"  
	3640      =  "Dental assistants (31-9091)"   
	3650      =  "Medical assistants and other healthcare support occupations (31-909X)"
	3700      =  "First-line supervisors/managers of correctional officers (33-1011)"
	3710      =  "First-line supervisors/managers of police and detectives (33-1012)"
	3720      =  "First-line supervisors/managers of fire fighting and prevention workers (33-1021)"
	3730      =  "Supervisors, protective service workers, all other (33-1099)"
	3740      =  "Fire fighters (33-2011)"       
	3750      =  "Fire inspectors (33-2020)"     
	3800      =  "Bailiffs, correctional officers, and jailers (33-3010)"
	3820      =  "Detectives and criminal investigators (33-3021)"
	3830      =  "Fish and game wardens (33-3031)"
	3840      =  "Parking enforcement workers (33-3041)"
	3850      =  "Police and sheriff's patrol officers(33-3051)"
	3860      =  "Transit and railroad police (33-3052)"
	3900      =  "Animal control workers (33-9011)"
	3910      =  "Private detectives and investigators (33-9021)"
	3920      =  "Security guards and gaming surveillance officers (33-9030)"
	3940      =  "Crossing guards (33-9091)"     
	3950      =  "Lifeguards and other protective service workers (33-909X)"
	4000      =  "Chefs and head cooks (35-1011)"
	4010      =  "First-line supervisors/managers of food preparation and serving workers (35-1012 )"
	4020      =  "Cooks (35-2010)"               
	4030      =  "Food preparation workers (35-2021)"
	4040      =  "Bartenders (35-3011)"          
	4050      =  "Combined food preparation and serving workers, including fast food (35-3021)"
	4060      =  "Counter attendants, cafeteria, food concession, and coffee shop (35-3022)"
	4110      =  "Waiters and waitresses (35-3031)"
	4120      =  "Food servers, nonrestaurant (35-3041)"
	4130      =  "Dining room and cafeteria attendants and bartender helpers (35-9011)"
	4140      =  "Dishwashers (35-9021)"         
	4150      =  "Hosts and hostesses, restaurant, lounge, and coffee shop (35-9031)"
	4160      =  "Food preparation and serving related workers, all other (35-9099)"
	4200      =  "First-line supervisors/managers of housekeeping and janitorial workers (37-1011)"
	4210      =  "First-line supervisors/managers of landscaping, lawn service, and groundskeeping workers"
	4220      =  "Janitors and building cleaners (37-201X)"
	4230      =  "Maids and housekeeping cleaners (37-2012)"
	4240      =  "Pest control workers (37-2021)"
	4250      =  "Grounds maintenance workers (37-3010)"
	4300      =  "First-line supervisors/managers of gaming workers (39-1010)"
	4320      =  "First-line supervisors/managers of personal service workers (39-1021)"
	4340      =  "Animal trainers (39-2011)"     
	4350      =  "Nonfarm animal caretakers (39-2021)"
	4400      =  "Gaming services workers (39-3010)"
	4410      =  "Motion picture projectionists (39-3021)"
	4420      =  "Ushers, lobby attendants, and ticket takers (39-3031)"
	4430      =  "Miscellaneous entertainment attendants and related workers (39-3090)"
	4460      =  "Funeral service workers (39-4000)"
	4500      =  "Barbers (39-5011)"             
	4510      =  "Hairdressers, hairstylists, and cosmetologists (39-5012)"
	4520      =  "Miscellaneous personal appearance workers (39-5090)"
	4530      =  "Baggage porters, bellhops, and concierges (39-6010)"
	4540      =  "Tour and travel guides (39-6020)"
	4550      =  "Transportation attendants (39-6030)"
	4600      =  "Child care workers (39-9011)"  
	4610      =  "Personal and home care aides (39-9021)"
	4620      =  "Recreation and fitness workers (39-9030)"
	4640      =  "Residential advisors (39-9041)"
	4650      =  "Personal care and service workers, all other (39-9099)"
	4700      =  "First-line supervisors/managers of retail sales workers (41-1011)"
	4710      =  "First-line supervisors/managers of non-retail sales workers (41-1012)"
	4720      =  "Cashiers (41-2010)"            
	4740      =  "Counter and rental clerks (41-2021)"
	4750      =  "Parts salespersons (41-2022)"  
	4760      =  "Retail salespersons (41-2031)" 
	4800      =  "Advertising sales agents (41-3011)"
	4810      =  "Insurance sales agents (41-3021)"
	4820      =  "Securities, commodities, and financial services sales agents (41-3031)"
	4830      =  "Travel agents (41-3041)"       
	4840      =  "Sales representatives, services, all other (41-3099)"
	4850      =  "Sales representatives, wholesale and manufacturing (41-4010)"
	4900      =  "Models, demonstrators, and product promoters (41-9010)"
	4920      =  "Real estate brokers and sales agents (41-9020)"
	4930      =  "Sales engineers (41-9031)"     
	4940      =  "Telemarketers (41-9041)"       
	4950      =  "Door-to-door sales workers, news and street vendors, and related workers (41-9091)"
	4960      =  "Sales and related workers, all other (41-9099)"
	5000      =  "First-line supervisors/managers of office and administrative support workers (43-1011)"
	5010      =  "Switchboard operators, including answering service (43-2011)"
	5020      =  "Telephone operators (43-2021)" 
	5030      =  "Communications equipment operators, all other (43-2099)"
	5100      =  "Bill and account collectors (43-3011)"
	5110      =  "Billing and posting clerks and machine operators (43-3021)"
	5120      =  "Bookkeeping, accounting, and auditing clerks (43-3031)"
	5130      =  "Gaming cage workers (43-3041)" 
	5140      =  "Payroll and timekeeping clerks (43-3051)"
	5150      =  "Procurement clerks (43-3061)"  
	5160      =  "Tellers (43-3071)"             
	5200      =  "Brokerage clerks (43-4011)"    
	5210      =  "Correspondence clerks (43-4021)"
	5220      =  "Court, municipal, and license clerks (43-4031)"
	5230      =  "Credit authorizers, checkers, and clerks (43-4041)"
	5240      =  "Customer service representatives (43-4051)"
	5250      =  "Eligibility interviewers, government programs (43-4061)"
	5260      =  "File Clerks (43-4071)"         
	5300      =  "Hotel, motel, and resort desk clerks (43-4081)"
	5310      =  "Interviewers, except eligibility and loan (43-4111)"
	5320      =  "Library assistants, clerical (43-4121)"
	5330      =  "Loan interviewers and clerks (43-4131)"
	5340      =  "New accounts clerks (43-4141)" 
	5350      =  "Order clerks (43-4151)"        
	5360      =  "Human resources assistants, except payroll and timekeeping (43-4161)"
	5400      =  "Receptionists and information clerks (43-4171)"
	5410      =  "Reservation and transportation ticket agents and travel clerks (43-4181)"
	5420      =  "Information and record clerks, all other (43-4199)"
	5500      =  "Cargo and freight agents (43-5011)"
	5510      =  "Couriers and messengers (43-5021)"
	5520      =  "Dispatchers (43-5030)"         
	5530      =  "Meter readers, utilities (43-5041)"
	5540      =  "Postal service clerks (43-5051)"
	5550      =  "Postal service mail carriers (43-5052)"
	5560      =  "Postal service mail sorters, processors, and processing machine operators (43-5053)"
	5600      =  "Production, planning, and expediting clerks (43-5061)"
	5610      =  "Shipping, receiving, and traffic clerks (43-5071)"
	5620      =  "Stock clerks and order fillers (43-5081)"
	5630      =  "Weighers, measurers, checkers, and samplers, recordkeeping (43-5111)"
	5700      =  "Secretaries and administrative assistants (43-6010)"
	5800      =  "Computer operators (43-9011)"  
	5810      =  "Data entry keyers (43-9021)"   
	5820      =  "Word processors and typists (43-9022)"
	5830      =  "Desktop publishers (43-9031)"  
	5840      =  "Insurance claims and policy processing clerks (43-9041)"
	5850      =  "Mail clerks and mail machine operators, except postal service (43-9051)"
	5860      =  "Office clerks, general (43-9061)"
	5900      =  "Office machine operators, except computer (43-9071)"
	5910      =  "Proofreaders and copy markers (43-9081)"
	5920      =  "Statistical assistants (43-9111)"
	5930      =  "Office and administrative support workers, all other (43-9199)"
	6000      =  "First-line supervisors/managers of farming, fishing, and forestry workers (45-1010)"
	6010      =  "Agricultural inspectors (45-2011)"
	6020      =  "Animal breeders (45-2021)"     
	6040      =  "Graders and sorters, agricultural products (45-2041)"
	6050      =  "Miscellaneous agricultural workers (45-2090)"
	6100      =  "Fishers and related fishing workers (45-3011)"
	6110      =  "Hunters and trappers (45-3021)"
	6120      =  "Forest and conservation workers (45-4011)"
	6130      =  "Logging workers (45-4020)"     
	6200      =  "First-line supervisors/managers of construction trades and extraction workers (47-1011)"
	6210      =  "Boilermakers (47-2011)"        
	6220      =  "Brickmasons, blockmasons, and stonemasons (47-2020)"
	6230      =  "Carpenters (47-2031)"          
	6240      =  "Carpet, floor, and tile installers and finishers (47-2040)"
	6250      =  "Cement masons, concrete finishers, and terrazzo workers (47-2050)"
	6260      =  "Construction laborers (47-2061)"
	6300      =  "Paving, surfacing, and tamping equipment operators (47-2071)"
	6310      =  "Pile-driver operators (47-2072)"
	6320      =  "Operating engineers and other construction equipment operators (47-2073)"
	6330      =  "Drywall installers, ceiling tile installers, and tapers (47-2080)"
	6350      =  "Electricians (47-2111)"        
	6360      =  "Glaziers (47-2121)"            
	6400      =  "Insulation workers (47-2130)"  
	6420      =  "Painters, construction and maintenance (47-2141)"
	6430      =  "Paperhangers (47-2142)"        
	6440      =  "Pipelayers, plumbers, pipefitters, and steamfitters (47-2150)"
	6460      =  "Plasterers and stucco masons (47-2161)"
	6500      =  "Reinforcing iron and rebar workers (47-2171)"
	6510      =  "Roofers (47-2181)"             
	6520      =  "Sheet metal workers (47-2211)" 
	6530      =  "Structural iron and steel workers (47-2221)"
	6600      =  "Helpers, construction trades (47-3010)"
	6660      =  "Construction and building inspectors (47-4011)"
	6700      =  "Elevator installers and repairers (47-4021)"
	6710      =  "Fence erectors (47-4031)"      
	6720      =  "Hazardous materials removal workers (47-4041)"
	6730      =  "Highway maintenance workers (47-4051)"
	6740      =  "Rail-track laying and maintenance equipment operators (47-4061)"
	6750      =  "Septic tank servicers and sewer pipe cleaners (47-4071)"
	6760      =  "Miscellaneous construction and related workers (47-4090)"
	6800      =  "Derrick, rotary drill, and service unit operators, oil, gas, and mining (47-5010)"
	6820      =  "Earth drillers, except oil and gas (47-5021)"
	6830      =  "Explosives workers, ordnance handling experts, and blasters (47-5031)"
	6840      =  "Mining machine operators (47-5040)"
	6910      =  "Roof bolters, mining (47-5061)"
	6920      =  "Roustabouts, oil and gas (47-5071)"
	6930      =  "Helpers--extraction workers (47-5081)"
	6940      =  "Other extraction workers (47-50XX)"
	7000      =  "First-line supervisors/managers of mechanics, installers, and repairers (49-1011)"
	7010      =  "Computer, automated teller, and office machine repairers (49-2011)"
	7020      =  "Radio and telecommunications equipment installers and repairers (49-2020)"
	7030      =  "Avionics technicians (49-2091)"
	7040      =  "Electric motor, power tool, and related repairers (49-2092)"
	7050      =  "Electrical and electronics installers and repairers, transportation equipment (49-2093)"
	7100      =  "Electrical and electronics repairers, industrial and utility (49-209X)"
	7110      =  "Electronic equipment installers and repairers, motor vehicles (49-2096)"
	7120      =  "Electronic home entertainment equipment installers and repairers (49-2097)"
	7130      =  "Security and fire alarm systems installers (49-2098)"
	7140      =  "Aircraft mechanics and service technicians (49-3011)"
	7150      =  "Automotive body and related repairers (49-3021)"
	7160      =  "Automotive glass installers and repairers (49-3022 )"
	7200      =  "Automotive service technicians and mechanics (49-3023)"
	7210      =  "Bus and truck mechanics and diesel engine specialists (49-3031)"
	7220      =  "Heavy vehicle and mobile equipment service technicians and mechanics (49-3040)"
	7240      =  "Small engine mechanics (49-3050)"
	7260      =  "Miscellaneous vehicle and mobile equipment mechanics, installers, and repairers (49-3090"
	7300      =  "Control and valve installers and repairers (49-9010)"
	7310      =  "Heating, air conditioning, and refrigeration mechanics and installers (49-9021)"
	7320      =  "Home appliance repairers (49-9031)"
	7330      =  "Industrial and refractory machinery mechanics (49-904X)"
	7340      =  "Maintenance and repair workers, general (49-9042)"
	7350      =  "Maintenance workers, machinery (49-9043)"
	7360      =  "Millwrights (49-9044)"         
	7410      =  "Electrical power-line installers and repairers (49-9051)"
	7420      =  "Telecommunications line installers and repairers (49-9052)"
	7430      =  "Precision instrument and equipment repairers (49-9060)"
	7510      =  "Coin, vending, and amusement machine servicers and repairers (49-9091)"
	7520      =  "Commercial divers (49-9092)"   
	7540      =  "Locksmiths and safe repairers (49-9094)"
	7550      =  "Manufactured building and mobile home installers (49-9095)"
	7560      =  "Riggers (49-9096)"             
	7600      =  "Signal and track switch repairers (49-9097)"
	7610      =  "Helpers--installation, maintenance, and repair workers (49-9098)"
	7620      =  "Other installation, maintenance, and repair workers (49-909X)"
	7700      =  "First-line supervisors/managers of production and operating workers (51-1011)"
	7710      =  "Aircraft structure, surfaces, rigging, and systems assemblers (51-2011)"
	7720      =  "Electrical, electronics, and electromechanical assemblers (51-2020)"
	7730      =  "Engine and other machine assemblers (51-2031)"
	7740      =  "Structural metal fabricators and fitters (51-2041)"
	7750      =  "Miscellaneous assemblers and fabricators (51-2090)"
	7800      =  "Bakers (51-3011)"              
	7810      =  "Butchers and other meat, poultry, and fish processing workers (51-3020)"
	7830      =  "Food and tobacco roasting, baking, and drying machine operators and tenders (51-3091)"
	7840      =  "Food batchmakers (51-3092)"    
	7850      =  "Food cooking machine operators and tenders (51-3093)"
	7900      =  "Computer control programmers and operators (51-4010)"
	7920      =  "Extruding and drawing machine setters, operators, and tenders, metal and plastic (51-402"
	7930      =  "Forging machine setters, operators, and tenders, metal and plastic (51-4022)"
	7940      =  "Rolling machine setters, operators, and tenders, metal and plastic (51-4023)"
	7950      =  "Cutting, punching, and press machine setters, operators, and tenders, metal and plastic"
	7960      =  "Drilling and boring machine tool setters, operators, and tenders, metal and plastic (51-"
	8000      =  "Grinding, lapping, polishing, and buffing machine tool setters, operators, and tenders,"
	8010      =  "Lathe and turning machine tool setters, operators, and tenders, metal and plastic (51-40"
	8020      =  "Milling and planing machine setters, operators, and tenders, metal and plastic (51-4035)"
	8030      =  "Machinists (51-4041)"          
	8040      =  "Metal furnace and kiln operators and tenders (51-4050)"
	8060      =  "Model makers and patternmakers, metal and plastic (51-4060)"
	8100      =  "Molders and molding machine setters, operators, and tenders, metal and plastic (51-4070)"
	8120      =  "Multiple machine tool setters, operators, and tenders, metal and plastic (51-4081)"
	8130      =  "Tool and die makers (51-4111)" 
	8140      =  "Welding, soldering, and brazing workers (51-4120)"
	8150      =  "Heat treating equipment setters, operators, and tenders, metal and plastic (51-4191)"
	8160      =  "Lay-out workers, metal and plastic (51-4192)"
	8200      =  "Plating and coating machine setters, operators, and tenders, metal and plastic (51-4193)"
	8210      =  "Tool grinders, filers, and sharpeners (51-4194)"
	8220      =  "Metalworkers and plastic workers, all other (51-4199)"
	8230      =  "Bookbinders and bindery workers (51-5010)"
	8240      =  "Job printers (51-5021)"        
	8250      =  "Prepress technicians and workers (51-5022)"
	8260      =  "Printing machine operators (51-5023)"
	8300      =  "Laundry and dry-cleaning workers (51-6011)"
	8310      =  "Pressers, textile, garment, and related materials (51-6021)"
	8320      =  "Sewing machine operators (51-6031)"
	8330      =  "Shoe and leather workers and repairers (51-6041)"
	8340      =  "Shoe machine operators and tenders (51-6042)"
	8350      =  "Tailors, dressmakers, and sewers (51-6050)"
	8360      =  "Textile bleaching and dyeing machine operators and tenders (51-6061)"
	8400      =  "Textile cutting machine setters, operators, and tenders (51-6062)"
	8410      =  "Textile knitting and weaving machine setters, operators, and tenders (51-6063)"
	8420      =  "Textile winding, twisting, and drawing out machine setters, operators, and tenders (51-6"
	8430      =  "Extruding and forming machine setters, operators, and tenders, synthetic and glass fiber"
	8440      =  "Fabric and apparel patternmakers (51-6092)"
	8450      =  "Upholsterers (51-6093)"        
	8460      =  "Textile, apparel, and furnishings workers, all other (51-6099)"
	8500      =  "Cabinetmakers and bench carpenters (51-7011)"
	8510      =  "Furniture finishers (51-7021)" 
	8520      =  "Model makers and patternmakers, wood (51-7030)"
	8530      =  "Sawing machine setters, operators, and tenders, wood (51-7041)"
	8540      =  "Woodworking machine setters, operators, and tenders, except sawing (51-7042)"
	8550      =  "Woodworkers, all other (51-7099)"
	8600      =  "Power plant operators, distributors, and dispatchers (51-8010)"
	8610      =  "Stationary engineers and boiler operators (51-8021)"
	8620      =  "Water and liquid waste treatment plant and system operators (51-8031)"
	8630      =  "Miscellaneous plant and system operators (51-8090)"
	8640      =  "Chemical processing machine setters, operators, and tenders (51-9010)"
	8650      =  "Crushing, grinding, polishing, mixing, and blending workers (51-9020)"
	8710      =  "Cutting workers (51-9030)"     
	8720      =  "Extruding, forming, pressing, and compacting machine setters, operators, and tenders (51"
	8730      =  "Furnace, kiln, oven, drier, and kettle operators and tenders (51-9051)"
	8740      =  "Inspectors, testers, sorters, samplers, and weighers (51-9061)"
	8750      =  "Jewelers and precious stone and metal workers (51-9071)"
	8760      =  "Medical, dental, and ophthalmic laboratory technicians (51-9080)"
	8800      =  "Packaging and filling machine operators and tenders (51-9111)"
	8810      =  "Painting workers (51-9120)"    
	8830      =  "Photographic process workers and processing machine operators (51-9130)"
	8840      =  "Semiconductor processors (51-9141)"
	8850      =  "Cementing and gluing machine operators and tenders (51-9191)"
	8860      =  "Cleaning, washing, and metal pickling equipment operators and tenders (51-9192)"
	8900      =  "Cooling and freezing equipment operators and tenders (51-9193)"
	8910      =  "Etchers and engravers (51-9194)"
	8920      =  "Molders, shapers, and casters, except metal and plastic (51-9195)"
	8930      =  "Paper goods machine setters, operators, and tenders (51-9196)"
	8940      =  "Tire builders (51-9197)"       
	8950      =  "Helpers--production workers (51-9198)"
	8960      =  "Production workers, all other (51-9199)"
	9000      =  "Supervisors, transportation and material moving workers (53-1000)"
	9030      =  "Aircraft pilots and flight engineers (53-2010)"
	9040      =  "Air traffic controllers and airfield operations specialists (53-2020)"
	9110      =  "Ambulance drivers and attendants, except emergency medical technicians (53-3011)"
	9120      =  "Bus drivers (53-3020)"         
	9130      =  "Driver/sales workers and truck drivers (53-3030)"
	9140      =  "Taxi drivers and chauffeurs (53-3041)"
	9150      =  "Motor vehicle operators, all other (53-3099)"
	9200      =  "Locomotive engineers and operators (53-4010)"
	9230      =  "Railroad brake, signal, and switch operators (53-4021)"
	9240      =  "Railroad conductors and yardmasters (53-4031)"
	9260      =  "Subway, streetcar, and other rail transportation workers (53-30XX)"
	9300      =  "Sailors and marine oilers (53-5011)"
	9310      =  "Ship and boat captains and operators (53-5020)"
	9330      =  "Ship engineers (53-5031)"      
	9340      =  "Bridge and lock tenders (53-6011)"
	9350      =  "Parking lot attendants (53-6021)"
	9360      =  "Service station attendants (53-6031)"
	9410      =  "Transportation inspectors (53-6051)"
	9420      =  "Other transportation workers (53-60XX)"
	9500      =  "Conveyor operators and tenders (53-7011)"
	9510      =  "Crane and tower operators (53-7021)"
	9520      =  "Dredge, excavating, and loading machine operators (53-7030)"
	9560      =  "Hoist and winch operators (53-7041)"
	9600      =  "Industrial truck and tractor operators (53-7051)"
	9610      =  "Cleaners of vehicles and equipment (53-7061)"
	9620      =  "Laborers and freight, stock, and material movers, hand (53-7062)"
	9630      =  "Machine feeders and offbearers (53-7063)"
	9640      =  "Packers and packagers, hand (53-7064)"
	9650      =  "Pumping station operators (53-7070)"
	9720      =  "Refuse and recyclable material collectors (53-7081)"
	9730      =  "Shuttle car operators (53-7111)"
	9740      =  "Tank car, truck, and ship loaders (53-7121)"
	9750      =  "Material moving workers, all other (53-7199)"
	9840      =  "Persons whose current labor force status is unemployed and last job was Armed Forces"
	-1        =  "Not in Universe"               
;
VALUE ajbocc2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ebno1l  	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ebiznowm	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE abiznowm	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tsbdatem	(default=32)
	-1        =  "Not in Universe"               
;
VALUE asbdatem	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tebdatem	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aebdatem	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE erendb1l	(default=32)
	1         =  "Retirement or old age"         
	2         =  "Childcare problems"            
	3         =  "Other family/personal problems"
	4         =  "Own illness"                   
	5         =  "Own injury"                    
	6         =  "School/training"               
	7         =  "Went bankrupt/business failed" 
	8         =  "Sold business or transferred ownership"
	9         =  "To start other business/take job"
	10        =  "Season ended for a seasonal business"
	11        =  "Quit for some other reason"    
	-1        =  "Not in Universe"               
;
VALUE arendb1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ehrsbs1l	(default=32)
	-8        =  "Hours vary"                    
	-1        =  "Not in Universe"               
;
VALUE ahrsbs1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE egrosb1l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE agrosb1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE egrssb1l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE agrssb1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tempb1l 	(default=32)
	1         =  "Under 25 employees"            
	2         =  "25 to 99 employees"            
	3         =  "100+ employees"                
	-1        =  "Not in Universe"               
;
VALUE aempb1l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eincpb1l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aincpb1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE epropb1l	(default=32)
	1         =  "alone"                         
	2         =  "Partnership"                   
	-1        =  "Not in Universe"               
;
VALUE apropb1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ehprtb1l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahprtb1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eslryb1l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aslryb1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eoincb1l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aoincb1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tprftb1l	(default=32)
	0         =  "None or not in universe"       
;
VALUE aprftb1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tbmsum1l	(default=32)
	0         =  "None or not in universe"       
;
VALUE abmsum1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE epartb1m	(default=32)
	9999      =  "Unable to identify person number"
	-1        =  "Not in Universe"               
;
VALUE epartb2m	(default=32)
	9999      =  "Unable to identify person number"
	-1        =  "Not in Universe"               
;
VALUE epartb3m	(default=32)
	9999      =  "Unable to identify person number"
	-1        =  "Not in Universe"               
;
VALUE tbsind1l	(default=32)
	1         =  "Agriculture, forestry, fishing, and hunting"
	2         =  "Mining"                        
	3         =  "Construction"                  
	4         =  "Manufacturing"                 
	5         =  "Wholesale trade"               
	6         =  "Retail Trade"                  
	7         =  "Transportation, warehousing, and utilities"
	8         =  "Information"                   
	9         =  "Finance, insurance, real estate, and rental and leasing"
	10        =  "Professional, scientific, management, administrative, and waste management"
	11        =  "Educational, health and social services"
	12        =  "Arts, entertainment, recreation, accommodations, and food services"
	13        =  "Other services (except public administration)"
	14        =  "Public administration"         
	15        =  "Active duty military"          
	-1        =  "Not in Universe"               
;
VALUE absind1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tbsocc1l	(default=32)
	10        =  "Chief executives (11-1011)"    
	0020      =  "General and operations managers (11-1021)"
	0040      =  "Advertising and promotions managers (11-2011)"
	0050      =  "Marketing and sales managers (11-2020)"
	0060      =  "Public relations managers (11-2031)"
	100       =  "Administrative services managers (11-3011)"
	0110      =  "Computer and information systems managers (11-3021)"
	0120      =  "Financial managers (11-3031)"  
	0130      =  "Human resources managers (11-3040)"
	0140      =  "Industrial production managers(11-3051)"
	0150      =  "Purchasing managers (11-3061)" 
	160       =  "Transportation, storage, and distribution managers (11-3071)"
	200       =  "Farm, ranch, and other agricultural managers (11-9011)"
	0210      =  "Farmers and ranchers (11-9012)"
	0220      =  "Construction managers (11-9021)"
	0230      =  "Education administrators (11-9030)"
	0300      =  "Engineering managers (11-9041)"
	0310      =  "Food service managers (11-9051)"
	0320      =  "Funeral directors (11-9061)"   
	0330      =  "Gaming managers (11-9071)"     
	0340      =  "Lodging managers (11-9081)"    
	0350      =  "Medical and health services managers (11-9111)"
	0360      =  "Natural sciences managers (11-9121)"
	0410      =  "Property, real estate, and community association managers (11-9141)"
	0420      =  "Social and community service managers (11-9151)"
	0430      =  "Managers, all other (11-9199)" 
	0500      =  "Agents and business managers of artists, performers, and athletes (13-1011)"
	0510      =  "Purchasing agents and buyers, farm products (13-1021)"
	520       =  "Wholesale and retail buyers, except farm products (13-1022)"
	0530      =  "Purchasing agents, except wholesale, retail, and farm products (13-1023)"
	0540      =  "Claims adjusters, appraisers, examiners, and investigators (13-1030)"
	0560      =  "Compliance officers, except agriculture, construction, health and safety, and transporta"
	0600      =  "Cost estimators (13-1051)"     
	0620      =  "Human resources, training, and labor relations specialists (13-1070)"
	0700      =  "Logisticians (13-1081)"        
	0710      =  "Management analysts (13-1111)" 
	0720      =  "Meeting and convention planners (13-1121)"
	0730      =  "Other business operations specialists (13-11XX)"
	0800      =  "Accountants and auditors (13-2011)"
	0810      =  "Appraisers and assessors of real estate (13-2021)"
	0820      =  "Budget analysts (13-2031)"     
	0830      =  "Credit analysts (13-2041)"     
	840       =  "Financial analysts (13-2051)"  
	0850      =  "Personal financial advisors (13-2052)"
	0860      =  "Insurance underwriters (13-2053)"
	0900      =  "Financial examiners (13-2061)" 
	0910      =  "Loan counselors and officers (13-2070)"
	0930      =  "Tax examiners, collectors, and revenue agents (13-2081)"
	0940      =  "Tax preparers (13-2082)"       
	0950      =  "Financial specialists, all other (13-2099)"
	1000      =  "Computer scientists and systems analysts (15-10XX)"
	1010      =  "Computer programmers (15-1021)"
	1020      =  "Computer software engineers (15-1030)"
	1040      =  "Computer support specialists (15-1041)"
	1060      =  "Database administrators (15-1061)"
	1100      =  "Network and computer systems administrators (15-1071)"
	1110      =  "Network systems and data communications analysts (15-1081)"
	1200      =  "Actuaries (15-2011)"           
	1210      =  "Mathematicians (15-2021)"      
	1220      =  "Operations research analysts (15-2031)"
	1230      =  "Statisticians (15-2041)"       
	1240      =  "Miscellaneous mathematical science occupations (15-2090)"
	1300      =  "Architects, except naval (17-1010)"
	1310      =  "Surveyors, cartographers, and photogrammetrists (17-1020)"
	1320      =  "Aerospace engineers (17-2011)" 
	1330      =  "Agricultural engineers (17-2021)"
	1340      =  "Biomedical engineers (17-2031)"
	1350      =  "Chemical engineers (17-2041)"  
	1360      =  "Civil engineers (17-2051)"     
	1400      =  "Computer hardware engineers (17-2061)"
	1410      =  "Electrical and electronic engineers (17-2070)"
	1420      =  "Environmental engineers (17-2081)"
	1430      =  "Industrial engineers, including health and safety (17-2110)"
	1440      =  "Marine engineers and naval architects (17-2121)"
	1450      =  "Materials engineers (17-2131)" 
	1460      =  "Mechanical engineers (17-2141)"
	1500      =  "Mining and geological engineers, including mining safety engineers (17-2151)"
	1510      =  "Nuclear engineers (17-2161)"   
	1520      =  "Petroleum engineers (17-2171)" 
	1530      =  "Engineers, all other (17-2199)"
	1540      =  "Drafters (17-3010)"            
	1550      =  "Engineering technicians, except drafters (17-3020)"
	1560      =  "Surveying and mapping technicians (17-3031)"
	1600      =  "Agricultural and food scientists (19-1010)"
	1610      =  "Biological scientists (19-1020)"
	1640      =  "Conservation scientists and foresters (19-1030)"
	1650      =  "Medical scientists (19-1040)"  
	1700      =  "Astronomers and physicists (19-2010)"
	1710      =  "Atmospheric and space scientists (19-2021)"
	1720      =  "Chemists and materials scientists (19-2030)"
	1740      =  "Environmental scientists and geoscientists (19-2040)"
	1760      =  "Physical scientists, all other (19-2099)"
	1800      =  "Economists (19-3011)"          
	1810      =  "Market and survey researchers (19-3020)"
	1820      =  "Psychologists (19-3030)"       
	1830      =  "Sociologists (19-3041)"        
	1840      =  "Urban and regional planners (19-3051)"
	1860      =  "Miscellaneous social scientists and related workers (19-3090)"
	1900      =  "Agricultural and food science technicians (19-4011)"
	1910      =  "Biological technicians (19-4021)"
	1920      =  "Chemical technicians (19-4031)"
	1930      =  "Geological and petroleum technicians (19-4041)"
	1940      =  "Nuclear technicians (19-4051)" 
	1960      =  "Other life, physical, and social science technicians (19-40XX)"
	2000      =  "Counselors (21-1010)"          
	2010      =  "Social workers (21-1020)"      
	2020      =  "Miscellaneous community and social service specialists (21-1090)"
	2040      =  "Clergy (21-2011)"              
	2050      =  "Directors, religious activities and education (21-2021)"
	2060      =  "Religious workers, all other (21-2099)"
	2100      =  "Lawyers (23-1011)"             
	2140      =  "Paralegals and legal assistants (23-2011)"
	2150      =  "Miscellaneous legal support workers (23-2090)"
	2200      =  "Postsecondary teachers (25-1000)"
	2300      =  "Preschool and kindergarten teachers (25-2010)"
	2310      =  "Elementary and middle school teachers (25-2020)"
	2320      =  "Secondary school teachers (25-2030)"
	2330      =  "Special education teachers (25-2040)"
	2340      =  "Other teachers and instructors (25-3000)"
	2400      =  "Archivists, curators, and museum technicians (25-4010)"
	2430      =  "Librarians (25-4021)"          
	2440      =  "Library technicians (25-4031)" 
	2540      =  "Teacher assistants (25-9041)"  
	2550      =  "Other education, training, and library workers (25-90XX)"
	2600      =  "Artists and related workers (27-1010)"
	2630      =  "Designers (27-1020)"           
	2700      =  "Actors (27-2011)"              
	2710      =  "Producers and directors (27-2012)"
	2720      =  "Athletes, coaches, umpires, and related workers (27-2020)"
	2740      =  "Dancers and choreographers (27-2030)"
	2750      =  "Musicians, singers, and related workers (27-2040)"
	2760      =  "Entertainers and performers, sports and related workers, all other (27-2099)"
	2800      =  "Announcers (27-3010)"          
	2810      =  "News analysts, reporters and correspondents (27-3020)"
	2820      =  "Public relations specialists (27-3031)"
	2830      =  "Editors (27-3041)"             
	2840      =  "Technical writers (27-3042)"   
	2850      =  "Writers and authors (27-3043)" 
	2860      =  "Miscellaneous media and communication workers (27-3090)"
	2900      =  "Broadcast and sound engineering technicians and radio operators (27-4010)"
	2910      =  "Photographers (27-4021)"       
	2920      =  "Television, video, and motion picture camera operators and editors (27-4030)"
	2960      =  "Media and communication equipment workers, all other (27-4099)"
	3000      =  "Chiropractors (29-1011)"       
	3010      =  "Dentists (29-1020)"            
	3030      =  "Dietitians and nutritionists (29-1031)"
	3040      =  "Optometrists (29-1041)"        
	3050      =  "Pharmacists (29-1051)"         
	3060      =  "Physicians and surgeons (29-1060)"
	3110      =  "Physician assistants (29-1071)"
	3120      =  "Podiatrists (29-1081)"         
	3130      =  "Registered nurses (29-1111)"   
	3140      =  "Audiologists (29-1121)"        
	3150      =  "Occupational therapists (29-1122)"
	3160      =  "Physical therapists (29-1123)" 
	3200      =  "Radiation therapists (29-1124)"
	3210      =  "Recreational therapists (29-1125)"
	3220      =  "Respiratory therapists (29-1126)"
	3230      =  "Speech-language pathologists (29-1127)"
	3240      =  "Therapists, all other (29-1129)"
	3250      =  "Veterinarians (29-1131)"       
	3260      =  "Health diagnosing and treating practitioners, all other (29-1199 )"
	3300      =  "Clinical laboratory technologists and technicians (29-2010)"
	3310      =  "Dental hygienists (29-2021)"   
	3320      =  "Diagnostic related technologists and technicians (29-2030)"
	3400      =  "Emergency medical technicians and paramedics (29-2041)"
	3410      =  "Health diagnosing and treating practitioner support technicians (29-2050)"
	3500      =  "Licensed practical and licensed vocational nurses (29-2061)"
	3510      =  "Medical records and health information technicians (29-2071)"
	3520      =  "Opticians, dispensing (29-2081)"
	3530      =  "Miscellaneous health technologists and technicians (29-2090)"
	3540      =  "Other healthcare practitioners and technical occupations (29-9000)"
	3600      =  "Nursing, psychiatric, and home health aides (31-1010 )"
	3610      =  "Occupational therapist assistants and aides (31-2010)"
	3620      =  "Physical therapist assistants and aides (31-2020)"
	3630      =  "Massage therapists (31-9011)"  
	3640      =  "Dental assistants (31-9091)"   
	3650      =  "Medical assistants and other healthcare support occupations (31-909X)"
	3700      =  "First-line supervisors/managers of correctional officers (33-1011)"
	3710      =  "First-line supervisors/managers of police and detectives (33-1012)"
	3720      =  "First-line supervisors/managers of fire fighting and prevention workers (33-1021)"
	3730      =  "Supervisors, protective service workers, all other (33-1099)"
	3740      =  "Fire fighters (33-2011)"       
	3750      =  "Fire inspectors (33-2020)"     
	3800      =  "Bailiffs, correctional officers, and jailers (33-3010)"
	3820      =  "Detectives and criminal investigators (33-3021)"
	3830      =  "Fish and game wardens (33-3031)"
	3840      =  "Parking enforcement workers (33-3041)"
	3850      =  "Police and sheriff's patrol officers(33-3051)"
	3860      =  "Transit and railroad police (33-3052)"
	3900      =  "Animal control workers (33-9011)"
	3910      =  "Private detectives and investigators (33-9021)"
	3920      =  "Security guards and gaming surveillance officers (33-9030)"
	3940      =  "Crossing guards (33-9091)"     
	3950      =  "Lifeguards and other protective service workers (33-909X)"
	4000      =  "Chefs and head cooks (35-1011)"
	4010      =  "First-line supervisors/managers of food preparation and serving workers (35-1012 )"
	4020      =  "Cooks (35-2010)"               
	4030      =  "Food preparation workers (35-2021)"
	4040      =  "Bartenders (35-3011)"          
	4050      =  "Combined food preparation and serving workers, including fast food (35-3021)"
	4060      =  "Counter attendants, cafeteria, food concession, and coffee shop (35-3022)"
	4110      =  "Waiters and waitresses (35-3031)"
	4120      =  "Food servers, nonrestaurant (35-3041)"
	4130      =  "Dining room and cafeteria attendants and bartender helpers (35-9011)"
	4140      =  "Dishwashers (35-9021)"         
	4150      =  "Hosts and hostesses, restaurant, lounge, and coffee shop (35-9031)"
	4160      =  "Food preparation and serving related workers, all other (35-9099)"
	4200      =  "First-line supervisors/managers of housekeeping and janitorial workers (37-1011)"
	4210      =  "First-line supervisors/managers of landscaping, lawn service, and groundskeeping workers"
	4220      =  "Janitors and building cleaners (37-201X)"
	4230      =  "Maids and housekeeping cleaners (37-2012)"
	4240      =  "Pest control workers (37-2021)"
	4250      =  "Grounds maintenance workers (37-3010)"
	4300      =  "First-line supervisors/managers of gaming workers (39-1010)"
	4320      =  "First-line supervisors/managers of personal service workers (39-1021)"
	4340      =  "Animal trainers (39-2011)"     
	4350      =  "Nonfarm animal caretakers (39-2021)"
	4400      =  "Gaming services workers (39-3010)"
	4410      =  "Motion picture projectionists (39-3021)"
	4420      =  "Ushers, lobby attendants, and ticket takers (39-3031)"
	4430      =  "Miscellaneous entertainment attendants and related workers (39-3090)"
	4460      =  "Funeral service workers (39-4000)"
	4500      =  "Barbers (39-5011)"             
	4510      =  "Hairdressers, hairstylists, and cosmetologists (39-5012)"
	4520      =  "Miscellaneous personal appearance workers (39-5090)"
	4530      =  "Baggage porters, bellhops, and concierges (39-6010)"
	4540      =  "Tour and travel guides (39-6020)"
	4550      =  "Transportation attendants (39-6030)"
	4600      =  "Child care workers (39-9011)"  
	4610      =  "Personal and home care aides (39-9021)"
	4620      =  "Recreation and fitness workers (39-9030)"
	4640      =  "Residential advisors (39-9041)"
	4650      =  "Personal care and service workers, all other (39-9099)"
	4700      =  "First-line supervisors/managers of retail sales workers (41-1011)"
	4710      =  "First-line supervisors/managers of non-retail sales workers (41-1012)"
	4720      =  "Cashiers (41-2010)"            
	4740      =  "Counter and rental clerks (41-2021)"
	4750      =  "Parts salespersons (41-2022)"  
	4760      =  "Retail salespersons (41-2031)" 
	4800      =  "Advertising sales agents (41-3011)"
	4810      =  "Insurance sales agents (41-3021)"
	4820      =  "Securities, commodities, and financial services sales agents (41-3031)"
	4830      =  "Travel agents (41-3041)"       
	4840      =  "Sales representatives, services, all other (41-3099)"
	4850      =  "Sales representatives, wholesale and manufacturing (41-4010)"
	4900      =  "Models, demonstrators, and product promoters (41-9010)"
	4920      =  "Real estate brokers and sales agents (41-9020)"
	4930      =  "Sales engineers (41-9031)"     
	4940      =  "Telemarketers (41-9041)"       
	4950      =  "Door-to-door sales workers, news and street vendors, and related workers (41-9091)"
	4960      =  "Sales and related workers, all other (41-9099)"
	5000      =  "First-line supervisors/managers of office and administrative support workers (43-1011)"
	5010      =  "Switchboard operators, including answering service (43-2011)"
	5020      =  "Telephone operators (43-2021)" 
	5030      =  "Communications equipment operators, all other (43-2099)"
	5100      =  "Bill and account collectors (43-3011)"
	5110      =  "Billing and posting clerks and machine operators (43-3021)"
	5120      =  "Bookkeeping, accounting, and auditing clerks (43-3031)"
	5130      =  "Gaming cage workers (43-3041)" 
	5140      =  "Payroll and timekeeping clerks (43-3051)"
	5150      =  "Procurement clerks (43-3061)"  
	5160      =  "Tellers (43-3071)"             
	5200      =  "Brokerage clerks (43-4011)"    
	5210      =  "Correspondence clerks (43-4021)"
	5220      =  "Court, municipal, and license clerks (43-4031)"
	5230      =  "Credit authorizers, checkers, and clerks (43-4041)"
	5240      =  "Customer service representatives (43-4051)"
	5250      =  "Eligibility interviewers, government programs (43-4061)"
	5260      =  "File Clerks (43-4071)"         
	5300      =  "Hotel, motel, and resort desk clerks (43-4081)"
	5310      =  "Interviewers, except eligibility and loan (43-4111)"
	5320      =  "Library assistants, clerical (43-4121)"
	5330      =  "Loan interviewers and clerks (43-4131)"
	5340      =  "New accounts clerks (43-4141)" 
	5350      =  "Order clerks (43-4151)"        
	5360      =  "Human resources assistants, except payroll and timekeeping (43-4161)"
	5400      =  "Receptionists and information clerks (43-4171)"
	5410      =  "Reservation and transportation ticket agents and travel clerks (43-4181)"
	5420      =  "Information and record clerks, all other (43-4199)"
	5500      =  "Cargo and freight agents (43-5011)"
	5510      =  "Couriers and messengers (43-5021)"
	5520      =  "Dispatchers (43-5030)"         
	5530      =  "Meter readers, utilities (43-5041)"
	5540      =  "Postal service clerks (43-5051)"
	5550      =  "Postal service mail carriers (43-5052)"
	5560      =  "Postal service mail sorters, processors, and processing machine operators (43-5053)"
	5600      =  "Production, planning, and expediting clerks (43-5061)"
	5610      =  "Shipping, receiving, and traffic clerks (43-5071)"
	5620      =  "Stock clerks and order fillers (43-5081)"
	5630      =  "Weighers, measurers, checkers, and samplers, recordkeeping (43-5111)"
	5700      =  "Secretaries and administrative assistants (43-6010)"
	5800      =  "Computer operators (43-9011)"  
	5810      =  "Data entry keyers (43-9021)"   
	5820      =  "Word processors and typists (43-9022)"
	5830      =  "Desktop publishers (43-9031)"  
	5840      =  "Insurance claims and policy processing clerks (43-9041)"
	5850      =  "Mail clerks and mail machine operators, except postal service (43-9051)"
	5860      =  "Office clerks, general (43-9061)"
	5900      =  "Office machine operators, except computer (43-9071)"
	5910      =  "Proofreaders and copy markers (43-9081)"
	5920      =  "Statistical assistants (43-9111)"
	5930      =  "Office and administrative support workers, all other (43-9199)"
	6000      =  "First-line supervisors/managers of farming, fishing, and forestry workers (45-1010)"
	6010      =  "Agricultural inspectors (45-2011)"
	6020      =  "Animal breeders (45-2021)"     
	6040      =  "Graders and sorters, agricultural products (45-2041)"
	6050      =  "Miscellaneous agricultural workers (45-2090)"
	6100      =  "Fishers and related fishing workers (45-3011)"
	6110      =  "Hunters and trappers (45-3021)"
	6120      =  "Forest and conservation workers (45-4011)"
	6130      =  "Logging workers (45-4020)"     
	6200      =  "First-line supervisors/managers of construction trades and extraction workers (47-1011)"
	6210      =  "Boilermakers (47-2011)"        
	6220      =  "Brickmasons, blockmasons, and stonemasons (47-2020)"
	6230      =  "Carpenters (47-2031)"          
	6240      =  "Carpet, floor, and tile installers and finishers (47-2040)"
	6250      =  "Cement masons, concrete finishers, and terrazzo workers (47-2050)"
	6260      =  "Construction laborers (47-2061)"
	6300      =  "Paving, surfacing, and tamping equipment operators (47-2071)"
	6310      =  "Pile-driver operators (47-2072)"
	6320      =  "Operating engineers and other construction equipment operators (47-2073)"
	6330      =  "Drywall installers, ceiling tile installers, and tapers (47-2080)"
	6350      =  "Electricians (47-2111)"        
	6360      =  "Glaziers (47-2121)"            
	6400      =  "Insulation workers (47-2130)"  
	6420      =  "Painters, construction and maintenance (47-2141)"
	6430      =  "Paperhangers (47-2142)"        
	6440      =  "Pipelayers, plumbers, pipefitters, and steamfitters (47-2150)"
	6460      =  "Plasterers and stucco masons (47-2161)"
	6500      =  "Reinforcing iron and rebar workers (47-2171)"
	6510      =  "Roofers (47-2181)"             
	6520      =  "Sheet metal workers (47-2211)" 
	6530      =  "Structural iron and steel workers (47-2221)"
	6600      =  "Helpers, construction trades (47-3010)"
	6660      =  "Construction and building inspectors (47-4011)"
	6700      =  "Elevator installers and repairers (47-4021)"
	6710      =  "Fence erectors (47-4031)"      
	6720      =  "Hazardous materials removal workers (47-4041)"
	6730      =  "Highway maintenance workers (47-4051)"
	6740      =  "Rail-track laying and maintenance equipment operators (47-4061)"
	6750      =  "Septic tank servicers and sewer pipe cleaners (47-4071)"
	6760      =  "Miscellaneous construction and related workers (47-4090)"
	6800      =  "Derrick, rotary drill, and service unit operators, oil, gas, and mining (47-5010)"
	6820      =  "Earth drillers, except oil and gas (47-5021)"
	6830      =  "Explosives workers, ordnance handling experts, and blasters (47-5031)"
	6840      =  "Mining machine operators (47-5040)"
	6910      =  "Roof bolters, mining (47-5061)"
	6920      =  "Roustabouts, oil and gas (47-5071)"
	6930      =  "Helpers--extraction workers (47-5081)"
	6940      =  "Other extraction workers (47-50XX)"
	7000      =  "First-line supervisors/managers of mechanics, installers, and repairers (49-1011)"
	7010      =  "Computer, automated teller, and office machine repairers (49-2011)"
	7020      =  "Radio and telecommunications equipment installers and repairers (49-2020)"
	7030      =  "Avionics technicians (49-2091)"
	7040      =  "Electric motor, power tool, and related repairers (49-2092)"
	7050      =  "Electrical and electronics installers and repairers, transportation equipment (49-2093)"
	7100      =  "Electrical and electronics repairers, industrial and utility (49-209X)"
	7110      =  "Electronic equipment installers and repairers, motor vehicles (49-2096)"
	7120      =  "Electronic home entertainment equipment installers and repairers (49-2097)"
	7130      =  "Security and fire alarm systems installers (49-2098)"
	7140      =  "Aircraft mechanics and service technicians (49-3011)"
	7150      =  "Automotive body and related repairers (49-3021)"
	7160      =  "Automotive glass installers and repairers (49-3022 )"
	7200      =  "Automotive service technicians and mechanics (49-3023)"
	7210      =  "Bus and truck mechanics and diesel engine specialists (49-3031)"
	7220      =  "Heavy vehicle and mobile equipment service technicians and mechanics (49-3040)"
	7240      =  "Small engine mechanics (49-3050)"
	7260      =  "Miscellaneous vehicle and mobile equipment mechanics, installers, and repairers (49-3090"
	7300      =  "Control and valve installers and repairers (49-9010)"
	7310      =  "Heating, air conditioning, and refrigeration mechanics and installers (49-9021)"
	7320      =  "Home appliance repairers (49-9031)"
	7330      =  "Industrial and refractory machinery mechanics (49-904X)"
	7340      =  "Maintenance and repair workers, general (49-9042)"
	7350      =  "Maintenance workers, machinery (49-9043)"
	7360      =  "Millwrights (49-9044)"         
	7410      =  "Electrical power-line installers and repairers (49-9051)"
	7420      =  "Telecommunications line installers and repairers (49-9052)"
	7430      =  "Precision instrument and equipment repairers (49-9060)"
	7510      =  "Coin, vending, and amusement machine servicers and repairers (49-9091)"
	7520      =  "Commercial divers (49-9092)"   
	7540      =  "Locksmiths and safe repairers (49-9094)"
	7550      =  "Manufactured building and mobile home installers (49-9095)"
	7560      =  "Riggers (49-9096)"             
	7600      =  "Signal and track switch repairers (49-9097)"
	7610      =  "Helpers--installation, maintenance, and repair workers (49-9098)"
	7620      =  "Other installation, maintenance, and repair workers (49-909X)"
	7700      =  "First-line supervisors/managers of production and operating workers (51-1011)"
	7710      =  "Aircraft structure, surfaces, rigging, and systems assemblers (51-2011)"
	7720      =  "Electrical, electronics, and electromechanical assemblers (51-2020)"
	7730      =  "Engine and other machine assemblers (51-2031)"
	7740      =  "Structural metal fabricators and fitters (51-2041)"
	7750      =  "Miscellaneous assemblers and fabricators (51-2090)"
	7800      =  "Bakers (51-3011)"              
	7810      =  "Butchers and other meat, poultry, and fish processing workers (51-3020)"
	7830      =  "Food and tobacco roasting, baking, and drying machine operators and tenders (51-3091)"
	7840      =  "Food batchmakers (51-3092)"    
	7850      =  "Food cooking machine operators and tenders (51-3093)"
	7900      =  "Computer control programmers and operators (51-4010)"
	7920      =  "Extruding and drawing machine setters, operators, and tenders, metal and plastic (51-402"
	7930      =  "Forging machine setters, operators, and tenders, metal and plastic (51-4022)"
	7940      =  "Rolling machine setters, operators, and tenders, metal and plastic (51-4023)"
	7950      =  "Cutting, punching, and press machine setters, operators, and tenders, metal and plastic"
	7960      =  "Drilling and boring machine tool setters, operators, and tenders, metal and plastic (51-"
	8000      =  "Grinding, lapping, polishing, and buffing machine tool setters, operators, and tenders,"
	8010      =  "Lathe and turning machine tool setters, operators, and tenders, metal and plastic (51-40"
	8020      =  "Milling and planing machine setters, operators, and tenders, metal and plastic (51-4035)"
	8030      =  "Machinists (51-4041)"          
	8040      =  "Metal furnace and kiln operators and tenders (51-4050)"
	8060      =  "Model makers and patternmakers, metal and plastic (51-4060)"
	8100      =  "Molders and molding machine setters, operators, and tenders, metal and plastic (51-4070)"
	8120      =  "Multiple machine tool setters, operators, and tenders, metal and plastic (51-4081)"
	8130      =  "Tool and die makers (51-4111)" 
	8140      =  "Welding, soldering, and brazing workers (51-4120)"
	8150      =  "Heat treating equipment setters, operators, and tenders, metal and plastic (51-4191)"
	8160      =  "Lay-out workers, metal and plastic (51-4192)"
	8200      =  "Plating and coating machine setters, operators, and tenders, metal and plastic (51-4193)"
	8210      =  "Tool grinders, filers, and sharpeners (51-4194)"
	8220      =  "Metalworkers and plastic workers, all other (51-4199)"
	8230      =  "Bookbinders and bindery workers (51-5010)"
	8240      =  "Job printers (51-5021)"        
	8250      =  "Prepress technicians and workers (51-5022)"
	8260      =  "Printing machine operators (51-5023)"
	8300      =  "Laundry and dry-cleaning workers (51-6011)"
	8310      =  "Pressers, textile, garment, and related materials (51-6021)"
	8320      =  "Sewing machine operators (51-6031)"
	8330      =  "Shoe and leather workers and repairers (51-6041)"
	8340      =  "Shoe machine operators and tenders (51-6042)"
	8350      =  "Tailors, dressmakers, and sewers (51-6050)"
	8360      =  "Textile bleaching and dyeing machine operators and tenders (51-6061)"
	8400      =  "Textile cutting machine setters, operators, and tenders (51-6062)"
	8410      =  "Textile knitting and weaving machine setters, operators, and tenders (51-6063)"
	8420      =  "Textile winding, twisting, and drawing out machine setters, operators, and tenders (51-6"
	8430      =  "Extruding and forming machine setters, operators, and tenders, synthetic and glass fiber"
	8440      =  "Fabric and apparel patternmakers (51-6092)"
	8450      =  "Upholsterers (51-6093)"        
	8460      =  "Textile, apparel, and furnishings workers, all other (51-6099)"
	8500      =  "Cabinetmakers and bench carpenters (51-7011)"
	8510      =  "Furniture finishers (51-7021)" 
	8520      =  "Model makers and patternmakers, wood (51-7030)"
	8530      =  "Sawing machine setters, operators, and tenders, wood (51-7041)"
	8540      =  "Woodworking machine setters, operators, and tenders, except sawing (51-7042)"
	8550      =  "Woodworkers, all other (51-7099)"
	8600      =  "Power plant operators, distributors, and dispatchers (51-8010)"
	8610      =  "Stationary engineers and boiler operators (51-8021)"
	8620      =  "Water and liquid waste treatment plant and system operators (51-8031)"
	8630      =  "Miscellaneous plant and system operators (51-8090)"
	8640      =  "Chemical processing machine setters, operators, and tenders (51-9010)"
	8650      =  "Crushing, grinding, polishing, mixing, and blending workers (51-9020)"
	8710      =  "Cutting workers (51-9030)"     
	8720      =  "Extruding, forming, pressing, and compacting machine setters, operators, and tenders (51"
	8730      =  "Furnace, kiln, oven, drier, and kettle operators and tenders (51-9051)"
	8740      =  "Inspectors, testers, sorters, samplers, and weighers (51-9061)"
	8750      =  "Jewelers and precious stone and metal workers (51-9071)"
	8760      =  "Medical, dental, and ophthalmic laboratory technicians (51-9080)"
	8800      =  "Packaging and filling machine operators and tenders (51-9111)"
	8810      =  "Painting workers (51-9120)"    
	8830      =  "Photographic process workers and processing machine operators (51-9130)"
	8840      =  "Semiconductor processors (51-9141)"
	8850      =  "Cementing and gluing machine operators and tenders (51-9191)"
	8860      =  "Cleaning, washing, and metal pickling equipment operators and tenders (51-9192)"
	8900      =  "Cooling and freezing equipment operators and tenders (51-9193)"
	8910      =  "Etchers and engravers (51-9194)"
	8920      =  "Molders, shapers, and casters, except metal and plastic (51-9195)"
	8930      =  "Paper goods machine setters, operators, and tenders (51-9196)"
	8940      =  "Tire builders (51-9197)"       
	8950      =  "Helpers--production workers (51-9198)"
	8960      =  "Production workers, all other (51-9199)"
	9000      =  "Supervisors, transportation and material moving workers (53-1000)"
	9030      =  "Aircraft pilots and flight engineers (53-2010)"
	9040      =  "Air traffic controllers and airfield operations specialists (53-2020)"
	9110      =  "Ambulance drivers and attendants, except emergency medical technicians (53-3011)"
	9120      =  "Bus drivers (53-3020)"         
	9130      =  "Driver/sales workers and truck drivers (53-3030)"
	9140      =  "Taxi drivers and chauffeurs (53-3041)"
	9150      =  "Motor vehicle operators, all other (53-3099)"
	9200      =  "Locomotive engineers and operators (53-4010)"
	9230      =  "Railroad brake, signal, and switch operators (53-4021)"
	9240      =  "Railroad conductors and yardmasters (53-4031)"
	9260      =  "Subway, streetcar, and other rail transportation workers (53-30XX)"
	9300      =  "Sailors and marine oilers (53-5011)"
	9310      =  "Ship and boat captains and operators (53-5020)"
	9330      =  "Ship engineers (53-5031)"      
	9340      =  "Bridge and lock tenders (53-6011)"
	9350      =  "Parking lot attendants (53-6021)"
	9360      =  "Service station attendants (53-6031)"
	9410      =  "Transportation inspectors (53-6051)"
	9420      =  "Other transportation workers (53-60XX)"
	9500      =  "Conveyor operators and tenders (53-7011)"
	9510      =  "Crane and tower operators (53-7021)"
	9520      =  "Dredge, excavating, and loading machine operators (53-7030)"
	9560      =  "Hoist and winch operators (53-7041)"
	9600      =  "Industrial truck and tractor operators (53-7051)"
	9610      =  "Cleaners of vehicles and equipment (53-7061)"
	9620      =  "Laborers and freight, stock, and material movers, hand (53-7062)"
	9630      =  "Machine feeders and offbearers (53-7063)"
	9640      =  "Packers and packagers, hand (53-7064)"
	9650      =  "Pumping station operators (53-7070)"
	9720      =  "Refuse and recyclable material collectors (53-7081)"
	9730      =  "Shuttle car operators (53-7111)"
	9740      =  "Tank car, truck, and ship loaders (53-7121)"
	9750      =  "Material moving workers, all other (53-7199)"
	9840      =  "Persons whose current labor force status is unemployed and last job was Armed Forces"
	-1        =  "Not in Universe"               
;
VALUE absocc1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ebno2l  	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ebiznowk	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE abiznowk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tsbdatek	(default=32)
	-1        =  "Not in Universe"               
;
VALUE asbdatek	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tebdatek	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aebdatek	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE erendb2l	(default=32)
	1         =  "Retirement or old age"         
	2         =  "Childcare problems"            
	3         =  "Other family/personal problems"
	4         =  "Own illness"                   
	5         =  "Own injury"                    
	6         =  "School/training"               
	7         =  "Went bankrupt/business failed" 
	8         =  "Sold business or transferred ownership"
	9         =  "To start other business/take job"
	10        =  "Season ended for a seasonal business"
	11        =  "Quit for some other reason"    
	-1        =  "Not in Universe"               
;
VALUE arendb2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ehrsbs2l	(default=32)
	-8        =  "Hours vary"                    
	-1        =  "Not in Universe"               
;
VALUE ahrsbs2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE egrosb2l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE agrosb2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE egrssb2l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE agrssb2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tempb2l 	(default=32)
	1         =  "Under 25 employees"            
	2         =  "25 to 99 employees"            
	3         =  "100+ employees"                
	-1        =  "Not in Universe"               
;
VALUE aempb2l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eincpb2l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aincpb2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE epropb2l	(default=32)
	1         =  "alone"                         
	2         =  "Partnership"                   
	-1        =  "Not in Universe"               
;
VALUE apropb2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ehprtb2l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahprtb2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eslryb2l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aslryb2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eoincb2l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aoincb2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tprftb2l	(default=32)
	0         =  "None or not in universe"       
;
VALUE aprftb2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tbmsum2l	(default=32)
	0         =  "None or not in universe"       
;
VALUE abmsum2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE epartb1k	(default=32)
	9999      =  "Unable to identify person number"
	-1        =  "Not in Universe"               
;
VALUE epartb2k	(default=32)
	9999      =  "Unable to identify person number"
	-1        =  "Not in Universe"               
;
VALUE epartb3k	(default=32)
	9999      =  "Unable to identify person number"
	-1        =  "Not in Universe"               
;
VALUE tbsind2l	(default=32)
	1         =  "Agriculture, forestry, fishing, and hunting"
	2         =  "Mining"                        
	3         =  "Construction"                  
	4         =  "Manufacturing"                 
	5         =  "Wholesale trade"               
	6         =  "Retail Trade"                  
	7         =  "Transportation, warehousing, and utilities"
	8         =  "Information"                   
	9         =  "Finance, insurance, real estate, and rental and leasing"
	10        =  "Professional, scientific, management, administrative, and waste management"
	11        =  "Educational, health and social services"
	12        =  "Arts, entertainment, recreation, accommodations, and food services"
	13        =  "Other services (except public administration)"
	14        =  "Public administration"         
	15        =  "Active duty military"          
	-1        =  "Not in Universe"               
;
VALUE absind2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tbsocc2l	(default=32)
	10        =  "Chief executives (11-1011)"    
	0020      =  "General and operations managers (11-1021)"
	0040      =  "Advertising and promotions managers (11-2011)"
	0050      =  "Marketing and sales managers (11-2020)"
	0060      =  "Public relations managers (11-2031)"
	100       =  "Administrative services managers (11-3011)"
	0110      =  "Computer and information systems managers (11-3021)"
	0120      =  "Financial managers (11-3031)"  
	0130      =  "Human resources managers (11-3040)"
	0140      =  "Industrial production managers(11-3051)"
	0150      =  "Purchasing managers (11-3061)" 
	160       =  "Transportation, storage, and distribution managers (11-3071)"
	200       =  "Farm, ranch, and other agricultural managers (11-9011)"
	0210      =  "Farmers and ranchers (11-9012)"
	0220      =  "Construction managers (11-9021)"
	0230      =  "Education administrators (11-9030)"
	0300      =  "Engineering managers (11-9041)"
	0310      =  "Food service managers (11-9051)"
	0320      =  "Funeral directors (11-9061)"   
	0330      =  "Gaming managers (11-9071)"     
	0340      =  "Lodging managers (11-9081)"    
	0350      =  "Medical and health services managers (11-9111)"
	0360      =  "Natural sciences managers (11-9121)"
	0410      =  "Property, real estate, and community association managers (11-9141)"
	0420      =  "Social and community service managers (11-9151)"
	0430      =  "Managers, all other (11-9199)" 
	0500      =  "Agents and business managers of artists, performers, and athletes (13-1011)"
	0510      =  "Purchasing agents and buyers, farm products (13-1021)"
	520       =  "Wholesale and retail buyers, except farm products (13-1022)"
	0530      =  "Purchasing agents, except wholesale, retail, and farm products (13-1023)"
	0540      =  "Claims adjusters, appraisers, examiners, and investigators (13-1030)"
	0560      =  "Compliance officers, except agriculture, construction, health and safety, and transporta"
	0600      =  "Cost estimators (13-1051)"     
	0620      =  "Human resources, training, and labor relations specialists (13-1070)"
	0700      =  "Logisticians (13-1081)"        
	0710      =  "Management analysts (13-1111)" 
	0720      =  "Meeting and convention planners (13-1121)"
	0730      =  "Other business operations specialists (13-11XX)"
	0800      =  "Accountants and auditors (13-2011)"
	0810      =  "Appraisers and assessors of real estate (13-2021)"
	0820      =  "Budget analysts (13-2031)"     
	0830      =  "Credit analysts (13-2041)"     
	840       =  "Financial analysts (13-2051)"  
	0850      =  "Personal financial advisors (13-2052)"
	0860      =  "Insurance underwriters (13-2053)"
	0900      =  "Financial examiners (13-2061)" 
	0910      =  "Loan counselors and officers (13-2070)"
	0930      =  "Tax examiners, collectors, and revenue agents (13-2081)"
	0940      =  "Tax preparers (13-2082)"       
	0950      =  "Financial specialists, all other (13-2099)"
	1000      =  "Computer scientists and systems analysts (15-10XX)"
	1010      =  "Computer programmers (15-1021)"
	1020      =  "Computer software engineers (15-1030)"
	1040      =  "Computer support specialists (15-1041)"
	1060      =  "Database administrators (15-1061)"
	1100      =  "Network and computer systems administrators (15-1071)"
	1110      =  "Network systems and data communications analysts (15-1081)"
	1200      =  "Actuaries (15-2011)"           
	1210      =  "Mathematicians (15-2021)"      
	1220      =  "Operations research analysts (15-2031)"
	1230      =  "Statisticians (15-2041)"       
	1240      =  "Miscellaneous mathematical science occupations (15-2090)"
	1300      =  "Architects, except naval (17-1010)"
	1310      =  "Surveyors, cartographers, and photogrammetrists (17-1020)"
	1320      =  "Aerospace engineers (17-2011)" 
	1330      =  "Agricultural engineers (17-2021)"
	1340      =  "Biomedical engineers (17-2031)"
	1350      =  "Chemical engineers (17-2041)"  
	1360      =  "Civil engineers (17-2051)"     
	1400      =  "Computer hardware engineers (17-2061)"
	1410      =  "Electrical and electronic engineers (17-2070)"
	1420      =  "Environmental engineers (17-2081)"
	1430      =  "Industrial engineers, including health and safety (17-2110)"
	1440      =  "Marine engineers and naval architects (17-2121)"
	1450      =  "Materials engineers (17-2131)" 
	1460      =  "Mechanical engineers (17-2141)"
	1500      =  "Mining and geological engineers, including mining safety engineers (17-2151)"
	1510      =  "Nuclear engineers (17-2161)"   
	1520      =  "Petroleum engineers (17-2171)" 
	1530      =  "Engineers, all other (17-2199)"
	1540      =  "Drafters (17-3010)"            
	1550      =  "Engineering technicians, except drafters (17-3020)"
	1560      =  "Surveying and mapping technicians (17-3031)"
	1600      =  "Agricultural and food scientists (19-1010)"
	1610      =  "Biological scientists (19-1020)"
	1640      =  "Conservation scientists and foresters (19-1030)"
	1650      =  "Medical scientists (19-1040)"  
	1700      =  "Astronomers and physicists (19-2010)"
	1710      =  "Atmospheric and space scientists (19-2021)"
	1720      =  "Chemists and materials scientists (19-2030)"
	1740      =  "Environmental scientists and geoscientists (19-2040)"
	1760      =  "Physical scientists, all other (19-2099)"
	1800      =  "Economists (19-3011)"          
	1810      =  "Market and survey researchers (19-3020)"
	1820      =  "Psychologists (19-3030)"       
	1830      =  "Sociologists (19-3041)"        
	1840      =  "Urban and regional planners (19-3051)"
	1860      =  "Miscellaneous social scientists and related workers (19-3090)"
	1900      =  "Agricultural and food science technicians (19-4011)"
	1910      =  "Biological technicians (19-4021)"
	1920      =  "Chemical technicians (19-4031)"
	1930      =  "Geological and petroleum technicians (19-4041)"
	1940      =  "Nuclear technicians (19-4051)" 
	1960      =  "Other life, physical, and social science technicians (19-40XX)"
	2000      =  "Counselors (21-1010)"          
	2010      =  "Social workers (21-1020)"      
	2020      =  "Miscellaneous community and social service specialists (21-1090)"
	2040      =  "Clergy (21-2011)"              
	2050      =  "Directors, religious activities and education (21-2021)"
	2060      =  "Religious workers, all other (21-2099)"
	2100      =  "Lawyers (23-1011)"             
	2140      =  "Paralegals and legal assistants (23-2011)"
	2150      =  "Miscellaneous legal support workers (23-2090)"
	2200      =  "Postsecondary teachers (25-1000)"
	2300      =  "Preschool and kindergarten teachers (25-2010)"
	2310      =  "Elementary and middle school teachers (25-2020)"
	2320      =  "Secondary school teachers (25-2030)"
	2330      =  "Special education teachers (25-2040)"
	2340      =  "Other teachers and instructors (25-3000)"
	2400      =  "Archivists, curators, and museum technicians (25-4010)"
	2430      =  "Librarians (25-4021)"          
	2440      =  "Library technicians (25-4031)" 
	2540      =  "Teacher assistants (25-9041)"  
	2550      =  "Other education, training, and library workers (25-90XX)"
	2600      =  "Artists and related workers (27-1010)"
	2630      =  "Designers (27-1020)"           
	2700      =  "Actors (27-2011)"              
	2710      =  "Producers and directors (27-2012)"
	2720      =  "Athletes, coaches, umpires, and related workers (27-2020)"
	2740      =  "Dancers and choreographers (27-2030)"
	2750      =  "Musicians, singers, and related workers (27-2040)"
	2760      =  "Entertainers and performers, sports and related workers, all other (27-2099)"
	2800      =  "Announcers (27-3010)"          
	2810      =  "News analysts, reporters and correspondents (27-3020)"
	2820      =  "Public relations specialists (27-3031)"
	2830      =  "Editors (27-3041)"             
	2840      =  "Technical writers (27-3042)"   
	2850      =  "Writers and authors (27-3043)" 
	2860      =  "Miscellaneous media and communication workers (27-3090)"
	2900      =  "Broadcast and sound engineering technicians and radio operators (27-4010)"
	2910      =  "Photographers (27-4021)"       
	2920      =  "Television, video, and motion picture camera operators and editors (27-4030)"
	2960      =  "Media and communication equipment workers, all other (27-4099)"
	3000      =  "Chiropractors (29-1011)"       
	3010      =  "Dentists (29-1020)"            
	3030      =  "Dietitians and nutritionists (29-1031)"
	3040      =  "Optometrists (29-1041)"        
	3050      =  "Pharmacists (29-1051)"         
	3060      =  "Physicians and surgeons (29-1060)"
	3110      =  "Physician assistants (29-1071)"
	3120      =  "Podiatrists (29-1081)"         
	3130      =  "Registered nurses (29-1111)"   
	3140      =  "Audiologists (29-1121)"        
	3150      =  "Occupational therapists (29-1122)"
	3160      =  "Physical therapists (29-1123)" 
	3200      =  "Radiation therapists (29-1124)"
	3210      =  "Recreational therapists (29-1125)"
	3220      =  "Respiratory therapists (29-1126)"
	3230      =  "Speech-language pathologists (29-1127)"
	3240      =  "Therapists, all other (29-1129)"
	3250      =  "Veterinarians (29-1131)"       
	3260      =  "Health diagnosing and treating practitioners, all other (29-1199 )"
	3300      =  "Clinical laboratory technologists and technicians (29-2010)"
	3310      =  "Dental hygienists (29-2021)"   
	3320      =  "Diagnostic related technologists and technicians (29-2030)"
	3400      =  "Emergency medical technicians and paramedics (29-2041)"
	3410      =  "Health diagnosing and treating practitioner support technicians (29-2050)"
	3500      =  "Licensed practical and licensed vocational nurses (29-2061)"
	3510      =  "Medical records and health information technicians (29-2071)"
	3520      =  "Opticians, dispensing (29-2081)"
	3530      =  "Miscellaneous health technologists and technicians (29-2090)"
	3540      =  "Other healthcare practitioners and technical occupations (29-9000)"
	3600      =  "Nursing, psychiatric, and home health aides (31-1010 )"
	3610      =  "Occupational therapist assistants and aides (31-2010)"
	3620      =  "Physical therapist assistants and aides (31-2020)"
	3630      =  "Massage therapists (31-9011)"  
	3640      =  "Dental assistants (31-9091)"   
	3650      =  "Medical assistants and other healthcare support occupations (31-909X)"
	3700      =  "First-line supervisors/managers of correctional officers (33-1011)"
	3710      =  "First-line supervisors/managers of police and detectives (33-1012)"
	3720      =  "First-line supervisors/managers of fire fighting and prevention workers (33-1021)"
	3730      =  "Supervisors, protective service workers, all other (33-1099)"
	3740      =  "Fire fighters (33-2011)"       
	3750      =  "Fire inspectors (33-2020)"     
	3800      =  "Bailiffs, correctional officers, and jailers (33-3010)"
	3820      =  "Detectives and criminal investigators (33-3021)"
	3830      =  "Fish and game wardens (33-3031)"
	3840      =  "Parking enforcement workers (33-3041)"
	3850      =  "Police and sheriff's patrol officers(33-3051)"
	3860      =  "Transit and railroad police (33-3052)"
	3900      =  "Animal control workers (33-9011)"
	3910      =  "Private detectives and investigators (33-9021)"
	3920      =  "Security guards and gaming surveillance officers (33-9030)"
	3940      =  "Crossing guards (33-9091)"     
	3950      =  "Lifeguards and other protective service workers (33-909X)"
	4000      =  "Chefs and head cooks (35-1011)"
	4010      =  "First-line supervisors/managers of food preparation and serving workers (35-1012 )"
	4020      =  "Cooks (35-2010)"               
	4030      =  "Food preparation workers (35-2021)"
	4040      =  "Bartenders (35-3011)"          
	4050      =  "Combined food preparation and serving workers, including fast food (35-3021)"
	4060      =  "Counter attendants, cafeteria, food concession, and coffee shop (35-3022)"
	4110      =  "Waiters and waitresses (35-3031)"
	4120      =  "Food servers, nonrestaurant (35-3041)"
	4130      =  "Dining room and cafeteria attendants and bartender helpers (35-9011)"
	4140      =  "Dishwashers (35-9021)"         
	4150      =  "Hosts and hostesses, restaurant, lounge, and coffee shop (35-9031)"
	4160      =  "Food preparation and serving related workers, all other (35-9099)"
	4200      =  "First-line supervisors/managers of housekeeping and janitorial workers (37-1011)"
	4210      =  "First-line supervisors/managers of landscaping, lawn service, and groundskeeping workers"
	4220      =  "Janitors and building cleaners (37-201X)"
	4230      =  "Maids and housekeeping cleaners (37-2012)"
	4240      =  "Pest control workers (37-2021)"
	4250      =  "Grounds maintenance workers (37-3010)"
	4300      =  "First-line supervisors/managers of gaming workers (39-1010)"
	4320      =  "First-line supervisors/managers of personal service workers (39-1021)"
	4340      =  "Animal trainers (39-2011)"     
	4350      =  "Nonfarm animal caretakers (39-2021)"
	4400      =  "Gaming services workers (39-3010)"
	4410      =  "Motion picture projectionists (39-3021)"
	4420      =  "Ushers, lobby attendants, and ticket takers (39-3031)"
	4430      =  "Miscellaneous entertainment attendants and related workers (39-3090)"
	4460      =  "Funeral service workers (39-4000)"
	4500      =  "Barbers (39-5011)"             
	4510      =  "Hairdressers, hairstylists, and cosmetologists (39-5012)"
	4520      =  "Miscellaneous personal appearance workers (39-5090)"
	4530      =  "Baggage porters, bellhops, and concierges (39-6010)"
	4540      =  "Tour and travel guides (39-6020)"
	4550      =  "Transportation attendants (39-6030)"
	4600      =  "Child care workers (39-9011)"  
	4610      =  "Personal and home care aides (39-9021)"
	4620      =  "Recreation and fitness workers (39-9030)"
	4640      =  "Residential advisors (39-9041)"
	4650      =  "Personal care and service workers, all other (39-9099)"
	4700      =  "First-line supervisors/managers of retail sales workers (41-1011)"
	4710      =  "First-line supervisors/managers of non-retail sales workers (41-1012)"
	4720      =  "Cashiers (41-2010)"            
	4740      =  "Counter and rental clerks (41-2021)"
	4750      =  "Parts salespersons (41-2022)"  
	4760      =  "Retail salespersons (41-2031)" 
	4800      =  "Advertising sales agents (41-3011)"
	4810      =  "Insurance sales agents (41-3021)"
	4820      =  "Securities, commodities, and financial services sales agents (41-3031)"
	4830      =  "Travel agents (41-3041)"       
	4840      =  "Sales representatives, services, all other (41-3099)"
	4850      =  "Sales representatives, wholesale and manufacturing (41-4010)"
	4900      =  "Models, demonstrators, and product promoters (41-9010)"
	4920      =  "Real estate brokers and sales agents (41-9020)"
	4930      =  "Sales engineers (41-9031)"     
	4940      =  "Telemarketers (41-9041)"       
	4950      =  "Door-to-door sales workers, news and street vendors, and related workers (41-9091)"
	4960      =  "Sales and related workers, all other (41-9099)"
	5000      =  "First-line supervisors/managers of office and administrative support workers (43-1011)"
	5010      =  "Switchboard operators, including answering service (43-2011)"
	5020      =  "Telephone operators (43-2021)" 
	5030      =  "Communications equipment operators, all other (43-2099)"
	5100      =  "Bill and account collectors (43-3011)"
	5110      =  "Billing and posting clerks and machine operators (43-3021)"
	5120      =  "Bookkeeping, accounting, and auditing clerks (43-3031)"
	5130      =  "Gaming cage workers (43-3041)" 
	5140      =  "Payroll and timekeeping clerks (43-3051)"
	5150      =  "Procurement clerks (43-3061)"  
	5160      =  "Tellers (43-3071)"             
	5200      =  "Brokerage clerks (43-4011)"    
	5210      =  "Correspondence clerks (43-4021)"
	5220      =  "Court, municipal, and license clerks (43-4031)"
	5230      =  "Credit authorizers, checkers, and clerks (43-4041)"
	5240      =  "Customer service representatives (43-4051)"
	5250      =  "Eligibility interviewers, government programs (43-4061)"
	5260      =  "File Clerks (43-4071)"         
	5300      =  "Hotel, motel, and resort desk clerks (43-4081)"
	5310      =  "Interviewers, except eligibility and loan (43-4111)"
	5320      =  "Library assistants, clerical (43-4121)"
	5330      =  "Loan interviewers and clerks (43-4131)"
	5340      =  "New accounts clerks (43-4141)" 
	5350      =  "Order clerks (43-4151)"        
	5360      =  "Human resources assistants, except payroll and timekeeping (43-4161)"
	5400      =  "Receptionists and information clerks (43-4171)"
	5410      =  "Reservation and transportation ticket agents and travel clerks (43-4181)"
	5420      =  "Information and record clerks, all other (43-4199)"
	5500      =  "Cargo and freight agents (43-5011)"
	5510      =  "Couriers and messengers (43-5021)"
	5520      =  "Dispatchers (43-5030)"         
	5530      =  "Meter readers, utilities (43-5041)"
	5540      =  "Postal service clerks (43-5051)"
	5550      =  "Postal service mail carriers (43-5052)"
	5560      =  "Postal service mail sorters, processors, and processing machine operators (43-5053)"
	5600      =  "Production, planning, and expediting clerks (43-5061)"
	5610      =  "Shipping, receiving, and traffic clerks (43-5071)"
	5620      =  "Stock clerks and order fillers (43-5081)"
	5630      =  "Weighers, measurers, checkers, and samplers, recordkeeping (43-5111)"
	5700      =  "Secretaries and administrative assistants (43-6010)"
	5800      =  "Computer operators (43-9011)"  
	5810      =  "Data entry keyers (43-9021)"   
	5820      =  "Word processors and typists (43-9022)"
	5830      =  "Desktop publishers (43-9031)"  
	5840      =  "Insurance claims and policy processing clerks (43-9041)"
	5850      =  "Mail clerks and mail machine operators, except postal service (43-9051)"
	5860      =  "Office clerks, general (43-9061)"
	5900      =  "Office machine operators, except computer (43-9071)"
	5910      =  "Proofreaders and copy markers (43-9081)"
	5920      =  "Statistical assistants (43-9111)"
	5930      =  "Office and administrative support workers, all other (43-9199)"
	6000      =  "First-line supervisors/managers of farming, fishing, and forestry workers (45-1010)"
	6010      =  "Agricultural inspectors (45-2011)"
	6020      =  "Animal breeders (45-2021)"     
	6040      =  "Graders and sorters, agricultural products (45-2041)"
	6050      =  "Miscellaneous agricultural workers (45-2090)"
	6100      =  "Fishers and related fishing workers (45-3011)"
	6110      =  "Hunters and trappers (45-3021)"
	6120      =  "Forest and conservation workers (45-4011)"
	6130      =  "Logging workers (45-4020)"     
	6200      =  "First-line supervisors/managers of construction trades and extraction workers (47-1011)"
	6210      =  "Boilermakers (47-2011)"        
	6220      =  "Brickmasons, blockmasons, and stonemasons (47-2020)"
	6230      =  "Carpenters (47-2031)"          
	6240      =  "Carpet, floor, and tile installers and finishers (47-2040)"
	6250      =  "Cement masons, concrete finishers, and terrazzo workers (47-2050)"
	6260      =  "Construction laborers (47-2061)"
	6300      =  "Paving, surfacing, and tamping equipment operators (47-2071)"
	6310      =  "Pile-driver operators (47-2072)"
	6320      =  "Operating engineers and other construction equipment operators (47-2073)"
	6330      =  "Drywall installers, ceiling tile installers, and tapers (47-2080)"
	6350      =  "Electricians (47-2111)"        
	6360      =  "Glaziers (47-2121)"            
	6400      =  "Insulation workers (47-2130)"  
	6420      =  "Painters, construction and maintenance (47-2141)"
	6430      =  "Paperhangers (47-2142)"        
	6440      =  "Pipelayers, plumbers, pipefitters, and steamfitters (47-2150)"
	6460      =  "Plasterers and stucco masons (47-2161)"
	6500      =  "Reinforcing iron and rebar workers (47-2171)"
	6510      =  "Roofers (47-2181)"             
	6520      =  "Sheet metal workers (47-2211)" 
	6530      =  "Structural iron and steel workers (47-2221)"
	6600      =  "Helpers, construction trades (47-3010)"
	6660      =  "Construction and building inspectors (47-4011)"
	6700      =  "Elevator installers and repairers (47-4021)"
	6710      =  "Fence erectors (47-4031)"      
	6720      =  "Hazardous materials removal workers (47-4041)"
	6730      =  "Highway maintenance workers (47-4051)"
	6740      =  "Rail-track laying and maintenance equipment operators (47-4061)"
	6750      =  "Septic tank servicers and sewer pipe cleaners (47-4071)"
	6760      =  "Miscellaneous construction and related workers (47-4090)"
	6800      =  "Derrick, rotary drill, and service unit operators, oil, gas, and mining (47-5010)"
	6820      =  "Earth drillers, except oil and gas (47-5021)"
	6830      =  "Explosives workers, ordnance handling experts, and blasters (47-5031)"
	6840      =  "Mining machine operators (47-5040)"
	6910      =  "Roof bolters, mining (47-5061)"
	6920      =  "Roustabouts, oil and gas (47-5071)"
	6930      =  "Helpers--extraction workers (47-5081)"
	6940      =  "Other extraction workers (47-50XX)"
	7000      =  "First-line supervisors/managers of mechanics, installers, and repairers (49-1011)"
	7010      =  "Computer, automated teller, and office machine repairers (49-2011)"
	7020      =  "Radio and telecommunications equipment installers and repairers (49-2020)"
	7030      =  "Avionics technicians (49-2091)"
	7040      =  "Electric motor, power tool, and related repairers (49-2092)"
	7050      =  "Electrical and electronics installers and repairers, transportation equipment (49-2093)"
	7100      =  "Electrical and electronics repairers, industrial and utility (49-209X)"
	7110      =  "Electronic equipment installers and repairers, motor vehicles (49-2096)"
	7120      =  "Electronic home entertainment equipment installers and repairers (49-2097)"
	7130      =  "Security and fire alarm systems installers (49-2098)"
	7140      =  "Aircraft mechanics and service technicians (49-3011)"
	7150      =  "Automotive body and related repairers (49-3021)"
	7160      =  "Automotive glass installers and repairers (49-3022 )"
	7200      =  "Automotive service technicians and mechanics (49-3023)"
	7210      =  "Bus and truck mechanics and diesel engine specialists (49-3031)"
	7220      =  "Heavy vehicle and mobile equipment service technicians and mechanics (49-3040)"
	7240      =  "Small engine mechanics (49-3050)"
	7260      =  "Miscellaneous vehicle and mobile equipment mechanics, installers, and repairers (49-3090"
	7300      =  "Control and valve installers and repairers (49-9010)"
	7310      =  "Heating, air conditioning, and refrigeration mechanics and installers (49-9021)"
	7320      =  "Home appliance repairers (49-9031)"
	7330      =  "Industrial and refractory machinery mechanics (49-904X)"
	7340      =  "Maintenance and repair workers, general (49-9042)"
	7350      =  "Maintenance workers, machinery (49-9043)"
	7360      =  "Millwrights (49-9044)"         
	7410      =  "Electrical power-line installers and repairers (49-9051)"
	7420      =  "Telecommunications line installers and repairers (49-9052)"
	7430      =  "Precision instrument and equipment repairers (49-9060)"
	7510      =  "Coin, vending, and amusement machine servicers and repairers (49-9091)"
	7520      =  "Commercial divers (49-9092)"   
	7540      =  "Locksmiths and safe repairers (49-9094)"
	7550      =  "Manufactured building and mobile home installers (49-9095)"
	7560      =  "Riggers (49-9096)"             
	7600      =  "Signal and track switch repairers (49-9097)"
	7610      =  "Helpers--installation, maintenance, and repair workers (49-9098)"
	7620      =  "Other installation, maintenance, and repair workers (49-909X)"
	7700      =  "First-line supervisors/managers of production and operating workers (51-1011)"
	7710      =  "Aircraft structure, surfaces, rigging, and systems assemblers (51-2011)"
	7720      =  "Electrical, electronics, and electromechanical assemblers (51-2020)"
	7730      =  "Engine and other machine assemblers (51-2031)"
	7740      =  "Structural metal fabricators and fitters (51-2041)"
	7750      =  "Miscellaneous assemblers and fabricators (51-2090)"
	7800      =  "Bakers (51-3011)"              
	7810      =  "Butchers and other meat, poultry, and fish processing workers (51-3020)"
	7830      =  "Food and tobacco roasting, baking, and drying machine operators and tenders (51-3091)"
	7840      =  "Food batchmakers (51-3092)"    
	7850      =  "Food cooking machine operators and tenders (51-3093)"
	7900      =  "Computer control programmers and operators (51-4010)"
	7920      =  "Extruding and drawing machine setters, operators, and tenders, metal and plastic (51-402"
	7930      =  "Forging machine setters, operators, and tenders, metal and plastic (51-4022)"
	7940      =  "Rolling machine setters, operators, and tenders, metal and plastic (51-4023)"
	7950      =  "Cutting, punching, and press machine setters, operators, and tenders, metal and plastic"
	7960      =  "Drilling and boring machine tool setters, operators, and tenders, metal and plastic (51-"
	8000      =  "Grinding, lapping, polishing, and buffing machine tool setters, operators, and tenders,"
	8010      =  "Lathe and turning machine tool setters, operators, and tenders, metal and plastic (51-40"
	8020      =  "Milling and planing machine setters, operators, and tenders, metal and plastic (51-4035)"
	8030      =  "Machinists (51-4041)"          
	8040      =  "Metal furnace and kiln operators and tenders (51-4050)"
	8060      =  "Model makers and patternmakers, metal and plastic (51-4060)"
	8100      =  "Molders and molding machine setters, operators, and tenders, metal and plastic (51-4070)"
	8120      =  "Multiple machine tool setters, operators, and tenders, metal and plastic (51-4081)"
	8130      =  "Tool and die makers (51-4111)" 
	8140      =  "Welding, soldering, and brazing workers (51-4120)"
	8150      =  "Heat treating equipment setters, operators, and tenders, metal and plastic (51-4191)"
	8160      =  "Lay-out workers, metal and plastic (51-4192)"
	8200      =  "Plating and coating machine setters, operators, and tenders, metal and plastic (51-4193)"
	8210      =  "Tool grinders, filers, and sharpeners (51-4194)"
	8220      =  "Metalworkers and plastic workers, all other (51-4199)"
	8230      =  "Bookbinders and bindery workers (51-5010)"
	8240      =  "Job printers (51-5021)"        
	8250      =  "Prepress technicians and workers (51-5022)"
	8260      =  "Printing machine operators (51-5023)"
	8300      =  "Laundry and dry-cleaning workers (51-6011)"
	8310      =  "Pressers, textile, garment, and related materials (51-6021)"
	8320      =  "Sewing machine operators (51-6031)"
	8330      =  "Shoe and leather workers and repairers (51-6041)"
	8340      =  "Shoe machine operators and tenders (51-6042)"
	8350      =  "Tailors, dressmakers, and sewers (51-6050)"
	8360      =  "Textile bleaching and dyeing machine operators and tenders (51-6061)"
	8400      =  "Textile cutting machine setters, operators, and tenders (51-6062)"
	8410      =  "Textile knitting and weaving machine setters, operators, and tenders (51-6063)"
	8420      =  "Textile winding, twisting, and drawing out machine setters, operators, and tenders (51-6"
	8430      =  "Extruding and forming machine setters, operators, and tenders, synthetic and glass fiber"
	8440      =  "Fabric and apparel patternmakers (51-6092)"
	8450      =  "Upholsterers (51-6093)"        
	8460      =  "Textile, apparel, and furnishings workers, all other (51-6099)"
	8500      =  "Cabinetmakers and bench carpenters (51-7011)"
	8510      =  "Furniture finishers (51-7021)" 
	8520      =  "Model makers and patternmakers, wood (51-7030)"
	8530      =  "Sawing machine setters, operators, and tenders, wood (51-7041)"
	8540      =  "Woodworking machine setters, operators, and tenders, except sawing (51-7042)"
	8550      =  "Woodworkers, all other (51-7099)"
	8600      =  "Power plant operators, distributors, and dispatchers (51-8010)"
	8610      =  "Stationary engineers and boiler operators (51-8021)"
	8620      =  "Water and liquid waste treatment plant and system operators (51-8031)"
	8630      =  "Miscellaneous plant and system operators (51-8090)"
	8640      =  "Chemical processing machine setters, operators, and tenders (51-9010)"
	8650      =  "Crushing, grinding, polishing, mixing, and blending workers (51-9020)"
	8710      =  "Cutting workers (51-9030)"     
	8720      =  "Extruding, forming, pressing, and compacting machine setters, operators, and tenders (51"
	8730      =  "Furnace, kiln, oven, drier, and kettle operators and tenders (51-9051)"
	8740      =  "Inspectors, testers, sorters, samplers, and weighers (51-9061)"
	8750      =  "Jewelers and precious stone and metal workers (51-9071)"
	8760      =  "Medical, dental, and ophthalmic laboratory technicians (51-9080)"
	8800      =  "Packaging and filling machine operators and tenders (51-9111)"
	8810      =  "Painting workers (51-9120)"    
	8830      =  "Photographic process workers and processing machine operators (51-9130)"
	8840      =  "Semiconductor processors (51-9141)"
	8850      =  "Cementing and gluing machine operators and tenders (51-9191)"
	8860      =  "Cleaning, washing, and metal pickling equipment operators and tenders (51-9192)"
	8900      =  "Cooling and freezing equipment operators and tenders (51-9193)"
	8910      =  "Etchers and engravers (51-9194)"
	8920      =  "Molders, shapers, and casters, except metal and plastic (51-9195)"
	8930      =  "Paper goods machine setters, operators, and tenders (51-9196)"
	8940      =  "Tire builders (51-9197)"       
	8950      =  "Helpers--production workers (51-9198)"
	8960      =  "Production workers, all other (51-9199)"
	9000      =  "Supervisors, transportation and material moving workers (53-1000)"
	9030      =  "Aircraft pilots and flight engineers (53-2010)"
	9040      =  "Air traffic controllers and airfield operations specialists (53-2020)"
	9110      =  "Ambulance drivers and attendants, except emergency medical technicians (53-3011)"
	9120      =  "Bus drivers (53-3020)"         
	9130      =  "Driver/sales workers and truck drivers (53-3030)"
	9140      =  "Taxi drivers and chauffeurs (53-3041)"
	9150      =  "Motor vehicle operators, all other (53-3099)"
	9200      =  "Locomotive engineers and operators (53-4010)"
	9230      =  "Railroad brake, signal, and switch operators (53-4021)"
	9240      =  "Railroad conductors and yardmasters (53-4031)"
	9260      =  "Subway, streetcar, and other rail transportation workers (53-30XX)"
	9300      =  "Sailors and marine oilers (53-5011)"
	9310      =  "Ship and boat captains and operators (53-5020)"
	9330      =  "Ship engineers (53-5031)"      
	9340      =  "Bridge and lock tenders (53-6011)"
	9350      =  "Parking lot attendants (53-6021)"
	9360      =  "Service station attendants (53-6031)"
	9410      =  "Transportation inspectors (53-6051)"
	9420      =  "Other transportation workers (53-60XX)"
	9500      =  "Conveyor operators and tenders (53-7011)"
	9510      =  "Crane and tower operators (53-7021)"
	9520      =  "Dredge, excavating, and loading machine operators (53-7030)"
	9560      =  "Hoist and winch operators (53-7041)"
	9600      =  "Industrial truck and tractor operators (53-7051)"
	9610      =  "Cleaners of vehicles and equipment (53-7061)"
	9620      =  "Laborers and freight, stock, and material movers, hand (53-7062)"
	9630      =  "Machine feeders and offbearers (53-7063)"
	9640      =  "Packers and packagers, hand (53-7064)"
	9650      =  "Pumping station operators (53-7070)"
	9720      =  "Refuse and recyclable material collectors (53-7081)"
	9730      =  "Shuttle car operators (53-7111)"
	9740      =  "Tank car, truck, and ship loaders (53-7121)"
	9750      =  "Material moving workers, all other (53-7199)"
	9840      =  "Persons whose current labor force status is unemployed and last job was Armed Forces"
	-1        =  "Not in Universe"               
;
VALUE absocc2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation(hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation(derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE euectypm	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE auectypm	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE euectypk	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE auectypk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE elmptypm	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE almptypm	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE elmptypk	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE almptypk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE elmptypl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE almptypl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE essself 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE assself 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE esschild	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE asschild	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE essichld	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE assichld	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE essiself	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE assiself	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE estssi  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE astssi  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rwcmprsn	(default=32)
	1         =  "Disability"                    
	3         =  "Suvivor"                       
	5         =  "Disability and Suvivor"        
	8         =  "No payment"                    
	-1        =  "Not in Universe"               
;
VALUE awcmprsn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rinsrsn 	(default=32)
	1         =  "Disability"                    
	8         =  "No payment received"           
	-1        =  "Not in Universe"               
;
VALUE ainsrsn 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rempdrsn	(default=32)
	1         =  "Disability"                    
	8         =  "No payment"                    
	-1        =  "Not in Universe"               
;
VALUE aempdrsn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rpensrsn	(default=32)
	1         =  "Disability"                    
	2         =  "Retirement"                    
	3         =  "Survivor"                      
	4         =  "Disability and retirement"     
	5         =  "Disability and Survivor"       
	6         =  "Retirement and survivor"       
	7         =  "Disability, retirement, and survivor"
	8         =  "No payment received"           
	-1        =  "Not in Universe"               
;
VALUE apensrsn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rfcsrsn 	(default=32)
	1         =  "Disability"                    
	2         =  "Retirement"                    
	3         =  "Survivor"                      
	4         =  "Disability and retirement"     
	5         =  "Disability and Survivor"       
	6         =  "Retirement and survivor"       
	7         =  "Disability, retirement, and survivor"
	8         =  "No payment received"           
	-1        =  "Not in Universe"               
;
VALUE afcsrsn 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rstatrsn	(default=32)
	1         =  "Disability"                    
	2         =  "Retirement"                    
	3         =  "Survivor"                      
	4         =  "Disability and retirement"     
	5         =  "Disability and Survivor"       
	6         =  "Retirement and survivor"       
	7         =  "Disability, retirement, and survivor"
	8         =  "No payment received"           
	-1        =  "Not in Universe"               
;
VALUE astatrsn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rlgovrsn	(default=32)
	1         =  "Disability"                    
	2         =  "Retirement"                    
	3         =  "Survivor"                      
	4         =  "Disability and retirement"     
	5         =  "Disability and Survivor"       
	6         =  "Retirement and survivor"       
	7         =  "Disability, retirement, and survivor"
	8         =  "No payment received"           
	-1        =  "Not in Universe"               
;
VALUE algovrsn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rmilrsn 	(default=32)
	1         =  "Disability"                    
	2         =  "Retirement"                    
	3         =  "Survivor"                      
	4         =  "Disability and retirement"     
	5         =  "Disability and Survivor"       
	6         =  "Retirement and survivor"       
	7         =  "Disability, retirement, and survivor"
	8         =  "No payment received"           
	-1        =  "Not in Universe"               
;
VALUE amilrsn 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rrrsn   	(default=32)
	1         =  "Disability"                    
	2         =  "Retirement"                    
	3         =  "Survivor"                      
	4         =  "Disability and retirement"     
	5         =  "Disability and Survivor"       
	6         =  "Retirement and survivor"       
	7         =  "Disability, retirement, and survivor"
	8         =  "No payment received"           
	-1        =  "Not in Universe"               
;
VALUE arrrsn  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rothrrsn	(default=32)
	1         =  "Disability"                    
	2         =  "Retirement"                    
	3         =  "Suvivor"                       
	4         =  "Disability and retirement"     
	5         =  "Disability and Survivor"       
	6         =  "Retirement and survivor"       
	7         =  "Disability, retirement, and survivor"
	8         =  "No payment received"           
	-1        =  "Not in Universe"               
;
VALUE aothrrsn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rlifirsn	(default=32)
	2         =  "Retirement"                    
	3         =  "Suvivor"                       
	6         =  "Retirement and survivor"       
	8         =  "No payment received"           
	-1        =  "Not in Universe"               
;
VALUE alifirsn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rvetsrsn	(default=32)
	3         =  "Suvivor"                       
	8         =  "No payment received"           
	-1        =  "Not in Universe"               
;
VALUE avetsrsn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE restarsn	(default=32)
	3         =  "Suvivor"                       
	8         =  "No payment received"           
	-1        =  "Not in Universe"               
;
VALUE aestarsn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE efccyn  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE afccyn  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ecsyn   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE acsyn   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ealiyn  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aaliyn  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE efsyn   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE afsyn   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE epssthru	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apssthru	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE epaothru	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apaothru	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE epaothrk	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apaothrk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE epaothrl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apaothrl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE epaothrm	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apaothrm	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE epaothrn	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apaothrn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE epaothro	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apaothro	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE ewelactu	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE awelactu	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE ewelac2u	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE awelac2u	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE ewelac2k	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE awelac2k	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE ewelac2l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE awelac2l	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE ewelactk	(default=32)
	1         =  "Required to"                   
	2         =  "Chose to"                      
	3         =  "Both required and chose"       
	-1        =  "Not in Universe"               
;
VALUE awelactk	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE ewelactl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE awelactl	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE ewrkexpu	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE awrkexpu	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE ewhiexpu	(default=32)
	1         =  "First job"                     
	2         =  "Second job"                    
	-1        =  "Not in Universe"               
;
VALUE awhiexpu	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE ewrkexpk	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE awrkexpk	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE ewrkexpl	(default=32)
	1         =  "Required to do work experience program"
	2         =  "Chose to do work experience program"
	3         =  "Both required and chose"       
	-1        =  "Not in Universe"               
;
VALUE awrkexpl	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE ewhiexpk	(default=32)
	1         =  "First job"                     
	2         =  "Second job"                    
	-1        =  "Not in Universe"               
;
VALUE awhiexpk	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE ewicyn  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE awicyn  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE epatanfn	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epatanfk	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epatanfl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epatanfm	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epatanfo	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epatanfp	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apatanf 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE easetdrw	(default=32)
	1         =  "Lump Sum"                      
	2         =  "Regular distribution"          
	3         =  "Both"                          
	4         =  "No"                            
	-1        =  "Not in Universe"               
;
VALUE aasetdrw	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eresnssw	(default=32)
	1         =  "Retired"                       
	2         =  "Disabled"                      
	3         =  "Widowed or surviving child"    
	4         =  "Spouse or dependent child"     
	5         =  "Some other reason"             
	-1        =  "Not in Universe"               
;
VALUE aresnssw	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eresnssk	(default=32)
	0         =  "Persons providing only one reason"
	1         =  "Retired"                       
	2         =  "Disabled"                      
	3         =  "Widowed or surviving child"    
	4         =  "Spouse or dependent child"     
	5         =  "Some other reason"             
	-1        =  "Not in Universe"               
;
VALUE aresnssk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tagess  	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aagess  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ejntssyn	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ajntssyn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE etrantpn	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE etrantpk	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE etrantpl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE etrantpm	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE etrantpo	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE atrantp 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE egasscep	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE egasscek	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE agassce 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE etokscee	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE etokscek	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE atoksce 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE efoodtpe	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE efoodtpk	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE efoodtpl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE efoodtpm	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE afoodtyp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE efoodscp	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE efoodsck	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE efoodscl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE efoodscm	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE afoodsce	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eclothtp	(default=32)
	1         =  "Clothes"                       
	2         =  "Money or vouchers"             
	3         =  "Both clothes and money or vouchers"
	-1        =  "Not in Universe"               
;
VALUE aclothtp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE eclthscp	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE eclthsck	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE eclthscl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE eclthscm	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE eclthscn	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aclthsc 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE epubhstp	(default=32)
	1         =  "Section 8"                     
	2         =  "Other rental assistance"       
	3         =  "Other housing program"         
	4         =  "Not sure; don't know"          
	-1        =  "Not in Universe"               
;
VALUE apubhstp	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE epubhscp	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epubhsck	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epubhscl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epubhscm	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apubhsc 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ecashscc	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ecashsck	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ecashscl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ecashscm	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE acashsce	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ecashgvt	(default=32)
	1         =  "Federal"                       
	2         =  "State"                         
	3         =  "Local"                         
	-1        =  "Not in Universe"               
;
VALUE acashgvt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE epacasht	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apacasht	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE epacashk	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apacashk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE epacashl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apacashl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er01a   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar01a   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er01k   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar01k   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er02l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar02l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er03a   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar03a   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er03k   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar03k   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er04l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar04l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er05l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar05l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er06l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar06l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er08l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar08l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er10l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar10l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er13l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar13l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er14l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar14l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er15l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar15l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er20l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar20l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er21l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar21l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er23l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar23l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er24l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar24l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er25l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar25l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er26l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar26l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er27l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar27l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er28l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar28l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er29l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar29l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er30l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar30l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er31l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar31l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er32l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar32l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er34l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar34l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er35l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar35l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er36l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar36l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er38l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar38l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er39l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar39l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er42l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar42l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er51l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar51l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er52l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar52l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er55l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar55l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er56l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar56l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er60g   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar60g   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er60t   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar60t   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er61l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar61l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er62l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar62l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er64l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar64l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE er75l   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ar75l   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t01amta 	(default=32)
	0         =  "None or not in universe"       
;
VALUE a01amta 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t01amtk 	(default=32)
	0         =  "None or not in universe"       
;
VALUE a01amtk 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t02amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a02amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t03amta 	(default=32)
	0         =  "None or not in universe"       
;
VALUE a03amta 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t03amtk 	(default=32)
	0         =  "None or not in universe"       
;
VALUE a03amtk 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t04amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a04amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t05amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a05amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t06amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a06amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t08amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a08amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t10amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a10amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t13amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a13amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t14amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a14amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t15amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a15amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t20amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a20amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t21amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a21amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t23amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a23amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t24amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a24amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t25amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a25amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t26amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a26amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t27amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a27amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t28amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a28amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t29amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a29amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t30amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a30amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t31amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a31amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t32amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a32amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t34amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a34amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t35amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a35amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t36amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a36amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t38amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a38amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t39amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a39amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t42amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a42amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t51amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a51amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t52amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a52amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t55amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a55amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t56amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a56amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t60amtg 	(default=32)
	0         =  "None or not in universe"       
;
VALUE a60amtg 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t60amtt 	(default=32)
	0         =  "None or not in universe"       
;
VALUE a60amtt 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t61amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a61amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t62amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a62amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t64amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a64amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE t75amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE a75amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tcsagy  	(default=32)
	0         =  "None or not in universe"       
;
VALUE acsagy  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE erolovry	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE arolovry	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE erolovrk	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE arolovrk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE trollamt	(default=32)
	0         =  "None or not in universe"       
;
VALUE arollamt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rab1r1l 	(default=32)
	1         =  "New child (or other dependent) or pregnancy"
	2         =  "Separation or divorce"         
	3         =  "Job loss or wages reduced"     
	4         =  "Loss or reduction of other income"
	5         =  "Became disabled or otherwise unable to work"
	6         =  "No change - just decided it was time"
	7         =  "No change - just heard about the program"
	8         =  "Need to re-certify"            
	9         =  "Became disabled - other"       
	-1        =  "Not in Universe"               
;
VALUE rab1r2l 	(default=32)
	1         =  "New child (or other dependent) or pregnancy"
	2         =  "Separation or divorce"         
	3         =  "Job loss or wages reduced"     
	4         =  "Loss or reduction of other income"
	5         =  "Became disabled or otherwise unable to work"
	6         =  "No change - just decided it was time"
	7         =  "No change - just heard about the program"
	8         =  "Need to re-certify"            
	9         =  "Became disabled - other"       
	-1        =  "Not in Universe"               
;
VALUE rab2r1l 	(default=32)
	1         =  "New child (or other dependent) or pregnancy"
	2         =  "Separation or divorce"         
	3         =  "Job loss or wages reduced"     
	4         =  "Loss or reduction of other income"
	5         =  "Became disabled or otherwise unable to work"
	6         =  "No change - just decided it was time"
	7         =  "No change - just heard about the program"
	8         =  "Need to re-certify"            
	9         =  "Became disabled - other"       
	-1        =  "Not in Universe"               
;
VALUE rab2r2l 	(default=32)
	1         =  "New child (or other dependent) or pregnancy"
	2         =  "Separation or divorce"         
	3         =  "Job loss or wages reduced"     
	4         =  "Loss or reduction of other income"
	5         =  "Became disabled or otherwise unable to work"
	6         =  "No change - just decided it was time"
	7         =  "No change - just heard about the program"
	8         =  "Need to re-certify"            
	9         =  "Became disabled - other"       
	-1        =  "Not in Universe"               
;
VALUE ras1l   	(default=32)
	1         =  "Got a job or earnings increased"
	2         =  "Family situation changed"      
	3         =  "Others in household earned enough money"
	4         =  "Penalized or sanctioned for non-cooperation"
	5         =  "Eligibility ran out because of time limits"
	6         =  "Didn't want to use up time limit"
	7         =  "Chose not to participate"      
	8         =  "Other, specify"                
	-1        =  "Not in Universe"               
;
VALUE ras2l   	(default=32)
	1         =  "Got a job or earnings increased"
	2         =  "Family situation changed"      
	3         =  "Others in household earned enough money"
	4         =  "Penalized or sanctioned for non-cooperation"
	5         =  "Eligibility ran out because of time limits"
	6         =  "Didn't want to use up time limit"
	7         =  "Chose not to participate"      
	8         =  "Other, specify"                
	-1        =  "Not in Universe"               
;
VALUE rwb1r1l 	(default=32)
	1         =  "New child (or other dependent) or pregnancy"
	2         =  "Separation or divorce"         
	3         =  "Job loss or wages reduced"     
	4         =  "Loss or reduction of other income"
	5         =  "Became disabled or otherwise unable to work"
	6         =  "No change - just decided it was time"
	7         =  "No change - just heard about the program"
	8         =  "Need to re-certify"            
	9         =  "Became disabled - other"       
	-1        =  "Not in Universe"               
;
VALUE rwb1r2l 	(default=32)
	1         =  "New child (or other dependent) or pregnancy"
	2         =  "Separation or divorce"         
	3         =  "Job loss or wages reduced"     
	4         =  "Loss or reduction of other income"
	5         =  "Became disabled or otherwise unable to work"
	6         =  "No change - just decided it was time"
	7         =  "No change - just heard about the program"
	8         =  "Need to re-certify"            
	9         =  "Became disabled - other"       
	-1        =  "Not in Universe"               
;
VALUE rwb2r1l 	(default=32)
	1         =  "New child (or other dependent) or pregnancy"
	2         =  "Separation or divorce"         
	3         =  "Job loss or wages reduced"     
	4         =  "Loss or reduction of other income"
	5         =  "Became disabled or otherwise unable to work"
	6         =  "No change - just decided it was time"
	7         =  "No change - just heard about the program"
	8         =  "Need to re-certify"            
	9         =  "Became disabled - other"       
	-1        =  "Not in Universe"               
;
VALUE rwb2r2l 	(default=32)
	1         =  "New child (or other dependent) or pregnancy"
	2         =  "Separation or divorce"         
	3         =  "Job loss or wages reduced"     
	4         =  "Loss or reduction of other income"
	5         =  "Became disabled or otherwise unable to work"
	6         =  "No change - just decided it was time"
	7         =  "No change - just heard about the program"
	8         =  "Need to re-certify"            
	9         =  "Became disabled - other"       
	-1        =  "Not in Universe"               
;
VALUE rws1l   	(default=32)
	1         =  "Became ineligible because of increased income"
	2         =  "Because of family changes"     
	3         =  "Still eligible but could/chose not to collect"
	4         =  "Became Ineligible because program requirements not met"
	5         =  "Eligibility ran out because of time limits"
	6         =  "Other, specify"                
	-1        =  "Not in Universe"               
;
VALUE rws2l   	(default=32)
	1         =  "Became ineligible because of increased income"
	2         =  "Because of family changes"     
	3         =  "Still eligible but could/chose not to collect"
	4         =  "Became Ineligible because program requirements not met"
	5         =  "Eligibility ran out because of time limits"
	6         =  "Other, specify"                
	-1        =  "Not in Universe"               
;
VALUE rfb1r1l 	(default=32)
	1         =  "New child (or other dependent) or pregnancy"
	2         =  "Separation or divorce"         
	3         =  "Job loss or wages reduced"     
	4         =  "Loss or reduction of other income"
	5         =  "Became disabled or otherwise unable to work"
	6         =  "No change - just decided it was time"
	7         =  "No change - just heard about the program"
	8         =  "Need to re-certify"            
	9         =  "Became disabled - other"       
	-1        =  "Not in Universe"               
;
VALUE rfb1r2l 	(default=32)
	1         =  "New child (or other dependent) or pregnancy"
	2         =  "Separation or divorce"         
	3         =  "Job loss or wages reduced"     
	4         =  "Loss or reduction of other income"
	5         =  "Became disabled or otherwise unable to work"
	6         =  "No change - just decided it was time"
	7         =  "No change - just heard about the program"
	8         =  "Need to re-certify"            
	9         =  "Became disabled - other"       
	-1        =  "Not in Universe"               
;
VALUE rfb2r1l 	(default=32)
	1         =  "New child (or other dependent) or pregnancy"
	2         =  "Separation or divorce"         
	3         =  "Job loss or wages reduced"     
	4         =  "Loss or reduction of other income"
	5         =  "Became disabled or otherwise unable to work"
	6         =  "No change - just decided it was time"
	7         =  "No change - just heard about the program"
	8         =  "Need to re-certify"            
	9         =  "Became disabled - other"       
	-1        =  "Not in Universe"               
;
VALUE rfb2r2l 	(default=32)
	1         =  "New child (or other dependent) or pregnancy"
	2         =  "Separation or divorce"         
	3         =  "Job loss or wages reduced"     
	4         =  "Loss or reduction of other income"
	5         =  "Became disabled or otherwise unable to work"
	6         =  "No change - just decided it was time"
	7         =  "No change - just heard about the program"
	8         =  "Need to re-certify"            
	9         =  "Became disabled - other"       
	-1        =  "Not in Universe"               
;
VALUE rfs1l   	(default=32)
	1         =  "Became ineligible because of increased income"
	2         =  "Because of family changes"     
	3         =  "Still eligible but could/chose not to collect"
	4         =  "Became Ineligible because program requirements not met"
	5         =  "Eligibility ran out because of time limits"
	6         =  "The money is not worth it"     
	7         =  "Other, specify"                
	-1        =  "Not in Universe"               
;
VALUE rfs2l   	(default=32)
	1         =  "Became ineligible because of increased income"
	2         =  "Because of family changes"     
	3         =  "Still eligible but could/chose not to collect"
	4         =  "Became Ineligible because program requirements not met"
	5         =  "Eligibility ran out because of time limits"
	6         =  "The money is not worth it"     
	7         =  "Other, specify"                
	-1        =  "Not in Universe"               
;
VALUE rgb1r1l 	(default=32)
	1         =  "New child (or other dependent) or pregnancy"
	2         =  "Separation or divorce"         
	3         =  "Job loss or wages reduced"     
	4         =  "Loss or reduction of other income"
	5         =  "Became disabled or otherwise unable to work"
	6         =  "No change - just decided it was time"
	7         =  "No change - just heard about the program"
	8         =  "Need to re-certify"            
	9         =  "Became disabled - other"       
	-1        =  "Not in Universe"               
;
VALUE rgb1r2l 	(default=32)
	1         =  "New child (or other dependent) or pregnancy"
	2         =  "Separation or divorce"         
	3         =  "Job loss or wages reduced"     
	4         =  "Loss or reduction of other income"
	5         =  "Became disabled or otherwise unable to work"
	6         =  "No change - just decided it was time"
	7         =  "No change - just heard about the program"
	8         =  "Need to re-certify"            
	9         =  "Became disabled - other"       
	-1        =  "Not in Universe"               
;
VALUE rgb2r1l 	(default=32)
	1         =  "New child (or other dependent) or pregnancy"
	2         =  "Separation or divorce"         
	3         =  "Job loss or wages reduced"     
	4         =  "Loss or reduction of other income"
	5         =  "Became disabled or otherwise unable to work"
	6         =  "No change - just decided it was time"
	7         =  "No change - just heard about the program"
	8         =  "Need to re-certify"            
	9         =  "Became disabled - other"       
	-1        =  "Not in Universe"               
;
VALUE rgb2r2l 	(default=32)
	1         =  "New child (or other dependent) or pregnancy"
	2         =  "Separation or divorce"         
	3         =  "Job loss or wages reduced"     
	4         =  "Loss or reduction of other income"
	5         =  "Became disabled or otherwise unable to work"
	6         =  "No change - just decided it was time"
	7         =  "No change - just heard about the program"
	8         =  "Need to re-certify"            
	9         =  "Became disabled - other"       
	-1        =  "Not in Universe"               
;
VALUE rgs1l   	(default=32)
	1         =  "Became ineligible because of increased income"
	2         =  "Because of family changes"     
	3         =  "Still eligible but could/chose not to collect"
	4         =  "Became Ineligible because program requirements not met"
	5         =  "Eligibility ran out because of time limits"
	6         =  "The money is not worth it"     
	7         =  "Other, specify"                
	-1        =  "Not in Universe"               
;
VALUE rgs2l   	(default=32)
	1         =  "Became ineligible because of increased income"
	2         =  "Because of family changes"     
	3         =  "Still eligible but could/chose not to collect"
	4         =  "Became Ineligible because program requirements not met"
	5         =  "Eligibility ran out because of time limits"
	6         =  "The money is not worth it"     
	7         =  "Other, specify"                
	-1        =  "Not in Universe"               
;
VALUE rob1r1l 	(default=32)
	1         =  "New child (or other dependent) or"
	2         =  "Separation or divorce"         
	3         =  "Job loss or wages reduced"     
	4         =  "Loss or reduction of other income"
	5         =  "Became disabled or otherwise"  
	6         =  "No change - just decided it was"
	7         =  "No change - just heard about the"
	8         =  "Need to re-certify"            
	9         =  "Became disabled - other"       
	-1        =  "Not in Universe"               
;
VALUE rob1r2l 	(default=32)
	1         =  "New child (or other dependent) or"
	2         =  "Separation or divorce"         
	3         =  "Job loss or wages reduced"     
	4         =  "Loss or reduction of other income"
	5         =  "Became disabled or otherwise"  
	6         =  "No change - just decided it was"
	7         =  "No change - just heard about the"
	8         =  "Need to re-certify"            
	9         =  "Became disabled - other"       
	-1        =  "Not in Universe"               
;
VALUE rob2r1l 	(default=32)
	1         =  "New child (or other dependent) or"
	2         =  "Separation or divorce"         
	3         =  "Job loss or wages reduced"     
	4         =  "Loss or reduction of other income"
	5         =  "Became disabled or otherwise"  
	6         =  "No change - just decided it was"
	7         =  "No change - just heard about the"
	8         =  "Need to re-certify"            
	9         =  "Became disabled - other"       
	-1        =  "Not in Universe"               
;
VALUE rob2r2l 	(default=32)
	1         =  "New child (or other dependent) or"
	2         =  "Separation or divorce"         
	3         =  "Job loss or wages reduced"     
	4         =  "Loss or reduction of other income"
	5         =  "Became disabled or otherwise"  
	6         =  "No change - just decided it was"
	7         =  "No change - just heard about the"
	8         =  "Need to re-certify"            
	9         =  "Became disabled - other"       
	-1        =  "Not in Universe"               
;
VALUE ros1l   	(default=32)
	1         =  "Became ineligible because of"  
	2         =  "Because of family changes"     
	3         =  "Still eligible but could/chose"
	4         =  "Became Ineligible because program"
	5         =  "Eligibility ran out because of"
	6         =  "The money is not worth it"     
	7         =  "Other, specify"                
	-1        =  "Not in Universe"               
;
VALUE ros2l   	(default=32)
	1         =  "Became ineligible because of"  
	2         =  "Because of family changes"     
	3         =  "Still eligible but could/chose"
	4         =  "Became Ineligible because program"
	5         =  "Eligibility ran out because of"
	6         =  "The money is not worth it"     
	7         =  "Other, specify"                
	-1        =  "Not in Universe"               
;
VALUE rsb1r1l 	(default=32)
	2         =  "Became disabled/blind"         
	3         =  "Over 65"                       
	4         =  "Other, specify"                
	-1        =  "Not in Universe"               
;
VALUE rsb1r2l 	(default=32)
	2         =  "Became disabled/blind"         
	3         =  "Over 65"                       
	4         =  "Other, specify"                
	-1        =  "Not in Universe"               
;
VALUE rsb2r1l 	(default=32)
	2         =  "Became disabled/blind"         
	3         =  "Over 65"                       
	4         =  "Other, specify"                
	-1        =  "Not in Universe"               
;
VALUE rsb2r2l 	(default=32)
	2         =  "Became disabled/blind"         
	3         =  "Over 65"                       
	4         =  "Other, specify"                
	-1        =  "Not in Universe"               
;
VALUE rss1l   	(default=32)
	1         =  "Became ineligible because of"  
	2         =  "Because of family changes"     
	3         =  "Still eligible but could/chose"
	4         =  "Became Ineligible because program"
	5         =  "Eligibility ran out because of"
	6         =  "The money is not worth it"     
	7         =  "Other, specify"                
	-1        =  "Not in Universe"               
;
VALUE rss2l   	(default=32)
	1         =  "Became ineligible because of"  
	2         =  "Because of family changes"     
	3         =  "Still eligible but could/chose"
	4         =  "Became Ineligible because program"
	5         =  "Eligibility ran out because of"
	6         =  "The money is not worth it"     
	7         =  "Other, specify"                
	-1        =  "Not in Universe"               
;
VALUE east1a  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aast1a  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE east1b  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aast1b  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE east1c  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aast1c  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE east2a  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aast2a  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE east2b  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aast2b  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE east2c  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aast2c  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE east2d  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aast2d  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE east3a  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aast3a  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE east3b  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aast3b  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE east3c  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aast3c  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE east3d  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aast3d  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE east3e  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aast3e  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE east4a  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aast4a  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE east4b  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aast4b  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE east4c  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aast4c  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ejntrnt 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ajntrnt 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tjarnt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE ajarnt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tjaclr  	(default=32)
	0         =  "None or not in universe"       
;
VALUE ajaclr  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE eownrnt 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aownrnt 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE toarnt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE aoarnt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE toaclr  	(default=32)
	0         =  "None or not in universe"       
;
VALUE aoaclr  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE ejrnt2l 	(default=32)
	-1        =  "Not universe"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ajrnt2l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tjaclr2l	(default=32)
	0         =  "None or not in universe"       
;
VALUE ajaclr2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE emrtjnt 	(default=32)
	-1        =  "Not universe"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amrtjnt 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tmijnt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE amijnt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE emrtown 	(default=32)
	-1        =  "Not universe"                  
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amrtown 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tmiown  	(default=32)
	0         =  "None or not in universe"       
;
VALUE amiown  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE trndup1l	(default=32)
	0         =  "None or not in universe"       
;
VALUE arndup1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE trndup2l	(default=32)
	0         =  "None or not in universe"       
;
VALUE arndup2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE tothprop	(default=32)
	0         =  "None or not in universe"       
;
VALUE eckjt   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ackjt   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tckjtint	(default=32)
	0         =  "None or not in universe"       
;
VALUE ackjtint	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE eckoast 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ackoast 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tckoint 	(default=32)
	0         =  "None or not in universe"       
;
VALUE ackoint 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE esvjt   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE asvjt   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tsvjtint	(default=32)
	0         =  "None or not in universe"       
;
VALUE asvjtint	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE esvoast 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE asvoast 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tsvoint 	(default=32)
	0         =  "None or not in universe"       
;
VALUE asvoint 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE emdjt   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amdjt   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tmdjtint	(default=32)
	0         =  "None or not in universe"       
;
VALUE amdjtint	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE emdoast 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amdoast 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tmdoint 	(default=32)
	0         =  "None or not in universe"       
;
VALUE amdoint 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE ecdjt   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE acdjt   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tcdjtint	(default=32)
	0         =  "None or not in universe"       
;
VALUE acdjtint	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE ecdoast 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE acdoast 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tcdoint 	(default=32)
	0         =  "None or not in universe"       
;
VALUE acdoint 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ebdjt   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE abdjt   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tbdjtint	(default=32)
	0         =  "None or not in universe"       
;
VALUE abdjtint	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE ebdoast 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE abdoast 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tbdoint 	(default=32)
	0         =  "None or not in universe"       
;
VALUE abdoint 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE egvjt   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE agvjt   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tgvjtint	(default=32)
	0         =  "None or not in universe"       
;
VALUE agvjtint	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE egvoast 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE agvoast 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tgvoint 	(default=32)
	0         =  "None or not in universe"       
;
VALUE agvoint 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE tintinc 	(default=32)
	0         =  "None or not in univerese"      
;
VALUE emanychk	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amanychk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tmjntdiv	(default=32)
	0         =  "None or not in universe"       
;
VALUE amjntdiv	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE tmowndiv	(default=32)
	0         =  "None or not in universe"       
;
VALUE amowndiv	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE emothdiv	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amothdiv	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tmjadiv 	(default=32)
	0         =  "None or not in universe"       
;
VALUE amjadiv 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE tmownadv	(default=32)
	0         =  "None or not in universe"       
;
VALUE amownadv	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE esanychk	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE asanychk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tsjntdiv	(default=32)
	0         =  "None or not in universe"       
;
VALUE asjntdiv	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE tsowndiv	(default=32)
	0         =  "None or not in universe"       
;
VALUE asowndiv	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE esothdiv	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE asothdiv	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE tsjadiv 	(default=32)
	0         =  "None or not in universe"       
;
VALUE asjadiv 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE tsownadv	(default=32)
	0         =  "None or not in universe"       
;
VALUE asownadv	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	6         =  "Derived from range based values (from wave 5+)"
;
VALUE tdivinc 	(default=32)
	0         =  "None or not in universe"       
;
VALUE ecrmth  	(default=32)
	1         =  "Yes, covered"                  
	2         =  "No, not covered"               
	-1        =  "Not in Universe"               
;
VALUE acrmth  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rmedcode	(default=32)
	1         =  "Retired or disabled worker"    
	2         =  "Spouse of retired or disabled" 
	3         =  "Widow of retired or disabled"  
	4         =  "Adult disabled as a child"     
	5         =  "Uninsured"                     
	7         =  "Other or invalid code"         
	9         =  "Missing code"                  
	-1        =  "Not in Universe"               
;
VALUE ecdmth  	(default=32)
	1         =  "Yes, covered"                  
	2         =  "No, not covered"               
	-1        =  "Not in Universe"               
;
VALUE acdmth  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE emcocov 	(default=32)
	1         =  "Medicaid"                      
	2         =  "State Children's Health Insurance"
	3         =  "Other public health insurance" 
	-1        =  "Not in Universe"               
;
VALUE amcocov 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ecdunt1l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ehimth  	(default=32)
	1         =  "Yes, covered"                  
	2         =  "No, not covered"               
;
VALUE ahimth  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
	5         =  "Indicates children's coverage" 
;
VALUE ehiowner	(default=32)
	1         =  "Covered in own name"           
	2         =  "Covered by someone else's plan"
	3         =  "Covered both in own name and by"
	4         =  "Not covered"                   
	-1        =  "Not in Universe"               
;
VALUE ahiowner	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE enonhh  	(default=32)
	2         =  "No"                            
	1         =  "Yes"                           
;
VALUE rchampm 	(default=32)
	1         =  "Yes, covered"                  
	2         =  "No"                            
	-1        =  "Not in Universe"               
;
VALUE ehiunt1l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ehiunt2l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ehiunt3l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ehemply 	(default=32)
	1         =  "Current employer or work"      
	2         =  "Former employer"               
	3         =  "Union"                         
	4         =  "TRICARE/CHAMPUS"               
	5         =  "CHAMPVA"                       
	6         =  "Military/VA health care"       
	7         =  "Privately purchased"           
	8         =  "Other"                         
	-1        =  "Not in Universe"               
;
VALUE ahemply 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ehicost 	(default=32)
	1         =  "All"                           
	2         =  "Part"                          
	3         =  "None"                          
	-1        =  "Not in Universe"               
;
VALUE ahicost 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ehiother	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahiother	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ehispse 	(default=32)
	1         =  "Yes, covered"                  
	2         =  "No, not covered"               
	-1        =  "Not in Universe"               
;
VALUE ahispse 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ehioldkd	(default=32)
	1         =  "Yes, covered"                  
	2         =  "No, not covered"               
	-1        =  "Not in Universe"               
;
VALUE ahioldkd	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ehiyngkd	(default=32)
	1         =  "Yes, covered"                  
	2         =  "No, not covered"               
	-1        =  "Not in Universe"               
;
VALUE ahiyngkd	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ehiothr 	(default=32)
	1         =  "Yes, covered"                  
	2         =  "No, not covered"               
	-1        =  "Not in Universe"               
;
VALUE ahiothr 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE ehirsn0r	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehirsn0k	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehirsn0l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehirsn0m	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehirsn0n	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehirsn0o	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehirsn0p	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehirsn0q	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehirsn0s	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehirsn1r	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehirsn1k	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ehirsn1l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahirsn  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
	4         =  "Statistical or logical imputation using previous wave data"
;
VALUE rprvhi  	(default=32)
	1         =  "Employer or union provided"    
	2         =  "Privately purchased"           
	3         =  "Military related"              
	4         =  "OTHER"                         
	-1        =  "Not in Universe"               
;
VALUE rprvhi2l	(default=32)
	1         =  "Employer or union provided"    
	2         =  "Privately purchased"           
	3         =  "Military related"              
	4         =  "OTHER"                         
	-1        =  "Not in Universe"               
;
VALUE tcdbegyr	(default=32)
	-1        =  "Not in Universe"               
;
VALUE acdbegyr	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE ecdbegmo	(default=32)
	-1        =  "Not in Universe"               
;
VALUE acdbegmo	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE ehiallcv	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahiallcv	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE thinoyr 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ahinoyr 	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE ehinomth	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ahinomth	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE ehievrcv	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahievrcv	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE thicvyr 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ahicvyr 	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE ehicvmth	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ahicvmth	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE acarovrh	(default=32)
	1         =  "Reported as new job but converted to the continuation of a job held at end of previous wave"
	2         =  "Reported and retained as new job, but possible continuation of a job held at end of previous wave"
	3         =  "Category 1 or 2 regenerated job"
	4         =  "Category 3 or 4 regenerated job"
	5         =  "Category 5 or 6 regenerated job"
	6         =  "Category 7 regenerated job"    
	7         =  "Category 8 regenerated job"    
	8         =  "Category 9 regenerated job"    
	9         =  "Category 10 or 11 regenerated job"
	0         =  "Not applicable"                
;
VALUE acarovrk	(default=32)
	1         =  "Reported as new job but converted to the continuation of a job held at end of previous wave"
	2         =  "Reported and retained as new job, but possible continuation of a job held at end of previous wave"
	3         =  "Category 1 or 2 regenerated job"
	4         =  "Category 3 or 4 regenerated job"
	5         =  "Category 5 or 6 regenerated job"
	6         =  "Category 7 regenerated job"    
	7         =  "Category 8 regenerated job"    
	8         =  "Category 9 regenerated job"    
	9         =  "Category 10 or 11 regenerated job"
	0         =  "Not applicable"                
;

proc print data=library.sip04w11 (obs=6);


FORMAT
	spanel     spanel.   
	srefmon    srefmon.  
	rhcalmn    rhcalmn.  
	tfipsst    tfipsst.  
	tmovrflg   tmovrflg. 
	eoutcome   eoutcome. 
	rhtype     rhtype.   
	whfnwgt    whfnwgt.  
	tmetro     tmetro.   
	rhchange   rhchange. 
	etenure    etenure.  
	atenure    atenure.  
	epubhse    epubhse.  
	apubhse    apubhse.  
	egvtrnt    egvtrnt.  
	agvtrnt    agvtrnt.  
	tmthrnt    tmthrnt.  
	amthrnt    amthrnt.  
	ewrsect8   ewrsectt. 
	awrsect8   awrsectt. 
	eutilyn    eutilyn.  
	autilyn    autilyn.  
	eegyast    eegyast.  
	aegyast    aegyast.  
	eegypmt1   eegypmtt. 
	eegypmt2   eegypmtk. 
	eegypmt3   eegypmtl. 
	aegypmt    aegypmt.  
	eegyamt    eegyamt.  
	aegyamt    aegyamt.  
	ehotlunc   ehotlunc. 
	ahotlunc   ahotlunc. 
	rnklun     rnklun.   
	efreelun   efreelun. 
	afreelun   afreelun. 
	efrerdln   efrerdln. 
	afrerdln   afrerdln. 
	ebrkfst    ebrkfst.  
	abrkfst    abrkfst.  
	rnkbrk     rnkbrk.   
	efreebrk   efreebrk. 
	afreebrk   afreebrk. 
	efrerdbk   efrerdbk. 
	afrerdbk   afrerdbk. 
	rprgques   rprgques. 
	rhnbrf     rhnbrf.   
	rhcbrf     rhcbrf.   
	rhmtrf     rhmtrf.   
	rfid2      rfid2l.   
	efspouse   efspouse. 
	eftype     eftype.   
	rfchange   rfchange. 
	efkind     efkind.   
	wffinwgt   wffinwgt. 
	rsid       rsid.     
	esfnp      esfnp.    
	esfrfper   esfrfper. 
	esfspse    esfspse.  
	esftype    esftype.  
	esfkind    esfkind.  
	rschange   rschange. 
	esownkid   esownkid. 
	esoklt18   esoklt1d. 
	wsfinwgt   wsfinwgt. 
	tsfearn    tsfearn.  
	tsprpinc   tsprpinc. 
	tstrninc   tstrninc. 
	tsothinc   tsothinc. 
	tstotinc   tstotinc. 
	rsfpov     rsfpov.   
	tspndist   tspndist. 
	tslumpsm   tslumpsm. 
	tssocsec   tssocsec. 
	tsssi      tsssi.    
	tsvets     tsvets.   
	tsunemp    tsunemp.  
	tsafdc     tsafdc.   
	tsfdstp    tsfdstp.  
	eppintvw   eppintvw. 
	epopstat   epopstat. 
	abmnth     abmnth.   
	abyear     abyear.   
	esex       esex.     
	asex       asex.     
	erace      erace.    
	arace      arace.    
	eorigin    eorigin.  
	aorigin    aorigin.  
	ebornus    ebornus.  
	abornus    abornus.  
	ecitizen   ecitizen. 
	acitizen   acitizen. 
	enatcit    enatcit.  
	anatcit    anatcit.  
	espeak     espeak.   
	aspeak     aspeak.   
	tlang1     tlang1l.  
	alang1     alang1l.  
	ehowwell   ehowwell. 
	ahowwell   ahowwell. 
	rlngisol   rlngisol. 
	uevrwid    uevrwid.  
	uevrdiv    uevrdiv.  
	eafnow     eafnow.   
	aafnow     aafnow.   
	eafever    eafever.  
	aafever    aafever.  
	uaf1       uaf1l.    
	uaf2       uaf2l.    
	uaf3       uaf3l.    
	uaf4       uaf4l.    
	uaf5       uaf5l.    
	evayn      evayn.    
	avayn      avayn.    
	evettyp    evettyp.  
	avettyp    avettyp.  
	evaques    evaques.  
	avaques    avaques.  
	wpfinwgt   wpfinwgt. 
	esfr       esfr.     
	esft       esft.     
	tage       tage.     
	aage       aage.     
	errp       errp.     
	arrp       arrp.     
	ems        ems.      
	ams        ams.      
	epnspous   epnspous. 
	apnspous   apnspous. 
	epnmom     epnmom.   
	apnmom     apnmom.   
	epndad     epndad.   
	apndad     apndad.   
	epnguard   epnguard. 
	apnguard   apnguard. 
	etypmom    etypmom.  
	atypmom    atypmom.  
	etypdad    etypdad.  
	atypdad    atypdad.  
	rdesgpnt   rdesgpnt. 
	ulftmain   ulftmain. 
	uentmain   uentmain. 
	tpearn     tpearn.   
	tpprpinc   tpprpinc. 
	tptrninc   tptrninc. 
	tpothinc   tpothinc. 
	tptotinc   tptotinc. 
	tppndist   tppndist. 
	tplumpsm   tplumpsm. 
	ehtlnyn    ehtlnyn.  
	ahtlnyn    ahtlnyn.  
	ebkfsyn    ebkfsyn.  
	abkfsyn    abkfsyn.  
	rcutyp01   rcutyp0n. 
	rcuown01   rcuown0n. 
	rcutyp03   rcutyp0k. 
	rcuown03   rcuown0k. 
	rcutyp04   rcutyp0l. 
	rcuown04   rcuown0l. 
	rcutyp08   rcutyp0m. 
	rcuown8a   rcuown8a. 
	rcuown8b   rcuown8b. 
	rcutyp20   rcutyp2b. 
	rcuown20   rcuown2b. 
	rcutyp21   rcutyp2k. 
	rcuow21a   rcuow21a. 
	rcuow21b   rcuow21b. 
	rcutyp23   rcutyp2l. 
	rcuown23   rcuown2k. 
	rcutyp24   rcutyp2m. 
	rcuow24a   rcuow24a. 
	rcuow24b   rcuow24b. 
	rcutyp25   rcutyp2n. 
	rcuown25   rcuown2l. 
	rcutyp27   rcutyp2o. 
	rcuown27   rcuown2m. 
	rcutyp57   rcutyp5b. 
	rcuown57   rcuown5b. 
	rcutyp58   rcutyp5k. 
	rcuow58a   rcuow58a. 
	rcuow58b   rcuow58b. 
	renroll    renroll.  
	arenroll   arenroll. 
	eenrlm     eenrlm.   
	aenrlm     aenrlm.   
	renrlma    renrlma.  
	eenlevel   eenlevel. 
	aenlevel   aenlevel. 
	eedfund    eedfund.  
	aedfund    aedfund.  
	easst01    easst01l. 
	easst03    easst03l. 
	easst04    easst04l. 
	easst05    easst05l. 
	easst06    easst06l. 
	easst07    easst07l. 
	easst08    easst08l. 
	easst09    easst09l. 
	easst10    easst10l. 
	easst11    easst11l. 
	easst12    easst12l. 
	aedasst    aedasst.  
	eeducate   eeducate. 
	aeducate   aeducate. 
	rged       rged.     
	aged       aged.     
	evocat     evocat.   
	avocat     avocat.   
	rcollvoc   rcollvoc. 
	acollvoc   acollvoc. 
	epdjbthn   epdjbthn. 
	apdjbthn   apdjbthn. 
	eppflag    eppflag.  
	emax       emax.     
	ebuscntr   ebuscntr. 
	ejobcntr   ejobcntr. 
	eeveret    eeveret.  
	aeveret    aeveret.  
	edisabl    edisabl.  
	adisabl    adisabl.  
	edisprev   edisprev. 
	adisprev   adisprev. 
	ersnowrk   ersnowrk. 
	arsnowrk   arsnowrk. 
	eawop      eawop.    
	aawop      aawop.    
	eabre      eabre.    
	aabre      aabre.    
	eptwrk     eptwrk.   
	aptwrk     aptwrk.   
	eptresn    eptresn.  
	aptresn    aptresn.  
	elkwrk     elkwrk.   
	alkwrk     alkwrk.   
	elayoff    elayoff.  
	alayoff    alayoff.  
	rtakjob    rtakjob.  
	rnotake    rnotake.  
	ehrsall    ehrsall.  
	ahrsall    ahrsall.  
	emoonlit   emoonlit. 
	amoonlit   amoonlit. 
	tmlmsum    tmlmsum.  
	amlmsum    amlmsum.  
	ebflag     ebflag.   
	ecflag     ecflag.   
	rmesr      rmesr.    
	rwkesr1    rwkesr1l. 
	rwkesr2    rwkesr2l. 
	rwkesr3    rwkesr3l. 
	rwkesr4    rwkesr4l. 
	rwkesr5    rwkesr5l. 
	rmwkwjb    rmwkwjb.  
	rmwksab    rmwksab.  
	awksab     awksab.   
	rmwklkg    rmwklkg.  
	awklkg     awklkg.   
	rmhrswk    rmhrswk.  
	rwksperm   rwksperm. 
	eeno1      eeno1l.   
	estlemp1   estlempm. 
	astlemp1   astlempm. 
	tsjdate1   tsjdatem. 
	asjdate1   asjdatem. 
	tejdate1   tejdatem. 
	aejdate1   aejdatem. 
	ersend1    ersend1l. 
	arsend1    arsend1l. 
	ejbhrs1    ejbhrs1l. 
	ajbhrs1    ajbhrs1l. 
	eemploc1   eemplocm. 
	aemploc1   aemplocm. 
	tempall1   tempallm. 
	aempall1   aempallm. 
	tempsiz1   tempsizm. 
	aempsiz1   aempsizm. 
	eocctim1   eocctimm. 
	aocctim1   aocctimm. 
	eclwrk1    eclwrk1l. 
	aclwrk1    aclwrk1l. 
	eunion1    eunion1l. 
	aunion1    aunion1l. 
	ecntrc1    ecntrc1l. 
	acntrc1    acntrc1l. 
	tpmsum1    tpmsum1l. 
	apmsum1    apmsum1l. 
	epayhr1    epayhr1l. 
	apayhr1    apayhr1l. 
	tpyrate1   tpyratem. 
	apyrate1   apyratem. 
	rpyper1    rpyper1l. 
	ejbind1    ejbind1l. 
	ajbind1    ajbind1l. 
	tjbocc1    tjbocc1l. 
	ajbocc1    ajbocc1l. 
	eeno2      eeno2l.   
	estlemp2   estlempk. 
	astlemp2   astlempk. 
	tsjdate2   tsjdatek. 
	asjdate2   asjdatek. 
	tejdate2   tejdatek. 
	aejdate2   aejdatek. 
	ersend2    ersend2l. 
	arsend2    arsend2l. 
	ejbhrs2    ejbhrs2l. 
	ajbhrs2    ajbhrs2l. 
	eemploc2   eemplock. 
	aemploc2   aemplock. 
	tempall2   tempallk. 
	aempall2   aempallk. 
	tempsiz2   tempsizk. 
	aempsiz2   aempsizk. 
	eocctim2   eocctimk. 
	aocctim2   aocctimk. 
	eclwrk2    eclwrk2l. 
	aclwrk2    aclwrk2l. 
	eunion2    eunion2l. 
	aunion2    aunion2l. 
	ecntrc2    ecntrc2l. 
	acntrc2    acntrc2l. 
	tpmsum2    tpmsum2l. 
	apmsum2    apmsum2l. 
	epayhr2    epayhr2l. 
	apayhr2    apayhr2l. 
	tpyrate2   tpyratek. 
	apyrate2   apyratek. 
	rpyper2    rpyper2l. 
	ejbind2    ejbind2l. 
	ajbind2    ajbind2l. 
	tjbocc2    tjbocc2l. 
	ajbocc2    ajbocc2l. 
	ebno1      ebno1l.   
	ebiznow1   ebiznowm. 
	abiznow1   abiznowm. 
	tsbdate1   tsbdatem. 
	asbdate1   asbdatem. 
	tebdate1   tebdatem. 
	aebdate1   aebdatem. 
	erendb1    erendb1l. 
	arendb1    arendb1l. 
	ehrsbs1    ehrsbs1l. 
	ahrsbs1    ahrsbs1l. 
	egrosb1    egrosb1l. 
	agrosb1    agrosb1l. 
	egrssb1    egrssb1l. 
	agrssb1    agrssb1l. 
	tempb1     tempb1l.  
	aempb1     aempb1l.  
	eincpb1    eincpb1l. 
	aincpb1    aincpb1l. 
	epropb1    epropb1l. 
	apropb1    apropb1l. 
	ehprtb1    ehprtb1l. 
	ahprtb1    ahprtb1l. 
	eslryb1    eslryb1l. 
	aslryb1    aslryb1l. 
	eoincb1    eoincb1l. 
	aoincb1    aoincb1l. 
	tprftb1    tprftb1l. 
	aprftb1    aprftb1l. 
	tbmsum1    tbmsum1l. 
	abmsum1    abmsum1l. 
	epartb11   epartb1m. 
	epartb21   epartb2m. 
	epartb31   epartb3m. 
	tbsind1    tbsind1l. 
	absind1    absind1l. 
	tbsocc1    tbsocc1l. 
	absocc1    absocc1l. 
	ebno2      ebno2l.   
	ebiznow2   ebiznowk. 
	abiznow2   abiznowk. 
	tsbdate2   tsbdatek. 
	asbdate2   asbdatek. 
	tebdate2   tebdatek. 
	aebdate2   aebdatek. 
	erendb2    erendb2l. 
	arendb2    arendb2l. 
	ehrsbs2    ehrsbs2l. 
	ahrsbs2    ahrsbs2l. 
	egrosb2    egrosb2l. 
	agrosb2    agrosb2l. 
	egrssb2    egrssb2l. 
	agrssb2    agrssb2l. 
	tempb2     tempb2l.  
	aempb2     aempb2l.  
	eincpb2    eincpb2l. 
	aincpb2    aincpb2l. 
	epropb2    epropb2l. 
	apropb2    apropb2l. 
	ehprtb2    ehprtb2l. 
	ahprtb2    ahprtb2l. 
	eslryb2    eslryb2l. 
	aslryb2    aslryb2l. 
	eoincb2    eoincb2l. 
	aoincb2    aoincb2l. 
	tprftb2    tprftb2l. 
	aprftb2    aprftb2l. 
	tbmsum2    tbmsum2l. 
	abmsum2    abmsum2l. 
	epartb12   epartb1k. 
	epartb22   epartb2k. 
	epartb32   epartb3k. 
	tbsind2    tbsind2l. 
	absind2    absind2l. 
	tbsocc2    tbsocc2l. 
	absocc2    absocc2l. 
	euectyp5   euectypm. 
	auectyp5   auectypm. 
	euectyp6   euectypk. 
	auectyp6   auectypk. 
	elmptyp1   elmptypm. 
	almptyp1   almptypm. 
	elmptyp2   elmptypk. 
	almptyp2   almptypk. 
	elmptyp3   elmptypl. 
	almptyp3   almptypl. 
	essself    essself.  
	assself    assself.  
	esschild   esschild. 
	asschild   asschild. 
	essichld   essichld. 
	assichld   assichld. 
	essiself   essiself. 
	assiself   assiself. 
	estssi     estssi.   
	astssi     astssi.   
	rwcmprsn   rwcmprsn. 
	awcmprsn   awcmprsn. 
	rinsrsn    rinsrsn.  
	ainsrsn    ainsrsn.  
	rempdrsn   rempdrsn. 
	aempdrsn   aempdrsn. 
	rpensrsn   rpensrsn. 
	apensrsn   apensrsn. 
	rfcsrsn    rfcsrsn.  
	afcsrsn    afcsrsn.  
	rstatrsn   rstatrsn. 
	astatrsn   astatrsn. 
	rlgovrsn   rlgovrsn. 
	algovrsn   algovrsn. 
	rmilrsn    rmilrsn.  
	amilrsn    amilrsn.  
	rrrsn      rrrsn.    
	arrrsn     arrrsn.   
	rothrrsn   rothrrsn. 
	aothrrsn   aothrrsn. 
	rlifirsn   rlifirsn. 
	alifirsn   alifirsn. 
	rvetsrsn   rvetsrsn. 
	avetsrsn   avetsrsn. 
	restarsn   restarsn. 
	aestarsn   aestarsn. 
	efccyn     efccyn.   
	afccyn     afccyn.   
	ecsyn      ecsyn.    
	acsyn      acsyn.    
	ealiyn     ealiyn.   
	aaliyn     aaliyn.   
	efsyn      efsyn.    
	afsyn      afsyn.    
	epssthru   epssthru. 
	apssthru   apssthru. 
	epaothr1   epaothru. 
	apaothr1   apaothru. 
	epaothr2   epaothrk. 
	apaothr2   apaothrk. 
	epaothr3   epaothrl. 
	apaothr3   apaothrl. 
	epaothr4   epaothrm. 
	apaothr4   apaothrm. 
	epaothr5   epaothrn. 
	apaothr5   apaothrn. 
	epaothr6   epaothro. 
	apaothr6   apaothro. 
	ewelact1   ewelactu. 
	awelact1   awelactu. 
	ewelac21   ewelac2u. 
	awelac21   awelac2u. 
	ewelac22   ewelac2k. 
	awelac22   awelac2k. 
	ewelac23   ewelac2l. 
	awelac23   awelac2l. 
	ewelact3   ewelactk. 
	awelact3   awelactk. 
	ewelact4   ewelactl. 
	awelact4   awelactl. 
	ewrkexp1   ewrkexpu. 
	awrkexp1   awrkexpu. 
	ewhiexp1   ewhiexpu. 
	awhiexp1   awhiexpu. 
	ewrkexp2   ewrkexpk. 
	awrkexp2   awrkexpk. 
	ewrkexp3   ewrkexpl. 
	awrkexp3   awrkexpl. 
	ewhiexp2   ewhiexpk. 
	awhiexp2   awhiexpk. 
	ewicyn     ewicyn.   
	awicyn     awicyn.   
	epatanf1   epatanfn. 
	epatanf2   epatanfk. 
	epatanf3   epatanfl. 
	epatanf4   epatanfm. 
	epatanf5   epatanfo. 
	epatanf6   epatanfp. 
	apatanf    apatanf.  
	easetdrw   easetdrw. 
	aasetdrw   aasetdrw. 
	eresnss1   eresnssw. 
	aresnss1   aresnssw. 
	eresnss2   eresnssk. 
	aresnss2   aresnssk. 
	tagess     tagess.   
	aagess     aagess.   
	ejntssyn   ejntssyn. 
	ajntssyn   ajntssyn. 
	etrantp1   etrantpn. 
	etrantp2   etrantpk. 
	etrantp3   etrantpl. 
	etrantp4   etrantpm. 
	etrantp5   etrantpo. 
	atrantp    atrantp.  
	egassce1   egasscep. 
	egassce2   egasscek. 
	agassce    agassce.  
	etoksce1   etokscee. 
	etoksce2   etokscek. 
	atoksce    atoksce.  
	efoodtp1   efoodtpe. 
	efoodtp2   efoodtpk. 
	efoodtp3   efoodtpl. 
	efoodtp4   efoodtpm. 
	afoodtyp   afoodtyp. 
	efoodsc1   efoodscp. 
	efoodsc2   efoodsck. 
	efoodsc3   efoodscl. 
	efoodsc4   efoodscm. 
	afoodsce   afoodsce. 
	eclothtp   eclothtp. 
	aclothtp   aclothtp. 
	eclthsc1   eclthscp. 
	eclthsc2   eclthsck. 
	eclthsc3   eclthscl. 
	eclthsc4   eclthscm. 
	eclthsc5   eclthscn. 
	aclthsc    aclthsc.  
	epubhstp   epubhstp. 
	apubhstp   apubhstp. 
	epubhsc1   epubhscp. 
	epubhsc2   epubhsck. 
	epubhsc3   epubhscl. 
	epubhsc4   epubhscm. 
	apubhsc    apubhsc.  
	ecashsc1   ecashscc. 
	ecashsc2   ecashsck. 
	ecashsc3   ecashscl. 
	ecashsc4   ecashscm. 
	acashsce   acashsce. 
	ecashgvt   ecashgvt. 
	acashgvt   acashgvt. 
	epacash1   epacasht. 
	apacash1   apacasht. 
	epacash2   epacashk. 
	apacash2   apacashk. 
	epacash3   epacashl. 
	apacash3   apacashl. 
	er01a      er01a.    
	ar01a      ar01a.    
	er01k      er01k.    
	ar01k      ar01k.    
	er02       er02l.    
	ar02       ar02l.    
	er03a      er03a.    
	ar03a      ar03a.    
	er03k      er03k.    
	ar03k      ar03k.    
	er04       er04l.    
	ar04       ar04l.    
	er05       er05l.    
	ar05       ar05l.    
	er06       er06l.    
	ar06       ar06l.    
	er08       er08l.    
	ar08       ar08l.    
	er10       er10l.    
	ar10       ar10l.    
	er13       er13l.    
	ar13       ar13l.    
	er14       er14l.    
	ar14       ar14l.    
	er15       er15l.    
	ar15       ar15l.    
	er20       er20l.    
	ar20       ar20l.    
	er21       er21l.    
	ar21       ar21l.    
	er23       er23l.    
	ar23       ar23l.    
	er24       er24l.    
	ar24       ar24l.    
	er25       er25l.    
	ar25       ar25l.    
	er26       er26l.    
	ar26       ar26l.    
	er27       er27l.    
	ar27       ar27l.    
	er28       er28l.    
	ar28       ar28l.    
	er29       er29l.    
	ar29       ar29l.    
	er30       er30l.    
	ar30       ar30l.    
	er31       er31l.    
	ar31       ar31l.    
	er32       er32l.    
	ar32       ar32l.    
	er34       er34l.    
	ar34       ar34l.    
	er35       er35l.    
	ar35       ar35l.    
	er36       er36l.    
	ar36       ar36l.    
	er38       er38l.    
	ar38       ar38l.    
	er39       er39l.    
	ar39       ar39l.    
	er42       er42l.    
	ar42       ar42l.    
	er51       er51l.    
	ar51       ar51l.    
	er52       er52l.    
	ar52       ar52l.    
	er55       er55l.    
	ar55       ar55l.    
	er56       er56l.    
	ar56       ar56l.    
	er60g      er60g.    
	ar60g      ar60g.    
	er60t      er60t.    
	ar60t      ar60t.    
	er61       er61l.    
	ar61       ar61l.    
	er62       er62l.    
	ar62       ar62l.    
	er64       er64l.    
	ar64       ar64l.    
	er75       er75l.    
	ar75       ar75l.    
	t01amta    t01amta.  
	a01amta    a01amta.  
	t01amtk    t01amtk.  
	a01amtk    a01amtk.  
	t02amt     t02amt.   
	a02amt     a02amt.   
	t03amta    t03amta.  
	a03amta    a03amta.  
	t03amtk    t03amtk.  
	a03amtk    a03amtk.  
	t04amt     t04amt.   
	a04amt     a04amt.   
	t05amt     t05amt.   
	a05amt     a05amt.   
	t06amt     t06amt.   
	a06amt     a06amt.   
	t08amt     t08amt.   
	a08amt     a08amt.   
	t10amt     t10amt.   
	a10amt     a10amt.   
	t13amt     t13amt.   
	a13amt     a13amt.   
	t14amt     t14amt.   
	a14amt     a14amt.   
	t15amt     t15amt.   
	a15amt     a15amt.   
	t20amt     t20amt.   
	a20amt     a20amt.   
	t21amt     t21amt.   
	a21amt     a21amt.   
	t23amt     t23amt.   
	a23amt     a23amt.   
	t24amt     t24amt.   
	a24amt     a24amt.   
	t25amt     t25amt.   
	a25amt     a25amt.   
	t26amt     t26amt.   
	a26amt     a26amt.   
	t27amt     t27amt.   
	a27amt     a27amt.   
	t28amt     t28amt.   
	a28amt     a28amt.   
	t29amt     t29amt.   
	a29amt     a29amt.   
	t30amt     t30amt.   
	a30amt     a30amt.   
	t31amt     t31amt.   
	a31amt     a31amt.   
	t32amt     t32amt.   
	a32amt     a32amt.   
	t34amt     t34amt.   
	a34amt     a34amt.   
	t35amt     t35amt.   
	a35amt     a35amt.   
	t36amt     t36amt.   
	a36amt     a36amt.   
	t38amt     t38amt.   
	a38amt     a38amt.   
	t39amt     t39amt.   
	a39amt     a39amt.   
	t42amt     t42amt.   
	a42amt     a42amt.   
	t51amt     t51amt.   
	a51amt     a51amt.   
	t52amt     t52amt.   
	a52amt     a52amt.   
	t55amt     t55amt.   
	a55amt     a55amt.   
	t56amt     t56amt.   
	a56amt     a56amt.   
	t60amtg    t60amtg.  
	a60amtg    a60amtg.  
	t60amtt    t60amtt.  
	a60amtt    a60amtt.  
	t61amt     t61amt.   
	a61amt     a61amt.   
	t62amt     t62amt.   
	a62amt     a62amt.   
	t64amt     t64amt.   
	a64amt     a64amt.   
	t75amt     t75amt.   
	a75amt     a75amt.   
	tcsagy     tcsagy.   
	acsagy     acsagy.   
	erolovr1   erolovry. 
	arolovr1   arolovry. 
	erolovr2   erolovrk. 
	arolovr2   arolovrk. 
	trollamt   trollamt. 
	arollamt   arollamt. 
	rab1r1     rab1r1l.  
	rab1r2     rab1r2l.  
	rab2r1     rab2r1l.  
	rab2r2     rab2r2l.  
	ras1       ras1l.    
	ras2       ras2l.    
	rwb1r1     rwb1r1l.  
	rwb1r2     rwb1r2l.  
	rwb2r1     rwb2r1l.  
	rwb2r2     rwb2r2l.  
	rws1       rws1l.    
	rws2       rws2l.    
	rfb1r1     rfb1r1l.  
	rfb1r2     rfb1r2l.  
	rfb2r1     rfb2r1l.  
	rfb2r2     rfb2r2l.  
	rfs1       rfs1l.    
	rfs2       rfs2l.    
	rgb1r1     rgb1r1l.  
	rgb1r2     rgb1r2l.  
	rgb2r1     rgb2r1l.  
	rgb2r2     rgb2r2l.  
	rgs1       rgs1l.    
	rgs2       rgs2l.    
	rob1r1     rob1r1l.  
	rob1r2     rob1r2l.  
	rob2r1     rob2r1l.  
	rob2r2     rob2r2l.  
	ros1       ros1l.    
	ros2       ros2l.    
	rsb1r1     rsb1r1l.  
	rsb1r2     rsb1r2l.  
	rsb2r1     rsb2r1l.  
	rsb2r2     rsb2r2l.  
	rss1       rss1l.    
	rss2       rss2l.    
	east1a     east1a.   
	aast1a     aast1a.   
	east1b     east1b.   
	aast1b     aast1b.   
	east1c     east1c.   
	aast1c     aast1c.   
	east2a     east2a.   
	aast2a     aast2a.   
	east2b     east2b.   
	aast2b     aast2b.   
	east2c     east2c.   
	aast2c     aast2c.   
	east2d     east2d.   
	aast2d     aast2d.   
	east3a     east3a.   
	aast3a     aast3a.   
	east3b     east3b.   
	aast3b     aast3b.   
	east3c     east3c.   
	aast3c     aast3c.   
	east3d     east3d.   
	aast3d     aast3d.   
	east3e     east3e.   
	aast3e     aast3e.   
	east4a     east4a.   
	aast4a     aast4a.   
	east4b     east4b.   
	aast4b     aast4b.   
	east4c     east4c.   
	aast4c     aast4c.   
	ejntrnt    ejntrnt.  
	ajntrnt    ajntrnt.  
	tjarnt     tjarnt.   
	ajarnt     ajarnt.   
	tjaclr     tjaclr.   
	ajaclr     ajaclr.   
	eownrnt    eownrnt.  
	aownrnt    aownrnt.  
	toarnt     toarnt.   
	aoarnt     aoarnt.   
	toaclr     toaclr.   
	aoaclr     aoaclr.   
	ejrnt2     ejrnt2l.  
	ajrnt2     ajrnt2l.  
	tjaclr2    tjaclr2l. 
	ajaclr2    ajaclr2l. 
	emrtjnt    emrtjnt.  
	amrtjnt    amrtjnt.  
	tmijnt     tmijnt.   
	amijnt     amijnt.   
	emrtown    emrtown.  
	amrtown    amrtown.  
	tmiown     tmiown.   
	amiown     amiown.   
	trndup1    trndup1l. 
	arndup1    arndup1l. 
	trndup2    trndup2l. 
	arndup2    arndup2l. 
	tothprop   tothprop. 
	eckjt      eckjt.    
	ackjt      ackjt.    
	tckjtint   tckjtint. 
	ackjtint   ackjtint. 
	eckoast    eckoast.  
	ackoast    ackoast.  
	tckoint    tckoint.  
	ackoint    ackoint.  
	esvjt      esvjt.    
	asvjt      asvjt.    
	tsvjtint   tsvjtint. 
	asvjtint   asvjtint. 
	esvoast    esvoast.  
	asvoast    asvoast.  
	tsvoint    tsvoint.  
	asvoint    asvoint.  
	emdjt      emdjt.    
	amdjt      amdjt.    
	tmdjtint   tmdjtint. 
	amdjtint   amdjtint. 
	emdoast    emdoast.  
	amdoast    amdoast.  
	tmdoint    tmdoint.  
	amdoint    amdoint.  
	ecdjt      ecdjt.    
	acdjt      acdjt.    
	tcdjtint   tcdjtint. 
	acdjtint   acdjtint. 
	ecdoast    ecdoast.  
	acdoast    acdoast.  
	tcdoint    tcdoint.  
	acdoint    acdoint.  
	ebdjt      ebdjt.    
	abdjt      abdjt.    
	tbdjtint   tbdjtint. 
	abdjtint   abdjtint. 
	ebdoast    ebdoast.  
	abdoast    abdoast.  
	tbdoint    tbdoint.  
	abdoint    abdoint.  
	egvjt      egvjt.    
	agvjt      agvjt.    
	tgvjtint   tgvjtint. 
	agvjtint   agvjtint. 
	egvoast    egvoast.  
	agvoast    agvoast.  
	tgvoint    tgvoint.  
	agvoint    agvoint.  
	tintinc    tintinc.  
	emanychk   emanychk. 
	amanychk   amanychk. 
	tmjntdiv   tmjntdiv. 
	amjntdiv   amjntdiv. 
	tmowndiv   tmowndiv. 
	amowndiv   amowndiv. 
	emothdiv   emothdiv. 
	amothdiv   amothdiv. 
	tmjadiv    tmjadiv.  
	amjadiv    amjadiv.  
	tmownadv   tmownadv. 
	amownadv   amownadv. 
	esanychk   esanychk. 
	asanychk   asanychk. 
	tsjntdiv   tsjntdiv. 
	asjntdiv   asjntdiv. 
	tsowndiv   tsowndiv. 
	asowndiv   asowndiv. 
	esothdiv   esothdiv. 
	asothdiv   asothdiv. 
	tsjadiv    tsjadiv.  
	asjadiv    asjadiv.  
	tsownadv   tsownadv. 
	asownadv   asownadv. 
	tdivinc    tdivinc.  
	ecrmth     ecrmth.   
	acrmth     acrmth.   
	rmedcode   rmedcode. 
	ecdmth     ecdmth.   
	acdmth     acdmth.   
	emcocov    emcocov.  
	amcocov    amcocov.  
	ecdunt1    ecdunt1l. 
	ehimth     ehimth.   
	ahimth     ahimth.   
	ehiowner   ehiowner. 
	ahiowner   ahiowner. 
	enonhh     enonhh.   
	rchampm    rchampm.  
	ehiunt1    ehiunt1l. 
	ehiunt2    ehiunt2l. 
	ehiunt3    ehiunt3l. 
	ehemply    ehemply.  
	ahemply    ahemply.  
	ehicost    ehicost.  
	ahicost    ahicost.  
	ehiother   ehiother. 
	ahiother   ahiother. 
	ehispse    ehispse.  
	ahispse    ahispse.  
	ehioldkd   ehioldkd. 
	ahioldkd   ahioldkd. 
	ehiyngkd   ehiyngkd. 
	ahiyngkd   ahiyngkd. 
	ehiothr    ehiothr.  
	ahiothr    ahiothr.  
	ehirsn01   ehirsn0r. 
	ehirsn02   ehirsn0k. 
	ehirsn03   ehirsn0l. 
	ehirsn04   ehirsn0m. 
	ehirsn05   ehirsn0n. 
	ehirsn06   ehirsn0o. 
	ehirsn07   ehirsn0p. 
	ehirsn08   ehirsn0q. 
	ehirsn09   ehirsn0s. 
	ehirsn10   ehirsn1r. 
	ehirsn11   ehirsn1k. 
	ehirsn12   ehirsn1l. 
	ahirsn     ahirsn.   
	rprvhi     rprvhi.   
	rprvhi2    rprvhi2l. 
	tcdbegyr   tcdbegyr. 
	acdbegyr   acdbegyr. 
	ecdbegmo   ecdbegmo. 
	acdbegmo   acdbegmo. 
	ehiallcv   ehiallcv. 
	ahiallcv   ahiallcv. 
	thinoyr    thinoyr.  
	ahinoyr    ahinoyr.  
	ehinomth   ehinomth. 
	ahinomth   ahinomth. 
	ehievrcv   ehievrcv. 
	ahievrcv   ahievrcv. 
	thicvyr    thicvyr.  
	ahicvyr    ahicvyr.  
	ehicvmth   ehicvmth. 
	ahicvmth   ahicvmth. 
	acarovr1   acarovrh. 
	acarovr2   acarovrk. 
;
proc contents data=library.sip04w11;

** Copyright 2010 shared by the National Bureau of Economic Research and Jean Roth ;

** National Bureau of Economic Research. ;
** 1050 Massachusetts Avenue ;
** Cambridge, MA 02138 ;
** jroth@nber.org ;

** This program and all programs referenced in it are free software. You ;
** can redistribute the program or modify it under the terms of the GNU ;
** General Public License as published by the Free Software Foundation; 
** either version 2 of the License, or (at your option) any later version. ;

** This program is distributed in the hope that it will be useful, ;
** but WITHOUT ANY WARRANTY, without even the implied warranty of ;
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the ;
** GNU General Public License for more details. ;

** You should have received a copy of the GNU General Public License ;
** along with this program, if not, write to the Free Software ;
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA. ;
