
/*------------------------------------------------------------------------------------*/
/*by Jean Roth	Tue Nov  4 11:37:49 EST 2003
  This program reads the 1996 SIPP Wave 12 Topical Module Data File
  NOTE:  This program is distributed under the GNU GPL. See end of
  this file and http://www.gnu.org/licenses/ for details.
  Please report errors to jroth@nber.org
  Six steps:
       (1)   Uncomment the 'options compress=yes' statement if desired to save space
       (2)   Uncomment 'LENGTH' statement if desired to save space
       (3)   Specify output directories in 'libname' statements
       (4)   Specify the input file name/location in the 'filename' statement
       (5)   On a PC, use backslashes as in C:\
       (6)   Read in the compressed or uncompressed raw data file.  See the
             'filename' and 'INFILE' statements.
  Other changes may be user and platform specific.                                    
  NOTE:  A value of -1 (or -1/# of implied decimals) indicates 'Not in Universe'     */
/*------------------------------------------------------------------------------------*/

*options obs=100;
*options compress=yes;
*Choose compress=yes to save space ;
*Choose compress=no if converting to another package using transfer software ;
*options pagesize=59 linesize=72;

/*------------------------------------------------------------------------------------*/


libname library './';

*See the codebook for more detail;
PROC FORMAT cntlout=library.fsp96t12;

/*
The PROC FORMAT statement will store the formats in a sas data set called fsip96t12
To use the stored formats in a subsequent program, include something like this:

proc format cntlin=library.fsp96t12;
PROC freq;
        tables pesex ;
        format pesex      P135L.;

For more information, consult the SAS Procedures Guide section of PROC FORMAT
*/
;
VALUE SPANEL  	(default=32)
	1996      =  "Panel Year"                    
;
VALUE TFIPSST 	(default=32)
	1         =  "Alabama"                       
	2         =  "Alaska"                        
	4         =  "Arizona"                       
	5         =  "Arkansas"                      
	6         =  "California"                    
	8         =  "Colorado"                      
	9         =  "Connecticut"                   
	10        =  "Delaware"                      
	11        =  "DC"                            
	12        =  "Florida"                       
	13        =  "Georgia"                       
	15        =  "Hawaii"                        
	16        =  "Idaho"                         
	17        =  "Illinois"                      
	18        =  "Indiana"                       
	19        =  "Iowa"                          
	20        =  "Kansas"                        
	21        =  "Kentucky"                      
	22        =  "Louisiana"                     
	24        =  "Maryland"                      
	25        =  "Massachusetts"                 
	26        =  "Michigan"                      
	27        =  "Minnesota"                     
	28        =  "Mississippi"                   
	29        =  "Missouri"                      
	30        =  "Montana"                       
	31        =  "Nebraska"                      
	32        =  "Nevada"                        
	33        =  "New Hampshire"                 
	34        =  "New Jersey"                    
	35        =  "New Mexico"                    
	36        =  "New York"                      
	37        =  "North Carolina"                
	39        =  "Ohio"                          
	40        =  "Oklahoma"                      
	41        =  "Oregon"                        
	42        =  "Pennsylvania"                  
	44        =  "Rhode Island"                  
	45        =  "South Carolina"                
	47        =  "Tennessee"                     
	48        =  "Texas"                         
	49        =  "Utah"                          
	51        =  "Virginia"                      
	53        =  "Washington"                    
	54        =  "West Virginia"                 
	55        =  "Wisconsin"                     
	61        =  "Maine, Vermont"                
	62        =  "North Dakota, South Dakota,"   
;
VALUE SINTHHID	(default=32)
	0         =  "Not in universe"               
;
VALUE EOUTCOME	(default=32)
	201       =  "Completed interview"           
	203       =  "Compl. partial- missing data; no"
	207       =  "Complete partial - TYPE-Z; no" 
	213       =  "TYPE-A, language problem"      
	215       =  "TYPE-A, insufficient partial"  
	216       =  "TYPE-A, no one home (noh)"     
	217       =  "TYPE-A, temporarily absent (ta)"
	218       =  "TYPE-A, hh refused"            
	219       =  "TYPE-A, other occupied (specify)"
	234       =  "TYPE-B, entire hh institut. or"
	248       =  "TYPE-C, other (specify)"       
	249       =  "TYPE-C, sample adjustment"     
	250       =  "TYPE-C, hh deceased"           
	251       =  "TYPE-C, moved out of country"  
	252       =  "TYPE-C, living in armed forces"
	253       =  "TYPE-C, on active duty in Armed"
	254       =  "TYPE-C, no one over age 15 years"
	255       =  "TYPE-C, no Wave 1 persons"     
	260       =  "TYPE-D, moved address unknown" 
	261       =  "TYPE-D, moved w/in U.S. but"   
	262       =  "Merged with another SIPP"      
	270       =  "Mover, no longer located in same"
	271       =  "Mover, new address located in" 
	280       =  "Newly spawned case outside fr's"
;
VALUE RFID2L  	(default=32)
	0         =  "Member of related subfamily"   
;
VALUE EPOPSTAT	(default=32)
	1         =  "Adult (15 years of age or older)"
	2         =  "Child (Under 15 years of age)" 
;
VALUE EPPINTVW	(default=32)
	1         =  "Interview (self)"              
	2         =  "Interview (proxy)"             
	3         =  "Noninterview - Type Z"         
	4         =  "Nonintrvw - pseudo Type Z.  Left"
	5         =  "Children under 15 during"      
;
VALUE EPPMIS4L	(default=32)
	1         =  "Interview"                     
	2         =  "Non-interview"                 
;
VALUE ESEX    	(default=32)
	1         =  "Male"                          
	2         =  "Female"                        
;
VALUE ERACE   	(default=32)
	1         =  "White"                         
	2         =  "Black"                         
	3         =  "American Indian, Aleut, or"    
	4         =  "Asian or Pacific Islander"     
;
VALUE EORIGIN 	(default=32)
	1         =  "Canadian"                      
	2         =  "Dutch"                         
	3         =  "English"                       
	4         =  "French"                        
	5         =  "French-Canadian"               
	6         =  "German"                        
	7         =  "Hungarian"                     
	8         =  "Irish"                         
	9         =  "Italian"                       
	10        =  "Polish"                        
	11        =  "Russian"                       
	12        =  "Scandinavian"                  
	13        =  "Scotch-Irish"                  
	14        =  "Scottish"                      
	15        =  "Slovak"                        
	16        =  "Welsh"                         
	17        =  "Other European"                
	20        =  "Mexican"                       
	21        =  "Mexican-American"              
	22        =  "Chicano"                       
	23        =  "Puerto Rican"                  
	24        =  "Cuban"                         
	25        =  "Central American"              
	26        =  "South American"                
	27        =  "Dominican Republic"            
	28        =  "Other Hispanic"                
	30        =  "African-American or"           
	31        =  "American Indian, Eskimo, or"   
	32        =  "Arab"                          
	33        =  "Asian"                         
	34        =  "Pacific Islander"              
	35        =  "West Indian"                   
	39        =  "Another group not listed"      
	40        =  "American"                      
;
VALUE ERRP    	(default=32)
	1         =  "Reference person w/ rel. persons"
	2         =  "Reference Person w/out rel."   
	3         =  "Spouse of reference person"    
	4         =  "Child of reference person"     
	5         =  "Grandchild of reference person"
	6         =  "Parent of reference person"    
	7         =  "Brother/sister of reference"   
	8         =  "Other relative of reference"   
	9         =  "Foster child of reference person"
	10        =  "Unmarried partner of reference"
	11        =  "Housemate/roommate"            
	12        =  "Roomer/boarder"                
	13        =  "Other non-relative of reference"
;
VALUE TAGE    	(default=32)
	0         =  "Less than 1 full year old"     
;
VALUE EMS     	(default=32)
	1         =  "Married, spouse present"       
	2         =  "Married, Spouse absent"        
	3         =  "Widowed"                       
	4         =  "Divorced"                      
	5         =  "Separated"                     
	6         =  "Never Married"                 
;
VALUE EPNSPOUS	(default=32)
	9999      =  "Spouse not in hhld or person not"
;
VALUE EPNMOM  	(default=32)
	9999      =  "No mother in household"        
;
VALUE EPNDAD  	(default=32)
	9999      =  "No father in household"        
;
VALUE EPNGUARD	(default=32)
	-1        =  "Not in universe"               
	9999      =  "Guardian not in household"     
;
VALUE RDESGPNT	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE EEDUCATE	(default=32)
	-1        =  "Not in universe"               
	31        =  "Less than 1st grade"           
	32        =  "1st, 2nd, 3rd or 4th grade"    
	33        =  "5th or 6th grade"              
	34        =  "7th or 8th grade"              
	35        =  "9th grade"                     
	36        =  "10th grade"                    
	37        =  "11th grade"                    
	38        =  "12th grade"                    
	39        =  "High school graduate - high"   
	40        =  "Some college but no degree"    
	41        =  "Diploma or certificate from a" 
	42        =  "Associate degree in college -" 
	43        =  "Associate Degree in college -" 
	44        =  "Bachelors degree (For example:"
	45        =  "Master's degree (For example:" 
	46        =  "Professional School Degree (For"
	47        =  "Doctorate degree (For example:"
;
VALUE EHREUNV 	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE EREMOBHO	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AREMOBHO	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHOWNERO	(default=32)
	-1        =  "Not in universe"               
;
VALUE AHOWNERO	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHOWNERK	(default=32)
	-1        =  "Not in universe"               
;
VALUE AHOWNERK	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)}"
;
VALUE EHOWNERL	(default=32)
	-1        =  "Not in universe"               
;
VALUE EHBUYMO 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AHBUYMO 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHBUYYR 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AHBUYYR 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHMORT  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AHMORT  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ENUMMORT	(default=32)
	-1        =  "Not in universe"               
;
VALUE ANUMMORT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TMOR1PR 	(default=32)
	0         =  "Not in universe"               
;
VALUE AMOR1PR 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR1YR 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AMOR1YR 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR1MO 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AMOR1MO 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TMOR1AMT	(default=32)
	0         =  "None or not in universe"       
;
VALUE AMOR1AMT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR1YRS	(default=32)
	-1        =  "Not in universe"               
;
VALUE AMOR1YRS	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR1INT	(default=32)
	-1        =  "Not in universe"               
;
VALUE AMOR1INT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR1VAR	(default=32)
	-1        =  "Not in universe"               
	1         =  "Variable interest rate"        
	2         =  "Fixed interest rate"           
;
VALUE AMOR1VAR	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR1PGM	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes - FHA LOAN"                
	2         =  "Yes - VA LOAN"                 
	3         =  "No"                            
;
VALUE AMOR1PGM	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TMOR2PR 	(default=32)
	0         =  "Not in universe"               
	1         =  "Flag indicating principal on"  
;
VALUE AMOR2PR 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR2YR 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AMOR2YR 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR2MO 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AMOR2MO 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TMOR2AMT	(default=32)
	0         =  "None or not in universe"       
	1         =  "Flag indicating second mortgage"
;
VALUE AMOR2AMT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR2YRS	(default=32)
	-1        =  "Not in universe"               
;
VALUE AMOR2YRS	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR2INT	(default=32)
	-1        =  "Not in universe"               
;
VALUE AMOR2INT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR2VAR	(default=32)
	-1        =  "Not in universe"               
	1         =  "Variable interest rate"        
	2         =  "Fixed interest rate"           
;
VALUE AMOR2VAR	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR2PGM	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes-FHA loan"                  
	2         =  "Yes-VA loan"                   
	3         =  "No"                            
;
VALUE AMOR2PGM	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TMOR3PR 	(default=32)
	0         =  "None or not in universe"       
	1         =  "Flag indicating principal"     
;
VALUE AMOR3PR 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TPROPVAL	(default=32)
	0         =  "None or not in universe"       
;
VALUE APROPVAL	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMHLOAN 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AMHLOAN 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMHTYPE 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Mobile home only"              
	2         =  "Site only"                     
	3         =  "Site and home"                 
;
VALUE AMHTYPE 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TMHPR   	(default=32)
	0         =  "None or not in universe"       
;
VALUE AMHPR   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TMHVAL  	(default=32)
	0         =  "None or not in universe"       
;
VALUE AMHVAL  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE THOMEAMT	(default=32)
	0         =  "None or not in universe"       
;
VALUE AHOMEAMT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TUTILS  	(default=32)
	0         =  "None or not in universe"       
;
VALUE AUTILS  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EPERSPAY	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE APERSPAY	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EPERSPYA	(default=32)
	-1        =  "Not in universe"               
;
VALUE APERSPYA	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EPERSPYK	(default=32)
	-1        =  "Not in universe"               
;
VALUE APERSPYK	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EPERSPYL	(default=32)
	-1        =  "Not in universe"               
;
VALUE EPERSPYM	(default=32)
	-1        =  "Not in universe"               
;
VALUE TPERSAMA	(default=32)
	0         =  "None or not in universe"       
;
VALUE APERSAMA	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TPERSAMK	(default=32)
	0         =  "None or not in universe"       
;
VALUE APERSAMK	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TPERSAML	(default=32)
	0         =  "None or not in universe"       
;
VALUE APERSAML	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EPAYCARE	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE APAYCARE	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TCARECST	(default=32)
	0         =  "None or not in universe"       
;
VALUE ACARECST	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOTHRE  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AOTHRE  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOTHREOE	(default=32)
	-1        =  "Not in universe"               
;
VALUE AOTHREOE	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOTHREOK	(default=32)
	-1        =  "Not in universe"               
;
VALUE EOTHREOL	(default=32)
	-1        =  "Not in universe"               
;
VALUE TOTHREVA	(default=32)
	0         =  "None or not in universe"       
;
VALUE AOTHREVA	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EAUTOOWN	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AAUTOOWN	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EAUTONUM	(default=32)
	-1        =  "Not in universe"               
;
VALUE AAUTONUM	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EA1OWN1L	(default=32)
	-1        =  "Not in universe"               
;
VALUE AA1OWN1L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EA1OWN2L	(default=32)
	-1        =  "Not in universe"               
;
VALUE TCARVALM	(default=32)
	0         =  "None or not in universe"       
;
VALUE ACARVALM	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TA1YEAR 	(default=32)
	-1        =  "Not in universe"               
	9999      =  "Dont Know, Refusal, Blanks from"
;
VALUE EA1OWED 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Money owed"                    
	2         =  "Free and clear"                
;
VALUE AA1OWED 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TA1AMT  	(default=32)
	0         =  "None or not in universe"       
;
VALUE AA1AMT  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EA1USE  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AA1USE  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EA2OWN1L	(default=32)
	-1        =  "Not in universe"               
;
VALUE AA2OWN1L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EA2OWN2L	(default=32)
	-1        =  "Not in universe"               
;
VALUE TCARVALE	(default=32)
	0         =  "None or not in universe"       
;
VALUE ACARVALE	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TA2YEAR 	(default=32)
	-1        =  "Not in universe"               
	9999      =  "Dont Know, Refusal, Blanks from"
;
VALUE EA2OWED 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Money owed"                    
	2         =  "Free and clear"                
;
VALUE AA2OWED 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TA2AMT  	(default=32)
	0         =  "None or not in universe"       
;
VALUE AA2AMT  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EA2USE  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AA2USE  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EA3OWN1L	(default=32)
	-1        =  "Not in universe"               
;
VALUE AA3OWN1L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EA3OWN2L	(default=32)
	-1        =  "Not in universe"               
;
VALUE TCARVALK	(default=32)
	0         =  "None or not in universe"       
;
VALUE ACARVALK	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TA3YEAR 	(default=32)
	-1        =  "Not in universe"               
	9999      =  "Dont Know, Refusal, Blanks from"
;
VALUE EA3OWED 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Money owed"                    
	2         =  "Free and clear"                
;
VALUE AA3OWED 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TA3AMT  	(default=32)
	0         =  "None or not in universe"       
;
VALUE AA3AMT  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EA3USE  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AA3USE  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOTHVEH 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AOTHVEH 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOVMTRCY	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AOVMTRCY	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOVBOAT 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AOVBOAT 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOVRV   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "Not"                           
;
VALUE AOVRV   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOVOTHRV	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "Not"                           
;
VALUE AOVOTHRV	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOV1OWNV	(default=32)
	-1        =  "Not in universe"               
;
VALUE AOV1OWNV	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOV1OWNK	(default=32)
	-1        =  "Not in universe"               
;
VALUE TOV1VAL 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AOV1VAL 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOV1OWE 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Money owed"                    
	2         =  "Free and clear"                
;
VALUE AOV1OWE 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TOV1AMT 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AOV1AMT 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOV2OWNT	(default=32)
	-1        =  "Not in universe"               
;
VALUE AOV2OWNT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOV2OWNK	(default=32)
	-1        =  "Not in universe"               
;
VALUE TOV2VAL 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AOV2VAL 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOV2OWE 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Money owed"                    
	2         =  "Free and clear"                
;
VALUE AOV2OWE 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TOV2AMT 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AOV2AMT 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE THHTNW  	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHTWLTH	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHTHEQ 	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHMORTG	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHVEHCL	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHBEQ  	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHINTBK	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHINTOT	(default=32)
	0         =  "None or Not in universe"       
;
VALUE RHHSTK  	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHORE  	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHOTAST	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHIRA  	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHDEBT 	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHSCDBT	(default=32)
	0         =  "None or Not in universe"       
;
VALUE RHHUSCBT	(default=32)
	0         =  "None or Not in universe"       
;
VALUE EPALUNV 	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE EALOW   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALOW   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALOWA  	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALOWA  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALSB   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALSB   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TALSBV  	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALSBV  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALJCH  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALJCH  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TALJCHA 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALJCHA 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALJDB  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALJDB  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALJDL  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALJDL  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALJDO  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALJDO  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALJDAB 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALJDAB 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALJDAL 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALJDAL 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALJDAO 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALJDAO 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALICH  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALICH  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TALICHA 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALICHA 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALIL   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALIL   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALIDB  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALIDB  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALIDL  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALIDL  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALIDO  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALIDO  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALIDAB 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALIDAB 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALIDAL 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALIDAL 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALIDAO 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALIDAO 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALR    	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALR    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALRY   	(default=32)
	-1        =  "Not in universe"               
	0         =  "None"                          
;
VALUE AALRY   	(default=32)
	0         =  "Not Imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TALRB   	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALRB   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALRA1L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE AALRA1L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALRA2L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE AALRA2L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALRA3L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE AALRA3L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALRA4L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE AALRA4L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALK    	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALK    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALKY   	(default=32)
	-1        =  "Not in universe"               
	0         =  "None"                          
;
VALUE AALKY   	(default=32)
	0         =  "Not Imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TALKB   	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALKB   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALKA1L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE AALKA1L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALKA2L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE AALKA2L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALKA3L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE AALKA3L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALKA4L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE AALKA4L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALT    	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALT    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALTY   	(default=32)
	-1        =  "Not in universe"               
	0         =  "None"                          
;
VALUE AALTY   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TALTB   	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALTB   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALTA1L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE AALTA1L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALTA2L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE AALTA2L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALTA3L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE AALTA3L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALTA4L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE AALTA4L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALLI   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALLI   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TALLIV  	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALLIV  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALLIT  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Term only"                     
	2         =  "Whole life only"               
	3         =  "Both types"                    
;
VALUE AALLIT  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALLIE  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALLIE  	(default=32)
	0         =  "Not Imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TALLIEV 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALLIEV 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EPCWUNV 	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE EHTOTAL 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AHTOTAL 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EWEIGHNS	(default=32)
	-1        =  "Not in universe"               
;
VALUE AWEIGHNS	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EDAYCARE	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ADAYCARE	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ECAREMTH	(default=32)
	-1        =  "Not in universe"               
	1         =  "0-3 Months"                    
	2         =  "4-6 Months"                    
	3         =  "7-11 Months"                   
	4         =  "12-17 Months"                  
	5         =  "18-23 Months"                  
	6         =  "24 or more Months"             
;
VALUE ACAREMTH	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold Deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHRSCARE	(default=32)
	-1        =  "Not in universe"               
;
VALUE AHRSCARE	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ELIVAPAT	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ALIVAPAT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ENOTABLE	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
	3         =  "Sometimes yes, sometimes no"   
;
VALUE ANOTABLE	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation"            
;
VALUE EPASTMON	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE APASTMON	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE EOUTING 	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
;
VALUE AOUTING 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ETOTREAD	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
;
VALUE ATOTREAD	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EPARREAD	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
;
VALUE APARREAD	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EDADREAD	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
;
VALUE ADADREAD	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ETVRULES	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ATVRULES	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ETIMESTV	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ATIMESTV	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHOUSTV 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AHOUSTV 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EEATBKF 	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
;
VALUE AEATBKF 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EEATDINN	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
;
VALUE AEATDINN	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EDADBRKF	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
;
VALUE ADADBRKF	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EDADDINN	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
;
VALUE ADADDINN	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EFUNTIME	(default=32)
	-1        =  "Not in universe"               
	1         =  "Never"                         
	2         =  "About once a week (or less)"   
	3         =  "A few times a week"            
	4         =  "One or two times a day"        
	5         =  "Many times each day"           
;
VALUE AFUNTIME	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EDADFUN 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Never"                         
	2         =  "About once a week (or less)"   
	3         =  "A few times a week"            
	4         =  "One or two times a day"        
	5         =  "Many times each day"           
;
VALUE ADADFUN 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EPRAISE 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Never"                         
	2         =  "About once a week (or less)"   
	3         =  "A few times a week"            
	4         =  "One or two times a day"        
	5         =  "Many times each day"           
;
VALUE APRAISE 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EDADPRAI	(default=32)
	-1        =  "Not in universe"               
	1         =  "Never"                         
	2         =  "About once a week (or less)"   
	3         =  "A few times a week"            
	4         =  "One or two times a day"        
	5         =  "Many times each day"           
;
VALUE ADADPRAI	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EFARSCHO	(default=32)
	-1        =  "Not in universe"               
	1         =  "Leave school before graduation"
	2         =  "Graduate from high school"     
	3         =  "Get some college or other"     
	4         =  "Graduate from college"         
	5         =  "Take further education or"     
;
VALUE AFARSCHO	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EDADFAR 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Leave school before graduation"
	2         =  "Graduate from high school"     
	3         =  "Get some college or other"     
	4         =  "Graduate from college"         
	5         =  "Take further education or"     
;
VALUE ADADFAR 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ETHINKSC	(default=32)
	-1        =  "Not in universe"               
	1         =  "Leave school before graduation"
	2         =  "Graduate from high school"     
	3         =  "Get some college or other"     
	4         =  "Graduate from college"         
	5         =  "Take further education or"     
;
VALUE ATHINKSC	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EATKINDG	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AATKINDG	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EKINDAGE	(default=32)
	-1        =  "Not in universe"               
;
VALUE AKINDAGE	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EFIRGRAD	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AFIRGRAD	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESTRTAGE	(default=32)
	-1        =  "Not in universe"               
;
VALUE ASTRTAGE	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EKINDELE	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AKINDELE	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHIGHGRA	(default=32)
	-3        =  "None (No grade completed)"     
	-1        =  "Not in universe"               
	1         =  "Kindergarten"                  
	2         =  "First grade"                   
	3         =  "Second grade"                  
	4         =  "Third grade"                   
	5         =  "Fourth grade"                  
	6         =  "Fifth grade"                   
	7         =  "Sixth grade"                   
	8         =  "Seventh grade"                 
	9         =  "Eighth grade"                  
	10        =  "Ninth grade"                   
	11        =  "Tenth grade"                   
	12        =  "Eleventh grade"                
	13        =  "Twelfth grade"                 
	14        =  "College, one year or more"     
;
VALUE AHIGHGRA	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ECURRERL	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ACURRERL	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EGRDEATT	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
	1         =  "Kindergarten"                  
	2         =  "First grade"                   
	3         =  "Second grade"                  
	4         =  "Third grade"                   
	5         =  "Fourth grade"                  
	6         =  "Fifth grade"                   
	7         =  "Sixth grade"                   
	8         =  "Seventh grade"                 
	9         =  "Eighth grade"                  
	10        =  "Ninth grade"                   
	11        =  "Tenth grade"                   
	12        =  "Eleventh grade"                
	13        =  "Twelfth grade"                 
	14        =  "College, one year or more"     
;
VALUE AGRDEATT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EPUBPRIV	(default=32)
	-1        =  "Not in universe"               
	1         =  "Public"                        
	2         =  "Private"                       
;
VALUE APUBPRIV	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EASSSCHL	(default=32)
	-1        =  "Not in universe"               
	1         =  "Assigned"                      
	2         =  "Chosen"                        
	3         =  "Both -- assigned school is"    
;
VALUE AASSSCHL	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERELISCH	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARELISCH	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESPECSCH	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ASPECSCH	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESPORTEA	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ASPORTEA	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ELESSONS	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ALESSONS	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ECLUBSCH	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ACLUBSCH	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ELIKESCH	(default=32)
	-1        =  "Not in universe"               
	1         =  "Not true"                      
	2         =  "Sometimes true"                
	3         =  "Often true"                    
;
VALUE ALIKESCH	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EINTSCHL	(default=32)
	-1        =  "Not in universe"               
	1         =  "Not true"                      
	2         =  "Sometimes true"                
	3         =  "Often true"                    
;
VALUE AINTSCHL	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EWKSHARD	(default=32)
	-1        =  "Not in universe"               
	1         =  "Not true"                      
	2         =  "Sometimes true"                
	3         =  "Often true"                    
;
VALUE AWKSHARD	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ECHGSCHL	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ACHGSCHL	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ETIMCHAN	(default=32)
	-1        =  "Not in universe"               
;
VALUE ATIMCHAN	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EREPGRAD	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AREPGRAD	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EGRDRPTD	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
	1         =  "Kindergarten"                  
	2         =  "First grade"                   
	3         =  "Second grade"                  
	4         =  "Third grade"                   
	5         =  "Fourth grade"                  
	6         =  "Fifth grade"                   
	7         =  "Sixth grade"                   
	8         =  "Seventh grade"                 
	9         =  "Eighth grade"                  
	10        =  "Ninth grade"                   
	11        =  "Tenth grade"                   
	12        =  "Eleventh grade"                
	13        =  "Twelfth grade"                 
;
VALUE EGRDRPTK	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
	1         =  "Kindergarten"                  
	2         =  "First grade"                   
	3         =  "Second grade"                  
	4         =  "Third grade"                   
	5         =  "Fourth grade"                  
	6         =  "Fifth grade"                   
	7         =  "Sixth grade"                   
	8         =  "Seventh grade"                 
	9         =  "Eighth grade"                  
	10        =  "Ninth grade"                   
	11        =  "Tenth grade"                   
	12        =  "Eleventh grade"                
	13        =  "Twelfth grade"                 
;
VALUE EGRDRPTL	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
	0         =  "Fewer than five grades reported"
	1         =  "First grade"                   
	2         =  "Second grade"                  
	3         =  "Third grade"                   
	4         =  "Fourth grade"                  
	5         =  "Fifth grade"                   
	6         =  "Sixth grade"                   
	7         =  "Seventh grade"                 
	8         =  "Eighth grade"                  
	9         =  "Ninth grade"                   
	10        =  "Tenth grade"                   
	11        =  "Eleventh grade"                
	12        =  "Twelfth grade"                 
	13        =  "Kindergarten"                  
;
VALUE EGRDRPTM	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
	0         =  "Fewer than five grades reported"
	1         =  "Kindergarten"                  
	2         =  "First grade"                   
	3         =  "Second grade"                  
	4         =  "Third grade"                   
	5         =  "Fourth grade"                  
	6         =  "Fifth grade"                   
	7         =  "Sixth grade"                   
	8         =  "Seventh grade"                 
	9         =  "Eighth grade"                  
	10        =  "Ninth grade"                   
	11        =  "Tenth grade"                   
	12        =  "Eleventh grade"                
	13        =  "Twelfth grade"                 
;
VALUE EGRDRPTN	(default=32)
	-3        =  "None"                          
	-1        =  "Not in universe"               
	0         =  "Fewer than five grades reported"
	1         =  "Kindergarten"                  
	2         =  "First grade"                   
	3         =  "Second grade"                  
	4         =  "Third grade"                   
	5         =  "Fourth grade"                  
	6         =  "Fifth grade"                   
	7         =  "Sixth grade"                   
	8         =  "Seventh grade"                 
	9         =  "Eighth grade"                  
	10        =  "Ninth grade"                   
	11        =  "Tenth grade"                   
	12        =  "Eleventh grade"                
	13        =  "Twelfth grade"                 
;
VALUE AGRDRPT 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EEXPSCHL	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AEXPSCHL	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ETIMEXP 	(default=32)
	-1        =  "Not in universe"               
;
VALUE ATIMEXP 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EGRADEXP	(default=32)
	-3        =  "None (No grade completed)"     
	-1        =  "Not in universe"               
	1         =  "Kindergarten"                  
	2         =  "First grade"                   
	3         =  "Second grade"                  
	4         =  "Third grade"                   
	5         =  "Fourth grade"                  
	6         =  "Fifth grade"                   
	7         =  "Sixth grade"                   
	8         =  "Seventh grade"                 
	9         =  "Eighth grade"                  
	10        =  "Ninth grade"                   
	11        =  "Tenth grade"                   
	12        =  "Eleventh grade"                
	13        =  "Twelfth grade"                 
;
VALUE AGRADEXP	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHARDCAR	(default=32)
	-1        =  "Not in universe"               
	1         =  "Never"                         
	2         =  "Sometimes"                     
	3         =  "Often"                         
	4         =  "Very often"                    
;
VALUE AHARDCAR	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EBOTHER 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Never"                         
	2         =  "Sometimes"                     
	3         =  "Often"                         
	4         =  "Very often"                    
;
VALUE ABOTHER 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EGIVUPLF	(default=32)
	-1        =  "Not in universe"               
	1         =  "Never"                         
	2         =  "Sometimes"                     
	3         =  "Often"                         
	4         =  "Very often"                    
;
VALUE AGIVUPLF	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EANGRYCL	(default=32)
	-1        =  "Not in universe"               
	1         =  "Never"                         
	2         =  "Sometimes"                     
	3         =  "Often"                         
	4         =  "Very often"                    
;
VALUE AANGRYCL	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHELPECH	(default=32)
	-1        =  "Not in universe"               
	1         =  "Strongly agree"                
	2         =  "Agree"                         
	3         =  "Disagree"                      
	4         =  "Strongly Disagree"             
	5         =  "Have no opinion"               
;
VALUE AHELPECH	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EWATCHOT	(default=32)
	-1        =  "Not in universe"               
	1         =  "Strongly agree"                
	2         =  "Agree"                         
	3         =  "Disagree"                      
	4         =  "Strongly Disagree"             
	5         =  "Have no opinion"               
;
VALUE AWATCHOT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ECOUNTON	(default=32)
	-1        =  "Not in universe"               
	1         =  "Strongly agree"                
	2         =  "Agree"                         
	3         =  "Disagree"                      
	4         =  "Strongly Disagree"             
	5         =  "Have no opinion"               
;
VALUE ACOUNTON	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EBADPEOP	(default=32)
	-1        =  "Not in universe"               
	1         =  "Strongly agree"                
	2         =  "Agree"                         
	3         =  "Disagree"                      
	4         =  "Strongly Disagree"             
	5         =  "Have no opinion"               
;
VALUE ABADPEOP	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ETRUSTPE	(default=32)
	-1        =  "Not in universe"               
	1         =  "Strongly agree"                
	2         =  "Agree"                         
	3         =  "Disagree"                      
	4         =  "Strongly Disagree"             
	5         =  "Have no opinion"               
;
VALUE ATRUSTPE	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EKEEPINS	(default=32)
	-1        =  "Not in universe"               
	1         =  "Strongly agree"                
	2         =  "Agree"                         
	3         =  "Disagree"                      
	4         =  "Strongly Disagree"             
	5         =  "Have no opinion"               
;
VALUE AKEEPINS	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESAFEPLA	(default=32)
	-1        =  "Not in universe"               
	1         =  "Strongly agree"                
	2         =  "Agree"                         
	3         =  "Disagree"                      
	4         =  "Strongly Disagree"             
	5         =  "Have no opinion"               
;
VALUE ASAFEPLA	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMDUNV  	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE TDONORID	(default=32)
	0         =  "Not in universe or did not"    
	1         =  "Received data from a Donor"    
;
VALUE EHLTSTAT	(default=32)
	-1        =  "Not in universe"               
	1         =  "Excellent"                     
	2         =  "Very Good"                     
	3         =  "Good"                          
	4         =  "Fair"                          
	5         =  "Poor"                          
;
VALUE AHLTSTAT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHOSPSTA	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AHOSPSTA	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHOSPNIT	(default=32)
	0         =  "None or not in universe"       
;
VALUE AHOSPNIT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHREAS1L	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AHREAS1L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHREAS2L	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AHREAS2L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHREAS3L	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AHREAS3L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHREAS4L	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AHREAS4L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHREAS5L	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AHREAS5L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHREAS6L	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AHREAS6L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EDOCNUM 	(default=32)
	0         =  "None or not in universe"       
;
VALUE ADOCNUM 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE THIPAY  	(default=32)
	0         =  "Not in universe or none"       
;
VALUE AHIPAY  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EPRESDRG	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE APRESDRG	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EDALYDRG	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ADALYDRG	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EFLSHYN 	(default=32)
	-2        =  "Refused"                       
	-1        =  "Don't know"                    
	0         =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE EVISDENT	(default=32)
	0         =  "None or not in universe"       
;
VALUE AVISDENT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EDENSEAL	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ADENSEAL	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ELOSTTH 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ALOSTTH 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALLTH  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALLTH  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EVISDOC 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AVISDOC 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMDSPND 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AMDSPND 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMDSPNDS	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AMDSPNDS	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EDAYSICK	(default=32)
	0         =  "None or not in universe"       
;
VALUE ADAYSICK	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TMDPAY  	(default=32)
	0         =  "Not in universe or none"       
;
VALUE AMDPAY  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EREIMB  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Total Cost"                    
	2         =  "Got Reimbursed"                
	3         =  "Expects to get reimbursed but" 
;
VALUE AREIMB  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TREIMBUR	(default=32)
	0         =  "None or not in universe"       
;
VALUE AREIMBUR	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHSPSTAS	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AHSPSTAS	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EPRSDRGS	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE APRSDRGS	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EVSDENTS	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AVSDENTS	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EVSDOCS 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AVSDOCS 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ENOWKYR 	(default=32)
	-1        =  "Not in universe"               
	1         =  "A year or longer"              
	2         =  "less than a year"              
;
VALUE ANOWKYR 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EWKFUTR 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AWKFUTR 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TRMOOPS 	(default=32)
	0         =  "None or not in universe"       
;
VALUE ENOINDNT	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ANOINDNT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ENOINDOC	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ANOINDOC	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ENOINTRT	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ANOINTRT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ENOINCHK	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ANOINCHK	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ENOINDRG	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ANOINDRG	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ENOINPAY	(default=32)
	-1        =  "Not in universe"               
	1         =  "Free"                          
	2         =  "Paid something"                
	3         =  "Both (if respondent volunteers)"
;
VALUE ANOINPAY	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ENOINDIS	(default=32)
	-1        =  "Not in universe"               
	1         =  "Full price"                    
	2         =  "Reduced price"                 
	3         =  "Don't know"                    
;
VALUE ANOINDIS	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ENOININC	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ANOININC	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ENOINCLN	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ENOINER 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ENOINHSP	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ENOINVA 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ENOINDR 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ENOINDDS	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ENOINOTH	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ANOINLOC	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EPOAUNV 	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE EOAEQ   	(default=32)
	0         =  "None or not in universe"       
;
VALUE AOAEQ   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TIAJTA  	(default=32)
	0         =  "None or not in universe"       
;
VALUE AIAJTA  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TIAITA  	(default=32)
	0         =  "None or not in universe"       
;
VALUE AIAITA  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TIMJA   	(default=32)
	0         =  "None or not in universe"       
;
VALUE AIMJA   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TIMIA   	(default=32)
	0         =  "None or not in universe"       
;
VALUE AIMIA   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESMJM   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ASMJM   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESMJS   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ASMJS   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESMJV   	(default=32)
	0         =  "None or not in universe"       
;
VALUE ASMJV   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESMJMA  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ASMJMA  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESMJMAV 	(default=32)
	0         =  "None or not in universe"       
;
VALUE ASMJMAV 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESMI    	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ASMI    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESMIV   	(default=32)
	0         =  "None or not in universe"       
;
VALUE ASMIV   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESMIMA  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ASMIMA  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESMIMAV 	(default=32)
	0         =  "None or not in universe"       
;
VALUE ASMIMAV 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJOWN  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARJOWN  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJNUM  	(default=32)
	0         =  "None or not in universe"       
;
VALUE ARJNUM  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJTYP1L	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARJTYP1L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJTYP2L	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARJTYP2L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJTYP3L	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARJTYP3L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJTYP4L	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARJTYP4L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJTYP5L	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARJTYP5L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJTYP6L	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARJTYP6L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJAT   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARJAT   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJATA  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARJATA  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TRJMV   	(default=32)
	0         =  "None or not in universe"       
;
VALUE ARJMV   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJDEB  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARJDEB  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TRJPRI  	(default=32)
	0         =  "None or not in universe"       
;
VALUE ARJPRI  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERIOWN  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARIOWN  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERINUM  	(default=32)
	0         =  "None or not in universe"       
;
VALUE ARINUM  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERITYPEM	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARITYPEM	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERITYPEK	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARITYPEK	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERITYPEL	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARITYPEL	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERITYPEN	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARITYPEN	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERITYPEO	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARITYPEO	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERITYPEP	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARITYPEP	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERIAT   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARIAT   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERIATA  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARIATA  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TRIMV   	(default=32)
	0         =  "None or not in universe"       
;
VALUE ARIMV   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERIDEB  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARIDEB  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TRIPRI  	(default=32)
	0         =  "None or not in universe"       
;
VALUE ARIPRI  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERTOWN  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARTOWN  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERTNUM  	(default=32)
	0         =  "None or not in universe"       
;
VALUE ARTNUM  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERTTYPEM	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARTTYPEM	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERTTYPEK	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARTTYPEK	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERTTYPEL	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARTTYPEL	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERTTYPEN	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARTTYPEN	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERTTYPEO	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARTTYPEO	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERTTYPEP	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARTTYPEP	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TRTMV   	(default=32)
	0         =  "None or not in universe"       
;
VALUE ARTMV   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERTDEB  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARTDEB  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TRTPRI  	(default=32)
	0         =  "None or not in universe"       
;
VALUE ARTPRI  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TRTSHA  	(default=32)
	0         =  "None or not in universe"       
;
VALUE ARTSHA  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMJP    	(default=32)
	0         =  "None or not in universe"       
;
VALUE AMJP    	(default=32)
	0         =  "Not Imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMIP    	(default=32)
	0         =  "None or not in universe"       
;
VALUE AMIP    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EPVUNV  	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE EPVWK1L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE EPVWK2L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE EPVWK3L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE EPVWK4L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE EPVWK5L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE APVWK   	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE EPVMILWK	(default=32)
	-1        =  "Not in universe"               
;
VALUE APVMILWK	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE EPVPAPRK	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE APVPAPRK	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE EPVPAYWK	(default=32)
	0         =  "Not in universe"               
;
VALUE APVPAYWK	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE EPVCOMUT	(default=32)
	0         =  "Not in universe"               
;
VALUE APVCOMUT	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE EPVWKEXP	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE APVWKEXP	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE EPVANEXP	(default=32)
	0         =  "Not in universe"               
;
VALUE APVANEXP	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE EPVCHILD	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE APVCHILD	(default=32)
	0         =  "no imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE EPVMANCD	(default=32)
	-1        =  "Not in universe"               
;
VALUE APVMANCD	(default=32)
	0         =  "no imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE EPVMOSUP	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE APVMOSUP	(default=32)
	0         =  "no imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE TPVCHPAP	(default=32)
	0         =  "None or not in universe"       
;
VALUE TPVCHPAK	(default=32)
	0         =  "None or not in universe"       
;
VALUE TPVCHPAL	(default=32)
	0         =  "None or not in universe"       
;
VALUE TPVCHPAM	(default=32)
	0         =  "None or not in universe"       
;
VALUE APVCHPA 	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE EVBUNV1L	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE EVBNO1L 	(default=32)
	-1        =  "Not in universe"               
;
VALUE EVBOW1L 	(default=32)
	0         =  "Not in universe"               
;
VALUE AVBOW1L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TVBVA1L 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AVBVA1L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TVBDE1L 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AVBDE1L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EVBUNV2L	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE EVBNO2L 	(default=32)
	-1        =  "Not in universe"               
;
VALUE EVBOW2L 	(default=32)
	0         =  "Not in universe"               
;
VALUE AVBOW2L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TVBVA2L 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AVBVA2L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TVBDE2L 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AVBDE2L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;

filename raw pipe "unzip -p /homes/data/sipp/1996/sipp96t12.zip   ";

data library.sip96t12;

missing A;
infile raw lrecl = 20000 missover ;
* To read in uncompressed file, uncomment INFILE & comment filename & infile lines;
* On a PC, you may need to change the direction of the slashes as in C:\;
*INFILE '/homes/data/sipp/1996/sipp96t12.dat' LRECL=20000 PAD END=EOF;
 


*LENGTH
SSUSEQ     4    
SSUID      $12  
SPANEL     4    
EPPPNUM    $4   
WPFINWGT   8    
EPNSPOUS   4    
EPNMOM     4    
EPNDAD     4    
EPNGUARD   4    
EHOWNER1   4    
EHOWNER2   4    
EHOWNER3   4    
EHBUYYR    4    
TMOR1PR    4    
EMOR1YR    4    
TMOR1AMT   4    
EMOR1INT   8    
EMOR2YR    4    
EMOR2INT   8    
TPROPVAL   4    
TMHPR      4    
TMHVAL     4    
THOMEAMT   4    
EPERSPYA   4    
EPERSPY1   4    
EPERSPY2   4    
EPERSPY3   4    
TPERSAM1   4    
EOTHREO1   4    
EOTHREO2   4    
EOTHREO3   4    
TOTHREVA   4    
EA1OWN1    4    
EA1OWN2    4    
TCARVAL1   4    
TA1YEAR    4    
TA1AMT     4    
EA2OWN1    4    
EA2OWN2    4    
TCARVAL2   4    
TA2YEAR    4    
TA2AMT     4    
EA3OWN1    4    
EA3OWN2    4    
TCARVAL3   4    
TA3YEAR    4    
TA3AMT     4    
EOV1OWN1   4    
EOV1OWN2   4    
TOV1VAL    4    
TOV1AMT    4    
EOV2OWN1   4    
EOV2OWN2   4    
TOV2VAL    4    
TOV2AMT    4    
THHTNW     6    
THHTWLTH   6    
THHTHEQ    6    
THHMORTG   6    
THHVEHCL   6    
THHBEQ     6    
THHINTBK   6    
THHINTOT   6    
RHHSTK     6    
THHORE     6    
THHOTAST   6    
THHIRA     6    
THHDEBT    6    
THHSCDBT   6    
RHHUSCBT   6    
EALOWA     5    
TALSBV     4    
TALJCHA    4    
EALJDAB    5    
EALJDAL    5    
EALJDAO    5    
TALICHA    4    
EALIDAB    5    
EALIDAL    5    
EALIDAO    5    
TALRB      4    
TALKB      4    
TALTB      4    
TALLIV     4    
TALLIEV    4    
THIPAY     4    
TMDPAY     4    
TREIMBUR   4    
TRMOOPS    4    
EOAEQ      5    
TIAJTA     4    
TIAITA     4    
TIMJA      4    
TIMIA      4    
ESMJV      5    
ESMJMAV    5    
ESMIV      5    
ESMIMAV    5    
TRJMV      4    
TRJPRI     4    
TRIMV      4    
TRIPRI     4    
TRTMV      5    
TRTPRI     5    
TRTSHA     5    
EMJP       5    
EMIP       5    
EPVMILWK   4    
EPVPAYWK   4    
EPVCOMUT   4    
EPVANEXP   4    
TPVCHPA1   4    
TPVCHPA2   4    
TPVCHPA3   4    
TPVCHPA4   4    
TVBVA1     5    
TVBDE1     4    
TVBVA2     5    
TVBDE2     4    
DEFAULT=3;


/*-------------------------------------------------------------------------------------*/
/* The following changes in variable names have been made, if necessary:
       '$' to 'd';            '-' to '_';                    '%' to 'p';

   Note:  Variable names in SAS are not case-sensitive                                 */

/*-------------------------------------------------------------------------------------*/

INPUT

@1    SSUSEQ       5. 
@6    SSUID      $12. 
@18   SPANEL       4. 
@22   SWAVE        2. 
@24   SROTATON     1. 
@25   TFIPSST      2. 
@27   SHHADID      3. 
@30   SINTHHID     3. 
@33   EOUTCOME     3. 
@36   RFID         3. 
@39   RFID2        3. 
@42   EPPIDX       3. 
@45   EENTAID     $3. 
@48   EPPPNUM     $4. 
@52   EPOPSTAT     1. 
@53   EPPINTVW     2. 
@55   EPPMIS4      1. 
@56   ESEX         1. 
@57   ERACE        1. 
@58   EORIGIN      2. 
@60   WPFINWGT   10.4 
@70   ERRP         2. 
@72   TAGE         2. 
@74   EMS          1. 
@75   EPNSPOUS     4. 
@79   EPNMOM       4. 
@83   EPNDAD       4. 
@87   EPNGUARD     4. 
@91   RDESGPNT     2. 
@93   EEDUCATE     2. 
@95   EHREUNV      2. 
@97   EREMOBHO     2. 
@99   AREMOBHO     1. 
@100  EHOWNER1     4. 
@104  AHOWNER1     1. 
@105  EHOWNER2     4. 
@109  AHOWNER2     1. 
@110  EHOWNER3     4. 
@114  EHBUYMO      2. 
@116  AHBUYMO      1. 
@117  EHBUYYR      4. 
@121  AHBUYYR      1. 
@122  EHMORT       2. 
@124  AHMORT       1. 
@125  ENUMMORT     2. 
@127  ANUMMORT     1. 
@128  TMOR1PR      6. 
@134  AMOR1PR      1. 
@135  EMOR1YR      4. 
@139  AMOR1YR      1. 
@140  EMOR1MO      2. 
@142  AMOR1MO      1. 
@143  TMOR1AMT     6. 
@149  AMOR1AMT     1. 
@150  EMOR1YRS     3. 
@153  AMOR1YRS     1. 
@154  EMOR1INT    4.2 
@158  AMOR1INT     1. 
@159  EMOR1VAR     2. 
@161  AMOR1VAR     1. 
@162  EMOR1PGM     2. 
@164  AMOR1PGM     1. 
@165  TMOR2PR      1. 
@166  AMOR2PR      1. 
@167  EMOR2YR      4. 
@171  AMOR2YR      1. 
@172  EMOR2MO      2. 
@174  AMOR2MO      1. 
@175  TMOR2AMT     1. 
@176  AMOR2AMT     1. 
@177  EMOR2YRS     3. 
@180  AMOR2YRS     1. 
@181  EMOR2INT    4.2 
@185  AMOR2INT     1. 
@186  EMOR2VAR     2. 
@188  AMOR2VAR     1. 
@189  EMOR2PGM     2. 
@191  AMOR2PGM     1. 
@192  TMOR3PR      1. 
@193  AMOR3PR      1. 
@194  TPROPVAL     6. 
@200  APROPVAL     1. 
@201  EMHLOAN      2. 
@203  AMHLOAN      1. 
@204  EMHTYPE      2. 
@206  AMHTYPE      1. 
@207  TMHPR        5. 
@212  AMHPR        1. 
@213  TMHVAL       6. 
@219  AMHVAL       1. 
@220  THOMEAMT     4. 
@224  AHOMEAMT     1. 
@225  TUTILS       3. 
@228  AUTILS       1. 
@229  EPERSPAY     2. 
@231  APERSPAY     1. 
@232  EPERSPYA     4. 
@236  APERSPYA     1. 
@237  EPERSPY1     4. 
@241  APERSPY1     1. 
@242  EPERSPY2     4. 
@246  EPERSPY3     4. 
@250  TPERSAM1     4. 
@254  APERSAM1     1. 
@255  TPERSAM2     3. 
@258  APERSAM2     1. 
@259  TPERSAM3     3. 
@262  APERSAM3     1. 
@263  EPAYCARE     2. 
@265  APAYCARE     1. 
@266  TCARECST     3. 
@269  ACARECST     1. 
@270  EOTHRE       2. 
@272  AOTHRE       1. 
@273  EOTHREO1     4. 
@277  AOTHREO1     1. 
@278  EOTHREO2     4. 
@282  EOTHREO3     4. 
@286  TOTHREVA     6. 
@292  AOTHREVA     1. 
@293  EAUTOOWN     2. 
@295  AAUTOOWN     1. 
@296  EAUTONUM     2. 
@298  AAUTONUM     1. 
@299  EA1OWN1      4. 
@303  AA1OWN1      1. 
@304  EA1OWN2      4. 
@308  TCARVAL1     5. 
@313  ACARVAL1     1. 
@314  TA1YEAR      4. 
@318  EA1OWED      2. 
@320  AA1OWED      1. 
@321  TA1AMT       5. 
@326  AA1AMT       1. 
@327  EA1USE       2. 
@329  AA1USE       1. 
@330  EA2OWN1      4. 
@334  AA2OWN1      1. 
@335  EA2OWN2      4. 
@339  TCARVAL2     5. 
@344  ACARVAL2     1. 
@345  TA2YEAR      4. 
@349  EA2OWED      2. 
@351  AA2OWED      1. 
@352  TA2AMT       5. 
@357  AA2AMT       1. 
@358  EA2USE       2. 
@360  AA2USE       1. 
@361  EA3OWN1      4. 
@365  AA3OWN1      1. 
@366  EA3OWN2      4. 
@370  TCARVAL3     5. 
@375  ACARVAL3     1. 
@376  TA3YEAR      4. 
@380  EA3OWED      2. 
@382  AA3OWED      1. 
@383  TA3AMT       5. 
@388  AA3AMT       1. 
@389  EA3USE       2. 
@391  AA3USE       1. 
@392  EOTHVEH      2. 
@394  AOTHVEH      1. 
@395  EOVMTRCY     2. 
@397  AOVMTRCY     1. 
@398  EOVBOAT      2. 
@400  AOVBOAT      1. 
@401  EOVRV        2. 
@403  AOVRV        1. 
@404  EOVOTHRV     2. 
@406  AOVOTHRV     1. 
@407  EOV1OWN1     4. 
@411  AOV1OWN1     1. 
@412  EOV1OWN2     4. 
@416  TOV1VAL      5. 
@421  AOV1VAL      1. 
@422  EOV1OWE      2. 
@424  AOV1OWE      1. 
@425  TOV1AMT      5. 
@430  AOV1AMT      1. 
@431  EOV2OWN1     4. 
@435  AOV2OWN1     1. 
@436  EOV2OWN2     4. 
@440  TOV2VAL      5. 
@445  AOV2VAL      1. 
@446  EOV2OWE      2. 
@448  AOV2OWE      1. 
@449  TOV2AMT      5. 
@454  AOV2AMT      1. 
@455  THHTNW      10. 
@465  THHTWLTH    10. 
@475  THHTHEQ     10. 
@485  THHMORTG    10. 
@495  THHVEHCL    10. 
@505  THHBEQ      10. 
@515  THHINTBK    10. 
@525  THHINTOT    10. 
@535  RHHSTK      10. 
@545  THHORE      10. 
@555  THHOTAST    10. 
@565  THHIRA      10. 
@575  THHDEBT     10. 
@585  THHSCDBT    10. 
@595  RHHUSCBT    10. 
@605  EPALUNV      2. 
@607  EALOW        2. 
@609  AALOW        1. 
@610  EALOWA       8. 
@618  AALOWA       1. 
@619  EALSB        2. 
@621  AALSB        1. 
@622  TALSBV       5. 
@627  AALSBV       1. 
@628  EALJCH       2. 
@630  AALJCH       1. 
@631  TALJCHA      4. 
@635  AALJCHA      1. 
@636  EALJDB       2. 
@638  AALJDB       1. 
@639  EALJDL       2. 
@641  AALJDL       1. 
@642  EALJDO       2. 
@644  AALJDO       1. 
@645  EALJDAB      8. 
@653  AALJDAB      1. 
@654  EALJDAL      8. 
@662  AALJDAL      1. 
@663  EALJDAO      8. 
@671  AALJDAO      1. 
@672  EALICH       2. 
@674  AALICH       1. 
@675  TALICHA      4. 
@679  AALICHA      1. 
@680  EALIL        2. 
@682  AALIL        1. 
@683  EALIDB       2. 
@685  AALIDB       1. 
@686  EALIDL       2. 
@688  AALIDL       1. 
@689  EALIDO       2. 
@691  AALIDO       1. 
@692  EALIDAB      8. 
@700  AALIDAB      1. 
@701  EALIDAL      8. 
@709  AALIDAL      1. 
@710  EALIDAO      8. 
@718  AALIDAO      1. 
@719  EALR         2. 
@721  AALR         1. 
@722  EALRY        2. 
@724  AALRY        1. 
@725  TALRB        6. 
@731  AALRB        1. 
@732  EALRA1       2. 
@734  AALRA1       1. 
@735  EALRA2       2. 
@737  AALRA2       1. 
@738  EALRA3       2. 
@740  AALRA3       1. 
@741  EALRA4       2. 
@743  AALRA4       1. 
@744  EALK         2. 
@746  AALK         1. 
@747  EALKY        2. 
@749  AALKY        1. 
@750  TALKB        6. 
@756  AALKB        1. 
@757  EALKA1       2. 
@759  AALKA1       1. 
@760  EALKA2       2. 
@762  AALKA2       1. 
@763  EALKA3       2. 
@765  AALKA3       1. 
@766  EALKA4       2. 
@768  AALKA4       1. 
@769  EALT         2. 
@771  AALT         1. 
@772  EALTY        2. 
@774  AALTY        1. 
@775  TALTB        6. 
@781  AALTB        1. 
@782  EALTA1       2. 
@784  AALTA1       1. 
@785  EALTA2       2. 
@787  AALTA2       1. 
@788  EALTA3       2. 
@790  AALTA3       1. 
@791  EALTA4       2. 
@793  AALTA4       1. 
@794  EALLI        2. 
@796  AALLI        1. 
@797  TALLIV       6. 
@803  AALLIV       1. 
@804  EALLIT       2. 
@806  AALLIT       1. 
@807  EALLIE       2. 
@809  AALLIE       1. 
@810  TALLIEV      6. 
@816  AALLIEV      1. 
@817  EPCWUNV      2. 
@819  EHTOTAL      2. 
@821  AHTOTAL      1. 
@822  EWEIGHNS     2. 
@824  AWEIGHNS     1. 
@825  EDAYCARE     2. 
@827  ADAYCARE     1. 
@828  ECAREMTH     2. 
@830  ACAREMTH     1. 
@831  EHRSCARE     2. 
@833  AHRSCARE     1. 
@834  ELIVAPAT     2. 
@836  ALIVAPAT     1. 
@837  ENOTABLE     2. 
@839  ANOTABLE     1. 
@840  EPASTMON     2. 
@842  APASTMON     1. 
@843  EOUTING      2. 
@845  AOUTING      1. 
@846  ETOTREAD     2. 
@848  ATOTREAD     1. 
@849  EPARREAD     2. 
@851  APARREAD     1. 
@852  EDADREAD     2. 
@854  ADADREAD     1. 
@855  ETVRULES     2. 
@857  ATVRULES     1. 
@858  ETIMESTV     2. 
@860  ATIMESTV     1. 
@861  EHOUSTV      2. 
@863  AHOUSTV      1. 
@864  EEATBKF      2. 
@866  AEATBKF      1. 
@867  EEATDINN     2. 
@869  AEATDINN     1. 
@870  EDADBRKF     2. 
@872  ADADBRKF     1. 
@873  EDADDINN     2. 
@875  ADADDINN     1. 
@876  EFUNTIME     2. 
@878  AFUNTIME     1. 
@879  EDADFUN      2. 
@881  ADADFUN      1. 
@882  EPRAISE      2. 
@884  APRAISE      1. 
@885  EDADPRAI     2. 
@887  ADADPRAI     1. 
@888  EFARSCHO     2. 
@890  AFARSCHO     1. 
@891  EDADFAR      2. 
@893  ADADFAR      1. 
@894  ETHINKSC     2. 
@896  ATHINKSC     1. 
@897  EATKINDG     2. 
@899  AATKINDG     1. 
@900  EKINDAGE     2. 
@902  AKINDAGE     1. 
@903  EFIRGRAD     2. 
@905  AFIRGRAD     1. 
@906  ESTRTAGE     2. 
@908  ASTRTAGE     1. 
@909  EKINDELE     2. 
@911  AKINDELE     1. 
@912  EHIGHGRA     2. 
@914  AHIGHGRA     1. 
@915  ECURRERL     2. 
@917  ACURRERL     1. 
@918  EGRDEATT     2. 
@920  AGRDEATT     1. 
@921  EPUBPRIV     2. 
@923  APUBPRIV     1. 
@924  EASSSCHL     2. 
@926  AASSSCHL     1. 
@927  ERELISCH     2. 
@929  ARELISCH     1. 
@930  ESPECSCH     2. 
@932  ASPECSCH     1. 
@933  ESPORTEA     2. 
@935  ASPORTEA     1. 
@936  ELESSONS     2. 
@938  ALESSONS     1. 
@939  ECLUBSCH     2. 
@941  ACLUBSCH     1. 
@942  ELIKESCH     2. 
@944  ALIKESCH     1. 
@945  EINTSCHL     2. 
@947  AINTSCHL     1. 
@948  EWKSHARD     2. 
@950  AWKSHARD     1. 
@951  ECHGSCHL     2. 
@953  ACHGSCHL     1. 
@954  ETIMCHAN     2. 
@956  ATIMCHAN     1. 
@957  EREPGRAD     2. 
@959  AREPGRAD     1. 
@960  EGRDRPT1     2. 
@962  EGRDRPT2     2. 
@964  EGRDRPT3     2. 
@966  EGRDRPT4     2. 
@968  EGRDRPT5     2. 
@970  AGRDRPT      1. 
@971  EEXPSCHL     2. 
@973  AEXPSCHL     1. 
@974  ETIMEXP      2. 
@976  ATIMEXP      1. 
@977  EGRADEXP     2. 
@979  AGRADEXP     1. 
@980  EHARDCAR     2. 
@982  AHARDCAR     1. 
@983  EBOTHER      2. 
@985  ABOTHER      1. 
@986  EGIVUPLF     2. 
@988  AGIVUPLF     1. 
@989  EANGRYCL     2. 
@991  AANGRYCL     1. 
@992  EHELPECH     2. 
@994  AHELPECH     1. 
@995  EWATCHOT     2. 
@997  AWATCHOT     1. 
@998  ECOUNTON     2. 
@1000 ACOUNTON     1. 
@1001 EBADPEOP     2. 
@1003 ABADPEOP     1. 
@1004 ETRUSTPE     2. 
@1006 ATRUSTPE     1. 
@1007 EKEEPINS     2. 
@1009 AKEEPINS     1. 
@1010 ESAFEPLA     2. 
@1012 ASAFEPLA     1. 
@1013 EMDUNV       2. 
@1015 TDONORID     2. 
@1017 EHLTSTAT     2. 
@1019 AHLTSTAT     1. 
@1020 EHOSPSTA     2. 
@1022 AHOSPSTA     1. 
@1023 EHOSPNIT     3. 
@1026 AHOSPNIT     1. 
@1027 EHREAS1      2. 
@1029 AHREAS1      1. 
@1030 EHREAS2      2. 
@1032 AHREAS2      1. 
@1033 EHREAS3      2. 
@1035 AHREAS3      1. 
@1036 EHREAS4      2. 
@1038 AHREAS4      1. 
@1039 EHREAS5      2. 
@1041 AHREAS5      1. 
@1042 EHREAS6      2. 
@1044 AHREAS6      1. 
@1045 EDOCNUM      3. 
@1048 ADOCNUM      1. 
@1049 THIPAY       4. 
@1053 AHIPAY       1. 
@1054 EPRESDRG     2. 
@1056 APRESDRG     1. 
@1057 EDALYDRG     2. 
@1059 ADALYDRG     1. 
@1060 EFLSHYN      2. 
@1062 EVISDENT     3. 
@1065 AVISDENT     1. 
@1066 EDENSEAL     2. 
@1068 ADENSEAL     1. 
@1069 ELOSTTH      2. 
@1071 ALOSTTH      1. 
@1072 EALLTH       2. 
@1074 AALLTH       1. 
@1075 EVISDOC      3. 
@1078 AVISDOC      1. 
@1079 EMDSPND      2. 
@1081 AMDSPND      1. 
@1082 EMDSPNDS     2. 
@1084 AMDSPNDS     1. 
@1085 EDAYSICK     3. 
@1088 ADAYSICK     1. 
@1089 TMDPAY       5. 
@1094 AMDPAY       1. 
@1095 EREIMB       2. 
@1097 AREIMB       1. 
@1098 TREIMBUR     5. 
@1103 AREIMBUR     1. 
@1104 EHSPSTAS     2. 
@1106 AHSPSTAS     1. 
@1107 EPRSDRGS     2. 
@1109 APRSDRGS     1. 
@1110 EVSDENTS     2. 
@1112 AVSDENTS     1. 
@1113 EVSDOCS      2. 
@1115 AVSDOCS      1. 
@1116 ENOWKYR      2. 
@1118 ANOWKYR      1. 
@1119 EWKFUTR      2. 
@1121 AWKFUTR      1. 
@1122 TRMOOPS      6. 
@1128 ENOINDNT     2. 
@1130 ANOINDNT     1. 
@1131 ENOINDOC     2. 
@1133 ANOINDOC     1. 
@1134 ENOINTRT     2. 
@1136 ANOINTRT     1. 
@1137 ENOINCHK     2. 
@1139 ANOINCHK     1. 
@1140 ENOINDRG     2. 
@1142 ANOINDRG     1. 
@1143 ENOINPAY     2. 
@1145 ANOINPAY     1. 
@1146 ENOINDIS     2. 
@1148 ANOINDIS     1. 
@1149 ENOININC     2. 
@1151 ANOININC     1. 
@1152 ENOINCLN     2. 
@1154 ENOINER      2. 
@1156 ENOINHSP     2. 
@1158 ENOINVA      2. 
@1160 ENOINDR      2. 
@1162 ENOINDDS     2. 
@1164 ENOINOTH     2. 
@1166 ANOINLOC     1. 
@1167 EPOAUNV      2. 
@1169 EOAEQ        8. 
@1177 AOAEQ        1. 
@1178 TIAJTA       5. 
@1183 AIAJTA       1. 
@1184 TIAITA       6. 
@1190 AIAITA       1. 
@1191 TIMJA        6. 
@1197 AIMJA        1. 
@1198 TIMIA        6. 
@1204 AIMIA        1. 
@1205 ESMJM        2. 
@1207 ASMJM        1. 
@1208 ESMJS        2. 
@1210 ASMJS        1. 
@1211 ESMJV        8. 
@1219 ASMJV        1. 
@1220 ESMJMA       2. 
@1222 ASMJMA       1. 
@1223 ESMJMAV      8. 
@1231 ASMJMAV      1. 
@1232 ESMI         2. 
@1234 ASMI         1. 
@1235 ESMIV        8. 
@1243 ASMIV        1. 
@1244 ESMIMA       2. 
@1246 ASMIMA       1. 
@1247 ESMIMAV      8. 
@1255 ASMIMAV      1. 
@1256 ERJOWN       2. 
@1258 ARJOWN       1. 
@1259 ERJNUM       2. 
@1261 ARJNUM       1. 
@1262 ERJTYP1      2. 
@1264 ARJTYP1      1. 
@1265 ERJTYP2      2. 
@1267 ARJTYP2      1. 
@1268 ERJTYP3      2. 
@1270 ARJTYP3      1. 
@1271 ERJTYP4      2. 
@1273 ARJTYP4      1. 
@1274 ERJTYP5      2. 
@1276 ARJTYP5      1. 
@1277 ERJTYP6      2. 
@1279 ARJTYP6      1. 
@1280 ERJAT        2. 
@1282 ARJAT        1. 
@1283 ERJATA       2. 
@1285 ARJATA       1. 
@1286 TRJMV        6. 
@1292 ARJMV        1. 
@1293 ERJDEB       2. 
@1295 ARJDEB       1. 
@1296 TRJPRI       6. 
@1302 ARJPRI       1. 
@1303 ERIOWN       2. 
@1305 ARIOWN       1. 
@1306 ERINUM       2. 
@1308 ARINUM       1. 
@1309 ERITYPE1     2. 
@1311 ARITYPE1     1. 
@1312 ERITYPE2     2. 
@1314 ARITYPE2     1. 
@1315 ERITYPE3     2. 
@1317 ARITYPE3     1. 
@1318 ERITYPE4     2. 
@1320 ARITYPE4     1. 
@1321 ERITYPE5     2. 
@1323 ARITYPE5     1. 
@1324 ERITYPE6     2. 
@1326 ARITYPE6     1. 
@1327 ERIAT        2. 
@1329 ARIAT        1. 
@1330 ERIATA       2. 
@1332 ARIATA       1. 
@1333 TRIMV        6. 
@1339 ARIMV        1. 
@1340 ERIDEB       2. 
@1342 ARIDEB       1. 
@1343 TRIPRI       6. 
@1349 ARIPRI       1. 
@1350 ERTOWN       2. 
@1352 ARTOWN       1. 
@1353 ERTNUM       2. 
@1355 ARTNUM       1. 
@1356 ERTTYPE1     2. 
@1358 ARTTYPE1     1. 
@1359 ERTTYPE2     2. 
@1361 ARTTYPE2     1. 
@1362 ERTTYPE3     2. 
@1364 ARTTYPE3     1. 
@1365 ERTTYPE4     2. 
@1367 ARTTYPE4     1. 
@1368 ERTTYPE5     2. 
@1370 ARTTYPE5     1. 
@1371 ERTTYPE6     2. 
@1373 ARTTYPE6     1. 
@1374 TRTMV        7. 
@1381 ARTMV        1. 
@1382 ERTDEB       2. 
@1384 ARTDEB       1. 
@1385 TRTPRI       7. 
@1392 ARTPRI       1. 
@1393 TRTSHA       7. 
@1400 ARTSHA       1. 
@1401 EMJP         8. 
@1409 AMJP         1. 
@1410 EMIP         8. 
@1418 AMIP         1. 
@1419 EPVUNV       2. 
@1421 EPVWK1       2. 
@1423 EPVWK2       2. 
@1425 EPVWK3       2. 
@1427 EPVWK4       2. 
@1429 EPVWK5       2. 
@1431 APVWK        1. 
@1432 EPVMILWK     4. 
@1436 APVMILWK     1. 
@1437 EPVPAPRK     2. 
@1439 APVPAPRK     1. 
@1440 EPVPAYWK     4. 
@1444 APVPAYWK     1. 
@1445 EPVCOMUT     5. 
@1450 APVCOMUT     1. 
@1451 EPVWKEXP     2. 
@1453 APVWKEXP     1. 
@1454 EPVANEXP     5. 
@1459 APVANEXP     1. 
@1460 EPVCHILD     2. 
@1462 APVCHILD     1. 
@1463 EPVMANCD     2. 
@1465 APVMANCD     1. 
@1466 EPVMOSUP     2. 
@1468 APVMOSUP     1. 
@1469 TPVCHPA1     4. 
@1473 TPVCHPA2     4. 
@1477 TPVCHPA3     4. 
@1481 TPVCHPA4     4. 
@1485 APVCHPA      1. 
@1486 EVBUNV1      2. 
@1488 EVBNO1       2. 
@1490 EVBOW1       3. 
@1493 AVBOW1       1. 
@1494 TVBVA1       7. 
@1501 AVBVA1       1. 
@1502 TVBDE1       6. 
@1508 AVBDE1       1. 
@1509 EVBUNV2      2. 
@1511 EVBNO2       2. 
@1513 EVBOW2       3. 
@1516 AVBOW2       1. 
@1517 TVBVA2       7. 
@1524 AVBVA2       1. 
@1525 TVBDE2       6. 
@1531 AVBDE2       1. 
;

LABEL
	SSUSEQ    = "SU: Sequence Number of Sample Unit - P"
	SSUID     = "SU: Sample Unit Identifier"            
	SPANEL    = "SU: Sample Code - Indicates Panel Year"
	SWAVE     = "SU: Wave of data collection"           
	SROTATON  = "SU: Rotation of data collection"       
	TFIPSST   = "SU: FIPS State Code for fifth month"   
	SHHADID   = "SU: Hhld Address ID in fourth referenc"
	SINTHHID  = "SU: Hhld Address ID of person in inter"
	EOUTCOME  = "HH: Interview Status code for fifth mo"
	RFID      = "FA: Family ID Number in month four"    
	RFID2     = "FA: Family ID excluding related subfam"
	EPPIDX    = "PE: Person index"                      
	EENTAID   = "PE: Address ID of hhld where person en"
	EPPPNUM   = "PE: Person number"                     
	EPOPSTAT  = "PE: Population status based on age in "
	EPPINTVW  = "PE: Person's interview status at time "
	EPPMIS4   = "PE: Person's 4th month interview statu"
	ESEX      = "PE: Sex of this person"                
	ERACE     = "PE: Race of this person"               
	EORIGIN   = "PE: Origin of this person"             
	WPFINWGT  = "WW: Person weight"                     
	ERRP      = "PE: Household relationship"            
	TAGE      = "PE: Age as of last birthday"           
	EMS       = "PE: Marital status"                    
	EPNSPOUS  = "PE: Person number of spouse"           
	EPNMOM    = "PE: Person number of mother"           
	EPNDAD    = "PE: Person number of father"           
	EPNGUARD  = "PE: Person number of guardian"         
	RDESGPNT  = "PE: Designated parent or guardian flag"
	EEDUCATE  = "ED: Highest Degree received or grade"  
	EHREUNV   = "RE: Universe indicator for Real Estate"
	EREMOBHO  = "RE: Is residence a mobile home?"       
	AREMOBHO  = "RE: Allocation flag for EREMOBHO"      
	EHOWNER1  = "RE: First Owner of home"               
	AHOWNER1  = "RE: Allocation flag for EHOWNER1"      
	EHOWNER2  = "RE: Second Owner of home"              
	AHOWNER2  = "RE: Allocation flag for EHOWNER2"      
	EHOWNER3  = "RE: Third Owner of home"               
	EHBUYMO   = "RE: Month home was purchased"          
	AHBUYMO   = "RE: Allocation flag for EHBUYMO"       
	EHBUYYR   = "RE: Year house was purchased"          
	AHBUYYR   = "RE: Allocation flag for EHBUYYR"       
	EHMORT    = "RE: Mortgage on home"                  
	AHMORT    = "RE: Allocation flag for EHMORT"        
	ENUMMORT  = "RE: Number of debts on this home"      
	ANUMMORT  = "RE: Allocation flag for ENUMMORT"      
	TMOR1PR   = "RE: Principal owed for first, second a"
	AMOR1PR   = "RE: Allocation flag for TMOR1PR"       
	EMOR1YR   = "RE: Year first mortgage obtained"      
	AMOR1YR   = "RE: Allocation flag for EMOR1YR"       
	EMOR1MO   = "RE: Month first mortgage obtained"     
	AMOR1MO   = "RE: Allocation flag for EMOR1MO"       
	TMOR1AMT  = "RE: First and second loan amount"      
	AMOR1AMT  = "RE: Allocation flag for TMOR1AMT"      
	EMOR1YRS  = "RE: Total years for payments of home l"
	AMOR1YRS  = "RE: Allocation flag for EMOR1YRS"      
	EMOR1INT  = "RE: Interest rate on first mortgage"   
	AMOR1INT  = "RE: Allocation flag for EMOR1INT"      
	EMOR1VAR  = "RE: Variable or fixed rate for first h"
	AMOR1VAR  = "RE: Allocation flag for EMOR1VAR"      
	EMOR1PGM  = "RE: First loan FHA/VA mortgage program"
	AMOR1PGM  = "RE: Allocation flag for EMOR1PGM"      
	TMOR2PR   = "RE: Flag indicating principal on secon"
	AMOR2PR   = "RE: Allocation flag for TMOR2PR"       
	EMOR2YR   = "RE: Year 2nd mortgage obtained"        
	AMOR2YR   = "RE: Allocation flag for EMOR2YR"       
	EMOR2MO   = "RE: Month 2nd mortgage obtained"       
	AMOR2MO   = "RE: Allocation flag for EMOR2MO"       
	TMOR2AMT  = "RE: Flag indicating second mortgage"   
	AMOR2AMT  = "RE: Allocation flag for EMOR2AMT"      
	EMOR2YRS  = "RE: Total years for payments of 2nd mo"
	AMOR2YRS  = "RE: Allocation flag for EMOR2YRS"      
	EMOR2INT  = "RE: Interest rate on 2nd mortgage"     
	AMOR2INT  = "RE: Allocation flag for EMOR2INT"      
	EMOR2VAR  = "RE: Variable/fixed rate for 2nd loan"  
	AMOR2VAR  = "RE: Allocation flag for EMOR2VAR"      
	EMOR2PGM  = "RE: 2nd loan FHA/VA mortgage program"  
	AMOR2PGM  = "RE: Allocation flag for EMOR2PGM"      
	TMOR3PR   = "RE: Flag indicating principal owed on "
	AMOR3PR   = "RE: Allocation flag for TMOR3PR"       
	TPROPVAL  = "RE: Current value of property"         
	APROPVAL  = "RE: Allocation flag for TPROPVAL"      
	EMHLOAN   = "RE: Mortgage or debt on mobile home"   
	AMHLOAN   = "RE: Allocation flag for EMHLOAN"       
	EMHTYPE   = "RE: Site or mobile home debt"          
	AMHTYPE   = "RE: Allocation flag for EMHTYPE"       
	TMHPR     = "RE: Amount principal owed on mobile"   
	AMHPR     = "RE: Allocation flag for TMHPR"         
	TMHVAL    = "RE: Amount mobile would sell for"      
	AMHVAL    = "RE: Allocation flag for TMHVAL"        
	THOMEAMT  = "RE: Monthly rent or mortgage"          
	AHOMEAMT  = "RE: Allocation flag for THOMEAMT"      
	TUTILS    = "RE: Amount paid for utilities per mont"
	AUTILS    = "RE: Allocation flag for TUTILS"        
	EPERSPAY  = "RE: More than one person paying rent"  
	APERSPAY  = "RE: Allocation flag for EPERSPAY"      
	EPERSPYA  = "RE: Only one person paid mortgage/rent"
	APERSPYA  = "RE: Allocation flag for EPERSPYA"      
	EPERSPY1  = "RE: First of several persons who paid "
	APERSPY1  = "RE: Allocation flag for EPERSPY1"      
	EPERSPY2  = "RE: 2nd of several persons who paid re"
	EPERSPY3  = "RE: Third of several persons who paid "
	TPERSAM1  = "RE: Amount first person paid for rent" 
	APERSAM1  = "RE: Allocation flag for TPERSAM1"      
	TPERSAM2  = "RE: Amount second person paid for rent"
	APERSAM2  = "RE: Allocation flag for TPERSAM2"      
	TPERSAM3  = "RE: Amount third person paid for rent" 
	APERSAM3  = "RE: Allocation flag for TPERSAM3"      
	EPAYCARE  = "RE: Pay for care of child or disabled "
	APAYCARE  = "RE: Allocation flag for EPAYCARE"      
	TCARECST  = "RE: Amount of care per month"          
	ACARECST  = "RE: Allocation flag for TCARECST"      
	EOTHRE    = "RE: Household owns other real estate"  
	AOTHRE    = "RE: Allocation flag for EOTHRE"        
	EOTHREO1  = "RE: First person owns other real estat"
	AOTHREO1  = "RE: Allocation flag for EOTHREO1"      
	EOTHREO2  = "RE: Second person owns other real esta"
	EOTHREO3  = "RE: Second person owns other real esta"
	TOTHREVA  = "RE: Equity in other real estate"       
	AOTHREVA  = "RE: Allocation flag for TOTHREVA"      
	EAUTOOWN  = "RE: HH member ownership of vehicle"    
	AAUTOOWN  = "RE: Allocation flag for EAUTOOWN"      
	EAUTONUM  = "RE: Number of vehicles owned by HH"    
	AAUTONUM  = "RE: Allocation flag for EAUTONUM"      
	EA1OWN1   = "RE: First owner of first vehicle"      
	AA1OWN1   = "RE: Allocation flag for EA1OWN1"       
	EA1OWN2   = "RE: Second owner of first vehicle"     
	TCARVAL1  = "RE: Car value for first vehicle"       
	ACARVAL1  = "RE: Allocation flag for TCARVAL1"      
	TA1YEAR   = "RE: Car Year for First Vehicle"        
	EA1OWED   = "RE: Money owed for 1st vehicle"        
	AA1OWED   = "RE: Allocation flag for EA1OWED"       
	TA1AMT    = "RE: Amount owed for 1st vehicle"       
	AA1AMT    = "RE: Allocation flag for TA1AMT"        
	EA1USE    = "RE: Primary use of vehicle"            
	AA1USE    = "RE: Allocation flag for EA1USE"        
	EA2OWN1   = "RE: First owner of second vehicle"     
	AA2OWN1   = "RE: Allocation flag for EA2OWN1"       
	EA2OWN2   = "RE: 2nd owner of second vehicle"       
	TCARVAL2  = "RE: Car value for second vehicle"      
	ACARVAL2  = "RE: Allocation flag for TCARVAL2"      
	TA2YEAR   = "RE: Car Year for Second Vehicle"       
	EA2OWED   = "RE: Money owed on the 2nd vehicle"     
	AA2OWED   = "RE: Allocation flag for EA2OWED"       
	TA2AMT    = "RE: Amount owed for second vehicle"    
	AA2AMT    = "RE: Allocation flag for TA2AMT"        
	EA2USE    = "RE: Primary use of vehicle"            
	AA2USE    = "RE: Allocation flag for EA2USE"        
	EA3OWN1   = "RE: 1st owner of third vehicle"        
	AA3OWN1   = "RE: Allocation flag for EA3OWN"        
	EA3OWN2   = "RE: 2nd owner of third vehicle"        
	TCARVAL3  = "RE: Car value for third vehicle"       
	ACARVAL3  = "RE: Allocation flag for TCARVAL3"      
	TA3YEAR   = "RE: Car Year for Third Vehicle"        
	EA3OWED   = "RE: Money owed for third vehicle"      
	AA3OWED   = "RE: Allocation flag for EA3OWED"       
	TA3AMT    = "RE: Amount owed for third vehicle"     
	AA3AMT    = "RE: Allocation flag for TA3AMT"        
	EA3USE    = "RE: Primary use of vehicle"            
	AA3USE    = "RE: Allocation flag for EA3USE"        
	EOTHVEH   = "RE: Own other Vehicle"                 
	AOTHVEH   = "RE: Allocation flag for EOTHVEH"       
	EOVMTRCY  = "RE: Anyone own a motorcycle?"          
	AOVMTRCY  = "RE: Allocation flag for EOVMTRCY"      
	EOVBOAT   = "RE: Anyone own a boat?"                
	AOVBOAT   = "RE: Allocation flag for EOVBOAT"       
	EOVRV     = "RE: Anyone own an RV?"                 
	AOVRV     = "RE: Allocation flag for EOTHVEH2"      
	EOVOTHRV  = "RE: Anyone own any other vehicle"      
	AOVOTHRV  = "RE: Allocation flag for EOVBOAT"       
	EOV1OWN1  = "RE: 1st owner of 1st other vehicle"    
	AOV1OWN1  = "RE: Allocation flag for EOV1OWN1"      
	EOV1OWN2  = "RE: 2nd owner of 1st other vehicle"    
	TOV1VAL   = "RE: 1st other vehicle value"           
	AOV1VAL   = "RE: Allocation flag for TOV1VAL"       
	EOV1OWE   = "RE: Money owed for first other vehicle"
	AOV1OWE   = "RE: Allocation flag for EOV1OWE"       
	TOV1AMT   = "RE: Amount owed for first other vehicl"
	AOV1AMT   = "RE: Allocation flag for TOV1AMT"       
	EOV2OWN1  = "RE: 1st owner of 2nd other vehicle"    
	AOV2OWN1  = "RE: Allocation flag for EOV2OWN1"      
	EOV2OWN2  = "RE: 2nd owner of 2nd other vehicle"    
	TOV2VAL   = "RE: Second other vehicle value"        
	AOV2VAL   = "RE: Allocation flag for TOV2VAL"       
	EOV2OWE   = "RE: Is money owed for 2nd other vehicl"
	AOV2OWE   = "RE: Allocation flag for EOV2OWE"       
	TOV2AMT   = "RE: Amount owed for 2nd other vehicle" 
	AOV2AMT   = "RE: Allocation flag for TOV2AMT"       
	THHTNW    = "RE: Total Net Worth Recode"            
	THHTWLTH  = "RE: Total Wealth recode"               
	THHTHEQ   = "RE: Home Equity recode"                
	THHMORTG  = "RE: Total Debt owed on Home"           
	THHVEHCL  = "RE: Net equity in vehicles"            
	THHBEQ    = "RE: Business Equity"                   
	THHINTBK  = "RE: Interest Earning assets held in ba"
	THHINTOT  = "RE: Interest Earning assets held in ot"
	RHHSTK    = "RE: Equity in stocks and mutual fund s"
	THHORE    = "RE: Equity in real estate that is not "
	THHOTAST  = "RE: Equity in other assets"            
	THHIRA    = "RE: Equity in IRA and KEOGH accounts"  
	THHDEBT   = "RE: Total debt recode"                 
	THHSCDBT  = "RE: Total secured debt recode"         
	RHHUSCBT  = "RE: Total Unsecured Debt"              
	EPALUNV   = "AL: Universe Indicator for Assets and" 
	EALOW     = "AL: Money owed to you for business/pro"
	AALOW     = "AL: Allocation flag for EALOW"         
	EALOWA    = "AL: Amount owed to you for sale"       
	AALOWA    = "AL: Allocation flag for EALOWA"        
	EALSB     = "AL: Did you own U.S. Savings Bonds?"   
	AALSB     = "AL:Allocation flag for EALSB"          
	TALSBV    = "AL: Face Value of U.S. Savings Bonds"  
	AALSBV    = "AL: Allocation flag for TALSBV"        
	EALJCH    = "AL: Jointly owned non-interest earning"
	AALJCH    = "AL: Allocation flag for EALJCH"        
	TALJCHA   = "AL: Estimate of a joint non-interest c"
	AALJCHA   = "AL: Allocation flag for TALJCHA"       
	EALJDB    = "AL: Money owed with spouse for store"  
	AALJDB    = "AL: Allocation flag for EALJDB"        
	EALJDL    = "AL: Money owed with spouse for loans"  
	AALJDL    = "AL: Allocation flag for EALJDL"        
	EALJDO    = "AL: Money owed for other debt with spo"
	AALJDO    = "AL: Allocation flag for EALJDO"        
	EALJDAB   = "AL: Amount owed for credit cards with "
	AALJDAB   = "AL: Allocation flag for EALJDAB"       
	EALJDAL   = "AL: Amount owed for loans with spouse" 
	AALJDAL   = "AL: Allocation flag for EALJDAL"       
	EALJDAO   = "AL: Amount owed for other debt with sp"
	AALJDAO   = "AL: Allocation flag for EALJDAO"       
	EALICH    = "AL: Non-interest checking account in o"
	AALICH    = "AL: Allocation flag for EALICH"        
	TALICHA   = "AL: Estimate of own non-interest check"
	AALICHA   = "AL: Allocation flag for TALICHA"       
	EALIL     = "AL: Debts in own name"                 
	AALIL     = "AL: Allocation flag for EALIL"         
	EALIDB    = "AL: Money owed in own name for store"  
	AALIDB    = "AL: Allocation flag for EALIDB"        
	EALIDL    = "AL: Money owed in own name for loans"  
	AALIDL    = "AL: Allocation flag for EALIDL"        
	EALIDO    = "AL: Money owed in own name for other d"
	AALIDO    = "AL: Allocation flag for EALIDO"        
	EALIDAB   = "AL: Amount owed for store bills/credit"
	AALIDAB   = "AL: Allocation flag for EALIDAB"       
	EALIDAL   = "AL: Amount of loans owed in own name"  
	AALIDAL   = "AL: Allocation flag for EALIDAL"       
	EALIDAO   = "AL: Amount of other debt owed in own n"
	AALIDAO   = "AL: Allocation flag for EALIDAO"       
	EALR      = "AL: IRA account in own name"           
	AALR      = "AL: Allocation flag for EALR"          
	EALRY     = "AL: Number of years contributed to IRA"
	AALRY     = "AL: Allocation flag for EALRY"         
	TALRB     = "AL: Market value of IRA account in own"
	AALRB     = "AL: Allocation flag for TALRB"         
	EALRA1    = "AL: Kinds of assets in IRA accounts"   
	AALRA1    = "AL: Allocation flag for EALRA1"        
	EALRA2    = "AL: Kinds of assets in IRA accounts"   
	AALRA2    = "AL: Allocation flag for EALRA2"        
	EALRA3    = "AL: Kinds of assets in IRA accounts"   
	AALRA3    = "AL: Allocation flag for EALRA3"        
	EALRA4    = "AL: Kinds of assets in IRA accounts"   
	AALRA4    = "AL: Allocation flag for EALRA4"        
	EALK      = "AL: KEOGH account in own name"         
	AALK      = "AL: Allocation flag for EALK"          
	EALKY     = "AL: Years contributed to KEOGH account"
	AALKY     = "AL: Allocation flag for EALKY"         
	TALKB     = "AL: Market value of KEOGH account"     
	AALKB     = "AL: Allocation flag for TALKB"         
	EALKA1    = "AL: Kinds of assets in KEOGH accounts" 
	AALKA1    = "AL: Allocation flag for EALKA1"        
	EALKA2    = "AL: Kinds of assets in KEOGH accounts" 
	AALKA2    = "AL: Allocation flag for EALKA2"        
	EALKA3    = "AL: Kinds of assets in KEOGH accounts" 
	AALKA3    = "AL: Allocation flag for EALKA3"        
	EALKA4    = "AL: Kinds of assets in KEOGH account(s"
	AALKA4    = "AL: Allocation flag for EALKA4"        
	EALT      = "AL: 401K plan in own name"             
	AALT      = "AL: Allocation flag for EALT"          
	EALTY     = "AL: Years contributed to 401K plan"    
	AALTY     = "AL: Allocation flag for EALTY"         
	TALTB     = "AL: Market value of 401K in own name"  
	AALTB     = "AL: Allocation for TALTB"              
	EALTA1    = "AL: Kinds of assets in 401K plan"      
	AALTA1    = "AL: Allocation flag for EALTA1"        
	EALTA2    = "AL: Kinds of assets in 401K plan"      
	AALTA2    = "AL: Allocation flag for EALTA2"        
	EALTA3    = "AL: Kinds of assets in 401K plan"      
	AALTA3    = "AL: Allocation flag for EALTA3"        
	EALTA4    = "AL: Kinds of assets in 401K plan"      
	AALTA4    = "AL: Allocation flag for EALTA4"        
	EALLI     = "AL: Life insurance coverage"           
	AALLI     = "AL: Allocation flag for EALLI"         
	TALLIV    = "AL: Value of life insurance policies"  
	AALLIV    = "AL: Allocation flag for TALLIV"        
	EALLIT    = "AL: Type(s) of life insurance policy"  
	AALLIT    = "AL: Allocation flag for EALLIT"        
	EALLIE    = "AL: Life insurance through employer"   
	AALLIE    = "AL: Allocation flag for EALLIE"        
	TALLIEV   = "AL: Value of life insurance from emplo"
	AALLIEV   = "AL:Allocation for TALLIEV"             
	EPCWUNV   = "CW: Universe indicator."               
	EHTOTAL   = "CW: Height of child in inches"         
	AHTOTAL   = "CW: Allocation flag for EHTOTAL"       
	EWEIGHNS  = "CW: Weight of child"                   
	AWEIGHNS  = "CW: Allocation flag for EWEIGHNS"      
	EDAYCARE  = "CW: Child cared for by daycare or by"  
	ADAYCARE  = "CW: Allocation flag for EDAYCARE"      
	ECAREMTH  = "CW: Age of child when care first provi"
	ACAREMTH  = "CW: Allocation flag for ECAREMO"       
	EHRSCARE  = "CW: Hours per week child was cared for"
	AHRSCARE  = "CW: Allocation flag for EHRSCARE"      
	ELIVAPAT  = "CW: Child ever live apart from designa"
	ALIVAPAT  = "CW: Allocation flag for ELIVAPAT"      
	ENOTABLE  = "CW: Was child sent elsewhere because u"
	ANOTABLE  = "CW: Allocation flag for ENOTABLE"      
	EPASTMON  = "CW: Has child lived away from home dur"
	APASTMON  = "CW: Allocation flag for EPASTMON"      
	EOUTING   = "CW: How often family member took child"
	AOUTING   = "CW: Allocation flag for EOUTING"       
	ETOTREAD  = "CW: How often in past week child read "
	ATOTREAD  = "CW: Allocation flag for ETOTREAD"      
	EPARREAD  = "CW: Number of times in past week child"
	APARREAD  = "CW: Allocation flag for EPARREAD"      
	EDADREAD  = "CW: Number of times past week did Dad "
	ADADREAD  = "CW: Allocation flag for EDADREAD"      
	ETVRULES  = "CW: Family rules about TV programs"    
	ATVRULES  = "CW: Allocation flag for EVTRULE"       
	ETIMESTV  = "CW: Family rules about watching TV ear"
	ATIMESTV  = "CW: Allocation flag for ETIMESTV"      
	EHOUSTV   = "CW: Family rules about number of hours"
	AHOUSTV   = "CW: Allocation flag for EHOUSTV"       
	EEATBKF   = "CW: Number of days you ate breakfast w"
	AEATBKF   = "CW: Allocation flag for EEATBKF"       
	EEATDINN  = "CW: Number of days you ate dinner with"
	AEATDINN  = "CW: Allocation flag for EEATDINN"      
	EDADBRKF  = "CW: Number of days DAD ate breakfast w"
	ADADBRKF  = "CW: Allocation flag for EDADBRKF"      
	EDADDINN  = "CW: Number of days DAD ate dinner with"
	ADADDINN  = "CW: Allocation flag for EDADDINN"      
	EFUNTIME  = "CW: Number of times ... talk or played"
	AFUNTIME  = "CW: Allocation flag for EFUNTIME"      
	EDADFUN   = "CW: Number of times DAD talked or play"
	ADADFUN   = "CW: Allocation flag for EDADFUN"       
	EPRAISE   = "CW: How often did ... praise child"    
	APRAISE   = "CW: Allocation flag for EPRAISE"       
	EDADPRAI  = "CW: How often did DAD praise child"    
	ADADPRAI  = "CW: Allocation flag for EDADPRAI"      
	EFARSCHO  = "CW: Education attainment you would LIK"
	AFARSCHO  = "CW: Allocation flag for EFARSCHO"      
	EDADFAR   = "CW: Education [the father] would LIKE "
	ADADFAR   = "CW: Allocation flag for EDADFAR"       
	ETHINKSC  = "CW: Education attainment you THINK chi"
	ATHINKSC  = "CW: Allocation flag for ETHINKSC"      
	EATKINDG  = "CW: Has child ever attended or enrolle"
	AATKINDG  = "CW: Allocation flag for EATKINDG"      
	EKINDAGE  = "CW: Age of child when first started"   
	AKINDAGE  = "CW: Allocation flag for EKINDAGE"      
	EFIRGRAD  = "CW: Has child ever attended or enrolle"
	AFIRGRAD  = "CW: Allocation flag for EFIRGRAD"      
	ESTRTAGE  = "CW: Age of child when first started fi"
	ASTRTAGE  = "CW: Allocation flag for ESTRTAGE"      
	EKINDELE  = "CW: Child attend/enroll in kindergarte"
	AKINDELE  = "CW: Allocation flag for EKINDELE"      
	EHIGHGRA  = "CW: Highest grade/year child has compl"
	AHIGHGRA  = "CW: Allocation flag for EHIGHGRA"      
	ECURRERL  = "CW: Is child currently attending/enrol"
	ACURRERL  = "CW: Allocation flag for ECURRERL"      
	EGRDEATT  = "CW: Grade/year child is now attending" 
	AGRDEATT  = "CW: Allocation flag for EGRDEATT"      
	EPUBPRIV  = "CW: Is child enrolled in public or pri"
	APUBPRIV  = "CW: Allocation flag for EPUBPRIV"      
	EASSSCHL  = "CW: Assigned or chosen school"         
	AASSSCHL  = "CW: Allocation flag for EASSSCHL"      
	ERELISCH  = "CW: Is school affiliated with a religi"
	ARELISCH  = "CW: Allocation flag for ERELISCH"      
	ESPECSCH  = "CW: Is child a gifted student"         
	ASPECSCH  = "CW: Allocation flag for ESPECSCH"      
	ESPORTEA  = "CW: Is child on a sports team"         
	ASPORTEA  = "CW: Allocation flag for ESPORTEA"      
	ELESSONS  = "CW: Does child take music, dance, lang"
	ALESSONS  = "CW: Allocation flag for ELESSONS"      
	ECLUBSCH  = "CW: Does child participate in any club"
	ACLUBSCH  = "CW: Allocation flag for ECLUBSCH"      
	ELIKESCH  = "CW: Child likes school"                
	ALIKESCH  = "CW: Allocation flag for ELIKESCH"      
	EINTSCHL  = "CW: In child interested in school work"
	AINTSCHL  = "CW: Allocation flag for EINTSCHL"      
	EWKSHARD  = "CW: Does child work hard in school"    
	AWKSHARD  = "CW: Allocation flag for EWKSHARD"      
	ECHGSCHL  = "CW: Has child changed schools"         
	ACHGSCHL  = "CW: Allocation flag for ECHGSCHL"      
	ETIMCHAN  = "CW: Number of times changed schools"   
	ATIMCHAN  = "CW: Allocation flag for ETIMCHAN"      
	EREPGRAD  = "CW: Has child repeated grades"         
	AREPGRAD  = "CW: Allocation flag for EREPGRAD"      
	EGRDRPT1  = "CW: Grade/year child repeated - ENTRY "
	EGRDRPT2  = "CW: Grade/year child repeated - ENTRY "
	EGRDRPT3  = "CW: Grade/year child repeated - ENTRY "
	EGRDRPT4  = "CW: Grade/year child repeated - ENTRY "
	EGRDRPT5  = "CW: Grade/year child repeated - ENTRY "
	AGRDRPT   = "CW: Allocation flag for EGRDRPT1-EGRDR"
	EEXPSCHL  = "CW: Has child been expelled from schoo"
	AEXPSCHL  = "CW: Allocation flag for EEXPSCHL"      
	ETIMEXP   = "CW: Number of times child was expelled"
	ATIMEXP   = "CW: Allocation flag for ETIMEXP"       
	EGRADEXP  = "CW: Grade/year child was in when first"
	AGRADEXP  = "CW: Allocation flag for EGRADEXP"      
	EHARDCAR  = "CW: Child is hard to care for"         
	AHARDCAR  = "CW: Allocation flag for EHARDCAR"      
	EBOTHER   = "CW: Child does things that bother me"  
	ABOTHER   = "CW: Allocation flag for EBOTHER"       
	EGIVUPLF  = "CW: Parent gives up life to meet child"
	AGIVUPLF  = "CW: Allocation flag for EGIVUPLF"      
	EANGRYCL  = "CW: Parent feels angry with child"     
	AANGRYCL  = "CW: Allocation flag for EANGRYCL"      
	EHELPECH  = "CW: People help each other out"        
	AHELPECH  = "CW: Allocation flag for EHELPECH"      
	EWATCHOT  = "CW: We watch out for each other's chil"
	AWATCHOT  = "CW: Allocation flag for EWATCHOT"      
	ECOUNTON  = "CW: There are people I can count on"   
	ACOUNTON  = "CW: Allocation flag for ECOUNTON"      
	EBADPEOP  = "CW: There are people who might be a ba"
	ABADPEOP  = "CW: Allocation flag for EBADPEOP"      
	ETRUSTPE  = "CW: There are adults I trust to help t"
	ATRUSTPE  = "CW: Allocation flag for ETRUSTPE"      
	EKEEPINS  = "CW: I keep my children inside"         
	AKEEPINS  = "CW: Allocation flag for EKEEPINS"      
	ESAFEPLA  = "CW: There are safe places to play outs"
	ASAFEPLA  = "CW: Allocation flag for ESAFEPLA"      
	EMDUNV    = "ME: Universe Indicator for Medical Exp"
	TDONORID  = "ME: The owner of this data."           
	EHLTSTAT  = "ME: Report of current health status"   
	AHLTSTAT  = "ME: Allocation flag for EHLTSTAT"      
	EHOSPSTA  = "ME: Hospital stays in past 12 months"  
	AHOSPSTA  = "ME: Allocation flag for EHOSPSTA / EHS"
	EHOSPNIT  = "ME: Number of nights spent in hospital"
	AHOSPNIT  = "ME: Allocation flag for EHOSPNIT"      
	EHREAS1   = "ME: Most recent hospital stay for"     
	AHREAS1   = "ME: Allocation flag for EHREAS1"       
	EHREAS2   = "ME: Most recent hospital stay for"     
	AHREAS2   = "ME: Allocation flag for EHREAS2"       
	EHREAS3   = "ME: Most recent hospital stay for diag"
	AHREAS3   = "ME: Allocation flag for EHREAS3"       
	EHREAS4   = "ME: Most recent hospital stay for givi"
	AHREAS4   = "ME: Allocation flag for EHREAS4"       
	EHREAS5   = "ME: Most recent hospital stay for pers"
	AHREAS5   = "ME: Allocation flag for EHREAS5"       
	EHREAS6   = "ME: Most recent hospital stay for othe"
	AHREAS6   = "ME: Allocation flag for EHREAS6"       
	EDOCNUM   = "ME: Frequency of physician contact dur"
	ADOCNUM   = "ME: Allocation flag for EDOCNUM"       
	THIPAY    = "ME: Amount paid for health insurance i"
	AHIPAY    = "ME: Allocation flag for EHIPAY"        
	EPRESDRG  = "ME: Prescription medication use in the"
	APRESDRG  = "ME: Allocation flag for EPRESDRG / EPR"
	EDALYDRG  = "ME: Report of daily prescription medic"
	ADALYDRG  = "ME: Allocation flag for EDALYDRG"      
	EFLSHYN   = "ME: Report of flashcard pamphlet usage"
	EVISDENT  = "ME: Frequency of dental visits in past"
	AVISDENT  = "ME: Allocation flag for EVISDENT"      
	EDENSEAL  = "ME: Report of child's dental sealant u"
	ADENSEAL  = "ME: Allocation flag for EDENSEAL"      
	ELOSTTH   = "ME: Report of adult tooth loss"        
	ALOSTTH   = "ME: Allocation flag for ELOSTTH"       
	EALLTH    = "ME: Report of complete adult tooth los"
	AALLTH    = "ME: Allocation flag for EALLTH"        
	EVISDOC   = "ME: Frequency of medical provider visi"
	AVISDOC   = "ME: Allocation flag for EVISDOC"       
	EMDSPND   = "ME: Did respondent buy medical supplie"
	AMDSPND   = "ME: Allocation flag for EMDSPND"       
	EMDSPNDS  = "ME: Did respondent buy medical supplie"
	AMDSPNDS  = "ME: Allocation flag for EMDSPNDS"      
	EDAYSICK  = "ME: Number of sickdays in past 12 mont"
	ADAYSICK  = "ME: Allocation flag for EDAYSICK"      
	TMDPAY    = "ME: Cost of respondent medical care in"
	AMDPAY    = "ME: Allocation flag for TMDPAY"        
	EREIMB    = "ME: Was HH reimbursed for health ins a"
	AREIMB    = "ME: Allocation flag for EREIMB"        
	TREIMBUR  = "ME: Edited variable for reimbursed med"
	AREIMBUR  = "ME: Allocation flag for TREIMBUR"      
	EHSPSTAS  = "ME: Children's hospital stays in past "
	AHSPSTAS  = "ME: Allocation flag for EHSPSTAS"      
	EPRSDRGS  = "ME: Children prescription medication u"
	APRSDRGS  = "ME: Allocation flag for EPRSDRGS"      
	EVSDENTS  = "ME: Children's dentist visits in the p"
	AVSDENTS  = "ME: Allocation flag for EVSDENTS"      
	EVSDOCS   = "ME: Doctor/medical provider contacted "
	AVSDOCS   = "ME: Allocation flag for EVSDOCS."      
	ENOWKYR   = "ME: Length of time not worked due to h"
	ANOWKYR   = "ME: Allocation flag for ENOWKYR"       
	EWKFUTR   = "ME: Respondent able to work during the"
	AWKFUTR   = "ME: Allocation flag for EWKFUTR"       
	TRMOOPS   = "ME: Edited variable for out of pocket" 
	ENOINDNT  = "ME:Dental care while without health"   
	ANOINDNT  = "ME: Allocation flag for ENOINDNT"      
	ENOINDOC  = "ME: Doctor or other health care while" 
	ANOINDOC  = "ME: Allocation flag for ENOINDOC"      
	ENOINTRT  = "ME: Did respondent receive treatment"  
	ANOINTRT  = "ME: Allocation flag for ENOINTRT"      
	ENOINCHK  = "ME: Did respondent receive"            
	ANOINCHK  = "ME: Allocation flag for ENOINCHK"      
	ENOINDRG  = "ME: Did respondent receive drug/alcoho"
	ANOINDRG  = "ME: Allocation flag for ENOINDRG"      
	ENOINPAY  = "ME: Did respondent pay for treatment"  
	ANOINPAY  = "ME: Allocation flag for ENOINPAY"      
	ENOINDIS  = "ME: Did respondent pay full price for" 
	ANOINDIS  = "ME: Allocation flag for ENOINDIS"      
	ENOININC  = "ME: Was resp. asked income before cost"
	ANOININC  = "ME: Allocation flag for ENOININC"      
	ENOINCLN  = "ME: Did respondent go to clinic/public"
	ENOINER   = "ME: Did respondent go to an emergency "
	ENOINHSP  = "ME: Did respondent go to a hospital (n"
	ENOINVA   = "ME: Did respondent go to a VA hospital"
	ENOINDR   = "ME: Did respondent go to a doctor's of"
	ENOINDDS  = "ME: Did respondent go to a dentist's o"
	ENOINOTH  = "ME: Did respondent go to someplace els"
	ANOINLOC  = "ME: Joint allocation flag for health c"
	EPOAUNV   = "OA: Universe Indicator for Other Finan"
	EOAEQ     = "OA: Equity in investments"             
	AOAEQ     = "OA: Allocation flag for EOAEQ"         
	TIAJTA    = "IE: Amount in joint interest earning a"
	AIAJTA    = "IE: Allocation flag for TIAJTA"        
	TIAITA    = "IE: Amount in own interest earning acc"
	AIAITA    = "IE: Allocation flag for TIAITA"        
	TIMJA     = "IE: Amount in joint bonds/US securitie"
	AIMJA     = "IE: Allocation flag for TIMJA"         
	TIMIA     = "IE: Amount of bonds/securities in own "
	AIMIA     = "IE: Allocation flag for TIMIA"         
	ESMJM     = "SM: Mutual funds owned jointly with sp"
	ASMJM     = "SM: Allocation flag for ESMJM"         
	ESMJS     = "SM: Stocks owned jointly with spouse"  
	ASMJS     = "SM: Allocation flag for ESMJS"         
	ESMJV     = "SM: Value of joint stocks/funds owned "
	ASMJV     = "SM: Allocation flag for ESMJV"         
	ESMJMA    = "SM: Debt against jointly owned"        
	ASMJMA    = "SM: Allocation variable for ESMJMA."   
	ESMJMAV   = "SM: Amount of debt on jointly owned"   
	ASMJMAV   = "SM: Allocation variable for ESMJMAV."  
	ESMI      = "SM: Stocks or funds owned in own name" 
	ASMI      = "SM: Allocation flag for ESMI."         
	ESMIV     = "SM: Value of stocks/funds in own name" 
	ASMIV     = "SM: Allocation flag for ESMIV"         
	ESMIMA    = "SM: Debt on stocks/funds in own name"  
	ASMIMA    = "SM: Allocation flag for ESMIMA"        
	ESMIMAV   = "SM: Debt on stocks/funds in own name"  
	ASMIMAV   = "SM:Allocation flag for ESMIMAV"        
	ERJOWN    = "RT: Own rental property jointly with s"
	ARJOWN    = "RT: Allocation flag for ERJOWN"        
	ERJNUM    = "RT: Numbr of rentl proprties jointly h"
	ARJNUM    = "RT: Allocation flag for ERJNUM"        
	ERJTYP1   = "RT: Type of rental property jointly ow"
	ARJTYP1   = "RT: Allocation flag for ERJTYP1"       
	ERJTYP2   = "RT: Type of rental property owned join"
	ARJTYP2   = "RT: Allocation flag for ERJTYP2"       
	ERJTYP3   = "RT: Type of rental property owned join"
	ARJTYP3   = "RT: Allocation flag for ERJTYP3"       
	ERJTYP4   = "RT: Type of rental property owned join"
	ARJTYP4   = "RT: Allocation flag for ERJTYP4"       
	ERJTYP5   = "RT: Type of rental property owned join"
	ARJTYP5   = "RT: Allocation flag for ERJTYP5"       
	ERJTYP6   = "RT: Type of rental property owned join"
	ARJTYP6   = "RT: Allocation flag for ERJTYP6"       
	ERJAT     = "RT: Jnt rentl prop attachd to/on same "
	ARJAT     = "RT: Allocation flag for ERJAT"         
	ERJATA    = "RT: All joint rent prop attachd to sam"
	ARJATA    = "RT: Allocation flag for ERJATA"        
	TRJMV     = "RT: Market value of joint rental not o"
	ARJMV     = "RT: Allocation flag for TRJMV"         
	ERJDEB    = "RT: Debt on rental properties held joi"
	ARJDEB    = "RT: Allocation flag for ERJDEB"        
	TRJPRI    = "RT: Principal owed on joint rental pro"
	ARJPRI    = "RT: Allocation flag for TRJPRI"        
	ERIOWN    = "RT: Rental property owned in own name" 
	ARIOWN    = "RT: Allocation flag for ERIOWN"        
	ERINUM    = "RT: Number of rental properties in own"
	ARINUM    = "RT: Allocation flag for ERINUM"        
	ERITYPE1  = "RT: First type of rental property owne"
	ARITYPE1  = "RT: Allocation flag for ERITYPE1"      
	ERITYPE2  = "RT: Second type of rental property own"
	ARITYPE2  = "RT: Allocation flag for ERITYPE2"      
	ERITYPE3  = "RT: Third type of rental property owne"
	ARITYPE3  = "RT: Allocation flag for ERITYPE3"      
	ERITYPE4  = "RT: Fourth type of rental property own"
	ARITYPE4  = "RT: Allocation flag for ERITYPE4"      
	ERITYPE5  = "RT: Fifth type of rental property owne"
	ARITYPE5  = "RT: Allocation flag for ERITYPE5"      
	ERITYPE6  = "RT: Sixth type of rental property owne"
	ARITYPE6  = "RT: Allocation flag for ERITYPE6"      
	ERIAT     = "RT: Rental property in own name on/att"
	ARIAT     = "RT: Allocation flag for ERIAT"         
	ERIATA    = "RT: Rental property in own name on/att"
	ARIATA    = "RT: Allocation flag for ERIATA"        
	TRIMV     = "RT: Market value of rental property ow"
	ARIMV     = "RT: Allocation flag for TRIMV"         
	ERIDEB    = "RT: Debt on rental properties not loca"
	ARIDEB    = "RT: Allocation flag for ERIDEB"        
	TRIPRI    = "RT: Principal owed on rental property "
	ARIPRI    = "RT: Allocation flag for TRIPRI"        
	ERTOWN    = "RT: Rental property held jointly with "
	ARTOWN    = "RT: Allocation flag for ERTOWN"        
	ERTNUM    = "RT: Number of rentals owned with other"
	ARTNUM    = "RT: Allocation flag for ERTNUM"        
	ERTTYPE1  = "RT: Type of rental property owned join"
	ARTTYPE1  = "RT: Allocation flag for ERTTYPE1"      
	ERTTYPE2  = "RT: Type of rental property owned join"
	ARTTYPE2  = "RT: Allocation flag for ERTTYPE2"      
	ERTTYPE3  = "RT: Type of rental property owned join"
	ARTTYPE3  = "RT: Allocation flag for ERTTYPE3"      
	ERTTYPE4  = "RT: Type of rental property owned join"
	ARTTYPE4  = "RT: Allocation flag for ERTTYPE4"      
	ERTTYPE5  = "RT: Type of rental property owned join"
	ARTTYPE5  = "RT: Allocation flag for ERTTYPE5"      
	ERTTYPE6  = "RT: Type of rental property owned join"
	ARTTYPE6  = "RT: Allocation flag for ERTTYPE6"      
	TRTMV     = "RT: Market value of joint rental prope"
	ARTMV     = "RT: Allocation flag for RTMV"          
	ERTDEB    = "RT: Debt on unattached joint rental pr"
	ARTDEB    = "RT: Allocation flag for ERTDEB"        
	TRTPRI    = "RT: Principal owed on joint rental pro"
	ARTPRI    = "RT: Allocation flag for TRTPRI"        
	TRTSHA    = "RT: Share of rental property held with"
	ARTSHA    = "RT: Allocation flag for TRTSHA"        
	EMJP      = "M0: Principal owed on joint mortgage(s"
	AMJP      = "M0: Allocation flag for EMJP"          
	EMIP      = "M0: Principal owed on mortgage(s) in o"
	AMIP      = "M0: Allocation flag for EMIP"          
	EPVUNV    = "PV: Universe indicator for Work Relate"
	EPVWK1    = "PV: Work related expenses. Drive own"  
	EPVWK2    = "PV: Work related expenses. Did...car/v"
	EPVWK3    = "PV: Work related expenses. Did...use t"
	EPVWK4    = "PV: Work related expenses. Did...bike/"
	EPVWK5    = "PV: Work related expenses. Get to work"
	APVWK     = "PV: Allocation Flag for EPVWK1-EPVWK5" 
	EPVMILWK  = "PV: How many miles did...drive to work"
	APVMILWK  = "PV: Allocation Flag for EPVMILWK"      
	EPVPAPRK  = "PV: Did...work related expenses includ"
	APVPAPRK  = "PV: Allocation Flag for EPVPAPRK"      
	EPVPAYWK  = "PV: How much did...spend for parking o"
	APVPAYWK  = "PV: Allocation Flag for EPVPAYWK"      
	EPVCOMUT  = "PV: How much were...'s weekly commute" 
	APVCOMUT  = "PV: Allocation Flag for EPVCOMUT"      
	EPVWKEXP  = "PV: Did...have to pay for work related"
	APVWKEXP  = "PV: Allocation Flag for EPVWKEXP"      
	EPVANEXP  = "PV: How much were annual expenses for" 
	APVANEXP  = "PV: Allocation Flag for EPVANEXP"      
	EPVCHILD  = "PV: Do you have any children who lived"
	APVCHILD  = "PV: Allocation Flag for EPVCHILD"      
	EPVMANCD  = "PV: How many children lived elsewhere?"
	APVMANCD  = "PV: Allocation Flag for EPVMANCD"      
	EPVMOSUP  = "PV: Was...required to pay child suppor"
	APVMOSUP  = "PV: Allocation Flag for EPVMOSUP."     
	TPVCHPA1  = "PV: How much did ... pay in child supp"
	TPVCHPA2  = "PV: How much did ... pay in child supp"
	TPVCHPA3  = "PV: How much did ... pay in child supp"
	TPVCHPA4  = "PV: How much did ... pay in child supp"
	APVCHPA   = "PV: Allocation Flag for TPVCHPA1 - TPV"
	EVBUNV1   = "BU: Universe Indicator for Value of Bu"
	EVBNO1    = "BU: First Business number"             
	EVBOW1    = "BU: Percent of Business owned for firs"
	AVBOW1    = "BU: Allocation flag for EVBOW1"        
	TVBVA1    = "BU: The value of the business for the "
	AVBVA1    = "BU: Allocation flag for TVBVA1"        
	TVBDE1    = "BU: The total debt owed against the fi"
	AVBDE1    = "BU: Allocation flag for EVBDE1"        
	EVBUNV2   = "BU: Universe Indicator for Value of Bu"
	EVBNO2    = "BU: Second Business number"            
	EVBOW2    = "BU: Percent of Business owned for seco"
	AVBOW2    = "BU: Allocation flag for EVBOW2"        
	TVBVA2    = "BU: The value of the business for busi"
	AVBVA2    = "BU: Allocation flag for TVBVA2"        
	TVBDE2    = "BU: The total debt owed against the se"
	AVBDE2    = "BU: Allocation flag for TVBDE2"        
;

proc print data=library.sip96t12 (obs=6);


FORMAT
	SPANEL     SPANEL.   
	TFIPSST    TFIPSST.  
	SINTHHID   SINTHHID. 
	EOUTCOME   EOUTCOME. 
	RFID2      RFID2L.   
	EPOPSTAT   EPOPSTAT. 
	EPPINTVW   EPPINTVW. 
	EPPMIS4    EPPMIS4L. 
	ESEX       ESEX.     
	ERACE      ERACE.    
	EORIGIN    EORIGIN.  
	ERRP       ERRP.     
	TAGE       TAGE.     
	EMS        EMS.      
	EPNSPOUS   EPNSPOUS. 
	EPNMOM     EPNMOM.   
	EPNDAD     EPNDAD.   
	EPNGUARD   EPNGUARD. 
	RDESGPNT   RDESGPNT. 
	EEDUCATE   EEDUCATE. 
	EHREUNV    EHREUNV.  
	EREMOBHO   EREMOBHO. 
	AREMOBHO   AREMOBHO. 
	EHOWNER1   EHOWNERO. 
	AHOWNER1   AHOWNERO. 
	EHOWNER2   EHOWNERK. 
	AHOWNER2   AHOWNERK. 
	EHOWNER3   EHOWNERL. 
	EHBUYMO    EHBUYMO.  
	AHBUYMO    AHBUYMO.  
	EHBUYYR    EHBUYYR.  
	AHBUYYR    AHBUYYR.  
	EHMORT     EHMORT.   
	AHMORT     AHMORT.   
	ENUMMORT   ENUMMORT. 
	ANUMMORT   ANUMMORT. 
	TMOR1PR    TMOR1PR.  
	AMOR1PR    AMOR1PR.  
	EMOR1YR    EMOR1YR.  
	AMOR1YR    AMOR1YR.  
	EMOR1MO    EMOR1MO.  
	AMOR1MO    AMOR1MO.  
	TMOR1AMT   TMOR1AMT. 
	AMOR1AMT   AMOR1AMT. 
	EMOR1YRS   EMOR1YRS. 
	AMOR1YRS   AMOR1YRS. 
	EMOR1INT   EMOR1INT. 
	AMOR1INT   AMOR1INT. 
	EMOR1VAR   EMOR1VAR. 
	AMOR1VAR   AMOR1VAR. 
	EMOR1PGM   EMOR1PGM. 
	AMOR1PGM   AMOR1PGM. 
	TMOR2PR    TMOR2PR.  
	AMOR2PR    AMOR2PR.  
	EMOR2YR    EMOR2YR.  
	AMOR2YR    AMOR2YR.  
	EMOR2MO    EMOR2MO.  
	AMOR2MO    AMOR2MO.  
	TMOR2AMT   TMOR2AMT. 
	AMOR2AMT   AMOR2AMT. 
	EMOR2YRS   EMOR2YRS. 
	AMOR2YRS   AMOR2YRS. 
	EMOR2INT   EMOR2INT. 
	AMOR2INT   AMOR2INT. 
	EMOR2VAR   EMOR2VAR. 
	AMOR2VAR   AMOR2VAR. 
	EMOR2PGM   EMOR2PGM. 
	AMOR2PGM   AMOR2PGM. 
	TMOR3PR    TMOR3PR.  
	AMOR3PR    AMOR3PR.  
	TPROPVAL   TPROPVAL. 
	APROPVAL   APROPVAL. 
	EMHLOAN    EMHLOAN.  
	AMHLOAN    AMHLOAN.  
	EMHTYPE    EMHTYPE.  
	AMHTYPE    AMHTYPE.  
	TMHPR      TMHPR.    
	AMHPR      AMHPR.    
	TMHVAL     TMHVAL.   
	AMHVAL     AMHVAL.   
	THOMEAMT   THOMEAMT. 
	AHOMEAMT   AHOMEAMT. 
	TUTILS     TUTILS.   
	AUTILS     AUTILS.   
	EPERSPAY   EPERSPAY. 
	APERSPAY   APERSPAY. 
	EPERSPYA   EPERSPYA. 
	APERSPYA   APERSPYA. 
	EPERSPY1   EPERSPYK. 
	APERSPY1   APERSPYK. 
	EPERSPY2   EPERSPYL. 
	EPERSPY3   EPERSPYM. 
	TPERSAM1   TPERSAMA. 
	APERSAM1   APERSAMA. 
	TPERSAM2   TPERSAMK. 
	APERSAM2   APERSAMK. 
	TPERSAM3   TPERSAML. 
	APERSAM3   APERSAML. 
	EPAYCARE   EPAYCARE. 
	APAYCARE   APAYCARE. 
	TCARECST   TCARECST. 
	ACARECST   ACARECST. 
	EOTHRE     EOTHRE.   
	AOTHRE     AOTHRE.   
	EOTHREO1   EOTHREOE. 
	AOTHREO1   AOTHREOE. 
	EOTHREO2   EOTHREOK. 
	EOTHREO3   EOTHREOL. 
	TOTHREVA   TOTHREVA. 
	AOTHREVA   AOTHREVA. 
	EAUTOOWN   EAUTOOWN. 
	AAUTOOWN   AAUTOOWN. 
	EAUTONUM   EAUTONUM. 
	AAUTONUM   AAUTONUM. 
	EA1OWN1    EA1OWN1L. 
	AA1OWN1    AA1OWN1L. 
	EA1OWN2    EA1OWN2L. 
	TCARVAL1   TCARVALM. 
	ACARVAL1   ACARVALM. 
	TA1YEAR    TA1YEAR.  
	EA1OWED    EA1OWED.  
	AA1OWED    AA1OWED.  
	TA1AMT     TA1AMT.   
	AA1AMT     AA1AMT.   
	EA1USE     EA1USE.   
	AA1USE     AA1USE.   
	EA2OWN1    EA2OWN1L. 
	AA2OWN1    AA2OWN1L. 
	EA2OWN2    EA2OWN2L. 
	TCARVAL2   TCARVALE. 
	ACARVAL2   ACARVALE. 
	TA2YEAR    TA2YEAR.  
	EA2OWED    EA2OWED.  
	AA2OWED    AA2OWED.  
	TA2AMT     TA2AMT.   
	AA2AMT     AA2AMT.   
	EA2USE     EA2USE.   
	AA2USE     AA2USE.   
	EA3OWN1    EA3OWN1L. 
	AA3OWN1    AA3OWN1L. 
	EA3OWN2    EA3OWN2L. 
	TCARVAL3   TCARVALK. 
	ACARVAL3   ACARVALK. 
	TA3YEAR    TA3YEAR.  
	EA3OWED    EA3OWED.  
	AA3OWED    AA3OWED.  
	TA3AMT     TA3AMT.   
	AA3AMT     AA3AMT.   
	EA3USE     EA3USE.   
	AA3USE     AA3USE.   
	EOTHVEH    EOTHVEH.  
	AOTHVEH    AOTHVEH.  
	EOVMTRCY   EOVMTRCY. 
	AOVMTRCY   AOVMTRCY. 
	EOVBOAT    EOVBOAT.  
	AOVBOAT    AOVBOAT.  
	EOVRV      EOVRV.    
	AOVRV      AOVRV.    
	EOVOTHRV   EOVOTHRV. 
	AOVOTHRV   AOVOTHRV. 
	EOV1OWN1   EOV1OWNV. 
	AOV1OWN1   AOV1OWNV. 
	EOV1OWN2   EOV1OWNK. 
	TOV1VAL    TOV1VAL.  
	AOV1VAL    AOV1VAL.  
	EOV1OWE    EOV1OWE.  
	AOV1OWE    AOV1OWE.  
	TOV1AMT    TOV1AMT.  
	AOV1AMT    AOV1AMT.  
	EOV2OWN1   EOV2OWNT. 
	AOV2OWN1   AOV2OWNT. 
	EOV2OWN2   EOV2OWNK. 
	TOV2VAL    TOV2VAL.  
	AOV2VAL    AOV2VAL.  
	EOV2OWE    EOV2OWE.  
	AOV2OWE    AOV2OWE.  
	TOV2AMT    TOV2AMT.  
	AOV2AMT    AOV2AMT.  
	THHTNW     THHTNW.   
	THHTWLTH   THHTWLTH. 
	THHTHEQ    THHTHEQ.  
	THHMORTG   THHMORTG. 
	THHVEHCL   THHVEHCL. 
	THHBEQ     THHBEQ.   
	THHINTBK   THHINTBK. 
	THHINTOT   THHINTOT. 
	RHHSTK     RHHSTK.   
	THHORE     THHORE.   
	THHOTAST   THHOTAST. 
	THHIRA     THHIRA.   
	THHDEBT    THHDEBT.  
	THHSCDBT   THHSCDBT. 
	RHHUSCBT   RHHUSCBT. 
	EPALUNV    EPALUNV.  
	EALOW      EALOW.    
	AALOW      AALOW.    
	EALOWA     EALOWA.   
	AALOWA     AALOWA.   
	EALSB      EALSB.    
	AALSB      AALSB.    
	TALSBV     TALSBV.   
	AALSBV     AALSBV.   
	EALJCH     EALJCH.   
	AALJCH     AALJCH.   
	TALJCHA    TALJCHA.  
	AALJCHA    AALJCHA.  
	EALJDB     EALJDB.   
	AALJDB     AALJDB.   
	EALJDL     EALJDL.   
	AALJDL     AALJDL.   
	EALJDO     EALJDO.   
	AALJDO     AALJDO.   
	EALJDAB    EALJDAB.  
	AALJDAB    AALJDAB.  
	EALJDAL    EALJDAL.  
	AALJDAL    AALJDAL.  
	EALJDAO    EALJDAO.  
	AALJDAO    AALJDAO.  
	EALICH     EALICH.   
	AALICH     AALICH.   
	TALICHA    TALICHA.  
	AALICHA    AALICHA.  
	EALIL      EALIL.    
	AALIL      AALIL.    
	EALIDB     EALIDB.   
	AALIDB     AALIDB.   
	EALIDL     EALIDL.   
	AALIDL     AALIDL.   
	EALIDO     EALIDO.   
	AALIDO     AALIDO.   
	EALIDAB    EALIDAB.  
	AALIDAB    AALIDAB.  
	EALIDAL    EALIDAL.  
	AALIDAL    AALIDAL.  
	EALIDAO    EALIDAO.  
	AALIDAO    AALIDAO.  
	EALR       EALR.     
	AALR       AALR.     
	EALRY      EALRY.    
	AALRY      AALRY.    
	TALRB      TALRB.    
	AALRB      AALRB.    
	EALRA1     EALRA1L.  
	AALRA1     AALRA1L.  
	EALRA2     EALRA2L.  
	AALRA2     AALRA2L.  
	EALRA3     EALRA3L.  
	AALRA3     AALRA3L.  
	EALRA4     EALRA4L.  
	AALRA4     AALRA4L.  
	EALK       EALK.     
	AALK       AALK.     
	EALKY      EALKY.    
	AALKY      AALKY.    
	TALKB      TALKB.    
	AALKB      AALKB.    
	EALKA1     EALKA1L.  
	AALKA1     AALKA1L.  
	EALKA2     EALKA2L.  
	AALKA2     AALKA2L.  
	EALKA3     EALKA3L.  
	AALKA3     AALKA3L.  
	EALKA4     EALKA4L.  
	AALKA4     AALKA4L.  
	EALT       EALT.     
	AALT       AALT.     
	EALTY      EALTY.    
	AALTY      AALTY.    
	TALTB      TALTB.    
	AALTB      AALTB.    
	EALTA1     EALTA1L.  
	AALTA1     AALTA1L.  
	EALTA2     EALTA2L.  
	AALTA2     AALTA2L.  
	EALTA3     EALTA3L.  
	AALTA3     AALTA3L.  
	EALTA4     EALTA4L.  
	AALTA4     AALTA4L.  
	EALLI      EALLI.    
	AALLI      AALLI.    
	TALLIV     TALLIV.   
	AALLIV     AALLIV.   
	EALLIT     EALLIT.   
	AALLIT     AALLIT.   
	EALLIE     EALLIE.   
	AALLIE     AALLIE.   
	TALLIEV    TALLIEV.  
	AALLIEV    AALLIEV.  
	EPCWUNV    EPCWUNV.  
	EHTOTAL    EHTOTAL.  
	AHTOTAL    AHTOTAL.  
	EWEIGHNS   EWEIGHNS. 
	AWEIGHNS   AWEIGHNS. 
	EDAYCARE   EDAYCARE. 
	ADAYCARE   ADAYCARE. 
	ECAREMTH   ECAREMTH. 
	ACAREMTH   ACAREMTH. 
	EHRSCARE   EHRSCARE. 
	AHRSCARE   AHRSCARE. 
	ELIVAPAT   ELIVAPAT. 
	ALIVAPAT   ALIVAPAT. 
	ENOTABLE   ENOTABLE. 
	ANOTABLE   ANOTABLE. 
	EPASTMON   EPASTMON. 
	APASTMON   APASTMON. 
	EOUTING    EOUTING.  
	AOUTING    AOUTING.  
	ETOTREAD   ETOTREAD. 
	ATOTREAD   ATOTREAD. 
	EPARREAD   EPARREAD. 
	APARREAD   APARREAD. 
	EDADREAD   EDADREAD. 
	ADADREAD   ADADREAD. 
	ETVRULES   ETVRULES. 
	ATVRULES   ATVRULES. 
	ETIMESTV   ETIMESTV. 
	ATIMESTV   ATIMESTV. 
	EHOUSTV    EHOUSTV.  
	AHOUSTV    AHOUSTV.  
	EEATBKF    EEATBKF.  
	AEATBKF    AEATBKF.  
	EEATDINN   EEATDINN. 
	AEATDINN   AEATDINN. 
	EDADBRKF   EDADBRKF. 
	ADADBRKF   ADADBRKF. 
	EDADDINN   EDADDINN. 
	ADADDINN   ADADDINN. 
	EFUNTIME   EFUNTIME. 
	AFUNTIME   AFUNTIME. 
	EDADFUN    EDADFUN.  
	ADADFUN    ADADFUN.  
	EPRAISE    EPRAISE.  
	APRAISE    APRAISE.  
	EDADPRAI   EDADPRAI. 
	ADADPRAI   ADADPRAI. 
	EFARSCHO   EFARSCHO. 
	AFARSCHO   AFARSCHO. 
	EDADFAR    EDADFAR.  
	ADADFAR    ADADFAR.  
	ETHINKSC   ETHINKSC. 
	ATHINKSC   ATHINKSC. 
	EATKINDG   EATKINDG. 
	AATKINDG   AATKINDG. 
	EKINDAGE   EKINDAGE. 
	AKINDAGE   AKINDAGE. 
	EFIRGRAD   EFIRGRAD. 
	AFIRGRAD   AFIRGRAD. 
	ESTRTAGE   ESTRTAGE. 
	ASTRTAGE   ASTRTAGE. 
	EKINDELE   EKINDELE. 
	AKINDELE   AKINDELE. 
	EHIGHGRA   EHIGHGRA. 
	AHIGHGRA   AHIGHGRA. 
	ECURRERL   ECURRERL. 
	ACURRERL   ACURRERL. 
	EGRDEATT   EGRDEATT. 
	AGRDEATT   AGRDEATT. 
	EPUBPRIV   EPUBPRIV. 
	APUBPRIV   APUBPRIV. 
	EASSSCHL   EASSSCHL. 
	AASSSCHL   AASSSCHL. 
	ERELISCH   ERELISCH. 
	ARELISCH   ARELISCH. 
	ESPECSCH   ESPECSCH. 
	ASPECSCH   ASPECSCH. 
	ESPORTEA   ESPORTEA. 
	ASPORTEA   ASPORTEA. 
	ELESSONS   ELESSONS. 
	ALESSONS   ALESSONS. 
	ECLUBSCH   ECLUBSCH. 
	ACLUBSCH   ACLUBSCH. 
	ELIKESCH   ELIKESCH. 
	ALIKESCH   ALIKESCH. 
	EINTSCHL   EINTSCHL. 
	AINTSCHL   AINTSCHL. 
	EWKSHARD   EWKSHARD. 
	AWKSHARD   AWKSHARD. 
	ECHGSCHL   ECHGSCHL. 
	ACHGSCHL   ACHGSCHL. 
	ETIMCHAN   ETIMCHAN. 
	ATIMCHAN   ATIMCHAN. 
	EREPGRAD   EREPGRAD. 
	AREPGRAD   AREPGRAD. 
	EGRDRPT1   EGRDRPTD. 
	EGRDRPT2   EGRDRPTK. 
	EGRDRPT3   EGRDRPTL. 
	EGRDRPT4   EGRDRPTM. 
	EGRDRPT5   EGRDRPTN. 
	AGRDRPT    AGRDRPT.  
	EEXPSCHL   EEXPSCHL. 
	AEXPSCHL   AEXPSCHL. 
	ETIMEXP    ETIMEXP.  
	ATIMEXP    ATIMEXP.  
	EGRADEXP   EGRADEXP. 
	AGRADEXP   AGRADEXP. 
	EHARDCAR   EHARDCAR. 
	AHARDCAR   AHARDCAR. 
	EBOTHER    EBOTHER.  
	ABOTHER    ABOTHER.  
	EGIVUPLF   EGIVUPLF. 
	AGIVUPLF   AGIVUPLF. 
	EANGRYCL   EANGRYCL. 
	AANGRYCL   AANGRYCL. 
	EHELPECH   EHELPECH. 
	AHELPECH   AHELPECH. 
	EWATCHOT   EWATCHOT. 
	AWATCHOT   AWATCHOT. 
	ECOUNTON   ECOUNTON. 
	ACOUNTON   ACOUNTON. 
	EBADPEOP   EBADPEOP. 
	ABADPEOP   ABADPEOP. 
	ETRUSTPE   ETRUSTPE. 
	ATRUSTPE   ATRUSTPE. 
	EKEEPINS   EKEEPINS. 
	AKEEPINS   AKEEPINS. 
	ESAFEPLA   ESAFEPLA. 
	ASAFEPLA   ASAFEPLA. 
	EMDUNV     EMDUNV.   
	TDONORID   TDONORID. 
	EHLTSTAT   EHLTSTAT. 
	AHLTSTAT   AHLTSTAT. 
	EHOSPSTA   EHOSPSTA. 
	AHOSPSTA   AHOSPSTA. 
	EHOSPNIT   EHOSPNIT. 
	AHOSPNIT   AHOSPNIT. 
	EHREAS1    EHREAS1L. 
	AHREAS1    AHREAS1L. 
	EHREAS2    EHREAS2L. 
	AHREAS2    AHREAS2L. 
	EHREAS3    EHREAS3L. 
	AHREAS3    AHREAS3L. 
	EHREAS4    EHREAS4L. 
	AHREAS4    AHREAS4L. 
	EHREAS5    EHREAS5L. 
	AHREAS5    AHREAS5L. 
	EHREAS6    EHREAS6L. 
	AHREAS6    AHREAS6L. 
	EDOCNUM    EDOCNUM.  
	ADOCNUM    ADOCNUM.  
	THIPAY     THIPAY.   
	AHIPAY     AHIPAY.   
	EPRESDRG   EPRESDRG. 
	APRESDRG   APRESDRG. 
	EDALYDRG   EDALYDRG. 
	ADALYDRG   ADALYDRG. 
	EFLSHYN    EFLSHYN.  
	EVISDENT   EVISDENT. 
	AVISDENT   AVISDENT. 
	EDENSEAL   EDENSEAL. 
	ADENSEAL   ADENSEAL. 
	ELOSTTH    ELOSTTH.  
	ALOSTTH    ALOSTTH.  
	EALLTH     EALLTH.   
	AALLTH     AALLTH.   
	EVISDOC    EVISDOC.  
	AVISDOC    AVISDOC.  
	EMDSPND    EMDSPND.  
	AMDSPND    AMDSPND.  
	EMDSPNDS   EMDSPNDS. 
	AMDSPNDS   AMDSPNDS. 
	EDAYSICK   EDAYSICK. 
	ADAYSICK   ADAYSICK. 
	TMDPAY     TMDPAY.   
	AMDPAY     AMDPAY.   
	EREIMB     EREIMB.   
	AREIMB     AREIMB.   
	TREIMBUR   TREIMBUR. 
	AREIMBUR   AREIMBUR. 
	EHSPSTAS   EHSPSTAS. 
	AHSPSTAS   AHSPSTAS. 
	EPRSDRGS   EPRSDRGS. 
	APRSDRGS   APRSDRGS. 
	EVSDENTS   EVSDENTS. 
	AVSDENTS   AVSDENTS. 
	EVSDOCS    EVSDOCS.  
	AVSDOCS    AVSDOCS.  
	ENOWKYR    ENOWKYR.  
	ANOWKYR    ANOWKYR.  
	EWKFUTR    EWKFUTR.  
	AWKFUTR    AWKFUTR.  
	TRMOOPS    TRMOOPS.  
	ENOINDNT   ENOINDNT. 
	ANOINDNT   ANOINDNT. 
	ENOINDOC   ENOINDOC. 
	ANOINDOC   ANOINDOC. 
	ENOINTRT   ENOINTRT. 
	ANOINTRT   ANOINTRT. 
	ENOINCHK   ENOINCHK. 
	ANOINCHK   ANOINCHK. 
	ENOINDRG   ENOINDRG. 
	ANOINDRG   ANOINDRG. 
	ENOINPAY   ENOINPAY. 
	ANOINPAY   ANOINPAY. 
	ENOINDIS   ENOINDIS. 
	ANOINDIS   ANOINDIS. 
	ENOININC   ENOININC. 
	ANOININC   ANOININC. 
	ENOINCLN   ENOINCLN. 
	ENOINER    ENOINER.  
	ENOINHSP   ENOINHSP. 
	ENOINVA    ENOINVA.  
	ENOINDR    ENOINDR.  
	ENOINDDS   ENOINDDS. 
	ENOINOTH   ENOINOTH. 
	ANOINLOC   ANOINLOC. 
	EPOAUNV    EPOAUNV.  
	EOAEQ      EOAEQ.    
	AOAEQ      AOAEQ.    
	TIAJTA     TIAJTA.   
	AIAJTA     AIAJTA.   
	TIAITA     TIAITA.   
	AIAITA     AIAITA.   
	TIMJA      TIMJA.    
	AIMJA      AIMJA.    
	TIMIA      TIMIA.    
	AIMIA      AIMIA.    
	ESMJM      ESMJM.    
	ASMJM      ASMJM.    
	ESMJS      ESMJS.    
	ASMJS      ASMJS.    
	ESMJV      ESMJV.    
	ASMJV      ASMJV.    
	ESMJMA     ESMJMA.   
	ASMJMA     ASMJMA.   
	ESMJMAV    ESMJMAV.  
	ASMJMAV    ASMJMAV.  
	ESMI       ESMI.     
	ASMI       ASMI.     
	ESMIV      ESMIV.    
	ASMIV      ASMIV.    
	ESMIMA     ESMIMA.   
	ASMIMA     ASMIMA.   
	ESMIMAV    ESMIMAV.  
	ASMIMAV    ASMIMAV.  
	ERJOWN     ERJOWN.   
	ARJOWN     ARJOWN.   
	ERJNUM     ERJNUM.   
	ARJNUM     ARJNUM.   
	ERJTYP1    ERJTYP1L. 
	ARJTYP1    ARJTYP1L. 
	ERJTYP2    ERJTYP2L. 
	ARJTYP2    ARJTYP2L. 
	ERJTYP3    ERJTYP3L. 
	ARJTYP3    ARJTYP3L. 
	ERJTYP4    ERJTYP4L. 
	ARJTYP4    ARJTYP4L. 
	ERJTYP5    ERJTYP5L. 
	ARJTYP5    ARJTYP5L. 
	ERJTYP6    ERJTYP6L. 
	ARJTYP6    ARJTYP6L. 
	ERJAT      ERJAT.    
	ARJAT      ARJAT.    
	ERJATA     ERJATA.   
	ARJATA     ARJATA.   
	TRJMV      TRJMV.    
	ARJMV      ARJMV.    
	ERJDEB     ERJDEB.   
	ARJDEB     ARJDEB.   
	TRJPRI     TRJPRI.   
	ARJPRI     ARJPRI.   
	ERIOWN     ERIOWN.   
	ARIOWN     ARIOWN.   
	ERINUM     ERINUM.   
	ARINUM     ARINUM.   
	ERITYPE1   ERITYPEM. 
	ARITYPE1   ARITYPEM. 
	ERITYPE2   ERITYPEK. 
	ARITYPE2   ARITYPEK. 
	ERITYPE3   ERITYPEL. 
	ARITYPE3   ARITYPEL. 
	ERITYPE4   ERITYPEN. 
	ARITYPE4   ARITYPEN. 
	ERITYPE5   ERITYPEO. 
	ARITYPE5   ARITYPEO. 
	ERITYPE6   ERITYPEP. 
	ARITYPE6   ARITYPEP. 
	ERIAT      ERIAT.    
	ARIAT      ARIAT.    
	ERIATA     ERIATA.   
	ARIATA     ARIATA.   
	TRIMV      TRIMV.    
	ARIMV      ARIMV.    
	ERIDEB     ERIDEB.   
	ARIDEB     ARIDEB.   
	TRIPRI     TRIPRI.   
	ARIPRI     ARIPRI.   
	ERTOWN     ERTOWN.   
	ARTOWN     ARTOWN.   
	ERTNUM     ERTNUM.   
	ARTNUM     ARTNUM.   
	ERTTYPE1   ERTTYPEM. 
	ARTTYPE1   ARTTYPEM. 
	ERTTYPE2   ERTTYPEK. 
	ARTTYPE2   ARTTYPEK. 
	ERTTYPE3   ERTTYPEL. 
	ARTTYPE3   ARTTYPEL. 
	ERTTYPE4   ERTTYPEN. 
	ARTTYPE4   ARTTYPEN. 
	ERTTYPE5   ERTTYPEO. 
	ARTTYPE5   ARTTYPEO. 
	ERTTYPE6   ERTTYPEP. 
	ARTTYPE6   ARTTYPEP. 
	TRTMV      TRTMV.    
	ARTMV      ARTMV.    
	ERTDEB     ERTDEB.   
	ARTDEB     ARTDEB.   
	TRTPRI     TRTPRI.   
	ARTPRI     ARTPRI.   
	TRTSHA     TRTSHA.   
	ARTSHA     ARTSHA.   
	EMJP       EMJP.     
	AMJP       AMJP.     
	EMIP       EMIP.     
	AMIP       AMIP.     
	EPVUNV     EPVUNV.   
	EPVWK1     EPVWK1L.  
	EPVWK2     EPVWK2L.  
	EPVWK3     EPVWK3L.  
	EPVWK4     EPVWK4L.  
	EPVWK5     EPVWK5L.  
	APVWK      APVWK.    
	EPVMILWK   EPVMILWK. 
	APVMILWK   APVMILWK. 
	EPVPAPRK   EPVPAPRK. 
	APVPAPRK   APVPAPRK. 
	EPVPAYWK   EPVPAYWK. 
	APVPAYWK   APVPAYWK. 
	EPVCOMUT   EPVCOMUT. 
	APVCOMUT   APVCOMUT. 
	EPVWKEXP   EPVWKEXP. 
	APVWKEXP   APVWKEXP. 
	EPVANEXP   EPVANEXP. 
	APVANEXP   APVANEXP. 
	EPVCHILD   EPVCHILD. 
	APVCHILD   APVCHILD. 
	EPVMANCD   EPVMANCD. 
	APVMANCD   APVMANCD. 
	EPVMOSUP   EPVMOSUP. 
	APVMOSUP   APVMOSUP. 
	TPVCHPA1   TPVCHPAP. 
	TPVCHPA2   TPVCHPAK. 
	TPVCHPA3   TPVCHPAL. 
	TPVCHPA4   TPVCHPAM. 
	APVCHPA    APVCHPA.  
	EVBUNV1    EVBUNV1L. 
	EVBNO1     EVBNO1L.  
	EVBOW1     EVBOW1L.  
	AVBOW1     AVBOW1L.  
	TVBVA1     TVBVA1L.  
	AVBVA1     AVBVA1L.  
	TVBDE1     TVBDE1L.  
	AVBDE1     AVBDE1L.  
	EVBUNV2    EVBUNV2L. 
	EVBNO2     EVBNO2L.  
	EVBOW2     EVBOW2L.  
	AVBOW2     AVBOW2L.  
	TVBVA2     TVBVA2L.  
	AVBVA2     AVBVA2L.  
	TVBDE2     TVBDE2L.  
	AVBDE2     AVBDE2L.  
;
proc contents data=library.sip96t12;
/*
Copyright 2003 shared by the National Bureau of Economic Research and Jean Roth

National Bureau of Economic Research.
1050 Massachusetts Avenue
Cambridge, MA 02138
jroth@nber.org

This program and all programs referenced in it are free software. You
can redistribute the program or modify it under the terms of the GNU
General Public License as published by the Free Software Foundation;
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA.
*/
