*options obs=100 ;
options nocenter ;

**------------------------------------------------;
**  by Jean Roth	Tue Apr 12 18:06:08 EDT 2011
**  This program reads the 2008 SIPP Wave 4 Topical Module Data File ;
**  Report errors to jroth@nber.org ;
**  A value of -1 (or -1/# of implied decimals) indicates 'Not in Universe' ;
**  This program is distributed under the GNU GPL. ;
**  See end of this file and
**  http://www.gnu.org/licenses/ for details. ;
**-----------------------------------------------;

*  The following line should contain the directory
   where the SAS file is to be stored  ;

libname library "C:\Documents and Settings\David Blau\My Documents\Saving_and_Retirement\sipp";

*  The following line should contain
   the complete path and name of the raw data file.
   On a PC, use backslashes in paths as in C:\  ;

FILENAME datafile pipe "unzip -p C:\Documents and Settings\David Blau\My Documents\Saving_and_Retirement\sipp\p08putm4.zip ";

*  The following line should contain the name of the SAS dataset ;

%let dataset = sippp08putm4 ;

DATA library.&dataset ;

INFILE datafile LRECL = 20000 ;

** ------------------------------------------------ ;
**  The following variable names have been changed, ;
**  if necessary: '$' to 'd', '-' to '_', '%' to 'p' ;
** ----------------------------------------------- ;

attrib  ssuseq       length=4     label="SU: Sequence Number of Sample Unit - Primary";
attrib  ssuid        length=$12   label="SU: Sample Unit Identifier";           
attrib  spanel       length=4     label="SU: Sample Code - Indicates Panel Year";
attrib  swave        length=3     label="SU: Wave of data collection";          
attrib  srotaton     length=3     label="SU: Rotation of data collection";      
attrib  tfipsst      length=3     label="HH: FIPS State Code";                  
attrib  shhadid      length=3     label="SU: Hhld Address ID differentiates hhlds in";
attrib  eoutcome     length=3     label="HH: Interview Status code for this household";
attrib  rfid         length=3     label="FA: Family ID Number for this month";  
attrib  rfid2        length=3     label="FA: Family ID excluding related subfamily";
attrib  eppidx       length=3     label="PE: Person index";                     
attrib  eentaid      length=$3    label="PE: Address ID of hhld where person entered";
attrib  epppnum      length=$4    label="PE: Person number";                    
attrib  epopstat     length=3     label="PE: Population status based on age in 4th";
attrib  eppintvw     length=3     label="PE: Person's interview status";        
attrib  eppmis4      length=3     label="PE: Person's 4th month interview status";
attrib  esex         length=3     label="PE: Sex of this person";               
attrib  erace        length=3     label="PE: The race(s) the respondent is";    
attrib  eorigin      length=3     label="PE: Spanish, Hispanic or Latino";      
attrib  wpfinwgt     length=8     label="WW: Person weight";                    
attrib  errp         length=3     label="PE: Household relationship";           
attrib  tage         length=3     label="PE: Age as of last birthday";          
attrib  ems          length=3     label="PE: Marital status";                   
attrib  epnspous     length=4     label="PE: Person number of spouse";          
attrib  epnmom       length=4     label="PE: Person number of mother";          
attrib  epndad       length=4     label="PE: Person number of father";          
attrib  epnguard     length=4     label="PE: Person number of guardian";        
attrib  rdesgpnt     length=3     label="PE: Designated parent or guardian flag";
attrib  eeducate     length=3     label="ED: Highest Degree received or grade completed";
attrib  lgtkey       length=$8    label="PE: Person longitudinal key";          
attrib  sinthhid     length=3     label="SU: Hhld Address ID of person in interview";
attrib  eaesunv      length=3     label="ES: Universe indicator";               
attrib  estimyn      length=3     label="ES: Whether respondent received 1 time";
attrib  astimyn      length=3     label="ES: Allocation flag for ESTIMYN.";     
attrib  estimuse     length=3     label="ES: Respondent's use of the economic stimulus";
attrib  astimuse     length=3     label="ES: Allocation flag for ESTIMUSE.";    
attrib  ealunv       length=3     label="AL: Universe Indicator for Assets and";
attrib  ealr         length=3     label="AL: IRA account(s) in own name";       
attrib  aalr         length=3     label="AL: Allocation flag for EALR";         
attrib  ealry        length=3     label="AL: Number of years contributed to IRA";
attrib  aalry        length=3     label="AL: Allocation flag for EALRY";        
attrib  talrb        length=4     label="AL: Market value of IRA account(s) in own name";
attrib  aalrb        length=3     label="AL: Allocation flag for TALRB";        
attrib  ealra1       length=3     label="AL: Kinds of assets in IRA account(s)";
attrib  aalra1       length=3     label="AL: Allocation flag for EALRA1";       
attrib  ealra2       length=3     label="AL: Kinds of assets in IRA account(s)";
attrib  aalra2       length=3     label="AL: Allocation flag for EALRA2";       
attrib  ealra3       length=3     label="AL: Kinds of assets in IRA account(s)";
attrib  aalra3       length=3     label="AL: Allocation flag for EALRA3";       
attrib  ealra4       length=3     label="AL: Kinds of assets in IRA account(s)";
attrib  aalra4       length=3     label="AL: Allocation flag for EALRA4";       
attrib  ealk         length=3     label="AL: KEOGH account in own name";        
attrib  aalk         length=3     label="AL: Allocation flag for EALK";         
attrib  ealky        length=3     label="AL: Years contributed to KEOGH account";
attrib  aalky        length=3     label="AL: Allocation flag for EALKY";        
attrib  talkb        length=4     label="AL: Market value of KEOGH account(s)"; 
attrib  aalkb        length=3     label="AL: Allocation flag for TALKB";        
attrib  ealka1       length=3     label="AL: Kinds of assets in KEOGH account(s)";
attrib  aalka1       length=3     label="AL: Allocation flag for EALKA1";       
attrib  ealka2       length=3     label="AL: Kinds of assets in KEOGH account(s)";
attrib  aalka2       length=3     label="AL: Allocation flag for EALKA2";       
attrib  ealka3       length=3     label="AL: Kinds of assets in KEOGH account(s)";
attrib  aalka3       length=3     label="AL: Allocation flag for EALKA3";       
attrib  ealka4       length=3     label="AL: Kinds of assets in KEOGH account(s)";
attrib  aalka4       length=3     label="AL: Allocation flag for EALKA4";       
attrib  ealt         length=3     label="AL: 401k, 403b, or thrift plans in own name";
attrib  aalt         length=3     label="AL: Allocation flag for EALT";         
attrib  ealty        length=3     label="AL: Years contributed to 401k, 403b or thrift";
attrib  aalty        length=3     label="AL: Allocation flag for EALTY";        
attrib  taltb        length=4     label="AL: Market value of 401k,403b,or thrift plan";
attrib  aaltb        length=3     label="AL: Allocation flag for TALTB";        
attrib  ealta1       length=3     label="AL: Kinds of assets in 401k, 403b, or thrift";
attrib  aalta1       length=3     label="AL: Allocation flag for EALTA1";       
attrib  ealta2       length=3     label="AL: Kinds of assets in 401k, 403b, or thrift";
attrib  aalta2       length=3     label="AL: Allocation flag for EALTA2";       
attrib  ealta3       length=3     label="AL: Kinds of assets in 401k, 403b, or thrift";
attrib  aalta3       length=3     label="AL: Allocation flag for EALTA3";       
attrib  ealta4       length=3     label="AL: Kinds of assets in 401k, 403b, or thrift";
attrib  aalta4       length=3     label="AL: Allocation flag for EALTA4";       
attrib  ealow        length=3     label="AL: Money owed to you for business/property";
attrib  aalow        length=3     label="AL: Allocation flag for EALOW";        
attrib  ealowa       length=5     label="AL: Amount owed to you for sale";      
attrib  aalowa       length=3     label="AL: Allocation flag for EALOWA";       
attrib  ealsb        length=3     label="AL: U.S. Savings Bonds owned by respondent";
attrib  aalsb        length=3     label="AL: Allocation flag for EALSB";        
attrib  talsbv       length=4     label="AL: Face Value of U.S. Savings Bonds"; 
attrib  aalsbv       length=3     label="AL: Allocation flag for TALSBV";       
attrib  ealjch       length=3     label="AL: Jointly owned non-interest earning";
attrib  aaljch       length=3     label="AL: Allocation flag for EALJCH";       
attrib  taljcha      length=4     label="AL: Estimate of a joint non-interest checking";
attrib  aaljcha      length=3     label="AL: Allocation flag for TALJCHA";      
attrib  ealjdb       length=3     label="AL: Money owed for store bills/credit cards";
attrib  aaljdb       length=3     label="AL: Allocation flag for EALJDB";       
attrib  ealjdl       length=3     label="AL: Money owed for loans with spouse"; 
attrib  aaljdl       length=3     label="AL: Allocation flag for EALJDL";       
attrib  ealjdo       length=3     label="AL: Money owed for other debt with spouse";
attrib  aaljdo       length=3     label="AL: Allocation flag for EALJDO";       
attrib  taljdab      length=4     label="AL: Amt owed for store bills or credit cards";
attrib  aaljdab      length=3     label="AL: Allocation flag for TALJDAB";      
attrib  taljdal      length=4     label="AL: Amount owed for loans with spouse";
attrib  aaljdal      length=3     label="AL: Allocation flag for TALJDAL";      
attrib  taljdao      length=4     label="AL: Amount owed for other debt with spouse";
attrib  aaljdao      length=3     label="AL: Allocation flag for TALJDAO";      
attrib  ealich       length=3     label="AL: Non-interest checking account in own name";
attrib  aalich       length=3     label="AL: Allocation flag for EALICH";       
attrib  talicha      length=4     label="AL: Est of non-interest checking accounts in";
attrib  aalicha      length=3     label="AL: Allocation flag for TALICHA";      
attrib  ealil        length=3     label="AL: Debts in own name";                
attrib  aalil        length=3     label="AL: Allocation flag for EALIL";        
attrib  ealidb       length=3     label="AL: Money owed in own name for store"; 
attrib  aalidb       length=3     label="AL: Allocation flag for EALIDB";       
attrib  ealidl       length=3     label="AL: Money owed in own name for loans"; 
attrib  aalidl       length=3     label="AL: Allocation flag for EALIDL";       
attrib  ealido       length=3     label="AL: Money owed in own name for other debt";
attrib  aalido       length=3     label="AL: Allocation flag for EALIDO";       
attrib  talidab      length=4     label="AL: Amount owed for store bills/credit cards";
attrib  aalidab      length=3     label="AL: Allocation flag for TALIDAB";      
attrib  talidal      length=4     label="AL: Amount owed for loans in own name";
attrib  aalidal      length=3     label="AL: Allocation flag for TALIDAL";      
attrib  talidao      length=4     label="AL: Amount owed for other debt in own name";
attrib  aalidao      length=3     label="AL: Allocation flag for TALIDAO";      
attrib  ealli        length=3     label="AL: Life insurance coverage";          
attrib  aalli        length=3     label="AL: Allocation flag for EALLI";        
attrib  talliv       length=5     label="AL: Cash value of life insurance policies";
attrib  aalliv       length=3     label="AL: Allocation flag for TALLIV";       
attrib  eallit       length=3     label="AL: Type(s) of life insurance policy"; 
attrib  aallit       length=3     label="AL: Allocation flag for EALLIT";       
attrib  eallie       length=3     label="AL: Life insurance through employer";  
attrib  aallie       length=3     label="AL: Allocation flag for EALLIE";       
attrib  talliev      length=4     label="AL: Cash value of life insurance from employer";
attrib  aalliev      length=3     label="AL: Allocation for TALLIEV";           
attrib  ehreunv      length=3     label="RE: Universe indicator for Real Estate TM";
attrib  eremobho     length=3     label="RE: Is residence a mobile home?";      
attrib  aremobho     length=3     label="RE: Allocation flag for EREMOBHO";     
attrib  ehowner1     length=4     label="RE: First Owner of home";              
attrib  ahowner1     length=3     label="RE: Allocation flag for EHOWNER1";     
attrib  ehowner2     length=4     label="RE: Second Owner of home";             
attrib  ahowner2     length=3     label="RE: Allocation flag for EHOWNER2";     
attrib  ehowner3     length=4     label="RE: Third Owner of home";              
attrib  ehbuymo      length=3     label="RE: Month home was purchased";         
attrib  ahbuymo      length=3     label="RE: Allocation flag for EHBUYMO";      
attrib  ehbuyyr      length=4     label="RE: Year house was purchased";         
attrib  ahbuyyr      length=3     label="RE: Allocation flag for EHBUYYR";      
attrib  ehmort       length=3     label="RE: Mortgage on home";                 
attrib  ahmort       length=3     label="RE: Allocation flag for EHMORT";       
attrib  enummort     length=3     label="RE: Number of debts on this home";     
attrib  anummort     length=3     label="RE: Allocation flag for ENUMMORT";     
attrib  tmor1pr      length=4     label="RE: Principal owed for first, second and all";
attrib  amor1pr      length=3     label="RE: Allocation flag for TMOR1PR";      
attrib  emor1yr      length=4     label="RE: Year first mortgage obtained";     
attrib  amor1yr      length=3     label="RE: Allocation flag for EMOR1YR";      
attrib  emor1mo      length=3     label="RE: Month first mortgage obtained";    
attrib  amor1mo      length=3     label="RE: Allocation flag for EMOR1MO";      
attrib  tmor1amt     length=4     label="RE: First and second loan amount";     
attrib  amor1amt     length=3     label="RE: Allocation flag for TMOR1AMT";     
attrib  tmor1yrs     length=3     label="RE: Total years for payments of home loan";
attrib  amor1yrs     length=3     label="RE: Allocation flag for TMOR1YRS";     
attrib  emor1int     length=8     label="RE: Interest rate on first mortgage";  
attrib  amor1int     length=3     label="RE: Allocation flag for EMOR1INT";     
attrib  emor1var     length=3     label="RE: Variable or fixed rate for first home";
attrib  amor1var     length=3     label="RE: Allocation flag for EMOR1VAR";     
attrib  emor1pgm     length=3     label="RE: First loan FHA/VA mortgage program";
attrib  amor1pgm     length=3     label="RE: Allocation flag for EMOR1PGM";     
attrib  tmor2pr      length=3     label="RE: Flag indicating principal on second";
attrib  amor2pr      length=3     label="RE: Allocation flag for TMOR2PR";      
attrib  emor2yr      length=4     label="RE: Year 2nd mortgage obtained";       
attrib  amor2yr      length=3     label="RE: Allocation flag for EMOR2YR";      
attrib  emor2mo      length=3     label="RE: Month 2nd mortgage obtained";      
attrib  amor2mo      length=3     label="RE: Allocation flag for EMOR2MO";      
attrib  tmor2amt     length=3     label="RE: Flag indicating second mortgage";  
attrib  amor2amt     length=3     label="RE: Allocation flag for TMOR2AMT";     
attrib  tmor2yrs     length=3     label="RE: Total years for payments of 2nd mortgage";
attrib  amor2yrs     length=3     label="RE: Allocation flag for TMOR2YRS";     
attrib  emor2int     length=8     label="RE: Interest rate on 2nd mortgage";    
attrib  amor2int     length=3     label="RE: Allocation flag for EMOR2INT";     
attrib  emor2var     length=3     label="RE: Variable/fixed rate for 2nd loan"; 
attrib  amor2var     length=3     label="RE: Allocation flag for EMOR2VAR";     
attrib  emor2pgm     length=3     label="RE: 2nd loan FHA/VA mortgage program"; 
attrib  amor2pgm     length=3     label="RE: Allocation flag for EMOR2PGM";     
attrib  tmor3pr      length=3     label="RE: Flag indicating principal owed on other";
attrib  amor3pr      length=3     label="RE: Allocation flag for TMOR3PR";      
attrib  tpropval     length=4     label="RE: Current value of property";        
attrib  apropval     length=3     label="RE: Allocation flag for TPROPVAL";     
attrib  emhloan      length=3     label="RE: Mortgage or debt on mobile home";  
attrib  amhloan      length=3     label="RE: Allocation flag for EMHLOAN";      
attrib  emhtype      length=3     label="RE: Site or mobile home debt";         
attrib  amhtype      length=3     label="RE: Allocation flag for EMHTYPE";      
attrib  tmhpr        length=4     label="RE: Amount principal owed on mobile home";
attrib  amhpr        length=3     label="RE: Allocation flag for TMHPR";        
attrib  tmhval       length=4     label="RE: Amount mobile would sell for";     
attrib  amhval       length=3     label="RE: Allocation flag for TMHVAL";       
attrib  thomeamt     length=4     label="RE: Monthly rent or mortgage";         
attrib  ahomeamt     length=3     label="RE: Allocation flag for THOMEAMT";     
attrib  tutils       length=3     label="RE: Amount paid for utilities per month";
attrib  autils       length=3     label="RE: Allocation flag for TUTILS";       
attrib  eperspay     length=3     label="RE: More than one person paying rent"; 
attrib  aperspay     length=3     label="RE: Allocation flag for EPERSPAY";     
attrib  eperspya     length=4     label="RE: Only one person paid mortgage/rent";
attrib  aperspya     length=3     label="RE: Allocation flag for EPERSPYA";     
attrib  eperspy1     length=4     label="RE: First of several persons who paid rent";
attrib  aperspy1     length=3     label="RE: Allocation flag for EPERSPY1";     
attrib  eperspy2     length=4     label="RE: 2nd of several persons who paid rent";
attrib  eperspy3     length=4     label="RE: Third of several persons who paid rent";
attrib  tpersam1     length=4     label="RE: Amount first person paid for rent";
attrib  apersam1     length=3     label="RE: Allocation flag for TPERSAM1";     
attrib  tpersam2     length=4     label="RE: Amount second person paid for rent";
attrib  apersam2     length=3     label="RE: Allocation flag for TPERSAM2";     
attrib  tpersam3     length=4     label="RE: Amount third person paid for rent";
attrib  apersam3     length=3     label="RE: Allocation flag for TPERSAM3";     
attrib  epaycare     length=3     label="RE: Pay for care of child or disabled person";
attrib  apaycare     length=3     label="RE: Allocation flag for EPAYCARE";     
attrib  tcarecst     length=4     label="RE: Amount of care per month";         
attrib  acarecst     length=3     label="RE: Allocation flag for TCARECST";     
attrib  eothre       length=3     label="RE: Household owns other real estate"; 
attrib  aothre       length=3     label="RE: Allocation flag for EOTHRE";       
attrib  eothreo1     length=4     label="RE: First person owns other real estate";
attrib  aothreo1     length=3     label="RE: Allocation flag for EOTHREO1";     
attrib  eothreo2     length=4     label="RE: Second person owns other real estate";
attrib  eothreo3     length=4     label="RE: Second person owns other real estate";
attrib  tothreva     length=4     label="RE: Equity in other real estate";      
attrib  aothreva     length=3     label="RE: Allocation flag for TOTHREVA";     
attrib  eautoown     length=3     label="RE: HH member ownership of vehicle";   
attrib  aautoown     length=3     label="RE: Allocation flag for EAUTOOWN";     
attrib  eautonum     length=3     label="RE: Number of vehicles owned by HH";   
attrib  aautonum     length=3     label="RE: Allocation flag for EAUTONUM";     
attrib  ea1own1      length=4     label="RE: First owner of first vehicle";     
attrib  aa1own1      length=3     label="RE: Allocation flag for EA1OWN1";      
attrib  ea1own2      length=4     label="RE: Second owner of first vehicle";    
attrib  tcarval1     length=4     label="RE: Car value for first vehicle";      
attrib  acarval1     length=3     label="RE: Allocation flag for TCARVAL1";     
attrib  ta1year      length=4     label="RE: Car Year for First Vehicle";       
attrib  ea1owed      length=3     label="RE: Money owed for 1st vehicle";       
attrib  aa1owed      length=3     label="RE: Allocation flag for EA1OWED";      
attrib  ta1amt       length=4     label="RE: Amount owed for 1st vehicle";      
attrib  aa1amt       length=3     label="RE: Allocation flag for TA1AMT";       
attrib  ea1use       length=3     label="RE: Primary use of vehicle";           
attrib  aa1use       length=3     label="RE: Allocation flag for EA1USE";       
attrib  ea2own1      length=4     label="RE: First owner of second vehicle";    
attrib  aa2own1      length=3     label="RE: Allocation flag for EA2OWN1";      
attrib  ea2own2      length=4     label="RE: 2nd owner of second vehicle";      
attrib  tcarval2     length=4     label="RE: Car value for second vehicle";     
attrib  acarval2     length=3     label="RE: Allocation flag for TCARVAL2";     
attrib  ta2year      length=4     label="RE: Car Year for Second Vehicle";      
attrib  ea2owed      length=3     label="RE: Money owed on the 2nd vehicle";    
attrib  aa2owed      length=3     label="RE: Allocation flag for EA2OWED";      
attrib  ta2amt       length=4     label="RE: Amount owed for second vehicle";   
attrib  aa2amt       length=3     label="RE: Allocation flag for TA2AMT";       
attrib  ea2use       length=3     label="RE: Primary use of vehicle";           
attrib  aa2use       length=3     label="RE: Allocation flag for EA2USE";       
attrib  ea3own1      length=4     label="RE: 1st owner of third vehicle";       
attrib  aa3own1      length=3     label="RE: Allocation flag for EA3OWN";       
attrib  ea3own2      length=4     label="RE: 2nd owner of third vehicle";       
attrib  tcarval3     length=4     label="RE: Car value for third vehicle";      
attrib  acarval3     length=3     label="RE: Allocation flag for TCARVAL3";     
attrib  ta3year      length=4     label="RE: Car Year for Third Vehicle";       
attrib  ea3owed      length=3     label="RE: Money owed for third vehicle";     
attrib  aa3owed      length=3     label="RE: Allocation flag for EA3OWED";      
attrib  ta3amt       length=4     label="RE: Amount owed for third vehicle";    
attrib  aa3amt       length=3     label="RE: Allocation flag for TA3AMT";       
attrib  ea3use       length=3     label="RE: Primary use of vehicle";           
attrib  aa3use       length=3     label="RE: Allocation flag for EA3USE";       
attrib  eothveh      length=3     label="RE: Own other Vehicle";                
attrib  aothveh      length=3     label="RE: Allocation flag for EOTHVEH";      
attrib  eovmtrcy     length=3     label="RE: Anyone own a motorcycle?";         
attrib  aovmtrcy     length=3     label="RE: Allocation flag for EOVMTRCY";     
attrib  eovboat      length=3     label="RE: Anyone own a boat?";               
attrib  aovboat      length=3     label="RE: Allocation flag for EOVBOAT";      
attrib  eovrv        length=3     label="RE: Anyone own an RV?";                
attrib  aovrv        length=3     label="RE: Allocation flag for EOVRV";        
attrib  eovothrv     length=3     label="RE: Anyone own any other vehicle";     
attrib  aovothrv     length=3     label="RE: Allocation flag for EOVOTHRV";     
attrib  eov1own1     length=4     label="RE: 1st owner of 1st other vehicle";   
attrib  aov1own1     length=3     label="RE: Allocation flag for EOV1OWN1";     
attrib  eov1own2     length=4     label="RE: 2nd owner of 1st other vehicle";   
attrib  tov1val      length=4     label="RE: 1st other vehicle value";          
attrib  aov1val      length=3     label="RE: Allocation flag for TOV1VAL";      
attrib  eov1owe      length=3     label="RE: Money owed for first other vehicle";
attrib  aov1owe      length=3     label="RE: Allocation flag for EOV1OWE";      
attrib  tov1amt      length=4     label="RE: Amount owed for first other vehicle";
attrib  aov1amt      length=3     label="RE: Allocation flag for TOV1AMT";      
attrib  eov2own1     length=4     label="RE: 1st owner of 2nd other vehicle";   
attrib  aov2own1     length=3     label="RE: Allocation flag for EOV2OWN1";     
attrib  eov2own2     length=4     label="RE: 2nd owner of 2nd other vehicle";   
attrib  tov2val      length=4     label="RE: Second other vehicle value";       
attrib  aov2val      length=3     label="RE: Allocation flag for TOV2VAL";      
attrib  eov2owe      length=3     label="RE: Is money owed for 2nd other vehicle";
attrib  aov2owe      length=3     label="RE: Allocation flag for EOV2OWE";      
attrib  tov2amt      length=4     label="RE: Amount owed for 2nd other vehicle";
attrib  aov2amt      length=3     label="RE: Allocation flag for TOV2AMT";      
attrib  thhtnw       length=6     label="RE: Total Net Worth Recode";           
attrib  thhtwlth     length=6     label="RE: Total Wealth recode";              
attrib  thhtheq      length=6     label="RE: Home Equity recode";               
attrib  thhmortg     length=6     label="RE: Total Debt owed on Home";          
attrib  thhvehcl     length=6     label="RE: Net equity in vehicles";           
attrib  thhbeq       length=6     label="RE: Business Equity";                  
attrib  thhintbk     length=6     label="RE: Interest Earning assets held in banking";
attrib  thhintot     length=6     label="RE: Interest Earning assets held in other";
attrib  rhhstk       length=6     label="RE: Equity in stocks and mutual fund shares";
attrib  thhore       length=6     label="RE: Equity in real estate that is not your";
attrib  thhotast     length=6     label="RE: Equity in other assets";           
attrib  thhira       length=6     label="RE: Equity in IRA and KEOGH accounts"; 
attrib  thhthrif     length=6     label="RE: Equity in 401K and Thrift savings accounts";
attrib  thhdebt      length=6     label="RE: Total debt recode";                
attrib  thhscdbt     length=6     label="RE: Total secured debt recode";        
attrib  rhhuscbt     length=6     label="RE: Total Unsecured Debt";             
attrib  eaoaunv      length=3     label="OA: Universe Indicator for Other Financial";
attrib  toaeq        length=4     label="OA: Equity in investments";            
attrib  aoaeq        length=3     label="OA: Allocation flag for TOAEQ";        
attrib  tiajta       length=4     label="IE: Amount in joint interest earning account";
attrib  aiajta       length=3     label="IE: Allocation flag for TIAJTA";       
attrib  tiaita       length=4     label="IE: Amount in own interest earning account";
attrib  aiaita       length=3     label="IE: Allocation flag for TIAITA";       
attrib  timja        length=4     label="IE: Amount in joint bonds/US securities";
attrib  aimja        length=3     label="IE: Allocation flag for TIMJA";        
attrib  timia        length=5     label="IE: Amount of bonds/securities in own name";
attrib  aimia        length=3     label="IE: Allocation flag for TIMIA";        
attrib  esmjm        length=3     label="SM: Mutual funds owned jointly with spouse";
attrib  asmjm        length=3     label="SM: Allocation flag for ESMJM";        
attrib  esmjs        length=3     label="SM: Stocks owned jointly with spouse"; 
attrib  asmjs        length=3     label="SM: Allocation flag for ESMJS";        
attrib  tsmjv        length=4     label="SM: Value of joint stocks/funds owned with";
attrib  asmjv        length=3     label="SM: Allocation flag for TSMJV";        
attrib  esmjma       length=3     label="SM: Debt against jointly owned stocks/mutual";
attrib  asmjma       length=3     label="SM: Allocation variable for ESMJMA.";  
attrib  tsmjmav      length=4     label="SM: Amount of debt on jointly owned";  
attrib  asmjmav      length=3     label="SM: Allocation variable for TSMJMAV."; 
attrib  esmi         length=3     label="SM: Stocks or funds owned in own name";
attrib  asmi         length=3     label="SM: Allocation flag for ESMI.";        
attrib  tsmiv        length=4     label="SM: Value of stocks/funds in own name";
attrib  asmiv        length=3     label="SM: Allocation flag for TSMIV";        
attrib  esmima       length=3     label="SM: Debt on stocks/funds in own name"; 
attrib  asmima       length=3     label="SM: Allocation flag for ESMIMA";       
attrib  tsmimav      length=4     label="SM: Debt on stocks/funds in own name"; 
attrib  asmimav      length=3     label="SM: Allocation flag for TSMIMAV";      
attrib  erjown       length=3     label="RT: Own rental property jointly with spouse";
attrib  arjown       length=3     label="RT: Allocation flag for ERJOWN";       
attrib  erjnum       length=3     label="RT: Number of rental properties jointly held";
attrib  arjnum       length=3     label="RT: Allocation flag for ERJNUM";       
attrib  erjtyp1      length=3     label="RT: Type of rental property jointly owned";
attrib  arjtyp1      length=3     label="RT: Allocation flag for ERJTYP1";      
attrib  erjtyp2      length=3     label="RT: Type of rental property owned jointly";
attrib  arjtyp2      length=3     label="RT: Allocation flag for ERJTYP2";      
attrib  erjtyp3      length=3     label="RT: Type of rental property owned jointly";
attrib  arjtyp3      length=3     label="RT: Allocation flag for ERJTYP3";      
attrib  erjtyp4      length=3     label="RT: Type of rental property owned jointly";
attrib  arjtyp4      length=3     label="RT: Allocation flag for ERJTYP4";      
attrib  erjtyp5      length=3     label="RT: Type of rental property owned jointly";
attrib  arjtyp5      length=3     label="RT: Allocation flag for ERJTYP5";      
attrib  erjtyp6      length=3     label="RT: Type of rental property owned jointly";
attrib  arjtyp6      length=3     label="RT: Allocation flag for ERJTYP6";      
attrib  erjat        length=3     label="RT: Jnt rental prop attachd to/on same land";
attrib  arjat        length=3     label="RT: Allocation flag for ERJAT";        
attrib  erjata       length=3     label="RT: All joint rent prop attachd to same land";
attrib  arjata       length=3     label="RT: Allocation flag for ERJATA";       
attrib  trjmv        length=5     label="RT: Market value of joint rent not on land of";
attrib  arjmv        length=3     label="RT: Allocation flag for TRJMV";        
attrib  erjdeb       length=3     label="RT: Debt on rental properties held jointly";
attrib  arjdeb       length=3     label="RT: Allocation flag for ERJDEB";       
attrib  trjpri       length=4     label="RT: Principal owed on joint rental property";
attrib  arjpri       length=3     label="RT: Allocation flag for TRJPRI";       
attrib  eriown       length=3     label="RT: Rental property owned in own name";
attrib  ariown       length=3     label="RT: Allocation flag for ERIOWN";       
attrib  erinum       length=3     label="RT: Number of rental properties in own name";
attrib  arinum       length=3     label="RT: Allocation flag for ERINUM";       
attrib  eritype1     length=3     label="RT: First type of rental property owned in";
attrib  aritype1     length=3     label="RT: Allocation flag for ERITYPE1";     
attrib  eritype2     length=3     label="RT: Second type of rental property owned in";
attrib  aritype2     length=3     label="RT: Allocation flag for ERITYPE2";     
attrib  eritype3     length=3     label="RT: Third type of rental property owned in";
attrib  aritype3     length=3     label="RT: Allocation flag for ERITYPE3";     
attrib  eritype4     length=3     label="RT: Fourth type of rental property owned in";
attrib  aritype4     length=3     label="RT: Allocation flag for ERITYPE4";     
attrib  eritype5     length=3     label="RT: Fifth type of rental property owned in";
attrib  aritype5     length=3     label="RT: Allocation flag for ERITYPE5";     
attrib  eritype6     length=3     label="RT: Sixth type of rental property owned in";
attrib  aritype6     length=3     label="RT: Allocation flag for ERITYPE6";     
attrib  eriat        length=3     label="RT: Rental property in own name on/attachd to";
attrib  ariat        length=3     label="RT: Allocation flag for ERIAT";        
attrib  eriata       length=3     label="RT: Rental property in own name on/attached";
attrib  ariata       length=3     label="RT: Allocation flag for ERIATA";       
attrib  trimv        length=5     label="RT: Market value of rental property owned in";
attrib  arimv        length=3     label="RT: Allocation flag for TRIMV";        
attrib  erideb       length=3     label="RT: Debt on rental properties not located on";
attrib  arideb       length=3     label="RT: Allocation flag for ERIDEB";       
attrib  tripri       length=4     label="RT: Principal owed on rental property in own";
attrib  aripri       length=3     label="RT: Allocation flag for TRIPRI";       
attrib  ertown       length=3     label="RT: Rental property held jointly with other";
attrib  artown       length=3     label="RT: Allocation flag for ERTOWN";       
attrib  ertnum       length=3     label="RT: Number of rentals owned with others";
attrib  artnum       length=3     label="RT: Allocation flag for ERTNUM";       
attrib  erttype1     length=3     label="RT: Type of rental property owned jointly";
attrib  arttype1     length=3     label="RT: Allocation flag for ERTTYPE1";     
attrib  erttype2     length=3     label="RT: Type of rental property owned jointly";
attrib  arttype2     length=3     label="RT: Allocation flag for ERTTYPE2";     
attrib  erttype3     length=3     label="RT: Type of rental property owned jointly";
attrib  arttype3     length=3     label="RT: Allocation flag for ERTTYPE3";     
attrib  erttype4     length=3     label="RT: Type of rental property owned jointly";
attrib  arttype4     length=3     label="RT: Allocation flag for ERTTYPE4";     
attrib  erttype5     length=3     label="RT: Type of rental property owned jointly";
attrib  arttype5     length=3     label="RT: Allocation flag for ERTTYPE5";     
attrib  erttype6     length=3     label="RT: Type of rental property owned jointly";
attrib  arttype6     length=3     label="RT: Allocation flag for ERTTYPE6";     
attrib  trtmv        length=5     label="RT: Market value of joint rental property";
attrib  artmv        length=3     label="RT: Allocation flag for TRTMV";        
attrib  ertdeb       length=3     label="RT: Debt on unattached joint rental prop held";
attrib  artdeb       length=3     label="RT: Allocation flag for ERTDEB";       
attrib  trtpri       length=5     label="RT: Principal owed on joint rental property";
attrib  artpri       length=3     label="RT: Allocation flag for TRTPRI";       
attrib  trtsha       length=5     label="RT: Share of rental property held with other";
attrib  artsha       length=3     label="RT: Allocation flag for TRTSHA";       
attrib  tmjp         length=4     label="M0: Principal owed on joint mortgage(s) held";
attrib  amjp         length=3     label="M0: Allocation flag for TMJP";         
attrib  tmip         length=4     label="M0: Principal owed on mortgage(s) in own name";
attrib  amip         length=3     label="M0: Allocation flag for TMIP";         
attrib  evbunv1      length=3     label="BU: Universe Indicator for Value of Business";
attrib  evbno1       length=3     label="BU: First Business number";            
attrib  evbow1       length=3     label="BU: Percent of Business owned for first";
attrib  avbow1       length=3     label="BU: Allocation flag for EVBOW1";       
attrib  tvbva1       length=5     label="BU: The value of the business for the first";
attrib  avbva1       length=3     label="BU: Allocation flag for TVBVA1";       
attrib  tvbde1       length=5     label="BU: The total debt owed against the first";
attrib  avbde1       length=3     label="BU: Allocation flag for TVBDE1";       
attrib  evbunv2      length=3     label="BU: Universe Indicator for Value of Business 2";
attrib  evbno2       length=3     label="BU: Second Business number";           
attrib  evbow2       length=3     label="BU: Percent of Business owned for second";
attrib  avbow2       length=3     label="BU: Allocation flag for EVBOW2";       
attrib  tvbva2       length=5     label="BU: The value of the business for business two";
attrib  avbva2       length=3     label="BU: Allocation flag for TVBVA2";       
attrib  tvbde2       length=4     label="BU: The total debt owed against the second";
attrib  avbde2       length=3     label="BU: Allocation flag for TVBDE2";       
attrib  emdunv       length=3     label="ME: Universe Indicator for Medical Expenses TM";
attrib  tdonorid     length=3     label="ME: The owner of this data.";          
attrib  ehouspay     length=3     label="ME: Are ALL housing exp paid with";    
attrib  ahouspay     length=3     label="ME: Allocation flag for EHOUSPAY";     
attrib  efoodpay     length=3     label="ME: Are ALL food exp. paid with respondent's";
attrib  afoodpay     length=3     label="ME: Allocation flag for EFOODPAY";     
attrib  eexppay      length=3     label="ME: Are ALL other exp. paid with respondent's";
attrib  aexppay      length=3     label="ME: Allocation flag for EEXPPAY";      
attrib  ehhpay       length=3     label="ME: Are supplementary funds from within";
attrib  ahhpay       length=3     label="ME: Allocation flag for EHHPAY";       
attrib  ewhopy01     length=4     label="ME: Household members who provided funding";
attrib  ewhopy02     length=4     label="ME: Household members who provided funding";
attrib  ewhopy03     length=4     label="ME: Household members who provided funding";
attrib  ewhopy04     length=4     label="ME: Household members who provided funding";
attrib  ewhopy05     length=4     label="ME: Household members who provided funding";
attrib  ewhopy06     length=4     label="ME: Household members who provided funding";
attrib  ewhopy07     length=4     label="ME: Household members who provided funding";
attrib  ewhopy08     length=4     label="ME: Household members who provided funding";
attrib  ewhopy09     length=4     label="ME: Household members who provided funding";
attrib  ewhopy10     length=4     label="ME: Household members who provided funding";
attrib  ewhopy11     length=4     label="ME: Household members who provided funding";
attrib  ewhopy12     length=4     label="ME: Household members who provided funding";
attrib  ewhopy13     length=4     label="ME: Household members who provided funding";
attrib  ewhopy14     length=4     label="ME: Household members who provided funding";
attrib  ewhopy15     length=4     label="ME: Household members who provided funding";
attrib  ewhopy16     length=4     label="ME: Household members who provided funding";
attrib  ewhopy17     length=4     label="ME: Household members who provided funding";
attrib  ewhopy18     length=4     label="ME: Household members who provided funding";
attrib  ewhopy19     length=4     label="ME: Household members who provided funding";
attrib  ewhopy20     length=4     label="ME: Household members who provided funding";
attrib  ewhopy21     length=4     label="ME: Household members who provided funding";
attrib  ewhopy22     length=4     label="ME: Household members who provided funding";
attrib  ewhopy23     length=4     label="ME: Household members who provided funding";
attrib  ewhopy24     length=4     label="ME: Household members who provided funding";
attrib  ewhopy25     length=4     label="ME: Household members who provided funding";
attrib  ewhopy26     length=4     label="ME: Household members who provided funding";
attrib  ewhopy27     length=4     label="ME: Household members who provided funding";
attrib  ewhopy28     length=4     label="ME: Household members who provided funding";
attrib  ewhopy29     length=4     label="ME: Household members who provided funding";
attrib  ewhopy30     length=4     label="ME: Household members who provided funding";
attrib  awhopy       length=3     label="ME: Allocation flag for EWHOPY01 - EWHOPY30";
attrib  ehltstat     length=3     label="ME: Report of current health status";  
attrib  ahltstat     length=3     label="ME: Allocation flag for EHLTSTAT";     
attrib  ehospsta     length=3     label="ME: Hospital stays in past 12 months"; 
attrib  ahospsta     length=3     label="ME: Allocation flag for EHOSPSTA";     
attrib  ehospnit     length=3     label="ME: Number of nights spent in hospital";
attrib  ahospnit     length=3     label="ME: Allocation flag for EHOSPNIT";     
attrib  ehreas1      length=3     label="ME: Most recent hospital stay for";    
attrib  ahreas1      length=3     label="ME: Allocation flag for EHREAS1";      
attrib  ehreas2      length=3     label="ME: Most recent hospital stay for";    
attrib  ahreas2      length=3     label="ME: Allocation flag for EHREAS2";      
attrib  ehreas3      length=3     label="ME: Most recent hospital stay for diagnostic";
attrib  ahreas3      length=3     label="ME: Allocation flag for EHREAS3";      
attrib  ehreas4      length=3     label="ME: Most recent hospital stay for giving";
attrib  ahreas4      length=3     label="ME: Allocation flag for EHREAS4";      
attrib  ehreas5      length=3     label="ME: Most recent hospital stay for person's";
attrib  ahreas5      length=3     label="ME: Allocation flag for EHREAS5";      
attrib  ehreas6      length=3     label="ME: Most recent hospital stay for other reason";
attrib  ahreas6      length=3     label="ME: Allocation flag for EHREAS6";      
attrib  edocnum      length=3     label="ME: Frequency of physician contact during";
attrib  adocnum      length=3     label="ME: Allocation flag for EDOCNUM";      
attrib  thipay       length=4     label="ME: Amount paid for health insurance in past";
attrib  ahipay       length=3     label="ME: Allocation flag for THIPAY";       
attrib  epresdrg     length=3     label="ME: Prescription medication use in the last";
attrib  apresdrg     length=3     label="ME: Allocation flag for EPRESDRG";     
attrib  edalydrg     length=3     label="ME: Report of daily prescription medicine";
attrib  adalydrg     length=3     label="ME: Allocation flag for EDALYDRG";     
attrib  evisdent     length=3     label="ME: Frequency of dental visits in past 12";
attrib  avisdent     length=3     label="ME: Allocation flag for EVISDENT";     
attrib  edenseal     length=3     label="ME: Report of child's dental sealant use";
attrib  adenseal     length=3     label="ME: Allocation flag for EDENSEAL";     
attrib  edis1        length=3     label="ME: Hearing difficulty";               
attrib  edis2        length=3     label="ME: Vision difficulty";                
attrib  edis3        length=3     label="ME: Cognitive difficulty";             
attrib  edis4        length=3     label="ME: Ambulatory difficulty";            
attrib  edis5        length=3     label="ME: Self-care difficulty";             
attrib  edis6        length=3     label="ME: Independent living difficulty";    
attrib  adis1        length=3     label="ME: Allocation flag for EDIS1";        
attrib  adis2        length=3     label="ME: Allocation flag for EDIS2";        
attrib  adis3        length=3     label="ME: Allocation flag for EDIS3";        
attrib  adis4        length=3     label="ME: Allocation flag for EDIS4";        
attrib  adis5        length=3     label="ME: Allocation flag for EDIS5";        
attrib  adis6        length=3     label="ME: Allocation flag for EDIS6";        
attrib  elostth      length=3     label="ME: Report of adult tooth loss";       
attrib  alostth      length=3     label="ME: Allocation flag for ELOSTTH";      
attrib  eallth       length=3     label="ME: Report of complete adult tooth loss";
attrib  aallth       length=3     label="ME: Allocation flag for EALLTH";       
attrib  evisdoc      length=3     label="ME: Frequency of medical provider visits,";
attrib  avisdoc      length=3     label="ME: Allocation flag for EVISDOC";      
attrib  emdspnd      length=3     label="ME: Did respondent buy medical supplies past";
attrib  amdspnd      length=3     label="ME: Allocation flag for EMDSPND";      
attrib  emdspnds     length=3     label="ME: Did respondent buy medical supplies for";
attrib  amdspnds     length=3     label="ME: Allocation flag for EMDSPNDS";     
attrib  edaysick     length=3     label="ME: Number of sickdays in past 12 months";
attrib  adaysick     length=3     label="ME: Allocation flag for EDAYSICK";     
attrib  tmdpay       length=4     label="ME: Cost of respondent medical care in past";
attrib  amdpay       length=3     label="ME: Allocation flag for TMDPAY";       
attrib  ereimb       length=3     label="ME: Was HH reimbursed for health ins and";
attrib  areimb       length=3     label="ME: Allocation flag for EREIMB";       
attrib  treimbur     length=4     label="ME: Edited variable for reimbursed medical";
attrib  areimbur     length=3     label="ME: Allocation flag for TREIMBUR";     
attrib  ehspstas     length=3     label="ME: Children's hospital stays in past 12";
attrib  ahspstas     length=3     label="ME: Allocation flag for EHSPSTAS";     
attrib  eprsdrgs     length=3     label="ME: Children prescription medication use last";
attrib  aprsdrgs     length=3     label="ME: Allocation flag for EPRSDRGS";     
attrib  evsdents     length=3     label="ME: Children's dentist visits in the past 12";
attrib  avsdents     length=3     label="ME: Allocation flag for EVSDENTS";     
attrib  evsdocs      length=3     label="ME: Doctor/medical provider contacted for R's";
attrib  avsdocs      length=3     label="ME: Allocation flag for EVSDOCS.";     
attrib  enowkyr      length=3     label="ME: Length of time not worked due to health";
attrib  anowkyr      length=3     label="ME: Allocation flag for ENOWKYR";      
attrib  ewkfutr      length=3     label="ME: Respondent able to work during the next";
attrib  awkfutr      length=3     label="ME: Allocation flag for EWKFUTR";      
attrib  trmoops      length=4     label="ME: Edited variable for out of pocket";
attrib  enoindnt     length=3     label="ME: Dental care while without health insurance";
attrib  anoindnt     length=3     label="ME: Allocation flag for ENOINDNT";     
attrib  enoindoc     length=3     label="ME: Doctor or other health care while without";
attrib  anoindoc     length=3     label="ME: Allocation flag for ENOINDOC";     
attrib  enointrt     length=3     label="ME: Did respondent receive treatment"; 
attrib  anointrt     length=3     label="ME: Allocation flag for ENOINTRT";     
attrib  enoinchk     length=3     label="ME: Did respondent receive";           
attrib  anoinchk     length=3     label="ME: Allocation flag for ENOINCHK";     
attrib  enoindrg     length=3     label="ME: Did respondent receive drug/alcohol";
attrib  anoindrg     length=3     label="ME: Allocation flag for ENOINDRG";     
attrib  enoinpay     length=3     label="ME: Did respondent pay for treatment"; 
attrib  anoinpay     length=3     label="ME: Allocation flag for ENOINPAY";     
attrib  enoindis     length=3     label="ME: Did respondent pay full price for";
attrib  anoindis     length=3     label="ME: Allocation flag for ENOINDIS";     
attrib  enoininc     length=3     label="ME: Was resp. asked income before cost quoted";
attrib  anoininc     length=3     label="ME: Allocation flag for ENOININC";     
attrib  enoincln     length=3     label="ME: Did respondent go to clinic/public health";
attrib  enoiner      length=3     label="ME: Did respondent go to an emergency room";
attrib  enoinhsp     length=3     label="ME: Did respondent go to a hospital (not";
attrib  enoinva      length=3     label="ME: Did respondent go to a VA hospital";
attrib  enoindr      length=3     label="ME: Did respondent go to a doctor's office";
attrib  enoindds     length=3     label="ME: Did respondent go to a dentist's office";
attrib  enoinoth     length=3     label="ME: Did respondent go to someplace else";
attrib  anoinloc     length=3     label="ME: Joint allocation flag for health care";
attrib  eapvunv      length=3     label="PV: Universe indicator for Work Related";
attrib  epvwk1       length=3     label="PV: Drive own vehicle to work?";       
attrib  epvwk2       length=3     label="PV: Did ... car/van pool to work?";    
attrib  epvwk3       length=3     label="PV: Did ... use the public transit?";  
attrib  epvwk4       length=3     label="PV: Did ... bike/walk to work?";       
attrib  epvwk5       length=3     label="PV: Did ... get to work some other way?";
attrib  apvwk        length=3     label="PV: Allocation Flag for EPVWK1-EPVWK5";
attrib  epvmilwk     length=4     label="PV: How many miles did...drive to work?";
attrib  apvmilwk     length=3     label="PV: Allocation Flag for EPVMILWK";     
attrib  epvpaprk     length=3     label="PV: Did...work related expenses include paid";
attrib  apvpaprk     length=3     label="PV: Allocation Flag for EPVPAPRK";     
attrib  epvpaywk     length=4     label="PV: How much did...spend for parking or tolls?";
attrib  apvpaywk     length=3     label="PV: Allocation Flag for EPVPAYWK";     
attrib  epvcomut     length=4     label="PV: How much were...'s weekly commute";
attrib  apvcomut     length=3     label="PV: Allocation Flag for EPVCOMUT";     
attrib  epvwkexp     length=3     label="PV: Did...have to pay for work related";
attrib  apvwkexp     length=3     label="PV: Allocation Flag for EPVWKEXP";     
attrib  epvanexp     length=4     label="PV: How much were annual expenses for work";
attrib  apvanexp     length=3     label="PV: Allocation Flag for EPVANEXP";     
attrib  epvchild     length=3     label="PV: Do you have any child under 21 who lived";
attrib  apvchild     length=3     label="PV: Allocation Flag for EPVCHILD";     
attrib  epvmancd     length=3     label="PV: How many children lived elsewhere?";
attrib  apvmancd     length=3     label="PV: Allocation Flag for EPVMANCD";     
attrib  epvmosup     length=3     label="PV: Was...required to pay child support?";
attrib  apvmosup     length=3     label="PV: Allocation Flag for EPVMOSUP.";    
attrib  tpvchpa1     length=4     label="PV: How much did ... pay in child support for";
attrib  tpvchpa2     length=4     label="PV: How much did ... pay in child support for";
attrib  tpvchpa3     length=4     label="PV: How much did ... pay in child support for";
attrib  tpvchpa4     length=4     label="PV: How much did ... pay in child support for";
attrib  apvchpa      length=3     label="PV: Allocation Flag for TPVCHPA1 - TPVCHPA4";
attrib  epvccarr     length=3     label="PV: Child care arrangements";          
attrib  apvccarr     length=3     label="PV: Allocation Flag for EPVCCARR.";    
attrib  tpvccfp1     length=4     label="PV: Amount of child care: typical week month";
attrib  apvccfp1     length=3     label="PV: Allocation Flag for TPVCCFP1";     
attrib  tpvccfp2     length=4     label="PV: Amount of child care: typical week month";
attrib  apvccfp2     length=3     label="PV: Allocation Flag for TPVCCFP2";     
attrib  tpvccfp3     length=4     label="PV: Amount of child care: typical week month";
attrib  apvccfp3     length=3     label="PV: Allocation Flag for TPVCCFP3";     
attrib  tpvccfp4     length=4     label="PV: Amount of child care: typical week month";
attrib  apvccfp4     length=3     label="PV: Allocation Flag for TPVCCFP4";     
attrib  epvccoth     length=3     label="PV: Did anyone else pay for child care?";
attrib  apvccoth     length=3     label="PV: Allocation Flag for EPVCCOTH.";    
attrib  epvcwho1     length=3     label="PV: Government helped pay for child care";
attrib  epvcwho2     length=3     label="PV: Other parent helped pay for child care";
attrib  epvcwho3     length=3     label="PV: Employer helped pay for child care";
attrib  epvcwho4     length=3     label="PV: Relative or friend helped pay for child";
attrib  epvcwho5     length=3     label="PV: Other help to pay for child care"; 
attrib  apvcwho      length=3     label="PV: Allocation flag for EPVCWHO1-EPVCWHO5";
attrib  epvdays      length=3     label="PV: Total time in days spent w/child in past";
attrib  epvweeks     length=3     label="PV: Total time in weeks spent w/child in past";
attrib  epvmnths     length=3     label="PV: Total time in months spent w/child in";
attrib  apvdwm       length=3     label="PV: Allocation flag for EPVDAYS, EPVWEEKS,";
attrib  epcwunv      length=3     label="CW: Universe indicator.";              
attrib  edaycare     length=3     label="CW: Child cared for by non-fam daycare/babysit";
attrib  adaycare     length=3     label="CW: Allocation flag for EDAYCARE";     
attrib  ecaremth     length=3     label="CW: Age of child mnth when non-family cared";
attrib  acaremth     length=3     label="CW: Allocation flag for ECAREMTH";     
attrib  ehrscare     length=3     label="CW: Hours per week child was cared for by";
attrib  ahrscare     length=3     label="CW: Allocation flag for EHRSCARE";     
attrib  elivapat     length=3     label="CW: Child ever lived apart from designated";
attrib  alivapat     length=3     label="CW: Allocation flag for ELIVAPAT";     
attrib  enotable     length=3     label="CW: Was child sent elsewhere b/c unable to";
attrib  anotable     length=3     label="CW: Allocation flag for ENOTABLE";     
attrib  epastmon     length=3     label="CW: Child lived away from designated parent";
attrib  apastmon     length=3     label="CW: Allocation flag for EPASTMON";     
attrib  eouting      length=3     label="CW: How often family member took child on";
attrib  aouting      length=3     label="CW: Allocation flag for EOUTING";      
attrib  etotread     length=3     label="CW: How often in past week child read to by";
attrib  atotread     length=3     label="CW: Allocation flag for ETOTREAD";     
attrib  eparread     length=3     label="CW: Times in past week child read to by";
attrib  aparread     length=3     label="CW: Allocation flag for EPARREAD";     
attrib  edadread     length=3     label="CW: Number of times past week did Dad read to";
attrib  adadread     length=3     label="CW: Allocation flag for EDADREAD";     
attrib  etvrules     length=3     label="CW: Family rules about TV programs";   
attrib  atvrules     length=3     label="CW: Allocation flag for ETVRULES";     
attrib  etimestv     length=3     label="CW: Family rules about watching TV early or";
attrib  atimestv     length=3     label="CW: Allocation flag for ETIMESTV";     
attrib  ehoustv      length=3     label="CW: Family rules about number of hours to";
attrib  ahoustv      length=3     label="CW: Allocation flag for EHOUSTV";      
attrib  eeatbkf      length=3     label="CW: Number of days you ate breakfast with";
attrib  aeatbkf      length=3     label="CW: Allocation flag for EEATBKF";      
attrib  eeatdinn     length=3     label="CW: Number of days you ate dinner with child";
attrib  aeatdinn     length=3     label="CW: Allocation flag for EEATDINN";     
attrib  edadbrkf     length=3     label="CW: Number of days DAD ate breakfast with";
attrib  adadbrkf     length=3     label="CW: Allocation flag for EDADBRKF";     
attrib  edaddinn     length=3     label="CW: Number of days DAD ate dinner with child";
attrib  adaddinn     length=3     label="CW: Allocation flag for EDADDINN";     
attrib  efuntime     length=3     label="CW: Number of times ... talk or played with";
attrib  afuntime     length=3     label="CW: Allocation flag for EFUNTIME";     
attrib  edadfun      length=3     label="CW: Number of times DAD talked or played with";
attrib  adadfun      length=3     label="CW: Allocation flag for EDADFUN";      
attrib  epraise      length=3     label="CW: How often did ... praise child";   
attrib  apraise      length=3     label="CW: Allocation flag for EPRAISE";      
attrib  edadprai     length=3     label="CW: How often did DAD praise child";   
attrib  adadprai     length=3     label="CW: Allocation flag for EDADPRAI";     
attrib  efarscho     length=3     label="CW: Education attainment you would LIKE for";
attrib  afarscho     length=3     label="CW: Allocation flag for EFARSCHO";     
attrib  edadfar      length=3     label="CW: Education [the father] would LIKE for the";
attrib  adadfar      length=3     label="CW: Allocation flag for EDADFAR";      
attrib  ethinksc     length=3     label="CW: Education attainment you THINK child will";
attrib  athinksc     length=3     label="CW: Allocation flag for ETHINKSC";     
attrib  eatkindg     length=3     label="CW: Has child ever attended or enrolled in";
attrib  aatkindg     length=3     label="CW: Allocation flag for EATKINDG";     
attrib  ekindage     length=3     label="CW: Age of child when first started";  
attrib  akindage     length=3     label="CW: Allocation flag for EKINDAGE";     
attrib  efirgrad     length=3     label="CW: Has child ever attended or enrolled in";
attrib  afirgrad     length=3     label="CW: Allocation flag for EFIRGRAD";     
attrib  estrtage     length=3     label="CW: Age of child when first started first";
attrib  astrtage     length=3     label="CW: Allocation flag for ESTRTAGE";     
attrib  ekindele     length=3     label="CW: Child attend/enroll in kindergarten or";
attrib  akindele     length=3     label="CW: Allocation flag for EKINDELE";     
attrib  ehighgra     length=3     label="CW: Highest grade/year child has completed";
attrib  ahighgra     length=3     label="CW: Allocation flag for EHIGHGRA";     
attrib  ecurrerl     length=3     label="CW: Is child currently attending/enrolled in";
attrib  acurrerl     length=3     label="CW: Allocation flag for ECURRERL";     
attrib  egrdeatt     length=3     label="CW: Grade/year child is now attending";
attrib  agrdeatt     length=3     label="CW: Allocation flag for EGRDEATT";     
attrib  epubpriv     length=3     label="CW: Is child enrolled in public or private";
attrib  apubpriv     length=3     label="CW: Allocation flag for EPUBPRIV";     
attrib  eassschl     length=3     label="CW: Assigned or chosen school";        
attrib  aassschl     length=3     label="CW: Allocation flag for EASSSCHL";     
attrib  erelisch     length=3     label="CW: Is school affiliated with a religion";
attrib  arelisch     length=3     label="CW: Allocation flag for ERELISCH";     
attrib  especsch     length=3     label="CW: Is child a gifted student";        
attrib  aspecsch     length=3     label="CW: Allocation flag for ESPECSCH";     
attrib  esportea     length=3     label="CW: Is child on a sports team";        
attrib  asportea     length=3     label="CW: Allocation flag for ESPORTEA";     
attrib  elessons     length=3     label="CW: Does child take music, dance, language";
attrib  alessons     length=3     label="CW: Allocation flag for ELESSONS";     
attrib  eclubsch     length=3     label="CW: Does child participate in any clubs";
attrib  aclubsch     length=3     label="CW: Allocation flag for ECLUBSCH";     
attrib  erelig       length=3     label="CW: How often child goes to religious event";
attrib  arelig       length=3     label="CW: Allocation flag for ERELIG";       
attrib  elikesch     length=3     label="CW: Child likes school";               
attrib  alikesch     length=3     label="CW: Allocation flag for ELIKESCH";     
attrib  eintschl     length=3     label="CW: Is child interested in school work";
attrib  aintschl     length=3     label="CW: Allocation flag for EINTSCHL";     
attrib  ewkshard     length=3     label="CW: Does child work hard in school";   
attrib  awkshard     length=3     label="CW: Allocation flag for EWKSHARD";     
attrib  echgschl     length=3     label="CW: Has child changed schools";        
attrib  achgschl     length=3     label="CW: Allocation flag for ECHGSCHL";     
attrib  etimchan     length=3     label="CW: Number of times changed schools";  
attrib  atimchan     length=3     label="CW: Allocation flag for ETIMCHAN";     
attrib  erepgrad     length=3     label="CW: Has child repeated grades";        
attrib  arepgrad     length=3     label="CW: Allocation flag for EREPGRAD";     
attrib  egrdrpt1     length=3     label="CW: Grade/year child repeated - ENTRY 1";
attrib  egrdrpt2     length=3     label="CW: Grade/year child repeated - ENTRY 2";
attrib  egrdrpt3     length=3     label="CW: Grade/year child repeated - ENTRY 3";
attrib  egrdrpt4     length=3     label="CW: Grade/year child repeated - ENTRY 4";
attrib  egrdrpt5     length=3     label="CW: Grade/year child repeated - ENTRY 5";
attrib  agrdrpt      length=3     label="CW: Allocation flag for EGRDRPT1-EGRDRPT5";
attrib  eexpschl     length=3     label="CW: Has child been expelled from school";
attrib  aexpschl     length=3     label="CW: Allocation flag for EEXPSCHL";     
attrib  ttimexp      length=3     label="CW: Number of times child was expelled";
attrib  atimexp      length=3     label="CW: Allocation flag for TTIMEXP";      
attrib  ehardcar     length=3     label="CW: Child is hard to care for";        
attrib  ahardcar     length=3     label="CW: Allocation flag for EHARDCAR";     
attrib  ebother      length=3     label="CW: Child does things that bother me"; 
attrib  abother      length=3     label="CW: Allocation flag for EBOTHER";      
attrib  egivuplf     length=3     label="CW: Parent gives up life to meet child/ren";
attrib  agivuplf     length=3     label="CW: Allocation flag for EGIVUPLF";     
attrib  eangrycl     length=3     label="CW: Parent feels angry with child";    
attrib  aangrycl     length=3     label="CW: Allocation flag for EANGRYCL";     
attrib  ehelpech     length=3     label="CW: People help each other out";       
attrib  ahelpech     length=3     label="CW: Allocation flag for EHELPECH";     
attrib  ewatchot     length=3     label="CW: We watch out for each other's children";
attrib  awatchot     length=3     label="CW: Allocation flag for EWATCHOT";     
attrib  ecounton     length=3     label="CW: There are people I can count on";  
attrib  acounton     length=3     label="CW: Allocation flag for ECOUNTON";     
attrib  ebadpeop     length=3     label="CW: There are people who might be a bad";
attrib  abadpeop     length=3     label="CW: Allocation flag for EBADPEOP";     
attrib  etrustpe     length=3     label="CW: There are adults I trust to help the";
attrib  atrustpe     length=3     label="CW: Allocation flag for ETRUSTPE";     
attrib  ekeepins     length=3     label="CW: I keep my children inside";        
attrib  akeepins     length=3     label="CW: Allocation flag for EKEEPINS";     
attrib  esafepla     length=3     label="CW: There are safe places to play outside";
attrib  asafepla     length=3     label="CW: Allocation flag for ESAFEPLA";     


INPUT

@1    ssuseq       5. 
@6    ssuid      $12. 
@18   spanel       4. 
@22   swave        2. 
@24   srotaton     1. 
@25   tfipsst      2. 
@27   shhadid      3. 
@30   eoutcome     3. 
@33   rfid         3. 
@36   rfid2        3. 
@39   eppidx       3. 
@42   eentaid     $3. 
@45   epppnum     $4. 
@49   epopstat     1. 
@50   eppintvw     2. 
@52   eppmis4      1. 
@53   esex         1. 
@54   erace        1. 
@55   eorigin      2. 
@57   wpfinwgt   10.4 
@67   errp         2. 
@69   tage         2. 
@71   ems          1. 
@72   epnspous     4. 
@76   epnmom       4. 
@80   epndad       4. 
@84   epnguard     4. 
@88   rdesgpnt     2. 
@90   eeducate     2. 
@92   lgtkey      $8. 
@100  sinthhid     3. 
@103  eaesunv      2. 
@105  estimyn      2. 
@107  astimyn      1. 
@108  estimuse     2. 
@110  astimuse     1. 
@111  ealunv       2. 
@113  ealr         2. 
@115  aalr         1. 
@116  ealry        2. 
@118  aalry        1. 
@119  talrb        6. 
@125  aalrb        1. 
@126  ealra1       2. 
@128  aalra1       1. 
@129  ealra2       2. 
@131  aalra2       1. 
@132  ealra3       2. 
@134  aalra3       1. 
@135  ealra4       2. 
@137  aalra4       1. 
@138  ealk         2. 
@140  aalk         1. 
@141  ealky        2. 
@143  aalky        1. 
@144  talkb        6. 
@150  aalkb        1. 
@151  ealka1       2. 
@153  aalka1       1. 
@154  ealka2       2. 
@156  aalka2       1. 
@157  ealka3       2. 
@159  aalka3       1. 
@160  ealka4       2. 
@162  aalka4       1. 
@163  ealt         2. 
@165  aalt         1. 
@166  ealty        2. 
@168  aalty        1. 
@169  taltb        6. 
@175  aaltb        1. 
@176  ealta1       2. 
@178  aalta1       1. 
@179  ealta2       2. 
@181  aalta2       1. 
@182  ealta3       2. 
@184  aalta3       1. 
@185  ealta4       2. 
@187  aalta4       1. 
@188  ealow        2. 
@190  aalow        1. 
@191  ealowa       8. 
@199  aalowa       1. 
@200  ealsb        2. 
@202  aalsb        1. 
@203  talsbv       5. 
@208  aalsbv       1. 
@209  ealjch       2. 
@211  aaljch       1. 
@212  taljcha      4. 
@216  aaljcha      1. 
@217  ealjdb       2. 
@219  aaljdb       1. 
@220  ealjdl       2. 
@222  aaljdl       1. 
@223  ealjdo       2. 
@225  aaljdo       1. 
@226  taljdab      6. 
@232  aaljdab      1. 
@233  taljdal      6. 
@239  aaljdal      1. 
@240  taljdao      6. 
@246  aaljdao      1. 
@247  ealich       2. 
@249  aalich       1. 
@250  talicha      4. 
@254  aalicha      1. 
@255  ealil        2. 
@257  aalil        1. 
@258  ealidb       2. 
@260  aalidb       1. 
@261  ealidl       2. 
@263  aalidl       1. 
@264  ealido       2. 
@266  aalido       1. 
@267  talidab      6. 
@273  aalidab      1. 
@274  talidal      6. 
@280  aalidal      1. 
@281  talidao      6. 
@287  aalidao      1. 
@288  ealli        2. 
@290  aalli        1. 
@291  talliv       7. 
@298  aalliv       1. 
@299  eallit       2. 
@301  aallit       1. 
@302  eallie       2. 
@304  aallie       1. 
@305  talliev      6. 
@311  aalliev      1. 
@312  ehreunv      2. 
@314  eremobho     2. 
@316  aremobho     1. 
@317  ehowner1     4. 
@321  ahowner1     1. 
@322  ehowner2     4. 
@326  ahowner2     1. 
@327  ehowner3     4. 
@331  ehbuymo      2. 
@333  ahbuymo      1. 
@334  ehbuyyr      4. 
@338  ahbuyyr      1. 
@339  ehmort       2. 
@341  ahmort       1. 
@342  enummort     2. 
@344  anummort     1. 
@345  tmor1pr      6. 
@351  amor1pr      1. 
@352  emor1yr      4. 
@356  amor1yr      1. 
@357  emor1mo      2. 
@359  amor1mo      1. 
@360  tmor1amt     6. 
@366  amor1amt     1. 
@367  tmor1yrs     2. 
@369  amor1yrs     1. 
@370  emor1int    5.3 
@375  amor1int     1. 
@376  emor1var     2. 
@378  amor1var     1. 
@379  emor1pgm     2. 
@381  amor1pgm     1. 
@382  tmor2pr      1. 
@383  amor2pr      1. 
@384  emor2yr      4. 
@388  amor2yr      1. 
@389  emor2mo      2. 
@391  amor2mo      1. 
@392  tmor2amt     1. 
@393  amor2amt     1. 
@394  tmor2yrs     2. 
@396  amor2yrs     1. 
@397  emor2int    5.3 
@402  amor2int     1. 
@403  emor2var     2. 
@405  amor2var     1. 
@406  emor2pgm     2. 
@408  amor2pgm     1. 
@409  tmor3pr      1. 
@410  amor3pr      1. 
@411  tpropval     6. 
@417  apropval     1. 
@418  emhloan      2. 
@420  amhloan      1. 
@421  emhtype      2. 
@423  amhtype      1. 
@424  tmhpr        6. 
@430  amhpr        1. 
@431  tmhval       6. 
@437  amhval       1. 
@438  thomeamt     4. 
@442  ahomeamt     1. 
@443  tutils       3. 
@446  autils       1. 
@447  eperspay     2. 
@449  aperspay     1. 
@450  eperspya     4. 
@454  aperspya     1. 
@455  eperspy1     4. 
@459  aperspy1     1. 
@460  eperspy2     4. 
@464  eperspy3     4. 
@468  tpersam1     4. 
@472  apersam1     1. 
@473  tpersam2     4. 
@477  apersam2     1. 
@478  tpersam3     4. 
@482  apersam3     1. 
@483  epaycare     2. 
@485  apaycare     1. 
@486  tcarecst     4. 
@490  acarecst     1. 
@491  eothre       2. 
@493  aothre       1. 
@494  eothreo1     4. 
@498  aothreo1     1. 
@499  eothreo2     4. 
@503  eothreo3     4. 
@507  tothreva     6. 
@513  aothreva     1. 
@514  eautoown     2. 
@516  aautoown     1. 
@517  eautonum     2. 
@519  aautonum     1. 
@520  ea1own1      4. 
@524  aa1own1      1. 
@525  ea1own2      4. 
@529  tcarval1     5. 
@534  acarval1     1. 
@535  ta1year      4. 
@539  ea1owed      2. 
@541  aa1owed      1. 
@542  ta1amt       5. 
@547  aa1amt       1. 
@548  ea1use       2. 
@550  aa1use       1. 
@551  ea2own1      4. 
@555  aa2own1      1. 
@556  ea2own2      4. 
@560  tcarval2     5. 
@565  acarval2     1. 
@566  ta2year      4. 
@570  ea2owed      2. 
@572  aa2owed      1. 
@573  ta2amt       5. 
@578  aa2amt       1. 
@579  ea2use       2. 
@581  aa2use       1. 
@582  ea3own1      4. 
@586  aa3own1      1. 
@587  ea3own2      4. 
@591  tcarval3     5. 
@596  acarval3     1. 
@597  ta3year      4. 
@601  ea3owed      2. 
@603  aa3owed      1. 
@604  ta3amt       5. 
@609  aa3amt       1. 
@610  ea3use       2. 
@612  aa3use       1. 
@613  eothveh      2. 
@615  aothveh      1. 
@616  eovmtrcy     2. 
@618  aovmtrcy     1. 
@619  eovboat      2. 
@621  aovboat      1. 
@622  eovrv        2. 
@624  aovrv        1. 
@625  eovothrv     2. 
@627  aovothrv     1. 
@628  eov1own1     4. 
@632  aov1own1     1. 
@633  eov1own2     4. 
@637  tov1val      5. 
@642  aov1val      1. 
@643  eov1owe      2. 
@645  aov1owe      1. 
@646  tov1amt      5. 
@651  aov1amt      1. 
@652  eov2own1     4. 
@656  aov2own1     1. 
@657  eov2own2     4. 
@661  tov2val      5. 
@666  aov2val      1. 
@667  eov2owe      2. 
@669  aov2owe      1. 
@670  tov2amt      5. 
@675  aov2amt      1. 
@676  thhtnw      10. 
@686  thhtwlth    10. 
@696  thhtheq     10. 
@706  thhmortg    10. 
@716  thhvehcl    10. 
@726  thhbeq      10. 
@736  thhintbk    10. 
@746  thhintot    10. 
@756  rhhstk      10. 
@766  thhore      10. 
@776  thhotast    10. 
@786  thhira      10. 
@796  thhthrif    10. 
@806  thhdebt     10. 
@816  thhscdbt    10. 
@826  rhhuscbt    10. 
@836  eaoaunv      2. 
@838  toaeq        6. 
@844  aoaeq        1. 
@845  tiajta       6. 
@851  aiajta       1. 
@852  tiaita       6. 
@858  aiaita       1. 
@859  timja        6. 
@865  aimja        1. 
@866  timia        7. 
@873  aimia        1. 
@874  esmjm        2. 
@876  asmjm        1. 
@877  esmjs        2. 
@879  asmjs        1. 
@880  tsmjv        6. 
@886  asmjv        1. 
@887  esmjma       2. 
@889  asmjma       1. 
@890  tsmjmav      6. 
@896  asmjmav      1. 
@897  esmi         2. 
@899  asmi         1. 
@900  tsmiv        6. 
@906  asmiv        1. 
@907  esmima       2. 
@909  asmima       1. 
@910  tsmimav      6. 
@916  asmimav      1. 
@917  erjown       2. 
@919  arjown       1. 
@920  erjnum       2. 
@922  arjnum       1. 
@923  erjtyp1      2. 
@925  arjtyp1      1. 
@926  erjtyp2      2. 
@928  arjtyp2      1. 
@929  erjtyp3      2. 
@931  arjtyp3      1. 
@932  erjtyp4      2. 
@934  arjtyp4      1. 
@935  erjtyp5      2. 
@937  arjtyp5      1. 
@938  erjtyp6      2. 
@940  arjtyp6      1. 
@941  erjat        2. 
@943  arjat        1. 
@944  erjata       2. 
@946  arjata       1. 
@947  trjmv        7. 
@954  arjmv        1. 
@955  erjdeb       2. 
@957  arjdeb       1. 
@958  trjpri       6. 
@964  arjpri       1. 
@965  eriown       2. 
@967  ariown       1. 
@968  erinum       2. 
@970  arinum       1. 
@971  eritype1     2. 
@973  aritype1     1. 
@974  eritype2     2. 
@976  aritype2     1. 
@977  eritype3     2. 
@979  aritype3     1. 
@980  eritype4     2. 
@982  aritype4     1. 
@983  eritype5     2. 
@985  aritype5     1. 
@986  eritype6     2. 
@988  aritype6     1. 
@989  eriat        2. 
@991  ariat        1. 
@992  eriata       2. 
@994  ariata       1. 
@995  trimv        7. 
@1002 arimv        1. 
@1003 erideb       2. 
@1005 arideb       1. 
@1006 tripri       6. 
@1012 aripri       1. 
@1013 ertown       2. 
@1015 artown       1. 
@1016 ertnum       2. 
@1018 artnum       1. 
@1019 erttype1     2. 
@1021 arttype1     1. 
@1022 erttype2     2. 
@1024 arttype2     1. 
@1025 erttype3     2. 
@1027 arttype3     1. 
@1028 erttype4     2. 
@1030 arttype4     1. 
@1031 erttype5     2. 
@1033 arttype5     1. 
@1034 erttype6     2. 
@1036 arttype6     1. 
@1037 trtmv        7. 
@1044 artmv        1. 
@1045 ertdeb       2. 
@1047 artdeb       1. 
@1048 trtpri       7. 
@1055 artpri       1. 
@1056 trtsha       7. 
@1063 artsha       1. 
@1064 tmjp         6. 
@1070 amjp         1. 
@1071 tmip         6. 
@1077 amip         1. 
@1078 evbunv1      2. 
@1080 evbno1       2. 
@1082 evbow1       3. 
@1085 avbow1       1. 
@1086 tvbva1       7. 
@1093 avbva1       1. 
@1094 tvbde1       7. 
@1101 avbde1       1. 
@1102 evbunv2      2. 
@1104 evbno2       2. 
@1106 evbow2       3. 
@1109 avbow2       1. 
@1110 tvbva2       7. 
@1117 avbva2       1. 
@1118 tvbde2       6. 
@1124 avbde2       1. 
@1125 emdunv       2. 
@1127 tdonorid     1. 
@1128 ehouspay     2. 
@1130 ahouspay     1. 
@1131 efoodpay     2. 
@1133 afoodpay     1. 
@1134 eexppay      2. 
@1136 aexppay      1. 
@1137 ehhpay       2. 
@1139 ahhpay       1. 
@1140 ewhopy01     4. 
@1144 ewhopy02     4. 
@1148 ewhopy03     4. 
@1152 ewhopy04     4. 
@1156 ewhopy05     4. 
@1160 ewhopy06     4. 
@1164 ewhopy07     4. 
@1168 ewhopy08     4. 
@1172 ewhopy09     4. 
@1176 ewhopy10     4. 
@1180 ewhopy11     4. 
@1184 ewhopy12     4. 
@1188 ewhopy13     4. 
@1192 ewhopy14     4. 
@1196 ewhopy15     4. 
@1200 ewhopy16     4. 
@1204 ewhopy17     4. 
@1208 ewhopy18     4. 
@1212 ewhopy19     4. 
@1216 ewhopy20     4. 
@1220 ewhopy21     4. 
@1224 ewhopy22     4. 
@1228 ewhopy23     4. 
@1232 ewhopy24     4. 
@1236 ewhopy25     4. 
@1240 ewhopy26     4. 
@1244 ewhopy27     4. 
@1248 ewhopy28     4. 
@1252 ewhopy29     4. 
@1256 ewhopy30     4. 
@1260 awhopy       1. 
@1261 ehltstat     2. 
@1263 ahltstat     1. 
@1264 ehospsta     2. 
@1266 ahospsta     1. 
@1267 ehospnit     3. 
@1270 ahospnit     1. 
@1271 ehreas1      2. 
@1273 ahreas1      1. 
@1274 ehreas2      2. 
@1276 ahreas2      1. 
@1277 ehreas3      2. 
@1279 ahreas3      1. 
@1280 ehreas4      2. 
@1282 ahreas4      1. 
@1283 ehreas5      2. 
@1285 ahreas5      1. 
@1286 ehreas6      2. 
@1288 ahreas6      1. 
@1289 edocnum      3. 
@1292 adocnum      1. 
@1293 thipay       4. 
@1297 ahipay       1. 
@1298 epresdrg     2. 
@1300 apresdrg     1. 
@1301 edalydrg     2. 
@1303 adalydrg     1. 
@1304 evisdent     3. 
@1307 avisdent     1. 
@1308 edenseal     2. 
@1310 adenseal     1. 
@1311 edis1        2. 
@1313 edis2        2. 
@1315 edis3        2. 
@1317 edis4        2. 
@1319 edis5        2. 
@1321 edis6        2. 
@1323 adis1        1. 
@1324 adis2        1. 
@1325 adis3        1. 
@1326 adis4        1. 
@1327 adis5        1. 
@1328 adis6        1. 
@1329 elostth      2. 
@1331 alostth      1. 
@1332 eallth       2. 
@1334 aallth       1. 
@1335 evisdoc      3. 
@1338 avisdoc      1. 
@1339 emdspnd      2. 
@1341 amdspnd      1. 
@1342 emdspnds     2. 
@1344 amdspnds     1. 
@1345 edaysick     3. 
@1348 adaysick     1. 
@1349 tmdpay       6. 
@1355 amdpay       1. 
@1356 ereimb       2. 
@1358 areimb       1. 
@1359 treimbur     5. 
@1364 areimbur     1. 
@1365 ehspstas     2. 
@1367 ahspstas     1. 
@1368 eprsdrgs     2. 
@1370 aprsdrgs     1. 
@1371 evsdents     2. 
@1373 avsdents     1. 
@1374 evsdocs      2. 
@1376 avsdocs      1. 
@1377 enowkyr      2. 
@1379 anowkyr      1. 
@1380 ewkfutr      2. 
@1382 awkfutr      1. 
@1383 trmoops      6. 
@1389 enoindnt     2. 
@1391 anoindnt     1. 
@1392 enoindoc     2. 
@1394 anoindoc     1. 
@1395 enointrt     2. 
@1397 anointrt     1. 
@1398 enoinchk     2. 
@1400 anoinchk     1. 
@1401 enoindrg     2. 
@1403 anoindrg     1. 
@1404 enoinpay     2. 
@1406 anoinpay     1. 
@1407 enoindis     2. 
@1409 anoindis     1. 
@1410 enoininc     2. 
@1412 anoininc     1. 
@1413 enoincln     2. 
@1415 enoiner      2. 
@1417 enoinhsp     2. 
@1419 enoinva      2. 
@1421 enoindr      2. 
@1423 enoindds     2. 
@1425 enoinoth     2. 
@1427 anoinloc     1. 
@1428 eapvunv      2. 
@1430 epvwk1       2. 
@1432 epvwk2       2. 
@1434 epvwk3       2. 
@1436 epvwk4       2. 
@1438 epvwk5       2. 
@1440 apvwk        1. 
@1441 epvmilwk     4. 
@1445 apvmilwk     1. 
@1446 epvpaprk     2. 
@1448 apvpaprk     1. 
@1449 epvpaywk     4. 
@1453 apvpaywk     1. 
@1454 epvcomut     5. 
@1459 apvcomut     1. 
@1460 epvwkexp     2. 
@1462 apvwkexp     1. 
@1463 epvanexp     5. 
@1468 apvanexp     1. 
@1469 epvchild     2. 
@1471 apvchild     1. 
@1472 epvmancd     2. 
@1474 apvmancd     1. 
@1475 epvmosup     2. 
@1477 apvmosup     1. 
@1478 tpvchpa1     4. 
@1482 tpvchpa2     4. 
@1486 tpvchpa3     4. 
@1490 tpvchpa4     4. 
@1494 apvchpa      1. 
@1495 epvccarr     2. 
@1497 apvccarr     1. 
@1498 tpvccfp1     4. 
@1502 apvccfp1     1. 
@1503 tpvccfp2     4. 
@1507 apvccfp2     1. 
@1508 tpvccfp3     4. 
@1512 apvccfp3     1. 
@1513 tpvccfp4     4. 
@1517 apvccfp4     1. 
@1518 epvccoth     2. 
@1520 apvccoth     1. 
@1521 epvcwho1     2. 
@1523 epvcwho2     2. 
@1525 epvcwho3     2. 
@1527 epvcwho4     2. 
@1529 epvcwho5     2. 
@1531 apvcwho      1. 
@1532 epvdays      3. 
@1535 epvweeks     2. 
@1537 epvmnths     2. 
@1539 apvdwm       1. 
@1540 epcwunv      2. 
@1542 edaycare     2. 
@1544 adaycare     1. 
@1545 ecaremth     3. 
@1548 acaremth     1. 
@1549 ehrscare     2. 
@1551 ahrscare     1. 
@1552 elivapat     2. 
@1554 alivapat     1. 
@1555 enotable     2. 
@1557 anotable     1. 
@1558 epastmon     2. 
@1560 apastmon     1. 
@1561 eouting      2. 
@1563 aouting      1. 
@1564 etotread     2. 
@1566 atotread     1. 
@1567 eparread     2. 
@1569 aparread     1. 
@1570 edadread     2. 
@1572 adadread     1. 
@1573 etvrules     2. 
@1575 atvrules     1. 
@1576 etimestv     2. 
@1578 atimestv     1. 
@1579 ehoustv      2. 
@1581 ahoustv      1. 
@1582 eeatbkf      2. 
@1584 aeatbkf      1. 
@1585 eeatdinn     2. 
@1587 aeatdinn     1. 
@1588 edadbrkf     2. 
@1590 adadbrkf     1. 
@1591 edaddinn     2. 
@1593 adaddinn     1. 
@1594 efuntime     2. 
@1596 afuntime     1. 
@1597 edadfun      2. 
@1599 adadfun      1. 
@1600 epraise      2. 
@1602 apraise      1. 
@1603 edadprai     2. 
@1605 adadprai     1. 
@1606 efarscho     2. 
@1608 afarscho     1. 
@1609 edadfar      2. 
@1611 adadfar      1. 
@1612 ethinksc     2. 
@1614 athinksc     1. 
@1615 eatkindg     2. 
@1617 aatkindg     1. 
@1618 ekindage     2. 
@1620 akindage     1. 
@1621 efirgrad     2. 
@1623 afirgrad     1. 
@1624 estrtage     2. 
@1626 astrtage     1. 
@1627 ekindele     2. 
@1629 akindele     1. 
@1630 ehighgra     2. 
@1632 ahighgra     1. 
@1633 ecurrerl     2. 
@1635 acurrerl     1. 
@1636 egrdeatt     2. 
@1638 agrdeatt     1. 
@1639 epubpriv     2. 
@1641 apubpriv     1. 
@1642 eassschl     2. 
@1644 aassschl     1. 
@1645 erelisch     2. 
@1647 arelisch     1. 
@1648 especsch     2. 
@1650 aspecsch     1. 
@1651 esportea     2. 
@1653 asportea     1. 
@1654 elessons     2. 
@1656 alessons     1. 
@1657 eclubsch     2. 
@1659 aclubsch     1. 
@1660 erelig       2. 
@1662 arelig       1. 
@1663 elikesch     2. 
@1665 alikesch     1. 
@1666 eintschl     2. 
@1668 aintschl     1. 
@1669 ewkshard     2. 
@1671 awkshard     1. 
@1672 echgschl     2. 
@1674 achgschl     1. 
@1675 etimchan     2. 
@1677 atimchan     1. 
@1678 erepgrad     2. 
@1680 arepgrad     1. 
@1681 egrdrpt1     2. 
@1683 egrdrpt2     2. 
@1685 egrdrpt3     2. 
@1687 egrdrpt4     2. 
@1689 egrdrpt5     2. 
@1691 agrdrpt      1. 
@1692 eexpschl     2. 
@1694 aexpschl     1. 
@1695 ttimexp      2. 
@1697 atimexp      1. 
@1698 ehardcar     2. 
@1700 ahardcar     1. 
@1701 ebother      2. 
@1703 abother      1. 
@1704 egivuplf     2. 
@1706 agivuplf     1. 
@1707 eangrycl     2. 
@1709 aangrycl     1. 
@1710 ehelpech     2. 
@1712 ahelpech     1. 
@1713 ewatchot     2. 
@1715 awatchot     1. 
@1716 ecounton     2. 
@1718 acounton     1. 
@1719 ebadpeop     2. 
@1721 abadpeop     1. 
@1722 etrustpe     2. 
@1724 atrustpe     1. 
@1725 ekeepins     2. 
@1727 akeepins     1. 
@1728 esafepla     2. 
@1730 asafepla     1. 
;

**------------------------------------------------;
** The PROC FORMAT statement will store the formats ;
** in a sas data set called fsippp08putm4 ;
** To use the stored formats in a subsequent program, ;
** use code like the following;

** proc format cntlin=library.fsppp08putm4;
** PROC freq;
**        tables pesex ;
**        format pesex      P135L.;

** For more information, consult PROC FORMAT in the SAS Procedures Guide ;
**-----------------------------------------------;

PROC FORMAT cntlout=library.fsppp08putm4;

;
VALUE spanel  	(default=32)
	2008      =  "Panel Year"                    
;
VALUE tfipsst 	(default=32)
	1         =  "Alabama"                       
	2         =  "Alaska"                        
	4         =  "Arizona"                       
	5         =  "Arkansas"                      
	6         =  "California"                    
	8         =  "Colorado"                      
	9         =  "Connecticut"                   
	10        =  "Delaware"                      
	11        =  "DC"                            
	12        =  "Florida"                       
	13        =  "Georgia"                       
	15        =  "Hawaii"                        
	16        =  "Idaho"                         
	17        =  "Illinois"                      
	18        =  "Indiana"                       
	19        =  "Iowa"                          
	20        =  "Kansas"                        
	21        =  "Kentucky"                      
	22        =  "Louisiana"                     
	23        =  "Maine"                         
	24        =  "Maryland"                      
	25        =  "Massachusetts"                 
	26        =  "Michigan"                      
	27        =  "Minnesota"                     
	28        =  "Mississippi"                   
	29        =  "Missouri"                      
	30        =  "Montana"                       
	31        =  "Nebraska"                      
	32        =  "Nevada"                        
	33        =  "New Hampshire"                 
	34        =  "New Jersey"                    
	35        =  "New Mexico"                    
	36        =  "New York"                      
	37        =  "North Carolina"                
	38        =  "North Dakota"                  
	39        =  "Ohio"                          
	40        =  "Oklahoma"                      
	41        =  "Oregon"                        
	42        =  "Pennsylvania"                  
	44        =  "Rhode Island"                  
	45        =  "South Carolina"                
	46        =  "South Dakota"                  
	47        =  "Tennessee"                     
	48        =  "Texas"                         
	49        =  "Utah"                          
	50        =  "Vermont"                       
	51        =  "Virginia"                      
	53        =  "Washington"                    
	54        =  "West Virginia"                 
	55        =  "Wisconsin"                     
	56        =  "Wyoming"                       
;
VALUE eoutcome	(default=32)
	201       =  "Completed interview"           
	203       =  "Compl. partial- missing data; no"
	207       =  "Complete partial - TYPE-Z; no" 
	213       =  "TYPE-A, language problem"      
	216       =  "TYPE-A, no one home (noh)"     
	217       =  "TYPE-A, temporarily absent (ta)"
	218       =  "TYPE-A, hh refused"            
	219       =  "TYPE-A, other occupied (specify)"
	234       =  "TYPE-B, entire hh institut. or"
	248       =  "TYPE-C, other (specify)"       
	249       =  "TYPE-C, sample adjustment"     
	250       =  "TYPE-C, hh deceased"           
	251       =  "TYPE-C, moved out of country"  
	252       =  "TYPE-C, living in armed forces"
	253       =  "TYPE-C, on active duty in Armed"
	254       =  "TYPE-C, no one over age 15 years"
	255       =  "TYPE-C, no Wave 1 persons"     
	260       =  "TYPE-D, moved address unknown" 
	261       =  "TYPE-D, moved within U.S. but" 
	262       =  "TYPE-C, merged with another SIPP"
	270       =  "TYPE-C, mover, no longer located"
	271       =  "TYPE-C, mover, new address"    
	280       =  "TYPE-D, mover, no longer located"
;
VALUE rfid2l  	(default=32)
	-1        =  "Not in Universe"               
;
VALUE epopstat	(default=32)
	1         =  "Adult (15 years of age or older)"
	2         =  "Child (Under 15 years of age)" 
;
VALUE eppintvw	(default=32)
	1         =  "Interview (self)"              
	2         =  "Interview (proxy)"             
	3         =  "Noninterview - Type Z"         
	4         =  "Noninterview - pseudo Type Z." 
	5         =  "Children under 15 during"      
;
VALUE eppmis4l	(default=32)
	1         =  "Interview"                     
	2         =  "Non-interview"                 
;
VALUE esex    	(default=32)
	1         =  "Male"                          
	2         =  "Female"                        
;
VALUE erace   	(default=32)
	1         =  "White alone"                   
	2         =  "Black alone"                   
	3         =  "Asian alone"                   
	4         =  "Residual"                      
;
VALUE eorigin 	(default=32)
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE errp    	(default=32)
	1         =  "Reference person with related" 
	2         =  "Reference Person without related"
	3         =  "Spouse of reference person"    
	4         =  "Child of reference person"     
	5         =  "Grandchild of reference person"
	6         =  "Parent of reference person"    
	7         =  "Brother/sister of reference person"
	8         =  "Other relative of reference person"
	9         =  "Foster child of reference person"
	10        =  "Unmarried partner of reference"
	11        =  "Housemate/roommate"            
	12        =  "Roomer/boarder"                
	13        =  "Other non-relative of reference"
;
VALUE tage    	(default=32)
	0         =  "Less than 1 full year old"     
;
VALUE ems     	(default=32)
	1         =  "Married, spouse present"       
	2         =  "Married, spouse absent"        
	3         =  "Widowed"                       
	4         =  "Divorced"                      
	5         =  "Separated"                     
	6         =  "Never Married"                 
;
VALUE epnspous	(default=32)
	9999      =  "Spouse not in household or person"
;
VALUE epnmom  	(default=32)
	9999      =  "No mother in household"        
;
VALUE epndad  	(default=32)
	9999      =  "No father in household"        
;
VALUE epnguard	(default=32)
	-1        =  "Not in Universe"               
	9999      =  "Guardian not in household"     
;
VALUE rdesgpnt	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE eeducate	(default=32)
	-1        =  "Not in Universe"               
	31        =  "Less Than 1st Grade"           
	32        =  "1st, 2nd, 3rd or 4th grade"    
	33        =  "5th Or 6th Grade"              
	34        =  "7th Or 8th Grade"              
	35        =  "9th Grade"                     
	36        =  "10th Grade"                    
	37        =  "11th Grade"                    
	38        =  "12th grade, no diploma"        
	39        =  "High School Graduate - (diploma"
	40        =  "Some college, but no degree"   
	41        =  "Diploma or certificate from a" 
	43        =  "Associate (2-yr) college degree"
	44        =  "Bachelor's degree (for example:"
	45        =  "Master's degree (For example: MA,"
	46        =  "Professional School degree (for"
	47        =  "Doctorate degree (for example:"
;
VALUE sinthhid	(default=32)
	0         =  "Not In Universe"               
;
VALUE eaesunv 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "In universe"                   
;
VALUE estimyn 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE astimyn 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE estimuse	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Mostly to increase spending"   
	2         =  "Mostly to increase saving"     
	3         =  "Mostly to pay off debt"        
;
VALUE astimuse	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealunv  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "In universe"                   
;
VALUE ealr    	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalr    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealry   	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aalry   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE talrb   	(default=32)
	0         =  "None or not in universe"       
;
VALUE aalrb   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealra1l 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalra1l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealra2l 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalra2l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealra3l 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalra3l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealra4l 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalra4l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealk    	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalk    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealky   	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aalky   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE talkb   	(default=32)
	0         =  "None or not in universe"       
;
VALUE aalkb   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealka1l 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalka1l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealka2l 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalka2l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealka3l 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalka3l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealka4l 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalka4l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealt    	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalt    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealty   	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aalty   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE taltb   	(default=32)
	0         =  "None or not in universe"       
;
VALUE aaltb   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealta1l 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalta1l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealta2l 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalta2l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealta3l 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalta3l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealta4l 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Certificates of deposit or other"
	2         =  "Money market funds"            
	3         =  "U.S. Government securities"    
	4         =  "Municipal or corporate bonds"  
	5         =  "U.S. Savings Bonds"            
	6         =  "Stocks or mutual fund shares"  
	7         =  "Other assets"                  
;
VALUE aalta4l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealow   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalow   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealowa  	(default=32)
	0         =  "Not In Universe"               
;
VALUE aalowa  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealsb   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalsb   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE talsbv  	(default=32)
	0         =  "Not In Universe"               
;
VALUE aalsbv  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealjch  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aaljch  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE taljcha 	(default=32)
	0         =  "None or not in universe"       
;
VALUE aaljcha 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealjdb  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aaljdb  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealjdl  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aaljdl  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealjdo  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aaljdo  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE taljdab 	(default=32)
	0         =  "Not In Universe"               
;
VALUE aaljdab 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE taljdal 	(default=32)
	0         =  "Not In Universe"               
;
VALUE aaljdal 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE taljdao 	(default=32)
	0         =  "Not In Universe"               
;
VALUE aaljdao 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealich  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalich  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE talicha 	(default=32)
	0         =  "None or not in universe"       
;
VALUE aalicha 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealil   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalil   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealidb  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalidb  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealidl  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalidl  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealido  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalido  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE talidab 	(default=32)
	0         =  "Not In Universe"               
;
VALUE aalidab 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE talidal 	(default=32)
	0         =  "Not In Universe"               
;
VALUE aalidal 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE talidao 	(default=32)
	0         =  "Not In Universe"               
;
VALUE aalidao 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ealli   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aalli   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE talliv  	(default=32)
	0         =  "Zero or not in universe"       
;
VALUE aalliv  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eallit  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Term only"                     
	2         =  "Whole life only"               
	3         =  "Both types"                    
;
VALUE aallit  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eallie  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aallie  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE talliev 	(default=32)
	0         =  "Zero or not in universe"       
;
VALUE aalliev 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehreunv 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "In universe"                   
;
VALUE eremobho	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aremobho	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehownero	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ahownero	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehownerk	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ahownerk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)}"
;
VALUE ehownerl	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ehbuymo 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ahbuymo 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehbuyyr 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ahbuyyr 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehmort  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahmort  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enummort	(default=32)
	-1        =  "Not in Universe"               
;
VALUE anummort	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmor1pr 	(default=32)
	0         =  "Not In Universe"               
;
VALUE amor1pr 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor1yr 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE amor1yr 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor1mo 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE amor1mo 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmor1amt	(default=32)
	0         =  "None or not in universe"       
;
VALUE amor1amt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmor1yrs	(default=32)
	-1        =  "Not in Universe"               
;
VALUE amor1yrs	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor1int	(default=32)
	-1        =  "Not in Universe"               
;
VALUE amor1int	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor1var	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Variable interest rate"        
	2         =  "Fixed interest rate"           
;
VALUE amor1var	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor1pgm	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes - FHA LOAN"                
	2         =  "Yes - VA LOAN"                 
	3         =  "NO"                            
;
VALUE amor1pgm	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmor2pr 	(default=32)
	0         =  "Not In Universe"               
	1         =  "Flag indicating principal on"  
;
VALUE amor2pr 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor2yr 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE amor2yr 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor2mo 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE amor2mo 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmor2amt	(default=32)
	0         =  "None or not in universe"       
	1         =  "Flag indicating second mortgage"
;
VALUE amor2amt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmor2yrs	(default=32)
	-1        =  "Not in Universe"               
;
VALUE amor2yrs	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor2int	(default=32)
	-1        =  "Not in Universe"               
;
VALUE amor2int	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor2var	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Variable interest rate"        
	2         =  "Fixed interest rate"           
;
VALUE amor2var	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emor2pgm	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes-FHA LOAN"                  
	2         =  "Yes-VA LOAN"                   
	3         =  "NO"                            
;
VALUE amor2pgm	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmor3pr 	(default=32)
	0         =  "None or not in universe"       
	1         =  "Flag indicating principal reported"
;
VALUE amor3pr 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tpropval	(default=32)
	0         =  "None or not in universe"       
;
VALUE apropval	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emhloan 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amhloan 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emhtype 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Mobile home only"              
	2         =  "Site only"                     
	3         =  "Site and home"                 
;
VALUE amhtype 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmhpr   	(default=32)
	0         =  "None or not in universe"       
;
VALUE amhpr   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmhval  	(default=32)
	0         =  "None or not in universe"       
;
VALUE amhval  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE thomeamt	(default=32)
	0         =  "None or not in universe"       
;
VALUE ahomeamt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tutils  	(default=32)
	0         =  "None or not in universe"       
;
VALUE autils  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eperspay	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aperspay	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eperspya	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aperspya	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eperspyk	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aperspyk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eperspyl	(default=32)
	-1        =  "Not in Universe"               
;
VALUE eperspym	(default=32)
	-1        =  "Not in Universe"               
;
VALUE tpersama	(default=32)
	0         =  "None or not in universe"       
;
VALUE apersama	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tpersamk	(default=32)
	0         =  "None or not in universe"       
;
VALUE apersamk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tpersaml	(default=32)
	0         =  "None or not in universe"       
;
VALUE apersaml	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epaycare	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apaycare	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tcarecst	(default=32)
	0         =  "None or not in universe"       
;
VALUE acarecst	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eothre  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aothre  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eothreoe	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aothreoe	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eothreok	(default=32)
	-1        =  "Not in Universe"               
;
VALUE eothreol	(default=32)
	-1        =  "Not in Universe"               
;
VALUE tothreva	(default=32)
	0         =  "None or not in universe"       
;
VALUE aothreva	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eautoown	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aautoown	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eautonum	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aautonum	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ea1own1l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aa1own1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ea1own2l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE tcarvalm	(default=32)
	0         =  "None or not in universe"       
;
VALUE acarvalm	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ta1year 	(default=32)
	-1        =  "Not in Universe"               
	9999      =  "Dont Know, Refusal, Blanks from"
;
VALUE ea1owed 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Money owed"                    
	2         =  "Free and clear"                
;
VALUE aa1owed 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ta1amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE aa1amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ea1use  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aa1use  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ea2own1l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aa2own1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ea2own2l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE tcarvale	(default=32)
	0         =  "None or not in universe"       
;
VALUE acarvale	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ta2year 	(default=32)
	-1        =  "Not in Universe"               
	1986      =  "Recode for year less than 1986"
	1990      =  "Recode for year 1987-1990"     
	9999      =  "Dont Know, Refusal, Blanks from"
;
VALUE ea2owed 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Money owed"                    
	2         =  "Free and clear"                
;
VALUE aa2owed 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ta2amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE aa2amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ea2use  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aa2use  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ea3own1l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aa3own1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ea3own2l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE tcarvalk	(default=32)
	0         =  "None or not in universe"       
;
VALUE acarvalk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ta3year 	(default=32)
	-1        =  "Not in Universe"               
	1969      =  "Recode for year less than 1969"
	1978      =  "Recode for year 1970-1978"     
	1984      =  "Recode for year 1979-1984"     
	1987      =  "Recode for year 1985-1987"     
	1990      =  "Recode for year 1988-1990"     
	9999      =  "Dont Know, Refusal, Blanks from"
;
VALUE ea3owed 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Money owed"                    
	2         =  "Free and clear"                
;
VALUE aa3owed 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ta3amt  	(default=32)
	0         =  "None or not in universe"       
;
VALUE aa3amt  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ea3use  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aa3use  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eothveh 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aothveh 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eovmtrcy	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aovmtrcy	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eovboat 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aovboat 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eovrv   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "Not"                           
;
VALUE aovrv   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eovothrv	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "Not"                           
;
VALUE aovothrv	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eov1ownv	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aov1ownv	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eov1ownk	(default=32)
	-1        =  "Not in Universe"               
;
VALUE tov1val 	(default=32)
	0         =  "None or not in universe"       
;
VALUE aov1val 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eov1owe 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Money owed"                    
	2         =  "Free and clear"                
;
VALUE aov1owe 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tov1amt 	(default=32)
	0         =  "None or not in universe"       
;
VALUE aov1amt 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eov2ownt	(default=32)
	-1        =  "Not in Universe"               
;
VALUE aov2ownt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eov2ownk	(default=32)
	-1        =  "Not in Universe"               
;
VALUE tov2val 	(default=32)
	0         =  "None or not in universe"       
;
VALUE aov2val 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eov2owe 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Money owed"                    
	2         =  "Free and clear"                
;
VALUE aov2owe 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tov2amt 	(default=32)
	0         =  "None or not in universe"       
;
VALUE aov2amt 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE thhtnw  	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhtwlth	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhtheq 	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhmortg	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhvehcl	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhbeq  	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhintbk	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhintot	(default=32)
	0         =  "None or not in universe"       
;
VALUE rhhstk  	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhore  	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhotast	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhira  	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhthrif	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhdebt 	(default=32)
	0         =  "None or not in universe"       
;
VALUE thhscdbt	(default=32)
	0         =  "None or not in universe"       
;
VALUE rhhuscbt	(default=32)
	0         =  "None or not in universe"       
;
VALUE eaoaunv 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "In universe"                   
;
VALUE toaeq   	(default=32)
	0         =  "None or not in universe"       
;
VALUE aoaeq   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tiajta  	(default=32)
	0         =  "None or not in universe"       
;
VALUE aiajta  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tiaita  	(default=32)
	0         =  "None or not in universe"       
;
VALUE aiaita  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE timja   	(default=32)
	0         =  "None or not in universe"       
;
VALUE aimja   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE timia   	(default=32)
	0         =  "None or not in universe"       
;
VALUE aimia   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE esmjm   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE asmjm   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE esmjs   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE asmjs   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tsmjv   	(default=32)
	0         =  "None or not in universe"       
;
VALUE asmjv   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE esmjma  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE asmjma  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tsmjmav 	(default=32)
	0         =  "None or not in universe"       
;
VALUE asmjmav 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE esmi    	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE asmi    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tsmiv   	(default=32)
	0         =  "None or not in universe"       
;
VALUE asmiv   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE esmima  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE asmima  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tsmimav 	(default=32)
	0         =  "None or not in universe"       
;
VALUE asmimav 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjown  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE arjown  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjnum  	(default=32)
	0         =  "None or not in universe"       
;
VALUE arjnum  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjtyp1l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arjtyp1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjtyp2l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arjtyp2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjtyp3l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arjtyp3l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjtyp4l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arjtyp4l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjtyp5l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arjtyp5l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjtyp6l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arjtyp6l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjat   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE arjat   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjata  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE arjata  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE trjmv   	(default=32)
	0         =  "None or not in universe"       
;
VALUE arjmv   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erjdeb  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE arjdeb  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE trjpri  	(default=32)
	0         =  "None or not in universe"       
;
VALUE arjpri  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eriown  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ariown  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erinum  	(default=32)
	0         =  "None or not in universe"       
;
VALUE arinum  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eritypem	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE aritypem	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eritypek	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE aritypek	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eritypel	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE aritypel	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eritypen	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE aritypen	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eritypeo	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE aritypeo	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eritypep	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE aritypep	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eriat   	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ariat   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eriata  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ariata  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE trimv   	(default=32)
	0         =  "None or not in universe"       
;
VALUE arimv   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erideb  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE arideb  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tripri  	(default=32)
	0         =  "None or not in universe"       
;
VALUE aripri  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ertown  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE artown  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ertnum  	(default=32)
	0         =  "None or not in universe"       
;
VALUE artnum  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erttypem	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arttypem	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erttypek	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arttypek	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erttypel	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arttypel	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erttypen	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arttypen	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erttypeo	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arttypeo	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erttypep	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE arttypep	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE trtmv   	(default=32)
	0         =  "None or not in universe"       
;
VALUE artmv   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ertdeb  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE artdeb  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE trtpri  	(default=32)
	0         =  "None or not in universe"       
;
VALUE artpri  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE trtsha  	(default=32)
	0         =  "None or not in universe"       
;
VALUE artsha  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmjp    	(default=32)
	0         =  "None or not in universe"       
;
VALUE amjp    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmip    	(default=32)
	0         =  "None or not in universe"       
;
VALUE amip    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE evbunv1l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "In universe"                   
;
VALUE evbno1l 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE evbow1l 	(default=32)
	0         =  "Not In Universe"               
;
VALUE avbow1l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tvbva1l 	(default=32)
	0         =  "None or not in universe"       
;
VALUE avbva1l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tvbde1l 	(default=32)
	0         =  "None or not in universe"       
;
VALUE avbde1l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE evbunv2l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "In universe"                   
;
VALUE evbno2l 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE evbow2l 	(default=32)
	0         =  "Not In Universe"               
;
VALUE avbow2l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tvbva2l 	(default=32)
	0         =  "None or not in universe"       
;
VALUE avbva2l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tvbde2l 	(default=32)
	0         =  "None or not in universe"       
;
VALUE avbde2l 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emdunv  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "In universe"                   
;
VALUE tdonorid	(default=32)
	0         =  "Not in universe or did not"    
	1         =  "Received data from a donor"    
;
VALUE ehouspay	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahouspay	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE efoodpay	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE afoodpay	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eexppay 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aexppay 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehhpay  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahhpay  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ewhopy0y	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy0k	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy0l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy0m	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy0n	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy0o	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy0p	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy0q	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy0r	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy1y	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy1k	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy1l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy1m	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy1n	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy1o	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy1p	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy1q	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy1r	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy1s	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy2y	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy2k	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy2l	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy2m	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy2n	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy2o	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy2p	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy2q	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy2r	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy2s	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ewhopy3y	(default=32)
	-1        =  "Not in Universe"               
;
VALUE awhopy  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehltstat	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Excellent"                     
	2         =  "Very Good"                     
	3         =  "Good"                          
	4         =  "Fair"                          
	5         =  "Poor"                          
;
VALUE ahltstat	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehospsta	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahospsta	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehospnit	(default=32)
	0         =  "None or not in universe"       
;
VALUE ahospnit	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehreas1l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahreas1l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehreas2l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahreas2l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehreas3l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahreas3l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehreas4l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahreas4l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehreas5l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahreas5l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehreas6l	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahreas6l	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE edocnum 	(default=32)
	0         =  "None or not in universe"       
;
VALUE adocnum 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE thipay  	(default=32)
	0         =  "Not in universe or none"       
;
VALUE ahipay  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Hot deck"                      
	2         =  "Hot deck (using unfolding"     
	3         =  "Logical imputation"            
	4         =  "Logical imputation (using"     
;
VALUE epresdrg	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apresdrg	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE edalydrg	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE adalydrg	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE evisdent	(default=32)
	0         =  "None or not in universe"       
;
VALUE avisdent	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE edenseal	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE adenseal	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE edis1l  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE edis2l  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE edis3l  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE edis4l  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE edis5l  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE edis6l  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE adis1l  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE adis2l  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE adis3l  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE adis4l  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE adis5l  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE adis6l  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elostth 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE alostth 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eallth  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aallth  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE evisdoc 	(default=32)
	0         =  "None or not in universe"       
;
VALUE avisdoc 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emdspnd 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amdspnd 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE emdspnds	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE amdspnds	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE edaysick	(default=32)
	0         =  "None or not in universe"       
;
VALUE adaysick	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE tmdpay  	(default=32)
	0         =  "Not in universe or none"       
;
VALUE amdpay  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ereimb  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Total actual Cost"             
	2         =  "Got Reimbursed"                
	3         =  "Expects to get reimbursed but has"
;
VALUE areimb  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE treimbur	(default=32)
	0         =  "None or not in universe"       
;
VALUE areimbur	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehspstas	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahspstas	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eprsdrgs	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aprsdrgs	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE evsdents	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE avsdents	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE evsdocs 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE avsdocs 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enowkyr 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "A year or longer"              
	2         =  "less than a year"              
;
VALUE anowkyr 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ewkfutr 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE awkfutr 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE trmoops 	(default=32)
	0         =  "None or not in universe"       
;
VALUE enoindnt	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE anoindnt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enoindoc	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE anoindoc	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enointrt	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE anointrt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enoinchk	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE anoinchk	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enoindrg	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE anoindrg	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enoinpay	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Free"                          
	2         =  "Paid something"                
	3         =  "Both (if respondent volunteers)"
;
VALUE anoinpay	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enoindis	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Full price"                    
	2         =  "Reduced price"                 
	3         =  "Don't know"                    
;
VALUE anoindis	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enoininc	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE anoininc	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enoincln	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoiner 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinhsp	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinva 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoindr 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoindds	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE enoinoth	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE anoinloc	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eapvunv 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "In universe"                   
;
VALUE epvwk1l 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epvwk2l 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epvwk3l 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epvwk4l 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epvwk5l 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apvwk   	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE epvmilwk	(default=32)
	-1        =  "Not in Universe"               
;
VALUE apvmilwk	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE epvpaprk	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apvpaprk	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE epvpaywk	(default=32)
	0         =  "Not In Universe"               
;
VALUE apvpaywk	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE epvcomut	(default=32)
	0         =  "Not In Universe"               
;
VALUE apvcomut	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE epvwkexp	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apvwkexp	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE epvanexp	(default=32)
	0         =  "Not In Universe"               
;
VALUE apvanexp	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE epvchild	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apvchild	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE epvmancd	(default=32)
	-1        =  "Not in Universe"               
;
VALUE apvmancd	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE epvmosup	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apvmosup	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE tpvchpap	(default=32)
	0         =  "None or not in universe"       
;
VALUE tpvchpak	(default=32)
	0         =  "None or not in universe"       
;
VALUE tpvchpal	(default=32)
	0         =  "None or not in universe"       
;
VALUE tpvchpam	(default=32)
	0         =  "None or not in universe"       
;
VALUE apvchpa 	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE epvccarr	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apvccarr	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE tpvccfpr	(default=32)
	0         =  "None or not in universe"       
;
VALUE apvccfpr	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE tpvccfpk	(default=32)
	0         =  "None or not in universe"       
;
VALUE apvccfpk	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE tpvccfpl	(default=32)
	0         =  "None or not in universe"       
;
VALUE apvccfpl	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE tpvccfpm	(default=32)
	0         =  "None or not in universe"       
;
VALUE apvccfpm	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE epvccoth	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apvccoth	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
;
VALUE epvcwhoh	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epvcwhok	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epvcwhol	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epvcwhom	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE epvcwhon	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apvcwho 	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epvdays 	(default=32)
	-1        =  "Not in Universe"               
;
VALUE epvweeks	(default=32)
	-1        =  "Not in Universe"               
;
VALUE epvmnths	(default=32)
	-1        =  "Not in Universe"               
;
VALUE apvdwm  	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epcwunv 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "In universe"                   
;
VALUE edaycare	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE adaycare	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ecaremth	(default=32)
	-1        =  "Not in Universe"               
;
VALUE acaremth	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehrscare	(default=32)
	-1        =  "Not in Universe"               
;
VALUE ahrscare	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elivapat	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE alivapat	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE enotable	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
	3         =  "Sometimes yes, sometimes no"   
;
VALUE anotable	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation"            
;
VALUE epastmon	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE apastmon	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eouting 	(default=32)
	-1        =  "Not in Universe"               
	0         =  "None"                          
;
VALUE aouting 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE etotread	(default=32)
	-1        =  "Not in Universe"               
	0         =  "None"                          
;
VALUE atotread	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eparread	(default=32)
	-1        =  "Not in Universe"               
	0         =  "None"                          
;
VALUE aparread	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE edadread	(default=32)
	-1        =  "Not in Universe"               
	0         =  "None"                          
;
VALUE adadread	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE etvrules	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE atvrules	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE etimestv	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE atimestv	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehoustv 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ahoustv 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eeatbkf 	(default=32)
	-1        =  "Not in Universe"               
	0         =  "None"                          
;
VALUE aeatbkf 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eeatdinn	(default=32)
	-1        =  "Not in Universe"               
	0         =  "None"                          
;
VALUE aeatdinn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE edadbrkf	(default=32)
	-1        =  "Not in Universe"               
	0         =  "None"                          
;
VALUE adadbrkf	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE edaddinn	(default=32)
	-1        =  "Not in Universe"               
	0         =  "None"                          
;
VALUE adaddinn	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE efuntime	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Never"                         
	2         =  "About once a week (or less)"   
	3         =  "A few times a week"            
	4         =  "One or two times a day"        
	5         =  "Many times each day"           
;
VALUE afuntime	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE edadfun 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Never"                         
	2         =  "About once a week (or less)"   
	3         =  "A few times a week"            
	4         =  "One or two times a day"        
	5         =  "Many times each day"           
;
VALUE adadfun 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epraise 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Never"                         
	2         =  "About once a week (or less)"   
	3         =  "A few times a week"            
	4         =  "One or two times a day"        
	5         =  "Many times each day"           
;
VALUE apraise 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE edadprai	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Never"                         
	2         =  "About once a week (or less)"   
	3         =  "A few times a week"            
	4         =  "One or two times a day"        
	5         =  "Many times each day"           
;
VALUE adadprai	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE efarscho	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Leave school before graduation"
	2         =  "Graduate from high school"     
	3         =  "Get some college or other training"
	4         =  "Graduate from college"         
	5         =  "Take further education or"     
;
VALUE afarscho	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE edadfar 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Leave school before graduation"
	2         =  "Graduate from high school"     
	3         =  "Get some college or other training"
	4         =  "Graduate from college"         
	5         =  "Take further education or"     
;
VALUE adadfar 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ethinksc	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Leave school before graduation"
	2         =  "Graduate from high school"     
	3         =  "Get some college or other training"
	4         =  "Graduate from college"         
	5         =  "Take further education or"     
;
VALUE athinksc	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eatkindg	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aatkindg	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ekindage	(default=32)
	-1        =  "Not in Universe"               
;
VALUE akindage	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE efirgrad	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE afirgrad	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE estrtage	(default=32)
	-1        =  "Not in Universe"               
;
VALUE astrtage	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ekindele	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE akindele	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehighgra	(default=32)
	-1        =  "Not in Universe"               
	0         =  "None (No Grade completed)"     
	1         =  "Kindergarten"                  
	2         =  "First grade"                   
	3         =  "Second grade"                  
	4         =  "Third grade"                   
	5         =  "Fourth grade"                  
	6         =  "Fifth grade"                   
	7         =  "Sixth grade"                   
	8         =  "Seventh grade"                 
	9         =  "Eighth grade"                  
	10        =  "Ninth grade"                   
	11        =  "Tenth grade"                   
	12        =  "Eleventh grade"                
	13        =  "Twelfth grade"                 
	14        =  "College, one year or more"     
;
VALUE ahighgra	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ecurrerl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE acurrerl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE egrdeatt	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Kindergarten"                  
	2         =  "First grade"                   
	3         =  "Second grade"                  
	4         =  "Third grade"                   
	5         =  "Fourth grade"                  
	6         =  "Fifth grade"                   
	7         =  "Sixth grade"                   
	8         =  "Seventh grade"                 
	9         =  "Eighth grade"                  
	10        =  "Ninth grade"                   
	11        =  "Tenth grade"                   
	12        =  "Eleventh grade"                
	13        =  "Twelfth grade"                 
	14        =  "College, one year or more"     
;
VALUE agrdeatt	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE epubpriv	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Public"                        
	2         =  "Private"                       
;
VALUE apubpriv	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eassschl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Assigned"                      
	2         =  "Chosen"                        
	3         =  "Both -- assigned school is school"
;
VALUE aassschl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erelisch	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE arelisch	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE especsch	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aspecsch	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE esportea	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE asportea	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elessons	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE alessons	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eclubsch	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aclubsch	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erelig  	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Never"                         
	2         =  "Several times a year"          
	3         =  "About once a month"            
	4         =  "About once a week"             
	5         =  "Everyday or almost everyday"   
;
VALUE arelig  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE elikesch	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Not true"                      
	2         =  "Sometimes true"                
	3         =  "Often true"                    
;
VALUE alikesch	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eintschl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Not true"                      
	2         =  "Sometimes true"                
	3         =  "Often true"                    
;
VALUE aintschl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ewkshard	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Not true"                      
	2         =  "Sometimes true"                
	3         =  "Often true"                    
;
VALUE awkshard	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE echgschl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE achgschl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE etimchan	(default=32)
	-1        =  "Not in Universe"               
;
VALUE atimchan	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE erepgrad	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE arepgrad	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE egrdrptd	(default=32)
	-1        =  "Not in Universe"               
	0         =  "None"                          
	1         =  "Kindergarten"                  
	2         =  "First grade"                   
	3         =  "Second grade"                  
	4         =  "Third grade"                   
	5         =  "Fourth grade"                  
	6         =  "Fifth grade"                   
	7         =  "Sixth grade"                   
	8         =  "Seventh grade"                 
	9         =  "Eighth grade"                  
	10        =  "Ninth grade"                   
	11        =  "Tenth grade"                   
	12        =  "Eleventh grade"                
	13        =  "Twelfth grade"                 
;
VALUE egrdrptk	(default=32)
	-1        =  "Not in Universe"               
	0         =  "None"                          
	1         =  "Kindergarten"                  
	2         =  "First grade"                   
	3         =  "Second grade"                  
	4         =  "Third grade"                   
	5         =  "Fourth grade"                  
	6         =  "Fifth grade"                   
	7         =  "Sixth grade"                   
	8         =  "Seventh grade"                 
	9         =  "Eighth grade"                  
	10        =  "Ninth grade"                   
	11        =  "Tenth grade"                   
	12        =  "Eleventh grade"                
	13        =  "Twelfth grade"                 
;
VALUE egrdrptl	(default=32)
	-1        =  "Not in Universe"               
	0         =  "None"                          
	1         =  "Kindergarten"                  
	2         =  "First grade"                   
	3         =  "Second grade"                  
	4         =  "Third grade"                   
	5         =  "Fourth grade"                  
	6         =  "Fifth grade"                   
	7         =  "Sixth grade"                   
	8         =  "Seventh grade"                 
	9         =  "Eighth grade"                  
	10        =  "Ninth grade"                   
	11        =  "Tenth grade"                   
	12        =  "Eleventh grade"                
	13        =  "Twelfth grade"                 
;
VALUE egrdrptm	(default=32)
	-1        =  "Not in Universe"               
	0         =  "None"                          
	1         =  "Kindergarten"                  
	2         =  "First grade"                   
	3         =  "Second grade"                  
	4         =  "Third grade"                   
	5         =  "Fourth grade"                  
	6         =  "Fifth grade"                   
	7         =  "Sixth grade"                   
	8         =  "Seventh grade"                 
	9         =  "Eighth grade"                  
	10        =  "Ninth grade"                   
	11        =  "Tenth grade"                   
	12        =  "Eleventh grade"                
	13        =  "Twelfth grade"                 
;
VALUE egrdrptn	(default=32)
	-1        =  "Not in Universe"               
	0         =  "None"                          
	1         =  "Kindergarten"                  
	2         =  "First grade"                   
	3         =  "Second grade"                  
	4         =  "Third grade"                   
	5         =  "Fourth grade"                  
	6         =  "Fifth grade"                   
	7         =  "Sixth grade"                   
	8         =  "Seventh grade"                 
	9         =  "Eighth grade"                  
	10        =  "Ninth grade"                   
	11        =  "Tenth grade"                   
	12        =  "Eleventh grade"                
	13        =  "Twelfth grade"                 
;
VALUE agrdrpt 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eexpschl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE aexpschl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ttimexp 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "One time"                      
	2         =  "Two Times"                     
	3         =  "Three times"                   
	4         =  "Four times"                    
	5         =  "Five times"                    
	6         =  "Six or more times"             
;
VALUE atimexp 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehardcar	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Never"                         
	2         =  "Sometimes"                     
	3         =  "Often"                         
	4         =  "Very often"                    
;
VALUE ahardcar	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ebother 	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Never"                         
	2         =  "Sometimes"                     
	3         =  "Often"                         
	4         =  "Very often"                    
;
VALUE abother 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE egivuplf	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Never"                         
	2         =  "Sometimes"                     
	3         =  "Often"                         
	4         =  "Very often"                    
;
VALUE agivuplf	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE eangrycl	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Never"                         
	2         =  "Sometimes"                     
	3         =  "Often"                         
	4         =  "Very often"                    
;
VALUE aangrycl	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ehelpech	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Strongly agree"                
	2         =  "Agree"                         
	3         =  "Disagree"                      
	4         =  "Strongly Disagree"             
	5         =  "Have no opinion"               
;
VALUE ahelpech	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ewatchot	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Strongly agree"                
	2         =  "Agree"                         
	3         =  "Disagree"                      
	4         =  "Strongly Disagree"             
	5         =  "Have no opinion"               
;
VALUE awatchot	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ecounton	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Strongly agree"                
	2         =  "Agree"                         
	3         =  "Disagree"                      
	4         =  "Strongly Disagree"             
	5         =  "Have no opinion"               
;
VALUE acounton	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ebadpeop	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Strongly agree"                
	2         =  "Agree"                         
	3         =  "Disagree"                      
	4         =  "Strongly Disagree"             
	5         =  "Have no opinion"               
;
VALUE abadpeop	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE etrustpe	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Strongly agree"                
	2         =  "Agree"                         
	3         =  "Disagree"                      
	4         =  "Strongly Disagree"             
	5         =  "Have no opinion"               
;
VALUE atrustpe	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ekeepins	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Strongly agree"                
	2         =  "Agree"                         
	3         =  "Disagree"                      
	4         =  "Strongly Disagree"             
	5         =  "Have no opinion"               
;
VALUE akeepins	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE esafepla	(default=32)
	-1        =  "Not in Universe"               
	1         =  "Strongly agree"                
	2         =  "Agree"                         
	3         =  "Disagree"                      
	4         =  "Strongly Disagree"             
	5         =  "Have no opinion"               
;
VALUE asafepla	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;

proc print data=library.sippp08putm4 (obs=6);


FORMAT
	spanel     spanel.   
	tfipsst    tfipsst.  
	eoutcome   eoutcome. 
	rfid2      rfid2l.   
	epopstat   epopstat. 
	eppintvw   eppintvw. 
	eppmis4    eppmis4l. 
	esex       esex.     
	erace      erace.    
	eorigin    eorigin.  
	errp       errp.     
	tage       tage.     
	ems        ems.      
	epnspous   epnspous. 
	epnmom     epnmom.   
	epndad     epndad.   
	epnguard   epnguard. 
	rdesgpnt   rdesgpnt. 
	eeducate   eeducate. 
	sinthhid   sinthhid. 
	eaesunv    eaesunv.  
	estimyn    estimyn.  
	astimyn    astimyn.  
	estimuse   estimuse. 
	astimuse   astimuse. 
	ealunv     ealunv.   
	ealr       ealr.     
	aalr       aalr.     
	ealry      ealry.    
	aalry      aalry.    
	talrb      talrb.    
	aalrb      aalrb.    
	ealra1     ealra1l.  
	aalra1     aalra1l.  
	ealra2     ealra2l.  
	aalra2     aalra2l.  
	ealra3     ealra3l.  
	aalra3     aalra3l.  
	ealra4     ealra4l.  
	aalra4     aalra4l.  
	ealk       ealk.     
	aalk       aalk.     
	ealky      ealky.    
	aalky      aalky.    
	talkb      talkb.    
	aalkb      aalkb.    
	ealka1     ealka1l.  
	aalka1     aalka1l.  
	ealka2     ealka2l.  
	aalka2     aalka2l.  
	ealka3     ealka3l.  
	aalka3     aalka3l.  
	ealka4     ealka4l.  
	aalka4     aalka4l.  
	ealt       ealt.     
	aalt       aalt.     
	ealty      ealty.    
	aalty      aalty.    
	taltb      taltb.    
	aaltb      aaltb.    
	ealta1     ealta1l.  
	aalta1     aalta1l.  
	ealta2     ealta2l.  
	aalta2     aalta2l.  
	ealta3     ealta3l.  
	aalta3     aalta3l.  
	ealta4     ealta4l.  
	aalta4     aalta4l.  
	ealow      ealow.    
	aalow      aalow.    
	ealowa     ealowa.   
	aalowa     aalowa.   
	ealsb      ealsb.    
	aalsb      aalsb.    
	talsbv     talsbv.   
	aalsbv     aalsbv.   
	ealjch     ealjch.   
	aaljch     aaljch.   
	taljcha    taljcha.  
	aaljcha    aaljcha.  
	ealjdb     ealjdb.   
	aaljdb     aaljdb.   
	ealjdl     ealjdl.   
	aaljdl     aaljdl.   
	ealjdo     ealjdo.   
	aaljdo     aaljdo.   
	taljdab    taljdab.  
	aaljdab    aaljdab.  
	taljdal    taljdal.  
	aaljdal    aaljdal.  
	taljdao    taljdao.  
	aaljdao    aaljdao.  
	ealich     ealich.   
	aalich     aalich.   
	talicha    talicha.  
	aalicha    aalicha.  
	ealil      ealil.    
	aalil      aalil.    
	ealidb     ealidb.   
	aalidb     aalidb.   
	ealidl     ealidl.   
	aalidl     aalidl.   
	ealido     ealido.   
	aalido     aalido.   
	talidab    talidab.  
	aalidab    aalidab.  
	talidal    talidal.  
	aalidal    aalidal.  
	talidao    talidao.  
	aalidao    aalidao.  
	ealli      ealli.    
	aalli      aalli.    
	talliv     talliv.   
	aalliv     aalliv.   
	eallit     eallit.   
	aallit     aallit.   
	eallie     eallie.   
	aallie     aallie.   
	talliev    talliev.  
	aalliev    aalliev.  
	ehreunv    ehreunv.  
	eremobho   eremobho. 
	aremobho   aremobho. 
	ehowner1   ehownero. 
	ahowner1   ahownero. 
	ehowner2   ehownerk. 
	ahowner2   ahownerk. 
	ehowner3   ehownerl. 
	ehbuymo    ehbuymo.  
	ahbuymo    ahbuymo.  
	ehbuyyr    ehbuyyr.  
	ahbuyyr    ahbuyyr.  
	ehmort     ehmort.   
	ahmort     ahmort.   
	enummort   enummort. 
	anummort   anummort. 
	tmor1pr    tmor1pr.  
	amor1pr    amor1pr.  
	emor1yr    emor1yr.  
	amor1yr    amor1yr.  
	emor1mo    emor1mo.  
	amor1mo    amor1mo.  
	tmor1amt   tmor1amt. 
	amor1amt   amor1amt. 
	tmor1yrs   tmor1yrs. 
	amor1yrs   amor1yrs. 
	emor1int   emor1int. 
	amor1int   amor1int. 
	emor1var   emor1var. 
	amor1var   amor1var. 
	emor1pgm   emor1pgm. 
	amor1pgm   amor1pgm. 
	tmor2pr    tmor2pr.  
	amor2pr    amor2pr.  
	emor2yr    emor2yr.  
	amor2yr    amor2yr.  
	emor2mo    emor2mo.  
	amor2mo    amor2mo.  
	tmor2amt   tmor2amt. 
	amor2amt   amor2amt. 
	tmor2yrs   tmor2yrs. 
	amor2yrs   amor2yrs. 
	emor2int   emor2int. 
	amor2int   amor2int. 
	emor2var   emor2var. 
	amor2var   amor2var. 
	emor2pgm   emor2pgm. 
	amor2pgm   amor2pgm. 
	tmor3pr    tmor3pr.  
	amor3pr    amor3pr.  
	tpropval   tpropval. 
	apropval   apropval. 
	emhloan    emhloan.  
	amhloan    amhloan.  
	emhtype    emhtype.  
	amhtype    amhtype.  
	tmhpr      tmhpr.    
	amhpr      amhpr.    
	tmhval     tmhval.   
	amhval     amhval.   
	thomeamt   thomeamt. 
	ahomeamt   ahomeamt. 
	tutils     tutils.   
	autils     autils.   
	eperspay   eperspay. 
	aperspay   aperspay. 
	eperspya   eperspya. 
	aperspya   aperspya. 
	eperspy1   eperspyk. 
	aperspy1   aperspyk. 
	eperspy2   eperspyl. 
	eperspy3   eperspym. 
	tpersam1   tpersama. 
	apersam1   apersama. 
	tpersam2   tpersamk. 
	apersam2   apersamk. 
	tpersam3   tpersaml. 
	apersam3   apersaml. 
	epaycare   epaycare. 
	apaycare   apaycare. 
	tcarecst   tcarecst. 
	acarecst   acarecst. 
	eothre     eothre.   
	aothre     aothre.   
	eothreo1   eothreoe. 
	aothreo1   aothreoe. 
	eothreo2   eothreok. 
	eothreo3   eothreol. 
	tothreva   tothreva. 
	aothreva   aothreva. 
	eautoown   eautoown. 
	aautoown   aautoown. 
	eautonum   eautonum. 
	aautonum   aautonum. 
	ea1own1    ea1own1l. 
	aa1own1    aa1own1l. 
	ea1own2    ea1own2l. 
	tcarval1   tcarvalm. 
	acarval1   acarvalm. 
	ta1year    ta1year.  
	ea1owed    ea1owed.  
	aa1owed    aa1owed.  
	ta1amt     ta1amt.   
	aa1amt     aa1amt.   
	ea1use     ea1use.   
	aa1use     aa1use.   
	ea2own1    ea2own1l. 
	aa2own1    aa2own1l. 
	ea2own2    ea2own2l. 
	tcarval2   tcarvale. 
	acarval2   acarvale. 
	ta2year    ta2year.  
	ea2owed    ea2owed.  
	aa2owed    aa2owed.  
	ta2amt     ta2amt.   
	aa2amt     aa2amt.   
	ea2use     ea2use.   
	aa2use     aa2use.   
	ea3own1    ea3own1l. 
	aa3own1    aa3own1l. 
	ea3own2    ea3own2l. 
	tcarval3   tcarvalk. 
	acarval3   acarvalk. 
	ta3year    ta3year.  
	ea3owed    ea3owed.  
	aa3owed    aa3owed.  
	ta3amt     ta3amt.   
	aa3amt     aa3amt.   
	ea3use     ea3use.   
	aa3use     aa3use.   
	eothveh    eothveh.  
	aothveh    aothveh.  
	eovmtrcy   eovmtrcy. 
	aovmtrcy   aovmtrcy. 
	eovboat    eovboat.  
	aovboat    aovboat.  
	eovrv      eovrv.    
	aovrv      aovrv.    
	eovothrv   eovothrv. 
	aovothrv   aovothrv. 
	eov1own1   eov1ownv. 
	aov1own1   aov1ownv. 
	eov1own2   eov1ownk. 
	tov1val    tov1val.  
	aov1val    aov1val.  
	eov1owe    eov1owe.  
	aov1owe    aov1owe.  
	tov1amt    tov1amt.  
	aov1amt    aov1amt.  
	eov2own1   eov2ownt. 
	aov2own1   aov2ownt. 
	eov2own2   eov2ownk. 
	tov2val    tov2val.  
	aov2val    aov2val.  
	eov2owe    eov2owe.  
	aov2owe    aov2owe.  
	tov2amt    tov2amt.  
	aov2amt    aov2amt.  
	thhtnw     thhtnw.   
	thhtwlth   thhtwlth. 
	thhtheq    thhtheq.  
	thhmortg   thhmortg. 
	thhvehcl   thhvehcl. 
	thhbeq     thhbeq.   
	thhintbk   thhintbk. 
	thhintot   thhintot. 
	rhhstk     rhhstk.   
	thhore     thhore.   
	thhotast   thhotast. 
	thhira     thhira.   
	thhthrif   thhthrif. 
	thhdebt    thhdebt.  
	thhscdbt   thhscdbt. 
	rhhuscbt   rhhuscbt. 
	eaoaunv    eaoaunv.  
	toaeq      toaeq.    
	aoaeq      aoaeq.    
	tiajta     tiajta.   
	aiajta     aiajta.   
	tiaita     tiaita.   
	aiaita     aiaita.   
	timja      timja.    
	aimja      aimja.    
	timia      timia.    
	aimia      aimia.    
	esmjm      esmjm.    
	asmjm      asmjm.    
	esmjs      esmjs.    
	asmjs      asmjs.    
	tsmjv      tsmjv.    
	asmjv      asmjv.    
	esmjma     esmjma.   
	asmjma     asmjma.   
	tsmjmav    tsmjmav.  
	asmjmav    asmjmav.  
	esmi       esmi.     
	asmi       asmi.     
	tsmiv      tsmiv.    
	asmiv      asmiv.    
	esmima     esmima.   
	asmima     asmima.   
	tsmimav    tsmimav.  
	asmimav    asmimav.  
	erjown     erjown.   
	arjown     arjown.   
	erjnum     erjnum.   
	arjnum     arjnum.   
	erjtyp1    erjtyp1l. 
	arjtyp1    arjtyp1l. 
	erjtyp2    erjtyp2l. 
	arjtyp2    arjtyp2l. 
	erjtyp3    erjtyp3l. 
	arjtyp3    arjtyp3l. 
	erjtyp4    erjtyp4l. 
	arjtyp4    arjtyp4l. 
	erjtyp5    erjtyp5l. 
	arjtyp5    arjtyp5l. 
	erjtyp6    erjtyp6l. 
	arjtyp6    arjtyp6l. 
	erjat      erjat.    
	arjat      arjat.    
	erjata     erjata.   
	arjata     arjata.   
	trjmv      trjmv.    
	arjmv      arjmv.    
	erjdeb     erjdeb.   
	arjdeb     arjdeb.   
	trjpri     trjpri.   
	arjpri     arjpri.   
	eriown     eriown.   
	ariown     ariown.   
	erinum     erinum.   
	arinum     arinum.   
	eritype1   eritypem. 
	aritype1   aritypem. 
	eritype2   eritypek. 
	aritype2   aritypek. 
	eritype3   eritypel. 
	aritype3   aritypel. 
	eritype4   eritypen. 
	aritype4   aritypen. 
	eritype5   eritypeo. 
	aritype5   aritypeo. 
	eritype6   eritypep. 
	aritype6   aritypep. 
	eriat      eriat.    
	ariat      ariat.    
	eriata     eriata.   
	ariata     ariata.   
	trimv      trimv.    
	arimv      arimv.    
	erideb     erideb.   
	arideb     arideb.   
	tripri     tripri.   
	aripri     aripri.   
	ertown     ertown.   
	artown     artown.   
	ertnum     ertnum.   
	artnum     artnum.   
	erttype1   erttypem. 
	arttype1   arttypem. 
	erttype2   erttypek. 
	arttype2   arttypek. 
	erttype3   erttypel. 
	arttype3   arttypel. 
	erttype4   erttypen. 
	arttype4   arttypen. 
	erttype5   erttypeo. 
	arttype5   arttypeo. 
	erttype6   erttypep. 
	arttype6   arttypep. 
	trtmv      trtmv.    
	artmv      artmv.    
	ertdeb     ertdeb.   
	artdeb     artdeb.   
	trtpri     trtpri.   
	artpri     artpri.   
	trtsha     trtsha.   
	artsha     artsha.   
	tmjp       tmjp.     
	amjp       amjp.     
	tmip       tmip.     
	amip       amip.     
	evbunv1    evbunv1l. 
	evbno1     evbno1l.  
	evbow1     evbow1l.  
	avbow1     avbow1l.  
	tvbva1     tvbva1l.  
	avbva1     avbva1l.  
	tvbde1     tvbde1l.  
	avbde1     avbde1l.  
	evbunv2    evbunv2l. 
	evbno2     evbno2l.  
	evbow2     evbow2l.  
	avbow2     avbow2l.  
	tvbva2     tvbva2l.  
	avbva2     avbva2l.  
	tvbde2     tvbde2l.  
	avbde2     avbde2l.  
	emdunv     emdunv.   
	tdonorid   tdonorid. 
	ehouspay   ehouspay. 
	ahouspay   ahouspay. 
	efoodpay   efoodpay. 
	afoodpay   afoodpay. 
	eexppay    eexppay.  
	aexppay    aexppay.  
	ehhpay     ehhpay.   
	ahhpay     ahhpay.   
	ewhopy01   ewhopy0y. 
	ewhopy02   ewhopy0k. 
	ewhopy03   ewhopy0l. 
	ewhopy04   ewhopy0m. 
	ewhopy05   ewhopy0n. 
	ewhopy06   ewhopy0o. 
	ewhopy07   ewhopy0p. 
	ewhopy08   ewhopy0q. 
	ewhopy09   ewhopy0r. 
	ewhopy10   ewhopy1y. 
	ewhopy11   ewhopy1k. 
	ewhopy12   ewhopy1l. 
	ewhopy13   ewhopy1m. 
	ewhopy14   ewhopy1n. 
	ewhopy15   ewhopy1o. 
	ewhopy16   ewhopy1p. 
	ewhopy17   ewhopy1q. 
	ewhopy18   ewhopy1r. 
	ewhopy19   ewhopy1s. 
	ewhopy20   ewhopy2y. 
	ewhopy21   ewhopy2k. 
	ewhopy22   ewhopy2l. 
	ewhopy23   ewhopy2m. 
	ewhopy24   ewhopy2n. 
	ewhopy25   ewhopy2o. 
	ewhopy26   ewhopy2p. 
	ewhopy27   ewhopy2q. 
	ewhopy28   ewhopy2r. 
	ewhopy29   ewhopy2s. 
	ewhopy30   ewhopy3y. 
	awhopy     awhopy.   
	ehltstat   ehltstat. 
	ahltstat   ahltstat. 
	ehospsta   ehospsta. 
	ahospsta   ahospsta. 
	ehospnit   ehospnit. 
	ahospnit   ahospnit. 
	ehreas1    ehreas1l. 
	ahreas1    ahreas1l. 
	ehreas2    ehreas2l. 
	ahreas2    ahreas2l. 
	ehreas3    ehreas3l. 
	ahreas3    ahreas3l. 
	ehreas4    ehreas4l. 
	ahreas4    ahreas4l. 
	ehreas5    ehreas5l. 
	ahreas5    ahreas5l. 
	ehreas6    ehreas6l. 
	ahreas6    ahreas6l. 
	edocnum    edocnum.  
	adocnum    adocnum.  
	thipay     thipay.   
	ahipay     ahipay.   
	epresdrg   epresdrg. 
	apresdrg   apresdrg. 
	edalydrg   edalydrg. 
	adalydrg   adalydrg. 
	evisdent   evisdent. 
	avisdent   avisdent. 
	edenseal   edenseal. 
	adenseal   adenseal. 
	edis1      edis1l.   
	edis2      edis2l.   
	edis3      edis3l.   
	edis4      edis4l.   
	edis5      edis5l.   
	edis6      edis6l.   
	adis1      adis1l.   
	adis2      adis2l.   
	adis3      adis3l.   
	adis4      adis4l.   
	adis5      adis5l.   
	adis6      adis6l.   
	elostth    elostth.  
	alostth    alostth.  
	eallth     eallth.   
	aallth     aallth.   
	evisdoc    evisdoc.  
	avisdoc    avisdoc.  
	emdspnd    emdspnd.  
	amdspnd    amdspnd.  
	emdspnds   emdspnds. 
	amdspnds   amdspnds. 
	edaysick   edaysick. 
	adaysick   adaysick. 
	tmdpay     tmdpay.   
	amdpay     amdpay.   
	ereimb     ereimb.   
	areimb     areimb.   
	treimbur   treimbur. 
	areimbur   areimbur. 
	ehspstas   ehspstas. 
	ahspstas   ahspstas. 
	eprsdrgs   eprsdrgs. 
	aprsdrgs   aprsdrgs. 
	evsdents   evsdents. 
	avsdents   avsdents. 
	evsdocs    evsdocs.  
	avsdocs    avsdocs.  
	enowkyr    enowkyr.  
	anowkyr    anowkyr.  
	ewkfutr    ewkfutr.  
	awkfutr    awkfutr.  
	trmoops    trmoops.  
	enoindnt   enoindnt. 
	anoindnt   anoindnt. 
	enoindoc   enoindoc. 
	anoindoc   anoindoc. 
	enointrt   enointrt. 
	anointrt   anointrt. 
	enoinchk   enoinchk. 
	anoinchk   anoinchk. 
	enoindrg   enoindrg. 
	anoindrg   anoindrg. 
	enoinpay   enoinpay. 
	anoinpay   anoinpay. 
	enoindis   enoindis. 
	anoindis   anoindis. 
	enoininc   enoininc. 
	anoininc   anoininc. 
	enoincln   enoincln. 
	enoiner    enoiner.  
	enoinhsp   enoinhsp. 
	enoinva    enoinva.  
	enoindr    enoindr.  
	enoindds   enoindds. 
	enoinoth   enoinoth. 
	anoinloc   anoinloc. 
	eapvunv    eapvunv.  
	epvwk1     epvwk1l.  
	epvwk2     epvwk2l.  
	epvwk3     epvwk3l.  
	epvwk4     epvwk4l.  
	epvwk5     epvwk5l.  
	apvwk      apvwk.    
	epvmilwk   epvmilwk. 
	apvmilwk   apvmilwk. 
	epvpaprk   epvpaprk. 
	apvpaprk   apvpaprk. 
	epvpaywk   epvpaywk. 
	apvpaywk   apvpaywk. 
	epvcomut   epvcomut. 
	apvcomut   apvcomut. 
	epvwkexp   epvwkexp. 
	apvwkexp   apvwkexp. 
	epvanexp   epvanexp. 
	apvanexp   apvanexp. 
	epvchild   epvchild. 
	apvchild   apvchild. 
	epvmancd   epvmancd. 
	apvmancd   apvmancd. 
	epvmosup   epvmosup. 
	apvmosup   apvmosup. 
	tpvchpa1   tpvchpap. 
	tpvchpa2   tpvchpak. 
	tpvchpa3   tpvchpal. 
	tpvchpa4   tpvchpam. 
	apvchpa    apvchpa.  
	epvccarr   epvccarr. 
	apvccarr   apvccarr. 
	tpvccfp1   tpvccfpr. 
	apvccfp1   apvccfpr. 
	tpvccfp2   tpvccfpk. 
	apvccfp2   apvccfpk. 
	tpvccfp3   tpvccfpl. 
	apvccfp3   apvccfpl. 
	tpvccfp4   tpvccfpm. 
	apvccfp4   apvccfpm. 
	epvccoth   epvccoth. 
	apvccoth   apvccoth. 
	epvcwho1   epvcwhoh. 
	epvcwho2   epvcwhok. 
	epvcwho3   epvcwhol. 
	epvcwho4   epvcwhom. 
	epvcwho5   epvcwhon. 
	apvcwho    apvcwho.  
	epvdays    epvdays.  
	epvweeks   epvweeks. 
	epvmnths   epvmnths. 
	apvdwm     apvdwm.   
	epcwunv    epcwunv.  
	edaycare   edaycare. 
	adaycare   adaycare. 
	ecaremth   ecaremth. 
	acaremth   acaremth. 
	ehrscare   ehrscare. 
	ahrscare   ahrscare. 
	elivapat   elivapat. 
	alivapat   alivapat. 
	enotable   enotable. 
	anotable   anotable. 
	epastmon   epastmon. 
	apastmon   apastmon. 
	eouting    eouting.  
	aouting    aouting.  
	etotread   etotread. 
	atotread   atotread. 
	eparread   eparread. 
	aparread   aparread. 
	edadread   edadread. 
	adadread   adadread. 
	etvrules   etvrules. 
	atvrules   atvrules. 
	etimestv   etimestv. 
	atimestv   atimestv. 
	ehoustv    ehoustv.  
	ahoustv    ahoustv.  
	eeatbkf    eeatbkf.  
	aeatbkf    aeatbkf.  
	eeatdinn   eeatdinn. 
	aeatdinn   aeatdinn. 
	edadbrkf   edadbrkf. 
	adadbrkf   adadbrkf. 
	edaddinn   edaddinn. 
	adaddinn   adaddinn. 
	efuntime   efuntime. 
	afuntime   afuntime. 
	edadfun    edadfun.  
	adadfun    adadfun.  
	epraise    epraise.  
	apraise    apraise.  
	edadprai   edadprai. 
	adadprai   adadprai. 
	efarscho   efarscho. 
	afarscho   afarscho. 
	edadfar    edadfar.  
	adadfar    adadfar.  
	ethinksc   ethinksc. 
	athinksc   athinksc. 
	eatkindg   eatkindg. 
	aatkindg   aatkindg. 
	ekindage   ekindage. 
	akindage   akindage. 
	efirgrad   efirgrad. 
	afirgrad   afirgrad. 
	estrtage   estrtage. 
	astrtage   astrtage. 
	ekindele   ekindele. 
	akindele   akindele. 
	ehighgra   ehighgra. 
	ahighgra   ahighgra. 
	ecurrerl   ecurrerl. 
	acurrerl   acurrerl. 
	egrdeatt   egrdeatt. 
	agrdeatt   agrdeatt. 
	epubpriv   epubpriv. 
	apubpriv   apubpriv. 
	eassschl   eassschl. 
	aassschl   aassschl. 
	erelisch   erelisch. 
	arelisch   arelisch. 
	especsch   especsch. 
	aspecsch   aspecsch. 
	esportea   esportea. 
	asportea   asportea. 
	elessons   elessons. 
	alessons   alessons. 
	eclubsch   eclubsch. 
	aclubsch   aclubsch. 
	erelig     erelig.   
	arelig     arelig.   
	elikesch   elikesch. 
	alikesch   alikesch. 
	eintschl   eintschl. 
	aintschl   aintschl. 
	ewkshard   ewkshard. 
	awkshard   awkshard. 
	echgschl   echgschl. 
	achgschl   achgschl. 
	etimchan   etimchan. 
	atimchan   atimchan. 
	erepgrad   erepgrad. 
	arepgrad   arepgrad. 
	egrdrpt1   egrdrptd. 
	egrdrpt2   egrdrptk. 
	egrdrpt3   egrdrptl. 
	egrdrpt4   egrdrptm. 
	egrdrpt5   egrdrptn. 
	agrdrpt    agrdrpt.  
	eexpschl   eexpschl. 
	aexpschl   aexpschl. 
	ttimexp    ttimexp.  
	atimexp    atimexp.  
	ehardcar   ehardcar. 
	ahardcar   ahardcar. 
	ebother    ebother.  
	abother    abother.  
	egivuplf   egivuplf. 
	agivuplf   agivuplf. 
	eangrycl   eangrycl. 
	aangrycl   aangrycl. 
	ehelpech   ehelpech. 
	ahelpech   ahelpech. 
	ewatchot   ewatchot. 
	awatchot   awatchot. 
	ecounton   ecounton. 
	acounton   acounton. 
	ebadpeop   ebadpeop. 
	abadpeop   abadpeop. 
	etrustpe   etrustpe. 
	atrustpe   atrustpe. 
	ekeepins   ekeepins. 
	akeepins   akeepins. 
	esafepla   esafepla. 
	asafepla   asafepla. 
;
proc contents data=library.sippp08putm4;
proc means;
run;
** Copyright 2011 shared by the National Bureau of Economic Research and Jean Roth ;

** National Bureau of Economic Research. ;
** 1050 Massachusetts Avenue ;
** Cambridge, MA 02138 ;
** jroth@nber.org ;

** This program and all programs referenced in it are free software. You ;
** can redistribute the program or modify it under the terms of the GNU ;
** General Public License as published by the Free Software Foundation; 
** either version 2 of the License, or (at your option) any later version. ;

** This program is distributed in the hope that it will be useful, ;
** but WITHOUT ANY WARRANTY, without even the implied warranty of ;
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the ;
** GNU General Public License for more details. ;

** You should have received a copy of the GNU General Public License ;
** along with this program, if not, write to the Free Software ;
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA. ;
